/*

  The software provided in this file is offered under a variety of free and open
  source licenses. Unless otherwise specified, software is provided under the
  Apache License, Version 2.0, for which the following text applies:

    Copyright 2011-2016 Dropbox Inc. and contributors.

    Licensed under the Apache License, Version 2.0 (the "License");
    you may not use this file except in compliance with the License.
    You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

    Unless required by applicable law or agreed to in writing, software
    distributed under the License is distributed on an "AS IS" BASIS,
    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    See the License for the specific language governing permissions and
    limitations under the License.

  If some of the software in this file is offered under a different license,
  information about that license will appear in this file.
*/
/*

 The "bootstrap-notify" Software from "Goodybag, Inc." is:
 Copyright 2013 Nijiko Yonskai @nijikokun
 Copyright 2012 Goodybag, Inc.
 and is provided
 under the following license (the bootstrap-notify software has been modified):
 --
 TERMS AND CONDITIONS FOR USE, REPRODUCTION, AND DISTRIBUTION

 1. Definitions.

 "License" shall mean the terms and conditions for use, reproduction, and
 distribution as defined by Sections 1 through 9 of this document.

 "Licensor" shall mean the copyright owner or entity authorized by the copyright
 owner that is granting the License.

 "Legal Entity" shall mean the union of the acting entity and all other entities
 that control, are controlled by, or are under common control with that
 entity. For the purposes of this definition, "control" means (i) the power,
 direct or indirect, to cause the direction or management of such entity,
 whether by contract or otherwise, or (ii) ownership of fifty percent (50%) or
 more of the outstanding shares, or (iii) beneficial ownership of such entity.

 "You" (or "Your") shall mean an individual or Legal Entity exercising
 permissions granted by this License.

 "Source" form shall mean the preferred form for making modifications, including
 but not limited to software source code, documentation source, and
 configuration files.

 "Object" form shall mean any form resulting from mechanical transformation or
 translation of a Source form, including but not limited to compiled object
 code, generated documentation, and conversions to other media types.

 "Work" shall mean the work of authorship, whether in Source or Object form,
 made available under the License, as indicated by a copyright notice that is
 included in or attached to the work (an example is provided in the Appendix
 below).

 "Derivative Works" shall mean any work, whether in Source or Object form, that
 is based on (or derived from) the Work and for which the editorial revisions,
 annotations, elaborations, or other modifications represent, as a whole, an
 original work of authorship. For the purposes of this License, Derivative Works
 shall not include works that remain separable from, or merely link (or bind by
 name) to the interfaces of, the Work and Derivative Works thereof.

 "Contribution" shall mean any work of authorship, including the original
 version of the Work and any modifications or additions to that Work or
 Derivative Works thereof, that is intentionally submitted to Licensor for
 inclusion in the Work by the copyright owner or by an individual or Legal
 Entity authorized to submit on behalf of the copyright owner. For the purposes
 of this definition, "submitted" means any form of electronic, verbal, or
 written communication sent to the Licensor or its representatives, including
 but not limited to communication on electronic mailing lists, source code
 control systems, and issue tracking systems that are managed by, or on behalf
 of, the Licensor for the purpose of discussing and improving the Work, but
 excluding communication that is conspicuously marked or otherwise designated in
 writing by the copyright owner as "Not a Contribution."

 "Contributor" shall mean Licensor and any individual or Legal Entity on behalf
 of whom a Contribution has been received by Licensor and subsequently
 incorporated within the Work.

 2. Grant of Copyright License. Subject to the terms and conditions of this
 License, each Contributor hereby grants to You a perpetual, worldwide,
 non-exclusive, no-charge, royalty-free, irrevocable copyright license to
 reproduce, prepare Derivative Works of, publicly display, publicly perform,
 sublicense, and distribute the Work and such Derivative Works in Source or
 Object form.

 3. Grant of Patent License. Subject to the terms and conditions of this
 License, each Contributor hereby grants to You a perpetual, worldwide,
 non-exclusive, no-charge, royalty-free, irrevocable (except as stated in this
 section) patent license to make, have made, use, offer to sell, sell, import,
 and otherwise transfer the Work, where such license applies only to those
 patent claims licensable by such Contributor that are necessarily infringed by
 their Contribution(s) alone or by combination of their Contribution(s) with the
 Work to which such Contribution(s) was submitted. If You institute patent
 litigation against any entity (including a cross-claim or counterclaim in a
 lawsuit) alleging that the Work or a Contribution incorporated within the Work
 constitutes direct or contributory patent infringement, then any patent
 licenses granted to You under this License for that Work shall terminate as of
 the date such litigation is filed.

 4. Redistribution. You may reproduce and distribute copies of the Work or
 Derivative Works thereof in any medium, with or without modifications, and in
 Source or Object form, provided that You meet the following conditions:

 You must give any other recipients of the Work or Derivative Works a copy of
 this License; and You must cause any modified files to carry prominent notices
 stating that You changed the files; and You must retain, in the Source form of
 any Derivative Works that You distribute, all copyright, patent, trademark, and
 attribution notices from the Source form of the Work, excluding those notices
 that do not pertain to any part of the Derivative Works; and If the Work
 includes a "NOTICE" text file as part of its distribution, then any Derivative
 Works that You distribute must include a readable copy of the attribution
 notices contained within such NOTICE file, excluding those notices that do not
 pertain to any part of the Derivative Works, in at least one of the following
 places: within a NOTICE text file distributed as part of the Derivative Works;
 within the Source form or documentation, if provided along with the Derivative
 Works; or, within a display generated by the Derivative Works, if and wherever
 such third-party notices normally appear. The contents of the NOTICE file are
 for informational purposes only and do not modify the License. You may add Your
 own attribution notices within Derivative Works that You distribute, alongside
 or as an addendum to the NOTICE text from the Work, provided that such
 additional attribution notices cannot be construed as modifying the License.

 You may add Your own copyright statement to Your modifications and may provide
 additional or different license terms and conditions for use, reproduction, or
 distribution of Your modifications, or for any such Derivative Works as a
 whole, provided Your use, reproduction, and distribution of the Work otherwise
 complies with the conditions stated in this License.  5. Submission of
 Contributions. Unless You explicitly state otherwise, any Contribution
 intentionally submitted for inclusion in the Work by You to the Licensor shall
 be under the terms and conditions of this License, without any additional terms
 or conditions. Notwithstanding the above, nothing herein shall supersede or
 modify the terms of any separate license agreement you may have executed with
 Licensor regarding such Contributions.

 6. Trademarks. This License does not grant permission to use the trade names,
 trademarks, service marks, or product names of the Licensor, except as required
 for reasonable and customary use in describing the origin of the Work and
 reproducing the content of the NOTICE file.

 7. Disclaimer of Warranty. Unless required by applicable law or agreed to in
 writing, Licensor provides the Work (and each Contributor provides its
 Contributions) on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 KIND, either express or implied, including, without limitation, any warranties
 or conditions of TITLE, NON-INFRINGEMENT, MERCHANTABILITY, or FITNESS FOR A
 PARTICULAR PURPOSE. You are solely responsible for determining the
 appropriateness of using or redistributing the Work and assume any risks
 associated with Your exercise of permissions under this License.

 8. Limitation of Liability. In no event and under no legal theory, whether in
 tort (including negligence), contract, or otherwise, unless required by
 applicable law (such as deliberate and grossly negligent acts) or agreed to in
 writing, shall any Contributor be liable to You for damages, including any
 direct, indirect, special, incidental, or consequential damages of any
 character arising as a result of this License or out of the use or inability to
 use the Work (including but not limited to damages for loss of goodwill, work
 stoppage, computer failure or malfunction, or any and all other commercial
 damages or losses), even if such Contributor has been advised of the
 possibility of such damages.

 9. Accepting Warranty or Additional Liability. While redistributing the Work or
 Derivative Works thereof, You may choose to offer, and charge a fee for,
 acceptance of support, warranty, indemnity, or other liability obligations
 and/or rights consistent with this License. However, in accepting such
 obligations, You may act only on Your own behalf and on Your sole
 responsibility, not on behalf of any other Contributor, and only if You agree
 to indemnify, defend, and hold each Contributor harmless for any liability
 incurred by, or claims asserted against, such Contributor by reason of your
 accepting any such warranty or additional liability.

 END OF TERMS AND CONDITIONS
 --
*/
(function(h){var f=function(b,a){this.$element=h(b);this.$note=h('<div class="alert"></div>');this.options=h.extend(!0,{},h.fn.notify.defaults,a);this._link=null;this.options.transition?"fade"===this.options.transition?this.$note.addClass("in").addClass(this.options.transition):this.$note.addClass(this.options.transition):this.$note.addClass("fade").addClass("in");this.options.type?this.$note.addClass("alert-"+this.options.type):this.$note.addClass("alert-success");this.options.message&&("string"===
typeof this.options.message?this.$note.html(this.options.message):"object"===typeof this.options.message&&(this.options.message.html?this.$note.html(this.options.message.html):this.options.message.text&&this.$note.text(this.options.message.text)));this.options.closable&&(this._link=h('<a class="close pull-right">&times;</a>'),h(this._link).on("click",h.proxy(f.onClose,this)),this.$note.prepend(this._link));return this};f.onClose=function(){this.options.onClose();h(this.$note).remove();this.options.onClosed()};
f.prototype.show=function(){this.options.fadeOut.enabled&&this.$note.delay(this.options.fadeOut.delay||3E3).fadeOut("slow",h.proxy(f.onClose,this));this.$element.append(this.$note);this.$note.alert()};f.prototype.hide=function(){this.options.fadeOut.enabled?this.$note.delay(this.options.fadeOut.delay||3E3).fadeOut("slow",h.proxy(f.onClose,this)):f.onClose.call(this)};h.fn.notify=function(b){return new f(this,b)};h.fn.notify.defaults={type:"success",closable:!0,transition:"fade",fadeOut:{enabled:!0,
delay:3E3},message:null,onClose:function(){},onClosed:function(){}}})(window.jQuery);(function(h){function f(){this.fake=!0;this.boundary="--------FormData"+Math.random();this._fields=[]}h.FormData||(f.prototype.append=function(b,a){this._fields.push([b,a])},f.prototype.toString=function(){var b=this.boundary,a="";this._fields.forEach(function(e){a+="--"+b+"\r\n";if(e[1].name){var d=e[1];a+='Content-Disposition: form-data; name="'+e[0]+'"; filename="'+d.name+'"\r\n';a+="Content-Type: "+d.type+"\r\n\r\n";a+=d.getAsBinary()+"\r\n"}else a+='Content-Disposition: form-data; name="'+e[0]+
'";\r\n\r\n',a+=e[1]+"\r\n"});return a+="--"+b+"--"},h.FormData=f)})(window);/*

 Software from "jQuery Validation Plugin 1.9.0" is
 Copyright (c) 2006 - 2011 J?rn Zaefferer and is provided under the following
 license:
 --
 Permission is hereby granted, free of charge, to any person obtaining a copy
 of this software and associated documentation files (the "Software"), to deal
 in the Software without restriction, including without limitation the rights
 to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in
 all copies or substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 THE SOFTWARE.
 --
*/
(function(h){h.extend(h.fn,{validate:function(f){if(this.length){var b=h.data(this[0],"validator");if(b)return b;this.attr("novalidate","novalidate");b=new h.validator(f,this[0]);h.data(this[0],"validator",b);b.settings.onsubmit&&(f=this.find("input, button"),f.filter(".cancel").click(function(){b.cancelSubmit=!0}),b.settings.submitHandler&&f.filter(":submit").click(function(){b.submitButton=this}),this.submit(function(a){function e(){if(b.settings.submitHandler){if(b.submitButton)var a=h("<input type='hidden'/>").attr("name",
b.submitButton.name).val(b.submitButton.value).appendTo(b.currentForm);b.settings.submitHandler.call(b,b.currentForm);b.submitButton&&a.remove();return!1}return!0}b.settings.debug&&a.preventDefault();if(b.cancelSubmit)return b.cancelSubmit=!1,e();if(b.form())return b.pendingRequest?(b.formSubmitted=!0,!1):e();b.focusInvalid();return!1}));return b}f&&f.debug&&window.console&&console.warn("nothing selected, can't validate, returning nothing")},valid:function(){if(h(this[0]).is("form"))return this.validate().form();
var f=!0,b=h(this[0].form).validate();this.each(function(){f&=b.element(this)});return f},removeAttrs:function(f){var b={},a=this;h.each(f.split(/\s/),function(e,d){b[d]=a.attr(d);a.removeAttr(d)});return b},rules:function(f,b){var a=this[0];if(f){var e=h.data(a.form,"validator").settings,d=e.rules,c=h.validator.staticRules(a);switch(f){case "add":h.extend(c,h.validator.normalizeRule(b));d[a.name]=c;b.messages&&(e.messages[a.name]=h.extend(e.messages[a.name],b.messages));break;case "remove":if(!b)return delete d[a.name],
c;var g={};h.each(b.split(/\s/),function(a,b){g[b]=c[b];delete c[b]});return g}}a=h.validator.normalizeRules(h.extend({},h.validator.metadataRules(a),h.validator.classRules(a),h.validator.attributeRules(a),h.validator.staticRules(a)),a);a.required&&(e=a.required,delete a.required,a=h.extend({required:e},a));return a}});h.extend(h.expr[":"],{blank:function(f){return!h.trim(""+f.value)},filled:function(f){return!!h.trim(""+f.value)},unchecked:function(f){return!f.checked}});h.validator=function(f,b){this.settings=
h.extend(!0,{},h.validator.defaults,f);this.currentForm=b;this.init()};h.validator.format=function(f,b){if(1==arguments.length)return function(){var a=h.makeArray(arguments);a.unshift(f);return h.validator.format.apply(this,a)};2<arguments.length&&b.constructor!=Array&&(b=h.makeArray(arguments).slice(1));b.constructor!=Array&&(b=[b]);h.each(b,function(a,b){f=f.replace(RegExp("\\{"+a+"\\}","g"),b)});return f};h.extend(h.validator,{defaults:{messages:{},groups:{},rules:{},errorClass:"error",validClass:"valid",
errorElement:"label",focusInvalid:!0,errorContainer:h([]),errorLabelContainer:h([]),onsubmit:!0,ignore:":hidden",ignoreTitle:!1,onfocusin:function(f,b){this.lastActive=f;this.settings.focusCleanup&&!this.blockFocusCleanup&&(this.settings.unhighlight&&this.settings.unhighlight.call(this,f,this.settings.errorClass,this.settings.validClass),this.addWrapper(this.errorsFor(f)).hide())},onfocusout:function(f,b){!this.checkable(f)&&(f.name in this.submitted||!this.optional(f))&&this.element(f)},onkeyup:function(f,
b){(f.name in this.submitted||f==this.lastElement)&&this.element(f)},onclick:function(f,b){f.name in this.submitted?this.element(f):f.parentNode.name in this.submitted&&this.element(f.parentNode)},highlight:function(f,b,a){"radio"===f.type?this.findByName(f.name).addClass(b).removeClass(a):h(f).addClass(b).removeClass(a)},unhighlight:function(f,b,a){"radio"===f.type?this.findByName(f.name).removeClass(b).addClass(a):h(f).removeClass(b).addClass(a)}},setDefaults:function(f){h.extend(h.validator.defaults,
f)},messages:{required:"This field is required.",remote:"Please fix this field.",email:"Please enter a valid email address.",url:"Please enter a valid URL.",date:"Please enter a valid date.",dateISO:"Please enter a valid date (ISO).",number:"Please enter a valid number.",digits:"Please enter only digits.",creditcard:"Please enter a valid credit card number.",equalTo:"Please enter the same value again.",accept:"Please enter a value with a valid extension.",maxlength:h.validator.format("Please enter no more than {0} characters."),
minlength:h.validator.format("Please enter at least {0} characters."),rangelength:h.validator.format("Please enter a value between {0} and {1} characters long."),range:h.validator.format("Please enter a value between {0} and {1}."),max:h.validator.format("Please enter a value less than or equal to {0}."),min:h.validator.format("Please enter a value greater than or equal to {0}.")},autoCreateRanges:!1,prototype:{init:function(){function f(a){var b=h.data(this[0].form,"validator"),c="on"+a.type.replace(/^validate/,
"");b.settings[c]&&b.settings[c].call(b,this[0],a)}this.labelContainer=h(this.settings.errorLabelContainer);this.errorContext=this.labelContainer.length&&this.labelContainer||h(this.currentForm);this.containers=h(this.settings.errorContainer).add(this.settings.errorLabelContainer);this.submitted={};this.valueCache={};this.pendingRequest=0;this.pending={};this.invalid={};this.reset();var b=this.groups={};h.each(this.settings.groups,function(a,d){h.each(d.split(/\s/),function(c,d){b[d]=a})});var a=
this.settings.rules;h.each(a,function(b,d){a[b]=h.validator.normalizeRule(d)});h(this.currentForm).validateDelegate("[type='text'], [type='password'], [type='file'], select, textarea, [type='number'], [type='search'] ,[type='tel'], [type='url'], [type='email'], [type='datetime'], [type='date'], [type='month'], [type='week'], [type='time'], [type='datetime-local'], [type='range'], [type='color'] ","focusin focusout keyup",f).validateDelegate("[type='radio'], [type='checkbox'], select, option","click",
f);this.settings.invalidHandler&&h(this.currentForm).bind("invalid-form.validate",this.settings.invalidHandler)},form:function(){this.checkForm();h.extend(this.submitted,this.errorMap);this.invalid=h.extend({},this.errorMap);this.valid()||h(this.currentForm).triggerHandler("invalid-form",[this]);this.showErrors();return this.valid()},checkForm:function(){this.prepareForm();for(var f=0,b=this.currentElements=this.elements();b[f];f++)this.check(b[f]);return this.valid()},element:function(f){this.lastElement=
f=this.validationTargetFor(this.clean(f));this.prepareElement(f);this.currentElements=h(f);var b=this.check(f);b?delete this.invalid[f.name]:this.invalid[f.name]=!0;this.numberOfInvalids()||(this.toHide=this.toHide.add(this.containers));this.showErrors();return b},showErrors:function(f){if(f){h.extend(this.errorMap,f);this.errorList=[];for(var b in f)this.errorList.push({message:f[b],element:this.findByName(b)[0]});this.successList=h.grep(this.successList,function(a){return!(a.name in f)})}this.settings.showErrors?
this.settings.showErrors.call(this,this.errorMap,this.errorList):this.defaultShowErrors()},resetForm:function(){h.fn.resetForm&&h(this.currentForm).resetForm();this.submitted={};this.lastElement=null;this.prepareForm();this.hideErrors();this.elements().removeClass(this.settings.errorClass)},numberOfInvalids:function(){return this.objectLength(this.invalid)},objectLength:function(f){var b=0,a;for(a in f)b++;return b},hideErrors:function(){this.addWrapper(this.toHide).hide()},valid:function(){return 0==
this.size()},size:function(){return this.errorList.length},focusInvalid:function(){if(this.settings.focusInvalid)try{h(this.findLastActive()||this.errorList.length&&this.errorList[0].element||[]).filter(":visible").focus().trigger("focusin")}catch(f){}},findLastActive:function(){var f=this.lastActive;return f&&1==h.grep(this.errorList,function(b){return b.element.name==f.name}).length&&f},elements:function(){var f=this,b={};return h(this.currentForm).find("input, select, textarea").not(":submit, :reset, :image, [disabled]").not(this.settings.ignore).filter(function(){!this.name&&
f.settings.debug&&window.console&&console.error("%o has no name assigned",this);return this.name in b||!f.objectLength(h(this).rules())?!1:b[this.name]=!0})},clean:function(f){return h(f)[0]},errors:function(){return h(this.settings.errorElement+"."+this.settings.errorClass,this.errorContext)},reset:function(){this.successList=[];this.errorList=[];this.errorMap={};this.toShow=h([]);this.toHide=h([]);this.currentElements=h([])},prepareForm:function(){this.reset();this.toHide=this.errors().add(this.containers)},
prepareElement:function(f){this.reset();this.toHide=this.errorsFor(f)},check:function(f){f=this.validationTargetFor(this.clean(f));var b=h(f).rules(),a=!1,e;for(e in b){var d={method:e,parameters:b[e]};try{var c=h.validator.methods[e].call(this,f.value.replace(/\r/g,""),f,d.parameters);if("dependency-mismatch"==c)a=!0;else{a=!1;if("pending"==c){this.toHide=this.toHide.not(this.errorsFor(f));return}if(!c)return this.formatAndAdd(f,d),!1}}catch(g){throw this.settings.debug&&window.console&&console.log("exception occured when checking element "+
f.id+", check the '"+d.method+"' method",g),g;}}if(!a)return this.objectLength(b)&&this.successList.push(f),!0},customMetaMessage:function(f,b){if(h.metadata){var a=this.settings.meta?h(f).metadata()[this.settings.meta]:h(f).metadata();return a&&a.messages&&a.messages[b]}},customMessage:function(f,b){var a=this.settings.messages[f];return a&&(a.constructor==String?a:a[b])},findDefined:function(){for(var f=0;f<arguments.length;f++)if(void 0!==arguments[f])return arguments[f]},defaultMessage:function(f,
b){return this.findDefined(this.customMessage(f.name,b),this.customMetaMessage(f,b),!this.settings.ignoreTitle&&f.title||void 0,h.validator.messages[b],"<strong>Warning: No message defined for "+f.name+"</strong>")},formatAndAdd:function(f,b){var a=this.defaultMessage(f,b.method),e=/\$?\{(\d+)\}/g;"function"==typeof a?a=a.call(this,b.parameters,f):e.test(a)&&(a=jQuery.format(a.replace(e,"{$1}"),b.parameters));this.errorList.push({message:a,element:f});this.errorMap[f.name]=a;this.submitted[f.name]=
a},addWrapper:function(f){this.settings.wrapper&&(f=f.add(f.parent(this.settings.wrapper)));return f},defaultShowErrors:function(){for(var f=0;this.errorList[f];f++){var b=this.errorList[f];this.settings.highlight&&this.settings.highlight.call(this,b.element,this.settings.errorClass,this.settings.validClass);this.showLabel(b.element,b.message)}this.errorList.length&&(this.toShow=this.toShow.add(this.containers));if(this.settings.success)for(f=0;this.successList[f];f++)this.showLabel(this.successList[f]);
if(this.settings.unhighlight){f=0;for(b=this.validElements();b[f];f++)this.settings.unhighlight.call(this,b[f],this.settings.errorClass,this.settings.validClass)}this.toHide=this.toHide.not(this.toShow);this.hideErrors();this.addWrapper(this.toShow).show()},validElements:function(){return this.currentElements.not(this.invalidElements())},invalidElements:function(){return h(this.errorList).map(function(){return this.element})},showLabel:function(f,b){var a=this.errorsFor(f);a.length?(a.removeClass(this.settings.validClass).addClass(this.settings.errorClass),
a.attr("generated")&&a.html(b)):(a=h("<"+this.settings.errorElement+"/>").attr({"for":this.idOrName(f),generated:!0}).addClass(this.settings.errorClass).html(b||""),this.settings.wrapper&&(a=a.hide().show().wrap("<"+this.settings.wrapper+"/>").parent()),this.labelContainer.append(a).length||(this.settings.errorPlacement?this.settings.errorPlacement(a,h(f)):a.insertAfter(f)));!b&&this.settings.success&&(a.text(""),"string"==typeof this.settings.success?a.addClass(this.settings.success):this.settings.success(a));
this.toShow=this.toShow.add(a)},errorsFor:function(f){var b=this.idOrName(f);return this.errors().filter(function(){return h(this).attr("for")==b})},idOrName:function(f){return this.groups[f.name]||(this.checkable(f)?f.name:f.id||f.name)},validationTargetFor:function(f){this.checkable(f)&&(f=this.findByName(f.name).not(this.settings.ignore)[0]);return f},checkable:function(f){return/radio|checkbox/i.test(f.type)},findByName:function(f){var b=this.currentForm;return h(document.getElementsByName(f)).map(function(a,
e){return e.form==b&&e.name==f&&e||null})},getLength:function(f,b){switch(b.nodeName.toLowerCase()){case "select":return h("option:selected",b).length;case "input":if(this.checkable(b))return this.findByName(b.name).filter(":checked").length}return f.length},depend:function(f,b){return this.dependTypes[typeof f]?this.dependTypes[typeof f](f,b):!0},dependTypes:{"boolean":function(f,b){return f},string:function(f,b){return!!h(f,b.form).length},"function":function(f,b){return f(b)}},optional:function(f){return!h.validator.methods.required.call(this,
h.trim(f.value),f)&&"dependency-mismatch"},startRequest:function(f){this.pending[f.name]||(this.pendingRequest++,this.pending[f.name]=!0)},stopRequest:function(f,b){this.pendingRequest--;0>this.pendingRequest&&(this.pendingRequest=0);delete this.pending[f.name];b&&0==this.pendingRequest&&this.formSubmitted&&this.form()?(h(this.currentForm).submit(),this.formSubmitted=!1):!b&&(0==this.pendingRequest&&this.formSubmitted)&&(h(this.currentForm).triggerHandler("invalid-form",[this]),this.formSubmitted=
!1)},previousValue:function(f){return h.data(f,"previousValue")||h.data(f,"previousValue",{old:null,valid:!0,message:this.defaultMessage(f,"remote")})}},classRuleSettings:{required:{required:!0},email:{email:!0},url:{url:!0},date:{date:!0},dateISO:{dateISO:!0},dateDE:{dateDE:!0},number:{number:!0},numberDE:{numberDE:!0},digits:{digits:!0},creditcard:{creditcard:!0}},addClassRules:function(f,b){f.constructor==String?this.classRuleSettings[f]=b:h.extend(this.classRuleSettings,f)},classRules:function(f){var b=
{};(f=h(f).attr("class"))&&h.each(f.split(" "),function(){this in h.validator.classRuleSettings&&h.extend(b,h.validator.classRuleSettings[this])});return b},attributeRules:function(f){var b={};f=h(f);for(var a in h.validator.methods){var e;(e="required"===a&&"function"===typeof h.fn.prop?f.prop(a):f.attr(a))?b[a]=e:f[0].getAttribute("type")===a&&(b[a]=!0)}b.maxlength&&/-1|2147483647|524288/.test(b.maxlength)&&delete b.maxlength;return b},metadataRules:function(f){if(!h.metadata)return{};var b=h.data(f.form,
"validator").settings.meta;return b?h(f).metadata()[b]:h(f).metadata()},staticRules:function(f){var b={},a=h.data(f.form,"validator");a.settings.rules&&(b=h.validator.normalizeRule(a.settings.rules[f.name])||{});return b},normalizeRules:function(f,b){h.each(f,function(a,e){if(!1===e)delete f[a];else if(e.param||e.depends){var d=!0;switch(typeof e.depends){case "string":d=!!h(e.depends,b.form).length;break;case "function":d=e.depends.call(b,b)}d?f[a]=void 0!==e.param?e.param:!0:delete f[a]}});h.each(f,
function(a,e){f[a]=h.isFunction(e)?e(b):e});h.each(["minlength","maxlength","min","max"],function(){f[this]&&(f[this]=Number(f[this]))});h.each(["rangelength","range"],function(){f[this]&&(f[this]=[Number(f[this][0]),Number(f[this][1])])});h.validator.autoCreateRanges&&(f.min&&f.max&&(f.range=[f.min,f.max],delete f.min,delete f.max),f.minlength&&f.maxlength&&(f.rangelength=[f.minlength,f.maxlength],delete f.minlength,delete f.maxlength));f.messages&&delete f.messages;return f},normalizeRule:function(f){if("string"==
typeof f){var b={};h.each(f.split(/\s/),function(){b[this]=!0});f=b}return f},addMethod:function(f,b,a){h.validator.methods[f]=b;h.validator.messages[f]=void 0!=a?a:h.validator.messages[f];3>b.length&&h.validator.addClassRules(f,h.validator.normalizeRule(f))},methods:{required:function(f,b,a){if(!this.depend(a,b))return"dependency-mismatch";switch(b.nodeName.toLowerCase()){case "select":return(f=h(b).val())&&0<f.length;case "input":if(this.checkable(b))return 0<this.getLength(f,b);default:return 0<
h.trim(f).length}},remote:function(f,b,a){if(this.optional(b))return"dependency-mismatch";var e=this.previousValue(b);this.settings.messages[b.name]||(this.settings.messages[b.name]={});e.originalMessage=this.settings.messages[b.name].remote;this.settings.messages[b.name].remote=e.message;a="string"==typeof a&&{url:a}||a;if(this.pending[b.name])return"pending";if(e.old===f)return e.valid;e.old=f;var d=this;this.startRequest(b);var c={};c[b.name]=f;h.ajax(h.extend(!0,{url:a,mode:"abort",port:"validate"+
b.name,dataType:"json",data:c,success:function(a){d.settings.messages[b.name].remote=e.originalMessage;var c=!0===a;if(c){var k=d.formSubmitted;d.prepareElement(b);d.formSubmitted=k;d.successList.push(b);d.showErrors()}else k={},a=a||d.defaultMessage(b,"remote"),k[b.name]=e.message=h.isFunction(a)?a(f):a,d.showErrors(k);e.valid=c;d.stopRequest(b,c)}},a));return"pending"},minlength:function(f,b,a){return this.optional(b)||this.getLength(h.trim(f),b)>=a},maxlength:function(f,b,a){return this.optional(b)||
this.getLength(h.trim(f),b)<=a},rangelength:function(f,b,a){f=this.getLength(h.trim(f),b);return this.optional(b)||f>=a[0]&&f<=a[1]},min:function(f,b,a){return this.optional(b)||f>=a},max:function(f,b,a){return this.optional(b)||f<=a},range:function(f,b,a){return this.optional(b)||f>=a[0]&&f<=a[1]},email:function(f,b){return this.optional(b)||/^((([a-z]|\d|[!#\$%&'\*\+\-\/=\?\^_`{\|}~]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])+(\.([a-z]|\d|[!#\$%&'\*\+\-\/=\?\^_`{\|}~]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])+)*)|((\x22)((((\x20|\x09)*(\x0d\x0a))?(\x20|\x09)+)?(([\x01-\x08\x0b\x0c\x0e-\x1f\x7f]|\x21|[\x23-\x5b]|[\x5d-\x7e]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(\\([\x01-\x09\x0b\x0c\x0d-\x7f]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF]))))*(((\x20|\x09)*(\x0d\x0a))?(\x20|\x09)+)?(\x22)))@((([a-z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(([a-z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])*([a-z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])))\.)+(([a-z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(([a-z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])*([a-z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])))$/i.test(f)},
url:function(f,b){return this.optional(b)||/^(https?|ftp):\/\/(((([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(%[\da-f]{2})|[!\$&'\(\)\*\+,;=]|:)*@)?(((\d|[1-9]\d|1\d\d|2[0-4]\d|25[0-5])\.(\d|[1-9]\d|1\d\d|2[0-4]\d|25[0-5])\.(\d|[1-9]\d|1\d\d|2[0-4]\d|25[0-5])\.(\d|[1-9]\d|1\d\d|2[0-4]\d|25[0-5]))|((([a-z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(([a-z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])*([a-z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])))\.)+(([a-z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(([a-z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])*([a-z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])))\.?)(:\d*)?)(\/((([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(%[\da-f]{2})|[!\$&'\(\)\*\+,;=]|:|@)+(\/(([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(%[\da-f]{2})|[!\$&'\(\)\*\+,;=]|:|@)*)*)?)?(\?((([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(%[\da-f]{2})|[!\$&'\(\)\*\+,;=]|:|@)|[\uE000-\uF8FF]|\/|\?)*)?(\#((([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(%[\da-f]{2})|[!\$&'\(\)\*\+,;=]|:|@)|\/|\?)*)?$/i.test(f)},
date:function(f,b){return this.optional(b)||!/Invalid|NaN/.test(new Date(f))},dateISO:function(f,b){return this.optional(b)||/^\d{4}[\/-]\d{1,2}[\/-]\d{1,2}$/.test(f)},number:function(f,b){return this.optional(b)||/^-?(?:\d+|\d{1,3}(?:,\d{3})+)(?:\.\d+)?$/.test(f)},digits:function(f,b){return this.optional(b)||/^\d+$/.test(f)},creditcard:function(f,b){if(this.optional(b))return"dependency-mismatch";if(/[^0-9 -]+/.test(f))return!1;var a=0,e=0,d=!1;f=f.replace(/\D/g,"");for(var c=f.length-1;0<=c;c--){e=
f.charAt(c);e=parseInt(e,10);if(d&&9<(e*=2))e-=9;a+=e;d=!d}return 0==a%10},accept:function(f,b,a){a="string"==typeof a?a.replace(/,/g,"|"):"png|jpe?g|gif";return this.optional(b)||f.match(RegExp(".("+a+")$","i"))},equalTo:function(f,b,a){a=h(a).unbind(".validate-equalTo").bind("blur.validate-equalTo",function(){h(b).valid()});return f==a.val()}}});h.format=h.validator.format})(jQuery);
(function(h){var f={};if(h.ajaxPrefilter)h.ajaxPrefilter(function(a,b,d){b=a.port;"abort"==a.mode&&(f[b]&&f[b].abort(),f[b]=d)});else{var b=h.ajax;h.ajax=function(a){var e=("port"in a?a:h.ajaxSettings).port;return"abort"==("mode"in a?a:h.ajaxSettings).mode?(f[e]&&f[e].abort(),f[e]=b.apply(this,arguments)):b.apply(this,arguments)}}})(jQuery);
(function(h){!jQuery.event.special.focusin&&(!jQuery.event.special.focusout&&document.addEventListener)&&h.each({focus:"focusin",blur:"focusout"},function(f,b){function a(a){a=h.event.fix(a);a.type=b;return h.event.handle.call(this,a)}h.event.special[b]={setup:function(){this.addEventListener(f,a,!0)},teardown:function(){this.removeEventListener(f,a,!0)},handler:function(a){arguments[0]=h.event.fix(a);arguments[0].type=b;return h.event.handle.apply(this,arguments)}}});h.extend(h.fn,{validateDelegate:function(f,
b,a){return this.bind(b,function(b){var d=h(b.target);if(d.is(f))return a.apply(d,arguments)})}})})(jQuery);(function(h){function f(a){var b=a.data;a.isDefaultPrevented()||(a.preventDefault(),h(this).ajaxSubmit(b))}function b(a){var b=a.target,e=h(b);if(!e.is(":submit,input:image")){b=e.closest(":submit");if(0===b.length)return;b=b[0]}var d=this;d.clk=b;"image"==b.type&&(void 0!==a.offsetX?(d.clk_x=a.offsetX,d.clk_y=a.offsetY):"function"==typeof h.fn.offset?(e=e.offset(),d.clk_x=a.pageX-e.left,d.clk_y=a.pageY-e.top):(d.clk_x=a.pageX-b.offsetLeft,d.clk_y=a.pageY-b.offsetTop));setTimeout(function(){d.clk=
d.clk_x=d.clk_y=null},100)}function a(){if(h.fn.ajaxSubmit.debug){var a="[jquery.form] "+Array.prototype.join.call(arguments,"");window.console&&window.console.log?window.console.log(a):window.opera&&window.opera.postError&&window.opera.postError(a)}}var e,d;e=void 0!==h("<input type='file'/>").get(0).files;d=void 0!==window.FormData;h.fn.ajaxSubmit=function(c){function b(a){for(var e=new FormData,d=0;d<a.length;d++)e.append(a[d].name,a[d].value);if(c.extraData)for(var g in c.extraData)c.extraData.hasOwnProperty(g)&&
e.append(g,c.extraData[g]);c.data=null;a=h.extend(!0,{},h.ajaxSettings,c,{contentType:!1,processData:!1,cache:!1,type:"POST"});c.uploadProgress&&(a.xhr=function(){var a=jQuery.ajaxSettings.xhr();a.upload&&(a.upload.onprogress=function(a){var b=0,e=a.loaded||a.position,d=a.total;a.lengthComputable&&(b=Math.ceil(100*(e/d)));c.uploadProgress(a,e,d,b)});return a});a.data=null;var k=a.beforeSend;a.beforeSend=function(a,c){c.data=e;k&&k.call(this,a,c)};h.ajax(a)}function m(b){function e(){function c(){try{var b=
(f.contentWindow?f.contentWindow.document:f.contentDocument?f.contentDocument:f.document).readyState;a("state = "+b);b&&"uninitialized"==b.toLowerCase()&&setTimeout(c,50)}catch(e){a("Server abort: ",e," (",e.name,")"),d(K),F&&clearTimeout(F),F=void 0}}var b=p.attr("target"),l=p.attr("action");g.setAttribute("target",q);k||g.setAttribute("method","POST");l!=m.url&&g.setAttribute("action",m.url);!m.skipEncodingOverride&&(!k||/post/i.test(k))&&p.attr({encoding:"multipart/form-data",enctype:"multipart/form-data"});
m.timeout&&(F=setTimeout(function(){v=!0;d(H)},m.timeout));var n=[];try{if(m.extraData)for(var r in m.extraData)m.extraData.hasOwnProperty(r)&&(h.isPlainObject(m.extraData[r])&&m.extraData[r].hasOwnProperty("name")&&m.extraData[r].hasOwnProperty("value")?n.push(h('<input type="hidden" name="'+m.extraData[r].name+'">').attr("value",m.extraData[r].value).appendTo(g)[0]):n.push(h('<input type="hidden" name="'+r+'">').attr("value",m.extraData[r]).appendTo(g)[0]));m.iframeTarget||(s.appendTo("body"),f.attachEvent?
f.attachEvent("onload",d):f.addEventListener("load",d,!1));setTimeout(c,15);g.submit()}finally{g.setAttribute("action",l),b?g.setAttribute("target",b):p.removeAttr("target"),h(n).remove()}}function d(c){if(!u.aborted&&!L){try{I=f.contentWindow?f.contentWindow.document:f.contentDocument?f.contentDocument:f.document}catch(b){a("cannot access response document: ",b),c=K}if(c===H&&u)u.abort("timeout");else if(c==K&&u)u.abort("server abort");else if(I&&I.location.href!=m.iframeSrc||v){f.detachEvent?f.detachEvent("onload",
d):f.removeEventListener("load",d,!1);c="success";var e;try{if(v)throw"timeout";var g="xml"==m.dataType||I.XMLDocument||h.isXMLDoc(I);a("isXml="+g);if(!g&&(window.opera&&(null===I.body||!I.body.innerHTML))&&--P){a("requeing onLoad callback, DOM not available");setTimeout(d,250);return}var k=I.body?I.body:I.documentElement;u.responseText=k?k.innerHTML:null;u.responseXML=I.XMLDocument?I.XMLDocument:I;g&&(m.dataType="xml");u.getResponseHeader=function(a){return{"content-type":m.dataType}[a]};k&&(u.status=
Number(k.getAttribute("status"))||u.status,u.statusText=k.getAttribute("statusText")||u.statusText);var l=(m.dataType||"").toLowerCase(),p=/(json|script|text)/.test(l);if(p||m.textarea){var q=I.getElementsByTagName("textarea")[0];if(q)u.responseText=q.value,u.status=Number(q.getAttribute("status"))||u.status,u.statusText=q.getAttribute("statusText")||u.statusText;else if(p){var r=I.getElementsByTagName("pre")[0],t=I.getElementsByTagName("body")[0];r?u.responseText=r.textContent?r.textContent:r.innerText:
t&&(u.responseText=t.textContent?t.textContent:t.innerText)}}else"xml"==l&&(!u.responseXML&&u.responseText)&&(u.responseXML=Q(u.responseText));try{z=X(u,l,m)}catch(w){c="parsererror",u.error=e=w||c}}catch(D){a("error caught: ",D),c="error",u.error=e=D||c}u.aborted&&(a("upload aborted"),c=null);u.status&&(c=200<=u.status&&300>u.status||304===u.status?"success":"error");"success"===c?(m.success&&m.success.call(m.context,z,"success",u),n&&h.event.trigger("ajaxSuccess",[u,m])):c&&(void 0===e&&(e=u.statusText),
m.error&&m.error.call(m.context,u,c,e),n&&h.event.trigger("ajaxError",[u,m,e]));n&&h.event.trigger("ajaxComplete",[u,m]);n&&!--h.active&&h.event.trigger("ajaxStop");m.complete&&m.complete.call(m.context,u,c);L=!0;m.timeout&&clearTimeout(F);setTimeout(function(){m.iframeTarget||s.remove();u.responseXML=null},100)}}}var g=p[0],l,m,n,q,s,f,u,t,v,F;t=!!h.fn.prop;if(h(":input[name=submit],:input[id=submit]",g).length)alert('Error: Form elements must not have name or id of "submit".');else{if(b)for(l=0;l<
r.length;l++)b=h(r[l]),t?b.prop("disabled",!1):b.removeAttr("disabled");m=h.extend(!0,{},h.ajaxSettings,c);m.context=m.context||m;q="jqFormIO"+(new Date).getTime();m.iframeTarget?(s=h(m.iframeTarget),(b=s.attr("name"))?q=b:s.attr("name",q)):(s=h('<iframe name="'+q+'" src="'+m.iframeSrc+'" />'),s.css({position:"absolute",top:"-1000px",left:"-1000px"}));f=s[0];u={aborted:0,responseText:null,responseXML:null,status:0,statusText:"n/a",getAllResponseHeaders:function(){},getResponseHeader:function(){},
setRequestHeader:function(){},abort:function(c){var b="timeout"===c?"timeout":"aborted";a("aborting upload... "+b);this.aborted=1;if(f.contentWindow.document.execCommand)try{f.contentWindow.document.execCommand("Stop")}catch(e){}s.attr("src",m.iframeSrc);u.error=b;m.error&&m.error.call(m.context,u,b,c);n&&h.event.trigger("ajaxError",[u,m,b]);m.complete&&m.complete.call(m.context,u,b)}};(n=m.global)&&0===h.active++&&h.event.trigger("ajaxStart");n&&h.event.trigger("ajaxSend",[u,m]);if(m.beforeSend&&
!1===m.beforeSend.call(m.context,u,m))m.global&&h.active--;else if(!u.aborted){if(t=g.clk)if((b=t.name)&&!t.disabled)m.extraData=m.extraData||{},m.extraData[b]=t.value,"image"==t.type&&(m.extraData[b+".x"]=g.clk_x,m.extraData[b+".y"]=g.clk_y);var H=1,K=2;t=h("meta[name=csrf-token]").attr("content");if((b=h("meta[name=csrf-param]").attr("content"))&&t)m.extraData=m.extraData||{},m.extraData[b]=t;m.forceSync?e():setTimeout(e,10);var z,I,P=50,L,Q=h.parseXML||function(a,c){window.ActiveXObject?(c=new ActiveXObject("Microsoft.XMLDOM"),
c.async="false",c.loadXML(a)):c=(new DOMParser).parseFromString(a,"text/xml");return c&&c.documentElement&&"parsererror"!=c.documentElement.nodeName?c:null},ha=h.parseJSON||function(a){return window.eval("("+a+")")},X=function(a,c,b){var e=a.getResponseHeader("content-type")||"",d="xml"===c||!c&&0<=e.indexOf("xml");a=d?a.responseXML:a.responseText;d&&"parsererror"===a.documentElement.nodeName&&h.error&&h.error("parsererror");b&&b.dataFilter&&(a=b.dataFilter(a,c));"string"===typeof a&&("json"===c||
!c&&0<=e.indexOf("json")?a=ha(a):("script"===c||!c&&0<=e.indexOf("javascript"))&&h.globalEval(a));return a}}}}if(!this.length)return a("ajaxSubmit: skipping submit process - no element selected"),this;var k,l,p=this;"function"==typeof c&&(c={success:c});k=this.attr("method");l=this.attr("action");(l=(l="string"===typeof l?h.trim(l):"")||window.location.href||"")&&(l=(l.match(/^([^#]+)/)||[])[1]);c=h.extend(!0,{url:l,success:h.ajaxSettings.success,type:k||"GET",iframeSrc:/^https/i.test(window.location.href||
"")?"javascript:false":"about:blank"},c);l={};this.trigger("form-pre-serialize",[this,c,l]);if(l.veto)return a("ajaxSubmit: submit vetoed via form-pre-serialize trigger"),this;if(c.beforeSerialize&&!1===c.beforeSerialize(this,c))return a("ajaxSubmit: submit aborted via beforeSerialize callback"),this;var f=c.traditional;void 0===f&&(f=h.ajaxSettings.traditional);var r=[],n,q=this.formToArray(c.semantic,r);c.data&&(c.extraData=c.data,n=h.param(c.data,f));if(c.beforeSubmit&&!1===c.beforeSubmit(q,this,
c))return a("ajaxSubmit: submit aborted via beforeSubmit callback"),this;this.trigger("form-submit-validate",[q,this,c,l]);if(l.veto)return a("ajaxSubmit: submit vetoed via form-submit-validate trigger"),this;l=h.param(q,f);n&&(l=l?l+"&"+n:n);"GET"==c.type.toUpperCase()?(c.url+=(0<=c.url.indexOf("?")?"&":"?")+l,c.data=null):c.data=l;var s=[];c.resetForm&&s.push(function(){p.resetForm()});c.clearForm&&s.push(function(){p.clearForm(c.includeHidden)});if(!c.dataType&&c.target){var t=c.success||function(){};
s.push(function(a){var b=c.replaceTarget?"replaceWith":"html";h(c.target)[b](a).each(t,arguments)})}else c.success&&s.push(c.success);c.success=function(a,b,e){for(var d=c.context||this,g=0,k=s.length;g<k;g++)s[g].apply(d,[a,b,e||p,p])};n=0<h("input:file:enabled[value]",this).length;l="multipart/form-data"==p.attr("enctype")||"multipart/form-data"==p.attr("encoding");f=e&&d;a("fileAPI :"+f);!1!==c.iframe&&(c.iframe||(n||l)&&!f)?c.closeKeepAlive?h.get(c.closeKeepAlive,function(){m(q)}):m(q):(n||l)&&
f?b(q):h.ajax(c);for(n=0;n<r.length;n++)r[n]=null;this.trigger("form-submit-notify",[this,c]);return this};h.fn.ajaxForm=function(c){c=c||{};c.delegation=c.delegation&&h.isFunction(h.fn.on);if(!c.delegation&&0===this.length){var e=this.selector,d=this.context;if(!h.isReady&&e)return a("DOM not ready, queuing ajaxForm"),h(function(){h(e,d).ajaxForm(c)}),this;a("terminating; zero elements found by selector"+(h.isReady?"":" (DOM not ready)"));return this}return c.delegation?(h(document).off("submit.form-plugin",
this.selector,f).off("click.form-plugin",this.selector,b).on("submit.form-plugin",this.selector,c,f).on("click.form-plugin",this.selector,c,b),this):this.ajaxFormUnbind().bind("submit.form-plugin",c,f).bind("click.form-plugin",c,b)};h.fn.ajaxFormUnbind=function(){return this.unbind("submit.form-plugin click.form-plugin")};h.fn.formToArray=function(a,b){var d=[];if(0===this.length)return d;var k=this[0],l=a?k.getElementsByTagName("*"):k.elements;if(!l)return d;var p,f,r,n,q,s;p=0;for(s=l.length;p<
s;p++)if(q=l[p],r=q.name)if(a&&k.clk&&"image"==q.type)!q.disabled&&k.clk==q&&(d.push({name:r,value:h(q).val(),type:q.type}),d.push({name:r+".x",value:k.clk_x},{name:r+".y",value:k.clk_y}));else if((n=h.fieldValue(q,!0))&&n.constructor==Array){b&&b.push(q);f=0;for(q=n.length;f<q;f++)d.push({name:r,value:n[f]})}else if(e&&"file"==q.type&&!q.disabled)if(b&&b.push(q),n=q.files,n.length)for(f=0;f<n.length;f++)d.push({name:r,value:n[f],type:q.type});else d.push({name:r,value:"",type:q.type});else null!==
n&&"undefined"!=typeof n&&(b&&b.push(q),d.push({name:r,value:n,type:q.type,required:q.required}));if(!a&&k.clk&&(l=h(k.clk),p=l[0],(r=p.name)&&!p.disabled&&"image"==p.type))d.push({name:r,value:l.val()}),d.push({name:r+".x",value:k.clk_x},{name:r+".y",value:k.clk_y});return d};h.fn.formSerialize=function(a){return h.param(this.formToArray(a))};h.fn.fieldSerialize=function(a){var b=[];this.each(function(){var e=this.name;if(e){var d=h.fieldValue(this,a);if(d&&d.constructor==Array)for(var l=0,p=d.length;l<
p;l++)b.push({name:e,value:d[l]});else null!==d&&"undefined"!=typeof d&&b.push({name:this.name,value:d})}});return h.param(b)};h.fn.fieldValue=function(a){for(var b=[],d=0,e=this.length;d<e;d++){var l=h.fieldValue(this[d],a);null===l||("undefined"==typeof l||l.constructor==Array&&!l.length)||(l.constructor==Array?h.merge(b,l):b.push(l))}return b};h.fieldValue=function(a,b){var d=a.name,e=a.type,l=a.tagName.toLowerCase();void 0===b&&(b=!0);if(b&&(!d||a.disabled||"reset"==e||"button"==e||("checkbox"==
e||"radio"==e)&&!a.checked||("submit"==e||"image"==e)&&a.form&&a.form.clk!=a||"select"==l&&-1==a.selectedIndex))return null;if("select"==l){var p=a.selectedIndex;if(0>p)return null;for(var d=[],l=a.options,f=(e="select-one"==e)?p+1:l.length,p=e?p:0;p<f;p++){var r=l[p];if(r.selected){var n=r.value;n||(n=r.attributes&&r.attributes.value&&!r.attributes.value.specified?r.text:r.value);if(e)return n;d.push(n)}}return d}return h(a).val()};h.fn.clearForm=function(a){return this.each(function(){h("input,select,textarea",
this).clearFields(a)})};h.fn.clearFields=h.fn.clearInputs=function(a){var b=/^(?:color|date|datetime|email|month|number|password|range|search|tel|text|time|url|week)$/i;return this.each(function(){var d=this.type,e=this.tagName.toLowerCase();if(b.test(d)||"textarea"==e)this.value="";else if("checkbox"==d||"radio"==d)this.checked=!1;else if("select"==e)this.selectedIndex=-1;else if(a&&(!0===a&&/hidden/.test(d)||"string"==typeof a&&h(this).is(a)))this.value=""})};h.fn.resetForm=function(){return this.each(function(){("function"==
typeof this.reset||"object"==typeof this.reset&&!this.reset.nodeType)&&this.reset()})};h.fn.enable=function(a){void 0===a&&(a=!0);return this.each(function(){this.disabled=!a})};h.fn.selected=function(a){void 0===a&&(a=!0);return this.each(function(){var b=this.type;"checkbox"==b||"radio"==b?this.checked=a:"option"==this.tagName.toLowerCase()&&(b=h(this).parent("select"),a&&(b[0]&&"select-one"==b[0].type)&&b.find("option").selected(!1),this.selected=a)})};h.fn.ajaxSubmit.debug=!1})(jQuery);/*

 Software from "jQuery Filedrop 0.1.0", a jQuery plugin for html5 dragging files,
 is Copyright (c) Resopollution and is provided under the following license:
 --
 Permission is hereby granted, free of charge, to any person obtaining a copy
 of this software and associated documentation files (the "Software"), to deal
 in the Software without restriction, including without limitation the rights
 to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in
 all copies or substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 THE SOFTWARE.
 --
*/
(function(h){function f(){}jQuery.event.props.push("dataTransfer");var b={fallback_id:"",url:"",refresh:1E3,paramname:"userfile",allowedfiletypes:[],raw_droppable:[],maxfiles:25,maxfilesize:1,queuefiles:0,queuewait:200,data:{},headers:{},drop:f,rawDrop:f,dragStart:f,dragEnter:f,dragOver:f,dragLeave:f,docEnter:f,docOver:f,docLeave:f,beforeEach:f,afterAll:f,rename:f,error:function(a,c,b,d){alert(a)},uploadStarted:f,uploadFinished:f,progressUpdated:f,globalProgressUpdated:f,speedUpdated:f},a="BrowserNotSupported TooManyFiles FileTooLarge FileTypeNotAllowed NotFound NotReadable AbortError ReadError".split(" "),
e,d=!1,c=0,g;h.fn.filedrop=function(k){function l(a,c){var b="?mimetype="+encodeURIComponent(c.type);n("pasted_image",c.data,c.type,{},b,function(a,c,b){return t.uploadFinished(-1,void 0,a,c,b)},function(){})}function p(a,c,b,d){var e="";if(t.data){var g=h.param(t.data).replace(/\+/g,"%20").split(/&/);h.each(g,function(){var a=this.split("=",2),c=decodeURIComponent(a[0]),a=decodeURIComponent(a[1]);e+="--";e+=d;e+="\r\n";e+='Content-Disposition: form-data; name="'+c+'"';e+="\r\n";e+="\r\n";e+=a;e+=
"\r\n"})}e+="--";e+=d;e+="\r\n";e+='Content-Disposition: form-data; name="'+t.paramname+'"';e+='; filename="'+encodeURIComponent(a)+'"';e+="\r\n";e+="Content-Type: "+b;e+="\r\n";e+="\r\n";e+=c;e+="\r\n";e+="--";e+=d;e+="--";return e+="\r\n"}function m(a){if(a.lengthComputable){var c=Math.round(100*a.loaded/a.total);if(this.currentProgress!==c){this.currentProgress=c;t.progressUpdated(this.index,this.file,this.currentProgress);w[this.global_progress_index]=this.currentProgress;f();var c=(new Date).getTime(),
b=c-this.currentStart;b>=t.refresh&&(t.speedUpdated(this.index,this.file,(a.loaded-this.startData)/b),this.startData=a.loaded,this.currentStart=c)}}}function f(){if(0!==w.length){var a=0,c;for(c in w)w.hasOwnProperty(c)&&(a+=w[c]);t.globalProgressUpdated(Math.round(a/w.length))}}function n(a,c,b,e,g,k,l){var n=new XMLHttpRequest,q=(new Date).getTime(),s=w.length,M="------multipartformboundary"+(new Date).getTime(),v=n.upload;caller.data("filedrop_xhr",n);t.withCredentials&&(n.withCredentials=t.withCredentials);
a=a=p(a,c,b,M);v=h.extend(v,e);v.downloadStartTime=q;v.currentStart=q;v.currentProgress=0;v.global_progress_index=s;v.startData=0;v.addEventListener("progress",m,!1);jQuery.isFunction(t.url)?n.open("POST",t.url()+g,!0):n.open("POST",t.url+g,!0);n.setRequestHeader("content-type","multipart/form-data; boundary="+M);h.each(t.headers,function(a,c){n.setRequestHeader(a,c)});n.sendAsBinary(a);w[s]=0;f();n.onload=function(){var a=null;if(n.responseText)try{a=jQuery.parseJSON(n.responseText)}catch(c){a=n.responseText}var b=
(new Date).getTime()-q,a=k(a,b,n);w[s]=100;f();!1===a&&(d=!0);(200>n.status||299<n.status)&&l(n.statusText,n.status)}}function q(){d=!1;if(!g)return t.error(a[0]),!1;if(t.allowedfiletypes.push&&t.allowedfiletypes.length)for(var b=g.length;b--;)if(!g[b].type||0>h.inArray(g[b].type,t.allowedfiletypes))return t.error(a[3],g[b]),!1;var e=0,k=0;if(c>t.maxfiles&&0===t.queuefiles)return t.error(a[1]),!1;for(var l=[],p=[],m=[],b=0;b<c;b++)l.push(b);var q=function(){var b;if(d)return!1;if(0<t.queuefiles&&
p.length>=t.queuefiles)setTimeout(q,t.queuewait);else{b=l[0];l.splice(0,1);p.push(b);try{if(!1!==t.beforeEach(g[b])){if(b===c)return;var e=new FileReader,m=1048576*t.maxfilesize;e.index=b;if(g[b].size>m)return t.error(a[2],g[b],b),p.forEach(function(a,c){a===b&&p.splice(c,1)}),k++,!0;e.onerror=function(c){switch(c.target.error.code){case c.target.error.NOT_FOUND_ERR:return t.error(a[4]),!1;case c.target.error.NOT_READABLE_ERR:return t.error(a[5]),!1;case c.target.error.ABORT_ERR:return t.error(a[6]),
!1;default:return t.error(a[7]),!1}};e.onloadend=!t.beforeSend?f:function(a){t.beforeSend(g[b],b,function(){f(a)})};e.readAsBinaryString(g[b])}else k++}catch(n){return p.forEach(function(a,c){a===b&&p.splice(c,1)}),t.error(a[0]),!1}0<l.length&&q()}},f=function(a){var b=("undefined"===typeof a.srcElement?a.target:a.srcElement).index;void 0===a.target.index&&(a.target.index=s(a.total));var d=g[a.target.index],l=a.target.index;n("string"===typeof newName?newName:d.name,a.target.result,d.type,{file:g[a.target.index],
index:a.target.index},"",function(a,g,n){e++;a=t.uploadFinished(l,d,a,g,n);e===c-k&&t.afterAll();p.forEach(function(a,c){a===b&&p.splice(c,1)});m.push(b);return a},function(a,c){t.error(a,d,b,c)})};q()}function s(a){for(var b=0;b<c;b++)if(g[b].size===a)return b}var t=h.extend({},b,k),w=[];caller=this;this.on("drop",function(b){if(0===b.dataTransfer.files.length){var e;for(e=0;e<t.raw_droppable.length;e++){var d=t.raw_droppable[e],k;a:{k=b.dataTransfer.types;for(var l=void 0,l=0;l<k.length;l++)if(k[l]===
d){k=!0;break a}k=!1}if(k)return t.rawDrop(b.dataTransfer.getData(d)),!1}}if(!1===t.drop.call(this,b))return!1;g=b.dataTransfer.files;if(null===g||void 0===g||0===g.length)return t.error(a[0]),!1;c=g.length;q();b.preventDefault();return!1}).on("dragstart",t.dragStart).on("dragenter",function(a){clearTimeout(e);a.preventDefault();t.dragEnter.call(this,a)}).on("dragover",function(a){clearTimeout(e);a.preventDefault();t.docOver.call(this,a);t.dragOver.call(this,a)}).on("dragleave",function(a){clearTimeout(e);
t.dragLeave.call(this,a);a.stopPropagation()});this.on("paste",function(a){if(!(void 0===a.originalEvent.clipboardData||void 0===a.originalEvent.clipboardData.items)){for(var c=a.originalEvent.clipboardData.items.length,b=0;b<c;b++)if("string"===a.originalEvent.clipboardData.items[b].kind)return;var e=/image.*/,d;h.each(a.originalEvent.clipboardData.items,function(a,c){if(c.type.match(e))return d=c,!1});if(void 0!==d){if(!1===t.drop.call(this,a))return!1;var g=d.getAsFile();a=new FileReader;a.onload=
function(a){l(a,{type:g.type,data:a.target.result})};a.readAsBinaryString(g)}}});this.on("imagedata-upload.zulip",function(a,c){if(!1===t.drop.call(this,void 0))return!1;l(a,c)});h(document).on("drop",function(a){a.preventDefault();t.docLeave.call(this,a);return!1}).on("dragenter",function(a){clearTimeout(e);a.preventDefault();t.docEnter.call(this,a);return!1}).on("dragover",function(a){clearTimeout(e);a.preventDefault();t.docOver.call(this,a);return!1}).on("dragleave",function(a){e=setTimeout(function(c){return function(){t.docLeave.call(c,
a)}}(this),200)});h("#"+t.fallback_id).change(function(a){t.drop(a);g=a.target.files;c=g.length;q()});return this};try{XMLHttpRequest.prototype.sendAsBinary||(XMLHttpRequest.prototype.sendAsBinary=function(a){a=Array.prototype.map.call(a,function(a){return a.charCodeAt(0)&255});a=new Uint8Array(a);this.send(a.buffer)})}catch(m){}})(jQuery);(function(h,f){var b=document.createElement("input"),a="setSelectionRange"in b||"selectionStart"in b,e="createTextRange"in b||"selection"in document,d=/\r\n/g,c=/\r/g,g=function(a){return"undefined"!==typeof a.value?a.value:h(a).text()},m=function(a,b){var e=g(a).replace(c,"").length;"undefined"===typeof b&&(b=e);b=Math.floor(b);0>b&&(b=e+b);0>b&&(b=0);b>e&&(b=e);return b},k=function(a,c,b,e){this.start=a||0;this.end=c||0;this.length=b||0;this.text=e||""};k.prototype.toString=function(){return JSON.stringify(this,
null,"    ")};var l=function(c){if(!c)return f;if(a)return c.selectionStart;if(e){var b;var k,l,p;c.focus();c.focus();(k=document.selection.createRange())&&k.parentElement()===c?(l=g(c),p=l.length,b=c.createTextRange(),b.moveToBookmark(k.getBookmark()),c=c.createTextRange(),c.collapse(!1),b=-1<b.compareEndPoints("StartToEnd",c)?l.replace(d,"\n").length:-b.moveStart("character",-p)):b=0;return b}return f},p=function(c,b){c.focus();b=m(c,b);if(a)c.setSelectionRange(b,b);else if(e){var d=b,g=c.createTextRange();
g.move("character",d);g.select()}},u=function(c){if(!c)return f;if(a){var b=new k;b.start=c.selectionStart;b.end=c.selectionEnd;var d=Math.min(b.start,b.end),l=Math.max(b.start,b.end);b.length=l-d;b.text=g(c).substring(d,l);return b}if(e){b=new k;c.focus();var p=document.selection.createRange();if(p&&p.parentElement()===c){var m,r;m=l=0;var u=g(c);m=u.length;d=u.replace(/\r\n/g,"\n");r=c.createTextRange();r.moveToBookmark(p.getBookmark());c=c.createTextRange();c.collapse(!1);-1<r.compareEndPoints("StartToEnd",
c)?l=m:(l=-r.moveStart("character",-m),l+=d.slice(0,l).split("\n").length-1,-1<r.compareEndPoints("EndToEnd",c)||(m=-r.moveEnd("character",-m),m+=d.slice(0,m).split("\n").length-1));l-=u.substring(0,l).split("\r\n").length-1;m-=u.substring(0,m).split("\r\n").length-1;b.start=l;b.end=m;b.length=b.end-b.start;b.text=d.substr(b.start,b.length)}return b}return f},r=function(c,b,d){b=m(c,b);d=m(c,d);a?c.setSelectionRange(b,d):e&&(c=c.createTextRange(),c.moveEnd("textedit",-1),c.moveStart("character",b),
c.moveEnd("character",d-b),c.select())};h.extend(h.fn,{caret:function(){var a=this.filter("input, textarea");if(0===arguments.length)return a=a.get(0),l(a);if("number"===typeof arguments[0]){var b=arguments[0];a.each(function(a,c){p(c,b)})}else{var e=arguments[0];a.each(function(a,b){var d=e,k=l(b),m=g(b).replace(c,""),n=+(k+d.length+(m.length-k)),q=+b.getAttribute("maxlength");(b.hasAttribute?b.hasAttribute("maxlength"):"undefined"!==typeof b.maxlength)&&n>q&&(d=d.substr(0,d.length-(n-q)));m=m.substr(0,
k)+d+m.substr(k);"undefined"!==typeof b.value?b.value=m:h(b).text(m);p(b,k+d.length)})}return this},range:function(){var a=this.filter("input, textarea");if(0===arguments.length)return a=a.get(0),u(a);if("number"===typeof arguments[0]){var c=arguments[0],b=arguments[1];a.each(function(a,e){r(e,c,b)})}else{var e=arguments[0];a.each(function(a,c){var b=e,d=h(c),g=d.val(),k=u(c),l=+(k.start+b.length+(g.length-k.end)),m=+d.attr("maxlength");d.is("[maxlength]")&&l>m&&(b=b.substr(0,b.length-(l-m)));l=g.substr(0,
k.start);g=g.substr(k.end);d.val(l+b+g);d=k.start;b=d+b.length;r(c,k.length?d:b,b)})}return this},selectAll:function(){return this.each(function(b,c){var d=h(c);if(d.is("input, textarea")||c.select)d.select();else if(a){var d=window.getSelection(),g=document.createRange();g.selectNodeContents(c);d.removeAllRanges();d.addRange(g)}else e&&(d=document.body.createTextRange(),d.moveToElementText(c),d.select())})}});h.extend(h,{deselectAll:function(){document.selection?document.selection.empty():window.getSelection&&
window.getSelection().removeAllRanges();return this}})})(window.jQuery||window.Zepto||window.$);/*

 Software from "XDate v0.8", a wrapper around JavaScript's Date object, is
 Copyright (c) 2010 C. F., Wong and is provided under the following license:
 --
 Permission is hereby granted, free of charge, to any person obtaining a copy
 of this software and associated documentation files (the "Software"), to deal
 in the Software without restriction, including without limitation the rights
 to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in
 all copies or substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 THE SOFTWARE.
 --
*/
var XDate=function(h,f,b,a){function e(){var a=this instanceof e?this:new e,b=arguments,g=b.length,k;"boolean"==typeof b[g-1]&&(k=b[--g],b=J(b,0,g));if(g)if(1==g)if(g=b[0],g instanceof h||"number"==typeof g)a[0]=new h(+g);else if(g instanceof e){var b=a,l=new h(+g[0]);d(g)&&(l.toString=K);b[0]=l}else{if("string"==typeof g){a[0]=new h(0);a:{for(var b=g,g=k||!1,l=e.parsers,m=0,p;m<l.length;m++)if(p=l[m](b,g,a)){a=p;break a}a[0]=new h(b)}}}else a[0]=new h(H.apply(h,b)),k||(a[0]=B(a[0]));else a[0]=new h;
"boolean"==typeof k&&c(a,k);return a}function d(a){return a[0].toString===K}function c(a,b,c){b?d(a)||(c&&(a[0]=new h(H(a[0].getFullYear(),a[0].getMonth(),a[0].getDate(),a[0].getHours(),a[0].getMinutes(),a[0].getSeconds(),a[0].getMilliseconds()))),a[0].toString=K):d(a)&&(a[0]=c?B(a[0]):new h(+a[0]));return a}function g(a,b,c,e,d){var g=G(D,a[0],d);a=G(A,a[0],d);d=!1;2==e.length&&"boolean"==typeof e[1]&&(d=e[1],e=[c]);c=1==b?(c%12+12)%12:g(1);a(b,e);d&&g(1)!=c&&(a(1,[g(1)-1]),a(2,[C(g(0),g(1))]))}
function m(a,b,c,e){c=Number(c);var d=f.floor(c);a["set"+E[b]](a["get"+E[b]]()+d,e||!1);d!=c&&6>b&&m(a,b+1,(c-d)*v[b],e)}function k(a,b,c){a=a.clone().setUTCMode(!0,!0);b=e(b).setUTCMode(!0,!0);var d=0;if(0==c||1==c){for(var g=6;g>=c;g--)d/=v[g],d+=D(b,!1,g)-D(a,!1,g);1==c&&(d+=12*(b.getFullYear()-a.getFullYear()))}else 2==c?(c=a.toDate().setUTCHours(0,0,0,0),d=b.toDate().setUTCHours(0,0,0,0),d=f.round((d-c)/864E5)+(b-d-(a-c))/864E5):d=(b-a)/[36E5,6E4,1E3,1][c-3];return d}function l(a){var b=a(0),
c=a(1),e=a(2);a=new h(H(b,c,e));b=u(p(b,c,e));return f.floor(f.round((a-b)/864E5)/7)+1}function p(a,b,c){b=new h(H(a,b,c));return b<u(a)?a-1:b>=u(a+1)?a+1:a}function u(a){a=new h(H(a,0,4));a.setUTCDate(a.getUTCDate()-(a.getUTCDay()+6)%7);return a}function r(b,c,e,d){var g=G(D,b,d),k=G(A,b,d);e===a&&(e=p(g(0),g(1),g(2)));e=u(e);d||(e=B(e));b.setTime(+e);k(2,[g(2)+7*(c-1)])}function n(a,b,c,d,g){var k=e.locales,l=k[e.defaultLocale]||{},m=G(D,a,g);c=("string"==typeof c?k[c]:c)||{};return q(a,b,function(a){if(d)for(var b=
(7==a?2:a)-1;0<=b;b--)d.push(m(b));return m(a)},function(a){return c[a]||l[a]},g)}function q(b,c,e,d,g){for(var k,l,m="";k=c.match(F);){m+=c.substr(0,k.index);if(k[1]){l=m;for(var m=b,p=k[1],n=e,f=d,r=g,u=p.length,h=void 0,t="";0<u;)h=s(m,p.substr(0,u),n,f,r),h!==a?(t+=h,p=p.substr(u),u=p.length):u--;m=l+(t+p)}else k[3]?(l=q(b,k[4],e,d,g),parseInt(l.replace(/\D/g,""),10)&&(m+=l)):m+=k[7]||"'";c=c.substr(k.index+k[0].length)}return m+c}function s(a,b,c,d,g){var k=e.formatters[b];if("string"==typeof k)return q(a,
k,c,d,g);if("function"==typeof k)return k(a,g||!1,d);switch(b){case "fff":return x(c(6),3);case "s":return c(5);case "ss":return x(c(5));case "m":return c(4);case "mm":return x(c(4));case "h":return c(3)%12||12;case "hh":return x(c(3)%12||12);case "H":return c(3);case "HH":return x(c(3));case "d":return c(2);case "dd":return x(c(2));case "ddd":return d("dayNamesShort")[c(7)]||"";case "dddd":return d("dayNames")[c(7)]||"";case "M":return c(1)+1;case "MM":return x(c(1)+1);case "MMM":return d("monthNamesShort")[c(1)]||
"";case "MMMM":return d("monthNames")[c(1)]||"";case "yy":return(c(0)+"").substring(2);case "yyyy":return c(0);case "t":return t(c,d).substr(0,1).toLowerCase();case "tt":return t(c,d).toLowerCase();case "T":return t(c,d).substr(0,1);case "TT":return t(c,d);case "z":case "zz":case "zzz":return g?b="Z":(d=a.getTimezoneOffset(),a=0>d?"+":"-",c=f.floor(f.abs(d)/60),d=f.abs(d)%60,g=c,"zz"==b?g=x(c):"zzz"==b&&(g=x(c)+":"+x(d)),b=a+g),b;case "w":return l(c);case "ww":return x(l(c));case "S":return b=c(2),
10<b&&20>b?"th":["st","nd","rd"][b%10-1]||"th"}}function t(a,c){return 12>a(3)?c("amDesignator"):c("pmDesignator")}function w(a){return!isNaN(+a[0])}function D(a,c,b){return a["get"+(c?"UTC":"")+E[b]]()}function A(a,c,b,d){a["set"+(c?"UTC":"")+E[b]].apply(a,d)}function B(a){return new h(a.getUTCFullYear(),a.getUTCMonth(),a.getUTCDate(),a.getUTCHours(),a.getUTCMinutes(),a.getUTCSeconds(),a.getUTCMilliseconds())}function C(a,c){return 32-(new h(H(a,c,32))).getUTCDate()}function y(c){return function(){return c.apply(a,
[this].concat(J(arguments)))}}function G(c){var b=J(arguments,1);return function(){return c.apply(a,b.concat(J(arguments)))}}function J(c,d,e){return b.prototype.slice.call(c,d||0,e===a?c.length:e)}function N(a,c){for(var b=0;b<a.length;b++)c(a[b],b)}function x(a,c){c=c||2;for(a+="";a.length<c;)a="0"+a;return a}var E="FullYear Month Date Hours Minutes Seconds Milliseconds Day Year".split(" "),M=["Years","Months","Days"],v=[12,31,24,60,60,1E3,1],F=/(([a-zA-Z])\2*)|(\((('.*?'|\(.*?\)|.)*?)\))|('(.*?)')/,
H=h.UTC,K=h.prototype.toUTCString,z=e.prototype;z.length=1;z.splice=b.prototype.splice;z.getUTCMode=y(d);z.setUTCMode=y(c);z.getTimezoneOffset=function(){return d(this)?0:this[0].getTimezoneOffset()};N(E,function(a,c){z["get"+a]=function(){return D(this[0],d(this),c)};8!=c&&(z["getUTC"+a]=function(){return D(this[0],!0,c)});7!=c&&(z["set"+a]=function(a){g(this,c,a,arguments,d(this));return this},8!=c&&(z["setUTC"+a]=function(a){g(this,c,a,arguments,!0);return this},z["add"+(M[c]||a)]=function(a,b){m(this,
c,a,b);return this},z["diff"+(M[c]||a)]=function(a){return k(this,a,c)}))});z.getWeek=function(){return l(G(D,this,!1))};z.getUTCWeek=function(){return l(G(D,this,!0))};z.setWeek=function(a,c){r(this,a,c,!1);return this};z.setUTCWeek=function(a,c){r(this,a,c,!0);return this};z.addWeeks=function(a){return this.addDays(7*Number(a))};z.diffWeeks=function(a){return k(this,a,2)/7};e.parsers=[function(a,c,b){if(a=a.match(/^(\d{4})(-(\d{2})(-(\d{2})([T ](\d{2}):(\d{2})(:(\d{2})(\.(\d+))?)?(Z|(([-+])(\d{2})(:?(\d{2}))?))?)?)?)?$/)){var d=
new h(H(a[1],a[3]?a[3]-1:0,a[5]||1,a[7]||0,a[8]||0,a[10]||0,a[12]?1E3*Number("0."+a[12]):0));a[13]?a[14]&&d.setUTCMinutes(d.getUTCMinutes()+("-"==a[15]?1:-1)*(60*Number(a[16])+(a[18]?Number(a[18]):0))):c||(d=B(d));return b.setTime(+d)}}];e.parse=function(a){return+e(""+a)};z.toString=function(c,b,e){return c===a||!w(this)?this[0].toString():n(this,c,b,e,d(this))};z.toUTCString=z.toGMTString=function(c,b,d){return c===a||!w(this)?this[0].toUTCString():n(this,c,b,d,!0)};z.toISOString=function(){return this.toUTCString("yyyy-MM-dd'T'HH:mm:ss(.fff)zzz")};
e.defaultLocale="";e.locales={"":{monthNames:"January February March April May June July August September October November December".split(" "),monthNamesShort:"Jan Feb Mar Apr May Jun Jul Aug Sep Oct Nov Dec".split(" "),dayNames:"Sunday Monday Tuesday Wednesday Thursday Friday Saturday".split(" "),dayNamesShort:"Sun Mon Tue Wed Thu Fri Sat".split(" "),amDesignator:"AM",pmDesignator:"PM"}};e.formatters={i:"yyyy-MM-dd'T'HH:mm:ss(.fff)",u:"yyyy-MM-dd'T'HH:mm:ss(.fff)zzz"};N("getTime valueOf toDateString toTimeString toLocaleString toLocaleDateString toLocaleTimeString toJSON".split(" "),
function(a){z[a]=function(){return this[0][a]()}});z.setTime=function(a){this[0].setTime(a);return this};z.valid=y(w);z.clone=function(){return new e(this)};z.clearTime=function(){return this.setHours(0,0,0,0)};z.toDate=function(){return new h(+this[0])};e.now=function(){return+new h};e.today=function(){return(new e).clearTime()};e.UTC=H;e.getDaysInMonth=C;"undefined"!==typeof module&&module.exports&&(module.exports=e);"function"===typeof define&&define.amd&&define([],function(){return e});return e}(Date,
Math,Array);/*

 Software from "Spin.js", which dynamically creates activity indicators, is
 Copyright (c) 2011-2013 Felix Gnass and is provided under the following license:
 --
 Permission is hereby granted, free of charge, to any person obtaining a copy
 of this software and associated documentation files (the "Software"), to deal
 in the Software without restriction, including without limitation the rights
 to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in
 all copies or substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 THE SOFTWARE.
 --
*/
(function(h,f){"object"==typeof exports?module.exports=f():"function"==typeof define&&define.amd?define(f):h.Spinner=f()})(this,function(){function h(a,c){var b=document.createElement(a||"div"),d;for(d in c)b[d]=c[d];return b}function f(a){for(var c=1,b=arguments.length;c<b;c++)a.appendChild(arguments[c]);return a}function b(a,c,b,d){var e=["opacity",c,~~(100*a),b,d].join("-");b=0.01+100*(b/d);d=Math.max(1-(1-a)/c*(100-b),a);var g=p.substring(0,p.indexOf("Animation")).toLowerCase();l[e]||(u.insertRule("@"+
(g&&"-"+g+"-"||"")+"keyframes "+e+"{0%{opacity:"+d+"}"+b+"%{opacity:"+a+"}"+(b+0.01)+"%{opacity:1}"+(b+c)%100+"%{opacity:"+a+"}100%{opacity:"+d+"}}",u.cssRules.length),l[e]=1);return e}function a(a,c){var b=a.style,d,e;if(void 0!==b[c])return c;c=c.charAt(0).toUpperCase()+c.slice(1);for(e=0;e<k.length;e++)if(d=k[e]+c,void 0!==b[d])return d}function e(c,b){for(var d in b)c.style[a(c,d)||d]=b[d];return c}function d(a){for(var c=1;c<arguments.length;c++){var b=arguments[c],d;for(d in b)void 0===a[d]&&
(a[d]=b[d])}return a}function c(a){for(var c={x:a.offsetLeft,y:a.offsetTop};a=a.offsetParent;)c.x+=a.offsetLeft,c.y+=a.offsetTop;return c}function g(a){if("undefined"==typeof this)return new g(a);this.opts=d(a||{},g.defaults,r)}function m(){function a(c,b){return h("<"+c+' xmlns="urn:schemas-microsoft.com:vml" class="spin-vml">',b)}u.addRule(".spin-vml","behavior:url(#default#VML)");g.prototype.lines=function(c,b){function d(){return e(a("group",{coordsize:l+" "+l,coordorigin:-k+" "+-k}),{width:l,
height:l})}function g(c,l,m){f(p,f(e(d(),{rotation:360/b.lines*c+"deg",left:~~l}),f(e(a("roundrect",{arcsize:b.corners}),{width:k,height:b.width,left:b.radius,top:-b.width>>1,filter:m}),a("fill",{color:b.color,opacity:b.opacity}),a("stroke",{opacity:0}))))}var k=b.length+b.width,l=2*k,m=2*-(b.width+b.length)+"px",p=e(d(),{position:"absolute",top:m,left:m});if(b.shadow)for(m=1;m<=b.lines;m++)g(m,-2,"progid:DXImageTransform.Microsoft.Blur(pixelradius=2,makeshadow=1,shadowopacity=.3)");for(m=1;m<=b.lines;m++)g(m);
return f(c,p)};g.prototype.opacity=function(a,c,b,d){a=a.firstChild;d=d.shadow&&d.lines||0;if(a&&c+d<a.childNodes.length&&(a=(a=(a=a.childNodes[c+d])&&a.firstChild)&&a.firstChild))a.opacity=b}}var k=["webkit","Moz","ms","O"],l={},p,u=function(){var a=h("style",{type:"text/css"});f(document.getElementsByTagName("head")[0],a);return a.sheet||a.styleSheet}(),r={lines:12,length:7,width:5,radius:10,rotate:0,corners:1,color:"#000",direction:1,speed:1,trail:100,opacity:0.25,fps:20,zIndex:2E9,className:"spinner",
top:"auto",left:"auto",position:"relative"};g.defaults={};d(g.prototype,{spin:function(a){this.stop();var b=this,d=b.opts,g=b.el=e(h(0,{className:d.className}),{position:d.position,width:0,zIndex:d.zIndex}),k=d.radius+d.length+d.width,l,m;a&&(a.insertBefore(g,a.firstChild||null),m=c(a),l=c(g),e(g,{left:("auto"==d.left?m.x-l.x+(a.offsetWidth>>1):parseInt(d.left,10)+k)+"px",top:("auto"==d.top?m.y-l.y+(a.offsetHeight>>1):parseInt(d.top,10)+k)+"px"}));g.setAttribute("role","progressbar");b.lines(g,b.opts);
if(!p){var n=0,f=(d.lines-1)*(1-d.direction)/2,r,u=d.fps,N=u/d.speed,x=(1-d.opacity)/(N*d.trail/100),E=N/d.lines;(function v(){n++;for(var a=0;a<d.lines;a++)r=Math.max(1-(n+(d.lines-a)*E)%N*x,d.opacity),b.opacity(g,a*d.direction+f,r,d);b.timeout=b.el&&setTimeout(v,~~(1E3/u))})()}return b},stop:function(){var a=this.el;a&&(clearTimeout(this.timeout),a.parentNode&&a.parentNode.removeChild(a),this.el=void 0);return this},lines:function(a,c){function d(a,b){return e(h(),{position:"absolute",width:c.length+
c.width+"px",height:c.width+"px",background:a,boxShadow:b,transformOrigin:"left",transform:"rotate("+~~(360/c.lines*g+c.rotate)+"deg) translate("+c.radius+"px,0)",borderRadius:(c.corners*c.width>>1)+"px"})}for(var g=0,k=(c.lines-1)*(1-c.direction)/2,l;g<c.lines;g++)l=e(h(),{position:"absolute",top:1+~(c.width/2)+"px",transform:c.hwaccel?"translate3d(0,0,0)":"",opacity:c.opacity,animation:p&&b(c.opacity,c.trail,k+g*c.direction,c.lines)+" "+1/c.speed+"s linear infinite"}),c.shadow&&f(l,e(d("#000","0 0 4px #000"),
{top:"2px"})),f(a,f(l,d(c.color,"0 0 1px rgba(0,0,0,.1)")));return a},opacity:function(a,c,b){c<a.childNodes.length&&(a.childNodes[c].style.opacity=b)}});var n=e(h("group"),{behavior:"url(#default#VML)"});!a(n,"transform")&&n.adj?m():p=a(n,"animation");return g});(function(h){function f(a){var b=a||window.event,c=[].slice.call(arguments,1),g=0,m=0,k=0;a=h.event.fix(b);a.type="mousewheel";b.wheelDelta&&(g=b.wheelDelta/120);b.detail&&(g=-b.detail/3);k=g;void 0!==b.axis&&b.axis===b.HORIZONTAL_AXIS&&(k=0,m=-1*g);void 0!==b.wheelDeltaY&&(k=b.wheelDeltaY/120);void 0!==b.wheelDeltaX&&(m=-1*b.wheelDeltaX/120);c.unshift(a,g,m,k);return(h.event.dispatch||h.event.handle).apply(this,c)}var b=["DOMMouseScroll","mousewheel"];if(h.event.fixHooks)for(var a=b.length;a;)h.event.fixHooks[b[--a]]=
h.event.mouseHooks;h.event.special.mousewheel={setup:function(){if(this.addEventListener)for(var a=b.length;a;)this.addEventListener(b[--a],f,!1);else this.onmousewheel=f},teardown:function(){if(this.removeEventListener)for(var a=b.length;a;)this.removeEventListener(b[--a],f,!1);else this.onmousewheel=null}};h.fn.extend({mousewheel:function(a){return a?this.bind("mousewheel",a):this.trigger("mousewheel")},unmousewheel:function(a){return this.unbind("mousewheel",a)}})})(jQuery);(function(h,f){"$:nomunge";var b=h.jQuery||h.Cowboy||(h.Cowboy={}),a;b.throttle=a=function(a,d,c,g){function m(){function b(){l=+new Date;c.apply(r,q)}function m(){k=f}var r=this,n=+new Date-l,q=arguments;g&&!k&&b();k&&clearTimeout(k);g===f&&n>a?b():!0!==d&&(k=setTimeout(g?m:b,g===f?a-n:a))}var k,l=0;"boolean"!==typeof d&&(g=c,c=d,d=f);b.guid&&(m.guid=c.guid=c.guid||b.guid++);return m};b.debounce=function(b,d,c){return c===f?a(b,d,!1):a(b,c,!1!==d)}})(this);/*

 Software from "jQuery Idle", a jQuery plugin that executes a callback function
 if the user is idle, is Copyright (c) 2011-2013 Henrique Boaventura and is
 provided under the following license (the jQuery Idle software has been modified):
 --
 Permission is hereby granted, free of charge, to any person obtaining a copy
 of this software and associated documentation files (the "Software"), to deal
 in the Software without restriction, including without limitation the rights
 to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in
 all copies or substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 THE SOFTWARE.
 --
*/
(function(h){h.fn.idle=function(f){var b=!1,a=h.extend({},{idle:6E4,events:"mousemove keydown DOMMouseScroll mousewheel mousedown touchstart touchmove",onIdle:function(){},onActive:function(){},keepTracking:!1},f),e,d=h(this),c=!1,g=function(d){c||(b&&(a.onActive.call(),b=!1),k())},m=function(){d.off(a.events,g);clearTimeout(e);c=!0},k=function(){b=!1;clearTimeout(e);l()},l=function(){e=setTimeout(function(){b=!0;m();a.onIdle.call();a.keepTracking&&setTimeout(function(){d.on(a.events,g);c=!1;l(a)},
0)},a.idle);p.timerId=e},p={cancel:m,reset:k};l(a);d.on(a.events,g);return p}})(jQuery);/*

 Autosize v1.17.7 - 2013-09-03
 Automatically adjust textarea height based on user input.
 (c) 2013 Jack Moore - http://www.jacklmoore.com/autosize
 license: http://www.opensource.org/licenses/mit-license.php
 ---
 Permission is hereby granted, free of charge, to any person obtaining a copy
 of this software and associated documentation files (the "Software"), to deal
 in the Software without restriction, including without limitation the rights
 to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in
 all copies or substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 THE SOFTWARE.
*/
(function(h){"function"===typeof define&&define.amd?define(["jquery"],h):h(window.jQuery||window.$)})(function(h){var f={className:"autosizejs",append:"",callback:!1,resizeDelay:10},b="fontFamily fontSize fontWeight fontStyle letterSpacing textTransform wordSpacing textIndent".split(" "),a,e=h('<textarea tabindex="-1" style="position:absolute; top:-999px; left:0; right:auto; bottom:auto; border:0; padding: 0; -moz-box-sizing:content-box; -webkit-box-sizing:content-box; box-sizing:content-box; word-wrap:break-word; height:0 !important; min-height:0 !important; overflow:hidden; transition:none; -webkit-transition:none; -moz-transition:none;"/>').data("autosize",
!0)[0];e.style.lineHeight="99px";"99px"===h(e).css("lineHeight")&&b.push("lineHeight");e.style.lineHeight="";h.fn.autosize=function(d){d=h.extend({},f,d||{});e.parentNode!==document.body&&h(document.body).append(e);return this.each(function(){function c(){var a,c;"getComputedStyle"in window?(a=window.getComputedStyle(l),c=l.getBoundingClientRect().width,h.each(["paddingLeft","paddingRight","borderLeftWidth","borderRightWidth"],function(b,d){c-=parseInt(a[d],10)}),e.style.width=c+"px"):e.style.width=
Math.max(p.width(),0)+"px"}function g(){var g={};a=l;e.className=d.className;f=parseInt(p.css("maxHeight"),10);h.each(b,function(a,c){g[c]=p.css(c)});h(e).css(g);c();if(window.chrome){var k=l.style.width;l.style.width="0px";l.style.width=k}}function m(){var b,k;a!==l?g():c();e.value=l.value+d.append;e.style.overflowY=l.style.overflowY;k=parseInt(l.style.height,10);e.scrollTop=0;e.scrollTop=9E4;b=e.scrollTop;f&&b>f?(l.style.overflowY="scroll",b=f):(l.style.overflowY="hidden",b<r&&(b=r));b+=n;k!==b&&
(l.style.height=b+"px",q&&d.callback.call(l,l))}function k(){clearTimeout(t);t=setTimeout(function(){var a=p.width();a!==w&&(w=a,m())},parseInt(d.resizeDelay,10))}var l=this,p=h(l),f,r,n=0,q=h.isFunction(d.callback),s={height:l.style.height,overflow:l.style.overflow,overflowY:l.style.overflowY,wordWrap:l.style.wordWrap,resize:l.style.resize},t,w=p.width();if(!p.data("autosize")){p.data("autosize",!0);if("border-box"===p.css("box-sizing")||"border-box"===p.css("-moz-box-sizing")||"border-box"===p.css("-webkit-box-sizing"))n=
p.outerHeight()-p.height();r=Math.max(parseInt(p.css("minHeight"),10)-n||0,p.height());p.css({overflow:"hidden",overflowY:"hidden",wordWrap:"break-word",resize:"none"===p.css("resize")||"vertical"===p.css("resize")?"none":"horizontal"});if("onpropertychange"in l)if("oninput"in l)p.on("input.autosize keyup.autosize",m);else p.on("propertychange.autosize",function(){"value"===event.propertyName&&m()});else p.on("input.autosize",m);if(!1!==d.resizeDelay)h(window).on("resize.autosize",k);p.on("autosize.resize",
m);p.on("autosize.resizeIncludeStyle",function(){a=null;m()});p.on("autosize.destroy",function(){a=null;clearTimeout(t);h(window).off("resize",k);p.off("autosize").off(".autosize").css(s).removeData("autosize")});m()}})}});(function(h){"function"===typeof define&&define.amd?define(["jquery"],h):h(jQuery)})(function(h){var f={wheelSpeed:10,wheelPropagation:!1,minScrollbarLength:null,useBothWheelAxes:!1,useKeyboard:!0,suppressScrollX:!1,suppressScrollY:!1,scrollXMarginOffset:0,scrollYMarginOffset:0},b=function(){var a=0;return function(){var b=a;a+=1;return".perfect-scrollbar-"+b}}();h.fn.perfectScrollbar=function(a,e){return this.each(function(){var d=h.extend(!0,{},f),c=h(this);"object"===typeof a?h.extend(!0,d,a):
e=a;if("update"===e)return c.data("perfect-scrollbar-update")&&c.data("perfect-scrollbar-update")(),c;if("destroy"===e)return c.data("perfect-scrollbar-destroy")&&c.data("perfect-scrollbar-destroy")(),c;if(c.data("perfect-scrollbar"))return c.data("perfect-scrollbar");c.addClass("ps-container");var g=h("<div class='ps-scrollbar-x-rail'></div>").appendTo(c),m=h("<div class='ps-scrollbar-y-rail'></div>").appendTo(c),k=h("<div class='ps-scrollbar-x'></div>").appendTo(g),l=h("<div class='ps-scrollbar-y'></div>").appendTo(m),
p,u,r,n,q,s,t,w,D=parseInt(g.css("bottom"),10),A,B,C=parseInt(m.css("right"),10),y=b(),G=function(a){d.minScrollbarLength&&(a=Math.max(a,d.minScrollbarLength));return a},J=function(){g.css({left:c.scrollLeft(),bottom:D-c.scrollTop(),width:r,display:p?"inherit":"none"});m.css({top:c.scrollTop(),right:C-c.scrollLeft(),height:n,display:u?"inherit":"none"});k.css({left:w,width:t});l.css({top:B,height:A})},N=function(){r=c.width();n=c.height();q=c.prop("scrollWidth");s=c.prop("scrollHeight");!d.suppressScrollX&&
r+d.scrollXMarginOffset<q?(p=!0,t=G(parseInt(r*r/q,10)),w=parseInt(c.scrollLeft()*(r-t)/(q-r),10)):(p=!1,w=t=0,c.scrollLeft(0));!d.suppressScrollY&&n+d.scrollYMarginOffset<s?(u=!0,A=G(parseInt(n*n/s,10)),B=parseInt(c.scrollTop()*(n-A)/(s-n),10)):(u=!1,B=A=0,c.scrollTop(0));B>=n-A&&(B=n-A);w>=r-t&&(w=r-t);J()},x=function(){var a,b;k.bind("mousedown"+y,function(c){b=c.pageX;a=k.position().left;g.addClass("in-scrolling");c.stopPropagation();c.preventDefault()});h(document).bind("mousemove"+y,function(d){if(g.hasClass("in-scrolling")){var e=
a+(d.pageX-b),k=r-t;w=0>e?0:e>k?k:e;e=parseInt(w*(q-r)/(r-t),10);c.scrollLeft(e);m.css({right:C-e});d.stopPropagation();d.preventDefault()}});h(document).bind("mouseup"+y,function(a){g.hasClass("in-scrolling")&&g.removeClass("in-scrolling")});a=b=null},E=function(){var a,b;l.bind("mousedown"+y,function(c){b=c.pageY;a=l.position().top;m.addClass("in-scrolling");c.stopPropagation();c.preventDefault()});h(document).bind("mousemove"+y,function(d){if(m.hasClass("in-scrolling")){var e=a+(d.pageY-b),k=n-
A;B=0>e?0:e>k?k:e;e=parseInt(B*(s-n)/(n-A),10);c.scrollTop(e);g.css({bottom:D-e});d.stopPropagation();d.preventDefault()}});h(document).bind("mouseup"+y,function(a){m.hasClass("in-scrolling")&&m.removeClass("in-scrolling")});a=b=null},M=function(a,b){var e=c.scrollTop();if(0===a){if(!u)return!1;if(0===e&&0<b||e>=s-n&&0>b)return!d.wheelPropagation}e=c.scrollLeft();if(0===b){if(!p)return!1;if(0===e&&0>a||e>=q-r&&0<a)return!d.wheelPropagation}return!0},v=function(){var a=!1;c.bind("mousewheel"+y,function(b,
e,g,k){e=b.deltaX?b.deltaX/10:g;k=b.deltaY?b.deltaY/10:k;d.useBothWheelAxes?u&&!p?k?c.scrollTop(c.scrollTop()-k*d.wheelSpeed):c.scrollTop(c.scrollTop()+e*d.wheelSpeed):p&&!u&&(e?c.scrollLeft(c.scrollLeft()+e*d.wheelSpeed):c.scrollLeft(c.scrollLeft()-k*d.wheelSpeed)):(c.scrollTop(c.scrollTop()-k*d.wheelSpeed),c.scrollLeft(c.scrollLeft()+e*d.wheelSpeed));N();(a=M(e,k))&&b.preventDefault()});c.bind("MozMousePixelScroll"+y,function(c){a&&c.preventDefault()})},F=function(){var a=!1;c.bind("mouseenter"+
y,function(c){a=!0});c.bind("mouseleave"+y,function(c){a=!1});var b=!1;h(document).bind("keydown"+y,function(e){if(a&&!h(document.activeElement).is(":input,[contenteditable]")){var g=0,k=0;switch(e.which){case 37:g=-3;break;case 38:k=3;break;case 39:g=3;break;case 40:k=-3;break;case 33:k=9;break;case 32:case 34:k=-9;break;case 35:k=-n;break;case 36:k=n;break;default:return}c.scrollTop(c.scrollTop()-k*d.wheelSpeed);c.scrollLeft(c.scrollLeft()+g*d.wheelSpeed);(b=M(g,k))&&e.preventDefault()}})},H=function(){var a=
function(a){a.stopPropagation()};l.bind("click"+y,a);m.bind("click"+y,function(a){var b=parseInt(A/2,10);a=(a.pageY-m.offset().top-b)/(n-A);0>a?a=0:1<a&&(a=1);c.scrollTop((s-n)*a)});k.bind("click"+y,a);g.bind("click"+y,function(a){var b=parseInt(t/2,10);a=(a.pageX-g.offset().left-b)/(r-t);0>a?a=0:1<a&&(a=1);c.scrollLeft((q-r)*a)})},K=function(){var a=function(a,b){c.scrollTop(c.scrollTop()-b);c.scrollLeft(c.scrollLeft()-a);N()},b={},d=0,e,g,k=null,l=!1;h(window).bind("touchstart"+y,function(a){l=
!0});h(window).bind("touchend"+y,function(a){l=!1});c.bind("touchstart"+y,function(a){var c=a.originalEvent.targetTouches[0];b.pageX=c.pageX;b.pageY=c.pageY;d=(new Date).getTime();null!==k&&clearInterval(k);a.stopPropagation()});c.bind("touchmove"+y,function(c){if(!l&&1===c.originalEvent.targetTouches.length){var k=c.originalEvent.targetTouches[0],m={};m.pageX=k.pageX;m.pageY=k.pageY;var k=m.pageX-b.pageX,p=m.pageY-b.pageY;a(k,p);b=m;var m=(new Date).getTime(),n=m-d;0<n&&(e=k/n,g=p/n,d=m);c.preventDefault()}});
c.bind("touchend"+y,function(c){clearInterval(k);k=setInterval(function(){0.01>Math.abs(e)&&0.01>Math.abs(g)?clearInterval(k):(a(30*e,30*g),e*=0.8,g*=0.8)},10)})},z=function(){c.bind("scroll"+y,function(a){N()})},I=function(){c.unbind(y);h(window).unbind(y);h(document).unbind(y);c.data("perfect-scrollbar",null);c.data("perfect-scrollbar-update",null);c.data("perfect-scrollbar-destroy",null);k.remove();l.remove();g.remove();m.remove();k=l=r=n=q=s=t=w=D=A=B=C=null},P=function(a){c.addClass("ie").addClass("ie"+
a);var b=function(){J=function(){k.css({left:w+c.scrollLeft(),bottom:D,width:t});l.css({top:B+c.scrollTop(),right:C,height:A});k.hide().show();l.hide().show()}};6===a&&(function(){var a=function(){h(this).addClass("hover")},b=function(){h(this).removeClass("hover")};c.bind("mouseenter"+y,a).bind("mouseleave"+y,b);g.bind("mouseenter"+y,a).bind("mouseleave"+y,b);m.bind("mouseenter"+y,a).bind("mouseleave"+y,b);k.bind("mouseenter"+y,a).bind("mouseleave"+y,b);l.bind("mouseenter"+y,a).bind("mouseleave"+
y,b)}(),b())},L="ontouchstart"in window||window.DocumentTouch&&document instanceof window.DocumentTouch;(function(){var a=navigator.userAgent.toLowerCase().match(/(msie) ([\w.]+)/);a&&"msie"===a[1]&&P(parseInt(a[2],10));N();z();x();E();H();L&&K();c.mousewheel&&v();d.useKeyboard&&F();c.data("perfect-scrollbar",c);c.data("perfect-scrollbar-update",N);c.data("perfect-scrollbar-destroy",I)})();return c})}});/*

 Software from "LazyLoad" is Copyright (c) 2011 Ryan Grove <ryan@wonko.com>
 and is provided under the following license:
 --
 Permission is hereby granted, free of charge, to any person obtaining a copy of
 this software and associated documentation files (the 'Software'), to deal in
 the Software without restriction, including without limitation the rights to
 use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of
 the Software, and to permit persons to whom the Software is furnished to do so,
 subject to the following conditions:

 The above copyright notice and this permission notice shall be included in all
 copies or substantial portions of the Software.

 THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
 FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
 COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
 IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
 CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 --
/**

/**
LazyLoad makes it easy and painless to lazily load one or more external
JavaScript or CSS files on demand either during or after the rendering of a web
page.

Supported browsers include Firefox 2+, IE6+, Safari 3+ (including Mobile
Safari), Google Chrome, and Opera 9+. Other browsers may or may not work and
are not officially supported.

Visit https://github.com/rgrove/lazyload/ for more info.

@module lazyload
@class LazyLoad
@static
*/
LazyLoad=function(h){function f(a,c){var b=h.createElement(a),d;for(d in c)c.hasOwnProperty(d)&&b.setAttribute(d,c[d]);return b}function b(a){var c=k[a],b,d;c&&(b=c.callback,d=c.urls,d.shift(),l=0,d.length||(b&&b.call(c.context,c.obj),k[a]=null,p[a].length&&e(a)))}function a(){var a=navigator.userAgent;g={async:!0===h.createElement("script").async};(g.webkit=/AppleWebKit\//.test(a))||(g.ie=/MSIE|Trident/.test(a))||(g.opera=/Opera/.test(a))||(g.gecko=/Gecko\//.test(a))||(g.unknown=!0)}function e(e,
l,q,u,t){var w=function(){b(e)},D="css"===e,A=[],B,C,y,G;g||a();if(l)if(l="string"===typeof l?[l]:l.concat(),D||g.async||g.gecko||g.opera)p[e].push({urls:l,callback:q,obj:u,context:t});else{B=0;for(C=l.length;B<C;++B)p[e].push({urls:[l[B]],callback:B===C-1?q:null,obj:u,context:t})}if(!k[e]&&(G=k[e]=p[e].shift())){m||(m=h.head||h.getElementsByTagName("head")[0]);l=G.urls;B=0;for(C=l.length;B<C;++B)q=l[B],D?y=g.gecko?f("style"):f("link",{href:q,rel:"stylesheet"}):(y=f("script",{src:q}),y.async=!1),
y.className="lazyload",y.setAttribute("charset","utf-8"),g.ie&&!D&&"onreadystatechange"in y&&!("draggable"in y)?y.onreadystatechange=function(){/loaded|complete/.test(y.readyState)&&(y.onreadystatechange=null,w())}:D&&(g.gecko||g.webkit)?g.webkit?(G.urls[B]=y.href,c()):(y.innerHTML='@import "'+q+'";',d(y)):y.onload=y.onerror=w,A.push(y);B=0;for(C=A.length;B<C;++B)m.appendChild(A[B])}}function d(a){var c;try{c=!!a.sheet.cssRules}catch(e){l+=1;200>l?setTimeout(function(){d(a)},50):c&&b("css");return}b("css")}
function c(){var a=k.css,d;if(a){for(d=u.length;0<=--d;)if(u[d].href===a.urls[0]){b("css");break}l+=1;a&&(200>l?setTimeout(c,50):b("css"))}}var g,m,k={},l=0,p={css:[],js:[]},u=h.styleSheets;return{css:function(a,c,b,d){e("css",a,c,b,d)},js:function(a,c,b,d){e("js",a,c,b,d)}}}(this.document);(function(h,f,b){function a(a,c,b){for(var d=[],e=0;e<a.length;e++){var g=tinycolor(a[e]),k=0.5>g.toHsl().l?"sp-thumb-el sp-thumb-dark":"sp-thumb-el sp-thumb-light",k=k+(tinycolor.equals(c,a[e])?" sp-thumb-active":""),l=q?"background-color:"+g.toRgbString():"filter:"+g.toFilter();d.push('<span title="'+g.toHexString()+'" data-color="'+g.toRgbString()+'" class="'+k+'"><span class="sp-thumb-inner" style="'+l+';" /></span>')}return"<div class='sp-cf "+b+"'>"+d.join("")+"</div>"}function e(a,c){var b=
f.extend({},u,a);b.callbacks={move:k(b.move,c),change:k(b.change,c),show:k(b.show,c),hide:k(b.hide,c),beforeShow:k(b.beforeShow,c)};return b}function d(b,d){function g(a){Oa&&(ca.push(tinycolor(a).toHexString()),fa&&h.localStorage&&(h.localStorage[fa]=ca.join(",")))}function k(){var a=[],c=ca,b={};if(X){for(var d=0;d<ia.length;d++)for(var e=0;e<ia[d].length;e++){var g=tinycolor(ia[d][e]).toHexString();b[g]=!0}for(d=0;d<c.length;d++)g=tinycolor(c[d]).toHexString(),b.hasOwnProperty(g)||(a.push(c[d]),
b[g]=!0)}return a.reverse().slice(0,L.maxSelectionSize)}function u(){var c=F(),b=f.map(ia,function(b,d){return a(b,c,"sp-palette-row sp-palette-row-"+d)});ca&&b.push(a(k(),c,"sp-palette-row sp-palette-row-selection"));Da.html(b.join(""))}function y(){if(ya){var b=V,c=F();Ea.html(a([b,c],c,"sp-palette-row-initial"))}}function G(){(0===T||0===ba||0===ga)&&P();O.addClass(Fa)}function J(){O.removeClass(Fa)}function N(){var a=tinycolor(R.val());a.ok?v(a):R.addClass("sp-validation-error")}function x(){aa?
M():E()}function E(){if(aa)P();else if(!1!==Z.beforeShow(F())){for(var a=0;a<r.length;a++)r[a]&&r[a].hide();aa=!0;f(ja).bind("click.spectrum",M);f(h).bind("resize.spectrum",Ca);Y.addClass("sp-active");O.show();X&&u();P();K();V=F();y();Z.show(V)}}function M(a){if((!a||!("click"==a.type&&2==a.button))&&aa&&!Q)aa=!1,f(ja).unbind("click.spectrum",M),f(h).unbind("resize.spectrum",Ca),Y.removeClass("sp-active"),O.hide(),tinycolor.equals(F(),V)||(Pa&&"cancel"!==a?I(!0):v(V,!0)),Z.hide(F())}function v(a,
c){if(!tinycolor.equals(a,F())){var b=tinycolor(a),d=b.toHsv();da=d.h;ka=d.s;la=d.v;S=d.a;K();c||(ma=qa||b.format)}}function F(){return tinycolor.fromRatio({h:da,s:ka,v:la,a:Math.round(100*S)/100})}function H(){K();Z.move(F())}function K(){R.removeClass("sp-validation-error");z();var a=tinycolor({h:da,s:"1.0",v:"1.0"});na.css("background-color",a.toHexString());a=ma;if(1>S&&("hex"===a||"name"===a))a="rgb";var b=F(),c=b.toHexString(),d=b.toRgbString();q||1===b.alpha?ra.css("background-color",d):(ra.css("background-color",
"transparent"),ra.css("filter",b.toFilter()));if(Ba){d=b.toRgb();d.a=0;var d=tinycolor(d).toRgbString(),e="linear-gradient(left, "+d+", "+c+")";n?ea.css("filter",tinycolor(d).toFilter({gradientType:1},c)):(ea.css("background","-webkit-"+e),ea.css("background","-moz-"+e),ea.css("background","-ms-"+e),ea.css("background",e))}if(Aa){if(1>S&&("hex"===a||"name"===a))a="rgb";R.val(b.toString(a))}X&&u();y()}function z(){var a=ka*ba,b=T-la*T,a=Math.max(-U,Math.min(ba-U,a-U)),b=Math.max(-U,Math.min(T-U,b-
U));Ga.css({top:b,left:a});Ha.css({left:S*sa-Ia/2});Ja.css({top:da*ga-Ka})}function I(a){var b=F();ta&&W.val(b.toString(ma)).change();var c=!tinycolor.equals(b,V);V=b;g(b);a&&c&&Z.change(b)}function P(){ba=na.width();T=na.height();U=Ga.height();ua.width();ga=ua.height();Ka=Ja.height();sa=La.width();Ia=Ha.width();Q||O.offset(c(O,va));z()}var L=e(d,b),Q=L.flat,ha=L.showPaletteOnly,X=L.showPalette||ha,ya=L.showInitial&&!Q,Aa=L.showInput,Ba=L.showAlpha,Oa=L.showSelectionPalette,fa=L.localStorageKey,za=
L.theme,Z=L.callbacks,Ca=p(P,10),aa=!1,ba=0,T=0,U=0,ga=0,sa=0,Ia=0,Ka=0,da=0,ka=0,la=0,S=1,wa=L.palette.slice(0),ia=f.isArray(wa[0])?wa:[wa],ca=L.selectionPalette.slice(0),Fa="sp-dragging",ja=b.ownerDocument,Qa=L.container||ja.body,W=f(b),O=f(t,ja).addClass(za),na=O.find(".sp-color"),Ga=O.find(".sp-dragger"),ua=O.find(".sp-hue"),Ja=O.find(".sp-slider"),ea=O.find(".sp-alpha-inner"),La=O.find(".sp-alpha"),Ha=O.find(".sp-alpha-handle"),R=O.find(".sp-input"),Da=O.find(".sp-palette"),Ea=O.find(".sp-initial"),
Ma=O.find(".sp-cancel"),Na=O.find(".sp-choose"),ta=W.is("input"),xa=ta&&!Q,Y=xa?f(s).addClass(za):f([]),va=xa?Y:W,ra=Y.find(".sp-preview-inner"),oa=L.color||ta&&W.val(),V=!1,qa=L.preferredFormat,ma=qa,Pa=!L.showButtons||L.clickoutFiresChange;Na.text(L.chooseText);Ma.text(L.cancelText);(function(){function a(b){b.data&&b.data.ignore?(v(f(this).data("color")),H()):(v(f(this).data("color")),I(!0),H(),M());return!1}n&&O.find("*:not(input)").attr("unselectable","on");O.toggleClass("sp-flat",Q);O.toggleClass("sp-input-disabled",
!Aa);O.toggleClass("sp-alpha-enabled",Ba);O.toggleClass("sp-buttons-disabled",!L.showButtons||Q);O.toggleClass("sp-palette-disabled",!X);O.toggleClass("sp-palette-only",ha);O.toggleClass("sp-initial-disabled",!ya);O.addClass(L.className);xa&&W.hide().after(Y);Q?W.after(O).hide():f(Qa).append(O.hide());if(fa&&h.localStorage)try{ca=h.localStorage[fa].split(",")}catch(b){}va.bind("click.spectrum touchstart.spectrum",function(a){x();a.stopPropagation();f(a.target).is("input")||a.preventDefault()});O.click(m);
R.change(N);R.bind("paste",function(){setTimeout(N,1)});R.keydown(function(a){13==a.keyCode&&N()});Ma.bind("click.spectrum",function(a){a.stopPropagation();a.preventDefault();M("cancel")});Na.bind("click.spectrum",function(a){a.stopPropagation();a.preventDefault();R.hasClass("sp-validation-error")||(I(!0),M())});l(La,function(a,b,c){S=a/sa;c.shiftKey&&(S=Math.round(10*S)/10);H()});l(ua,function(a,b){da=b/ga;H()},G,J);l(na,function(a,b){ka=a/ba;la=(T-b)/T;H()},G,J);oa?(v(oa),K(),ma=qa||tinycolor(oa).format,
g(oa)):K();Q&&E();var c=n?"mousedown.spectrum":"click.spectrum touchstart.spectrum";Da.delegate(".sp-thumb-el",c,a);Ea.delegate(".sp-thumb-el::nth-child(1)",c,{ignore:!0},a)})();var pa={show:E,hide:M,toggle:x,reflow:P,set:function(a){v(a);I()},get:F,destroy:function(){W.show();va.unbind("click.spectrum touchstart.spectrum");O.remove();Y.remove();r[pa.id]=null},container:O};pa.id=r.push(pa)-1;return pa}function c(a,b){var c=a.outerWidth(),d=a.outerHeight();b.outerWidth();var e=b.outerHeight(),g=a[0].ownerDocument,
k=g.documentElement,l=k.clientWidth+f(g).scrollLeft(),g=k.clientHeight+f(g).scrollTop(),k=b.offset();k.top+=e;k.left-=Math.min(k.left,k.left+c>l&&l>c?Math.abs(k.left+c-l):0);k.top-=Math.min(k.top,k.top+d>g&&g>d?Math.abs(d+e-0):0);return k}function g(){}function m(a){a.stopPropagation()}function k(a,b){var c=Array.prototype.slice,d=c.call(arguments,2);return function(){return a.apply(b,d.concat(c.call(arguments)))}}function l(a,b,c,d){function e(a){a.stopPropagation&&a.stopPropagation();a.preventDefault&&
a.preventDefault();a.returnValue=!1}function g(c){if(m){if(n&&!(9<=document.documentMode)&&!c.button)return k();var d=c.originalEvent.touches,l=d?d[0].pageY:c.pageY,d=Math.max(0,Math.min((d?d[0].pageX:c.pageX)-p.left,u)),l=Math.max(0,Math.min(l-p.top,q));r&&e(c);b.apply(a,[d,l,c])}}function k(){m&&(f(l).unbind(s),f(l.body).removeClass("sp-dragging"),d.apply(a,arguments));m=!1}b=b||function(){};c=c||function(){};d=d||function(){};var l=a.ownerDocument||document,m=!1,p={},q=0,u=0,r="ontouchstart"in
h,s={};s.selectstart=e;s.dragstart=e;s[r?"touchmove":"mousemove"]=g;s[r?"touchend":"mouseup"]=k;f(a).bind(r?"touchstart":"mousedown",function(b){if(!(b.which?3==b.which:2==b.button)&&!m&&!1!==c.apply(a,arguments))m=!0,q=f(a).height(),u=f(a).width(),p=f(a).offset(),f(l).bind(s),f(l.body).addClass("sp-dragging"),r||g(b),e(b)})}function p(a,b,c){var d;return function(){var e=this,g=arguments,k=function(){d=null;a.apply(e,g)};c&&clearTimeout(d);if(c||!d)d=setTimeout(k,b)}}var u={beforeShow:g,move:g,change:g,
show:g,hide:g,color:!1,flat:!1,showInput:!1,showButtons:!0,clickoutFiresChange:!1,showInitial:!1,showPalette:!1,showPaletteOnly:!1,showSelectionPalette:!0,localStorageKey:!1,maxSelectionSize:7,cancelText:"cancel",chooseText:"choose",preferredFormat:!1,className:"",showAlpha:!1,theme:"sp-light",palette:["fff","000"],selectionPalette:[],container:null},r=[],n=!!/msie/i.exec(h.navigator.userAgent),q=function(){var a=document.createElement("div").style;a.cssText="background-color:rgba(0,0,0,.5)";return!!~(""+
a.backgroundColor).indexOf("rgba")||!!~(""+a.backgroundColor).indexOf("hsla")}(),s="<div class='sp-replacer'><div class='sp-preview'><div class='sp-preview-inner'></div></div><div class='sp-dd'>&#9660;</div></div>",t=function(){var a="";if(n)for(var b=1;6>=b;b++)a+="<div class='sp-"+b+"'></div>";return["<div class='sp-container'><div class='sp-palette-container'><div class='sp-palette sp-thumb sp-cf'></div></div><div class='sp-picker-container'><div class='sp-top sp-cf'><div class='sp-fill'></div><div class='sp-top-inner'><div class='sp-color'><div class='sp-sat'><div class='sp-val'><div class='sp-dragger'></div></div></div></div><div class='sp-hue'><div class='sp-slider'></div>",
a,"</div></div><div class='sp-alpha'><div class='sp-alpha-inner'><div class='sp-alpha-handle'></div></div></div></div><div class='sp-input-container sp-cf'><input class='sp-input' type='text' spellcheck='false'  /></div><div class='sp-initial sp-thumb sp-cf'></div><div class='sp-button-container sp-cf'><a class='sp-cancel' href='#'></a><button class='sp-choose'></button></div></div></div>"].join("")}();f.fn.spectrum=function(a,b){return"string"==typeof a?"get"==a?r[this.eq(0).data("spectrum.id")].get():
"container"==a?r[f(this).data("spectrum.id")].container:this.each(function(){var c=r[f(this).data("spectrum.id")];c&&("show"==a&&c.show(),"hide"==a&&c.hide(),"toggle"==a&&c.toggle(),"reflow"==a&&c.reflow(),"set"==a&&c.set(b),"destroy"==a&&(c.destroy(),f(this).removeData("spectrum.id")))}):this.spectrum("destroy").each(function(){var b=d(this,a);f(this).data("spectrum.id",b.id)})};f.fn.spectrum.load=!0;f.fn.spectrum.loadOpts={};f.fn.spectrum.draggable=l;f.fn.spectrum.defaults=u;f.fn.spectrum.processNativeColorInputs=
function(){var a=f("<input type='color' value='!' />")[0];"color"===a.type&&"!"!=a.value||f("input[type=color]").spectrum({preferredFormat:"hex6"})};(function(a){function b(a,e){if("object"==typeof a&&a.hasOwnProperty("_tc_id"))return a;var l=c(a),p=l.r,n=l.g,q=l.b,r=t(l.a);return{ok:l.ok,format:l.format,_tc_id:f++,alpha:r,toHsv:function(){var a=g(p,n,q);return{h:a.h,s:a.s,v:a.v,a:r}},toHsvString:function(){var a=g(p,n,q),b=u(360*a.h),c=u(100*a.s),a=u(100*a.v);return 1==r?"hsv("+b+", "+c+"%, "+a+
"%)":"hsva("+b+", "+c+"%, "+a+"%, "+r+")"},toHsl:function(){var a=d(p,n,q);return{h:a.h,s:a.s,l:a.l,a:r}},toHslString:function(){var a=d(p,n,q),b=u(360*a.h),c=u(100*a.s),a=u(100*a.l);return 1==r?"hsl("+b+", "+c+"%, "+a+"%)":"hsla("+b+", "+c+"%, "+a+"%, "+r+")"},toHex:function(){return k(p,n,q)},toHexString:function(a){return"#"+k(p,n,q,a)},toRgb:function(){return{r:u(p),g:u(n),b:u(q),a:r}},toRgbString:function(){return 1==r?"rgb("+u(p)+", "+u(n)+", "+u(q)+")":"rgba("+u(p)+", "+u(n)+", "+u(q)+", "+
r+")"},toName:function(){return L[k(p,n,q)]||!1},toFilter:function(a,c){var d=secondHex=k(p,n,q,!0),e=secondAlphaHex=Math.round(255*t(r)).toString(16),g=a&&a.gradientType?"GradientType = 1, ":"";if(c){var l=b(c);secondHex=l.toHex();secondAlphaHex=Math.round(255*t(l.alpha)).toString(16)}return"progid:DXImageTransform.Microsoft.gradient("+g+"startColorstr=#"+m(e)+d+",endColorstr=#"+m(secondAlphaHex)+secondHex+")"},toString:function(a){a=a||this.format;var b=!1;"rgb"===a&&(b=this.toRgbString());"hex"===
a&&(b=this.toHexString());"hex6"===a&&(b=this.toHexString(!0));"name"===a&&(b=this.toName());"hsl"===a&&(b=this.toHslString());"hsv"===a&&(b=this.toHsvString());return b||this.toHexString()}}}function c(a){var b={r:0,g:0,b:0},d=1,g=!1,k=!1;if("string"==typeof a)a:{a=a.replace(p,"").replace(n,"").toLowerCase();var m=!1;if(P[a])a=P[a],m=!0;else if("transparent"==a){a={r:0,g:0,b:0,a:0};break a}var f;a=(f=Q.rgb.exec(a))?{r:f[1],g:f[2],b:f[3]}:(f=Q.rgba.exec(a))?{r:f[1],g:f[2],b:f[3],a:f[4]}:(f=Q.hsl.exec(a))?
{h:f[1],s:f[2],l:f[3]}:(f=Q.hsla.exec(a))?{h:f[1],s:f[2],l:f[3],a:f[4]}:(f=Q.hsv.exec(a))?{h:f[1],s:f[2],v:f[3]}:(f=Q.hex6.exec(a))?{r:parseInt(f[1],16),g:parseInt(f[2],16),b:parseInt(f[3],16),format:m?"name":"hex"}:(f=Q.hex3.exec(a))?{r:parseInt(f[1]+""+f[1],16),g:parseInt(f[2]+""+f[2],16),b:parseInt(f[3]+""+f[3],16),format:m?"name":"hex"}:!1}if("object"==typeof a){if(a.hasOwnProperty("r")&&a.hasOwnProperty("g")&&a.hasOwnProperty("b"))b={r:255*l(a.r,255),g:255*l(a.g,255),b:255*l(a.b,255)},g=!0,k=
"rgb";else if(a.hasOwnProperty("h")&&a.hasOwnProperty("s")&&a.hasOwnProperty("v")){var k=a.h,m=a.s,b=a.v,k=6*l(k,360),m=l(m,100),b=l(b,100),g=q.floor(k),h=k-g,k=b*(1-m);f=b*(1-h*m);m=b*(1-(1-h)*m);g%=6;b={r:255*[b,f,k,k,m,b][g],g:255*[m,b,b,f,k,k][g],b:255*[k,k,m,b,b,f][g]};g=!0;k="hsv"}else a.hasOwnProperty("h")&&(a.hasOwnProperty("s")&&a.hasOwnProperty("l"))&&(b=e(a.h,a.s,a.l),g=!0,k="hsl");a.hasOwnProperty("a")&&(d=a.a)}b.r=r(255,s(b.r,0));b.g=r(255,s(b.g,0));b.b=r(255,s(b.b,0));1>b.r&&(b.r=u(b.r));
1>b.g&&(b.g=u(b.g));1>b.b&&(b.b=u(b.b));return{ok:g,format:a&&a.format||k,r:b.r,g:b.g,b:b.b,a:d}}function d(a,b,c){a=l(a,255);b=l(b,255);c=l(c,255);var e=s(a,b,c),g=r(a,b,c),k,m=(e+g)/2;if(e==g)k=g=0;else{var p=e-g,g=0.5<m?p/(2-e-g):p/(e+g);switch(e){case a:k=(b-c)/p+(b<c?6:0);break;case b:k=(c-a)/p+2;break;case c:k=(a-b)/p+4}k/=6}return{h:k,s:g,l:m}}function e(a,b,c){function d(a,b,c){0>c&&(c+=1);1<c&&(c-=1);return c<1/6?a+6*(b-a)*c:0.5>c?b:c<2/3?a+6*(b-a)*(2/3-c):a}a=l(a,360);b=l(b,100);c=l(c,100);
if(0==b)c=b=a=c;else{var g=0.5>c?c*(1+b):c+b-c*b,k=2*c-g;c=d(k,g,a+1/3);b=d(k,g,a);a=d(k,g,a-1/3)}return{r:255*c,g:255*b,b:255*a}}function g(a,b,c){a=l(a,255);b=l(b,255);c=l(c,255);var d=s(a,b,c),e=r(a,b,c),k,m=d-e;if(d==e)k=0;else{switch(d){case a:k=(b-c)/m+(b<c?6:0);break;case b:k=(c-a)/m+2;break;case c:k=(a-b)/m+4}k/=6}return{h:k,s:0==d?0:m/d,v:d}}function k(a,b,c,d){a=[m(u(a).toString(16)),m(u(b).toString(16)),m(u(c).toString(16))];return!d&&a[0].charAt(0)==a[0].charAt(1)&&a[1].charAt(0)==a[1].charAt(1)&&
a[2].charAt(0)==a[2].charAt(1)?a[0].charAt(0)+a[1].charAt(0)+a[2].charAt(0):a.join("")}function l(a,b){"string"==typeof a&&(-1!=a.indexOf(".")&&1===t(a))&&(a="100%");var c="string"===typeof a&&-1!=a.indexOf("%");a=r(b,s(0,t(a)));c&&(a*=b/100);return 1E-6>q.abs(a-b)?1:1<=a?a%b/t(b):a}function m(a){return 1==a.length?"0"+a:""+a}var p=/^[\s,#]+/,n=/\s+$/,f=0,q=Math,u=q.round,r=q.min,s=q.max,h=q.random,t=a.parseFloat;b.fromRatio=function(a){if("object"==typeof a)for(var c in a)1===a[c]&&(a[c]="1.0");
return b(a)};b.equals=function(a,c){return!a||!c?!1:b(a).toRgbString()==b(c).toRgbString()};b.random=function(){return b.fromRatio({r:h(),g:h(),b:h()})};b.desaturate=function(a,c){var d=b(a).toHsl();d.s-=(c||10)/100;d.s=r(1,s(0,d.s));return b(d)};b.saturate=function(a,c){var d=b(a).toHsl();d.s+=(c||10)/100;d.s=r(1,s(0,d.s));return b(d)};b.greyscale=function(a){return b.desaturate(a,100)};b.lighten=function(a,c){var d=b(a).toHsl();d.l+=(c||10)/100;d.l=r(1,s(0,d.l));return b(d)};b.darken=function(a,
c){var d=b(a).toHsl();d.l-=(c||10)/100;d.l=r(1,s(0,d.l));return b(d)};b.complement=function(a){a=b(a).toHsl();a.h=(a.h+0.5)%1;return b(a)};b.triad=function(a){var c=b(a).toHsl(),d=360*c.h;return[b(a),b({h:(d+120)%360,s:c.s,l:c.l}),b({h:(d+240)%360,s:c.s,l:c.l})]};b.tetrad=function(a){var c=b(a).toHsl(),d=360*c.h;return[b(a),b({h:(d+90)%360,s:c.s,l:c.l}),b({h:(d+180)%360,s:c.s,l:c.l}),b({h:(d+270)%360,s:c.s,l:c.l})]};b.splitcomplement=function(a){var c=b(a).toHsl(),d=360*c.h;return[b(a),b({h:(d+72)%
360,s:c.s,l:c.l}),b({h:(d+216)%360,s:c.s,l:c.l})]};b.analogous=function(a,c,d){c=c||6;d=d||30;var e=b(a).toHsl();d=360/d;a=[b(a)];e.h*=360;for(e.h=(e.h-(d*c>>1)+720)%360;--c;)e.h=(e.h+d)%360,a.push(b(e));return a};b.monochromatic=function(a,c){c=c||6;for(var d=b(a).toHsv(),e=d.h,g=d.s,d=d.v,k=[],l=1/c;c--;)k.push(b({h:e,s:g,v:d})),d=(d+l)%1;return k};b.readable=function(a,c){var d=b(a).toRgb(),e=b(c).toRgb();return 10404<(e.r-d.r)*(e.r-d.r)+(e.g-d.g)*(e.g-d.g)+(e.b-d.b)*(e.b-d.b)};var P=b.names={aliceblue:"f0f8ff",
antiquewhite:"faebd7",aqua:"0ff",aquamarine:"7fffd4",azure:"f0ffff",beige:"f5f5dc",bisque:"ffe4c4",black:"000",blanchedalmond:"ffebcd",blue:"00f",blueviolet:"8a2be2",brown:"a52a2a",burlywood:"deb887",burntsienna:"ea7e5d",cadetblue:"5f9ea0",chartreuse:"7fff00",chocolate:"d2691e",coral:"ff7f50",cornflowerblue:"6495ed",cornsilk:"fff8dc",crimson:"dc143c",cyan:"0ff",darkblue:"00008b",darkcyan:"008b8b",darkgoldenrod:"b8860b",darkgray:"a9a9a9",darkgreen:"006400",darkgrey:"a9a9a9",darkkhaki:"bdb76b",darkmagenta:"8b008b",
darkolivegreen:"556b2f",darkorange:"ff8c00",darkorchid:"9932cc",darkred:"8b0000",darksalmon:"e9967a",darkseagreen:"8fbc8f",darkslateblue:"483d8b",darkslategray:"2f4f4f",darkslategrey:"2f4f4f",darkturquoise:"00ced1",darkviolet:"9400d3",deeppink:"ff1493",deepskyblue:"00bfff",dimgray:"696969",dimgrey:"696969",dodgerblue:"1e90ff",firebrick:"b22222",floralwhite:"fffaf0",forestgreen:"228b22",fuchsia:"f0f",gainsboro:"dcdcdc",ghostwhite:"f8f8ff",gold:"ffd700",goldenrod:"daa520",gray:"808080",green:"008000",
greenyellow:"adff2f",grey:"808080",honeydew:"f0fff0",hotpink:"ff69b4",indianred:"cd5c5c",indigo:"4b0082",ivory:"fffff0",khaki:"f0e68c",lavender:"e6e6fa",lavenderblush:"fff0f5",lawngreen:"7cfc00",lemonchiffon:"fffacd",lightblue:"add8e6",lightcoral:"f08080",lightcyan:"e0ffff",lightgoldenrodyellow:"fafad2",lightgray:"d3d3d3",lightgreen:"90ee90",lightgrey:"d3d3d3",lightpink:"ffb6c1",lightsalmon:"ffa07a",lightseagreen:"20b2aa",lightskyblue:"87cefa",lightslategray:"789",lightslategrey:"789",lightsteelblue:"b0c4de",
lightyellow:"ffffe0",lime:"0f0",limegreen:"32cd32",linen:"faf0e6",magenta:"f0f",maroon:"800000",mediumaquamarine:"66cdaa",mediumblue:"0000cd",mediumorchid:"ba55d3",mediumpurple:"9370db",mediumseagreen:"3cb371",mediumslateblue:"7b68ee",mediumspringgreen:"00fa9a",mediumturquoise:"48d1cc",mediumvioletred:"c71585",midnightblue:"191970",mintcream:"f5fffa",mistyrose:"ffe4e1",moccasin:"ffe4b5",navajowhite:"ffdead",navy:"000080",oldlace:"fdf5e6",olive:"808000",olivedrab:"6b8e23",orange:"ffa500",orangered:"ff4500",
orchid:"da70d6",palegoldenrod:"eee8aa",palegreen:"98fb98",paleturquoise:"afeeee",palevioletred:"db7093",papayawhip:"ffefd5",peachpuff:"ffdab9",peru:"cd853f",pink:"ffc0cb",plum:"dda0dd",powderblue:"b0e0e6",purple:"800080",red:"f00",rosybrown:"bc8f8f",royalblue:"4169e1",saddlebrown:"8b4513",salmon:"fa8072",sandybrown:"f4a460",seagreen:"2e8b57",seashell:"fff5ee",sienna:"a0522d",silver:"c0c0c0",skyblue:"87ceeb",slateblue:"6a5acd",slategray:"708090",slategrey:"708090",snow:"fffafa",springgreen:"00ff7f",
steelblue:"4682b4",tan:"d2b48c",teal:"008080",thistle:"d8bfd8",tomato:"ff6347",turquoise:"40e0d0",violet:"ee82ee",wheat:"f5deb3",white:"fff",whitesmoke:"f5f5f5",yellow:"ff0",yellowgreen:"9acd32"},L=b.hexNames=function(a){var b={},c;for(c in a)a.hasOwnProperty(c)&&(b[a[c]]=c);return b}(P),Q={rgb:RegExp("rgb[\\s|\\(]+((?:[-\\+]?\\d*\\.\\d+%?)|(?:[-\\+]?\\d+%?))[,|\\s]+((?:[-\\+]?\\d*\\.\\d+%?)|(?:[-\\+]?\\d+%?))[,|\\s]+((?:[-\\+]?\\d*\\.\\d+%?)|(?:[-\\+]?\\d+%?))\\s*\\)?"),rgba:RegExp("rgba[\\s|\\(]+((?:[-\\+]?\\d*\\.\\d+%?)|(?:[-\\+]?\\d+%?))[,|\\s]+((?:[-\\+]?\\d*\\.\\d+%?)|(?:[-\\+]?\\d+%?))[,|\\s]+((?:[-\\+]?\\d*\\.\\d+%?)|(?:[-\\+]?\\d+%?))[,|\\s]+((?:[-\\+]?\\d*\\.\\d+%?)|(?:[-\\+]?\\d+%?))\\s*\\)?"),
hsl:RegExp("hsl[\\s|\\(]+((?:[-\\+]?\\d*\\.\\d+%?)|(?:[-\\+]?\\d+%?))[,|\\s]+((?:[-\\+]?\\d*\\.\\d+%?)|(?:[-\\+]?\\d+%?))[,|\\s]+((?:[-\\+]?\\d*\\.\\d+%?)|(?:[-\\+]?\\d+%?))\\s*\\)?"),hsla:RegExp("hsla[\\s|\\(]+((?:[-\\+]?\\d*\\.\\d+%?)|(?:[-\\+]?\\d+%?))[,|\\s]+((?:[-\\+]?\\d*\\.\\d+%?)|(?:[-\\+]?\\d+%?))[,|\\s]+((?:[-\\+]?\\d*\\.\\d+%?)|(?:[-\\+]?\\d+%?))[,|\\s]+((?:[-\\+]?\\d*\\.\\d+%?)|(?:[-\\+]?\\d+%?))\\s*\\)?"),hsv:RegExp("hsv[\\s|\\(]+((?:[-\\+]?\\d*\\.\\d+%?)|(?:[-\\+]?\\d+%?))[,|\\s]+((?:[-\\+]?\\d*\\.\\d+%?)|(?:[-\\+]?\\d+%?))[,|\\s]+((?:[-\\+]?\\d*\\.\\d+%?)|(?:[-\\+]?\\d+%?))\\s*\\)?"),
hex3:/^([0-9a-fA-F]{1})([0-9a-fA-F]{1})([0-9a-fA-F]{1})$/,hex6:/^([0-9a-fA-F]{2})([0-9a-fA-F]{2})([0-9a-fA-F]{2})$/};a.tinycolor=b})(this);f(function(){f.fn.spectrum.load&&f.fn.spectrum.processNativeColorInputs()})})(this,jQuery);String.prototype.codePointAt||function(){var h=function(f){if(null===this)throw TypeError();var b=String(this),a=b.length,e=f?Number(f):0;isNaN(e)&&(e=0);if(!(0>e||e>=a))return f=b.charCodeAt(e),55296<=f&&(56319>=f&&a>e+1)&&(b=b.charCodeAt(e+1),56320<=b&&57343>=b)?1024*(f-55296)+b-56320+65536:f};Object.defineProperty?Object.defineProperty(String.prototype,"codePointAt",{value:h,configurable:!0,writable:!0}):String.prototype.codePointAt=h}();WinChan=function(){function h(a,b,c){a.attachEvent?a.attachEvent("on"+b,c):a.addEventListener&&a.addEventListener(b,c,!1)}function f(a,b,c){a.detachEvent?a.detachEvent("on"+b,c):a.removeEventListener&&a.removeEventListener(b,c,!1)}function b(){try{var a=navigator.userAgent;return-1!=a.indexOf("Fennec/")||-1!=a.indexOf("Firefox/")&&-1!=a.indexOf("Android")}catch(b){}return!1}function a(a){/^https?:\/\//.test(a)||(a=window.location.href);var b=/^(https?:\/\/[\-_a-zA-Z\.0-9:]+)/.exec(a);return b?b[1]:
a}function e(){for(var a=window.location,b=window.opener.frames,a=a.protocol+"//"+a.host,c=b.length-1;0<=c;c--)try{if(0===b[c].location.href.indexOf(a)&&b[c].name===d)return b[c]}catch(e){}}var d="__winchan_relay_frame",c="die",g=function(){var a=-1;"Microsoft Internet Explorer"===navigator.appName&&null!=/MSIE ([0-9]{1,}[.0-9]{0,})/.exec(navigator.userAgent)&&(a=parseFloat(RegExp.$1));return 8<=a}();return window.JSON&&window.JSON.stringify&&window.JSON.parse&&window.postMessage?{open:function(e,
k){function l(){r&&document.body.removeChild(r);r=void 0;if(s)try{s.close()}catch(a){q.postMessage(c,n)}s=q=void 0}function p(a){try{var b=JSON.parse(a.data);"ready"===b.a?q.postMessage(t,n):"error"===b.a?k&&(k(b.d),k=null):"response"===b.a&&(f(window,"message",p),f(window,"unload",l),l(),k&&(k(null,b.d),k=null))}catch(c){}}if(!k)throw"missing required callback argument";var u;e.url||(u="missing required 'url' parameter");e.relay_url||(u="missing required 'relay_url' parameter");u&&setTimeout(function(){k(u)},
0);e.window_name||(e.window_name=null);if(!e.window_features||b())e.window_features=void 0;var r,n=a(e.url);if(n!==a(e.relay_url))return setTimeout(function(){k("invalid arguments: origin of url and relay_url must match")},0);var q;g&&(r=document.createElement("iframe"),r.setAttribute("src",e.relay_url),r.style.display="none",r.setAttribute("name",d),document.body.appendChild(r),q=r.contentWindow);var s=window.open(e.url,e.window_name,e.window_features);q||(q=s);var t=JSON.stringify({a:"request",
d:e.params});h(window,"unload",l);h(window,"message",p);return{close:l,focus:function(){if(s)try{s.focus()}catch(a){}}}},onOpen:function(a){function b(a){a=JSON.stringify(a);g?r.doPost(a,u):r.postMessage(a,u)}function d(c){var e;try{e=JSON.parse(c.data)}catch(g){}e&&"request"===e.a&&(f(window,"message",d),u=c.origin,a&&setTimeout(function(){a(u,e.d,function(c){a=void 0;b({a:"response",d:c})})},0))}function p(a){if(a.data===c)try{window.close()}catch(b){}}var u="*",r=g?e():window.opener;if(!r)throw"can't find relay frame";
h(g?r:window,"message",d);h(g?r:window,"message",p);try{b({a:"ready"})}catch(n){h(r,"load",function(a){b({a:"ready"})})}var q=function(){try{f(g?r:window,"message",p)}catch(c){}a&&b({a:"error",d:"client closed window"});a=void 0;try{window.close()}catch(d){}};h(window,"unload",q);return{detach:function(){f(window,"unload",q)}}}}:{open:function(a,b,c,d){setTimeout(function(){d("unsupported browser")},0)},onOpen:function(a){setTimeout(function(){a("unsupported browser")},0)}}}();/*

 Software from "SockJS" is Copyright (c) 2011-2012 VMware, Inc. and is provided
 under the following license (the SockJS software has been modified):
 --
 Permission is hereby granted, free of charge, to any person obtaining a copy
 of this software and associated documentation files (the "Software"), to deal
 in the Software without restriction, including without limitation the rights
 to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in
 all copies or substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 THE SOFTWARE.
 --
*/
var JSON;JSON||(JSON={});
(function(){function h(a,b){var e,g,r,n,q=d,s,t=b[a];t&&"object"==typeof t&&"function"==typeof t.toJSON&&(t=t.toJSON(a));"function"==typeof m&&(t=m.call(b,a,t));switch(typeof t){case "string":return f(t);case "number":return isFinite(t)?String(t):"null";case "boolean":case "null":return String(t);case "object":if(!t)return"null";d+=c;s=[];if("[object Array]"===Object.prototype.toString.apply(t)){n=t.length;for(e=0;e<n;e+=1)s[e]=h(e,t)||"null";r=0===s.length?"[]":d?"[\n"+d+s.join(",\n"+d)+"\n"+q+"]":
"["+s.join(",")+"]";d=q;return r}if(m&&"object"==typeof m){n=m.length;for(e=0;e<n;e+=1)"string"==typeof m[e]&&(g=m[e],r=h(g,t),r&&s.push(f(g)+(d?": ":":")+r))}else for(g in t)Object.prototype.hasOwnProperty.call(t,g)&&(r=h(g,t),r&&s.push(f(g)+(d?": ":":")+r));r=0===s.length?"{}":d?"{\n"+d+s.join(",\n"+d)+"\n"+q+"}":"{"+s.join(",")+"}";d=q;return r}}function f(a){e.lastIndex=0;return e.test(a)?'"'+a.replace(e,function(a){var b=g[a];return"string"==typeof b?b:"\\u"+("0000"+a.charCodeAt(0).toString(16)).slice(-4)})+
'"':'"'+a+'"'}function b(a){return 10>a?"0"+a:a}"use strict";"function"!=typeof Date.prototype.toJSON&&(Date.prototype.toJSON=function(a){return isFinite(this.valueOf())?this.getUTCFullYear()+"-"+b(this.getUTCMonth()+1)+"-"+b(this.getUTCDate())+"T"+b(this.getUTCHours())+":"+b(this.getUTCMinutes())+":"+b(this.getUTCSeconds())+"Z":null},String.prototype.toJSON=Number.prototype.toJSON=Boolean.prototype.toJSON=function(a){return this.valueOf()});var a=/[\u0000\u00ad\u0600-\u0604\u070f\u17b4\u17b5\u200c-\u200f\u2028-\u202f\u2060-\u206f\ufeff\ufff0-\uffff]/g,
e=/[\\\"\x00-\x1f\x7f-\x9f\u00ad\u0600-\u0604\u070f\u17b4\u17b5\u200c-\u200f\u2028-\u202f\u2060-\u206f\ufeff\ufff0-\uffff]/g,d,c,g={"\b":"\\b","\t":"\\t","\n":"\\n","\f":"\\f","\r":"\\r",'"':'\\"',"\\":"\\\\"},m;"function"!=typeof JSON.stringify&&(JSON.stringify=function(a,b,e){var g;c=d="";if("number"==typeof e)for(g=0;g<e;g+=1)c+=" ";else"string"==typeof e&&(c=e);m=b;if(!b||"function"==typeof b||"object"==typeof b&&"number"==typeof b.length)return h("",{"":a});throw Error("JSON.stringify");});"function"!=
typeof JSON.parse&&(JSON.parse=function(b,c){function d(a,b){var e,g,k=a[b];if(k&&"object"==typeof k)for(e in k)Object.prototype.hasOwnProperty.call(k,e)&&(g=d(k,e),void 0!==g?k[e]=g:delete k[e]);return c.call(a,b,k)}var e;b=String(b);a.lastIndex=0;a.test(b)&&(b=b.replace(a,function(a){return"\\u"+("0000"+a.charCodeAt(0).toString(16)).slice(-4)}));if(/^[\],:{}\s]*$/.test(b.replace(/\\(?:["\\\/bfnrt]|u[0-9a-fA-F]{4})/g,"@").replace(/"[^"\\\n\r]*"|true|false|null|-?\d+(?:\.\d*)?(?:[eE][+\-]?\d+)?/g,
"]").replace(/(?:^|:|,)(?:\s*\[)+/g,"")))return e=eval("("+b+")"),"function"==typeof c?d({"":e},""):e;throw new SyntaxError("JSON.parse");})})();
SockJS=function(){var h=document,f=window,b={},a=function(){};a.prototype.addEventListener=function(a,c){this._listeners||(this._listeners={});a in this._listeners||(this._listeners[a]=[]);var d=this._listeners[a];-1===b.arrIndexOf(d,c)&&d.push(c)};a.prototype.removeEventListener=function(a,c){if(this._listeners&&a in this._listeners){var d=this._listeners[a],e=b.arrIndexOf(d,c);-1!==e&&(1<d.length?this._listeners[a]=d.slice(0,e).concat(d.slice(e+1)):delete this._listeners[a])}};a.prototype.dispatchEvent=
function(a){var b=a.type,c=Array.prototype.slice.call(arguments,0);this["on"+b]&&this["on"+b].apply(this,c);if(this._listeners&&b in this._listeners)for(var d=0;d<this._listeners[b].length;d++)this._listeners[b][d].apply(this,c)};var e=function(a,b){this.type=a;if("undefined"!==typeof b)for(var c in b)b.hasOwnProperty(c)&&(this[c]=b[c])};e.prototype.toString=function(){var a=[],b;for(b in this)if(this.hasOwnProperty(b)){var c=this[b];"function"===typeof c&&(c="[function]");a.push(b+"="+c)}return"SimpleEvent("+
a.join(", ")+")"};var d=function(a){this._events=a||[];this._listeners={}};d.prototype.emit=function(a){this._verifyType(a);if(!this._nuked){var b=Array.prototype.slice.call(arguments,1);this["on"+a]&&this["on"+a].apply(this,b);if(a in this._listeners)for(var c=0;c<this._listeners[a].length;c++)this._listeners[a][c].apply(this,b)}};d.prototype.on=function(a,b){this._verifyType(a);this._nuked||(a in this._listeners||(this._listeners[a]=[]),this._listeners[a].push(b))};d.prototype._verifyType=function(a){-1===
b.arrIndexOf(this._events,a)&&b.log("Event "+JSON.stringify(a)+" not listed "+JSON.stringify(this._events)+" in "+this)};d.prototype.nuke=function(){this._nuked=!0;for(var a=0;a<this._events.length;a++)delete this[this._events[a]];this._listeners={}};b.random_string=function(a,b){b=b||37;var c,d=[];for(c=0;c<a;c++)d.push("abcdefghijklmnopqrstuvwxyz0123456789_".substr(Math.floor(Math.random()*b),1));return d.join("")};b.random_number=function(a){return Math.floor(Math.random()*a)};b.random_number_string=
function(a){var c=(""+(a-1)).length;return(Array(c+1).join("0")+b.random_number(a)).slice(-c)};b.getOrigin=function(a){return(a+"/").split("/").slice(0,3).join("/")};b.isSameOriginUrl=function(a,b){b||(b=f.location.href);return a.split("/").slice(0,3).join("/")===b.split("/").slice(0,3).join("/")};b.getParentDomain=function(a){return/^[0-9.]*$/.test(a)||/^\[/.test(a)||!/[.]/.test(a)?a:a.split(".").slice(1).join(".")};b.objectExtend=function(a,b){for(var c in b)b.hasOwnProperty(c)&&(a[c]=b[c]);return a};
b.polluteGlobalNamespace=function(){"_jp"in f||(f._jp={})};b.closeFrame=function(a,b){return"c"+JSON.stringify([a,b])};b.userSetCode=function(a){return 1E3===a||3E3<=a&&4999>=a};b.countRTO=function(a){return 100<a?3*a:a+200};b.log=function(){f.console&&(console.log&&console.log.apply)&&console.log.apply(console,arguments)};b.bind=function(a,b){return a.bind?a.bind(b):function(){return a.apply(b,arguments)}};b.flatUrl=function(a){return-1===a.indexOf("?")&&-1===a.indexOf("#")};b.amendUrl=function(a){var c=
h.location;if(!a)throw Error("Wrong url for SockJS");if(!b.flatUrl(a))throw Error("Only basic urls are supported in SockJS");0===a.indexOf("//")&&(a=c.protocol+a);0===a.indexOf("/")&&(a=c.protocol+"//"+c.host+a);return a=a.replace(/[/]+$/,"")};b.arrIndexOf=function(a,b){for(var c=0;c<a.length;c++)if(a[c]===b)return c;return-1};b.arrSkip=function(a,c){var d=b.arrIndexOf(a,c);return-1===d?a.slice():a.slice(0,d).concat(a.slice(d+1))};b.isArray=Array.isArray||function(a){return 0<={}.toString.call(a).indexOf("Array")};
b.delay=function(a,b){"function"===typeof a&&(b=a,a=0);return setTimeout(b,a)};var c=/[\\\"\x00-\x1f\x7f-\x9f\u00ad\u0600-\u0604\u070f\u17b4\u17b5\u200c-\u200f\u2028-\u202f\u2060-\u206f\ufeff\ufff0-\uffff]/g,g={"\x00":"\\u0000","\u0001":"\\u0001","\u0002":"\\u0002","\u0003":"\\u0003","\u0004":"\\u0004","\u0005":"\\u0005","\u0006":"\\u0006","\u0007":"\\u0007","\b":"\\b","\t":"\\t","\n":"\\n","\x0B":"\\u000b","\f":"\\f","\r":"\\r","\u000e":"\\u000e","\u000f":"\\u000f","\u0010":"\\u0010","\u0011":"\\u0011",
"\u0012":"\\u0012","\u0013":"\\u0013","\u0014":"\\u0014","\u0015":"\\u0015","\u0016":"\\u0016","\u0017":"\\u0017","\u0018":"\\u0018","\u0019":"\\u0019","\u001a":"\\u001a","\u001b":"\\u001b","\u001c":"\\u001c","\u001d":"\\u001d","\u001e":"\\u001e","\u001f":"\\u001f",'"':'\\"',"\\":"\\\\","\u007f":"\\u007f","\u0080":"\\u0080","\u0081":"\\u0081","\u0082":"\\u0082","\u0083":"\\u0083","\u0084":"\\u0084","\u0085":"\\u0085","\u0086":"\\u0086","\u0087":"\\u0087","\u0088":"\\u0088","\u0089":"\\u0089","\u008a":"\\u008a",
"\u008b":"\\u008b","\u008c":"\\u008c","\u008d":"\\u008d","\u008e":"\\u008e","\u008f":"\\u008f","\u0090":"\\u0090","\u0091":"\\u0091","\u0092":"\\u0092","\u0093":"\\u0093","\u0094":"\\u0094","\u0095":"\\u0095","\u0096":"\\u0096","\u0097":"\\u0097","\u0098":"\\u0098","\u0099":"\\u0099","\u009a":"\\u009a","\u009b":"\\u009b","\u009c":"\\u009c","\u009d":"\\u009d","\u009e":"\\u009e","\u009f":"\\u009f","\u00ad":"\\u00ad","\u0600":"\\u0600","\u0601":"\\u0601","\u0602":"\\u0602","\u0603":"\\u0603","\u0604":"\\u0604",
"\u070f":"\\u070f","\u17b4":"\\u17b4","\u17b5":"\\u17b5","\u200c":"\\u200c","\u200d":"\\u200d","\u200e":"\\u200e","\u200f":"\\u200f","\u2028":"\\u2028","\u2029":"\\u2029","\u202a":"\\u202a","\u202b":"\\u202b","\u202c":"\\u202c","\u202d":"\\u202d","\u202e":"\\u202e","\u202f":"\\u202f","\u2060":"\\u2060","\u2061":"\\u2061","\u2062":"\\u2062","\u2063":"\\u2063","\u2064":"\\u2064","\u2065":"\\u2065","\u2066":"\\u2066","\u2067":"\\u2067","\u2068":"\\u2068","\u2069":"\\u2069","\u206a":"\\u206a","\u206b":"\\u206b",
"\u206c":"\\u206c","\u206d":"\\u206d","\u206e":"\\u206e","\u206f":"\\u206f","\ufeff":"\\ufeff","\ufff0":"\\ufff0","\ufff1":"\\ufff1","\ufff2":"\\ufff2","\ufff3":"\\ufff3","\ufff4":"\\ufff4","\ufff5":"\\ufff5","\ufff6":"\\ufff6","\ufff7":"\\ufff7","\ufff8":"\\ufff8","\ufff9":"\\ufff9","\ufffa":"\\ufffa","\ufffb":"\\ufffb","\ufffc":"\\ufffc","\ufffd":"\\ufffd","\ufffe":"\\ufffe","\uffff":"\\uffff"},m=/[\x00-\x1f\ud800-\udfff\ufffe\uffff\u0300-\u0333\u033d-\u0346\u034a-\u034c\u0350-\u0352\u0357-\u0358\u035c-\u0362\u0374\u037e\u0387\u0591-\u05af\u05c4\u0610-\u0617\u0653-\u0654\u0657-\u065b\u065d-\u065e\u06df-\u06e2\u06eb-\u06ec\u0730\u0732-\u0733\u0735-\u0736\u073a\u073d\u073f-\u0741\u0743\u0745\u0747\u07eb-\u07f1\u0951\u0958-\u095f\u09dc-\u09dd\u09df\u0a33\u0a36\u0a59-\u0a5b\u0a5e\u0b5c-\u0b5d\u0e38-\u0e39\u0f43\u0f4d\u0f52\u0f57\u0f5c\u0f69\u0f72-\u0f76\u0f78\u0f80-\u0f83\u0f93\u0f9d\u0fa2\u0fa7\u0fac\u0fb9\u1939-\u193a\u1a17\u1b6b\u1cda-\u1cdb\u1dc0-\u1dcf\u1dfc\u1dfe\u1f71\u1f73\u1f75\u1f77\u1f79\u1f7b\u1f7d\u1fbb\u1fbe\u1fc9\u1fcb\u1fd3\u1fdb\u1fe3\u1feb\u1fee-\u1fef\u1ff9\u1ffb\u1ffd\u2000-\u2001\u20d0-\u20d1\u20d4-\u20d7\u20e7-\u20e9\u2126\u212a-\u212b\u2329-\u232a\u2adc\u302b-\u302c\uaab2-\uaab3\uf900-\ufa0d\ufa10\ufa12\ufa15-\ufa1e\ufa20\ufa22\ufa25-\ufa26\ufa2a-\ufa2d\ufa30-\ufa6d\ufa70-\ufad9\ufb1d\ufb1f\ufb2a-\ufb36\ufb38-\ufb3c\ufb3e\ufb40-\ufb41\ufb43-\ufb44\ufb46-\ufb4e\ufff0-\uffff]/g,
k,l=JSON&&JSON.stringify||function(a){c.lastIndex=0;c.test(a)&&(a=a.replace(c,function(a){return g[a]}));return'"'+a+'"'},p=function(a){var b,c={},d=[];for(b=0;65536>b;b++)d.push(String.fromCharCode(b));a.lastIndex=0;d.join("").replace(a,function(a){c[a]="\\u"+("0000"+a.charCodeAt(0).toString(16)).slice(-4);return""});a.lastIndex=0;return c};b.quote=function(a){a=l(a);m.lastIndex=0;if(!m.test(a))return a;k||(k=p(m));return a.replace(m,function(a){return k[a]})};var u="websocket xdr-streaming xhr-streaming iframe-eventsource iframe-htmlfile xdr-polling xhr-polling iframe-xhr-polling jsonp-polling".split(" ");
b.probeProtocols=function(){for(var a={},b=0;b<u.length;b++){var c=u[b];a[c]=t[c]&&t[c].enabled()}return a};b.detectProtocols=function(a,b,c){var d={},e=[];b||(b=u);for(var g=0;g<b.length;g++){var k=b[g];d[k]=a[k]}var l=function(a){var b=a.shift();d[b]?e.push(b):0<a.length&&l(a)};!1!==c.websocket&&l(["websocket"]);d["xhr-streaming"]&&!c.null_origin?e.push("xhr-streaming"):d["xdr-streaming"]&&!c.cookie_needed&&!c.null_origin?e.push("xdr-streaming"):l(["iframe-eventsource","iframe-htmlfile"]);d["xhr-polling"]&&
!c.null_origin?e.push("xhr-polling"):d["xdr-polling"]&&!c.cookie_needed&&!c.null_origin?e.push("xdr-polling"):l(["iframe-xhr-polling","jsonp-polling"]);return e};b.createHook=function(){var a="a"+b.random_string(8);if(!("_sockjs_global"in f)){var c={};f._sockjs_global=function(a){a in c||(c[a]={id:a,del:function(){delete c[a]}});return c[a]}}return f._sockjs_global(a)};b.attachMessage=function(a){b.attachEvent("message",a)};b.attachEvent=function(a,b){"undefined"!==typeof f.addEventListener?f.addEventListener(a,
b,!1):(h.attachEvent("on"+a,b),f.attachEvent("on"+a,b))};b.detachMessage=function(a){b.detachEvent("message",a)};b.detachEvent=function(a,b){"undefined"!==typeof f.addEventListener?f.removeEventListener(a,b,!1):(h.detachEvent("on"+a,b),f.detachEvent("on"+a,b))};var r={},n=!1,q=function(){for(var a in r)r[a](),delete r[a]};b.attachEvent("unload",function(){n||(n=!0,q())});b.unload_add=function(a){var c=b.random_string(8);r[c]=a;n&&b.delay(q);return c};b.unload_del=function(a){a in r&&delete r[a]};
b.createIframe=function(a,c){var d=h.createElement("iframe"),e,g,k=function(){clearTimeout(e);try{d.onload=null}catch(a){}d.onerror=null},l=function(){d&&(k(),setTimeout(function(){d&&d.parentNode.removeChild(d);d=null},0),b.unload_del(g))},m=function(a){d&&(l(),c(a))};d.src=a;d.style.display="none";d.style.position="absolute";d.onerror=function(){m("onerror")};d.onload=function(){clearTimeout(e);e=setTimeout(function(){m("onload timeout")},2E3)};h.body.appendChild(d);e=setTimeout(function(){m("timeout")},
15E3);g=b.unload_add(l);return{post:function(a,b){try{d&&d.contentWindow&&d.contentWindow.postMessage(a,b)}catch(c){}},cleanup:l,loaded:k}};b.createHtmlfile=function(a,c){var d=new ActiveXObject("htmlfile"),e,g,k,l=function(){clearTimeout(e)},m=function(){d&&(l(),b.unload_del(g),k.parentNode.removeChild(k),k=d=null,CollectGarbage())};d.open();d.write('<html><script>document.domain="'+document.domain+'";\x3c/script></html>');d.close();d.parentWindow._jp=f._jp;var p=d.createElement("div");d.body.appendChild(p);
k=d.createElement("iframe");p.appendChild(k);k.src=a;e=setTimeout(function(){d&&(m(),c("timeout"))},15E3);g=b.unload_add(m);return{post:function(a,b){try{k&&k.contentWindow&&k.contentWindow.postMessage(a,b)}catch(c){}},cleanup:m,loaded:l}};var s=function(){};s.prototype=new d(["chunk","finish"]);s.prototype._start=function(a,c,d,e){var g=this;try{g.xhr=new XMLHttpRequest}catch(k){}if(!g.xhr)try{g.xhr=new f.ActiveXObject("Microsoft.XMLHTTP")}catch(l){}if(f.ActiveXObject||f.XDomainRequest)c+=(-1===
c.indexOf("?")?"?":"&")+"t="+ +new Date;g.unload_ref=b.unload_add(function(){g._cleanup(!0)});try{g.xhr.open(a,c,!0)}catch(m){g.emit("finish",0,"");g._cleanup();return}if(!e||!e.no_credentials)g.xhr.withCredentials="true";if(e&&e.headers)for(var p in e.headers)g.xhr.setRequestHeader(p,e.headers[p]);g.xhr.onreadystatechange=function(){if(g.xhr){var a=g.xhr;switch(a.readyState){case 3:try{var b=a.status,c=a.responseText}catch(d){}1223===b&&(b=204);c&&0<c.length&&g.emit("chunk",b,c);break;case 4:b=a.status,
1223===b&&(b=204),g.emit("finish",b,a.responseText),g._cleanup(!1)}}};g.xhr.send(d)};s.prototype._cleanup=function(a){if(this.xhr){b.unload_del(this.unload_ref);this.xhr.onreadystatechange=function(){};if(a)try{this.xhr.abort()}catch(c){}this.unload_ref=this.xhr=null}};s.prototype.close=function(){this.nuke();this._cleanup(!0)};(b.XHRCorsObject=function(){var a=this,c=arguments;b.delay(function(){a._start.apply(a,c)})}).prototype=new s;(b.XHRLocalObject=function(a,c,d){var e=this;b.delay(function(){e._start(a,
c,d,{no_credentials:!0})})}).prototype=new s;s=b.XDRObject=function(a,c,d){var e=this;b.delay(function(){e._start(a,c,d)})};s.prototype=new d(["chunk","finish"]);s.prototype._start=function(a,c,d){var e=this,g=new XDomainRequest;c+=(-1===c.indexOf("?")?"?":"&")+"t="+ +new Date;var k=g.ontimeout=g.onerror=function(){e.emit("finish",0,"");e._cleanup(!1)};g.onprogress=function(){e.emit("chunk",200,g.responseText)};g.onload=function(){e.emit("finish",200,g.responseText);e._cleanup(!1)};e.xdr=g;e.unload_ref=
b.unload_add(function(){e._cleanup(!0)});try{e.xdr.open(a,c),e.xdr.send(d)}catch(l){k()}};s.prototype._cleanup=function(a){if(this.xdr){b.unload_del(this.unload_ref);this.xdr.ontimeout=this.xdr.onerror=this.xdr.onprogress=this.xdr.onload=null;if(a)try{this.xdr.abort()}catch(c){}this.unload_ref=this.xdr=null}};s.prototype.close=function(){this.nuke();this._cleanup(!0)};b.isXHRCorsCapable=function(){return f.XMLHttpRequest&&"withCredentials"in new XMLHttpRequest?1:f.XDomainRequest&&h.domain?2:J.enabled()?
3:4};var t=function(a,c,d){if(this===f)return new t(a,c,d);var e=this,g;e._options={devel:!1,debug:!1,protocols_whitelist:[],info:void 0,rtt:void 0};d&&b.objectExtend(e._options,d);e._base_url=b.amendUrl(a);e._server=e._options.server||b.random_number_string(1E3);e._options.protocols_whitelist&&e._options.protocols_whitelist.length?g=e._options.protocols_whitelist:(g="string"===typeof c&&0<c.length?[c]:b.isArray(c)?c:null)&&e._debug('Deprecated API: Use "protocols_whitelist" option instead of supplying protocol list as a second parameter to SockJS constructor.');
e._protocols=[];e.protocol=null;e.readyState=t.CONNECTING;e._ir=H(e._base_url);e._ir.onfinish=function(a,c){e._ir=null;a?(e._options.info&&(a=b.objectExtend(a,e._options.info)),e._options.rtt&&(c=e._options.rtt),e._applyInfo(a,c,g),e._didClose()):e._didClose(1002,"Can't connect to server",!0)}};t.prototype=new a;t.version="0.3.4";t.CONNECTING=0;t.OPEN=1;t.CLOSING=2;t.CLOSED=3;t.prototype._debug=function(){this._options.debug&&b.log.apply(b,arguments)};t.prototype._dispatchOpen=function(){this.readyState===
t.CONNECTING?(this._transport_tref&&(clearTimeout(this._transport_tref),this._transport_tref=null),this.readyState=t.OPEN,this.dispatchEvent(new e("open"))):this._didClose(1006,"Server lost session")};t.prototype._dispatchMessage=function(a){this.readyState===t.OPEN&&this.dispatchEvent(new e("message",{data:a}))};t.prototype._dispatchHeartbeat=function(a){this.readyState===t.OPEN&&this.dispatchEvent(new e("heartbeat",{}))};t.prototype._didClose=function(a,c,d){var g=this;if(!(g.readyState!==t.CONNECTING&&
g.readyState!==t.OPEN&&g.readyState!==t.CLOSING)){g._ir&&(g._ir.nuke(),g._ir=null);g._transport&&(g._transport.doCleanup(),g._transport=null);var k=new e("close",{code:a,reason:c,wasClean:b.userSetCode(a)});if(!b.userSetCode(a)&&g.readyState===t.CONNECTING&&!d){if(g._try_next_protocol(k))return;k=new e("close",{code:2E3,reason:"All transports failed",wasClean:!1,last_event:k})}g.readyState=t.CLOSED;b.delay(function(){g.dispatchEvent(k)})}};t.prototype._didMessage=function(a){switch(a.slice(0,1)){case "o":this._dispatchOpen();
break;case "a":a=JSON.parse(a.slice(1)||"[]");for(var b=0;b<a.length;b++)this._dispatchMessage(a[b]);break;case "m":a=JSON.parse(a.slice(1)||"null");this._dispatchMessage(a);break;case "c":a=JSON.parse(a.slice(1)||"[]");this._didClose(a[0],a[1]);break;case "h":this._dispatchHeartbeat()}};t.prototype._try_next_protocol=function(a){var c=this;c.protocol&&(c._debug("Closed transport:",c.protocol,""+a),c.protocol=null);c._transport_tref&&(clearTimeout(c._transport_tref),c._transport_tref=null);for(;;){a=
c.protocol=c._protocols.shift();if(!a)return!1;if(t[a]&&!0===t[a].need_body&&(!h.body||"undefined"!==typeof h.readyState&&"complete"!==h.readyState))return c._protocols.unshift(a),c.protocol="waiting-for-load",b.attachEvent("load",function(){c._try_next_protocol()}),!0;if(!t[a]||!t[a].enabled(c._options))c._debug("Skipping transport:",a);else{c._transport_tref=b.delay((c._options.rto||0)*(t[a].roundTrips||1)||5E3,function(){c.readyState===t.CONNECTING&&c._didClose(2007,"Transport timeouted")});var d=
b.random_string(8),d=c._base_url+"/"+c._server+"/"+d;c._debug("Opening transport:",a," url:"+d," RTO:"+c._options.rto);c._transport=new t[a](c,d,c._base_url);return!0}}};t.prototype.close=function(a,c){if(a&&!b.userSetCode(a))throw Error("INVALID_ACCESS_ERR");if(this.readyState!==t.CONNECTING&&this.readyState!==t.OPEN)return!1;this.readyState=t.CLOSING;this._didClose(a||1E3,c||"Normal closure");return!0};t.prototype.send=function(a){if(this.readyState===t.CONNECTING)throw Error("INVALID_STATE_ERR");
this.readyState===t.OPEN&&this._transport.doSend(b.quote(""+a));return!0};t.prototype._applyInfo=function(a,c,d){this._options.info=a;this._options.rtt=c;this._options.rto=b.countRTO(c);this._options.info.null_origin=!h.domain;c=b.probeProtocols();this._protocols=b.detectProtocols(c,d,a)};s=t.websocket=function(a,c){var d=this,e=c+"/websocket",e="https"===e.slice(0,5)?"wss"+e.slice(5):"ws"+e.slice(4);d.ri=a;d.url=e;e=f.WebSocket||f.MozWebSocket;$(document).trigger($.Event("websocket_preopen.zulip",
{}));d.ws=new e(d.url);d.ws.onmessage=function(a){d.ri._didMessage(a.data)};d.unload_ref=b.unload_add(function(){d.ws.close()});d.ws.onclose=function(){d.ri._didMessage(b.closeFrame(1006,"WebSocket connection broken"))}};s.prototype.doSend=function(a){this.ws.send("["+a+"]")};s.prototype.doCleanup=function(){var a=this.ws;a&&(a.onmessage=a.onclose=null,a.close(),b.unload_del(this.unload_ref),this.unload_ref=this.ri=this.ws=null)};s.enabled=function(){return!(!f.WebSocket&&!f.MozWebSocket)};s.roundTrips=
2;var w=function(){};w.prototype.send_constructor=function(a){this.send_buffer=[];this.sender=a};w.prototype.doSend=function(a){this.send_buffer.push(a);this.send_stop||this.send_schedule()};w.prototype.send_schedule_wait=function(){var a=this,c;a.send_stop=function(){a.send_stop=null;clearTimeout(c)};c=b.delay(25,function(){a.send_stop=null;a.send_schedule()})};w.prototype.send_schedule=function(){var a=this;if(0<a.send_buffer.length){var b="["+a.send_buffer.join(",")+"]";a.send_stop=a.sender(a.trans_url,
b,function(b,c){a.send_stop=null;!1===b?a.ri._didClose(1006,"Sending error "+c):a.send_schedule_wait()});a.send_buffer=[]}};w.prototype.send_destructor=function(){this._send_stop&&this._send_stop();this._send_stop=null};var D=function(a,c,d){if(!("_send_form"in this)){var e=this._send_form=h.createElement("form"),g=this._send_area=h.createElement("textarea");g.name="d";e.style.display="none";e.style.position="absolute";e.method="POST";e.enctype="application/x-www-form-urlencoded";e.acceptCharset=
"UTF-8";e.appendChild(g);h.body.appendChild(e)}var e=this._send_form,g=this._send_area,k="a"+b.random_string(8);e.target=k;e.action=a+"/jsonp_send?i="+k;var l;try{l=h.createElement('<iframe name="'+k+'">')}catch(m){l=h.createElement("iframe"),l.name=k}l.id=k;e.appendChild(l);l.style.display="none";try{g.value=c}catch(p){b.log("Your browser is seriously broken. Go home! "+p.message)}e.submit();var n=function(a){l.onerror&&(l.onreadystatechange=l.onerror=l.onload=null,b.delay(500,function(){l.parentNode.removeChild(l);
l=null}),g.value="",d(!0))};l.onerror=l.onload=n;l.onreadystatechange=function(a){"complete"==l.readyState&&n()};return n},A=function(a){return function(b,c,d){(new a("POST",b+"/xhr_send",c)).onfinish=function(a,b){d(200===a||204===a,"http status "+a)};return function(a){d(!1,a)}}},B=function(a,c){var d,e=h.createElement("script"),g,k=function(a){g&&(g.parentNode.removeChild(g),g=null);e&&(clearTimeout(d),e.parentNode.removeChild(e),e=e.onreadystatechange=e.onerror=e.onload=e.onclick=null,c(a),c=
null)},l=!1,m=null;e.id="a"+b.random_string(8);e.src=a;e.type="text/javascript";e.charset="UTF-8";e.onerror=function(a){m||(m=setTimeout(function(){l||k(b.closeFrame(1006,"JSONP script loaded abnormally (onerror)"))},1E3))};e.onload=function(a){k(b.closeFrame(1006,"JSONP script loaded abnormally (onload)"))};e.onreadystatechange=function(a){if(/loaded|closed/.test(e.readyState)){if(e&&e.htmlFor&&e.onclick){l=!0;try{e.onclick()}catch(c){}}e&&k(b.closeFrame(1006,"JSONP script loaded abnormally (onreadystatechange)"))}};
if("undefined"===typeof e.async&&h.attachEvent)if(/opera/i.test(navigator.userAgent))g=h.createElement("script"),g.text="try{var a = document.getElementById('"+e.id+"'); if(a)a.onerror();}catch(x){};",e.async=g.async=!1;else{try{e.htmlFor=e.id,e.event="onclick"}catch(p){}e.async=!0}"undefined"!==typeof e.async&&(e.async=!0);d=setTimeout(function(){k(b.closeFrame(1006,"JSONP script loaded abnormally (timeout)"))},35E3);var n=h.getElementsByTagName("head")[0];n.insertBefore(e,n.firstChild);g&&n.insertBefore(g,
n.firstChild);return k},s=t["jsonp-polling"]=function(a,c){b.polluteGlobalNamespace();this.ri=a;this.trans_url=c;this.send_constructor(D);this._schedule_recv()};s.prototype=new w;s.prototype._schedule_recv=function(){var a=this;a._recv_stop=C(a.trans_url+"/jsonp",B,function(b){a._recv_stop=null;b&&(a._is_closing||a.ri._didMessage(b));a._is_closing||a._schedule_recv()})};s.enabled=function(){return!0};s.need_body=!0;s.prototype.doCleanup=function(){this._is_closing=!0;this._recv_stop&&this._recv_stop();
this.ri=this._recv_stop=null;this.send_destructor()};var C=function(a,c,d){var e="a"+b.random_string(6);a=a+"?c="+escape("_jp."+e);var g=0;c=c(a,function(a){switch(g){case 0:delete f._jp[e];d(a);break;case 1:d(a);g=2;break;case 2:delete f._jp[e]}});f._jp[e]=c;return function(){f._jp[e]&&(g=1,f._jp[e](b.closeFrame(1E3,"JSONP user aborted read")))}},s=function(){};s.prototype=new w;s.prototype.run=function(a,b,c,d,e){this.ri=a;this.trans_url=b;this.send_constructor(A(e));this.poll=new K(a,d,b+c,e)};
s.prototype.doCleanup=function(){this.poll&&(this.poll.abort(),this.poll=null)};var y=t["xhr-streaming"]=function(a,c){this.run(a,c,"/xhr_streaming",L,b.XHRCorsObject)};y.prototype=new s;y.enabled=function(){return f.XMLHttpRequest&&"withCredentials"in new XMLHttpRequest&&!/opera/i.test(navigator.userAgent)};y.roundTrips=2;y.need_body=!0;w=t["xdr-streaming"]=function(a,c){this.run(a,c,"/xhr_streaming",L,b.XDRObject)};w.prototype=new s;w.enabled=function(){return!!f.XDomainRequest};w.roundTrips=2;
var G=t["xhr-polling"]=function(a,c){this.run(a,c,"/xhr",L,b.XHRCorsObject)};G.prototype=new s;G.enabled=y.enabled;G.roundTrips=2;y=t["xdr-polling"]=function(a,c){this.run(a,c,"/xhr",L,b.XDRObject)};y.prototype=new s;y.enabled=w.enabled;y.roundTrips=2;var J=function(){};J.prototype.i_constructor=function(a,c,d){var e=this;e.ri=a;e.origin=b.getOrigin(d);e.base_url=d;e.trans_url=c;a=d+"/iframe.html";e.ri._options.devel&&(a+="?t="+ +new Date);e.window_id=b.random_string(8);a+="#"+e.window_id;e.iframeObj=
b.createIframe(a,function(a){e.ri._didClose(1006,"Unable to load an iframe ("+a+")")});e.onmessage_cb=b.bind(e.onmessage,e);b.attachMessage(e.onmessage_cb)};J.prototype.doCleanup=function(){if(this.iframeObj){b.detachMessage(this.onmessage_cb);try{this.iframeObj.iframe.contentWindow&&this.postMessage("c")}catch(a){}this.iframeObj.cleanup();this.onmessage_cb=this.iframeObj=this.iframeObj=null}};J.prototype.onmessage=function(a){if(a.origin===this.origin){var b=a.data.slice(0,8),c=a.data.slice(8,9);
a=a.data.slice(9);if(b===this.window_id)switch(c){case "s":this.iframeObj.loaded();this.postMessage("s",JSON.stringify([t.version,this.protocol,this.trans_url,this.base_url]));break;case "t":this.ri._didMessage(a)}}};J.prototype.postMessage=function(a,b){this.iframeObj.post(this.window_id+a+(b||""),this.origin)};J.prototype.doSend=function(a){this.postMessage("m",a)};J.enabled=function(){var a=navigator&&navigator.userAgent&&-1!==navigator.userAgent.indexOf("Konqueror");return("function"===typeof f.postMessage||
"object"===typeof f.postMessage)&&!a};var N,x=function(a,c){parent!==f?parent.postMessage(N+a+(c||""),"*"):b.log("Can't postMessage, no parent window.",a,c)},E=function(){};E.prototype._didClose=function(a,c){x("t",b.closeFrame(a,c))};E.prototype._didMessage=function(a){x("t",a)};E.prototype._doSend=function(a){this._transport.doSend(a)};E.prototype._doCleanup=function(){this._transport.doCleanup()};b.parent_origin=void 0;t.bootstrap_iframe=function(){var a;N=h.location.hash.slice(1);b.attachMessage(function(c){if(c.source===
parent&&("undefined"===typeof b.parent_origin&&(b.parent_origin=c.origin),c.origin===b.parent_origin)){var d=c.data.slice(0,8),e=c.data.slice(8,9);c=c.data.slice(9);if(d===N)switch(e){case "s":var g=JSON.parse(c),d=g[0],e=g[1];c=g[2];g=g[3];d!==t.version&&b.log('Incompatibile SockJS! Main site uses: "'+d+'", the iframe: "'+t.version+'".');if(!b.flatUrl(c)||!b.flatUrl(g)){b.log("Only basic urls are supported in SockJS");break}if(!b.isSameOriginUrl(c)||!b.isSameOriginUrl(g)){b.log("Can't connect to different domain from within an iframe. ("+
JSON.stringify([f.location.href,c,g])+")");break}a=new E;a._transport=new E[e](a,c,g);break;case "m":a._doSend(c);break;case "c":a&&a._doCleanup(),a=null}}});x("s")};var M=function(a,c){var d=this;b.delay(function(){d.doXhr(a,c)})};M.prototype=new d(["finish"]);M.prototype.doXhr=function(a,c){var d=this,e=(new Date).getTime(),g=new c("GET",a+"/info?cb="+b.random_string(10)),k=b.delay(8E3,function(){g.ontimeout()});g.onfinish=function(a,c){clearTimeout(k);k=null;if(200===a){var b=(new Date).getTime()-
e,g=JSON.parse(c);"object"!==typeof g&&(g={});d.emit("finish",g,b)}else d.emit("finish")};g.ontimeout=function(){g.close();d.emit("finish")}};var v=function(a){var c=this,d=function(){var b=new J;b.protocol="w-iframe-info-receiver";var d=function(a){"string"===typeof a&&"m"===a.substr(0,1)?(a=JSON.parse(a.substr(1)),c.emit("finish",a[0],a[1])):c.emit("finish");b.doCleanup();b=null};b.i_constructor({_options:{},_didClose:d,_didMessage:d},a,a)};h.body?d():b.attachEvent("load",d)};v.prototype=new d(["finish"]);
var F=function(){var a=this;b.delay(function(){a.emit("finish",{},2E3)})};F.prototype=new d(["finish"]);var H=function(a){if(b.isSameOriginUrl(a))return new M(a,b.XHRLocalObject);switch(b.isXHRCorsCapable()){case 1:return new M(a,b.XHRLocalObject);case 2:return new M(a,b.XDRObject);case 3:return new v(a);default:return new F}};(E["w-iframe-info-receiver"]=function(a,c,d){(new M(d,b.XHRLocalObject)).onfinish=function(c,b){a._didMessage("m"+JSON.stringify([c,b]));a._didClose()}}).prototype.doCleanup=
function(){};d=t["iframe-eventsource"]=function(){this.protocol="w-iframe-eventsource";this.i_constructor.apply(this,arguments)};d.prototype=new J;d.enabled=function(){return"EventSource"in f&&J.enabled()};d.need_body=!0;d.roundTrips=3;(E["w-iframe-eventsource"]=function(a,c){this.run(a,c,"/eventsource",z,b.XHRLocalObject)}).prototype=new s;d=t["iframe-xhr-polling"]=function(){this.protocol="w-iframe-xhr-polling";this.i_constructor.apply(this,arguments)};d.prototype=new J;d.enabled=function(){return f.XMLHttpRequest&&
J.enabled()};d.need_body=!0;d.roundTrips=3;(E["w-iframe-xhr-polling"]=function(a,c){this.run(a,c,"/xhr",L,b.XHRLocalObject)}).prototype=new s;d=t["iframe-htmlfile"]=function(){this.protocol="w-iframe-htmlfile";this.i_constructor.apply(this,arguments)};d.prototype=new J;d.enabled=function(){return J.enabled()};d.need_body=!0;d.roundTrips=3;(E["w-iframe-htmlfile"]=function(a,c){this.run(a,c,"/htmlfile",P,b.XHRLocalObject)}).prototype=new s;var K=function(a,c,b,d){this.ri=a;this.Receiver=c;this.recv_url=
b;this.AjaxObject=d;this._scheduleRecv()};K.prototype._scheduleRecv=function(){var a=this,c=a.poll=new a.Receiver(a.recv_url,a.AjaxObject);c.onmessage=function(c){a.ri._didMessage(c.data)};c.onclose=function(b){a.poll=c=c.onmessage=c.onclose=null;a.poll_is_closing||("permanent"===b.reason?a.ri._didClose(1006,"Polling error ("+b.reason+")"):a._scheduleRecv())}};K.prototype.abort=function(){this.poll_is_closing=!0;this.poll&&this.poll.abort()};var z=function(a){var c=this,d=new EventSource(a);d.onmessage=
function(a){c.dispatchEvent(new e("message",{data:unescape(a.data)}))};c.es_close=d.onerror=function(a,g){var k=g?"user":2!==d.readyState?"network":"permanent";c.es_close=d.onmessage=d.onerror=null;d.close();d=null;b.delay(200,function(){c.dispatchEvent(new e("close",{reason:k}))})}};z.prototype=new a;z.prototype.abort=function(){this.es_close&&this.es_close({},!0)};var I,P=function(a){var c=this;b.polluteGlobalNamespace();c.id="a"+b.random_string(6,26);a+=(-1===a.indexOf("?")?"?":"&")+"c="+escape("_jp."+
c.id);if(void 0===I)if("ActiveXObject"in f)try{I=!!new ActiveXObject("htmlfile")}catch(d){}else I=!1;var g=I?b.createHtmlfile:b.createIframe,k;f._jp[c.id]={start:function(){k.loaded()},message:function(a){c.dispatchEvent(new e("message",{data:a}))},stop:function(){c.iframe_close({},"network")}};c.iframe_close=function(a,b){k.cleanup();c.iframe_close=k=null;delete f._jp[c.id];c.dispatchEvent(new e("close",{reason:b}))};k=g(a,function(a){c.iframe_close({},"permanent")})};P.prototype=new a;P.prototype.abort=
function(){this.iframe_close&&this.iframe_close({},"user")};var L=function(a,c){var b=this,d=0;b.xo=new c("POST",a,null);b.xo.onchunk=function(a,c){if(200===a)for(;;){var g=c.slice(d),k=g.indexOf("\n");if(-1===k)break;d+=k+1;g=g.slice(0,k);b.dispatchEvent(new e("message",{data:g}))}};b.xo.onfinish=function(a,c){b.xo.onchunk(a,c);b.xo=null;b.dispatchEvent(new e("close",{reason:200===a?"network":"permanent"}))}};L.prototype=new a;L.prototype.abort=function(){this.xo&&(this.xo.close(),this.dispatchEvent(new e("close",
{reason:"user"})),this.xo=null)};t.getUtils=function(){return b};t.getIframeTransport=function(){return J};return t}();"_sockjs_onload"in window&&setTimeout(_sockjs_onload,1);"function"===typeof define&&define.amd&&define("sockjs",[],function(){return SockJS});/*

 Software from "Handlebars", an extension to the Mustache templating language, is
 Copyright (C) 2011 by Yehuda Katz and is provided under the following license:
 --
 Permission is hereby granted, free of charge, to any person obtaining a copy
 of this software and associated documentation files (the "Software"), to deal
 in the Software without restriction, including without limitation the rights
 to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in
 all copies or substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 THE SOFTWARE.
 --
*/
var Handlebars=function(){var h=function(){function a(c){this.string=c}a.prototype.toString=function(){return""+this.string};return a}(),f=function(a){function c(a){return e[a]||"&amp;"}var b={},e={"&":"&amp;","<":"&lt;",">":"&gt;",'"':"&quot;","'":"&#x27;","`":"&#x60;"},k=/[&<>"'`]/g,l=/[&<>"'`]/;b.extend=function(a,c){for(var b in c)Object.prototype.hasOwnProperty.call(c,b)&&(a[b]=c[b])};var p=Object.prototype.toString;b.toString=p;var f=function(a){return"function"===typeof a};f(/x/)&&(f=function(a){return"function"===
typeof a&&"[object Function]"===p.call(a)});b.isFunction=f;var r=Array.isArray||function(a){return a&&"object"===typeof a?"[object Array]"===p.call(a):!1};b.isArray=r;b.escapeExpression=function(b){if(b instanceof a)return b.toString();if(!b&&0!==b)return"";b=""+b;return!l.test(b)?b:b.replace(k,c)};b.isEmpty=function(a){return!a&&0!==a?!0:r(a)&&0===a.length?!0:!1};return b}(h),b=function(){function a(b,d){var e;d&&d.firstLine&&(e=d.firstLine,b+=" - "+e+":"+d.firstColumn);for(var l=Error.prototype.constructor.call(this,
b),p=0;p<c.length;p++)this[c[p]]=l[c[p]];e&&(this.lineNumber=e,this.column=d.firstColumn)}var c="description fileName lineNumber message name number stack".split(" ");a.prototype=Error();return a}(),a=function(a,c){function b(a,c){this.helpers=a||{};this.partials=c||{};e(this)}function e(a){a.registerHelper("helperMissing",function(a){if(2!==arguments.length)throw new f("Missing helper: '"+a+"'");});a.registerHelper("blockHelperMissing",function(c,b){var d=b.inverse||function(){},e=b.fn;n(c)&&(c=
c.call(this));return!0===c?e(this):!1===c||null==c?d(this):r(c)?0<c.length?a.helpers.each(c,b):d(this):e(c)});a.registerHelper("each",function(a,c){var b=c.fn,d=c.inverse,e=0,g="",k;n(a)&&(a=a.call(this));c.data&&(k=h(c.data));if(a&&"object"===typeof a)if(r(a))for(var l=a.length;e<l;e++)k&&(k.index=e,k.first=0===e,k.last=e===a.length-1),g+=b(a[e],{data:k});else for(l in a)a.hasOwnProperty(l)&&(k&&(k.key=l,k.index=e,k.first=0===e),g+=b(a[l],{data:k}),e++);0===e&&(g=d(this));return g});a.registerHelper("if",
function(a,c){n(a)&&(a=a.call(this));return!c.hash.includeZero&&!a||p.isEmpty(a)?c.inverse(this):c.fn(this)});a.registerHelper("unless",function(c,b){return a.helpers["if"].call(this,c,{fn:b.inverse,inverse:b.fn,hash:b.hash})});a.registerHelper("with",function(a,c){n(a)&&(a=a.call(this));if(!p.isEmpty(a))return c.fn(a)});a.registerHelper("log",function(c,b){var d=b.data&&null!=b.data.level?parseInt(b.data.level,10):1;a.log(d,c)})}function k(a,c){s.log(a,c)}var l={},p=a,f=c;l.VERSION="1.3.0";l.COMPILER_REVISION=
4;l.REVISION_CHANGES={1:"<= 1.0.rc.2",2:"== 1.0.0-rc.3",3:"== 1.0.0-rc.4",4:">= 1.0.0"};var r=p.isArray,n=p.isFunction,q=p.toString;l.HandlebarsEnvironment=b;b.prototype={constructor:b,logger:s,log:k,registerHelper:function(a,c,b){if("[object Object]"===q.call(a)){if(b||c)throw new f("Arg not supported with multiple helpers");p.extend(this.helpers,a)}else b&&(c.not=b),this.helpers[a]=c},registerPartial:function(a,c){"[object Object]"===q.call(a)?p.extend(this.partials,a):this.partials[a]=c}};var s=
{methodMap:{"0":"debug",1:"info",2:"warn",3:"error"},DEBUG:0,INFO:1,WARN:2,ERROR:3,level:3,log:function(a,c){if(s.level<=a){var b=s.methodMap[a];"undefined"!==typeof console&&console[b]&&console[b].call(console,c)}}};l.logger=s;l.log=k;var h=function(a){var c={};p.extend(c,a);return c};l.createFrame=h;return l}(f,b),e=function(a,c,b){function e(a,c,b){var d=function(a,d){d=d||{};return c(a,d.data||b)};d.program=a;d.depth=0;return d}var k={},l=b.COMPILER_REVISION,p=b.REVISION_CHANGES;k.checkRevision=
function(a){var b=a&&a[0]||1;if(b!==l){if(b<l)throw new c("Template was precompiled with an older version of Handlebars than the current runtime. Please update your precompiler to a newer version ("+p[l]+") or downgrade your runtime to an older version ("+p[b]+").");throw new c("Template was precompiled with a newer version of Handlebars than the current runtime. Please update your runtime to a newer version ("+a[1]+").");}};k.template=function(b,g){if(!g)throw new c("No environment passed to template");
var k={escapeExpression:a.escapeExpression,invokePartial:function(a,b,d,e,k,l){var m=g.VM.invokePartial.apply(this,arguments);if(null!=m)return m;if(g.compile)return m={helpers:e,partials:k,data:l},k[b]=g.compile(a,{data:void 0!==l},g),k[b](d,m);throw new c("The partial "+b+" could not be compiled when running in runtime-only mode");},programs:[],program:function(a,c,b){var d=this.programs[a];b?d=e(a,c,b):d||(d=this.programs[a]=e(a,c));return d},merge:function(c,b){var e=c||b;c&&(b&&c!==b)&&(e={},
a.extend(e,b),a.extend(e,c));return e},programWithDepth:g.VM.programWithDepth,noop:g.VM.noop,compilerInfo:null};return function(a,c){c=c||{};var d=c.partial?c:g,e,l;c.partial||(e=c.helpers,l=c.partials);d=b.call(k,d,a,e,l,c.data);c.partial||g.VM.checkRevision(k.compilerInfo);return d}};k.programWithDepth=function(a,c,b){var d=Array.prototype.slice.call(arguments,3),e=function(a,e){e=e||{};return c.apply(this,[a,e.data||b].concat(d))};e.program=a;e.depth=d.length;return e};k.program=e;k.invokePartial=
function(a,b,d,e,g,k){e={partial:!0,helpers:e,partials:g,data:k};if(void 0===a)throw new c("The partial "+b+" could not be found");if(a instanceof Function)return a(d,e)};k.noop=function(){return""};return k}(f,b,a);return function(a,c,b,e,k){var l=function(){var l=new a.HandlebarsEnvironment;e.extend(l,a);l.SafeString=c;l.Exception=b;l.Utils=e;l.VM=k;l.template=function(a){return k.template(a,l)};return l},p=l();p.create=l;return p}(a,h,b,f,e)}();(function(){function h(a){this.tokens=[];this.tokens.links={};this.options=a||k.defaults;this.rules=h.rules.normal;this.options.gfm&&(this.rules=this.options.tables?h.rules.tables:h.rules.gfm)}function f(a,c){this.options=c||k.defaults;this.links=a;this.rules=r.normal;this.renderer=this.options.renderer||new b;this.renderer.options=this.options;if(!this.links)throw Error("Tokens array requires a `links` property.");this.options.zulip?this.rules=r.zulip:this.options.gfm?this.rules=this.options.breaks?
r.breaks:r.gfm:this.options.pedantic&&(this.rules=r.pedantic)}function b(a){this.options=a||{}}function a(a){this.tokens=[];this.token=null;this.options=a||k.defaults;this.options.renderer=this.options.renderer||new b;this.renderer=this.options.renderer;this.renderer.options=this.options}function e(a,c){return a.replace(!c?/&(?!#?\w+;)/g:/&/g,"&amp;").replace(/</g,"&lt;").replace(/>/g,"&gt;").replace(/"/g,"&quot;").replace(/'/g,"&#39;")}function d(a){return a.replace(/&([#\w]+);/g,function(a,c){c=
c.toLowerCase();return"colon"===c?":":"#"===c.charAt(0)?"x"===c.charAt(1)?String.fromCharCode(parseInt(c.substring(2),16)):String.fromCharCode(+c.substring(1)):""})}function c(a,c){a=a.source;c=c||"";return function t(b,d){if(!b)return RegExp(a,c);d=d.source||d;d=d.replace(/(^|[^\[])\^/g,"$1");a=a.replace(b,d);return t}}function g(){}function m(a){for(var c=1,b,d;c<arguments.length;c++)for(d in b=arguments[c],b)Object.prototype.hasOwnProperty.call(b,d)&&(a[d]=b[d]);return a}function k(c,b,d){if(d||
"function"===typeof b){d||(d=b,b=null);b=m({},k.defaults,b||{});var g=b.highlight,l,f,r=0;p=0;u=[];for(var B=0;B<b.preprocessors.length;B++)c=b.preprocessors[B](c);try{l=h.lex(c,b)}catch(C){return d(C)}f=l.length;var y=function(){var c,e;try{c=a.parse(l,b)}catch(k){e=k}b.highlight=g;return e?d(e):d(null,c)};if(!g||3>g.length)return y();delete b.highlight;if(!f)return y();for(;r<l.length;r++)(function(a){return"code"!==a.type?--f||y():g(a.text,a.lang,function(c,b){if(null==b||b===a.text)return--f||
y();a.text=b;a.escaped=!0;--f||y()})})(l[r])}else try{b&&(b=m({},k.defaults,b));p=0;u=[];for(r=0;r<k.defaults.preprocessors.length;r++)c=k.defaults.preprocessors[r](c);return a.parse(h.lex(c,b),b)}catch(G){G.message+="\nPlease report this to https://github.com/chjj/marked.";if((b||k.defaults).silent)return"<p>An error occured:</p><pre>"+e(G.message+"",!0)+"</pre>";throw G;}}var l={newline:/^\n+/,code:/^( {4}[^\n]+\n*)+/,fences:g,hr:/^( *[-*_]){3,} *(?:\n+|$)/,heading:/^ *(#{1,6}) *([^\n]+?) *#* *(?:\n+|$)/,
nptable:g,lheading:/^([^\n]+)\n *(=|-){2,} *(?:\n+|$)/,blockquote:/^( *>[^\n]+(\n[^\n]+)*\n*)+/,list:/^( *)(bull) [\s\S]+?(?:hr|\n{2,}(?! )(?!\1bull )\n*|\s*$)/,html:/^ *(?:comment|closed|closing) *(?:\n{2,}|\s*$)/,def:/^ *\[([^\]]+)\]: *<?([^\s>]+)>?(?: +["(]([^\n]+)[")])? *(?:\n+|$)/,table:g,paragraph:/^((?:[^\n]+\n?(?!hr|heading|lheading|blockquote|tag|def))+)\n*/,text:/^[^\n]+/,bullet:/(?:[*+-]|\d+\.)/,item:/^( *)(bull) [^\n]*(?:\n(?!\1bull )[^\n]*)*/};l.item=c(l.item,"gm")(/bull/g,l.bullet)();
l.list=c(l.list)(/bull/g,l.bullet)("hr",/\n+(?=(?: *[-*_]){3,} *(?:\n+|$))/)();l._tag="(?!(?:a|em|strong|small|s|cite|q|dfn|abbr|data|time|code|var|samp|kbd|sub|sup|i|b|u|mark|ruby|rt|rp|bdi|bdo|span|br|wbr|ins|del|img)\\b)\\w+(?!:/|[^\\w\\s@]*@)\\b";l.html=c(l.html)("comment",/\x3c!--[\s\S]*?--\x3e/)("closed",/<(tag)[\s\S]+?<\/\1>/)("closing",/<tag(?:"[^"]*"|'[^']*'|[^'">])*?>/)(/tag/g,l._tag)();l.paragraph=c(l.paragraph)("hr",l.hr)("heading",l.heading)("lheading",l.lheading)("blockquote",l.blockquote)("tag",
"<"+l._tag)("def",l.def)();l.normal=m({},l);l.gfm=m({},l.normal,{fences:/^ *(`{3,}|~{3,}) *(\S+)? *\n([\s\S]+?)\s*\1 *(?:\n+|$)/,paragraph:/^/});l.gfm.paragraph=c(l.paragraph)("(?!","(?!"+l.gfm.fences.source.replace("\\1","\\2")+"|"+l.list.source.replace("\\1","\\3")+"|")();l.tables=m({},l.gfm,{nptable:/^ *(\S.*\|.*)\n *([-:]+ *\|[-| :]*)\n((?:.*\|.*(?:\n|$))*)\n*/,table:/^ *\|(.+)\n *\|( *[-:]+[-| :]*)\n((?: *\|.*(?:\n|$))*)\n*/});h.rules=l;h.lex=function(a,c){return(new h(c)).lex(a)};h.prototype.lex=
function(a){a=a.replace(/\r\n|\r/g,"\n").replace(/\t/g,"    ").replace(/\u00a0/g," ").replace(/\u2424/g,"\n");return this.token(a,!0)};var p=0,u=[];h.prototype.token=function(a,c){a=a.replace(/^ +$/gm,"");for(var b,d,e,g,k,m,p;a;){if(e=this.rules.newline.exec(a))a=a.substring(e[0].length),1<e[0].length&&this.tokens.push({type:"space"});if(e=this.rules.code.exec(a))a=a.substring(e[0].length),e=e[0].replace(/^ {4}/gm,""),this.tokens.push({type:"code",text:!this.options.pedantic?e.replace(/\n+$/,""):
e});else if(e=this.rules.fences.exec(a))a=a.substring(e[0].length),this.tokens.push({type:"code",lang:e[2],text:e[3]});else if(e=this.rules.heading.exec(a))a=a.substring(e[0].length),this.tokens.push({type:"heading",depth:e[1].length,text:e[2]});else if(c&&(e=this.rules.nptable.exec(a))){a=a.substring(e[0].length);k={type:"table",header:e[1].replace(/^ *| *\| *$/g,"").split(/ *\| */),align:e[2].replace(/^ *|\| *$/g,"").split(/ *\| */),cells:e[3].replace(/\n$/,"").split("\n")};for(m=0;m<k.align.length;m++)/^ *-+: *$/.test(k.align[m])?
k.align[m]="right":/^ *:-+: *$/.test(k.align[m])?k.align[m]="center":/^ *:-+ *$/.test(k.align[m])?k.align[m]="left":k.align[m]=null;for(m=0;m<k.cells.length;m++)k.cells[m]=k.cells[m].split(/ *\| */);this.tokens.push(k)}else if(e=this.rules.lheading.exec(a))a=a.substring(e[0].length),this.tokens.push({type:"heading",depth:"="===e[2]?1:2,text:e[1]});else if(e=this.rules.hr.exec(a))a=a.substring(e[0].length),this.tokens.push({type:"hr"});else if(e=this.rules.blockquote.exec(a))a=a.substring(e[0].length),
this.tokens.push({type:"blockquote_start"}),e=e[0].replace(/^ *> ?/gm,""),this.token(e,c),this.tokens.push({type:"blockquote_end"});else if(e=this.rules.list.exec(a)){a=a.substring(e[0].length);g=e[2];this.tokens.push({type:"list_start",ordered:1<g.length});e=e[0].match(this.rules.item);b=!1;p=e.length;for(m=0;m<p;m++)k=e[m],d=k.length,k=k.replace(/^ *([*+-]|\d+\.) +/,""),~k.indexOf("\n ")&&(d-=k.length,k=!this.options.pedantic?k.replace(RegExp("^ {1,"+d+"}","gm"),""):k.replace(/^ {1,4}/gm,"")),this.options.smartLists&&
m!==p-1&&(d=l.bullet.exec(e[m+1])[0],g!==d&&!(1<g.length&&1<d.length)&&(a=e.slice(m+1).join("\n")+a,m=p-1)),d=b||/\n\n(?!\s*$)/.test(k),m!==p-1&&(b="\n"===k.charAt(k.length-1),d||(d=b)),this.tokens.push({type:d?"loose_item_start":"list_item_start"}),this.token(k,!1),this.tokens.push({type:"list_item_end"});this.tokens.push({type:"list_end"})}else if(e=this.rules.html.exec(a))a=a.substring(e[0].length),this.tokens.push({type:this.options.sanitize?"paragraph":"html",pre:"pre"===e[1]||"script"===e[1]||
"style"===e[1],text:e[0]});else if(c&&(e=this.rules.def.exec(a)))a=a.substring(e[0].length),this.tokens.links[e[1].toLowerCase()]={href:e[2],title:e[3]};else if(c&&(e=this.rules.table.exec(a))){a=a.substring(e[0].length);k={type:"table",header:e[1].replace(/^ *| *\| *$/g,"").split(/ *\| */),align:e[2].replace(/^ *|\| *$/g,"").split(/ *\| */),cells:e[3].replace(/(?: *\| *)?\n$/,"").split("\n")};for(m=0;m<k.align.length;m++)/^ *-+: *$/.test(k.align[m])?k.align[m]="right":/^ *:-+: *$/.test(k.align[m])?
k.align[m]="center":/^ *:-+ *$/.test(k.align[m])?k.align[m]="left":k.align[m]=null;for(m=0;m<k.cells.length;m++)k.cells[m]=k.cells[m].replace(/^ *\| *| *\| *$/g,"").split(/ *\| */);this.tokens.push(k)}else if(c&&(e=this.rules.paragraph.exec(a)))a=a.substring(e[0].length),this.tokens.push({type:"paragraph",text:"\n"===e[1].charAt(e[1].length-1)?e[1].slice(0,-1):e[1]});else if(e=this.rules.text.exec(a))a=a.substring(e[0].length),this.tokens.push({type:"text",text:e[0]});else if(a)throw Error("Infinite loop on byte: "+
a.charCodeAt(0));}return this.tokens};var r={escape:/^\\([\\`*{}\[\]()#+\-.!_>])/,autolink:/^<([^ >]+(@|:\/)[^ >]+)>/,url:g,tag:/^\x3c!--[\s\S]*?--\x3e|^<\/?\w+(?:"[^"]*"|'[^']*'|[^'">])*?>/,link:/^!?\[(inside)\]\(href\)/,reflink:/^!?\[(inside)\]\s*\[([^\]]*)\]/,nolink:/^!?\[((?:\[[^\]]*\]|[^\[\]])*)\]/,strong:/^__([\s\S]+?)__(?!_)|^\*\*([\s\S]+?)\*\*(?!\*)/,em:/^\b_((?:__|[\s\S])+?)_\b|^\*((?:\*\*|[\s\S])+?)\*(?!\*)/,code:/^(`+)\s*([\s\S]*?[^`])\s*\1(?!`)/,br:/^ {2,}\n(?!\s*$)/,del:g,emoji:g,unicodeemoji:g,
usermention:g,realm_filters:[],text:/^[\s\S]+?(?=[\\<!\[_*`]| {2,}\n|$)/,_inside:/(?:\[[^\]]*\]|[^\[\]]|\](?=[^\[]*\]))*/,_href:/\s*<?([\s\S]*?)>?(?:\s+['"]([\s\S]*?)['"])?\s*/};r.link=c(r.link)("inside",r._inside)("href",r._href)();r.reflink=c(r.reflink)("inside",r._inside)();r.normal=m({},r);r.pedantic=m({},r.normal,{strong:/^__(?=\S)([\s\S]*?\S)__(?!_)|^\*\*(?=\S)([\s\S]*?\S)\*\*(?!\*)/,em:/^_(?=\S)([\s\S]*?\S)_(?!_)|^\*(?=\S)([\s\S]*?\S)\*(?!\*)/});r.gfm=m({},r.normal,{escape:c(r.escape)("])",
"~|])")(),url:/^(https?:\/\/[^\s<]+[^<.,:;"')\]\s])/,del:/^~~(?=\S)([\s\S]*?\S)~~/,text:c(r.text)("]|","~]|")("|","|https?://|")()});r.breaks=m({},r.gfm,{br:c(r.br)("{2,}","*")(),text:c(r.gfm.text)("{2,}","*")()});r.zulip=m({},r.breaks,{emoji:/^:([A-Za-z0-9_\-\+]+?):/,unicodeemoji:/^(\ud83c[\udf00-\udfff]|\ud83d[\udc00-\ude4f]|\ud83d[\ude80-\udeff])/,usermention:/^(@\*\*([^\*]+)?\*\*)/m,realm_filters:[],text:c(r.breaks.text)("|","|(\ud83c[\udf00-\udfff]|\ud83d[\udc00-\ude4f]|\ud83d[\ude80-\udeff])|")("]|",
"@:]|")()});f.rules=r;f.output=function(a,c,b){return(new f(c,b)).output(a)};f.prototype.inlineReplacement=function(a,c,b){var d,e="";a.lastIndex=0;if(d=a.exec(c)){var g=a.lastIndex,k=c.substring(0,g-d[0].length),k=this.output(k),e=e+k;c=c.substring(g);e+=b(a,d.slice(1),d[0])}return[c,e]};f.prototype.output=function(a){for(var c="",b,d,g;a;)if(g=this.rules.escape.exec(a))a=a.substring(g[0].length),c+=g[1];else{var k=this;this.rules.realm_filters.forEach(function(b){b=k.inlineReplacement(b,a,function(a,
c,b){d=k.realm_filter(a,c,b);return void 0!==d?(d=e(d),k.renderer.link(d,d,b)):b});a=b[0];c+=b[1]});if(g=this.rules.autolink.exec(a))a=a.substring(g[0].length),"@"===g[2]?(b=":"===g[1].charAt(6)?this.mangle(g[1].substring(7)):this.mangle(g[1]),d=this.mangle("mailto:")+b):d=b=e(g[1]),c+=this.renderer.link(d,null,b);else if(g=this.rules.url.exec(a))a=a.substring(g[0].length),d=b=e(g[1]),c+=this.renderer.link(d,null,b);else if(g=this.rules.tag.exec(a))a=a.substring(g[0].length),c+=this.options.sanitize?
e(g[0]):g[0];else if(g=this.rules.link.exec(a))a=a.substring(g[0].length),c+=this.outputLink(g,{href:g[2],title:g[3]});else if((g=this.rules.reflink.exec(a))||(g=this.rules.nolink.exec(a)))a=a.substring(g[0].length),b=(g[2]||g[1]).replace(/\s+/g," "),b=this.links[b.toLowerCase()],!b||!b.href?(c+=g[0].charAt(0),a=g[0].substring(1)+a):c+=this.outputLink(g,b);else if(g=this.rules.usermention.exec(a))a=a.substring(g[0].length),c+=this.usermention(g[2],g[1]);else if(g=this.rules.strong.exec(a))a=a.substring(g[0].length),
c+=this.renderer.strong(this.output(g[2]||g[1]));else if(g=this.rules.em.exec(a))a=a.substring(g[0].length),c+=this.renderer.em(this.output(g[2]||g[1]));else if(g=this.rules.code.exec(a))a=a.substring(g[0].length),c+=this.renderer.codespan(e(g[2],!0));else if(g=this.rules.br.exec(a))a=a.substring(g[0].length),c+=this.renderer.br();else if(g=this.rules.del.exec(a))a=a.substring(g[0].length),c+=this.renderer.del(this.output(g[1]));else if(g=this.rules.emoji.exec(a))a=a.substring(g[0].length),c+=this.emoji(g[1]);
else if(g=this.rules.unicodeemoji.exec(a))a=a.substring(g[0].length),c+=this.unicodeEmoji(g[1]);else if(g=this.rules.text.exec(a))a=a.substring(g[0].length),c+=e(this.smartypants(g[0]));else if(a)throw Error("Infinite loop on byte: "+a.charCodeAt(0));}return c};f.prototype.outputLink=function(a,c){var b=e(c.href),d=c.title?e(c.title):null;return"!"!==a[0].charAt(0)?this.renderer.link(b,d,this.output(a[1])):this.renderer.image(b,d,e(a[1]))};f.prototype.emoji=function(a){return"function"!==typeof this.options.emojiHandler?
":"+a+":":this.options.emojiHandler(a)};f.prototype.unicodeEmoji=function(a){return"function"!==typeof this.options.unicodeEmojiHandler?a:this.options.unicodeEmojiHandler(a)};f.prototype.realm_filter=function(a,c,b){if("function"===typeof this.options.realmFilterHandler)return this.options.realmFilterHandler(a,c)};f.prototype.usermention=function(a,c){if("function"!==typeof this.options.userMentionHandler)return c;var b=this.options.userMentionHandler(a);return void 0!==b?b:c};f.prototype.smartypants=
function(a){return!this.options.smartypants?a:a.replace(/--/g,"\u2014").replace(/(^|[-\u2014/(\[{"\s])'/g,"$1\u2018").replace(/'/g,"\u2019").replace(/(^|[-\u2014/(\[{\u2018\s])"/g,"$1\u201c").replace(/"/g,"\u201d").replace(/\.{3}/g,"\u2026")};f.prototype.mangle=function(a){for(var c="",b=a.length,d=0,e;d<b;d++)e=a.charCodeAt(d),0.5<Math.random()&&(e="x"+e.toString(16)),c+="&#"+e+";";return c};b.prototype.code=function(a,c,b){if(this.options.highlight){var d=this.options.highlight(a,c);null!=d&&d!==
a&&(b=!0,a=d)}return!c?"<pre><code>"+(b?a:e(a,!0))+"\n</code></pre>":'<pre><code class="'+this.options.langPrefix+e(c,!0)+'">'+(b?a:e(a,!0))+"\n</code></pre>\n"};b.prototype.blockquote=function(a){return"<blockquote>\n"+a+"</blockquote>\n"};b.prototype.html=function(a){return a};b.prototype.heading=function(a,c,b){return"<h"+c+' id="'+this.options.headerPrefix+b.toLowerCase().replace(/[^\w]+/g,"-")+'">'+a+"</h"+c+">\n"};b.prototype.hr=function(){return"<hr>\n"};b.prototype.list=function(a,c){var b=
c?"ol":"ul";return"<"+b+">\n"+a+"</"+b+">\n"};b.prototype.listitem=function(a){return"<li>"+a+"</li>\n"};b.prototype.paragraph=function(a){return"<p>"+a+"</p>\n"};b.prototype.table=function(a,c){return"<table>\n<thead>\n"+a+"</thead>\n<tbody>\n"+c+"</tbody>\n</table>\n"};b.prototype.tablerow=function(a){return"<tr>\n"+a+"</tr>\n"};b.prototype.tablecell=function(a,c){var b=c.header?"th":"td";return(c.align?"<"+b+' style="text-align:'+c.align+'">':"<"+b+">")+a+"</"+b+">\n"};b.prototype.strong=function(a){return"<strong>"+
a+"</strong>"};b.prototype.em=function(a){return"<em>"+a+"</em>"};b.prototype.codespan=function(a){return"<code>"+a+"</code>"};b.prototype.br=function(){return"<br>"};b.prototype.del=function(a){return"<del>"+a+"</del>"};b.prototype.link=function(a,c,b){if(this.options.sanitize){try{var e=decodeURIComponent(d(a)).replace(/[^\w:]/g,"").toLowerCase()}catch(g){return""}if(0===e.indexOf("javascript:"))return""}a='<a href="'+a+'"';c&&(a+=' title="'+c+'"');return a+(">"+b+"</a>")};b.prototype.image=function(a,
c,b){a='<img src="'+a+'" alt="'+b+'"';c&&(a+=' title="'+c+'"');return a+">"};a.parse=function(c,b,d){b=new a(b,d);c=b.parse(c);return c=b.postprocess(c)};a.prototype.parse=function(a){this.inline=new f(a.links,this.options,this.renderer);this.tokens=a.reverse();for(a="";this.next();)a+=this.tok();return a};a.prototype.postprocess=function(a){for(var c=0;c<u.length;c++){var b=u[c],d=b[0],g=b[1],g=b[2]?g+"\n":e(g);a=a.replace("<p>"+d+"</p>",g)}return a};a.prototype.next=function(){return this.token=
this.tokens.pop()};a.prototype.peek=function(){return this.tokens[this.tokens.length-1]||0};a.prototype.parseText=function(){for(var a=this.token.text;"text"===this.peek().type;)a+="\n"+this.next().text;return this.inline.output(a)};a.prototype.tok=function(){switch(this.token.type){case "space":return"";case "hr":return this.renderer.hr();case "heading":return this.renderer.heading(this.inline.output(this.token.text),this.token.depth,this.token.text);case "code":return this.renderer.code(this.token.text,
this.token.lang,this.token.escaped);case "table":var a="",c="",b,d,e,g;e="";for(b=0;b<this.token.header.length;b++)e+=this.renderer.tablecell(this.inline.output(this.token.header[b]),{header:!0,align:this.token.align[b]});a+=this.renderer.tablerow(e);for(b=0;b<this.token.cells.length;b++){d=this.token.cells[b];e="";for(g=0;g<d.length;g++)e+=this.renderer.tablecell(this.inline.output(d[g]),{header:!1,align:this.token.align[g]});c+=this.renderer.tablerow(e)}return this.renderer.table(a,c);case "blockquote_start":for(c=
"";"blockquote_end"!==this.next().type;)c+=this.tok();return this.renderer.blockquote(c);case "list_start":c="";for(a=this.token.ordered;"list_end"!==this.next().type;)c+=this.tok();return this.renderer.list(c,a);case "list_item_start":for(c="";"list_item_end"!==this.next().type;)c+="text"===this.token.type?this.parseText():this.tok();return this.renderer.listitem(c);case "loose_item_start":for(c="";"list_item_end"!==this.next().type;)c+=this.tok();return this.renderer.listitem(c);case "html":return c=
!this.token.pre&&!this.options.pedantic?this.inline.output(this.token.text):this.token.text,this.renderer.html(c);case "paragraph":return this.renderer.paragraph(this.inline.output(this.token.text));case "text":return this.renderer.paragraph(this.parseText())}};g.exec=g;k.options=k.setOptions=function(a){m(k.defaults,a);return k};k.defaults={gfm:!0,emoji:!1,unicodeemoji:!1,tables:!0,breaks:!1,pedantic:!1,sanitize:!1,smartLists:!1,silent:!1,highlight:null,langPrefix:"lang-",smartypants:!1,headerPrefix:"",
renderer:new b,preprocessors:[]};k.Parser=a;k.parser=a.parse;k.Renderer=b;k.Lexer=h;k.lexer=h.lex;k.InlineLexer=f;k.inlineLexer=f.output;k.parse=k;k.stashHtml=function(a,c){var b="klzzwxhzsd:"+p;p++;u.push([b,a,c]);return b};"object"===typeof exports?module.exports=k:"function"===typeof define&&define.amd?define(function(){return k}):this.marked=k}).call(function(){return this||("undefined"!==typeof window?window:global)}());(function(){var h=Handlebars.template,f=Handlebars.templates=Handlebars.templates||{};f.bot_avatar_row=h(function(b,a,e,d,c){this.compilerInfo=[4,">= 1.0.0"];e=this.merge(e,b.helpers);c=c||{};var g,m,k=this.escapeExpression,l=e.helperMissing;b='<li class="bot-information-box">\n    <div class="image">\n        <img src="';(g=e.avatar_url)?d=g.call(a,{hash:{},data:c}):(g=a&&a.avatar_url,d="function"===typeof g?g.call(a,{hash:{},data:c}):g);b+=k(d)+'" class="avatar" />\n    </div>\n    <div class="bot_info">\n        <div class="name">';
(g=e.name)?d=g.call(a,{hash:{},data:c}):(g=a&&a.name,d="function"===typeof g?g.call(a,{hash:{},data:c}):g);b+=k(d)+'</div>\n        <div class="email">\n            <span class="field">'+k((g=e.t||a&&a.t,m={hash:{},data:c},g?g.call(a,"Username",m):l.call(a,"t","Username",m)))+'</span>\n            <span class="value">';(g=e.email)?d=g.call(a,{hash:{},data:c}):(g=a&&a.email,d="function"===typeof g?g.call(a,{hash:{},data:c}):g);b+=k(d)+'</span>\n        </div>\n        <div class="api_key">\n            <span class="field">'+
k((g=e.t||a&&a.t,m={hash:{},data:c},g?g.call(a,"API Key",m):l.call(a,"t","API Key",m)))+'</span>\n            <span class="api-key-value-and-button">\n               <span class="value">';(g=e.api_key)?d=g.call(a,{hash:{},data:c}):(g=a&&a.api_key,d="function"===typeof g?g.call(a,{hash:{},data:c}):g);b+=k(d)+'\n               </span>\n               <button type="submit" class="btn btn-secondary regenerate_bot_api_key" title="'+k((g=e.t||a&&a.t,m={hash:{},data:c},g?g.call(a,"Generate new API key",
m):l.call(a,"t","Generate new API key",m)))+'" data-email="';(g=e.email)?d=g.call(a,{hash:{},data:c}):(g=a&&a.email,d="function"===typeof g?g.call(a,{hash:{},data:c}):g);b+=k(d)+'">\n                   <i class="icon-vector-refresh"></i>\n               </button>\n            </span>\n            <div class="api_key_error text-error"></div>\n        </div>\n        <div class="edit-bot-buttons">\n           <button type="submit" class="btn btn-primary open_edit_bot_form" title="'+k((g=e.t||a&&a.t,
m={hash:{},data:c},g?g.call(a,"Edit bot",m):l.call(a,"t","Edit bot",m)))+'" data-email="';(g=e.email)?d=g.call(a,{hash:{},data:c}):(g=a&&a.email,d="function"===typeof g?g.call(a,{hash:{},data:c}):g);b+=k(d)+'">\n            <i class="icon-vector-pencil"></i>\n           </button>\n           <button type="submit" class="btn btn-danger delete_bot" title="'+k((g=e.t||a&&a.t,m={hash:{},data:c},g?g.call(a,"Delete bot",m):l.call(a,"t","Delete bot",m)))+'" data-email="';(g=e.email)?d=g.call(a,{hash:{},
data:c}):(g=a&&a.email,d="function"===typeof g?g.call(a,{hash:{},data:c}):g);b+=k(d)+'">\n            <i class="icon-vector-trash"></i>\n           </button>\n        </div>\n        <div id="bot_delete_error';(g=e.id_suffix)?d=g.call(a,{hash:{},data:c}):(g=a&&a.id_suffix,d="function"===typeof g?g.call(a,{hash:{},data:c}):g);b+=k(d)+'" class="alert alert-error hide"></div>\n    </div>\n    <div class=\'edit_bot\'>\n        <form class="edit_bot_form form-horizontal" data-email="';(g=e.email)?d=g.call(a,
{hash:{},data:c}):(g=a&&a.email,d="function"===typeof g?g.call(a,{hash:{},data:c}):g);b+=k(d)+'">\n            <div class="bot_edit_errors alert alert-error hide"></div>\n            <div class="edit_bot_email">';(g=e.email)?d=g.call(a,{hash:{},data:c}):(g=a&&a.email,d="function"===typeof g?g.call(a,{hash:{},data:c}):g);b+=k(d)+'</div>\n            <div class="edit-bot-form-box">\n              <div class="control-group">\n               <label for="edit_bot_name';(g=e.id_suffix)?d=g.call(a,{hash:{},
data:c}):(g=a&&a.id_suffix,d="function"===typeof g?g.call(a,{hash:{},data:c}):g);b+=k(d)+'" class="control-label">'+k((g=e.t||a&&a.t,m={hash:{},data:c},g?g.call(a,"Full name",m):l.call(a,"t","Full name",m)))+'</label>\n               <div class="controls">\n                  <input type="text" name="bot_name" id="edit_bot_name';(g=e.id_suffix)?d=g.call(a,{hash:{},data:c}):(g=a&&a.id_suffix,d="function"===typeof g?g.call(a,{hash:{},data:c}):g);b+=k(d)+'" class="edit_bot_name required" maxlength=50 />\n                  <div><label for="edit_bot_name';
(g=e.id_suffix)?d=g.call(a,{hash:{},data:c}):(g=a&&a.id_suffix,d="function"===typeof g?g.call(a,{hash:{},data:c}):g);b+=k(d)+'" generated="true" class="text-error"></label></div>\n               </div>\n              </div>\n              <div class="control-group new-bot-ui">\n                <label for="edit_bot_default_sending_stream';(g=e.id_suffix)?d=g.call(a,{hash:{},data:c}):(g=a&&a.id_suffix,d="function"===typeof g?g.call(a,{hash:{},data:c}):g);b+=k(d)+'" class="control-label">'+k((g=e.t||
a&&a.t,m={hash:{},data:c},g?g.call(a,"Send to stream",m):l.call(a,"t","Send to stream",m)))+'</label>\n                <select name="bot_default_sending_stream" class="edit_bot_default_sending_stream" id="edit_bot_default_sending_stream';(g=e.id_suffix)?d=g.call(a,{hash:{},data:c}):(g=a&&a.id_suffix,d="function"===typeof g?g.call(a,{hash:{},data:c}):g);b+=k(d)+'"></select>\n              </div>\n              <div class="control-group new-bot-ui">\n                <label for="edit_bot_default_events_register_stream';
(g=e.id_suffix)?d=g.call(a,{hash:{},data:c}):(g=a&&a.id_suffix,d="function"===typeof g?g.call(a,{hash:{},data:c}):g);b+=k(d)+'" class="control-label">'+k((g=e.t||a&&a.t,m={hash:{},data:c},g?g.call(a,"Listen on",m):l.call(a,"t","Listen on",m)))+'</label>\n                <select name="bot_default_events_register_stream" class="edit_bot_default_events_register_stream" id="edit_bot_default_events_register_stream';(g=e.id_suffix)?d=g.call(a,{hash:{},data:c}):(g=a&&a.id_suffix,d="function"===typeof g?
g.call(a,{hash:{},data:c}):g);b+=k(d)+'"></select>\n              </div>\n              <div class="control-group">\n               <label for="bot_avatar_file_input';(g=e.id_suffix)?d=g.call(a,{hash:{},data:c}):(g=a&&a.id_suffix,d="function"===typeof g?g.call(a,{hash:{},data:c}):g);b+=k(d)+'" class="control-label">Avatar</label>\n               <input type="file" id="bot_avatar_file_input';(g=e.id_suffix)?d=g.call(a,{hash:{},data:c}):(g=a&&a.id_suffix,d="function"===typeof g?g.call(a,{hash:{},data:c}):
g);b+=k(d)+'" name="bot_avatar_file_input" class="notvisible edit_bot_avatar_file_input" value="'+k((g=e.t||a&&a.t,m={hash:{},data:c},g?g.call(a,"Upload avatar",m):l.call(a,"t","Upload avatar",m)))+'" />\n                <div class="controls">\n                  <div class="edit_bot_avatar_file"></div>\n                  <button type="button" class="btn btn-default edit_bot_avatar_upload_button">'+k((g=e.t||a&&a.t,m={hash:{},data:c},g?g.call(a,"Choose avatar",m):l.call(a,"t","Choose avatar",m)))+
'</button>\n                  <button type="button" class="btn btn-default edit_bot_avatar_clear_button">'+k((g=e.t||a&&a.t,m={hash:{},data:c},g?g.call(a,"Clear avatar",m):l.call(a,"t","Clear avatar",m)))+'</button>\n                </div>\n               <div><label for="edit_bot_avatar_file';(g=e.id_suffix)?d=g.call(a,{hash:{},data:c}):(g=a&&a.id_suffix,d="function"===typeof g?g.call(a,{hash:{},data:c}):g);return b+=k(d)+'" generated="true" class="edit_bot_avatar_error text-error"></label></div>\n              </div>\n              <div class="control-group">\n               <div class="controls">\n                  <input type="submit" class="btn btn-primary edit_bot_button" value="'+
k((g=e.t||a&&a.t,m={hash:{},data:c},g?g.call(a,"Save",m):l.call(a,"t","Save",m)))+'" />\n                  <button type="submit" class="btn btn-default reset_edit_bot">Cancel</button>\n               </div>\n               <div class="edit_bot_spinner"></div>\n              </div>\n            </div>\n        </form>\n    </div>\n</li>\n'});f.alert_word_settings_item=h(function(b,a,e,d,c){this.compilerInfo=[4,">= 1.0.0"];e=this.merge(e,b.helpers);c=c||{};var g=e.helperMissing,m=this.escapeExpression;
b='\n<li class="alert-word-item" data-word=\'';(d=e.word)?d=d.call(a,{hash:{},data:c}):(d=a&&a.word,d="function"===typeof d?d.call(a,{hash:{},data:c}):d);b+=m(d)+"'>\n    ";if((d=e["if"].call(a,a&&a.editing,{hash:{},inverse:this.program(3,function(a,c){var b,d,f,h;b='\n        <div class="alert-word-information-box">\n            <div class="alert_word_listing">\n                <span class="value">';(f=e.word)?d=f.call(a,{hash:{},data:c}):(f=a&&a.word,d="function"===typeof f?f.call(a,{hash:{},data:c}):
f);b+=m(d)+'</span>\n            </div>\n            <div class="edit-alert-word-buttons">\n                <button type="submit" class="btn btn-small btn-danger remove-alert-word" title="'+m((f=e.t||a&&a.t,h={hash:{},data:c},f?f.call(a,"Delete Alert Word",h):g.call(a,"t","Delete Alert Word",h)))+'" data-word="';(f=e.word)?d=f.call(a,{hash:{},data:c}):(f=a&&a.word,d="function"===typeof f?f.call(a,{hash:{},data:c}):f);return b+=m(d)+'">\n                    <i class="icon-vector-trash"></i>\n                </button>\n            </div>\n        </div>\n    '},
c),fn:this.program(1,function(a,c){var b,d,f;return b=""+('\n        <div class="alert-word-settings-form">\n            <form id="create_alert_word_form" class="form-horizontal">\n                <div class="add-new-alert-word-box">\n                    <div class="settings-section-title new-alert-word-section-title">'+m((d=e.t||a&&a.t,f={hash:{},data:c},d?d.call(a,"Add a New Alert Word",f):g.call(a,"t","Add a New Alert Word",f)))+'</div>\n                    <div class="new-alert-word-form">\n                        <div class="control-group">\n                            <label for="create_alert_word_name" class="control-label">'+
m((d=e.t||a&&a.t,f={hash:{},data:c},d?d.call(a,"New Alert Word",f):g.call(a,"t","New Alert Word",f)))+'</label>\n                            <input type="text" name="alert_word_name" id="create_alert_word_name" class="required"\n                                maxlength=100 placeholder="'+m((d=e.t||a&&a.t,f={hash:{},data:c},d?d.call(a,"Alert Word",f):g.call(a,"t","Alert Word",f)))+'" value="" />\n                        </div>\n                        <div class="alert alert-danger" id="empty_alert_word_error" role="alert">\n                            <button type="button" class="close close-empty-alert-word-error" aria-label="Close">\n                                <span aria-hidden="true">&times;</span>\n                            </button>\n                            <span>'+
m((d=e.t||a&&a.t,f={hash:{},data:c},d?d.call(a,"Alert words can't be empty!",f):g.call(a,"t","Alert words can't be empty!",f)))+'</span>\n                        </div>\n                        <button class="btn btn-primary add-alert-word" id="create_alert_word_button" type="button">\n                            '+m((d=e.t||a&&a.t,f={hash:{},data:c},d?d.call(a,"Add Alert Word",f):g.call(a,"t","Add Alert Word",f)))+"\n                        </button>\n                    </div>\n                </div>\n            </form>\n        </div>\n    ")},
c),data:c}))||0===d)b+=d;return b+"\n</li>\n"});f.tab_bar=h(function(b,a,e,d,c){function g(a,c){var b,d;b='data-name="';(d=e.data)?d=d.call(a,{hash:{},data:c}):(d=a&&a.data,d=typeof d===q?d.call(a,{hash:{},data:c}):d);return b+=s(d)+'"'}function m(a,c){return'\n      <i class="icon-vector-narrow icon-vector-small"></i>\n    '}function k(a,c){var b,d;b="\n      ";if((d=e["if"].call(a,a&&a.home,{hash:{},inverse:t.program(9,p,c),fn:t.program(7,l,c),data:c}))||0===d)b+=d;return b+"\n    "}function l(a,
c){var b,d;b='\n        <a href="';(d=e.hash)?d=d.call(a,{hash:{},data:c}):(d=a&&a.hash,d=typeof d===q?d.call(a,{hash:{},data:c}):d);return b+=s(d)+'"><i class="icon-vector-home"></i></a>\n      '}function p(a,c){var b,d;b='\n        <a href="';(d=e.hash)?d=d.call(a,{hash:{},data:c}):(d=a&&a.hash,d=typeof d===q?d.call(a,{hash:{},data:c}):d);b+=s(d)+'">';(d=e.title)?d=d.call(a,{hash:{},data:c}):(d=a&&a.title,d=typeof d===q?d.call(a,{hash:{},data:c}):d);return b+=s(d)+"</a>\n      "}function f(a,c){var b,
d;b="\n      ";if((d=e["if"].call(a,a&&a.home,{hash:{},inverse:t.noop,fn:t.program(12,r,c),data:c}))||0===d)b+=d;b+="\n      ";if((d=e.unless.call(a,a&&a.home,{hash:{},inverse:t.noop,fn:t.program(14,h,c),data:c}))||0===d)b+=d;return b+"\n    "}function r(a,c){return'\n        <i class="icon-vector-home"></i>\n      '}function h(a,c){var b,d;b="\n        ";(d=e.title)?d=d.call(a,{hash:{},data:c}):(d=a&&a.title,d=typeof d===q?d.call(a,{hash:{},data:c}):d);return b+=s(d)+"\n      "}this.compilerInfo=
[4,">= 1.0.0"];e=this.merge(e,b.helpers);c=c||{};var q="function",s=this.escapeExpression,t=this;b='<ul id="tab_list">\n';if((a=e.each.call(a,a&&a.tabs,{hash:{},inverse:t.noop,fn:t.program(1,function(a,c){var b,d;b='\n  <li class="';(d=e.active)?d=d.call(a,{hash:{},data:c}):(d=a&&a.active,d=typeof d===q?d.call(a,{hash:{},data:c}):d);b+=s(d)+" ";(d=e.cls)?d=d.call(a,{hash:{},data:c}):(d=a&&a.cls,d=typeof d===q?d.call(a,{hash:{},data:c}):d);b+=s(d)+'"  ';if((d=e["if"].call(a,a&&a.data,{hash:{},inverse:t.noop,
fn:t.program(2,g,c),data:c}))||0===d)b+=d;b+=">\n    ";if((d=e["if"].call(a,a&&a.icon,{hash:{},inverse:t.noop,fn:t.program(4,m,c),data:c}))||0===d)b+=d;b+="\n    \n    ";if((d=e["if"].call(a,a&&a.hash,{hash:{},inverse:t.program(11,f,c),fn:t.program(6,k,c),data:c}))||0===d)b+=d;return b+"\n  </li>\n"},c),data:c}))||0===a)b+=a;return b+"\n</ul>\n"});f.stream_privacy=h(function(b,a,e,d,c){this.compilerInfo=[4,">= 1.0.0"];e=this.merge(e,b.helpers);c=c||{};b="\n";if((a=e["if"].call(a,a&&a.invite_only,
{hash:{},inverse:this.noop,fn:this.program(1,function(a,c){return'\n  <i class="icon-vector-lock"></i>\n'},c),data:c}))||0===a)b+=a;return b+"\n"});f.admin_default_streams_list=h(function(b,a,e,d,c){function g(a,c){return'<i class="icon-vector-lock "></i>'}this.compilerInfo=[4,">= 1.0.0"];e=this.merge(e,b.helpers);c=c||{};b="";var m=this.escapeExpression,k=this,l=e.helperMissing;if((a=e["with"].call(a,a&&a.stream,{hash:{},inverse:k.noop,fn:k.program(1,function(a,c){var b,d,f,h;b='\n<tr class="default_stream_row" id="';
(f=e.name)?d=f.call(a,{hash:{},data:c}):(f=a&&a.name,d="function"===typeof f?f.call(a,{hash:{},data:c}):f);b+=m(d)+'">\n  <td>\n      ';if((d=e["if"].call(a,a&&a.invite_only,{hash:{},inverse:k.noop,fn:k.program(2,g,c),data:c}))||0===d)b+=d;b+='\n      <span class="default_stream_name">';(f=e.name)?d=f.call(a,{hash:{},data:c}):(f=a&&a.name,d="function"===typeof f?f.call(a,{hash:{},data:c}):f);return b+=m(d)+'</span>\n  </td>\n  <td>\n      <button class="btn remove-default-stream btn-danger">\n        '+
m((f=e.t||a&&a.t,h={hash:{},data:c},f?f.call(a,"Remove from default",h):l.call(a,"t","Remove from default",h)))+"\n      </button>\n  </td>\n</tr>\n"},c),data:c}))||0===a)b+=a;return b+"\n"});f.message_group=h(function(b,a,e,d,c){function g(a,c,b){var d,g,p,C;d="\n\n";if((g=e["if"].call(a,a&&a.show_date,{hash:{},inverse:q.noop,fn:q.program(3,m,c),data:c}))||0===g)d+=g;d+="\n\n";if((g=e["if"].call(a,a&&a.bookend_top,{hash:{},inverse:q.noop,fn:q.program(5,k,c),data:c}))||0===g)d+=g;d+='\n\n<div class="recipient_row" id="';
(p=e.message_group_id)?g=p.call(a,{hash:{},data:c}):(p=a&&a.message_group_id,g=typeof p===f?p.call(a,{hash:{},data:c}):p);d+=n(g)+'">\n  '+n((p=e.partial||b&&b.partial,C={hash:{},data:c},p?p.call(a,"recipient_row","use_match_properties",b&&b.use_match_properties,C):h.call(a,"partial","recipient_row","use_match_properties",b&&b.use_match_properties,C)))+"\n  ";if((g=e.each.call(a,a&&a.message_containers,{hash:{},inverse:q.noop,fn:q.programWithDepth(7,l,c,b),data:c}))||0===g)d+=g;d+="\n</div>\n\n";
if((g=e["if"].call(a,a&&a.bookend_bottom,{hash:{},inverse:q.noop,fn:q.program(5,k,c),data:c}))||0===g)d+=g;return d+"\n\n"}function m(a,c){var b,d;b='\n<div class="date_row">';(d=e.show_date)?d=d.call(a,{hash:{},data:c}):(d=a&&a.show_date,d=typeof d===f?d.call(a,{hash:{},data:c}):d);if(d||0===d)b+=d;return b+"</div>\n"}function k(a,c){var b,d,g;return b=""+("\n"+n((d=e.partial||a&&a.partial,g={hash:{},data:c},d?d.call(a,"bookend",g):h.call(a,"partial","bookend",g)))+"\n")}function l(a,c,b){var d;
d="\n  ";if((a=e["with"].call(a,a,{hash:{},inverse:q.noop,fn:q.programWithDepth(8,p,c,b),data:c}))||0===a)d+=a;return d+"\n  "}function p(a,c,b){var d,g;return a=""+("\n    "+n((d=e.partial||b&&b.partial,g={hash:{},data:c},d?d.call(a,"single_message","use_match_properties",b&&b.use_match_properties,"table_name",b&&b.table_name,g):h.call(a,"partial","single_message","use_match_properties",b&&b.use_match_properties,"table_name",b&&b.table_name,g)))+"\n  ")}this.compilerInfo=[4,">= 1.0.0"];e=this.merge(e,
b.helpers);c=c||{};var f="function",h=e.helperMissing,n=this.escapeExpression,q=this;b="\n\n";if((a=e.each.call(a,a&&a.message_groups,{hash:{},inverse:q.noop,fn:q.programWithDepth(1,function(a,c,b){var d;d="\n";if((a=e["with"].call(a,a,{hash:{},inverse:q.noop,fn:q.programWithDepth(2,g,c,b),data:c}))||0===a)d+=a;return d+"\n"},c,a),data:c}))||0===a)b+=a;return b+"\n"});f["compose-invite-users"]=h(function(b,a,e,d,c){this.compilerInfo=[4,">= 1.0.0"];e=this.merge(e,b.helpers);c=c||{};var g,m,k=this.escapeExpression,
l=e.helperMissing;b='<div class="compose_invite_user" data-useremail="';(g=e.email)?d=g.call(a,{hash:{},data:c}):(g=a&&a.email,d="function"===typeof g?g.call(a,{hash:{},data:c}):g);b+=k(d)+'">\n    ';if((d=(g=e.tr||a&&a.tr,m={hash:{},inverse:this.noop,fn:this.program(1,function(a,c){return"<strong>__name__</strong> is not subscribed to this stream."},c),data:c},g?g.call(a,a,m):l.call(a,"tr",a,m)))||0===d)b+=d;return b+='\n    <div class="compose_invite_user_controls">\n        <span class="compose_invite_user_error alert alert-error" style="display: none;">'+
k((g=e.t||a&&a.t,m={hash:{},data:c},g?g.call(a,"Unable to subscribe user",m):l.call(a,"t","Unable to subscribe user",m)))+'</span>\n        <button href="" class="compose_invite_link btn" >'+k((g=e.t||a&&a.t,m={hash:{},data:c},g?g.call(a,"Subscribe",m):l.call(a,"t","Subscribe",m)))+'</button><button type="button" class="compose_invite_close close">\u00d7</button>\n    </div>\n</div>\n'});f.message_info_popover_content=h(function(b,a,e,d,c){this.compilerInfo=[4,">= 1.0.0"];e=this.merge(e,b.helpers);
c=c||{};var g,m,k,l=e.helperMissing,p=this.escapeExpression;b=""+('\n<ul class="nav nav-list actions_popover sender_info_popover" data-email="'+p((g=(g=a&&a.message,null==g||!1===g?g:g.sender_email),"function"===typeof g?g.apply(a):g))+'">\n  <div class="popover_info">\n    <li>');if((g=(m=e.tr||a&&a.tr,k={hash:{},inverse:this.noop,fn:this.program(1,function(a,c){return"Sent by <b>__message.sender_full_name__</b>"},c),data:c},m?m.call(a,a,k):l.call(a,"tr",a,k)))||0===g)b+=g;b+="</li>\n    <li class='my_email'>"+
p((g=(g=a&&a.message,null==g||!1===g?g:g.sender_email),"function"===typeof g?g.apply(a):g))+"</li>\n    <hr />\n\n    <li>"+p((g=(g=a&&a.message,null==g||!1===g?g:g.full_date_str),"function"===typeof g?g.apply(a):g))+"</li>\n    <li>"+p((g=(g=a&&a.message,null==g||!1===g?g:g.full_time_str),"function"===typeof g?g.apply(a):g))+"</li>\n    ";if((g=e["if"].call(a,(g=a&&a.message,null==g||!1===g?g:g.historical),{hash:{},inverse:this.noop,fn:this.program(3,function(a,c){var b,d,g;return b=""+('\n    <li class="small">('+
p((d=e.t||a&&a.t,g={hash:{},data:c},d?d.call(a,"Message sent when you were not subscribed",g):l.call(a,"t","Message sent when you were not subscribed",g)))+")</li>\n    ")},c),data:c}))||0===g)b+=g;b+='\n  </div>\n  <hr />\n  <li>\n    <a href="#" class="respond_personal_button">\n      <i class="icon-vector-edit"></i> ';if((g=(m=e.tr||a&&a.tr,k={hash:{},inverse:this.noop,fn:this.program(5,function(a,c){return"Send __message.sender_full_name__ a private message"},c),data:c},m?m.call(a,a,k):l.call(a,
"tr",a,k)))||0===g)b+=g;b+='\n    </a>\n  </li>\n  <li>\n    <a href="';(m=e.pm_with_uri)?g=m.call(a,{hash:{},data:c}):(m=a&&a.pm_with_uri,g="function"===typeof m?m.call(a,{hash:{},data:c}):m);b+=p(g)+'" class="narrow_to_private_messages">\n      <i class="icon-vector-user"></i> ';if((g=(m=e.tr||a&&a.tr,k={hash:{},inverse:this.noop,fn:this.program(7,function(a,c){return"Narrow to private messages with __message.sender_full_name__"},c),data:c},m?m.call(a,a,k):l.call(a,"tr",a,k)))||0===g)b+=g;b+='\n    </a>\n  </li>\n  <li>\n    <a href="';
(m=e.sent_by_uri)?g=m.call(a,{hash:{},data:c}):(m=a&&a.sent_by_uri,g="function"===typeof m?m.call(a,{hash:{},data:c}):m);b+=p(g)+'" class="narrow_to_messages_sent">\n      <i class="icon-vector-bullhorn"></i> ';if((g=(m=e.tr||a&&a.tr,k={hash:{},inverse:this.noop,fn:this.program(9,function(a,c){return"Narrow to messages sent by __message.sender_full_name__"},c),data:c},m?m.call(a,a,k):l.call(a,"tr",a,k)))||0===g)b+=g;return b+"\n    </a>\n  </li>\n</ul>\n"});f.user_sidebar_actions=h(function(b,a,e,
d,c){this.compilerInfo=[4,">= 1.0.0"];e=this.merge(e,b.helpers);c=c||{};var g,m,k=this.escapeExpression,l=e.helperMissing;b='\n<ul class="nav nav-list user_popover" data-email="';(g=e.email)?d=g.call(a,{hash:{},data:c}):(g=a&&a.email,d="function"===typeof g?g.call(a,{hash:{},data:c}):g);b+=k(d)+'">\n  <li>\n    <a class="narrow_to_private_messages">\n      <i class="icon-vector-user"></i>\n      ';if((d=(g=e.tr||a&&a.tr,m={hash:{},inverse:this.noop,fn:this.program(1,function(a,c){return"Narrow to private messages with <b>__name__</b>"},
c),data:c},g?g.call(a,a,m):l.call(a,"tr",a,m)))||0===d)b+=d;b+='\n    </a>\n  </li>\n  <li>\n    <a class="narrow_to_messages_sent">\n      <i class="icon-vector-bullhorn"></i>\n      ';if((d=(g=e.tr||a&&a.tr,m={hash:{},inverse:this.noop,fn:this.program(3,function(a,c){return"Narrow to messages sent by <b>__name__</b>"},c),data:c},g?g.call(a,a,m):l.call(a,"tr",a,m)))||0===d)b+=d;b+='\n    </a>\n  </li>\n  <li>\n    <a class="compose_private_message">\n      <i class="icon-vector-edit"></i>\n      ';
if((d=(g=e.tr||a&&a.tr,m={hash:{},inverse:this.noop,fn:this.program(5,function(a,c){return"Compose a message to <b>__name__</b>"},c),data:c},g?g.call(a,a,m):l.call(a,"tr",a,m)))||0===d)b+=d;return b+"\n    </a>\n  </li>\n\n</ul>\n"});f.email_address_hint=h(function(b,a,e,d,c){this.compilerInfo=[4,">= 1.0.0"];e=this.merge(e,b.helpers);c=c||{};var g,m,k=e.helperMissing,l=this.escapeExpression;b="\n<div>\n\n<p>";if((d=(g=e.tr||a&&a.tr,m={hash:{},inverse:this.noop,fn:this.program(1,function(a,c){return"You can send emails to __page_params.product_name__! Just copy and use this address as an email recipient, and:"},
c),data:c},g?g.call(a,a,m):k.call(a,"tr",a,m)))||0===d)b+=d;b+='</p>\n\n<img class="subscription-email-hint-image" src="/static/images/integrations/zulip_mail.png" />\n\n<ul>\n<li>'+l((g=e.t||a&&a.t,m={hash:{},data:c},g?g.call(a,"The email will be forwarded to this stream",m):k.call(a,"t","The email will be forwarded to this stream",m)))+"</li>\n<li>";if((d=(g=e.tr||a&&a.tr,m={hash:{},inverse:this.noop,fn:this.program(3,function(a,c){return"The email subject will become the __page_params.product_name__ topic"},
c),data:c},g?g.call(a,a,m):k.call(a,"tr",a,m)))||0===d)b+=d;b+="</li>\n<li>";if((d=(g=e.tr||a&&a.tr,m={hash:{},inverse:this.noop,fn:this.program(5,function(a,c){return"The email body will become the __page_params.product_name__ message"},c),data:c},g?g.call(a,a,m):k.call(a,"tr",a,m)))||0===d)b+=d;return b+"</li>\n</ul>\n\n</div>\n"});f.settings_tab=h(function(b,a,e,d,c){function g(a,c){var b,d;return b=""+("\n                          <b>"+w((d=(d=a&&a.first,null==d||!1===d?d:d.percent),typeof d===
D?d.apply(a):d))+"</b>\n                          ")}function m(a,c){var b,d;return b=""+("\n                          "+w((d=(d=a&&a.first,null==d||!1===d?d:d.percent),typeof d===D?d.apply(a):d))+"\n                          ")}function k(a,c){var b,d;return b=""+("\n                          <b>"+w((d=(d=a&&a.second,null==d||!1===d?d:d.percent),typeof d===D?d.apply(a):d))+"</b>\n                          ")}function l(a,c){var b,d;return b=""+("\n                          "+w((d=(d=a&&a.second,
null==d||!1===d?d:d.percent),typeof d===D?d.apply(a):d))+"\n                          ")}function p(a,c){return'\n                checked="checked"\n              '}function f(a,c){return'\n                   checked="checked"\n                   '}function h(a,c){return'\n                 checked="checked"\n              '}this.compilerInfo=[4,">= 1.0.0"];e=this.merge(e,b.helpers);c=c||{};var n,q,s,t=e.helperMissing,w=this.escapeExpression,D="function",A=this;b=""+('<h1><i class="icon-vector-wrench settings-icon"></i>'+
w((q=e.t||a&&a.t,s={hash:{},data:c},q?q.call(a,"Settings",s):t.call(a,"t","Settings",s)))+'</h1>\n\n<div id="settings-change-box">\n\n  <div class="alert" id="settings-status"></div>\n\n  <div id="account-settings" class="settings-section">\n    <div class="settings-section-title"><i class="icon-vector-user settings-section-icon"></i>'+w((q=e.t||a&&a.t,s={hash:{},data:c},q?q.call(a,"Your Account",s):t.call(a,"t","Your Account",s)))+'</div>\n    <div class="account-settings-form">\n      <form action="/json/settings/change" method="post"\n            class="form-horizontal your-account-settings">\n        <div class="control-group" id="name_change_container">\n          <label for="full_name" class="control-label">'+
w((q=e.t||a&&a.t,s={hash:{},data:c},q?q.call(a,"Full name",s):t.call(a,"t","Full name",s)))+'</label>\n          <div class="controls">\n            <input type="text" name="full_name" id="full_name"\n                   value="'+w((n=(n=a&&a.page_params,null==n||!1===n?n:n.fullname),typeof n===D?n.apply(a):n))+'" />\n          </div>\n        </div>\n\n        ');if((n=e["if"].call(a,(n=a&&a.page_params,null==n||!1===n?n:n.password_auth_enabled),{hash:{},inverse:A.noop,fn:A.program(1,function(a,c){var b,
d,g;return b=""+('\n        <div class="control-group" id="pw_change_link">\n          <label for="change_password_button" class="control-label">'+w((d=e.t||a&&a.t,g={hash:{},data:c},d?d.call(a,"Password",g):t.call(a,"t","Password",g)))+'</label>\n          <div class="controls">\n            <button class="btn btn-default change_password_button" data-dismiss="modal" aria-hidden="true">'+w((d=e.t||a&&a.t,g={hash:{},data:c},d?d.call(a,"Change Password",g):t.call(a,"t","Change Password",g)))+'</button>\n          </div>\n        </div>\n\n        <div id="pw_change_controls">\n          <div class="control-group">\n            <label for="old_password" class="control-label">'+
w((d=e.t||a&&a.t,g={hash:{},data:c},d?d.call(a,"Old password",g):t.call(a,"t","Old password",g)))+'</label>\n            <div class="controls">\n              <input type="password" autocomplete="off"\n                     name="old_password" id="old_password" value="" />\n              (<a href="/accounts/password/reset/" target="_blank">'+w((d=e.t||a&&a.t,g={hash:{},data:c},d?d.call(a,"Forgotten it?",g):t.call(a,"t","Forgotten it?",g)))+'</a>)\n            </div>\n          </div>\n\n          <div class="control-group">\n            <label for="new_password" class="control-label">'+
w((d=e.t||a&&a.t,g={hash:{},data:c},d?d.call(a,"New password",g):t.call(a,"t","New password",g)))+'</label>\n            <div class="controls">\n              <input type="password" autocomplete="off"\n                     name="new_password" id="new_password" value="" />\n            </div>\n          </div>\n\n          <div class="control-group">\n            <label class="control-label">'+w((d=e.t||a&&a.t,g={hash:{},data:c},d?d.call(a,"Password strength",g):t.call(a,"t","Password strength",g)))+
'</label>\n            <div class="controls">\n              <div class="progress" id="pw_strength">\n                <div class="bar bar-danger fade" style="width: 10%;"></div>\n              </div>\n            </div>\n          </div>\n\n          <div class="control-group">\n            <label for="confirm_password" class="control-label">'+w((d=e.t||a&&a.t,g={hash:{},data:c},d?d.call(a,"Confirm password",g):t.call(a,"t","Confirm password",g)))+'</label>\n            <div class="controls">\n              <input type="password" autocomplete="off"\n                     name="confirm_password" id="confirm_password" value="" />\n            </div>\n          </div>\n\n        </div>\n        ')},
c),data:c}))||0===n)b+=n;b+='\n\n        <div class="control-group">\n          <div class="controls">\n            <input type="submit" name="change_settings"\n                   value="'+w((q=e.t||a&&a.t,s={hash:{},data:c},q?q.call(a,"Save changes",s):t.call(a,"t","Save changes",s)))+'" class="btn btn-big btn-primary" />\n          </div>\n        </div>\n\n        <div class="user-avatar-section">\n          <p>\n            <img id="user-settings-avatar" src="'+w((n=(n=a&&a.page_params,null==
n||!1===n?n:n.avatar_url),typeof n===D?n.apply(a):n))+'" />\n          </p>\n          <div id="user_avatar_file_input_error" class="text-error"></div>\n          <div id="user_avatar_file"></div>\n          <input type="file" name="user_avatar_file_input" class="notvisible" id="user_avatar_file_input" value="'+w((q=e.t||a&&a.t,s={hash:{},data:c},q?q.call(a,"Upload avatar",s):t.call(a,"t","Upload avatar",s)))+'" />\n          <div id="upload_avatar_spinner"></div>\n          <button class="btn btn-default" id="user_avatar_upload_button">'+
w((q=e.t||a&&a.t,s={hash:{},data:c},q?q.call(a,"Customize avatar",s):t.call(a,"t","Customize avatar",s)))+'</button>\n        </div>\n\n      </form>\n\n    </div>\n  </div>\n\n  <div>\n    <div id="display-settings" class="settings-section">\n      <div class="settings-section-title"><i class="icon-vector-time settings-section-icon"></i>\n      '+w((q=e.t||a&&a.t,s={hash:{},data:c},q?q.call(a,"Display Settings",s):t.call(a,"t","Display Settings",s)))+'</div>\n      <div class="alert" id="display-settings-status"></div>\n      <div class="display-settings-form">\n\n        <div class="control-group">\n          <label for="default_language" class="control-label inline">'+
w((q=e.t||a&&a.t,s={hash:{},data:c},q?q.call(a,"Default Language",s):t.call(a,"t","Default Language",s)))+": <span id='default_language_name'>"+w((n=(n=a&&a.page_params,null==n||!1===n?n:n.default_language_name),typeof n===D?n.apply(a):n))+'</span></label>\n          <a id="default_language" href="#default_language" title=\'Change default language\'>[Change]</a>\n\n          <div id="default_language_modal" class="modal hide" tabindex="-1" role="dialog"\n                aria-labelledby="default_language_modal_label" aria-hidden="true">\n            <div class="modal-header">\n              <button type="button" class="close" data-dismiss="modal" aria-hidden="true">\u00d7</button>\n              <h3 id="default_language_modal_label">'+
w((q=e.t||a&&a.t,s={hash:{},data:c},q?q.call(a,"Select Default Language",s):t.call(a,"t","Select Default Language",s)))+"</h3>\n            </div>\n            <div class=\"modal-body\">\n              <p>\n              The following is a few of the languages we have started to\n              support or are hoping to support in the near future. We would\n              love help translating; if you're interested in helping, make an\n              account at <a href='https://www.transifex.com/zulip/zulip/'>\n              https://www.transifex.com/zulip/zulip/</a>, and sign up for a\n              language! You can also request any language we don't currently\n              have. It only takes a few hours to translate the most important\n              parts of the app.\n              </p>\n              <div>\n                <table>\n                  ";
if((n=e.each.call(a,(n=a&&a.page_params,null==n||!1===n?n:n.language_list_dbl_col),{hash:{},inverse:A.noop,fn:A.program(3,function(a,c){var b,d;b=""+('\n                    <tr>\n                      <td>\n                        <a class="language" data-code="'+w((d=(d=a&&a.first,null==d||!1===d?d:d.code),typeof d===D?d.apply(a):d))+'" data-name="'+w((d=(d=a&&a.first,null==d||!1===d?d:d.name),typeof d===D?d.apply(a):d))+'">\n                          ');if((d=e["if"].call(a,(d=a&&a.first,null==
d||!1===d?d:d.selected),{hash:{},inverse:A.program(6,m,c),fn:A.program(4,g,c),data:c}))||0===d)b+=d;b+='\n                        </a>\n                      </td>\n                      <td>\n                        <a class="language" data-code="'+w((d=(d=a&&a.second,null==d||!1===d?d:d.code),typeof d===D?d.apply(a):d))+'" data-name="'+w((d=(d=a&&a.second,null==d||!1===d?d:d.name),typeof d===D?d.apply(a):d))+'">\n                          ';if((d=e["if"].call(a,(d=a&&a.second,null==d||!1===d?d:
d.selected),{hash:{},inverse:A.program(10,l,c),fn:A.program(8,k,c),data:c}))||0===d)b+=d;return b+"\n                        </a>\n                      </td>\n                    </tr>\n                  "},c),data:c}))||0===n)b+=n;b+='\n                </table>\n              </div>\n            </div>\n            <div class="modal-footer">\n              <button class="btn btn-primary" data-dismiss="modal" aria-hidden="true">'+w((q=e.t||a&&a.t,s={hash:{},data:c},q?q.call(a,"Close",s):t.call(a,
"t","Close",s)))+'</button>\n            </div>\n          </div>\n\n        </div>\n\n        <div class="control-group">\n          <div class="controls">\n            <input type="checkbox" name="left_side_userlist" id="left_side_userlist"\n              ';if((n=e["if"].call(a,(n=a&&a.page_params,null==n||!1===n?n:n.left_side_userlist),{hash:{},inverse:A.noop,fn:A.program(12,p,c),data:c}))||0===n)b+=n;b+=' />\n          </div>\n        <label for="left_side_userlist" class="control-label">'+w((q=
e.t||a&&a.t,s={hash:{},data:c},q?q.call(a,"Display user list on left side in narrow windows.",s):t.call(a,"t","Display user list on left side in narrow windows.",s)))+'</label>\n        </div>\n\n        <div class="control-group">\n          <div class="controls">\n            <input type="checkbox" name="twenty_four_hour_time" id="twenty_four_hour_time"\n              ';if((n=e["if"].call(a,(n=a&&a.page_params,null==n||!1===n?n:n.twenty_four_hour_time),{hash:{},inverse:A.noop,fn:A.program(12,p,
c),data:c}))||0===n)b+=n;b+=' />\n          </div>\n          <label for="twenty_four_hour_time" class="control-label">\n            '+w((q=e.t||a&&a.t,s={hash:{},data:c},q?q.call(a,"Display time in 24-hour format (17:00 instead of 5:00 PM)",s):t.call(a,"t","Display time in 24-hour format (17:00 instead of 5:00 PM)",s)))+'\n          </label>\n        </div>\n      </div>\n    </div>\n  </div>\n\n  <div>\n    <div id="notification-settings" class="settings-section">\n      <div class="settings-section-title"><i class="icon-vector-warning-sign settings-section-icon"></i>'+
w((q=e.t||a&&a.t,s={hash:{},data:c},q?q.call(a,"Notifications",s):t.call(a,"t","Notifications",s)))+'</div>\n      <div class="notification-reminder">';if((n=(q=e.tr||a&&a.tr,s={hash:{},inverse:A.noop,fn:A.program(14,function(a,c){return"You'll receive notifications when a message arrives and __page_params.product_name__ isn't in focus or the message is offscreen."},c),data:c},q?q.call(a,a,s):t.call(a,"tr",a,s)))||0===n)b+=n;b+='</div>\n      <div class="alert" id="notify-settings-status"></div>\n      <div class="notification-settings-form">\n        <h4>'+
w((q=e.t||a&&a.t,s={hash:{},data:c},q?q.call(a,"Stream messages",s):t.call(a,"t","Stream messages",s)))+"</h4>\n\n        <p>"+w((q=e.t||a&&a.t,s={hash:{},data:c},q?q.call(a,"Unless I say otherwise for a particular stream, I want:",s):t.call(a,"t","Unless I say otherwise for a particular stream, I want:",s)))+'</p>\n\n        <div class="control-group">\n          <div class="controls">\n            <input type="checkbox" name="enable_stream_desktop_notifications"\n                   id="enable_stream_desktop_notifications"\n                   ';
if((n=e["if"].call(a,(n=a&&a.page_params,null==n||!1===n?n:n.stream_desktop_notifications_enabled),{hash:{},inverse:A.noop,fn:A.program(16,f,c),data:c}))||0===n)b+=n;b+=' />\n          </div>\n          <label for="enable_stream_desktop_notifications" class="control-label">\n            '+w((q=e.t||a&&a.t,s={hash:{},data:c},q?q.call(a,"Desktop notifications",s):t.call(a,"t","Desktop notifications",s)))+'\n          </label>\n          <div class="propagate_stream_notifications_change"></div>\n        </div>\n\n        <div class="control-group">\n          <div class="controls">\n            <input type="checkbox" name="enable_stream_sounds" id="enable_stream_sounds"\n                   ';
if((n=e["if"].call(a,(n=a&&a.page_params,null==n||!1===n?n:n.stream_sounds_enabled),{hash:{},inverse:A.noop,fn:A.program(16,f,c),data:c}))||0===n)b+=n;b+=' />\n          </div>\n          <label for="enable_stream_sounds" class="control-label">\n            '+w((q=e.t||a&&a.t,s={hash:{},data:c},q?q.call(a,"Audible notifications",s):t.call(a,"t","Audible notifications",s)))+'\n          </label>\n          <div class="propagate_stream_notifications_change"></div>\n        </div>\n\n        <p class="notification-settings-note">\n          ';
if((n=(q=e.tr||a&&a.tr,s={hash:{},inverse:A.noop,fn:A.program(18,function(a,c){return'Change notification settings for individual streams on your <a href="/#subscriptions">Streams page</a>.'},c),data:c},q?q.call(a,a,s):t.call(a,"tr",a,s)))||0===n)b+=n;b+="\n        </p>\n\n        <h4>"+w((q=e.t||a&&a.t,s={hash:{},data:c},q?q.call(a,"Private messages and @-mentions",s):t.call(a,"t","Private messages and @-mentions",s)))+"</h4>\n\n        <p>"+w((q=e.t||a&&a.t,s={hash:{},data:c},q?q.call(a,"I want:",
s):t.call(a,"t","I want:",s)))+'</p>\n\n        <div class="control-group">\n          <div class="controls">\n            <input type="checkbox" name="enable_desktop_notifications" id="enable_desktop_notifications"\n                   ';if((n=e["if"].call(a,(n=a&&a.page_params,null==n||!1===n?n:n.desktop_notifications_enabled),{hash:{},inverse:A.noop,fn:A.program(16,f,c),data:c}))||0===n)b+=n;b+=' />\n          </div>\n          <label for="enable_desktop_notifications" class="control-label">\n            '+
w((q=e.t||a&&a.t,s={hash:{},data:c},q?q.call(a,"Desktop notifications",s):t.call(a,"t","Desktop notifications",s)))+'\n          </label>\n        </div>\n\n        <div class="control-group">\n          <div class="controls">\n            <input type="checkbox" name="enable_sounds" id="enable_sounds"\n                   ';if((n=e["if"].call(a,(n=a&&a.page_params,null==n||!1===n?n:n.sounds_enabled),{hash:{},inverse:A.noop,fn:A.program(16,f,c),data:c}))||0===n)b+=n;b+=' />\n          </div>\n          <label for="enable_sounds" class="control-label">\n            '+
w((q=e.t||a&&a.t,s={hash:{},data:c},q?q.call(a,"Audible notifications",s):t.call(a,"t","Audible notifications",s)))+'\n          </label>\n        </div>\n\n        <div class="control-group">\n          <div class="controls">\n            <input type="checkbox" name="enable_offline_email_notifications" id="enable_offline_email_notifications"\n                   ';if((n=e["if"].call(a,(n=a&&a.page_params,null==n||!1===n?n:n.enable_offline_email_notifications),{hash:{},inverse:A.noop,fn:A.program(16,
f,c),data:c}))||0===n)b+=n;b+=' />\n          </div>\n          <label for="enable_offline_email_notifications" class="control-label">\n            '+w((q=e.t||a&&a.t,s={hash:{},data:c},q?q.call(a,"Email notifications when offline",s):t.call(a,"t","Email notifications when offline",s)))+'\n          </label>\n        </div>\n\n        <div class="control-group">\n          <div class="controls">\n            <input type="checkbox" name="enable_offline_push_notifications" id="enable_offline_push_notifications"\n                   ';
if((n=e["if"].call(a,(n=a&&a.page_params,null==n||!1===n?n:n.enable_offline_push_notifications),{hash:{},inverse:A.noop,fn:A.program(16,f,c),data:c}))||0===n)b+=n;b+=' />\n          </div>\n          <label for="enable_offline_push_notifications" class="control-label">\n            '+w((q=e.t||a&&a.t,s={hash:{},data:c},q?q.call(a,"Mobile push notifications when offline",s):t.call(a,"t","Mobile push notifications when offline",s)))+'\n          </label>\n        </div>\n\n        <div id="other_notifications">\n        <h4>'+
w((q=e.t||a&&a.t,s={hash:{},data:c},q?q.call(a,"Other notifications",s):t.call(a,"t","Other notifications",s)))+"</h4>\n\n        <p>"+w((q=e.t||a&&a.t,s={hash:{},data:c},q?q.call(a,"I want:",s):t.call(a,"t","I want:",s)))+'</p>\n\n        <div class="control-group" id="digest_container">\n          <div class="controls">\n            <input type="checkbox" name="enable_digest_emails" id="enable_digest_emails"\n                   ';if((n=e["if"].call(a,(n=a&&a.page_params,null==n||!1===n?n:n.enable_digest_emails),
{hash:{},inverse:A.noop,fn:A.program(16,f,c),data:c}))||0===n)b+=n;b+=' />\n          </div>\n          <label for="enable_digest_emails" class="control-label">\n            '+w((q=e.t||a&&a.t,s={hash:{},data:c},q?q.call(a,"Digest emails when I'm away",s):t.call(a,"t","Digest emails when I'm away",s)))+'\n          </label>\n        </div>\n        \n        </div>\n\n        <div class="control-group">\n          <div class="controls notification-submission">\n            <input type="submit" id="change_notification_settings"\n                   name="change_notification_settings" value="'+
w((q=e.t||a&&a.t,s={hash:{},data:c},q?q.call(a,"Save changes",s):t.call(a,"t","Save changes",s)))+'"\n                   class="btn btn-big btn-primary" />\n          </div>\n        </div>\n      </div>\n\n    </div>\n\n  </div>\n</div>\n\n<div id="bot-settings" class="settings-section">\n\n  <div class="settings-section-title"><i class="icon-vector-github settings-section-icon"></i>'+w((q=e.t||a&&a.t,s={hash:{},data:c},q?q.call(a,"Your Bots",s):t.call(a,"t","Your Bots",s)))+'</div>\n\n  <div class="bot-settings-form">\n    ';
if((n=(q=e.tr||a&&a.tr,s={hash:{},inverse:A.noop,fn:A.program(20,function(a,c){var b,d;b='\n    <p class="bot-settings-note">Looking for our <a href="/integrations" target="_blank">Integrations</a>\n      or <a href="';(d=e.server_uri)?d=d.call(a,{hash:{},data:c}):(d=a&&a.server_uri,d=typeof d===D?d.call(a,{hash:{},data:c}):d);return b+=w(d)+'/api" target="_blank">API</a> documentation?</p>\n    '},c),data:c},q?q.call(a,a,s):t.call(a,"tr",a,s)))||0===n)b+=n;b+='\n\n    <ol id="bots_list">\n    </ol>\n    <div id="bot_table_error" class="alert alert-error hide"></div>\n    <form id="create_bot_form" class="form-horizontal">\n      <div class="add-new-bot-box">\n        <div class="settings-section-title new-bot-section-title">Add a New Bot</div>\n        <div class="new-bot-form">\n          <div class="control-group">\n            <label for="create_bot_name" class="control-label">'+
w((q=e.t||a&&a.t,s={hash:{},data:c},q?q.call(a,"Full name",s):t.call(a,"t","Full name",s)))+'</label>\n            <input type="text" name="bot_name" id="create_bot_name" class="required"\n                   maxlength=100 placeholder="'+w((q=e.t||a&&a.t,s={hash:{},data:c},q?q.call(a,"Full Bot Name",s):t.call(a,"t","Full Bot Name",s)))+'" value="" />\n            <div><label for="create_bot_name" generated="true" class="text-error"></label></div>\n          </div>\n          <div class="control-group">\n            <label for="bot_short_name" class="control-label">'+
w((q=e.t||a&&a.t,s={hash:{},data:c},q?q.call(a,"Username",s):t.call(a,"t","Username",s)))+'</label>\n            <input type="text" name="bot_short_name" id="create_bot_short_name" class="required bot_local_part"\n                   placeholder="'+w((q=e.t||a&&a.t,s={hash:{},data:c},q?q.call(a,"bot_user_name",s):t.call(a,"t","bot_user_name",s)))+'" value="" />-'+w((q=e.t||a&&a.t,s={hash:{},data:c},q?q.call(a,"bot",s):t.call(a,"t","bot",s)))+"@"+w((n=(n=a&&a.page_params,null==n||!1===n?n:n.domain),
typeof n===D?n.apply(a):n))+'\n            <div><label for="create_bot_short_name" generated="true" class="text-error"></label></div>\n          </div>\n          <div class="control-group new-bot-ui">\n            <label for="create_bot_default_sending_stream" class="control-label">'+w((q=e.t||a&&a.t,s={hash:{},data:c},q?q.call(a,"Send to stream",s):t.call(a,"t","Send to stream",s)))+'</label>\n            <select name="bot_default_sending_stream" id="create_bot_default_sending_stream"></select>\n          </div>\n          <div class="control-group new-bot-ui">\n            <label for="create_bot_default_events_register_stream" class="control-label">'+
w((q=e.t||a&&a.t,s={hash:{},data:c},q?q.call(a,"Listen on",s):t.call(a,"t","Listen on",s)))+'</label>\n            <select name="bot_default_events_register_stream" id="create_bot_default_events_register_stream"></select>\n          </div>\n          <div class="control-group">\n            <div class="controls">\n              <div id="bot_avatar_file"></div>\n              <input type="file" name="bot_avatar_file_input" class="notvisible" id="bot_avatar_file_input" value="'+w((q=e.t||a&&a.t,s={hash:{},
data:c},q?q.call(a,"Upload avatar",s):t.call(a,"t","Upload avatar",s)))+'" />\n              <button class="btn btn-default" id="bot_avatar_clear_button">'+w((q=e.t||a&&a.t,s={hash:{},data:c},q?q.call(a,"Clear avatar",s):t.call(a,"t","Clear avatar",s)))+'</button>\n              <button class="btn btn-default" id="bot_avatar_upload_button">'+w((q=e.t||a&&a.t,s={hash:{},data:c},q?q.call(a,"Customize avatar",s):t.call(a,"t","Customize avatar",s)))+"</button> ("+w((q=e.t||a&&a.t,s={hash:{},data:c},q?
q.call(a,"Optional",s):t.call(a,"t","Optional",s)))+')\n            </div>\n          </div>\n          <p>\n            <div id="bot_avatar_file_input_error" class="text-error"></div>\n          </p>\n          <div class="control-group">\n            <div class="controls">\n              <input type="submit" class="btn btn-primary" id="create_bot_button" value="'+w((q=e.t||a&&a.t,s={hash:{},data:c},q?q.call(a,"Create Bot",s):t.call(a,"t","Create Bot",s)))+'" />\n            </div>\n          </div>\n        </div>\n      </div>\n    </form>\n\n    <hr class="settings_separator" />\n\n    <div class="form-horizontal" id="api_key_button_box">\n      ';
if((n=(q=e.tr||a&&a.tr,s={hash:{},inverse:A.noop,fn:A.program(22,function(a,c){return'\n      <p class="api-key-note">For most bots using the API, you\'ll want to give each bot\n        its own name and API key using the above section.  But if you\n        want to write a bot that can access your own private\n        messages, you should use your personal API key.\n      </p>\n      '},c),data:c},q?q.call(a,a,s):t.call(a,"tr",a,s)))||0===n)b+=n;b+='\n      <div class="control-group">\n        <button class="btn btn-default" id="api_key_button">'+
w((q=e.t||a&&a.t,s={hash:{},data:c},q?q.call(a,"Show/change your API key",s):t.call(a,"t","Show/change your API key",s)))+'</button>\n      </div>\n    </div>\n    <div id="get_api_key_box">\n      ';if((n=(q=e.tr||a&&a.tr,s={hash:{},inverse:A.noop,fn:A.program(24,function(a,c){return'\n      <p>Please re-enter your password to confirm your identity.\n        (<a href="/accounts/password/reset/" target="_blank">Forgotten it?</a>)</p>\n      '},c),data:c},q?q.call(a,a,s):t.call(a,"tr",a,s)))||0===
n)b+=n;b+='\n      <form action="/json/fetch_api_key" method="post" class="form-horizontal">\n        <div class="control-group">\n          <label for="password" class="control-label">'+w((q=e.t||a&&a.t,s={hash:{},data:c},q?q.call(a,"Current password",s):t.call(a,"t","Current password",s)))+'</label>\n          <input type="password" autocomplete="off"\n                 name="password" id="get_api_key_password" value="" />\n        </div>\n        <div class="control-group">\n          <input type="submit" name="view_api_key" value="'+
w((q=e.t||a&&a.t,s={hash:{},data:c},q?q.call(a,"Get API key",s):t.call(a,"t","Get API key",s)))+'"\n                 class="btn btn-primary" />\n        </div>\n      </form>\n    </div>\n    <div id="show_api_key_box">\n      <p>'+w((q=e.t||a&&a.t,s={hash:{},data:c},q?q.call(a,"Your API key:",s):t.call(a,"t","Your API key:",s)))+'</p>\n      <p><b><span id="api_key_value"></span></b></p>\n      <button type="submit" class="btn btn-primary regenerate_api_key">\n        '+w((q=e.t||a&&a.t,s={hash:{},
data:c},q?q.call(a,"Generate new API Key",s):t.call(a,"t","Generate new API Key",s)))+'\n      </button>\n      <div id="user_api_key_error text-error">\n      </div>\n    </div>\n\n  </div>\n</div>\n\n<div id="alert-word-settings" class="settings-section">\n  <div class="settings-section-title"><i class="icon-vector-book settings-section-icon"></i>'+w((q=e.t||a&&a.t,s={hash:{},data:c},q?q.call(a,"Custom Alert Words",s):t.call(a,"t","Custom Alert Words",s)))+'</div>\n  <div class="form-horizontal" id="alert_word_info_box">\n    ';
if((n=(q=e.tr||a&&a.tr,s={hash:{},inverse:A.noop,fn:A.program(26,function(a,c){var b,d,g;return b=""+('\n    <p class="alert-word-settings-note">\n      '+w((d=e.t||a&&a.t,g={hash:{},data:c},d?d.call(a,"Alert words allow you to be notified as if you were @-mentioned\n      when certain words or phrases are used in Zulip.",g):t.call(a,"t","Alert words allow you to be notified as if you were @-mentioned\n      when certain words or phrases are used in Zulip.",g)))+"\n    </p>\n    ")},c),data:c},q?
q.call(a,a,s):t.call(a,"tr",a,s)))||0===n)b+=n;b+='\n  </div>\n  <ul id="alert_words_list">\n  </ul>\n</div>\n\n<div class="ui-settings">\n  <div id="ui-settings" class="settings-section">\n    <div class="settings-section-title"><i class="icon-vector-beaker settings-section-icon"></i>';if((n=(q=e.tr||a&&a.tr,s={hash:{},inverse:A.noop,fn:A.program(28,function(a,c){return"__page_params.product_name__ Labs"},c),data:c},q?q.call(a,a,s):t.call(a,"tr",a,s)))||0===n)b+=n;b+='</div>\n    <div class="alert" id="ui-settings-status"></div>\n    <div class="ui-settings-form">\n      <p>\n        '+
w((q=e.t||a&&a.t,s={hash:{},data:c},q?q.call(a,"Warning: the below features are experimental features and may not work as well as you would like.",s):t.call(a,"t","Warning: the below features are experimental features and may not work as well as you would like.",s)))+'\n      </p>\n      <div class="control-group">\n        <div class="controls">\n          <input type="checkbox" name="autoscroll_forever" id="autoscroll_forever"\n                 ';if((n=e["if"].call(a,(n=a&&a.page_params,null==n||
!1===n?n:n.autoscroll_forever),{hash:{},inverse:A.noop,fn:A.program(30,h,c),data:c}))||0===n)b+=n;b+=' />\n        </div>\n        <label for="autoscroll_forever" class="control-label">\n          '+w((q=e.t||a&&a.t,s={hash:{},data:c},q?q.call(a,"Always auto-scroll to new messages",s):t.call(a,"t","Always auto-scroll to new messages",s)))+'\n        </label>\n\n        <div class="controls">\n          <input type="checkbox" name="default_desktop_notifications" id="default_desktop_notifications"\n                 ';
if((n=e["if"].call(a,(n=a&&a.page_params,null==n||!1===n?n:n.default_desktop_notifications),{hash:{},inverse:A.noop,fn:A.program(30,h,c),data:c}))||0===n)b+=n;return b+=' />\n        </div>\n        <label for="default_desktop_notifications" class="control-label">\n          '+w((q=e.t||a&&a.t,s={hash:{},data:c},q?q.call(a,"Enable desktop notifications for new streams",s):t.call(a,"t","Enable desktop notifications for new streams",s)))+'\n        </label>\n\n      </div>\n      <div class="control-group">\n        <div class="controls ui-submission">\n          <input type="submit" name="change_settings" value="'+
w((q=e.t||a&&a.t,s={hash:{},data:c},q?q.call(a,"Save changes",s):t.call(a,"t","Save changes",s)))+'" class="btn btn-big btn-primary" />\n        </div>\n      </div>\n    </div>\n  </div>\n</div>\n'});f.topic_sidebar_actions=h(function(b,a,e,d,c){function g(a,c){return"Mute the topic <b>__topic_name__</b>"}function m(a,c){return"Unmute the topic <b>__topic_name__</b>"}this.compilerInfo=[4,">= 1.0.0"];e=this.merge(e,b.helpers);c=c||{};var k,l,p=this.escapeExpression,f=this,h=e.helperMissing;b='<ul class="nav nav-list topics_popover">\n  <li>\n    <a class="narrow_to_topic" data-stream-name="';
(k=e.stream_name)?d=k.call(a,{hash:{},data:c}):(k=a&&a.stream_name,d="function"===typeof k?k.call(a,{hash:{},data:c}):k);b+=p(d)+'" data-topic-name="';(k=e.topic_name)?d=k.call(a,{hash:{},data:c}):(k=a&&a.topic_name,d="function"===typeof k?k.call(a,{hash:{},data:c}):k);b+=p(d)+'">\n      <i class="icon-vector-bullhorn"></i>\n      ';if((d=(k=e.tr||a&&a.tr,l={hash:{},inverse:f.noop,fn:f.program(1,function(a,c){return"Narrow to topic <b>__topic_name__</b>"},c),data:c},k?k.call(a,a,l):h.call(a,"tr",
a,l)))||0===d)b+=d;b+="\n    </a>\n  </li>\n\n\n  ";if((d=e["if"].call(a,a&&a.can_mute_topic,{hash:{},inverse:f.noop,fn:f.program(3,function(a,c){var b,d,k,l;b='\n  <li>\n    <a href="#" class="sidebar-popover-mute-topic" data-stream-name="';(k=e.stream_name)?d=k.call(a,{hash:{},data:c}):(k=a&&a.stream_name,d="function"===typeof k?k.call(a,{hash:{},data:c}):k);b+=p(d)+'" data-topic-name="';(k=e.topic_name)?d=k.call(a,{hash:{},data:c}):(k=a&&a.topic_name,d="function"===typeof k?k.call(a,{hash:{},data:c}):
k);b+=p(d)+'">\n      <i class="icon-vector-eye-close"></i>\n      ';if((d=(k=e.tr||a&&a.tr,l={hash:{},inverse:f.noop,fn:f.program(4,g,c),data:c},k?k.call(a,a,l):h.call(a,"tr",a,l)))||0===d)b+=d;return b+"\n    </a>\n  </li>\n  "},c),data:c}))||0===d)b+=d;b+="\n\n  ";if((d=e["if"].call(a,a&&a.can_unmute_topic,{hash:{},inverse:f.noop,fn:f.program(6,function(a,c){var b,d,g,k;b='\n  <li>\n    <a href="#" class="sidebar-popover-unmute-topic" data-stream-name="';(g=e.stream_name)?d=g.call(a,{hash:{},data:c}):
(g=a&&a.stream_name,d="function"===typeof g?g.call(a,{hash:{},data:c}):g);b+=p(d)+'" data-topic-name="';(g=e.topic_name)?d=g.call(a,{hash:{},data:c}):(g=a&&a.topic_name,d="function"===typeof g?g.call(a,{hash:{},data:c}):g);b+=p(d)+'">\n      <i class="icon-vector-eye-open"></i>\n      ';if((d=(g=e.tr||a&&a.tr,k={hash:{},inverse:f.noop,fn:f.program(7,m,c),data:c},g?g.call(a,a,k):h.call(a,"tr",a,k)))||0===d)b+=d;return b+"\n    </a>\n  </li>\n  "},c),data:c}))||0===d)b+=d;b+='\n  <li>\n    <a class="sidebar-popover-mark-topic-read" data-stream-name="';
(k=e.stream_name)?d=k.call(a,{hash:{},data:c}):(k=a&&a.stream_name,d="function"===typeof k?k.call(a,{hash:{},data:c}):k);b+=p(d)+'" data-topic-name="';(k=e.topic_name)?d=k.call(a,{hash:{},data:c}):(k=a&&a.topic_name,d="function"===typeof k?k.call(a,{hash:{},data:c}):k);b+=p(d)+'">\n      <i class="icon-vector-book"></i>\n      ';if((d=(k=e.tr||a&&a.tr,l={hash:{},inverse:f.noop,fn:f.program(9,function(a,c){return"Mark all messages in <b>__topic_name__</b> as read"},c),data:c},k?k.call(a,a,l):h.call(a,
"tr",a,l)))||0===d)b+=d;return b+"\n    </a>\n  </li>\n\n\n</ul>\n"});f.tutorial_stream=h(function(b,a,e,d,c){this.compilerInfo=[4,">= 1.0.0"];e=this.merge(e,b.helpers);c=c||{};var g,m,k=this.escapeExpression,l=e.helperMissing;b='\n\n<div class="tutorial-popover popover-';(g=e.placement)?d=g.call(a,{hash:{},data:c}):(g=a&&a.placement,d="function"===typeof g?g.call(a,{hash:{},data:c}):g);b+=k(d)+'" id="tutorial-stream">\n    <p>\n        ';if((d=(g=e.tr||a&&a.tr,m={hash:{},inverse:this.noop,fn:this.program(1,
function(a,c){return"\n        <b>Streams</b> are like chat rooms or mailing lists. You can easily\n        <b>join</b>, <b>leave</b>, and <b>make</b> them.\n        "},c),data:c},g?g.call(a,a,m):l.call(a,"tr",a,m)))||0===d)b+=d;return b+='\n    </p>\n\n    <div class="tutorial-done-button">\n      <button class="btn btn-primary" type="submit" id="tutorial-stream-next">'+k((g=e.t||a&&a.t,m={hash:{},data:c},g?g.call(a,"Next",m):l.call(a,"t","Next",m)))+"</button>\n    </div>\n</div>\n"});f.single_message=
h(function(b,a,e,d,c){function g(a,c){return" private-message"}function m(a,c){return" include-sender"}function k(a,c){return" mention"}function l(a,c){return" last_message"}function p(a,c){return" prev_is_same_sender"}function f(a,c){var b;(b=e.background_color)?b=b.call(a,{hash:{},data:c}):(b=a&&a.background_color,b=typeof b===H?b.call(a,{hash:{},data:c}):b);return K(b)}function h(a,c){return"#444444"}function n(a,c){var b,d,g,k;b='\n          <span class="message_sender';k={hash:{},inverse:z.program(22,
q,c),fn:z.noop,data:c};(g=e.status_message)?d=g.call(a,k):(g=a&&a.status_message,d=typeof g===H?g.call(a,k):g);e.status_message||(d=I.call(a,d,{hash:{},inverse:z.program(22,q,c),fn:z.noop,data:c}));if(d||0===d)b+=d;b+='">\n            \n            <div class="u-'+K((d=(d=a&&a.msg,null==d||!1===d?d:d.sender_id),typeof d===H?d.apply(a):d))+" inline_profile_picture";k={hash:{},inverse:z.noop,fn:z.program(22,q,c),data:c};(g=e.status_message)?d=g.call(a,k):(g=a&&a.status_message,d=typeof g===H?g.call(a,
k):g);e.status_message||(d=I.call(a,d,{hash:{},inverse:z.noop,fn:z.program(22,q,c),data:c}));if(d||0===d)b+=d;b+='"\n                 style="background-image: url(\'';(g=e.small_avatar_url)?d=g.call(a,{hash:{},data:c}):(g=a&&a.small_avatar_url,d=typeof g===H?g.call(a,{hash:{},data:c}):g);b+=K(d)+'\');"/>\n          <span class="';k={hash:{},inverse:z.program(24,s,c),fn:z.noop,data:c};(g=e.status_message)?d=g.call(a,k):(g=a&&a.status_message,d=typeof g===H?g.call(a,k):g);e.status_message||(d=I.call(a,
d,{hash:{},inverse:z.program(24,s,c),fn:z.noop,data:c}));if(d||0===d)b+=d;k={hash:{},inverse:z.noop,fn:z.program(26,t,c),data:c};(g=e.status_message)?d=g.call(a,k):(g=a&&a.status_message,d=typeof g===H?g.call(a,k):g);e.status_message||(d=I.call(a,d,{hash:{},inverse:z.noop,fn:z.program(26,t,c),data:c}));if(d||0===d)b+=d;b+='">\n\n            ';if((d=e.unless.call(a,a&&a.status_message,{hash:{},inverse:z.program(30,D,c),fn:z.program(28,w,c),data:c}))||0===d)b+=d;b+="\n            ";if((d=(g=e.if_and||
a&&a.if_and,k={hash:{},inverse:z.noop,fn:z.program(33,B,c),data:c},g?g.call(a,a&&a.last_edit_timestr,a&&a.include_sender,k):P.call(a,"if_and",a&&a.last_edit_timestr,a&&a.include_sender,k)))||0===d)b+=d;return b+"\n          </span>\n          </span>\n          "}function q(a,c){return" sender_info_hover"}function s(a,c){return"sender_name"}function t(a,c){return"sender-status"}function w(a,c){var b,d;return b=""+("\n              "+K((d=(d=a&&a.msg,null==d||!1===d?d:d.sender_full_name),typeof d===
H?d.apply(a):d))+"\n            ")}function D(a,c){var b,d,g;b='\n              <span class="sender_name';g={hash:{},inverse:z.noop,fn:z.program(31,A,c),data:c};(d=e.status_message)?d=d.call(a,g):(d=a&&a.status_message,d=typeof d===H?d.call(a,g):d);e.status_message||(d=I.call(a,d,{hash:{},inverse:z.noop,fn:z.program(31,A,c),data:c}));if(d||0===d)b+=d;b+=' sender_info_hover">'+K((d=(d=a&&a.msg,null==d||!1===d?d:d.sender_full_name),typeof d===H?d.apply(a):d))+"</span>\n                  ";(d=e.status_message)?
d=d.call(a,{hash:{},data:c}):(d=a&&a.status_message,d=typeof d===H?d.call(a,{hash:{},data:c}):d);if(d||0===d)b+=d;return b+"\n            "}function A(a,c){return"-in-status"}function B(a,c){var b,d;b="\n              ";if((d=e["if"].call(a,a&&a.status_message,{hash:{},inverse:z.noop,fn:z.program(34,C,c),data:c}))||0===d)b+=d;return b+"\n            "}function C(a,c){var b,d,g,k;b='\n                <div class="message_edit_notice" title="Edited (';(g=e.last_edit_timestr)?d=g.call(a,{hash:{},data:c}):
(g=a&&a.last_edit_timestr,d=typeof g===H?g.call(a,{hash:{},data:c}):g);return b+=K(d)+')">'+K((g=e.t||a&&a.t,k={hash:{},data:c},g?g.call(a,"EDITED",k):P.call(a,"t","EDITED",k)))+"</div>\n              "}function y(a,c){var b,d,g,k;b='\n                <div class="message_edit_notice" title="Edited (';(g=e.last_edit_timestr)?d=g.call(a,{hash:{},data:c}):(g=a&&a.last_edit_timestr,d=typeof g===H?g.call(a,{hash:{},data:c}):g);return b+=K(d)+')">'+K((g=e.t||a&&a.t,k={hash:{},data:c},g?g.call(a,"EDITED",
k):P.call(a,"t","EDITED",k)))+"</div>\n            "}function G(a,c){return" sender-status-controls"}function J(a,c){return"Unstar"}function N(a,c){return"Star"}function x(a,c){var b;return(b=(b=(b=a&&a.msg,null==b||!1===b?b:b.match_content),typeof b===H?b.apply(a):b))||0===b?b:""}function E(a,c){var b;return(b=(b=(b=a&&a.msg,null==b||!1===b?b:b.content),typeof b===H?b.apply(a):b))||0===b?b:""}function M(a,c){var b,d,g,k;b='\n            <div class="message_edit_notice" title="Edited (';(g=e.last_edit_timestr)?
d=g.call(a,{hash:{},data:c}):(g=a&&a.last_edit_timestr,d=typeof g===H?g.call(a,{hash:{},data:c}):g);return b+=K(d)+')">'+K((g=e.t||a&&a.t,k={hash:{},data:c},g?g.call(a,"EDITED",k):P.call(a,"t","EDITED",k)))+"</div>\n          "}this.compilerInfo=[4,">= 1.0.0"];e=this.merge(e,b.helpers);c=c||{};var v,F,H="function",K=this.escapeExpression,z=this,I=e.blockHelperMissing,P=e.helperMissing;b=""+('<div zid="'+K((v=(v=a&&a.msg,null==v||!1===v?v:v.id),typeof v===H?v.apply(a):v))+'" id="');(d=e.table_name)?
v=d.call(a,{hash:{},data:c}):(d=a&&a.table_name,v=typeof d===H?d.call(a,{hash:{},data:c}):d);b+=K(v)+K((v=(v=a&&a.msg,null==v||!1===v?v:v.id),typeof v===H?v.apply(a):v))+'"\n  class="message_row';if((v=(v=(v=(v=a&&a.msg,null==v||!1===v?v:v.is_stream),typeof v===H?v.apply(a):v),I.call(a,v,{hash:{},inverse:z.program(1,g,c),fn:z.noop,data:c})))||0===v)b+=v;F={hash:{},inverse:z.noop,fn:z.program(3,m,c),data:c};(d=e.include_sender)?v=d.call(a,F):(d=a&&a.include_sender,v=typeof d===H?d.call(a,F):d);e.include_sender||
(v=I.call(a,v,{hash:{},inverse:z.noop,fn:z.program(3,m,c),data:c}));if(v||0===v)b+=v;F={hash:{},inverse:z.noop,fn:z.program(5,k,c),data:c};(d=e.contains_mention)?v=d.call(a,F):(d=a&&a.contains_mention,v=typeof d===H?d.call(a,F):d);e.contains_mention||(v=I.call(a,v,{hash:{},inverse:z.noop,fn:z.program(5,k,c),data:c}));if(v||0===v)b+=v;F={hash:{},inverse:z.noop,fn:z.program(7,l,c),data:c};(d=e.include_footer)?v=d.call(a,F):(d=a&&a.include_footer,v=typeof d===H?d.call(a,F):d);e.include_footer||(v=I.call(a,
v,{hash:{},inverse:z.noop,fn:z.program(7,l,c),data:c}));if(v||0===v)b+=v;if((v=(v=(v=(v=a&&a.msg,null==v||!1===v?v:v.unread),typeof v===H?v.apply(a):v),I.call(a,v,{hash:{},inverse:z.noop,fn:z.program(9,function(a,c){return" unread"},c),data:c})))||0===v)b+=v;b+=" ";if((v=e["if"].call(a,(v=a&&a.msg,null==v||!1===v?v:v.local_id),{hash:{},inverse:z.noop,fn:z.program(11,function(a,c){return"local"},c),data:c}))||0===v)b+=v;b+=' selectable_row">\n  <div class="unread_marker"><div class="unread-marker-fill"></div></div>\n  <div class="messagebox';
F={hash:{},inverse:z.program(13,p,c),fn:z.noop,data:c};(d=e.include_sender)?v=d.call(a,F):(d=a&&a.include_sender,v=typeof d===H?d.call(a,F):d);e.include_sender||(v=I.call(a,v,{hash:{},inverse:z.program(13,p,c),fn:z.noop,data:c}));if(v||0===v)b+=v;if((v=(v=(v=(v=a&&a.msg,null==v||!1===v?v:v.is_stream),typeof v===H?v.apply(a):v),I.call(a,v,{hash:{},inverse:z.program(1,g,c),fn:z.noop,data:c})))||0===v)b+=v;b+=" ";if((v=e["if"].call(a,a&&a.next_is_same_sender,{hash:{},inverse:z.noop,fn:z.program(15,function(a,
c){return"next_is_same_sender"},c),data:c}))||0===v)b+=v;b+='"\n       style="box-shadow: inset 2px 0px 0px 0px ';if((v=e["if"].call(a,(v=a&&a.msg,null==v||!1===v?v:v.is_stream),{hash:{},inverse:z.program(19,h,c),fn:z.program(17,f,c),data:c}))||0===v)b+=v;b+=", -1px 0px 0px 0px ";if((v=e["if"].call(a,(v=a&&a.msg,null==v||!1===v?v:v.is_stream),{hash:{},inverse:z.program(19,h,c),fn:z.program(17,f,c),data:c}))||0===v)b+=v;b+=';">\n    <div class="messagebox-border">\n      <div class="messagebox-content">\n        <div class="message_top_line">\n          ';
F={hash:{},inverse:z.noop,fn:z.program(21,n,c),data:c};(d=e.include_sender)?v=d.call(a,F):(d=a&&a.include_sender,v=typeof d===H?d.call(a,F):d);e.include_sender||(v=I.call(a,v,{hash:{},inverse:z.noop,fn:z.program(21,n,c),data:c}));if(v||0===v)b+=v;b+='\n          <span class="message_time';if((v=e["if"].call(a,(v=a&&a.msg,null==v||!1===v?v:v.local_id),{hash:{},inverse:z.noop,fn:z.program(36,function(a,c){return" notvisible"},c),data:c}))||0===v)b+=v;if((v=e["if"].call(a,a&&a.status_message,{hash:{},
inverse:z.noop,fn:z.program(38,function(a,c){return" status-time"},c),data:c}))||0===v)b+=v;b+='">';(d=e.timestr)?v=d.call(a,{hash:{},data:c}):(d=a&&a.timestr,v=typeof d===H?d.call(a,{hash:{},data:c}):d);b+=K(v)+"</span>\n          ";if((v=(d=e.if_and||a&&a.if_and,F={hash:{},inverse:z.noop,fn:z.program(40,function(a,c){var b,d;b="\n            ";if((d=e.unless.call(a,a&&a.status_message,{hash:{},inverse:z.noop,fn:z.program(41,y,c),data:c}))||0===d)b+=d;return b+"\n          "},c),data:c},d?d.call(a,
a&&a.last_edit_timestr,a&&a.include_sender,F):P.call(a,"if_and",a&&a.last_edit_timestr,a&&a.include_sender,F)))||0===v)b+=v;b+='\n          <div class="message_controls';F={hash:{},inverse:z.noop,fn:z.program(43,G,c),data:c};(d=e.status_message)?v=d.call(a,F):(d=a&&a.status_message,v=typeof d===H?d.call(a,F):d);e.status_message||(v=I.call(a,v,{hash:{},inverse:z.noop,fn:z.program(43,G,c),data:c}));if(v||0===v)b+=v;b+='">\n            <div class="star">\n              <span class="message_star ';if((v=
e["if"].call(a,(v=a&&a.msg,null==v||!1===v?v:v.starred),{hash:{},inverse:z.program(47,function(a,c){return"icon-vector-star-empty empty-star"},c),fn:z.program(45,function(a,c){return"icon-vector-star"},c),data:c}))||0===v)b+=v;b+='"\n                    title="';if((v=(d=e.tr||a&&a.tr,F={hash:{},inverse:z.noop,fn:z.program(49,function(a,c){var b="",d;if((d=e["if"].call(a,(d=a&&a.msg,null==d||!1===d?d:d.starred),{hash:{},inverse:z.program(52,N,c),fn:z.program(50,J,c),data:c}))||0===d)b+=d;return b+
" this message"},c),data:c},d?d.call(a,a,F):P.call(a,"tr",a,F)))||0===v)b+=v;b+='"></span>\n            </div>\n            <div class="info actions_hover">\n              <i class="icon-vector-chevron-down"></i>\n            </div>\n            <div class="message_failed ';if((v=e.unless.call(a,(v=a&&a.msg,null==v||!1===v?v:v.failed_request),{hash:{},inverse:z.noop,fn:z.program(54,function(a,c){return"notvisible"},c),data:c}))||0===v)b+=v;b+='">\n              <span class="failed_text">Not delivered </span><i class="icon-vector-refresh refresh-failed-message"></i><i class="icon-vector-pencil edit-failed-message"></i><i class="icon-vector-remove-sign remove-failed-message"></i>\n            </div>\n          </div>\n        </div>\n        <div class="message_content">';
if((v=e.unless.call(a,a&&a.status_message,{hash:{},inverse:z.noop,fn:z.program(56,function(a,c){var b;return(b=e["if"].call(a,a&&a.use_match_properties,{hash:{},inverse:z.program(59,E,c),fn:z.program(57,x,c),data:c}))||0===b?b:""},c),data:c}))||0===v)b+=v;b+="</div>\n        ";if((v=e["if"].call(a,a&&a.last_edit_timestr,{hash:{},inverse:z.noop,fn:z.program(61,function(a,c){var b,d;b="\n          ";if((d=e.unless.call(a,a&&a.include_sender,{hash:{},inverse:z.noop,fn:z.program(62,M,c),data:c}))||0===
d)b+=d;return b+"\n        "},c),data:c}))||0===v)b+=v;return b+='\n        <div class="message_edit">\n          <div class="message_edit_form" id="'+K((v=(v=a&&a.msg,null==v||!1===v?v:v.id),typeof v===H?v.apply(a):v))+'"></div>\n        </div>\n        <div class="message_expander message_length_controller" title="'+K((d=e.t||a&&a.t,F={hash:{},data:c},d?d.call(a,"See the rest of this message",F):P.call(a,"t","See the rest of this message",F)))+'">'+K((d=e.t||a&&a.t,F={hash:{},data:c},d?d.call(a,
"[More...]",F):P.call(a,"t","[More...]",F)))+'</div>\n        <div class="message_condenser message_length_controller" title="'+K((d=e.t||a&&a.t,F={hash:{},data:c},d?d.call(a,"Make this message take up less space on the screen",F):P.call(a,"t","Make this message take up less space on the screen",F)))+'">'+K((d=e.t||a&&a.t,F={hash:{},data:c},d?d.call(a,"[Condense this message]",F):P.call(a,"t","[Condense this message]",F)))+"</div>\n      </div>\n    </div>\n  </div>\n</div>\n"});f.message_edit_form=
h(function(b,a,e,d,c){this.compilerInfo=[4,">= 1.0.0"];e=this.merge(e,b.helpers);c=c||{};var g,m,k=e.helperMissing,l=this.escapeExpression;b='\n\n<form id="message_edit_form" class="form-horizontal">\n';if((d=e["if"].call(a,a&&a.is_stream,{hash:{},inverse:this.noop,fn:this.program(1,function(a,c){var b,d,g,m;b=""+('\n    <div class="control-group">\n        <label class="control-label edit-control-label" for="message_edit_topic">'+l((g=e.t||a&&a.t,m={hash:{},data:c},g?g.call(a,"Topic",m):k.call(a,
"t","Topic",m)))+'</label>\n        <div class="controls edit-controls">\n          <input type="text" value="');(g=e.topic)?d=g.call(a,{hash:{},data:c}):(g=a&&a.topic,d="function"===typeof g?g.call(a,{hash:{},data:c}):g);return b+=l(d)+'" class="message_edit_topic" id="message_edit_topic" />\n          <select class=\'message_edit_topic_propagate\' style=\'display:none;\'>\n            <option selected="selected" value="change_one"> '+l((g=e.t||a&&a.t,m={hash:{},data:c},g?g.call(a,"Change only this message topic",
m):k.call(a,"t","Change only this message topic",m)))+'</option>\n            <option value="change_later"> '+l((g=e.t||a&&a.t,m={hash:{},data:c},g?g.call(a,"Change later messages to this topic",m):k.call(a,"t","Change later messages to this topic",m)))+'</option>\n            <option value="change_all"> '+l((g=e.t||a&&a.t,m={hash:{},data:c},g?g.call(a,"Change previous and following messages to this topic",m):k.call(a,"t","Change previous and following messages to this topic",m)))+"</option>\n          </select>\n        </div>\n    </div>\n"},
c),data:c}))||0===d)b+=d;b+='\n\n    <div class="control-group">\n        <div class="controls edit-controls">\n            <textarea class="message_edit_content" id="message_edit_content">';(g=e.content)?d=g.call(a,{hash:{},data:c}):(g=a&&a.content,d="function"===typeof g?g.call(a,{hash:{},data:c}):g);b+=l(d)+'</textarea>\n        </div>\n    </div>\n    <div class="control-group">\n        <div class="controls edit-controls">\n            <button type="button" class="message_edit_save btn btn-primary btn-small">'+
l((g=e.t||a&&a.t,m={hash:{},data:c},g?g.call(a,"Save",m):k.call(a,"t","Save",m)))+'</button>\n            <button type="button" class="message_edit_cancel btn btn-default btn-small">'+l((g=e.t||a&&a.t,m={hash:{},data:c},g?g.call(a,"Cancel",m):k.call(a,"t","Cancel",m)))+'</button>\n            <div class="message-edit-timer-control-group">\n                <span class="message_edit_countdown_timer"></span>\n                <span><i id="message_edit_tooltip" class="message_edit_tooltip icon-vector-question-sign" data-toggle="tooltip"\n                         title="Message content can only be edited for ';
(g=e.minutes_to_edit)?d=g.call(a,{hash:{},data:c}):(g=a&&a.minutes_to_edit,d="function"===typeof g?g.call(a,{hash:{},data:c}):g);return b+=l(d)+' minutes after it is sent."></i>\n                </span>\n            </div>\n        </div>\n    </div>\n    <div class="alert alert-error edit_error hide"></div>\n</form>\n'});f.change_stream_privacy=h(function(b,a,e,d,c){this.compilerInfo=[4,">= 1.0.0"];e=this.merge(e,b.helpers);c=c||{};b="";var g=this.escapeExpression,m=e.helperMissing;if((d=e["if"].call(a,
a&&a.can_make_public,{hash:{},inverse:this.noop,fn:this.program(1,function(a,c){var b,d,f,h;b='\n  <button class="btn btn-primary make-stream-public-button" data-stream-name="';(f=e.name)?d=f.call(a,{hash:{},data:c}):(f=a&&a.name,d="function"===typeof f?f.call(a,{hash:{},data:c}):f);return b+=g(d)+'" tabindex="-1">\n    '+g((f=e.t||a&&a.t,h={hash:{},data:c},f?f.call(a,"Make stream public",h):m.call(a,"t","Make stream public",h)))+"\n  </button>\n"},c),data:c}))||0===d)b+=d;b+="\n";if((d=e["if"].call(a,
a&&a.can_make_private,{hash:{},inverse:this.noop,fn:this.program(3,function(a,c){var b,d,f,h;b='\n  <button class="btn btn-danger make-stream-private-button" data-stream-name="';(f=e.name)?d=f.call(a,{hash:{},data:c}):(f=a&&a.name,d="function"===typeof f?f.call(a,{hash:{},data:c}):f);return b+=g(d)+'" tabindex="-1">\n    '+g((f=e.t||a&&a.t,h={hash:{},data:c},f?f.call(a,"Make stream private",h):m.call(a,"t","Make stream private",h)))+"\n  </button>\n"},c),data:c}))||0===d)b+=d;return b+'\n<div class="change-stream-privacy-feedback"></div>\n'});
f.invite_subscription=h(function(b,a,e,d,c){function g(a,c){return'checked="checked"'}function m(a,c){return'<i class="icon-vector-lock"></i>'}this.compilerInfo=[4,">= 1.0.0"];e=this.merge(e,b.helpers);c=c||{};var k,l,p=this.escapeExpression,f=this;b=e.helperMissing;b=""+('\n<a href="#" class="invite_check_all_button">'+p((k=e.t||a&&a.t,l={hash:{},data:c},k?k.call(a,"Check all",l):b.call(a,"t","Check all",l)))+'</a> |\n<a href="#" class="invite_uncheck_all_button">'+p((k=e.t||a&&a.t,l={hash:{},data:c},
k?k.call(a,"Uncheck all",l):b.call(a,"t","Uncheck all",l)))+'</a>\n<div id="stream-checkboxes">\n  ');if((a=e.each.call(a,a&&a.streams,{hash:{},inverse:f.noop,fn:f.program(1,function(a,c){var b,d;b='\n  <label class="checkbox">\n    <input type="checkbox" name="stream" value="';(d=e.name)?d=d.call(a,{hash:{},data:c}):(d=a&&a.name,d="function"===typeof d?d.call(a,{hash:{},data:c}):d);b+=p(d)+'"\n           ';if((d=e.unless.call(a,a&&a.invite_only,{hash:{},inverse:f.noop,fn:f.program(2,g,c),data:c}))||
0===d)b+=d;b+=" /> ";(d=e.name)?d=d.call(a,{hash:{},data:c}):(d=a&&a.name,d="function"===typeof d?d.call(a,{hash:{},data:c}):d);b+=p(d)+"\n    ";if((d=e["if"].call(a,a&&a.invite_only,{hash:{},inverse:f.noop,fn:f.program(4,m,c),data:c}))||0===d)b+=d;return b+"\n  </label>\n  "},c),data:c}))||0===a)b+=a;return b+"\n</div>\n\n"});f.stream_sidebar_row=h(function(b,a,e,d,c){this.compilerInfo=[4,">= 1.0.0"];e=this.merge(e,b.helpers);c=c||{};var g,m,k=this.escapeExpression,l=e.helperMissing;b='\n\n<li data-name="';
(g=e.name)?d=g.call(a,{hash:{},data:c}):(g=a&&a.name,d="function"===typeof g?g.call(a,{hash:{},data:c}):g);b+=k(d)+'" class="narrow-filter';if((d=e["if"].call(a,a&&a.not_in_home_view,{hash:{},inverse:this.noop,fn:this.program(1,function(a,c){return" out_of_home_view"},c),data:c}))||0===d)b+=d;b+='"\n    id="stream_sidebar_';(g=e.id)?d=g.call(a,{hash:{},data:c}):(g=a&&a.id,d="function"===typeof g?g.call(a,{hash:{},data:c}):g);b+=k(d)+'">\n\n    \n\n    <div class="subscription_block selectable_sidebar_block" data-name="';
(g=e.name)?d=g.call(a,{hash:{},data:c}):(g=a&&a.name,d="function"===typeof g?g.call(a,{hash:{},data:c}):g);b+=k(d)+'">\n\n      <div id="stream_sidebar_swatch_';(g=e.id)?d=g.call(a,{hash:{},data:c}):(g=a&&a.id,d="function"===typeof g?g.call(a,{hash:{},data:c}):g);b+=k(d)+'" class="streamlist_swatch';if((d=e["if"].call(a,a&&a.invite_only,{hash:{},inverse:this.noop,fn:this.program(3,function(a,c){return" private-stream-swatch"},c),data:c}))||0===d)b+=d;b+='"\n       style="background-color: ';(g=e.color)?
d=g.call(a,{hash:{},data:c}):(g=a&&a.color,d="function"===typeof g?g.call(a,{hash:{},data:c}):g);b+=k(d)+'">&nbsp;</div>\n\n      <a href="';(g=e.uri)?d=g.call(a,{hash:{},data:c}):(g=a&&a.uri,d="function"===typeof g?g.call(a,{hash:{},data:c}):g);b+=k(d)+'" class="subscription_name">';(g=e.name)?d=g.call(a,{hash:{},data:c}):(g=a&&a.name,d="function"===typeof g?g.call(a,{hash:{},data:c}):g);b+=k(d)+'\n      </a>\n\n      <div class="count"><div class="value"></div></div>\n\n      <span id="stream_sidebar_privacy_swatch_';
(g=e.id)?d=g.call(a,{hash:{},data:c}):(g=a&&a.id,d="function"===typeof g?g.call(a,{hash:{},data:c}):g);b+=k(d)+'" class="stream-privacy" style="color: ';(g=e.color)?d=g.call(a,{hash:{},data:c}):(g=a&&a.color,d="function"===typeof g?g.call(a,{hash:{},data:c}):g);return b+=k(d)+'">\n        '+k((g=e.partial||a&&a.partial,m={hash:{},data:c},g?g.call(a,"stream_privacy",m):l.call(a,"partial","stream_privacy",m)))+'\n      </span>\n\n    </div>\n    <span class="arrow stream-sidebar-arrow"><i class="icon-vector-chevron-down"></i></span>\n\n</li>\n'});
f.message_info_popover_title=h(function(b,a,e,d,c){function g(a,c){return"Message to stream <b>__message.stream__</b>"}this.compilerInfo=[4,">= 1.0.0"];e=this.merge(e,b.helpers);c=c||{};var m,k=this,l=e.helperMissing,p=this.escapeExpression;b="\n";if((m=e["if"].call(a,(m=a&&a.message,null==m||!1===m?m:m.is_stream),{hash:{},inverse:k.program(4,function(a,c){var b,d,g;return b=""+("\n"+p((d=e.t||a&&a.t,g={hash:{},data:c},d?d.call(a,"Private message",g):l.call(a,"t","Private message",g)))+"\n")},c),
fn:k.program(1,function(a,c){var b,d,m,p;b="\n";if((d=(m=e.tr||a&&a.tr,p={hash:{},inverse:k.noop,fn:k.program(2,g,c),data:c},m?m.call(a,a,p):l.call(a,"tr",a,p)))||0===d)b+=d;return b+"\n"},c),data:c}))||0===m)b+=m;return b+"\n"});f.stream_sidebar_actions=h(function(b,a,e,d,c){function g(a,c){return"Mute the stream <b>__stream.name__</b>"}function m(a,c){return"Unmute the stream <b>__stream.name__</b>"}function k(a,c){return"Unpin stream <b>__stream.name__</b> from top"}function l(a,c){return"Pin stream <b>__stream.name__</b> to top"}
this.compilerInfo=[4,">= 1.0.0"];e=this.merge(e,b.helpers);c=c||{};var p,f,h,n=this,q=e.helperMissing;d=this.escapeExpression;b=""+('\n<ul class="nav nav-list streams_popover" data-id="'+d((p=(p=a&&a.stream,null==p||!1===p?p:p.stream_id),"function"===typeof p?p.apply(a):p))+'" data-name="'+d((p=(p=a&&a.stream,null==p||!1===p?p:p.name),"function"===typeof p?p.apply(a):p))+'">\n  <li>\n    <a class="narrow_to_stream">\n      <i class="icon-vector-bullhorn"></i>\n      ');if((p=(f=e.tr||a&&a.tr,h={hash:{},
inverse:n.noop,fn:n.program(1,function(a,c){return"Narrow to stream <b>__stream.name__</b>"},c),data:c},f?f.call(a,a,h):q.call(a,"tr",a,h)))||0===p)b+=p;b+='\n    </a>\n  </li>\n  <li>\n    <a class="toggle_home">\n      ';if((p=e["if"].call(a,(p=a&&a.stream,null==p||!1===p?p:p.in_home_view),{hash:{},inverse:n.program(6,function(a,c){var b,d,g,k;b='\n      <i class="icon-vector-eye-open"></i>\n      ';if((d=(g=e.tr||a&&a.tr,k={hash:{},inverse:n.noop,fn:n.program(7,m,c),data:c},g?g.call(a,a,k):q.call(a,
"tr",a,k)))||0===d)b+=d;return b+"\n      "},c),fn:n.program(3,function(a,c){var b,d,k,l;b='\n      <i class="icon-vector-eye-close"></i>\n      ';if((d=(k=e.tr||a&&a.tr,l={hash:{},inverse:n.noop,fn:n.program(4,g,c),data:c},k?k.call(a,a,l):q.call(a,"tr",a,l)))||0===d)b+=d;return b+"\n      "},c),data:c}))||0===p)b+=p;b+='\n    </a>\n  </li>\n  <li>\n    <a class="pin_to_top">\n      <i class="icon-vector-pushpin stream-pin-icon"></i>\n      ';if((p=e["if"].call(a,(p=a&&a.stream,null==p||!1===p?p:
p.pin_to_top),{hash:{},inverse:n.program(12,function(a,c){var b,d,g,k;b="\n      ";if((d=(g=e.tr||a&&a.tr,k={hash:{},inverse:n.noop,fn:n.program(13,l,c),data:c},g?g.call(a,a,k):q.call(a,"tr",a,k)))||0===d)b+=d;return b+"\n      "},c),fn:n.program(9,function(a,c){var b,d,g,l;b="\n      ";if((d=(g=e.tr||a&&a.tr,l={hash:{},inverse:n.noop,fn:n.program(10,k,c),data:c},g?g.call(a,a,l):q.call(a,"tr",a,l)))||0===d)b+=d;return b+"\n      "},c),data:c}))||0===p)b+=p;b+='\n    </a>\n  </li>\n  <li>\n    <a class="compose_to_stream">\n      <i class="icon-vector-edit"></i>\n      ';
if((p=(f=e.tr||a&&a.tr,h={hash:{},inverse:n.noop,fn:n.program(15,function(a,c){return"Compose a message to stream <b>__stream.name__</b>"},c),data:c},f?f.call(a,a,h):q.call(a,"tr",a,h)))||0===p)b+=p;b+='\n    </a>\n  </li>\n  <li>\n    <a class="mark_stream_as_read">\n      <i class="icon-vector-book"></i>\n      ';if((p=(f=e.tr||a&&a.tr,h={hash:{},inverse:n.noop,fn:n.program(17,function(a,c){return"Mark all messages in <b>__stream.name__</b> as read"},c),data:c},f?f.call(a,a,h):q.call(a,"tr",a,h)))||
0===p)b+=p;return b+='\n    </a>\n  </li>\n  <li>\n    <a class="open_stream_settings">\n      <i class="icon-vector-cog"></i>\n      '+d((f=e.t||a&&a.t,h={hash:{},data:c},f?f.call(a,"Stream settings",h):q.call(a,"t","Stream settings",h)))+'\n    </a>\n  </li>\n  <li>\n    <span class="colorpicker-container"><input stream_name="'+d((p=(p=a&&a.stream,null==p||!1===p?p:p.name),"function"===typeof p?p.apply(a):p))+'" class="colorpicker" type="text" value="'+d((p=(p=a&&a.stream,null==p||!1===p?p:p.color),
"function"===typeof p?p.apply(a):p))+'" /></span>\n    <a class="custom_color">'+d((f=e.t||a&&a.t,h={hash:{},data:c},f?f.call(a,"Choose custom color",h):q.call(a,"t","Choose custom color",h)))+"</a>\n  </li>\n\n</ul>\n"});f.admin_emoji_list=h(function(b,a,e,d,c){this.compilerInfo=[4,">= 1.0.0"];e=this.merge(e,b.helpers);c=c||{};b="";var g=this.escapeExpression,m=e.helperMissing;if((a=e["with"].call(a,a&&a.emoji,{hash:{},inverse:this.noop,fn:this.program(1,function(a,c){var b,d,f,h;b='\n<tr class="emoji_row" id="emoji_';
(f=e.name)?d=f.call(a,{hash:{},data:c}):(f=a&&a.name,d="function"===typeof f?f.call(a,{hash:{},data:c}):f);b+=g(d)+'">\n  <td>\n    <span class="emoji_name">';(f=e.name)?d=f.call(a,{hash:{},data:c}):(f=a&&a.name,d="function"===typeof f?f.call(a,{hash:{},data:c}):f);b+=g(d)+'</span>\n  </td>\n  <td>\n    <span class="emoji_image"><a href="';(f=e.source_url)?d=f.call(a,{hash:{},data:c}):(f=a&&a.source_url,d="function"===typeof f?f.call(a,{hash:{},data:c}):f);b+=g(d)+'"><img src="';(f=e.display_url)?
d=f.call(a,{hash:{},data:c}):(f=a&&a.display_url,d="function"===typeof f?f.call(a,{hash:{},data:c}):f);b+=g(d)+'" alt="';(f=e.name)?d=f.call(a,{hash:{},data:c}):(f=a&&a.name,d="function"===typeof f?f.call(a,{hash:{},data:c}):f);b+=g(d)+'" /></a></span>\n  </td>\n  <td>\n    <button class="btn delete btn-danger" data-emoji-name="';(f=e.name)?d=f.call(a,{hash:{},data:c}):(f=a&&a.name,d="function"===typeof f?f.call(a,{hash:{},data:c}):f);return b+=g(d)+'">\n      '+g((f=e.t||a&&a.t,h={hash:{},data:c},
f?f.call(a,"Delete",h):m.call(a,"t","Delete",h)))+"\n    </button>\n  </td>\n</tr>\n"},c),data:c}))||0===a)b+=a;return b+"\n"});f.tutorial_message=h(function(b,a,e,d,c){this.compilerInfo=[4,">= 1.0.0"];e=this.merge(e,b.helpers);c=c||{};var g,m,k=this.escapeExpression,l=e.helperMissing;b='\n\n<div class="tutorial-popover popover-';(g=e.placement)?d=g.call(a,{hash:{},data:c}):(g=a&&a.placement,d="function"===typeof g?g.call(a,{hash:{},data:c}):g);b+=k(d)+'" id="tutorial-message">\n    ';if((d=(g=e.tr||
a&&a.tr,m={hash:{},inverse:this.noop,fn:this.program(1,function(a,c){return"<p>Messages in __page_params.product_name__ go to a <b>stream</b> and have a <b>topic</b>.</p>"},c),data:c},g?g.call(a,a,m):l.call(a,"tr",a,m)))||0===d)b+=d;return b+='\n\n    <div class="tutorial-done-button">\n    <center>\n      <button class="btn btn-skip" type="submit" id="tutorial-message-skip">'+k((g=e.t||a&&a.t,m={hash:{},data:c},g?g.call(a,"Exit Tutorial",m):l.call(a,"t","Exit Tutorial",m)))+'</button>\n      <button class="btn btn-primary" type="submit" id="tutorial-message-next">'+
k((g=e.t||a&&a.t,m={hash:{},data:c},g?g.call(a,"Next",m):l.call(a,"t","Next",m)))+"</button>\n    </center>\n    </div>\n</div>\n"});f.sidebar_subject_list=h(function(b,a,e,d,c){function g(a,c){return"zero-subject-unreads"}function m(a,c){return"muted_topic"}function k(a,c){return" zoom-out-hide"}function l(a,c){return"zero_count"}this.compilerInfo=[4,">= 1.0.0"];e=this.merge(e,b.helpers);c=c||{};var f=this,h=this.escapeExpression,r=e.helperMissing;b="<ul class='expanded_subjects' data-stream='";
(d=e.stream)?d=d.call(a,{hash:{},data:c}):(d=a&&a.stream,d="function"===typeof d?d.call(a,{hash:{},data:c}):d);b+=h(d)+"'>\n    ";if((d=e.each.call(a,a&&a.subjects,{hash:{},inverse:f.noop,fn:f.program(1,function(a,c){var b,d;b="\n    <li class='";if((d=e["if"].call(a,a&&a.is_zero,{hash:{},inverse:f.noop,fn:f.program(2,g,c),data:c}))||0===d)b+=d;b+=" ";if((d=e["if"].call(a,a&&a.is_muted,{hash:{},inverse:f.noop,fn:f.program(4,m,c),data:c}))||0===d)b+=d;b+=" ";if((d=e["if"].call(a,a&&a.zoom_out_hide,
{hash:{},inverse:f.noop,fn:f.program(6,k,c),data:c}))||0===d)b+=d;b+=" expanded_subject' data-name='";(d=e.topic_name)?d=d.call(a,{hash:{},data:c}):(d=a&&a.topic_name,d="function"===typeof d?d.call(a,{hash:{},data:c}):d);b+=h(d)+"'>\n      <span class='subject_box'>\n        <a href='";(d=e.url)?d=d.call(a,{hash:{},data:c}):(d=a&&a.url,d="function"===typeof d?d.call(a,{hash:{},data:c}):d);b+=h(d)+'\' class="subject-name">\n          ';(d=e.topic_name)?d=d.call(a,{hash:{},data:c}):(d=a&&a.topic_name,
d="function"===typeof d?d.call(a,{hash:{},data:c}):d);b+=h(d)+'\n        </a>\n        <div class="subject_count ';if((d=e["if"].call(a,a&&a.is_zero,{hash:{},inverse:f.noop,fn:f.program(8,l,c),data:c}))||0===d)b+=d;b+='">\n            <div class="value">';(d=e.unread)?d=d.call(a,{hash:{},data:c}):(d=a&&a.unread,d="function"===typeof d?d.call(a,{hash:{},data:c}):d);return b+=h(d)+'</div>\n        </div>\n      </span>\n      <span class="arrow topic-sidebar-arrow">\n        <i class="icon-vector-chevron-down"></i>\n      </span>\n    </li>\n    '},
c),data:c}))||0===d)b+=d;b+="\n    ";if((d=e["if"].call(a,a&&a.want_show_more_topics_links,{hash:{},inverse:f.noop,fn:f.program(10,function(a,c){var b,d,g,k;b='\n    <li class="show-more-topics" data-stream="';(g=e.stream)?d=g.call(a,{hash:{},data:c}):(g=a&&a.stream,d="function"===typeof g?g.call(a,{hash:{},data:c}):g);return b+=h(d)+'">\n      <a href="#">('+h((g=e.t||a&&a.t,k={hash:{},data:c},g?g.call(a,"more topics",k):r.call(a,"t","more topics",k)))+")</a>\n    </li>\n    "},c),data:c}))||0===
d)b+=d;return b+"\n</ul>\n"});f.actions_popover_content=h(function(b,a,e,d,c){function g(a,c){return"Mute the topic <b>__subject__</b>"}function m(a,c){return"Unmute the topic <b>__subject__</b>"}this.compilerInfo=[4,">= 1.0.0"];e=this.merge(e,b.helpers);c=c||{};var k,l,f=this.escapeExpression,h=e.helperMissing,r=this;b='\n<ul class="nav nav-list actions_popover pull-right">\n  ';if((d=e["if"].call(a,a&&a.can_edit_message,{hash:{},inverse:r.noop,fn:r.program(1,function(a,c){var b,d,g,k;return b=""+
('\n  <li>\n    <a href="#" class="popover_edit_message" data-msgid="'+f((d=(d=a&&a.message,null==d||!1===d?d:d.id),"function"===typeof d?d.apply(a):d))+'">\n      <i class="icon-vector-pencil"></i> '+f((g=e.t||a&&a.t,k={hash:{},data:c},g?g.call(a,"Edit",k):h.call(a,"t","Edit",k)))+"\n    </a>\n  </li>\n  ")},c),data:c}))||0===d)b+=d;b+='\n\n  <li>\n    <a href="#" class="respond_button">\n      <i class="icon-vector-share-alt"></i> '+f((k=e.t||a&&a.t,l={hash:{},data:c},k?k.call(a,"Reply",l):h.call(a,
"t","Reply",l)))+'\n    </a>\n  </li>\n\n  <li>\n    <a href="#" class="popover_toggle_collapse" data-msgid="'+f((d=(d=a&&a.message,null==d||!1===d?d:d.id),"function"===typeof d?d.apply(a):d))+'">\n      <i class="';if((d=e["if"].call(a,(d=a&&a.message,null==d||!1===d?d:d.collapsed),{hash:{},inverse:r.program(5,function(a,c){return"icon-vector-minus"},c),fn:r.program(3,function(a,c){return"icon-vector-plus"},c),data:c}))||0===d)b+=d;b+='"></i>\n        ';if((d=e["if"].call(a,(d=a&&a.message,null==
d||!1===d?d:d.collapsed),{hash:{},inverse:r.program(9,function(a,c){var b,d;return f((b=e.t||a&&a.t,d={hash:{},data:c},b?b.call(a,"Collapse",d):h.call(a,"t","Collapse",d)))},c),fn:r.program(7,function(a,c){var b,d;return f((b=e.t||a&&a.t,d={hash:{},data:c},b?b.call(a,"Un-collapse",d):h.call(a,"t","Un-collapse",d)))},c),data:c}))||0===d)b+=d;b+="\n    </a>\n  </li>\n\n  ";if((d=e["if"].call(a,a&&a.can_mute_topic,{hash:{},inverse:r.noop,fn:r.program(11,function(a,c){var b,d,k,l;b=""+('\n  <li>\n    <a href="#" class="popover_mute_topic" data-msg-stream="'+
f((d=(d=a&&a.message,null==d||!1===d?d:d.stream),"function"===typeof d?d.apply(a):d))+'" data-msg-topic="'+f((d=(d=a&&a.message,null==d||!1===d?d:d.subject),"function"===typeof d?d.apply(a):d))+'">\n      <i class="icon-vector-eye-close"></i>\n      ');if((d=(k=e.tr||a&&a.tr,l={hash:{},inverse:r.noop,fn:r.program(12,g,c),data:c},k?k.call(a,a&&a.message,l):h.call(a,"tr",a&&a.message,l)))||0===d)b+=d;return b+"\n    </a>\n  </li>\n  "},c),data:c}))||0===d)b+=d;b+="\n\n  ";if((d=e["if"].call(a,a&&a.can_unmute_topic,
{hash:{},inverse:r.noop,fn:r.program(14,function(a,c){var b,d,g,k;b=""+('\n  <li>\n    <a href="#" class="popover_unmute_topic" data-msg-stream="'+f((d=(d=a&&a.message,null==d||!1===d?d:d.stream),"function"===typeof d?d.apply(a):d))+'" data-msg-topic="'+f((d=(d=a&&a.message,null==d||!1===d?d:d.subject),"function"===typeof d?d.apply(a):d))+'">\n      <i class="icon-vector-eye-open"></i>\n      ');if((d=(g=e.tr||a&&a.tr,k={hash:{},inverse:r.noop,fn:r.program(15,m,c),data:c},g?g.call(a,a&&a.message,
k):h.call(a,"tr",a&&a.message,k)))||0===d)b+=d;return b+"\n    </a>\n  </li>\n  "},c),data:c}))||0===d)b+=d;b+='\n\n  <li>\n    <a href="';(k=e.conversation_time_uri)?d=k.call(a,{hash:{},data:c}):(k=a&&a.conversation_time_uri,d="function"===typeof k?k.call(a,{hash:{},data:c}):k);return b+=f(d)+'" class="popover_narrow_by_conversation_and_time" data-msgid="'+f((d=(d=a&&a.message,null==d||!1===d?d:d.id),"function"===typeof d?d.apply(a):d))+'">\n      <i class="icon-vector-link"></i> '+f((k=e.t||a&&
a.t,l={hash:{},data:c},k?k.call(a,"Link to this conversation",l):h.call(a,"t","Link to this conversation",l)))+"\n    </a>\n  </li>\n\n</ul>\n"});f.new_stream_users=h(function(b,a,e,d,c){this.compilerInfo=[4,">= 1.0.0"];e=this.merge(e,b.helpers);c=c||{};var g,m,k=this.escapeExpression;b=e.helperMissing;b=""+('\n<a href="#" class="subs_set_all_users">'+k((g=e.t||a&&a.t,m={hash:{},data:c},g?g.call(a,"Check all",m):b.call(a,"t","Check all",m)))+'</a> |\n<a href="#" class="subs_unset_all_users">'+k((g=
e.t||a&&a.t,m={hash:{},data:c},g?g.call(a,"Uncheck all",m):b.call(a,"t","Uncheck all",m)))+'</a>\n<input class="add-user-list-filter" name="user_list_filter" type="text" placeholder="'+k((g=e.t||a&&a.t,m={hash:{},data:c},g?g.call(a,"Filter users",m):b.call(a,"t","Filter users",m)))+'" />\n<div id="user-checkboxes">\n  ');if((a=e.each.call(a,a&&a.users,{hash:{},inverse:this.noop,fn:this.program(1,function(a,c){var b,d;return b=""+('\n  <label class="checkbox" for="'+k((d=a&&a.email,"function"===typeof d?
d.apply(a):d))+'">\n    <input type="checkbox" name="user" value="'+k((d=a&&a.email,"function"===typeof d?d.apply(a):d))+'" /> '+k((d=a&&a.full_name,"function"===typeof d?d.apply(a):d))+" ("+k((d=a&&a.email,"function"===typeof d?d.apply(a):d))+")\n  </label>\n  ")},c),data:c}))||0===a)b+=a;return b+"\n</div>\n"});f.stream_member_list_entry=h(function(b,a,e,d,c){this.compilerInfo=[4,">= 1.0.0"];e=this.merge(e,b.helpers);c=c||{};var g=e.helperMissing,m=this.escapeExpression;b='<tr>\n    <td class="subscriber-name">';
(d=e.name)?d=d.call(a,{hash:{},data:c}):(d=a&&a.name,d="function"===typeof d?d.call(a,{hash:{},data:c}):d);b+=m(d)+'</td>\n    <td class="subscriber-email">';(d=e.email)?d=d.call(a,{hash:{},data:c}):(d=a&&a.email,d="function"===typeof d?d.call(a,{hash:{},data:c}):d);b+=m(d)+"</td>\n    ";if((d=e["if"].call(a,a&&a.displaying_for_admin,{hash:{},inverse:this.noop,fn:this.program(1,function(a,c){var b,d,f;return b=""+('\n    <td class="unsubscribe">\n        <div class="subscriber_list_remove">\n            <form class="form-inline remove-subscriber-form">\n                    <input type="submit" name="unsubscribe" value="'+
m((d=e.t||a&&a.t,f={hash:{},data:c},d?d.call(a,"Unsubscribe",f):g.call(a,"t","Unsubscribe",f)))+'"\n                           class="btn btn-danger remove-subscriber-button" />\n            </form>\n        </div>\n    </td>\n    ')},c),data:c}))||0===d)b+=d;return b+"\n</tr>\n"});f.propagate_notification_change=h(function(b,a,e,d,c){this.compilerInfo=[4,">= 1.0.0"];e=this.merge(e,b.helpers);c=c||{};var g,m;b=e.helperMissing;d=this.escapeExpression;return a=""+("<div>\n    <p>"+d((g=e.t||a&&a.t,
m={hash:{},data:c},g?g.call(a,"Apply this change to all stream subscriptions?",m):b.call(a,"t","Apply this change to all stream subscriptions?",m)))+'</p>\n\n    <div class="control-group">\n        <div class="controls propagate-notifications-controls">\n            <button type="button"\n                    class="yes_propagate_notifications btn btn-primary btn-small">'+d((g=e.t||a&&a.t,m={hash:{},data:c},g?g.call(a,"Yes",m):b.call(a,"t","Yes",m)))+'</button>\n            <button type="button"\n                    class="no_propagate_notifications btn btn-default btn-small">'+
d((g=e.t||a&&a.t,m={hash:{},data:c},g?g.call(a,"No",m):b.call(a,"t","No",m)))+"</button>\n        </div>\n    </div>\n</div>\n")});f.group_pms=h(function(b,a,e,d,c){this.compilerInfo=[4,">= 1.0.0"];e=this.merge(e,b.helpers);c=c||{};var g=this.escapeExpression;b="\n";if((a=e.each.call(a,a&&a.group_pms,{hash:{},inverse:this.noop,fn:this.program(1,function(a,c){var b,d;b='\n<li data-emails="';(d=e.emails)?d=d.call(a,{hash:{},data:c}):(d=a&&a.emails,d="function"===typeof d?d.call(a,{hash:{},data:c}):
d);b+=g(d)+'" class="group-pms-sidebar-entry narrow-filter">\n  <span class="selectable_sidebar_block">\n    <span class="group-pm-status-indicator" style="background:rgba(68,194,29,';(d=e.fraction_present)?d=d.call(a,{hash:{},data:c}):(d=a&&a.fraction_present,d="function"===typeof d?d.call(a,{hash:{},data:c}):d);b+=g(d)+');"></span>\n    <a href="#" data-name="';(d=e.name)?d=d.call(a,{hash:{},data:c}):(d=a&&a.name,d="function"===typeof d?d.call(a,{hash:{},data:c}):d);b+=g(d)+'" title="';(d=e.name)?
d=d.call(a,{hash:{},data:c}):(d=a&&a.name,d="function"===typeof d?d.call(a,{hash:{},data:c}):d);b+=g(d)+'" class="group-pm-link">';(d=e.short_name)?d=d.call(a,{hash:{},data:c}):(d=a&&a.short_name,d="function"===typeof d?d.call(a,{hash:{},data:c}):d);return b+=g(d)+'</a>\n  </span>\n  <span class="count"><span class="value"></span></span>\n</li>\n'},c),data:c}))||0===a)b+=a;return b+"\n"});f.tutorial_home=h(function(b,a,e,d,c){this.compilerInfo=[4,">= 1.0.0"];e=this.merge(e,b.helpers);c=c||{};var g,
m,k=this.escapeExpression,l=e.helperMissing;b='\n\n<div class="tutorial-popover popover-';(g=e.placement)?d=g.call(a,{hash:{},data:c}):(g=a&&a.placement,d="function"===typeof g?g.call(a,{hash:{},data:c}):g);b+=k(d)+'" id="tutorial-home">\n\n    ';if((d=(g=e.tr||a&&a.tr,m={hash:{},inverse:this.noop,fn:this.program(1,function(a,c){return"\n    <p>You can <b>narrow</b> to a stream or topic by <b>clicking on it</b>, or\n       see messages from all streams at once from your Home view.</p>\n    "},c),
data:c},g?g.call(a,a,m):l.call(a,"tr",a,m)))||0===d)b+=d;return b+='\n\n    <div class="tutorial-done-button">\n      <button class="btn btn-primary" type="submit" id="tutorial-home-next">'+k((g=e.t||a&&a.t,m={hash:{},data:c},g?g.call(a,"Next",m):l.call(a,"t","Next",m)))+"</button>\n    </div>\n</div>\n"});f.subscription=h(function(b,a,e,d,c){function g(a,c){return" btn-success subscribed-button"}function m(a,c){var b,d,g;return b=""+("\n        "+D((d=e.t||a&&a.t,g={hash:{},data:c},d?d.call(a,"Subscribed",
g):w.call(a,"t","Subscribed",g)))+"\n        ")}function k(a,c){var b,d,g;return b=""+("\n        "+D((d=e.t||a&&a.t,g={hash:{},data:c},d?d.call(a,"Subscribe",g):w.call(a,"t","Subscribe",g)))+"\n        ")}function l(a,c){return"in"}function f(a,c){return"checked"}function h(a,c){return"hide-mute-note"}function r(a,c){return"muted-sub"}function n(a,c){return'disabled="disabled"'}function q(a,c){var b,d;b='\n      <div class="stream-email-box">\n          <span class="sub_settings_title">Email address <i class="icon-vector-question-sign stream-email-hint" id="email-address-hint-';
(d=e.stream_id)?d=d.call(a,{hash:{},data:c}):(d=a&&a.stream_id,d=typeof d===A?d.call(a,{hash:{},data:c}):d);b+=D(d)+'"></i></span>\n      <div class="stream-email">\n          <span class="email-address">';(d=e.email_address)?d=d.call(a,{hash:{},data:c}):(d=a&&a.email_address,d=typeof d===A?d.call(a,{hash:{},data:c}):d);return b+=D(d)+"</span>\n      </div>\n      </div>\n      "}function s(a,c){var b,d,g,k;b=""+('\n        <div class="admin-settings">\n          <span class="sub_settings_title">'+
D((g=e.t||a&&a.t,k={hash:{},data:c},g?g.call(a,"Administrator settings",k):w.call(a,"t","Administrator settings",k)))+'</span>\n          <div class="rename-stream">\n            <form class="form-inline">\n              <input type="text" name="new-name" value="" class="input-block new-stream-name" tabindex="-1" />\n              <input type="submit" name="rename" value="'+D((g=e.t||a&&a.t,k={hash:{},data:c},g?g.call(a,"Rename stream",k):w.call(a,"t","Rename stream",k)))+'" class="btn btn-danger stream-rename-button" tabindex="-1" />\n            </form>\n          </div>\n          <div class="change-stream-description">\n            <form class="form-inline">\n              <input type="hidden" name="stream_name" value="');
(g=e.name)?d=g.call(a,{hash:{},data:c}):(g=a&&a.name,d=typeof g===A?g.call(a,{hash:{},data:c}):g);b+=D(d)+'" />\n              <input type="text" name="description" value="';(g=e.description)?d=g.call(a,{hash:{},data:c}):(g=a&&a.description,d=typeof g===A?g.call(a,{hash:{},data:c}):g);return b+=D(d)+'" class="input-block description" tabindex="-1" />\n              <input type="submit" name="change-stream-description" value="'+D((g=e.t||a&&a.t,k={hash:{},data:c},g?g.call(a,"Change stream description",
k):w.call(a,"t","Change stream description",k)))+'" class="btn btn-danger change-stream-description-button" tabindex="-1" />\n            </form>\n          </div>\n          <div class="change-stream-privacy">\n            '+D((g=e.partial||a&&a.partial,k={hash:{},data:c},g?g.call(a,"change_stream_privacy",k):w.call(a,"partial","change_stream_privacy",k)))+"\n          </div>\n        </div>\n      "}function t(a,c){var b,d,g;return b=""+('\n      <div class="subscriber_list_settings">\n        <span class="sub_settings_title">'+
D((d=e.t||a&&a.t,g={hash:{},data:c},d?d.call(a,"Stream membership",g):w.call(a,"t","Stream membership",g)))+'</span>\n        <div class="subscriber_list_add">\n          <form class="form-inline">\n            <input type="text" name="principal" placeholder="'+D((d=e.t||a&&a.t,g={hash:{},data:c},d?d.call(a,"Email address",g):w.call(a,"t","Email address",g)))+'" value="" class="input-block" autocomplete="off" tabindex="-1" />\n            <input type="submit" name="add_subscriber" value="'+D((d=e.t||
a&&a.t,g={hash:{},data:c},d?d.call(a,"Add",g):w.call(a,"t","Add",g)))+'" class="btn btn-primary add-subscriber-button" tabindex="-1 "/>\n          </form>\n        </div>\n      </div>\n      <div class="subscriber-list-box">\n        <div class="subscriber_list_container">\n          <div class="subscriber_list_loading_indicator"></div>\n          <div class="alert alert-error hide"></div>\n          <div class="alert alert-warning hide"></div>\n          <table class="subscriber-list">\n          </table>\n        </div>\n      </div>\n      ')}
this.compilerInfo=[4,">= 1.0.0"];e=this.merge(e,b.helpers);c=c||{};var w=e.helperMissing,D=this.escapeExpression,A="function",B=this,C=e.blockHelperMissing;b="\n";if((a=e["with"].call(a,a,{hash:{},inverse:B.noop,fn:B.program(1,function(a,c){var b,d,x,E;b='\n<div class="subscription_row" id="subscription_';(x=e.stream_id)?d=x.call(a,{hash:{},data:c}):(x=a&&a.stream_id,d=typeof x===A?x.call(a,{hash:{},data:c}):x);b+=D(d)+'" data-subscription-id="';(x=e.stream_id)?d=x.call(a,{hash:{},data:c}):(x=a&&
a.stream_id,d=typeof x===A?x.call(a,{hash:{},data:c}):x);b+=D(d)+'">\n    <div class="subscription_table_elem subscription_header collapsed" data-toggle="collapse" data-target="#subscription_settings_';(x=e.stream_id)?d=x.call(a,{hash:{},data:c}):(x=a&&a.stream_id,d=typeof x===A?x.call(a,{hash:{},data:c}):x);b+=D(d)+'">\n      <span class="subscription-setting-icon">\n        '+D((x=e.partial||a&&a.partial,E={hash:{},data:c},x?x.call(a,"subscription_setting_icon",E):w.call(a,"partial","subscription_setting_icon",
E)))+'\n      </span>\n      <span class="subscription_block">\n      <span class="subscription_name subscription-name-row">';(x=e.name)?d=x.call(a,{hash:{},data:c}):(x=a&&a.name,d=typeof x===A?x.call(a,{hash:{},data:c}):x);b+=D(d)+'</span>\n      <span class="subscription_description subscription-description-row">';(x=e.description)?d=x.call(a,{hash:{},data:c}):(x=a&&a.description,d=typeof x===A?x.call(a,{hash:{},data:c}):x);b+=D(d)+'</span>\n      </span>\n      <span class="sub_arrow"><i class="icon-vector-chevron-down"></i></span>\n      <button class="btn sub_unsub_button btn-default';
E={hash:{},inverse:B.noop,fn:B.program(2,g,c),data:c};(x=e.subscribed)?d=x.call(a,E):(x=a&&a.subscribed,d=typeof x===A?x.call(a,E):x);e.subscribed||(d=C.call(a,d,{hash:{},inverse:B.noop,fn:B.program(2,g,c),data:c}));if(d||0===d)b+=d;b+='"\n              type="button" name="subscription">\n        ';E={hash:{},inverse:B.noop,fn:B.program(4,m,c),data:c};(x=e.subscribed)?d=x.call(a,E):(x=a&&a.subscribed,d=typeof x===A?x.call(a,E):x);e.subscribed||(d=C.call(a,d,{hash:{},inverse:B.noop,fn:B.program(4,
m,c),data:c}));if(d||0===d)b+=d;b+="\n        ";E={hash:{},inverse:B.program(6,k,c),fn:B.noop,data:c};(x=e.subscribed)?d=x.call(a,E):(x=a&&a.subscribed,d=typeof x===A?x.call(a,E):x);e.subscribed||(d=C.call(a,d,{hash:{},inverse:B.program(6,k,c),fn:B.noop,data:c}));if(d||0===d)b+=d;b+='\n      </button>\n    </div>\n\n    <div id="subscription_settings_';(x=e.stream_id)?d=x.call(a,{hash:{},data:c}):(x=a&&a.stream_id,d=typeof x===A?x.call(a,{hash:{},data:c}):x);b+=D(d)+'" class="collapse subscription_settings">\n      <div class="regular_subscription_settings collapse ';
E={hash:{},inverse:B.noop,fn:B.program(8,l,c),data:c};(x=e.subscribed)?d=x.call(a,E):(x=a&&a.subscribed,d=typeof x===A?x.call(a,E):x);e.subscribed||(d=C.call(a,d,{hash:{},inverse:B.noop,fn:B.program(8,l,c),data:c}));if(d||0===d)b+=d;b+='">\n        <div class="subscription-type">\n          '+D((x=e.partial||a&&a.partial,E={hash:{},data:c},x?x.call(a,"subscription_type",E):w.call(a,"partial","subscription_type",E)))+'\n        </div>\n        <div class="subscription-config">\n        <ul>\n          <li>\n            <div id="sub_setting_not_in_home_view" class="sub_setting_checkbox sub-mute-setting">\n              <input id="mutestream-';
(x=e.stream_id)?d=x.call(a,{hash:{},data:c}):(x=a&&a.stream_id,d=typeof x===A?x.call(a,{hash:{},data:c}):x);b+=D(d)+'" class="sub_setting_control" type="checkbox" tabindex="-1" ';if((d=e.unless.call(a,a&&a.in_home_view,{hash:{},inverse:B.noop,fn:B.program(10,f,c),data:c}))||0===d)b+=d;b+=' />\n              <label class="subscription-control-label">Mute stream</label>\n              <p class="mute-note ';if((d=e["if"].call(a,a&&a.in_home_view,{hash:{},inverse:B.noop,fn:B.program(12,h,c),data:c}))||
0===d)b+=d;b+='">'+D((x=e.t||a&&a.t,E={hash:{},data:c},x?x.call(a,"Muted streams don't show up in your home view or generate notifications unless you are mentioned.",E):w.call(a,"t","Muted streams don't show up in your home view or generate notifications unless you are mentioned.",E)))+'</p>\n            </div>\n          </li>\n          <li>\n\n            <div id="sub_desktop_notifications_setting"\n                 class="sub_setting_checkbox sub_notification_setting ';if((d=e.unless.call(a,a&&
a.in_home_view,{hash:{},inverse:B.noop,fn:B.program(14,r,c),data:c}))||0===d)b+=d;b+='">\n              <input id="desktop-notifystream-';(x=e.stream_id)?d=x.call(a,{hash:{},data:c}):(x=a&&a.stream_id,d=typeof x===A?x.call(a,{hash:{},data:c}):x);b+=D(d)+'" class="sub_setting_control" type="checkbox" tabindex="-1" ';if((d=e["if"].call(a,a&&a.desktop_notifications,{hash:{},inverse:B.noop,fn:B.program(10,f,c),data:c}))||0===d)b+=d;b+=" ";if((d=e.unless.call(a,a&&a.in_home_view,{hash:{},inverse:B.noop,
fn:B.program(16,n,c),data:c}))||0===d)b+=d;b+='/>\n              <label class="subscription-control-label">'+D((x=e.t||a&&a.t,E={hash:{},data:c},x?x.call(a,"Receive desktop <br />notifications",E):w.call(a,"t","Receive desktop <br />notifications",E)))+'</label>\n            </div>\n\n            <div id="sub_audible_notifications_setting"\n                 class="sub_setting_checkbox sub_notification_setting ';if((d=e.unless.call(a,a&&a.in_home_view,{hash:{},inverse:B.noop,fn:B.program(14,r,c),data:c}))||
0===d)b+=d;b+='">\n              <input id="audible-notifystream-';(x=e.stream_id)?d=x.call(a,{hash:{},data:c}):(x=a&&a.stream_id,d=typeof x===A?x.call(a,{hash:{},data:c}):x);b+=D(d)+'" class="sub_setting_control" type="checkbox" tabindex="-1" ';if((d=e["if"].call(a,a&&a.audible_notifications,{hash:{},inverse:B.noop,fn:B.program(10,f,c),data:c}))||0===d)b+=d;b+=" ";if((d=e.unless.call(a,a&&a.in_home_view,{hash:{},inverse:B.noop,fn:B.program(16,n,c),data:c}))||0===d)b+=d;b+='/>\n              <label class="subscription-control-label">'+
D((x=e.t||a&&a.t,E={hash:{},data:c},x?x.call(a,"Receive audible<br />notifications",E):w.call(a,"t","Receive audible<br />notifications",E)))+'</label>\n            </div>\n\n          </li>\n          <li>\n            <div id="sub_pin_setting" class="sub_setting_checkbox">\n              <input id="pinstream-';(x=e.stream_id)?d=x.call(a,{hash:{},data:c}):(x=a&&a.stream_id,d=typeof x===A?x.call(a,{hash:{},data:c}):x);b+=D(d)+'" class="sub_setting_control" type="checkbox" tabindex="-1" ';if((d=e["if"].call(a,
a&&a.pin_to_top,{hash:{},inverse:B.noop,fn:B.program(10,f,c),data:c}))||0===d)b+=d;b+=' />\n              <label class="subscription-control-label">'+D((x=e.t||a&&a.t,E={hash:{},data:c},x?x.call(a,"Pin stream to top<br /> of left sidebar",E):w.call(a,"t","Pin stream to top<br /> of left sidebar",E)))+'</label>\n            </div>\n          </li>\n          <li>\n            <span class="sub_setting_control">\n              <input stream_name="';(x=e.name)?d=x.call(a,{hash:{},data:c}):(x=a&&a.name,
d=typeof x===A?x.call(a,{hash:{},data:c}):x);b+=D(d)+'" class="colorpicker" id="streamcolor" type="text" value="';(x=e.color)?d=x.call(a,{hash:{},data:c}):(x=a&&a.color,d=typeof x===A?x.call(a,{hash:{},data:c}):x);b+=D(d)+'" tabindex="-1" />\n            </span>\n            <label for="streamcolor" class="subscription-control-label">'+D((x=e.t||a&&a.t,E={hash:{},data:c},x?x.call(a,"Stream color",E):w.call(a,"t","Stream color",E)))+"</label>\n          </li>\n        </ul>\n        </div>\n      </div>\n      ";
if((d=(x=e.if_and||a&&a.if_and,E={hash:{},inverse:B.noop,fn:B.program(18,q,c),data:c},x?x.call(a,a&&a.subscribed,a&&a.email_address,E):w.call(a,"if_and",a&&a.subscribed,a&&a.email_address,E)))||0===d)b+=d;b+="\n\n      ";if((d=e["if"].call(a,a&&a.is_admin,{hash:{},inverse:B.noop,fn:B.program(20,s,c),data:c}))||0===d)b+=d;b+="\n\n      ";E={hash:{},inverse:B.noop,fn:B.program(22,t,c),data:c};(x=e.render_subscribers)?d=x.call(a,E):(x=a&&a.render_subscribers,d=typeof x===A?x.call(a,E):x);e.render_subscribers||
(d=C.call(a,d,{hash:{},inverse:B.noop,fn:B.program(22,t,c),data:c}));if(d||0===d)b+=d;return b+"\n    </div>\n</div>\n"},c),data:c}))||0===a)b+=a;return b+"\n"});f.compose_notification=h(function(b,a,e,d,c){this.compilerInfo=[4,">= 1.0.0"];e=this.merge(e,b.helpers);c=c||{};var g=this.escapeExpression;b='\n<div class="compose-notifications-content">\n    ';(d=e.note)?d=d.call(a,{hash:{},data:c}):(d=a&&a.note,d="function"===typeof d?d.call(a,{hash:{},data:c}):d);b+=g(d)+" ";if((d=e["if"].call(a,a&&
a.link_class,{hash:{},inverse:this.noop,fn:this.program(1,function(a,c){var b,d;b='<a href="#" class="';(d=e.link_class)?d=d.call(a,{hash:{},data:c}):(d=a&&a.link_class,d="function"===typeof d?d.call(a,{hash:{},data:c}):d);b+=g(d)+'" data-msgid="';(d=e.link_msg_id)?d=d.call(a,{hash:{},data:c}):(d=a&&a.link_msg_id,d="function"===typeof d?d.call(a,{hash:{},data:c}):d);b+=g(d)+'">';(d=e.link_text)?d=d.call(a,{hash:{},data:c}):(d=a&&a.link_text,d="function"===typeof d?d.call(a,{hash:{},data:c}):d);return b+=
g(d)+"</a>"},c),data:c}))||0===d)b+=d;return b+'\n    <button type="button" class="out-of-view-notification-close close">\u00d7</button>\n</div>\n'});f.topic_edit_form=h(function(b,a,e,d,c){this.compilerInfo=[4,">= 1.0.0"];this.merge(e,b.helpers);return'\n\n<form id="topic_edit_form" class="form-horizontal">\n\n          <input type="text" value="" class="message_edit_topic" id="message_edit_topic" />\n            <button type="button" class="topic_edit_save primary"><i class="icon-vector-ok"></i></button>\n            <button type="button" class="topic_edit_cancel primary"><i class="icon-vector-remove"></i></button>\n\n    <div class="alert alert-error edit_error hide"></div>\n</form>\n'});
f.subscription_type=h(function(b,a,e,d,c){this.compilerInfo=[4,">= 1.0.0"];e=this.merge(e,b.helpers);c=c||{};b="";var g=e.helperMissing,m=this.escapeExpression;if((a=e["if"].call(a,a&&a.invite_only,{hash:{},inverse:this.program(3,function(a,c){var b,d;return m((b=e.t||a&&a.t,d={hash:{},data:c},b?b.call(a,'This is a <span class="icon-vector-globe"></span> <b>public stream</b>. Anybody in your organization can join.',d):g.call(a,"t",'This is a <span class="icon-vector-globe"></span> <b>public stream</b>. Anybody in your organization can join.',
d)))},c),fn:this.program(1,function(a,c){var b,d,f;return b=""+(m((d=e.t||a&&a.t,f={hash:{},data:c},d?d.call(a,'This is an <span class="icon-vector-lock"></span> <b>invite-only stream</b>. Only people who have been invited can access its content, but&nbsp;any&nbsp;member&nbsp;of&nbsp;the&nbsp;stream can&nbsp;invite&nbsp;others.',f):g.call(a,"t",'This is an <span class="icon-vector-lock"></span> <b>invite-only stream</b>. Only people who have been invited can access its content, but&nbsp;any&nbsp;member&nbsp;of&nbsp;the&nbsp;stream can&nbsp;invite&nbsp;others.',
f)))+"\n")},c),data:c}))||0===a)b+=a;return b+"\n"});f.announce_stream_docs=h(function(b,a,e,d,c){this.compilerInfo=[4,">= 1.0.0"];e=this.merge(e,b.helpers);c=c||{};var g,m;d=e.helperMissing;b="\n<div>\n\n  ";if((a=(g=e.tr||a&&a.tr,m={hash:{},inverse:this.noop,fn:this.program(1,function(a,c){return"\n  <p>Lets everyone know about the new stream,<br />\n  even if you don't add them.</p>\n  "},c),data:c},g?g.call(a,a,m):d.call(a,"tr",a,m)))||0===a)b+=a;return b+"\n\n</div>\n"});f.tutorial_title=h(function(b,
a,e,d,c){this.compilerInfo=[4,">= 1.0.0"];e=this.merge(e,b.helpers);c=c||{};var g;d=this.escapeExpression;b='\n\n<h4 class="popover-';(g=e.placement)?g=g.call(a,{hash:{},data:c}):(g=a&&a.placement,g="function"===typeof g?g.call(a,{hash:{},data:c}):g);b+=d(g)+'">';(g=e.title)?g=g.call(a,{hash:{},data:c}):(g=a&&a.title,g="function"===typeof g?g.call(a,{hash:{},data:c}):g);return b+=d(g)+"</h4>\n"});f.subscription_setting_icon=h(function(b,a,e,d,c){function g(a,c){return"in"}this.compilerInfo=[4,">= 1.0.0"];
e=this.merge(e,b.helpers);c=c||{};b="";var m=this.escapeExpression,k=this,l=e.blockHelperMissing;if((a=e["if"].call(a,a&&a.invite_only,{hash:{},inverse:k.program(3,function(a,c){var b,d,f;b='\n <span class="color_swatch fade ';f={hash:{},inverse:k.noop,fn:k.program(4,g,c),data:c};(d=e.subscribed)?d=d.call(a,f):(d=a&&a.subscribed,d="function"===typeof d?d.call(a,f):d);e.subscribed||(d=l.call(a,d,{hash:{},inverse:k.noop,fn:k.program(4,g,c),data:c}));if(d||0===d)b+=d;b+='" style="background-color: ';
(d=e.color)?d=d.call(a,{hash:{},data:c}):(d=a&&a.color,d="function"===typeof d?d.call(a,{hash:{},data:c}):d);return b+=m(d)+'"></span>\n'},c),fn:k.program(1,function(a,c){var b,d;b='\n   <span class="subscription_lock"><i class="icon-vector-lock" style="color: ';(d=e.color)?d=d.call(a,{hash:{},data:c}):(d=a&&a.color,d="function"===typeof d?d.call(a,{hash:{},data:c}):d);return b+=m(d)+'"></i></span>\n'},c),data:c}))||0===a)b+=a;return b+"\n"});f.bankruptcy_modal=h(function(b,a,e,d,c){this.compilerInfo=
[4,">= 1.0.0"];e=this.merge(e,b.helpers);c=c||{};var g,m,k=e.helperMissing,l=this.escapeExpression;b='\n\n<div class="modal-body">\n  <p>';if((d=(g=e.tr||a&&a.tr,m={hash:{},inverse:this.noop,fn:this.program(1,function(a,c){return"It's been a while! Since you were last here, you received <b>__unread_count__</b> new messages."},c),data:c},g?g.call(a,a,m):k.call(a,"tr",a,m)))||0===d)b+=d;return b+="</p>\n  <p>"+l((g=e.t||a&&a.t,m={hash:{},data:c},g?g.call(a,"Do you want to skip to your latest messages?",
m):k.call(a,"t","Do you want to skip to your latest messages?",m)))+"</p>\n</div>\n"});f.bookend=h(function(b,a,e,d,c){function g(a,c){return"trailing_bookend"}function m(a,c){return"\n            Unsubscribe\n            "}function k(a,c){return"\n            Subscribe\n            "}this.compilerInfo=[4,">= 1.0.0"];e=this.merge(e,b.helpers);c=c||{};var l=this,f=this.escapeExpression;b="\n\n";if((a=e["if"].call(a,a&&a.bookend_content,{hash:{},inverse:l.noop,fn:l.program(1,function(a,c){var b,d;b=
'\n<div class="';if((d=e["if"].call(a,a&&a.trailing,{hash:{},inverse:l.noop,fn:l.program(2,g,c),data:c}))||0===d)b+=d;b+=' bookend sub-unsub-message">\n    <span>';(d=e.bookend_content)?d=d.call(a,{hash:{},data:c}):(d=a&&a.bookend_content,d="function"===typeof d?d.call(a,{hash:{},data:c}):d);b+=f(d)+'</span>\n    <div class="sub_button_row">\n        <button class="btn stream_sub_unsub_button btn-default" type="button" name="subscription">\n            ';if((d=e["if"].call(a,a&&a.subscribed,{hash:{},
inverse:l.program(6,k,c),fn:l.program(4,m,c),data:c}))||0===d)b+=d;return b+"\n        </button>\n    </div>\n</div>\n"},c),data:c}))||0===a)b+=a;return b+"\n"});f.sidebar_private_message_list=h(function(b,a,e,d,c){function g(a,c){return"zero-subject-unreads"}function m(a,c){return"zoom-out-hide"}function k(a,c){return"zero_count"}this.compilerInfo=[4,">= 1.0.0"];e=this.merge(e,b.helpers);c=c||{};var l=this,f=this.escapeExpression,h=e.helperMissing;b="<ul class='expanded_private_messages' data-name='private'>\n    ";
if((d=e.each.call(a,a&&a.messages,{hash:{},inverse:l.noop,fn:l.program(1,function(a,c){var b,d;b="\n    <li class='";if((d=e["if"].call(a,a&&a.is_zero,{hash:{},inverse:l.noop,fn:l.program(2,g,c),data:c}))||0===d)b+=d;b+=" ";if((d=e["if"].call(a,a&&a.zoom_out_hide,{hash:{},inverse:l.noop,fn:l.program(4,m,c),data:c}))||0===d)b+=d;b+=" expanded_private_message' data-name='";(d=e.reply_to)?d=d.call(a,{hash:{},data:c}):(d=a&&a.reply_to,d="function"===typeof d?d.call(a,{hash:{},data:c}):d);b+=f(d)+"'>\n      <span class='subject_box'>\n        <a href='";
(d=e.url)?d=d.call(a,{hash:{},data:c}):(d=a&&a.url,d="function"===typeof d?d.call(a,{hash:{},data:c}):d);b+=f(d)+'\' class="conversation-partners">\n          ';(d=e.recipients)?d=d.call(a,{hash:{},data:c}):(d=a&&a.recipients,d="function"===typeof d?d.call(a,{hash:{},data:c}):d);b+=f(d)+'\n        </a>\n        <div class="private_message_count ';if((d=e["if"].call(a,a&&a.is_zero,{hash:{},inverse:l.noop,fn:l.program(6,k,c),data:c}))||0===d)b+=d;b+='">\n            <div class="value">';(d=e.unread)?
d=d.call(a,{hash:{},data:c}):(d=a&&a.unread,d="function"===typeof d?d.call(a,{hash:{},data:c}):d);return b+=f(d)+'</div>\n        </div>\n      </span>\n      <span class="arrow topic-sidebar-arrow">\n        <i class="icon-vector-chevron-down"></i>\n      </span>\n    </li>\n    '},c),data:c}))||0===d)b+=d;b+="\n    ";if((d=e["if"].call(a,a&&a.want_show_more_messages_links,{hash:{},inverse:l.noop,fn:l.program(8,function(a,c){var b,d,g;return b=""+('\n    <li class="show-more-private-messages" data-name=\'more-private-messages\'>\n      <a href="#">('+
f((d=e.t||a&&a.t,g={hash:{},data:c},d?d.call(a,"more conversations",g):h.call(a,"t","more conversations",g)))+")</a>\n    </li>\n    ")},c),data:c}))||0===d)b+=d;return b+"\n</ul>\n"});f.user_presence_row=h(function(b,a,e,d,c){function g(a,c){return""}this.compilerInfo=[4,">= 1.0.0"];e=this.merge(e,b.helpers);c=c||{};var m=this.escapeExpression;b='<li data-email="';(d=e.email)?d=d.call(a,{hash:{},data:c}):(d=a&&a.email,d="function"===typeof d?d.call(a,{hash:{},data:c}):d);b+=m(d)+'" class="user_sidebar_entry ';
if((d=e["if"].call(a,a&&a.num_unread,{hash:{},inverse:this.noop,fn:this.program(1,function(a,c){return"user-with-count "},c),data:c}))||0===d)b+=d;b+="narrow-filter user_";(d=e.type)?d=d.call(a,{hash:{},data:c}):(d=a&&a.type,d="function"===typeof d?d.call(a,{hash:{},data:c}):d);b+=m(d)+'">\n  <span class="selectable_sidebar_block';if((d=e["if"].call(a,a&&a.mobile,{hash:{},inverse:this.noop,fn:this.program(3,g,c),data:c}))||0===d)b+=d;b+='">\n    <span class="user-status-indicator"></span>\n    <span class="user-device-indicator">';
if((d=e["if"].call(a,a&&a.mobile,{hash:{},inverse:this.noop,fn:this.program(3,g,c),data:c}))||0===d)b+=d;b+='</span>\n      <a href="#" data-email="';(d=e.email)?d=d.call(a,{hash:{},data:c}):(d=a&&a.email,d="function"===typeof d?d.call(a,{hash:{},data:c}):d);b+=m(d)+'" data-name="';(d=e.name)?d=d.call(a,{hash:{},data:c}):(d=a&&a.name,d="function"===typeof d?d.call(a,{hash:{},data:c}):d);b+=m(d)+'" title="';(d=e.name)?d=d.call(a,{hash:{},data:c}):(d=a&&a.name,d="function"===typeof d?d.call(a,{hash:{},
data:c}):d);b+=m(d)+" ";(d=e.type_desc)?d=d.call(a,{hash:{},data:c}):(d=a&&a.type_desc,d="function"===typeof d?d.call(a,{hash:{},data:c}):d);b+=m(d)+'"\n         class="';if((d=e["if"].call(a,a&&a.my_fullname,{hash:{},inverse:this.noop,fn:this.program(5,function(a,c){return" my_fullname"},c),data:c}))||0===d)b+=d;b+='">';(d=e.name)?d=d.call(a,{hash:{},data:c}):(d=a&&a.name,d="function"===typeof d?d.call(a,{hash:{},data:c}):d);b+=m(d)+'</a>\n  </span>\n  <span class="count"><span class="value">';if((d=
e["if"].call(a,a&&a.num_unread,{hash:{},inverse:this.noop,fn:this.program(7,function(a,c){var b;(b=e.num_unread)?b=b.call(a,{hash:{},data:c}):(b=a&&a.num_unread,b="function"===typeof b?b.call(a,{hash:{},data:c}):b);return m(b)},c),data:c}))||0===d)b+=d;return b+'</span></span>\n  <span class="arrow"><i class="icon-vector-chevron-down"></i></span>\n</li>\n'});f.recipient_row=h(function(b,a,e,d,c){function g(a,c){return"Narrow to stream &quot;__display_recipient__&quot;"}function m(a,c){var b,d,g;return b=
""+('\n             <i class="icon-vector-lock invite-stream-icon" title="'+D((d=e.t||a&&a.t,g={hash:{},data:c},d?d.call(a,"This is an invite-only stream",g):w.call(a,"t","This is an invite-only stream",g)))+'"></i>\n           ')}function k(a,c){return"Narrow to stream &quot;__display_recipient__&quot;, topic &quot;__subject__&quot;"}function l(a,c){var b,d;b="\n              ";(d=e.match_subject)?d=d.call(a,{hash:{},data:c}):(d=a&&a.match_subject,d=typeof d===A?d.call(a,{hash:{},data:c}):d);if(d||
0===d)b+=d;return b+"\n            "}function f(a,c){var b,d;b="\n              ";(d=e.subject)?d=d.call(a,{hash:{},data:c}):(d=a&&a.subject,d=typeof d===A?d.call(a,{hash:{},data:c}):d);return b+=D(d)+"\n            "}function h(a,c){return'\n            <i class="icon-vector-pencil always_visible_topic_edit"></i>\n          '}function r(a,c){var b,d;b="\n            ";if((d=e["if"].call(a,a&&a.on_hover_topic_edit,{hash:{},inverse:B.noop,fn:B.program(15,n,c),data:c}))||0===d)b+=d;return b+"\n          "}
function n(a,c){return'\n            <i class="icon-vector-pencil on_hover_topic_edit"></i>\n            '}function q(a,c){var b;return b=""+('\n          <a href="'+D(typeof a===A?a.apply(a):a)+'" target="_blank">\n            <i class="icon-vector-external-link-sign"></i>\n          </a>\n          ')}function s(a,c){return"Narrow to your private messages with __display_reply_to__"}function t(a,c){return"You and __display_reply_to__"}this.compilerInfo=[4,">= 1.0.0"];e=this.merge(e,b.helpers);c=
c||{};b="";var w=e.helperMissing,D=this.escapeExpression,A="function",B=this;if((a=e["if"].call(a,a&&a.is_stream,{hash:{},inverse:B.program(19,function(a,c){var b,d,g,k;b='\n  <div class="message_header message_header_private_message dark_background">\n    <div class="message-header-wrapper">\n      <div class="message-header-contents">\n        <a class="message_label_clickable narrows_by_recipient"\n           href="';(g=e.pm_with_url)?d=g.call(a,{hash:{},data:c}):(g=a&&a.pm_with_url,d=typeof g===
A?g.call(a,{hash:{},data:c}):g);b+=D(d)+'"\n           title="';if((d=(g=e.tr||a&&a.tr,k={hash:{},inverse:B.noop,fn:B.program(20,s,c),data:c},g?g.call(a,a,k):w.call(a,"tr",a,k)))||0===d)b+=d;b+='">\n        ';if((d=(g=e.tr||a&&a.tr,k={hash:{},inverse:B.noop,fn:B.program(22,t,c),data:c},g?g.call(a,a,k):w.call(a,"tr",a,k)))||0===d)b+=d;return b+"\n        </a>\n      </div>\n    </div>\n  </div>\n"},c),fn:B.program(1,function(a,c){var b,d,n,s;b='\n  <div class="message_header message_header_stream right_part">\n    <div class="message-header-wrapper">\n      <div class="message-header-contents">\n        \n        <a class="message_label_clickable narrows_by_recipient stream_label ';
(n=e.color_class)?d=n.call(a,{hash:{},data:c}):(n=a&&a.color_class,d=typeof n===A?n.call(a,{hash:{},data:c}):n);b+=D(d)+'"\n           style="background: ';(n=e.background_color)?d=n.call(a,{hash:{},data:c}):(n=a&&a.background_color,d=typeof n===A?n.call(a,{hash:{},data:c}):n);b+=D(d)+"; border-left-color: ";(n=e.background_color)?d=n.call(a,{hash:{},data:c}):(n=a&&a.background_color,d=typeof n===A?n.call(a,{hash:{},data:c}):n);b+=D(d)+';"\n           href="';(n=e.stream_url)?d=n.call(a,{hash:{},
data:c}):(n=a&&a.stream_url,d=typeof n===A?n.call(a,{hash:{},data:c}):n);b+=D(d)+'"\n           title="';if((d=(n=e.tr||a&&a.tr,s={hash:{},inverse:B.noop,fn:B.program(2,g,c),data:c},n?n.call(a,a,s):w.call(a,"tr",a,s)))||0===d)b+=d;b+='">\n           \n           ';if((d=e["if"].call(a,a&&a.invite_only,{hash:{},inverse:B.noop,fn:B.program(4,m,c),data:c}))||0===d)b+=d;b+="\n             ";(n=e.display_recipient)?d=n.call(a,{hash:{},data:c}):(n=a&&a.display_recipient,d=typeof n===A?n.call(a,{hash:{},
data:c}):n);b+=D(d)+'\n        </a>\n\n        \n        <span class="copy-paste-text">&gt;</span>\n\n        \n        <span class="stream_topic">\n          \n          <a class="message_label_clickable narrows_by_subject"\n             href="';(n=e.topic_url)?d=n.call(a,{hash:{},data:c}):(n=a&&a.topic_url,d=typeof n===A?n.call(a,{hash:{},data:c}):n);b+=D(d)+'"\n             title="';if((d=(n=e.tr||a&&a.tr,s={hash:{},inverse:B.noop,fn:B.program(6,k,c),data:c},n?n.call(a,a,s):w.call(a,"tr",a,s)))||
0===d)b+=d;b+='">\n            ';if((d=e["if"].call(a,a&&a.use_match_properties,{hash:{},inverse:B.program(10,f,c),fn:B.program(8,l,c),data:c}))||0===d)b+=d;b+="\n          </a>\n\n          \n          ";if((d=e["if"].call(a,a&&a.always_visible_topic_edit,{hash:{},inverse:B.program(14,r,c),fn:B.program(12,h,c),data:c}))||0===d)b+=d;b+="\n\n          \n          ";if((d=e.each.call(a,a&&a.subject_links,{hash:{},inverse:B.noop,fn:B.program(17,q,c),data:c}))||0===d)b+=d;b+='\n        </span>\n\n        <span class="topic_edit">\n          <span class="topic_edit_form" id="';
(n=e.id)?d=n.call(a,{hash:{},data:c}):(n=a&&a.id,d=typeof n===A?n.call(a,{hash:{},data:c}):n);return b+=D(d)+'"></span>\n        </span>\n      </div>\n    </div>\n  </div>\n'},c),data:c}))||0===a)b+=a;return b+"\n"});f.tutorial_subject=h(function(b,a,e,d,c){this.compilerInfo=[4,">= 1.0.0"];e=this.merge(e,b.helpers);c=c||{};var g,m,k=this.escapeExpression,l=e.helperMissing;b='\n\n<div class="tutorial-popover popover-';(g=e.placement)?d=g.call(a,{hash:{},data:c}):(g=a&&a.placement,d="function"===typeof g?
g.call(a,{hash:{},data:c}):g);b+=k(d)+'" id="tutorial-subject">\n\n    <p>\n        ';if((d=(g=e.tr||a&&a.tr,m={hash:{},inverse:this.noop,fn:this.program(1,function(a,c){return"\n        The <b>topic</b> of a conversation is one or two words that describe\n        what it is about, for example: <b>Bug #345</b>, <b>lunch</b>, or\n        <b>logo</b>. Don't overthink it.\n        "},c),data:c},g?g.call(a,a,m):l.call(a,"tr",a,m)))||0===d)b+=d;return b+='\n    </p>\n\n    <div class="tutorial-done-button">\n      <button class="btn btn-primary" type="submit" id="tutorial-subject-next">'+
k((g=e.t||a&&a.t,m={hash:{},data:c},g?g.call(a,"Next",m):l.call(a,"t","Next",m)))+"</button>\n    </div>\n</div>\n"});f.user_presence_rows=h(function(b,a,e,d,c){this.compilerInfo=[4,">= 1.0.0"];e=this.merge(e,b.helpers);c=c||{};var g=e.helperMissing,m=this.escapeExpression;b="\n";if((a=e.each.call(a,a&&a.users,{hash:{},inverse:this.noop,fn:this.program(1,function(a,c){var b,d,f;return b=""+("\n"+m((d=e.partial||a&&a.partial,f={hash:{},data:c},d?d.call(a,"user_presence_row",f):g.call(a,"partial","user_presence_row",
f)))+"\n")},c),data:c}))||0===a)b+=a;return b+"\n"});f.admin_tab=h(function(b,a,e,d,c){function g(a,c){return'checked="checked"'}function m(a,c){return" control-label-disabled"}function k(a,c){return'disabled="disabled"'}this.compilerInfo=[4,">= 1.0.0"];e=this.merge(e,b.helpers);c=c||{};var l,f,h=this.escapeExpression,r=e.helperMissing;b=""+('<div class="row-fluid">\n  <div class="span12">\n    <div class="administration">\n      <div class="alert" id="administration-status"></div>\n      <h1><i class="icon-vector-bolt administration-icon"></i>'+
h((l=e.t||a&&a.t,f={hash:{},data:c},l?l.call(a,"Administration",f):r.call(a,"t","Administration",f)))+'</h1>\n      <ul class="nav nav-tabs" role="tablist">\n        <li role="presentation" class="active">\n          <a href="#organization" aria-controls="organization" role="tab" data-toggle="tab"><i class="icon-vector-gear settings-section-icon"></i> '+h((l=e.t||a&&a.t,f={hash:{},data:c},l?l.call(a,"Organization settings",f):r.call(a,"t","Organization settings",f)))+'</a>\n        </li>\n        <li role="presentation">\n          <a href="#users" aria-controls="users" role="tab" data-toggle="tab"><i class="icon-vector-user settings-section-icon"></i> '+
h((l=e.t||a&&a.t,f={hash:{},data:c},l?l.call(a,"Users",f):r.call(a,"t","Users",f)))+'</a>\n        </li>\n        <li role="presentation">\n          <a href="#deactivated-users" aria-controls="deactivated-users" role="tab" data-toggle="tab"><i class="icon-vector-trash settings-section-icon"></i> '+h((l=e.t||a&&a.t,f={hash:{},data:c},l?l.call(a,"Deactivated Users",f):r.call(a,"t","Deactivated Users",f)))+'</a>\n        </li>\n        <li role="presentation">\n          <a href="#bots" aria-controls="bots" role="tab" data-toggle="tab"><i class="icon-vector-github settings-section-icon"></i> '+
h((l=e.t||a&&a.t,f={hash:{},data:c},l?l.call(a,"Bots",f):r.call(a,"t","Bots",f)))+'</a>\n        </li>\n        <li role="presentation">\n          <a href="#streams" aria-controls="streams" role="tab" data-toggle="tab"><i class="icon-vector-exchange settings-section-icon"></i> '+h((l=e.t||a&&a.t,f={hash:{},data:c},l?l.call(a,"Streams Deletion",f):r.call(a,"t","Streams Deletion",f)))+'</a>\n        </li>\n        <li role="presentation">\n          <a href="#default-streams" aria-controls="default-streams" role="tab" data-toggle="tab"><i class="icon-vector-exchange settings-section-icon"></i> '+
h((l=e.t||a&&a.t,f={hash:{},data:c},l?l.call(a,"Default Streams",f):r.call(a,"t","Default Streams",f)))+'</a>\n        </li>\n      </ul>\n      <div class="tab-content">\n        <div role="tabpanel" class="tab-pane active" id="organization">\n          <div id="organization-settings" class="settings-section">\n          <div class="settings-section-title"><i class="icon-vector-gear settings-section-icon"></i>\n          '+h((l=e.t||a&&a.t,f={hash:{},data:c},l?l.call(a,"Organization settings",f):
r.call(a,"t","Organization settings",f)))+'</div>\n            <form class="form-horizontal admin-realm-form">\n              <div class="control-group admin-realm">\n                <div class="alert" id="admin-realm-name-status"></div>\n                <div class="alert" id="admin-realm-restricted-to-domain-status"></div>\n                <div class="alert" id="admin-realm-invite-required-status"></div>\n                <div class="alert" id="admin-realm-invite-by-admins-only-status"></div>\n                <div class="alert" id="admin-realm-create-stream-by-admins-only-status"></div>\n                <div class="alert" id="admin-realm-message-editing-status"></div>\n                <div class="alert" id="admin-realm-default-language-status"></div>\n                <label for="realm_name" class="control-label">'+
h((l=e.t||a&&a.t,f={hash:{},data:c},l?l.call(a,"Your organization's name",f):r.call(a,"t","Your organization's name",f)))+'</label>\n                <div class="controls">\n                  <input type="text" id="id_realm_name" name="realm_name" class="admin-realm-name"\n                         value="');(l=e.realm_name)?d=l.call(a,{hash:{},data:c}):(l=a&&a.realm_name,d="function"===typeof l?l.call(a,{hash:{},data:c}):l);b+=h(d)+'" />\n                </div>\n              </div>\n              <div class="control-group">\n                <label for="realm_restricted_to_domain"\n                  title="';
if((d=(l=e.tr||a&&a.tr,f={hash:{},inverse:this.noop,fn:this.program(1,function(a,c){return"If checked, only users with an @__domain__ e-mail address will be able to join the organization."},c),data:c},l?l.call(a,a,f):r.call(a,"tr",a,f)))||0===d)b+=d;b+='"\n                  class="control-label">\n                  ';if((d=(l=e.tr||a&&a.tr,f={hash:{},inverse:this.noop,fn:this.program(3,function(a,c){return"Users restricted to __domain__"},c),data:c},l?l.call(a,a,f):r.call(a,"tr",a,f)))||0===d)b+=
d;b+='\n                </label>\n                <div class="controls">\n                  <input type="checkbox" id="id_realm_restricted_to_domain" name="realm_restricted_to_domain"\n                     ';if((d=e["if"].call(a,a&&a.realm_restricted_to_domain,{hash:{},inverse:this.noop,fn:this.program(5,g,c),data:c}))||0===d)b+=d;b+=' />\n                </div>\n              </div>\n              <div class="control-group">\n                <label for="realm_invite_required"\n                  title="'+
h((l=e.t||a&&a.t,f={hash:{},data:c},l?l.call(a,"If checked, users must be invited in order to join your organization.",f):r.call(a,"t","If checked, users must be invited in order to join your organization.",f)))+'"\n                  class="control-label">\n                  '+h((l=e.t||a&&a.t,f={hash:{},data:c},l?l.call(a,"E-mail invitation required",f):r.call(a,"t","E-mail invitation required",f)))+'\n                </label>\n                <div class="controls">\n                  <input type="checkbox" id="id_realm_invite_required" name="realm_invite_required"\n                    ';
if((d=e["if"].call(a,a&&a.realm_invite_required,{hash:{},inverse:this.noop,fn:this.program(5,g,c),data:c}))||0===d)b+=d;b+=' />\n                </div>\n              </div>\n              <div class="control-group">\n                <label for="realm_invite_by_admins_only"\n                  id="id_realm_invite_by_admins_only_label"\n                  title="'+h((l=e.t||a&&a.t,f={hash:{},data:c},l?l.call(a,"If checked, only administrators may invite new users.",f):r.call(a,"t","If checked, only administrators may invite new users.",
f)))+'"\n                  class="control-label';if((d=e.unless.call(a,a&&a.realm_invite_required,{hash:{},inverse:this.noop,fn:this.program(7,m,c),data:c}))||0===d)b+=d;b+='">\n                  '+h((l=e.t||a&&a.t,f={hash:{},data:c},l?l.call(a,"Only admins may invite",f):r.call(a,"t","Only admins may invite",f)))+'\n                </label>\n                <div class="controls">\n                  <input type="checkbox" id="id_realm_invite_by_admins_only" name="realm_invite_by_admins_only"\n                    ';
if((d=e.unless.call(a,a&&a.realm_invite_required,{hash:{},inverse:this.noop,fn:this.program(9,k,c),data:c}))||0===d)b+=d;b+="\n                    ";if((d=e["if"].call(a,a&&a.realm_invite_by_admins_only,{hash:{},inverse:this.noop,fn:this.program(5,g,c),data:c}))||0===d)b+=d;b+=' />\n                </div>\n              </div>\n              <div class="control-group">\n                <label for="realm_create_stream_by_admins_only"\n                  id="id_realm_create_stream_by_admins_only_label"\n                  title="'+
h((l=e.t||a&&a.t,f={hash:{},data:c},l?l.call(a,"If checked, only administrators may create new streams.",f):r.call(a,"t","If checked, only administrators may create new streams.",f)))+'"\n                  class="control-label">\n                  '+h((l=e.t||a&&a.t,f={hash:{},data:c},l?l.call(a,"Only admins may create streams",f):r.call(a,"t","Only admins may create streams",f)))+'\n                </label>\n                <div class="controls">\n                  <input type="checkbox" id="id_realm_create_stream_by_admins_only"\n                         name="realm_create_stream_by_admins_only"\n                    ';
if((d=e["if"].call(a,a&&a.realm_create_stream_by_admins_only,{hash:{},inverse:this.noop,fn:this.program(5,g,c),data:c}))||0===d)b+=d;b+=' />\n                </div>\n              </div>\n              <div class="control-group">\n                <label for="realm_allow_message_editing"\n                  title="'+h((l=e.t||a&&a.t,f={hash:{},data:c},l?l.call(a,"If checked, users can edit the content and topics of their old messages.",f):r.call(a,"t","If checked, users can edit the content and topics of their old messages.",
f)))+'"\n                  class="control-label">\n                  '+h((l=e.t||a&&a.t,f={hash:{},data:c},l?l.call(a,"Users can edit old messages",f):r.call(a,"t","Users can edit old messages",f)))+'\n                </label>\n                <div class="controls">\n                  <input type="checkbox" id="id_realm_allow_message_editing" name="realm_allow_message_editing"\n                    ';if((d=e["if"].call(a,a&&a.realm_allow_message_editing,{hash:{},inverse:this.noop,fn:this.program(5,
g,c),data:c}))||0===d)b+=d;b+=' />\n                </div>\n              </div>\n              <div class="control-group">\n                <label for="realm_message_content_edit_limit_minutes"\n                  id="id_realm_message_content_edit_limit_minutes_label"\n                  title="'+h((l=e.t||a&&a.t,f={hash:{},data:c},l?l.call(a,"If non-zero, users can edit their message for this many minutes after it is sent. If zero, users can edit all their past messages.",f):r.call(a,"t","If non-zero, users can edit their message for this many minutes after it is sent. If zero, users can edit all their past messages.",
f)))+'"\n                  class="control-label';if((d=e.unless.call(a,a&&a.realm_allow_message_editing,{hash:{},inverse:this.noop,fn:this.program(7,m,c),data:c}))||0===d)b+=d;b+='">\n                  '+h((l=e.t||a&&a.t,f={hash:{},data:c},l?l.call(a,"Message edit limit in minutes (0 for no limit)",f):r.call(a,"t","Message edit limit in minutes (0 for no limit)",f)))+'\n                </label>\n                <div class="controls">\n                  <input type="text" id="id_realm_message_content_edit_limit_minutes"\n                         name="realm_message_content_edit_limit_minutes"\n                         class="admin-realm-message-content-edit-limit-minutes"\n                         value="';
(l=e.realm_message_content_edit_limit_minutes)?d=l.call(a,{hash:{},data:c}):(l=a&&a.realm_message_content_edit_limit_minutes,d="function"===typeof l?l.call(a,{hash:{},data:c}):l);b+=h(d)+'"\n                    ';if((d=e.unless.call(a,a&&a.realm_allow_message_editing,{hash:{},inverse:this.noop,fn:this.program(9,k,c),data:c}))||0===d)b+=d;b+=' />\n                </div>\n              </div>\n              <div class="control-group">\n                <label for="realm_default_language" class="control-label">'+
h((l=e.t||a&&a.t,f={hash:{},data:c},l?l.call(a,"Default Language",f):r.call(a,"t","Default Language",f)))+':</label>\n                <div class="controls">\n                  <select name="realm_default_language" id="id_realm_default_language">\n                    ';if((d=e.each.call(a,a&&a.language_list,{hash:{},inverse:this.noop,fn:this.program(11,function(a,c){var b,d;return b=""+("\n                    <option value='"+h((d=a&&a.code,"function"===typeof d?d.apply(a):d))+"'>"+h((d=a&&a.name,
"function"===typeof d?d.apply(a):d))+"</option>\n                    ")},c),data:c}))||0===d)b+=d;b+='\n                  </select>\n                </div>\n              </div>\n              <div class="controls organization-submission">\n              <input type="submit" class="btn btn-big btn-primary" value="'+h((l=e.t||a&&a.t,f={hash:{},data:c},l?l.call(a,"Save changes",f):r.call(a,"t","Save changes",f)))+'" />\n              </div>\n            </form>\n          </div>\n          <div id="emoji-settings" class="settings-section">\n            <div class="settings-section-title"><i class="icon-vector-smile settings-section-icon"></i>\n            '+
h((l=e.t||a&&a.t,f={hash:{},data:c},l?l.call(a,"Custom emoji",f):r.call(a,"t","Custom emoji",f)))+'</div>\n            <div class="admin-table-wrapper">\n            <p>';if((d=(l=e.tr||a&&a.tr,f={hash:{},inverse:this.noop,fn:this.program(13,function(a,c){return"Add extra emoji for members of the __realm_name__ organization."},c),data:c},l?l.call(a,a,f):r.call(a,"tr",a,f)))||0===d)b+=d;b+='</p>\n              <table class="table table-condensed table-striped admin_emoji_table">\n                <tbody id="admin_emoji_table">\n                  <th>'+
h((l=e.t||a&&a.t,f={hash:{},data:c},l?l.call(a,"Name",f):r.call(a,"t","Name",f)))+'</th>\n                  <th class="image">'+h((l=e.t||a&&a.t,f={hash:{},data:c},l?l.call(a,"Image",f):r.call(a,"t","Image",f)))+'</th>\n                  <th class="actions">'+h((l=e.t||a&&a.t,f={hash:{},data:c},l?l.call(a,"Actions",f):r.call(a,"t","Actions",f)))+'</th>\n                </tbody>\n              </table>\n            </div>\n            <form class="form-horizontal admin-emoji-form">\n              <div class="add-new-emoji-box">\n                <div class="new-emoji-form">\n                  <div class="settings-section-title new-emoji-section-title">'+
h((l=e.t||a&&a.t,f={hash:{},data:c},l?l.call(a,"Add a New Emoji",f):r.call(a,"t","Add a New Emoji",f)))+'</div>\n                  <div class="alert" id="admin-emoji-status"></div>\n                  <div class="control-group">\n                    <label for="emoji_name" class="control-label">'+h((l=e.t||a&&a.t,f={hash:{},data:c},l?l.call(a,"Emoji name",f):r.call(a,"t","Emoji name",f)))+'</label>\n                    <input type="text" name="name" id="emoji_name" placeholder="'+h((l=e.t||a&&a.t,
f={hash:{},data:c},l?l.call(a,"mouse_face",f):r.call(a,"t","mouse_face",f)))+'" />\n                    <div class="alert" id="admin-emoji-name-status"></div>\n                  </div>\n                  <div class="control-group">\n                    <label for="emoji_url" class="control-label">'+h((l=e.t||a&&a.t,f={hash:{},data:c},l?l.call(a,"Emoji URL",f):r.call(a,"t","Emoji URL",f)))+'</label>\n                    <input type="text" name="url" id="emoji_url" placeholder="http://emojipedia-us.s3.amazonaws.com/cache/46/7f/467fe69069c408e07517621f263ea9b5.png" />\n                    <div class="alert" id="admin-emoji-url-status"></div>\n                  </div>\n                  <div class="control-group">\n                    <div class="controls">\n                      <input type="submit" class="btn btn-big btn-primary" value="'+
h((l=e.t||a&&a.t,f={hash:{},data:c},l?l.call(a,"Add emoji",f):r.call(a,"t","Add emoji",f)))+'" />\n                    </div>\n                  </div>\n                </div>\n              </div>\n            </form>\n          </div>\n        </div>\n        <div role="tabpanel" class="tab-pane" id="users">\n          <div id="admin-user-list" class="settings-section">\n          <div class="settings-section-title"><i class="icon-vector-user settings-section-icon"></i>\n          '+h((l=e.t||a&&
a.t,f={hash:{},data:c},l?l.call(a,"Users",f):r.call(a,"t","Users",f)))+'</div>\n          <table class="table table-condensed table-striped">\n            <tbody id="admin_users_table" class="admin_user_table">\n              <th>'+h((l=e.t||a&&a.t,f={hash:{},data:c},l?l.call(a,"Name",f):r.call(a,"t","Name",f)))+"</th>\n              <th>"+h((l=e.t||a&&a.t,f={hash:{},data:c},l?l.call(a,"Email",f):r.call(a,"t","Email",f)))+"</th>\n              <th>"+h((l=e.t||a&&a.t,f={hash:{},data:c},l?l.call(a,
"Actions",f):r.call(a,"t","Actions",f)))+'</th>\n            </tbody>\n          </table>\n          <div id="admin_page_users_loading_indicator"></div>\n          </div>\n        </div>\n        <div role="tabpanel" class="tab-pane" id="deactivated-users">\n          <div id="admin-deactivated-users-list" class="settings-section">\n          <div class="settings-section-title"><i class="icon-vector-trash settings-section-icon"></i>\n          '+h((l=e.t||a&&a.t,f={hash:{},data:c},l?l.call(a,"Deactivated Users",
f):r.call(a,"t","Deactivated Users",f)))+'</div>\n          <table class="table table-condensed table-striped">\n            <tbody id="admin_deactivated_users_table" class="admin_user_table">\n              <th>'+h((l=e.t||a&&a.t,f={hash:{},data:c},l?l.call(a,"Name",f):r.call(a,"t","Name",f)))+"</th>\n              <th>"+h((l=e.t||a&&a.t,f={hash:{},data:c},l?l.call(a,"Email",f):r.call(a,"t","Email",f)))+"</th>\n              <th>"+h((l=e.t||a&&a.t,f={hash:{},data:c},l?l.call(a,"Actions",f):r.call(a,
"t","Actions",f)))+'</th>\n            </tbody>\n          </table>\n          <div id="admin_page_deactivated_users_loading_indicator"></div>\n          </div>\n        </div>\n        <div role="tabpanel" class="tab-pane" id="bots">\n          <div id="admin-user-list" class="settings-section">\n          <div class="settings-section-title"><i class="icon-vector-github settings-section-icon"></i>\n          '+h((l=e.t||a&&a.t,f={hash:{},data:c},l?l.call(a,"Bots",f):r.call(a,"t","Bots",f)))+'</div>\n          <table class="table table-condensed table-striped">\n            <tbody id="admin_bots_table" class="admin_bot_table">\n              <th>'+
h((l=e.t||a&&a.t,f={hash:{},data:c},l?l.call(a,"Name",f):r.call(a,"t","Name",f)))+"</th>\n              <th>"+h((l=e.t||a&&a.t,f={hash:{},data:c},l?l.call(a,"Email",f):r.call(a,"t","Email",f)))+"</th>\n              <th>"+h((l=e.t||a&&a.t,f={hash:{},data:c},l?l.call(a,"Owner",f):r.call(a,"t","Owner",f)))+"</th>\n              <th>"+h((l=e.t||a&&a.t,f={hash:{},data:c},l?l.call(a,"Actions",f):r.call(a,"t","Actions",f)))+'</th>\n            </tbody>\n          </table>\n          <div id="admin_page_bots_loading_indicator"></div>\n          </div>\n        </div>\n        <div role="tabpanel" class="tab-pane" id="streams">\n          <div id="admin-streams-list" class="settings-section">\n          <div class="settings-section-title"><i class="icon-vector-exchange settings-section-icon"></i>\n          '+
h((l=e.t||a&&a.t,f={hash:{},data:c},l?l.call(a,"Streams Deletion",f):r.call(a,"t","Streams Deletion",f)))+'</div>\n          <p class="admin-streams-note">Most stream administration is done on the <a href="/#subscriptions">subscriptions page</a>.</p>\n\n          <table class="table table-condensed table-striped">\n            <tbody id="admin_streams_table" class="admin_stream_table">\n              <th>'+h((l=e.t||a&&a.t,f={hash:{},data:c},l?l.call(a,"Name",f):r.call(a,"t","Name",f)))+"</th>\n              <th>"+
h((l=e.t||a&&a.t,f={hash:{},data:c},l?l.call(a,"Actions",f):r.call(a,"t","Actions",f)))+'</th>\n            </tbody>\n          </table>\n          <div id="admin_page_streams_loading_indicator"></div>\n          </div>\n        </div>\n        <div role="tabpanel" class="tab-pane" id="default-streams">\n          <div id="admin-default-streams-list" class="settings-section">\n          <div class="settings-section-title"><i class="icon-vector-exchange settings-section-icon"></i>\n          '+h((l=
e.t||a&&a.t,f={hash:{},data:c},l?l.call(a,"Default Streams",f):r.call(a,"t","Default Streams",f)))+'</div>\n          <div class="admin-table-wrapper">\n            <p>';if((d=(l=e.tr||a&&a.tr,f={hash:{},inverse:this.noop,fn:this.program(15,function(a,c){var b,d;b="Configure the default streams new users are subscribed to when joining the ";(d=e.domain)?d=d.call(a,{hash:{},data:c}):(d=a&&a.domain,d="function"===typeof d?d.call(a,{hash:{},data:c}):d);return b+=h(d)+" organization."},c),data:c},l?l.call(a,
a,f):r.call(a,"tr",a,f)))||0===d)b+=d;b+='</p>\n            <table class="table table-condensed table-striped">\n              <tbody id="admin_default_streams_table" class="admin_default_stream_table">\n                <th>'+h((l=e.t||a&&a.t,f={hash:{},data:c},l?l.call(a,"Name",f):r.call(a,"t","Name",f)))+'</th>\n                <th class="actions">'+h((l=e.t||a&&a.t,f={hash:{},data:c},l?l.call(a,"Actions",f):r.call(a,"t","Actions",f)))+'</th>\n              </tbody>\n            </table>\n          </div>\n          <div id="admin_page_default_streams_loading_indicator"></div>\n            <form class="form-horizontal default-stream-form">\n              <div class="add-new-default-stream-box">\n                <div class="new-default-stream-section-title">'+
h((l=e.t||a&&a.t,f={hash:{},data:c},l?l.call(a,"Add New Default Stream",f):r.call(a,"t","Add New Default Stream",f)))+'</div>\n                <div class="control-group" id="default_stream_inputs">\n                  <label for="default_stream_name" class="control-label">'+h((l=e.t||a&&a.t,f={hash:{},data:c},l?l.call(a,"Stream Name",f):r.call(a,"t","Stream Name",f)))+'</label>\n                  <input class="create_default_stream" type="text" placeholder="'+h((l=e.t||a&&a.t,f={hash:{},data:c},l?
l.call(a,"Stream Name",f):r.call(a,"t","Stream Name",f)))+'" name="stream_name" autocomplete="off"></input>\n                </div>\n              </div>\n            </form>\n          </div>\n        </div>\n      </div>\n\n      <div id="deactivation_user_modal" class="modal hide fade" tabindex="-1" role="dialog" aria-labelledby="deactivation_user_modal_label" aria-hidden="true">\n        <div class="modal-header">\n          <button type="button" class="close" data-dismiss="modal" aria-hidden="true">\u00d7</button>\n          <h3 id="deactivation_user_modal_label">'+
h((l=e.t||a&&a.t,f={hash:{},data:c},l?l.call(a,"Deactivate",f):r.call(a,"t","Deactivate",f)))+' <span class="email"></span></h3>\n        </div>\n        <div class="modal-body">\n          <p>';if((d=(l=e.tr||a&&a.tr,f={hash:{},inverse:this.noop,fn:this.program(17,function(a,c){return'By deactivating <strong><span class="user_name"></span></strong> &lt;<span class="email"></span>&gt;, they will be logged out immediately.'},c),data:c},l?l.call(a,a,f):r.call(a,"tr",a,f)))||0===d)b+=d;return b+="</p>\n          <p>"+
h((l=e.t||a&&a.t,f={hash:{},data:c},l?l.call(a,"Their password will be cleared from our systems, and any bots they maintain will be disabled.",f):r.call(a,"t","Their password will be cleared from our systems, and any bots they maintain will be disabled.",f)))+'</p>\n        </div>\n        <div class="modal-footer">\n          <button class="btn btn-default" data-dismiss="modal" aria-hidden="true">'+h((l=e.t||a&&a.t,f={hash:{},data:c},l?l.call(a,"Cancel",f):r.call(a,"t","Cancel",f)))+'</button>\n          <button class="btn btn-danger" id="do_deactivate_user_button">'+
h((l=e.t||a&&a.t,f={hash:{},data:c},l?l.call(a,"Deactivate now",f):r.call(a,"t","Deactivate now",f)))+'</button>\n        </div>\n      </div>\n      <div id="deactivation_stream_modal" class="modal hide fade" tabindex="-1" role="dialog" aria-labelledby="deactivation_stream_modal_label" aria-hidden="true">\n        <div class="modal-header">\n          <button type="button" class="close" data-dismiss="modal" aria-hidden="true">\u00d7</button>\n          <h3 id="deactivation_stream_modal_label">'+
h((l=e.t||a&&a.t,f={hash:{},data:c},l?l.call(a,"Delete stream",f):r.call(a,"t","Delete stream",f)))+' <span class="stream_name"></span></h3>\n        </div>\n        <div class="modal-body">\n          <p>'+h((l=e.t||a&&a.t,f={hash:{},data:c},l?l.call(a,"Deleting this stream will immediately unsubscribe everyone, and the stream's content will not be recoverable.",f):r.call(a,"t","Deleting this stream will immediately unsubscribe everyone, and the stream's content will not be recoverable.",f)))+" <strong>"+
h((l=e.t||a&&a.t,f={hash:{},data:c},l?l.call(a,"Are you sure you want to do this?",f):r.call(a,"t","Are you sure you want to do this?",f)))+'</strong></p>\n        </div>\n        <div class="modal-footer">\n          <button class="btn btn-default" data-dismiss="modal" aria-hidden="true">'+h((l=e.t||a&&a.t,f={hash:{},data:c},l?l.call(a,"Cancel",f):r.call(a,"t","Cancel",f)))+'</button>\n          <button class="btn btn-danger" id="do_deactivate_stream_button">'+h((l=e.t||a&&a.t,f={hash:{},data:c},
l?l.call(a,"Yes, delete this stream",f):r.call(a,"t","Yes, delete this stream",f)))+"</button>\n        </div>\n      </div>\n    </div>\n  </div>\n</div>\n"});f.subscription_table_body=h(function(b,a,e,d,c){this.compilerInfo=[4,">= 1.0.0"];e=this.merge(e,b.helpers);c=c||{};b="";var g=e.helperMissing,f=this.escapeExpression;if((d=e["if"].call(a,a&&a.can_create_streams,{hash:{},inverse:this.noop,fn:this.program(1,function(a,c){var b,d,h;return b=""+('\n  <div id="create_stream_row">\n      <div class="subscription_table_elem">\n        <form id="add_new_subscription" class="form-inline" action="">\n          <input type="text" name="stream_name" id="create_stream_name"\n                 placeholder="'+
f((d=e.t||a&&a.t,h={hash:{},data:c},d?d.call(a,"Stream name",h):g.call(a,"t","Stream name",h)))+'" value="" />\n          <input type="submit" class="btn btn-primary"\n                 id="create_stream_button" value="'+f((d=e.t||a&&a.t,h={hash:{},data:c},d?d.call(a,"Create new stream",h):g.call(a,"t","Create new stream",h)))+'" />\n        </form>\n      </div>\n  </div>\n')},c),data:c}))||0===d)b+=d;b+="\n\n";if((d=e.each.call(a,a&&a.subscriptions,{hash:{},inverse:this.noop,fn:this.program(3,function(a,
c){var b,d,h;return b=""+("\n"+f((d=e.partial||a&&a.partial,h={hash:{},data:c},d?d.call(a,"subscription",h):g.call(a,"partial","subscription",h)))+"\n")},c),data:c}))||0===d)b+=d;return b+"\n"});f.notification=h(function(b,a,e,d,c){this.compilerInfo=[4,">= 1.0.0"];e=this.merge(e,b.helpers);c=c||{};var g;d=this.escapeExpression;b='\n<div>\n    <div class="notifications-gravatar">\n        <img src="';(g=e.gravatar_url)?g=g.call(a,{hash:{},data:c}):(g=a&&a.gravatar_url,g="function"===typeof g?g.call(a,
{hash:{},data:c}):g);b+=d(g)+'" />\n    </div>\n    <div class="notifications-content">\n        <div class="title">';(g=e.title)?g=g.call(a,{hash:{},data:c}):(g=a&&a.title,g="function"===typeof g?g.call(a,{hash:{},data:c}):g);b+=d(g)+"</div>\n        ";(g=e.content)?g=g.call(a,{hash:{},data:c}):(g=a&&a.content,g="function"===typeof g?g.call(a,{hash:{},data:c}):g);return b+=d(g)+"\n    </div>\n</div>\n"});f.tutorial_reply=h(function(b,a,e,d,c){this.compilerInfo=[4,">= 1.0.0"];e=this.merge(e,b.helpers);
c=c||{};var g,f,k=this.escapeExpression,l=e.helperMissing;b='\n\n<div class="tutorial-popover popover-';(g=e.placement)?d=g.call(a,{hash:{},data:c}):(g=a&&a.placement,d="function"===typeof g?g.call(a,{hash:{},data:c}):g);b+=k(d)+'" id="tutorial-reply">\n\n    ';if((d=(g=e.tr||a&&a.tr,f={hash:{},inverse:this.noop,fn:this.program(1,function(a,c){return"\n    <p><b>Reply</b> to a message by <b>clicking on it</b>. The stream\n        and topic will automatically be filled in.</p>\n    "},c),data:c},g?
g.call(a,a,f):l.call(a,"tr",a,f)))||0===d)b+=d;return b+='\n\n    <div class="tutorial-done-button">\n      <button class="btn btn-primary" type="submit" id="tutorial-reply-next">'+k((g=e.t||a&&a.t,f={hash:{},data:c},g?g.call(a,"Next",f):l.call(a,"t","Next",f)))+"</button>\n    </div>\n</div>\n"});f.admin_streams_list=h(function(b,a,e,d,c){function g(a,c){return'<i class="icon-vector-lock "></i>'}this.compilerInfo=[4,">= 1.0.0"];e=this.merge(e,b.helpers);c=c||{};b="";var f=this,k=this.escapeExpression,
l=e.helperMissing;if((a=e["with"].call(a,a&&a.stream,{hash:{},inverse:f.noop,fn:f.program(1,function(a,c){var b,d,h,s;b='\n<tr class="stream_row">\n  <td>\n      ';if((d=e["if"].call(a,a&&a.invite_only,{hash:{},inverse:f.noop,fn:f.program(2,g,c),data:c}))||0===d)b+=d;b+='\n      <span class="stream_name">';(h=e.name)?d=h.call(a,{hash:{},data:c}):(h=a&&a.name,d="function"===typeof h?h.call(a,{hash:{},data:c}):h);return b+=k(d)+'</span>\n  </td>\n  <td>\n      <button class="btn deactivate btn-danger">\n        '+
k((h=e.t||a&&a.t,s={hash:{},data:c},h?h.call(a,"Delete stream",s):l.call(a,"t","Delete stream",s)))+"\n      </button>\n  </td>\n</tr>\n"},c),data:c}))||0===a)b+=a;return b+"\n"});f.admin_user_list=h(function(b,a,e,d,c){function g(a,c){var b,d;b='\n    <td>\n      <span class="owner">';(d=e.bot_owner)?d=d.call(a,{hash:{},data:c}):(d=a&&a.bot_owner,d=typeof d===r?d.call(a,{hash:{},data:c}):d);return b+=n(d)+"</span>\n    </td>\n  "}function f(a,c){var b,d,g;return b=""+('\n      <button class="btn deactivate btn-danger">\n        '+
n((d=e.t||a&&a.t,g={hash:{},data:c},d?d.call(a,"Deactivate",g):q.call(a,"t","Deactivate",g)))+"\n      </button>\n    ")}function k(a,c){var b,d,g;return b=""+('\n      <button class="btn reactivate btn-warning">\n        '+n((d=e.t||a&&a.t,g={hash:{},data:c},d?d.call(a,"Reactivate",g):q.call(a,"t","Reactivate",g)))+"\n      </button>\n    ")}function l(a,c){var b,d;b="\n        ";if((d=e["if"].call(a,a&&a.is_admin,{hash:{},inverse:s.program(11,u,c),fn:s.program(9,h,c),data:c}))||0===d)b+=d;return b+
"\n      "}function h(a,c){var b,d,g;return b=""+('\n          <button class="btn remove-admin btn-danger">\n            '+n((d=e.t||a&&a.t,g={hash:{},data:c},d?d.call(a,"Remove admin",g):q.call(a,"t","Remove admin",g)))+"\n          </button>\n        ")}function u(a,c){var b,d,g;return b=""+('\n          <button class="btn make-admin btn-warning">\n            '+n((d=e.t||a&&a.t,g={hash:{},data:c},d?d.call(a,"Make admin",g):q.call(a,"t","Make admin",g)))+"\n          </button>\n        ")}this.compilerInfo=
[4,">= 1.0.0"];e=this.merge(e,b.helpers);c=c||{};b="";var r="function",n=this.escapeExpression,q=e.helperMissing,s=this;if((a=e["with"].call(a,a&&a.user,{hash:{},inverse:s.noop,fn:s.program(1,function(a,c){var b,d;b='\n<tr class="user_row" id="user_';(d=e.email)?d=d.call(a,{hash:{},data:c}):(d=a&&a.email,d=typeof d===r?d.call(a,{hash:{},data:c}):d);b+=n(d)+'">\n  <td>\n    <span class="user_name">';(d=e.full_name)?d=d.call(a,{hash:{},data:c}):(d=a&&a.full_name,d=typeof d===r?d.call(a,{hash:{},data:c}):
d);b+=n(d)+'</span>\n  </td>\n  <td>\n    <span class="email">';(d=e.email)?d=d.call(a,{hash:{},data:c}):(d=a&&a.email,d=typeof d===r?d.call(a,{hash:{},data:c}):d);b+=n(d)+"</span>\n  </td>\n  ";if((d=e["if"].call(a,a&&a.is_bot,{hash:{},inverse:s.noop,fn:s.program(2,g,c),data:c}))||0===d)b+=d;b+="\n  <td>\n    ";if((d=e["if"].call(a,a&&a.is_active,{hash:{},inverse:s.program(6,k,c),fn:s.program(4,f,c),data:c}))||0===d)b+=d;b+='\n    <span class="user-admin-settings">\n      ';if((d=e["if"].call(a,
a&&a.is_active_human,{hash:{},inverse:s.noop,fn:s.program(8,l,c),data:c}))||0===d)b+=d;return b+"\n    </span>\n    <div class='admin-user-status'>\n    </div>\n  </td>\n</tr>\n"},c),data:c}))||0===a)b+=a;return b+"\n"});f.compose_all_everyone=h(function(b,a,e,d,c){this.compilerInfo=[4,">= 1.0.0"];e=this.merge(e,b.helpers);c=c||{};var g,f,k=e.helperMissing,l=this.escapeExpression;b='<div class="compose-all-everyone">\n    <span class="compose-all-everyone-msg">\n        ';if((d=(g=e.tr||a&&a.tr,f=
{hash:{},inverse:this.noop,fn:this.program(1,function(a,c){return"Are you sure you want to message all <strong>__count__</strong> people in this stream?"},c),data:c},g?g.call(a,a,f):k.call(a,"tr",a,f)))||0===d)b+=d;return b+='\n    </span>\n    <span class="compose-all-everyone-controls">\n        <button type="button" class="compose-all-everyone-confirm">'+l((g=e.t||a&&a.t,f={hash:{},data:c},g?g.call(a,"YES",f):k.call(a,"t","YES",f)))+"</button>\n    </span>\n</div>\n"})})();var feature_flags=function(){return{log_send_times:!1,collect_send_times:!1,use_socket:!0,local_echo:!0,full_width:!1,new_bot_ui:!1,fade_at_stream_granularity:!1,cleanup_before_reload:!0,fade_users_when_composing:!0,mark_read_at_bottom:!0,propagate_topic_edits:!0,clicking_notification_causes_narrow:!0,negated_search:!0,collapsible:!1,dropbox_integration:!1}}();var loading=function(){return{make_indicator:function(h,f){f=f||{};var b=h;b.empty();if(void 0!==f.abs_positioned&&f.abs_positioned){var a=b.attr("id"),e=$('<div id="'+a+'_box_container"></div>');b.append(e);b=e;e=$('<div id="'+a+'_box"></div>');b.append(e);b=e}a=$('<div class="loading_indicator_spinner"></div>');b.append(a);e=0;void 0!==f.text&&""!==f.text&&(e=$('<span class="loading_indicator_text"></span>'),e.text(f.text),b.append(e),e=20+e.width());b.css({width:38+e,height:38});h.css({display:"block",
"white-space":"nowrap"});b=(new Spinner({lines:8,length:0,width:9,radius:9,speed:1.25,shadow:!1,zIndex:1E3})).spin(a[0]);h.data("spinner_obj",b);h.data("destroying",!1);$(b.el).css({left:"50%",top:"50%"})},destroy_indicator:function(h){if(!h.data("destroying")){h.data("destroying",!0);var f=h.data("spinner_obj");void 0!==f&&f.stop();h.removeData("spinner_obj");h.empty();h.css({width:0,height:0,display:"none"})}}}}();"undefined"!==typeof module&&(module.exports=loading);var util=function(){var h={random_int:function(b,a){return Math.floor(Math.random()*(a-b+1))+b},lower_bound:function(b,a,e,d,c){var g,f;void 0===d?(g=0,f=b.length):(g=a,f=e,a=d,e=c);void 0===e&&(e=function(a,c){return a<c});for(f-=g;0<f;)d=Math.floor(f/2),c=g+d,e(b[c],a,c)?(g=c,g++,f=f-d-1):f=d;return g},same_stream_and_subject:function(b,a){return b.stream.toLowerCase()===a.stream.toLowerCase()&&b.subject.toLowerCase()===a.subject.toLowerCase()},is_current_user:function(b){return b.toLowerCase()===
page_params.email.toLowerCase()},is_pm_recipient:function(b,a){return-1!==a.reply_to.toLowerCase().split(",").indexOf(b.toLowerCase())},extract_pm_recipients:function(b){return b.split(/\s*[,;]\s*/)},same_major_recipient:function(b,a){if(void 0===b||void 0===a||b.type!==a.type)return!1;switch(b.type){case "private":return b.reply_to.toLowerCase()===a.reply_to.toLowerCase();case "stream":return b.stream.toLowerCase()===a.stream.toLowerCase()}return!1},same_recipient:function(b,a){if(void 0===b||void 0===
a||b.type!==a.type)return!1;switch(b.type){case "private":return b.reply_to.toLowerCase()===a.reply_to.toLowerCase();case "stream":return h.same_stream_and_subject(b,a)}return!1},same_sender:function(b,a){return void 0!==b&&void 0!==a&&b.sender_email.toLowerCase()===a.sender_email.toLowerCase()},normalize_recipients:function(b){b=_.map(b.split(","),$.trim);b=_.filter(b,function(a){return 0<a.length});b.sort();return b.join(",")},robust_uri_decode:function(b){for(var a=b.length;0<a;)try{return decodeURIComponent(b.substring(0,
a))}catch(e){if(!(e instanceof URIError))throw e;a--}return""}};h.strcmp=function(){try{return(new Intl.Collator).compare}catch(b){}return function(a,b){return a<b?-1:a>b?1:0}}();h.escape_regexp=function(b){return b.replace(/([.*+?\^=!:${}()|\[\]\/\\])/g,"\\$1")};h.array_compare=function(b,a){if(b.length!==a.length)return!1;var e;for(e=0;e<b.length;++e)if(b[e]!==a[e])return!1;return!0};h.string_in_list_case_insensitive=function(b,a){return Dict.from_array(a||[],{fold_case:!0}).has(b)};var f={};h.CachedValue=
function(b){this._value=f;_.extend(this,b)};h.CachedValue.prototype={get:function(){this._value===f&&(this._value=this.compute_value());return this._value},reset:function(){this._value=f}};h.enforce_arity=function(b){return function(){if(b.length!==arguments.length)throw Error("Function '"+b.name+"' called with "+arguments.length+" arguments, but expected "+b.length);return b.apply(this,arguments)}};h.execute_early=function(b){if(page_params.test_suite)$(document).one("phantom_page_loaded",b);else $(b)};
h.is_all_or_everyone_mentioned=function(b){return/(^|\s)(@\*{2}(all|everyone)\*{2})|(@(all|everyone))($|\s)/.test(b)};return h}();"undefined"!==typeof module&&(module.exports=util);function Dict(h){this._items={};this._opts=_.extend({},{fold_case:!1},h)}Dict.from=function(h,f){if("object"!==typeof h||null===h)throw new TypeError("Cannot convert argument to Dict");var b=new Dict(f);_.each(h,function(a,e){b.set(e,a)});return b};Dict.from_array=function(h,f){if(!(h instanceof Array))throw new TypeError("Argument is not an array");var b=new Dict(f);_.each(h,function(a){b.set(a,!0)});return b};
(function(){Dict.prototype={_munge:function(h){if(void 0===h)blueslip.error("Tried to call a Dict method with an undefined key.");else return this._opts.fold_case&&(h=h.toLowerCase()),":"+h},clone:function(){var h=new Dict(this._opts);h._items=_.clone(this._items);return h},get:function(h){h=this._items[this._munge(h)];return void 0===h?void 0:h.v},set:function(h,f){this._items[this._munge(h)]={k:h,v:f};return f},setdefault:function(h,f){var b=this._items[this._munge(h)];return void 0===b?this.set(h,
f):b.v},has:function(h){return _.has(this._items,this._munge(h))},del:function(h){return delete this._items[this._munge(h)]},keys:function(){return _.pluck(_.values(this._items),"k")},values:function(){return _.pluck(_.values(this._items),"v")},items:function(){return _.map(_.values(this._items),function(h){return[h.k,h.v]})},num_items:function(){return _.keys(this._items).length},each:function(h){return _.each(this._items,function(f){h(f.v,f.k)})}}})();
"undefined"!==typeof module&&(module.exports=Dict);var localstorage=function(){var h={},f=!1;h.supported=function(){try{return window.hasOwnProperty("localStorage")&&null!==window.localStorage}catch(b){return f||(blueslip.error("Client browser does not support local storage, will lose socket message on reload"),f=!0),!1}};return h}();var channel=function(){function h(a){feature_flags.cleanup_before_reload&&(e.push(a),50<e.length&&blueslip.warn("The length of pending_requests is over 50. Most likely they are not being correctly removed."))}function f(a){feature_flags.cleanup_before_reload&&(a=_.indexOf(e,a),-1!==a&&e.splice(a,1))}function b(a,c){var b=a.error;void 0===b&&(b=function(){});a.error=function(c,e,k){f(c);if(403===c.status)try{-1!==$.parseJSON(c.responseText).msg.indexOf("CSRF Error:")&&reload.initiate({immediate:!0,
save_pointer:!0,save_narrow:!0,save_compose:!0})}catch(m){blueslip.error("Unexpected 403 response from server",{xhr:c.responseText,args:a},m.stack)}return b(c,e,k)};var e=a.success;void 0===e&&(e=function(){});a.success=function(b,g,k){f(k);if(!b&&c)blueslip.log("Retrying idempotent"+a),setTimeout(function(){var c=$.ajax(a);h(c)},0);else return e(b,g,k)};var k=$.ajax(a);h(k);return k}var a={},e=[];a.abort_all=function(){_.each(e,function(a){a.abort()})};a.get=function(a){var c=_.extend({type:"GET",
dataType:"json"},a);return b(c,a.idempotent)};a.post=function(a){var c=_.extend({type:"POST",dataType:"json"},a);return b(c,a.idempotent)};a.put=function(a){var c=_.extend({type:"PUT",dataType:"json"},a);return b(c,a.idempotent)};a.del=function(a){var c=_.extend({type:"DELETE",dataType:"json"},a);return b(c,a.idempotent)};a.patch=function(b){!1===b.processData?b.data.append("method","PATCH"):b.data=_.extend({},b.data,{method:"PATCH"});return a.post(b,b.idempotent)};a.xhr_error_message=function(a,
c){"4"===c.status.toString().charAt(0)&&(a+=": "+$.parseJSON(c.responseText).msg);return a};return a}();var csrf_token;
$(function(){page_params.have_initial_messages&&!page_params.needs_tutorial?loading.make_indicator($("#page_loading_indicator"),{text:"Loading..."}):page_params.needs_tutorial||$("#first_run_message").show();csrf_token=$('input[name="csrfmiddlewaretoken"]').attr("value");$.ajaxSetup({beforeSend:function(h,f){!/^http:.*/.test(f.url)&&!/^https:.*/.test(f.url)&&h.setRequestHeader("X-CSRFToken",csrf_token)}});$("body").ajaxError(function(h,f){401===f.status&&window.location.replace(page_params.login_page)});"undefined"!==
typeof $&&($.fn.expectOne=function(){blueslip&&1!==this.length&&blueslip.error("Expected one element in jQuery set, "+this.length+" found");return this})});var muting=function(){var h={},f=new Dict({fold_case:!0});h.mute_topic=function(b,a){var e=f.get(b);e||(e=new Dict({fold_case:!0}),f.set(b,e));e.set(a,!0);unread.update_unread_counts()};h.unmute_topic=function(b,a){var e=f.get(b);e&&e.del(a);unread.update_unread_counts()};h.is_topic_muted=function(b,a){if(void 0===b)return!1;var e=f.get(b);return e&&e.get(a)};h.get_muted_topics=function(){var b=[];f.each(function(a,e){_.each(a.keys(),function(a){b.push([e,a])})});return b};h.set_muted_topics=function(b){f=
new Dict({fold_case:!0});_.each(b,function(a){h.mute_topic(a[0],a[1])})};return h}();"undefined"!==typeof module&&(module.exports=muting);var muting_ui=function(){var h={},f=0;h.rerender=function(){stream_list.update_streams_sidebar();current_msg_list.rerender_after_muting_changes();current_msg_list!==home_msg_list&&home_msg_list.rerender_after_muting_changes()};h.persist_and_rerender=function(){h.rerender();var b={muted_topics:JSON.stringify(muting.get_muted_topics())};f=(new Date).getTime();channel.post({url:"/json/set_muted_topics",idempotent:!0,data:b})};h.handle_updates=function(b){(new Date).getTime()<f+1E3||(muting.set_muted_topics(b),
h.rerender())};$(function(){muting.set_muted_topics(page_params.muted_topics)});return h}();var viewport=function(){function h(a,c,b,d,e,g){_.every(a,function(a){var k=a.getBoundingClientRect();k=e?k.top>b&&(k.bottom<d||k.height>d-b&&k.top<d):k.bottom>b&&k.top<d;return k?(c.push(g(a)),!0):!1})}function f(a,c,b,d,e){var f=m.get()-g.get(),q=Math.floor(f/c);c=[];f=a.prevAll("div."+d+":lt("+q+")");d=a.nextAll("div."+d+":lt("+q+")");h(a,c,g.get(),m.get(),e,b);h(f,c,g.get(),m.get(),e,b);h(d,c,g.get(),m.get(),e,b);return c}function b(c,b){d[c]=new util.CachedValue({compute_value:function(){return b.call(a.message_pane)}});
return function(){return 0!==arguments.length?(d[c].reset(),b.apply(a.message_pane,arguments)):d[c].get()}}var a={},e,d={},c=!1;a.last_movement_direction=1;a.at_top=function(){return 0>=a.scrollTop()};a.message_viewport_info=function(){var a={},c=$(".floating_recipient");a.visible_top=c.offset().top+c.outerHeight();c=$("#compose");a.visible_height=c.position().top-a.visible_top;return a};a.at_bottom=function(){var c=a.scrollTop()+a.height(),b=a.message_pane.prop("scrollHeight");return c+2>=b};a.bottom_message_visible=
function(){var a=rows.last_visible();return a.length?(a=a[0].getBoundingClientRect().bottom,$("#compose")[0].getBoundingClientRect().top>a):!1};a.is_below_visible_bottom=function(c){return c>a.scrollTop()+a.height()-$("#compose").height()};a.set_message_position=function(c,b,d,e){e*=d.visible_height;e+b>d.visible_height&&(e=d.visible_height-b,0>e&&(e=0));b=d.visible_top-a.scrollTop();pointer.suppress_scroll_pointer_update=!0;a.scrollTop(c-(e+b))};var g=new util.CachedValue({compute_value:function(){return $(".floating_recipient").offset().top+
$(".floating_recipient").outerHeight()}}),m=new util.CachedValue({compute_value:function(){return $("#compose")[0].getBoundingClientRect().top}});a.visible_groups=function(a){var c=current_msg_list.selected_row();if(void 0===c||0===c.length)return[];c=rows.get_message_recipient_row(c);return f(c,75,function(a){return a},"recipient_row",a)};a.visible_messages=function(a){var c=current_msg_list.selected_row();return f(c,25,function(a){return current_msg_list.get(rows.id($(a)))},"message_row",a)};a.scrollTop=
function(c){var b=a.message_pane.scrollTop();if(void 0===c)return b;var d=a.message_pane.scrollTop(c),e=a.message_pane.scrollTop(),g=$("#bottom_whitespace").offset().top-viewport.height();0<g&&(0<c&&0===b&&0===e)&&(blueslip.info("ScrollTop did nothing when scrolling to "+c+", fixing..."),a.message_pane.scrollTop(1),d=a.message_pane.scrollTop(c),0===a.message_pane.scrollTop()&&blueslip.info("ScrollTop fix did not work when scrolling to "+c+"!  space_to_scroll was "+g));return d};a.set_message_offset=
function(c){var b=current_msg_list.selected_row();a.scrollTop(a.scrollTop()+b.offset().top-c)};a.height=b("height",$(a.message_pane).height);a.width=b("width",$(a.message_pane).width);a.stop_auto_scrolling=function(){c&&a.message_pane.stop()};a.is_narrow=function(){return 975>=window.innerWidth};a.system_initiated_animate_scroll=function(b){pointer.suppress_scroll_pointer_update=!0;var d=a.scrollTop();c=!0;a.message_pane.animate({scrollTop:d+b,always:function(){c=!1}})};a.user_initiated_animate_scroll=
function(b){pointer.suppress_scroll_pointer_update=!0;c=!1;var d=a.scrollTop();a.message_pane.animate({scrollTop:d+b})};a.recenter_view=function(c,b){b=b||{};var d=a.message_viewport_info(),e=d.visible_top,g=d.visible_top+d.visible_height,f=c.offset().top,m=c.outerHeight(!0),e=f<e,g=f+m>g;if(!b.from_scroll||!(e&&0<=a.last_movement_direction||g&&0>=a.last_movement_direction))e||b.force_center?a.set_message_position(f,m,d,0.5):g&&a.set_message_position(f,m,d,1/7)};$(function(){e=$(window);a.message_pane=
$(".app");e.resize(function(){d.height.reset();d.width.reset();g.reset();m.reset()});$(document).on("compose_started compose_canceled compose_finished",function(){m.reset()})});return a}();var rows=function(){var h={next_visible:function(b){if(void 0===b||0===b.length)return $();var a=b.next(".selectable_row");if(0!==a.length)return a;b=h.get_message_recipient_row(b);b=$(b).nextAll(".recipient_row");return 0===b.length?$():$(".selectable_row:first",b[0])},prev_visible:function(b){if(void 0===b||0===b.length)return $();var a=b.prev(".selectable_row");if(0!==a.length)return a;b=h.get_message_recipient_row(b);b=$(b).prevAll(".recipient_row");return 0===b.length?$():$(".selectable_row:last",
b[0])},first_visible:function(){return $(".focused_table .selectable_row:first")},last_visible:function(){return $(".focused_table .selectable_row:last")},id:function(b){return parseFloat(b.attr("zid"),10)}},f={zhome:!0,zfilt:!0};h.get_table=function(b){return!f.hasOwnProperty(b)?$():$("#"+b)};h.get_closest_group=function(b){return $(b).closest("div.recipient_row")};h.first_message_in_group=function(b){return $("div.message_row:first",b)};h.get_message_recipient_row=function(b){return $(b).parent(".recipient_row").expectOne()};
h.get_message_recipient_header=function(b){return $(b).parent(".recipient_row").find(".message_header").expectOne()};h.recipient_from_group=function(b){return message_store.get(h.id($(b).children(".message_row").first().expectOne()))};h.id_for_recipient_row=function(b){var a=h.first_message_in_group(b);return 0===a.length?h.id(b):h.id(a)};return h}();var unread=function(){var h={},f=new Dict,b=new Dict({fold_case:!0}),a=new Dict;h.suppress_unread_counts=!0;h.messages_read_in_narrow=!1;h.message_unread=function(a){return void 0===a?!1:void 0===a.flags||-1===a.flags.indexOf("read")};h.update_unread_subjects=function(a,d){var c=stream_data.canonicalized_name(a.stream),g=stream_data.canonicalized_name(a.subject);if(void 0!==d.subject&&b.has(c)&&b.get(c).has(g)&&b.get(c).get(g).get(a.id)){var f=stream_data.canonicalized_name(d.subject);b.get(c).get(g).del(a.id);
0===b.get(c).get(g).num_items()&&b.get(c).del(g);b.get(c).setdefault(f,new Dict);b.get(c).get(f).set(a.id,!0)}};h.process_loaded_messages=function(e){_.each(e,function(d){if(h.message_unread(d)){"private"===d.type&&(a.setdefault(d.reply_to,new Dict),a.get(d.reply_to).set(d.id,!0));if("stream"===d.type){var c=stream_data.canonicalized_name(d.stream),e=stream_data.canonicalized_name(d.subject);b.setdefault(c,new Dict);b.get(c).setdefault(e,new Dict);b.get(c).get(e).set(d.id,!0)}d.mentioned&&f.set(d.id,
!0)}})};h.process_read_message=function(e){if("private"===e.type){var d=a.get(e.reply_to);d&&d.del(e.id)}if("stream"===e.type){var c=stream_data.canonicalized_name(e.stream),d=stream_data.canonicalized_name(e.subject);if(c=b.get(c))(d=c.get(d))&&d.del(e.id)}f.del(e.id)};h.declare_bankruptcy=function(){a=new Dict;b=new Dict({fold_case:!0})};h.num_unread_current_messages=function(){var a=0;_.each(current_msg_list.all_messages(),function(b){b.id>current_msg_list.selected_id()&&h.message_unread(b)&&(a+=
1)});return a};h.get_counts=function(){var e={private_message_count:0,home_unread_messages:0};e.mentioned_message_count=f.num_items();e.stream_count=new Dict;e.subject_count=new Dict;e.pm_count=new Dict;b.each(function(a,d){if(!stream_data.is_subscribed(d))return!0;if(b.has(d)){e.subject_count.set(d,new Dict);var f=0;b.get(d).each(function(a,c){var b=a.num_items();e.subject_count.get(d).set(c,b);muting.is_topic_muted(d,c)||(f+=b)});e.stream_count.set(d,f);stream_data.in_home_view(d)&&(e.home_unread_messages+=
f)}});var d=0;a.each(function(a,b){var f=a.num_items();e.pm_count.set(b,f);d+=f});e.private_message_count=d;e.home_unread_messages+=d;narrow.active()?e.unread_in_current_view=h.num_unread_current_messages():e.unread_in_current_view=e.home_unread_messages;return e};h.num_unread_for_subject=function(a,d){var c=0;b.has(a)&&b.get(a).has(d)&&(c=b.get(a).get(d).num_items());return c};h.num_unread_for_person=function(b){return!a.has(b)?0:a.get(b).num_items()};h.update_unread_counts=function(){if(!h.suppress_unread_counts){var a=
unread.get_counts();stream_list.update_dom_with_unread_counts(a);notifications.update_title_count(a.home_unread_messages);notifications.update_pm_count(a.private_message_count)}};h.enable=function(){h.suppress_unread_counts=!1;h.update_unread_counts()};h.mark_all_as_read=function(a){_.each(message_list.all.all_messages(),function(a){a.flags=a.flags||[];a.flags.push("read")});unread.declare_bankruptcy();h.update_unread_counts();channel.post({url:"/json/messages/flags",idempotent:!0,data:{messages:JSON.stringify([]),
all:!0,op:"add",flag:"read"},success:a})};h.mark_messages_as_read=function(a,b){b=b||{};var c=!1;_.each(a,function(a){unread.message_unread(a)&&(current_msg_list===message_list.narrowed&&(unread.messages_read_in_narrow=!0),"server"!==b.from&&message_flags.send_read(a),a.flags=a.flags||[],a.flags.push("read"),a.unread=!1,unread.process_read_message(a,b),home_msg_list.show_message_as_read(a,b),message_list.all.show_message_as_read(a,b),message_list.narrowed&&message_list.narrowed.show_message_as_read(a,
b),notifications.close_notification(a),c=!0)});c&&h.update_unread_counts()};h.mark_message_as_read=function(a,b){h.mark_messages_as_read([a],b)};h.process_visible=function(a){notifications.window_has_focus()&&(feature_flags.mark_read_at_bottom?viewport.bottom_message_visible()&&h.mark_current_list_as_read():h.mark_messages_as_read(viewport.visible_messages(!0)))};h.mark_current_list_as_read=function(a){h.mark_messages_as_read(current_msg_list.all_messages(),a)};h.mark_stream_as_read=function(a,b){channel.post({url:"/json/messages/flags",
idempotent:!0,data:{messages:JSON.stringify([]),all:!1,op:"add",flag:"read",stream_name:a},success:b})};h.mark_topic_as_read=function(a,b,c){channel.post({url:"/json/messages/flags",idempotent:!0,data:{messages:JSON.stringify([]),all:!1,op:"add",flag:"read",topic_name:b,stream_name:a},success:c})};return h}();"undefined"!==typeof module&&(module.exports=unread);var stream_list=function(){function h(){if(narrow.active()){var a=narrow.filter().operands("stream");if(a)return a[0]}return!1}function f(a){var b=$(".stream-list-filter").expectOne().val().trim();if(""===b)return a;var c=b.toLowerCase().split(","),c=_.map(c,function(a){return a.trim()});return _.filter(a,function(a){return _.any(c,function(b){var c=a.toLowerCase().split(" ");return _.any(c,function(a){return 0===a.indexOf(b)})})})}function b(a,b,c){var d=b.toLowerCase();return(a=_.find($(a,c),function(a){return $(a).attr("data-name").toLowerCase()===
d}))?$(a):$()}function a(a,c){if("stream"===a){var d=stream_data.get_sub(c);return $("#stream_sidebar_"+d.stream_id)}return"private"===a?0>c.indexOf(",")?$("li.user_sidebar_entry[data-email='"+c+"']"):$("li.group-pms-sidebar-entry[data-emails='"+c+"']"):b("#"+a+"_filters > li",c)}function e(){popovers.hide_all();G=!0;$("#streams_list").expectOne().removeClass("zoom-out").addClass("zoom-in");J=h();$(".stream-filters-label").each(function(){$(this).hide()});$(".pinned-stream-split").each(function(){$(this).hide()});
$("#stream_filters li.narrow-filter").each(function(){var a=$(this);a.attr("data-name")===J?a.show():a.hide()})}function d(){popovers.hide_all();G=!1;$(".stream-filters-label").each(function(){$(this).show()});$(".pinned-stream-split").each(function(){$(this).show()});$("#streams_list").expectOne().removeClass("zoom-in").addClass("zoom-out");$("#stream_filters li.narrow-filter").show()}function c(){popovers.hide_topic_sidebar_popover();$("ul.expanded_subjects").remove()}function g(){popovers.hide_topic_sidebar_popover();
$("ul.expanded_private_messages").remove();resize.resize_stream_filters_container()}function m(a){G&&!0!==a&&d();N=!1;$("ul.filters li").removeClass("active-filter active-sub-filter");c();g()}function k(c,d){var e=a("stream",c);return b(".expanded_subjects li.expanded_subject",d,e)}function l(c){var d=a("global","private");return b(".expanded_private_messages li.expanded_private_message",c,d)}function p(a){var c=stream_data.get_sub(a);a={name:a,id:c.stream_id,uri:narrow.by_stream_uri(a),not_in_home_view:!1===
stream_data.in_home_view(a),invite_only:c.invite_only,color:stream_data.get_color(a),pin_to_top:c.pin_to_top};a.dark_background=stream_color.get_color_class(a.color);a=$(templates.render("stream_sidebar_row",a));$("#stream_filters").append(a);return a}function u(a,c,b){0===b?(a.hide(),a.parent().hasClass("subscription_block")?a.parent(".subscription_block").removeClass("stream-with-count"):a.parent().hasClass("user_sidebar_entry")?a.parent(".user_sidebar_entry").removeClass("user-with-count"):a.parent().hasClass("group-pms-sidebar-entry")&&
a.parent(".group-pms-sidebar-entry").removeClass("group-with-count"),c.text("")):(a.show(),a.parent().hasClass("subscription_block")?a.parent(".subscription_block").addClass("stream-with-count"):a.parent().hasClass("user_sidebar_entry")?a.parent(".user_sidebar_entry").addClass("user-with-count"):a.parent().hasClass("group-pms-sidebar-entry")&&a.parent(".group-pms-sidebar-entry").addClass("group-with-count"),c.text(b))}function r(c,b,d){c=a(c,b).find(".count");b=c.find(".value");u(c,b,d)}function n(a,
c){if(0===c)return a.is(":animated")?a.stop(!0,!0).hide():a.hide(500);if(0<c&&1E3>c)return a.show(500),a.text(c);a.show(500);return a.text("1k+")}function q(b,d){c();var e=a("stream",b),g=y._build_subject_list(b,d,5);e.append(g);d&&k(b,d).addClass("active-sub-filter")}function s(c){g();if(N){var b=a("global","private"),d=y._build_private_messages_list(c,5);b.append(d)}c&&l(c).addClass("active-sub-filter");resize.resize_stream_filters_container()}function t(c){var b=a("global",c);b.addClass("new_messages");
setTimeout(function(){b.removeClass("new_messages");b.addClass("new_messages_fadeout")},3E3);setTimeout(function(){b.removeClass("new_messages_fadeout")},6E3)}function w(a){a>x&&t("private");x=a}function D(a){a>E&&t("mentioned");E=a}function A(a){a.stopPropagation()}function B(a){if(13===a.keyCode){var c=$("#stream_filters li.narrow-filter").first().data("name");void 0!==c&&(ui.home_tab_obscured()&&ui.change_tab_to("#home"),y.clear_and_hide_search(),narrow.by("stream",c,{select_first_unread:!0,trigger:"sidebar enter key"}),
a.preventDefault(),a.stopPropagation())}}function C(a){"streams_inline_cog"!==a.target.id&&(0===$(".stream-list-filter.notdisplayed").length?y.clear_and_hide_search():y.initiate_search(),a.preventDefault())}var y={},G=!1,J="",N=!1,x=0,E=0,M,v;y.build_stream_list=function(){function a(c){var d=$(stream_data.get_sub(c).sidebar_li);b&&(stream_data.recent_subjects.has(c)?d.removeClass("inactive_stream"):d.addClass("inactive_stream"));k.push(d.get(0))}var c=stream_data.subscribed_streams();if(0!==c.length){var c=
f(c),b=40<c.length,d=[],e=[],g=$("#stream_filters"),k=[];_.each(c,function(a){stream_data.get_sub(a).pin_to_top?d.push(a):e.push(a)});e.sort(function(a,c){if(b){if(stream_data.recent_subjects.has(c)&&!stream_data.recent_subjects.has(a))return 1;if(!stream_data.recent_subjects.has(c)&&stream_data.recent_subjects.has(a))return-1}return util.strcmp(a,c)});c=d.concat(e);void 0!==M&&util.array_compare(M,c)&&util.array_compare(v,e)||(M=c,v=e,g.empty(),_.each(d,function(a){var c=$(stream_data.get_sub(a).sidebar_li);
b&&(stream_data.recent_subjects.has(a)?c.removeClass("inactive_stream"):c.addClass("inactive_stream"));k.push(c.get(0))}),0<d.length&&(_.each(d,a),k.push($('<hr class="pinned-stream-split">').get(0))),0<e.length&&_.each(e,a),$(k).appendTo(g))}};y.set_in_home_view=function(c,b){var d=a("stream",c);b?d.removeClass("out_of_home_view"):d.addClass("out_of_home_view")};y.add_stream_to_sidebar=function(a){return y.get_stream_li(a).length?!1:p(a)};y.redraw_stream_privacy=function(a){var c=y.get_stream_li(a),
b=c.find(".stream-privacy"),c=c.find(".streamlist_swatch"),d=stream_data.get_sub(a);a=stream_data.get_color(a);a=stream_color.get_color_class(a);a={invite_only:d.invite_only,dark_background:a};d.invite_only?c.addClass("private-stream-swatch"):c.removeClass("private-stream-swatch");c=templates.render("stream_privacy",a);b.html(c)};y.get_stream_li=function(c){return a("stream",c)};y.get_count=function(c,b){return a(c,b).find(".count .value").text()};y.set_subject_count=function(a,c,b){a=k(a,c).find(".subject_count");
c=a.find(".value");0===a.length||0===c.length||(a.removeClass("zero_count"),u(a,c,b))};y.set_pm_conversation_count=function(a,c){var b=l(a).find(".private_message_count"),d=b.find(".value");0===b.length||0===d.length||(b.removeClass("zero_count"),u(b,d,c))};y.remove_narrow_filter=function(c,b){a(b,c).remove()};y._build_subject_list=function(a,c,b){var d=stream_data.recent_subjects.get(a)||[];c&&(c=c.toLowerCase());var e=[],g=!1;_.each(d,function(d,k){var f=d.subject,l=unread.num_unread_for_subject(a,
d.canon_subject),m=k<b||0<l||c===f;m||(g=!0);f={topic_name:f,unread:l,is_zero:0===l,is_muted:muting.is_topic_muted(a,f),zoom_out_hide:!m,url:narrow.by_stream_subject_uri(a,f)};e.push(f)});return templates.render("sidebar_subject_list",{subjects:e,want_show_more_topics_links:g,stream:a})};y._build_private_messages_list=function(a,c){var b=[],d=!1;_.each(message_store.recent_private_messages||[],function(e,g){var k=e.display_reply_to,f=e.reply_to,l=unread.num_unread_for_person(e.reply_to),m=g<c||0<
l||f===a;m||(d=!0);k={recipients:k,reply_to:f,unread:l,is_zero:0===l,zoom_out_hide:!m,url:narrow.pm_with_uri(e.reply_to)};b.push(k)});return templates.render("sidebar_private_message_list",{messages:b,want_show_more_messages_links:d})};y.update_streams_sidebar=function(){y.build_stream_list();if(narrow.active()){var a=narrow.filter().operands("stream"),c=narrow.filter().operands("topic"),b;0!==a.length&&(0!==c.length&&(b=c[0]),stream_data.is_subscribed(a[0])&&q(a[0],b))}};y.update_private_messages=
function(){y._build_private_messages_list();if(narrow.active()){var a=_.contains(narrow.filter().operands("is"),"private"),c=narrow.filter().operands("pm-with");1===c.length?s(c[0]):0!==c.length?s(""):a&&s("")}};y.set_presence_list_count=function(a,c){r("private",a,c)};y.update_dom_with_unread_counts=function(a){a.stream_count.each(function(a,c){r("stream",c,a)});a.subject_count.each(function(a,c){a.each(function(a,b){y.set_subject_count(c,b,a)})});a.pm_count.each(function(a,c){y.set_presence_list_count(c,
a);y.set_pm_conversation_count(c,a)});r("global","private",a.private_message_count);r("global","mentioned",a.mentioned_message_count);r("global","home",a.home_unread_messages);n($("#streamlist-toggle-unreadcount"),a.home_unread_messages);n($("#userlist-toggle-unreadcount"),a.private_message_count);w(a.private_message_count);D(a.mentioned_message_count)};y.rename_stream=function(a){a.sidebar_li=p(a.name);y.build_stream_list()};y.refresh_stream_in_sidebar=function(a){a.sidebar_li=p(a.name);y.build_stream_list();
y.update_streams_sidebar()};$(function(){$(document).on("narrow_activated.zulip",function(c){m(h()===J);var b=c.filter.operands("in");0!==b.length&&-1!==["all","home"].indexOf(b[0])&&$("#global_filters li[data-name='"+b[0]+"']").addClass("active-filter");b=c.filter.operands("is");0!==b.length&&-1!==["starred","mentioned"].indexOf(b[0])&&$("#global_filters li[data-name='"+b[0]+"']").addClass("active-filter");var d=c.filter.operands("pm-with");if(0!==b.length&&_.contains(b,"private")||0!==d.length)N=
!0,1===d.length?($("#user_presences li[data-email='"+d[0]+"']").addClass("active-filter"),s(d[0])):(0===d.length&&$("#global_filters li[data-name='private']").addClass("active-filter zoom-out"),s(""));b=c.filter.operands("stream");if(0!==b.length&&stream_data.is_subscribed(b[0])){d=a("stream",b[0]);c=c.filter.operands("topic");var e;0!==c.length?e=c[0]:d.addClass("active-filter");q(b[0],e);unread.process_visible()}});$(document).on("narrow_deactivated.zulip",function(a){m();$("#global_filters li[data-name='home']").addClass("active-filter")});
$(document).on("sub_obj_created.zulip",function(a){if(a.sub.subscribed){var c=y.add_stream_to_sidebar(a.sub.name);c&&(a.sub.sidebar_li=c)}});$(document).on("subscription_add_done.zulip",function(a){var c=y.add_stream_to_sidebar(a.sub.name);c&&(a.sub.sidebar_li=c);y.build_stream_list()});$(document).on("subscription_remove_done.zulip",function(a){y.remove_narrow_filter(a.sub.name,"stream");v=M=void 0});$(".show-all-streams").on("click",function(a){d();a.preventDefault();a.stopPropagation()});$("#stream_filters").on("click",
".show-more-topics",function(a){$(a.target).parents(".show-more-topics").attr("data-name");e();a.preventDefault();a.stopPropagation()});$("#global_filters").on("click",".show-more-private-messages",function(a){popovers.hide_all();$(".expanded_private_messages").expectOne().removeClass("zoom-out").addClass("zoom-in");$(".expanded_private_messages li.expanded_private_message").each(function(){$(this).show()});a.preventDefault();a.stopPropagation()});$("#stream_filters").on("click","li .subscription_block",
function(a){if(!a.metaKey&&!a.ctrlKey){ui.home_tab_obscured()&&ui.change_tab_to("#home");var c=$(a.target).parents("li").attr("data-name");narrow.by("stream",c,{select_first_unread:!0,trigger:"sidebar"});a.preventDefault();a.stopPropagation()}});$("#stream_filters").on("click",".subject_box",function(a){if(!a.metaKey&&!a.ctrlKey){ui.home_tab_obscured()&&ui.change_tab_to("#home");var c=$(a.target).parents("ul").attr("data-stream"),b=$(a.target).parents("li").attr("data-name");narrow.activate([{operator:"stream",
operand:c},{operator:"topic",operand:b}],{select_first_unread:!0,trigger:"sidebar"});a.preventDefault()}})});var F=_.throttle(function(){y.update_streams_sidebar();resize.resize_page_components()},50);y.searching=function(){return $(".stream-list-filter").expectOne().is(":focus")};y.escape_search=function(){var a=$(".stream-list-filter").expectOne();""===a.val()?y.clear_and_hide_search():(a.val(""),F())};y.initiate_search=function(){var a=$(".stream-list-filter").expectOne();a.removeClass("notdisplayed");
a.focus()};y.clear_and_hide_search=function(){var a=$(".stream-list-filter");""!==a.val()&&(a.val(""),F());a.blur();a.addClass("notdisplayed")};$(function(){$(".stream-list-filter").expectOne().on("click",A).on("input",F).on("keydown",B)});$(function(){$("#streams_header").expectOne().on("click",C)});return y}();"undefined"!==typeof module&&(module.exports=stream_list);var Filter=function(){function h(a,b,d){switch(b){case "is":if("private"===d)return"private"===a.type;if("starred"===d)return a.starred;if("mentioned"===d)return a.mentioned;if("alerted"===d)return a.alerted;break;case "in":if("home"===d)return a="private"===a.type||a.mentioned||void 0!==page_params.narrow_stream&&a.stream.toLowerCase()===page_params.narrow_stream.toLowerCase()?!0:stream_data.in_home_view(a.stream),a;break;case "id":return a.id.toString()===d;case "stream":if("stream"!==a.type)return!1;
d=d.toLowerCase();return page_params.is_zephyr_mirror_realm?(b=/^(?:un)*(.+?)(?:\.d)*$/i.exec(d),null!==b&&void 0!==b[1]&&(d=b[1]),RegExp(/^(un)*/.source+util.escape_regexp(d)+/(\.d)*$/.source,"i").test(a.stream)):a.stream.toLowerCase()===d;case "topic":if("stream"!==a.type)return!1;d=d.toLowerCase();return page_params.is_zephyr_mirror_realm?(b=/^(.*?)(?:\.d)*$/i.exec(d)[1],(""===b||"personal"===b.toLowerCase()||'(instance "")'===b.toLowerCase()?/^(|personal|\(instance ""\))(\.d)*$/i:RegExp(/^/.source+
util.escape_regexp(b)+/(\.d)*$/.source,"i")).test(a.subject)):a.subject.toLowerCase()===d;case "sender":return a.sender_email.toLowerCase()===d.toLowerCase();case "pm-with":return"private"===a.type&&a.reply_to.toLowerCase()===d.split(",").sort().join(",").toLowerCase()}return!0}function f(a){this._operators=void 0===a?[]:this._canonicalize_operators(a)}var b={from:"sender",subject:"topic"};f.canonicalize_operator=function(a){a=a.toLowerCase();return b.hasOwnProperty(a)?b[a]:a};f.canonicalize_term=
function(a){var b=a.negated,d=a.operator;a=a.operand;b||(b=!1);d=f.canonicalize_operator(d);switch(d){case "has":a=a.replace(/s$/,"");break;case "stream":a=stream_data.get_name(a);break;case "topic":break;case "sender":case "pm-with":a=a.toString().toLowerCase();"me"===a&&(a=page_params.email);break;case "search":a=a.toString().toLowerCase().replace(/[\u201c\u201d]/g,'"');break;default:a=a.toString().toLowerCase()}return{negated:b,operator:d,operand:a}};f.parse=function(a){var b=[],d=[],c,g,f;a=a.match(/"[^"]+"|\S+/g);
if(null===a)return b;_.each(a,function(a){var l;l=a.split(":");'"'===a[0]||1===l.length?d.push(a):(c=!1,a=l.shift(),feature_flags.negated_search&&"-"===a[0]&&(c=!0,a=a.slice(1)),l=l.join(":"),"pm-with"!==a&&"sender"!==a&&(l=l.replace(/\+/g," ")),g=util.robust_uri_decode(l),f={negated:c,operator:a,operand:g},b.push(f))});0<d.length&&(g=d.join(" "),f={operator:"search",operand:g,negated:!1},b.push(f));return b};f.unparse=function(a){return _.map(a,function(a){return"search"===a.operator?a.operand:(a.negated?
"-":"")+a.operator+":"+a.operand.toString().replace(/%/g,"%25").replace(/\+/g,"%2B").replace(/ /g,"+")}).join(" ")};f.prototype={predicate:function(){void 0===this._predicate&&(this._predicate=this._build_predicate());return this._predicate},operators:function(){return this._operators},public_operators:function(){return _.filter(this._operators,function(a){return!(void 0!==page_params.narrow_stream&&"stream"===a.operator&&a.operand.toLowerCase()===page_params.narrow_stream.toLowerCase())})},operands:function(a){return _.chain(this._operators).filter(function(b){return!b.negated&&
b.operator===a}).map(function(a){return a.operand}).value()},has_operand:function(a,b){return _.any(this._operators,function(d){return!d.negated&&d.operator===a&&d.operand===b})},has_operator:function(a){return _.any(this._operators,function(b){return b.negated&&!_.contains(["search","has"],b.operator)?!1:b.operator===a})},is_search:function(){return this.has_operator("search")},can_apply_locally:function(){return!this.is_search()&&!this.has_operator("has")},_canonicalize_operators:function(a){return _.map(a,
function(a){return f.canonicalize_term(a)})},filter_with_new_topic:function(a){var b=_.map(this._operators,function(b){b=_.clone(b);"topic"===b.operator&&!b.negated&&(b.operand=a);return b});return new f(b)},has_topic:function(a,b){return this.has_operand("stream",a)&&this.has_operand("topic",b)},_build_predicate:function(){var a=this._operators;return!this.can_apply_locally()?function(){return!0}:function(b){return _.all(a,function(a){var c=h(b,a.operator,a.operand);a.negated&&(c=!c);return c})}}};
f.operator_to_prefix=function(a,b){var d;if("search"===a)return b?"Exclude":"Search for";d=b?"Exclude ":"Narrow to ";switch(a){case "stream":return d+"stream";case "near":return d+"messages around";case "has":return d+"messages with one or more";case "id":return d+"message ID";case "topic":return d+"topic";case "sender":return d+"messages sent by";case "pm-with":return d+"private messages with";case "in":return d+"messages in"}return""};f.describe=function(a){if(0===a.length)return"Go to Home view";
var b=[];2<=a.length&&("stream"===a[0].operator&&!a[0].negated&&"topic"===a[1].operator&&!a[1].negated)&&(b=["Narrow to "+a[0].operand+" > "+a[1].operand],a=a.slice(2));a=_.map(a,function(a){var c=a.operand,b=f.canonicalize_operator(a.operator);if("is"===b){a=a.negated?"Exclude ":"Narrow to ";if("private"===c)return a+"all private messages";if("starred"===c)return a+"starred messages";if("mentioned"===c)return a+"mentioned messages";if("alerted"===c)return a+"alerted messages"}else if(a=f.operator_to_prefix(b,
a.negated),""!==a)return a+" "+c;return"Narrow to (unknown operator)"});return b.concat(a).join(", ")};return f}();"undefined"!==typeof module&&(module.exports=Filter);function MessageListView(h,f,b){this.list=h;this.collapse_messages=b;this._rows={};this.message_containers={};(this.table_name=f)&&this.clear_table();this._message_groups=[];this._render_win_end=this._render_win_start=0}
(function(){function h(a){return page_params.twenty_four_hour_time?a.toString("HH:mm"):a.toString("h:mm TT")}function f(a,b){if(void 0===a||void 0===b)return!1;var d=new XDate(1E3*a.msg.timestamp),e=new XDate(1E3*b.msg.timestamp);return d.toDateString()===e.toDateString()}function b(a,b){return void 0===a||void 0===b?!1:util.same_sender(a.msg,b.msg)}function a(a,b){return void 0===a||void 0===b?!1:util.same_recipient(a.msg,b.msg)}function e(a,b,d){var e=new XDate(1E3*b.msg.timestamp);void 0!==d?(d=
new XDate(1E3*d.msg.timestamp),e.toDateString()!==d.toDateString()&&(a.show_date=timerender.render_date(e,d)[0].outerHTML)):a.show_date=timerender.render_date(e)[0].outerHTML;void 0===b.timestr&&(b.timestr=h(e))}function d(a,b){a.is_stream=b.msg.is_stream;a.is_private=b.msg.is_private;a.is_stream?(a.background_color=stream_data.get_color(b.msg.stream),a.color_class=stream_color.get_color_class(a.background_color),a.invite_only=stream_data.get_invite_only(b.msg.stream),a.subject=b.msg.subject,a.match_subject=
b.msg.match_subject,a.stream_url=b.stream_url,a.topic_url=b.topic_url):a.is_private&&(a.pm_with_url=b.pm_with_url,a.display_reply_to=b.msg.display_reply_to);a.display_recipient=b.msg.display_recipient;a.always_visible_topic_edit=b.msg.always_visible_topic_edit;a.on_hover_topic_edit=b.msg.on_hover_topic_edit;a.subject_links=b.msg.subject_links}MessageListView.prototype={_RENDER_WINDOW_SIZE:400,_RENDER_THRESHOLD:50,_add_msg_timestring:function(a){if(void 0!==a.msg.last_edit_timestamp){var b=new XDate(1E3*
a.msg.last_edit_timestamp);a.last_edit_timestr=timerender.render_date(b)[0].textContent+" at "+h(b)}},add_subscription_marker:function(a,b,d){void 0!==b&&d.msg.historical!==b.msg.historical&&(a.bookend_top=!0,d.msg.historical?(a.unsubscribed=d.msg.stream,a.bookend_content=this.list.unsubscribed_bookend_content(d.msg.stream)):(a.subscribed=d.msg.stream,a.bookend_content=this.list.subscribed_bookend_content(d.msg.stream)))},build_message_groups:function(c,g){function m(){return{message_containers:[],
message_group_id:_.uniqueId("message_group_")}}function k(a){b(n,a)&&(n.next_is_same_sender=!0);u.message_containers.push(a)}function l(){0<u.message_containers.length&&(d(u,u.message_containers[0]),u.message_containers[u.message_containers.length-1].include_footer=!0,r.push(u))}var h=this,u=m(),r=[],n;_.each(c,function(c){c.include_recipient=!1;c.include_footer=!1;a(n,c)&&h.collapse_messages&&n.msg.historical===c.msg.historical&&f(n,c)?k(c):(l(),u=m(),k(c),c.include_recipient=!0,c.subscribed=!1,
c.unsubscribed=!1,h.list!==home_msg_list&&h.add_subscription_marker(u,n,c),c.msg.stream?(c.stream_url=narrow.by_stream_uri(c.msg.stream),c.topic_url=narrow.by_stream_subject_uri(c.msg.stream,c.msg.subject)):c.pm_with_url=narrow.pm_with_uri(c.msg.reply_to));e(u,c,n);c.include_sender=!0;!c.include_recipient&&(!n.status_message&&b(n,c))&&(c.include_sender=!1);h._add_msg_timestring(c);c.small_avatar_url=ui.small_avatar_url(c.msg);void 0!==c.msg.stream&&(c.background_color=stream_data.get_color(c.msg.stream));
c.contains_mention=notifications.speaking_at_me(c.msg);c.msg.unread=unread.message_unread(c.msg);h._maybe_format_me_message(c);n=c});l();return r},join_message_groups:function(c,d){if(void 0===c||void 0===d)return!1;var e=_.last(c.message_containers),k=_.first(d.message_containers);if(this.collapse_messages&&a(e,k)&&f(e,k)&&e.msg.historical===k.msg.historical)return!e.status_message&&(!k.msg.is_me_message&&b(e,k))&&(k.include_sender=!1),b(e,k)&&(e.next_is_same_sender=!0),c.message_containers=c.message_containers.concat(d.message_containers),
!0;this.list!==home_msg_list&&e.msg.historical!==k.msg.historical&&(c.bookend_bottom=!0,this.add_subscription_marker(c,e,k));return!1},merge_message_groups:function(a,b){var d={append_groups:[],prepend_groups:[],rerender_groups:[],append_messages:[],rerender_messages:[]},k,l;if("top"===b)k=_.last(a),l=_.first(this._message_groups),this.join_message_groups(k,l)?(k.message_group_id=l.message_group_id,d.rerender_groups.push(k),this._message_groups.shift(),this._message_groups.unshift(k),a=_.initial(a)):
f(l.message_containers[0],k.message_containers[0])||(e(l,_.first(l.message_containers),_.last(k.message_containers)),d.rerender_groups.push(l)),d.prepend_groups=a,this._message_groups=a.concat(this._message_groups);else{k=_.last(this._message_groups);l=_.first(a);if(this.join_message_groups(k,l))d.rerender_messages.push(k.message_containers[k.message_containers.length-l.message_containers.length-1]),d.append_messages=_.first(a).message_containers,a=_.rest(a);else if(void 0!==k&&void 0!==l){k=_.last(k.message_containers);
var h=_.first(l.message_containers);f(k,h)&&(l.show_date=void 0)}d.append_groups=a;this._message_groups=this._message_groups.concat(a)}return d},_post_process_dom_messages:function(a){var b=this;_.each(a,function(a){_.isElement(a)||blueslip.warn("Only DOM nodes can be passed to _post_process_messages");var c=$(a);c.hasClass("message_row")&&(b._rows[c.attr("zid")]=a);c.hasClass("mention")&&c.find(".user-mention").each(function(){var a=$(this).attr("data-user-email");("*"===a||util.is_current_user(a))&&
$(this).addClass("user-mention-me")});a=rows.id(c);message_edit.maybe_show_edit(c,a);a=$.Event("message_rendered.zulip",{target:c});try{$(document).trigger(a)}catch(d){blueslip.error("Problem with message rendering",{message_id:rows.id($(c))},d.stack)}})},render:function(a,b,d){function e(){void 0===r&&0<q.selected_row().length&&(r=q.selected_row().offset().top)}if(!(0===a.length||void 0===this.table_name)){var f=this.list,h=rows.get_table(this.table_name),u=rows.id(rows.last_visible())===f.selected_id(),
r,n,q=this;n=_.map(a,function(a){return{msg:a}});if(!(0===n.length||void 0===this.table_name)){a=this.build_message_groups(n,this.table_name);var s=this.merge_message_groups(a,b);b=[];var t,w;_.each(n,function(a){q.message_containers[a.msg.id]=a});0<s.prepend_groups.length&&(e(),t=$(templates.render("message_group",{message_groups:s.prepend_groups,use_match_properties:q.list.filter.is_search(),table_name:q.table_name})),w=t.find(".message_row"),b=b.concat(t),q._post_process_dom_messages(w.get()),
h.find(".recipient_row").first().prev(".date_row").remove(),h.prepend(t),condense.condense_and_collapse(w));0<s.rerender_groups.length&&(e(),_.each(s.rerender_groups,function(a){var b=$("#"+a.message_group_id);b.prev(".date_row").remove();t=$(templates.render("message_group",{message_groups:[a],use_match_properties:q.list.filter.is_search(),table_name:q.table_name}));w=t.find(".message_row");q._post_process_dom_messages(w.get());b.replaceWith(t);condense.condense_and_collapse(w)}));0<s.rerender_messages.length&&
_.each(s.rerender_messages,function(a){var b=q.get_row(a.msg.id);a=_.extend(a,{table_name:this.table_name});a=$(templates.render("single_message",a));q._post_process_dom_messages(a.get());b.replaceWith(a);condense.condense_and_collapse(a);f.reselect_selected_id()});0<s.append_messages.length&&(n=h.find(".message_row:last").expectOne(),n=rows.get_message_recipient_row(n),w=$(_.map(s.append_messages,function(a){a=_.extend(a,{table_name:this.table_name});return templates.render("single_message",a)}).join("")).filter(".message_row"),
q._post_process_dom_messages(w.get()),n.append(w),b=b.concat(w));0<s.append_groups.length&&(q.clear_trailing_bookend(),t=$(templates.render("message_group",{message_groups:s.append_groups,use_match_properties:q.list.filter.is_search(),table_name:q.table_name})),w=t.find(".message_row"),b=b.concat(t),q._post_process_dom_messages(w.get()),h.append(t),condense.condense_and_collapse(w));f===current_msg_list&&void 0!==r&&(viewport.set_message_offset(r),f.reselect_selected_id());h=_.last(q._message_groups);
void 0!==h&&(f.last_message_historical=_.last(h.message_containers).msg.historical);h=narrow.stream();void 0!==h&&(stream_data.get_sub(h).subscribed||f.update_trailing_bookend());f===current_msg_list&&compose_fade.update_rendered_message_groups(a,function(a){a=q.get_row(a.message_containers[0].msg.id);return rows.get_message_recipient_row(a)});f===current_msg_list&&d&&q._maybe_autoscroll(b,u)}}},_maybe_autoscroll:function(a,b){var d=0,e=0,f=-1;_.each(a.reverse(),function(a){if(a.is("div"))if(d+=a.height(),
-1<f)e+=a.height();else{var b=rows.id(a);-1<b&&util.is_current_user(this.get_message(b).sender_email)&&(e+=a.height(),f=rows.id(a))}},this);if(b&&page_params.autoscroll_forever)this.list.select_id(this.list.last().id,{from_rendering:!0}),navigate.scroll_to_selected(),this.list.reselect_selected_id();else{var h=this.selected_row(),u=rows.last_visible();if(h&&0<h.length&&u){var r=h.offset().top,h=viewport.message_viewport_info(),r=r-h.visible_top;if(page_params.autoscroll_forever&&-1<f&&rows.last_visible().offset().top-
this.list.selected_row().offset().top<viewport.height())this.list.select_id(f,{from_rendering:!0}),navigate.scroll_to_selected();else if(!(0>=r)&&!(0>=d)){var n=d;n>r&&(n=r);u.offset().top+u.height()-d>h.visible_top+h.visible_height||viewport.system_initiated_animate_scroll(n)}}}},clear_rendering_state:function(a){a&&this.clear_table();this.list.last_message_historical=!1;this._render_win_end=this._render_win_start=0},update_render_window:function(a,b){var d=Math.max(a-this._RENDER_WINDOW_SIZE/2,
0);if(b&&d===this._render_win_start)return!1;this._render_win_start=d;this._render_win_end=Math.min(this._render_win_start+this._RENDER_WINDOW_SIZE,this.list.num_items());return!0},maybe_rerender:function(){if(void 0===this.table_name)return!1;var a=this.list.selected_idx();if(!(a-this._render_win_start<this._RENDER_THRESHOLD&&0!==this._render_win_start||this._render_win_end-a<=this._RENDER_THRESHOLD&&this._render_win_end!==this.list.num_items())||!this.update_render_window(a,!0))return!1;this.rerender_preserving_scrolltop();
return!0},rerender_preserving_scrolltop:function(){var a,b=this.selected_row(),d=0<b.length;d&&(a=b.offset().top);this.clear_table();this.render(this.list.all_messages().slice(this._render_win_start,this._render_win_end),"bottom");d&&(0===this.selected_row().length&&-1<this.list.selected_id()&&this.list.select_id(this.list.selected_id(),{use_closest:!0}),viewport.scrollTop(viewport.scrollTop()+this.selected_row().offset().top-a))},_rerender_header:function(a){if(0!==a.length){var b=this.get_row(a[0].msg.id);
if(0!==b.length){var b=rows.get_message_recipient_row(b).find(".message_header"),e={message_containers:a};d(e,a[0]);a=$(templates.render("recipient_row",e));b.replaceWith(a)}}},_rerender_message:function(a){var b=this.get_row(a.msg.id),d=this.list.selected_message()===a.msg;this._add_msg_timestring(a);this._maybe_format_me_message(a);var e=_.extend(a,{table_name:this.table_name}),e=$(templates.render("single_message",e));this._post_process_dom_messages(e.get());b.replaceWith(e);d&&this.list.select_id(a.msg.id)},
rerender_messages:function(b){var d=this,e=_.map(b,function(a){return d.list.get(a.id)}),e=_.reject(e,function(a){return void 0===a});b=_.map(b,function(a){return d.message_containers[a.id]});b=_.reject(b,function(a){return void 0===a});var k=[],f=[];_.each(b,function(b){0===f.length||a(f[f.length-1],b)?f.push(b):(k.push(f),f=[]);d._rerender_message(b)});0!==f.length&&k.push(f);_.each(k,function(a){d._rerender_header(a)})},append:function(a,b){var d=this._render_win_end-this._render_win_start;d<this._RENDER_WINDOW_SIZE&&
(d=a.slice(0,this._RENDER_WINDOW_SIZE-d),this.render(d,"bottom",b),this._render_win_end+=d.length);this.maybe_rerender()},prepend:function(a){this._render_win_start+=a.length;this._render_win_end+=a.length;var b=this._render_win_end-this._render_win_start;b<this._RENDER_WINDOW_SIZE&&(a=a.slice(a.length-(this._RENDER_WINDOW_SIZE-b)),this.render(a,"top",!1),this._render_win_start-=a.length)},rerender_the_whole_thing:function(a){this.clear_rendering_state(!0);this.update_render_window(this.list.selected_idx(),
!1);this.render(this.list.all_messages().slice(this._render_win_start,this._render_win_end),"bottom")},clear_table:function(){rows.get_table(this.table_name).children().detach();this._rows={};this._message_groups=[];this.message_containers={}},get_row:function(a){return $(this._rows[a])},clear_trailing_bookend:function(){rows.get_table(this.table_name).find(".trailing_bookend").remove()},render_trailing_bookend:function(a,b){var d=$(templates.render("bookend",{bookend_content:a,trailing:!0,subscribed:b}));
rows.get_table(this.table_name).append(d)},selected_row:function(){return this.get_row(this.list.selected_id())},get_message:function(a){return this.list.get(a)},change_message_id:function(a,b){if(void 0!==this._rows[a]){var d=this._rows[a];delete this._rows[a];d.setAttribute("zid",b);d.setAttribute("id",this.table_name+b);$(d).removeClass("local");this._rows[b]=d}void 0!==this.message_containers[a]&&(d=this.message_containers[a],delete this.message_containers[a],this.message_containers[b]=d)},_maybe_format_me_message:function(a){a.msg.is_me_message?
(a.status_message=a.msg.content.slice(7,-4),a.include_sender=!0):a.status_message=!1}}})();"undefined"!==typeof module&&(module.exports=MessageListView);var message_list=function(){var h={narrowed:void 0,MessageList:function(f,b,a){_.extend(this,{collapse_messages:!0,muting_enabled:!0},a);this.view=new MessageListView(this,f,this.collapse_messages);this.muting_enabled&&(this._all_items=[]);this._items=[];this._hash={};this._local_only={};this.table_name=f;this.filter=b;this._selected_id=-1;void 0===this.filter&&(this.filter=new Filter);this.narrowed="zfilt"===this.table_name;this.num_appends=0;return this}};h.MessageList.prototype={add_messages:function(f,
b){var a=this,e=a.filter.predicate(),d=[],c=[],g=[];if(-1===a.selected_id()&&a.empty())var m=_.filter(f,e),c=_.reject(m,function(b){return a.get(b.id)});else _.each(f,function(b){void 0===a.get(b.id)&&e(b)&&(a.empty()||b.id>a.last().id?c.push(b):b.id<a.first().id?d.push(b):g.push(b))});if(0<g.length)return a.add_and_rerender(d.concat(g).concat(c)),!0;0<d.length&&a.prepend(d);0<c.length&&a.append(c,b);a===h.narrowed&&!a.empty()&&narrow.hide_empty_narrow_message();a===h.narrowed&&(!a.empty()&&-1===
a.selected_id()&&!b.delay_render)&&a.select_id(a.selected_id(),{then_scroll:!0,use_closest:!0})},get:function(f){f=parseFloat(f);return isNaN(f)?void 0:this._hash[f]},num_items:function(){return this._items.length},empty:function(){return 0===this._items.length},first:function(){return this._items[0]},last:function(){return this._items[this._items.length-1]},nth_most_recent_id:function(f){f=this._items.length-f;return 0>f?-1:this._items[f].id},clear:function(f){f=_.extend({clear_selected_id:!0},f);
this.muting_enabled&&(this._all_items=[]);this._items=[];this._hash={};this.view.clear_rendering_state(!0);f.clear_selected_id&&(this._selected_id=-1)},selected_id:function(){return this._selected_id},select_id:function(f,b){b=_.extend({then_scroll:!1,target_scroll_offset:void 0,use_closest:!1,empty_ok:!1,mark_read:!0,force_rerender:!1},b,{id:f,msg_list:this,previously_selected:this._selected_id});f=parseFloat(f);isNaN(f)&&blueslip.fatal("Bad message id");var a=this.closest_id(f);!b.use_closest&&
a!==f&&blueslip.error("Selected message id not in MessageList",{table_name:this.table_name,id:f});-1===a&&!b.empty_ok&&blueslip.fatal("Cannot select id -1",{table_name:this.table_name,id:f,items_length:this._items.length});f=a;this._selected_id=b.id=f;b.force_rerender?this.rerender():b.from_rendering||this.view.maybe_rerender();$(document).trigger($.Event("message_selected.zulip",b))},reselect_selected_id:function(){this.select_id(this._selected_id,{from_rendering:!0})},selected_message:function(){return this.get(this._selected_id)},
selected_row:function(){return this.get_row(this._selected_id)},_lower_bound:function(f){var b=this;return util.lower_bound(b._items,f,function(a,e,d){return b._is_localonly_id(a.id)&&(d=b._next_nonlocal_message(b._items,d,function(a){return a-1}))?(a=parseFloat((a.id%1).toFixed(0.02)),d.id+a<e):a.id<e})},closest_id:function(f){if(this._local_only.hasOwnProperty(f))return f;var b=this._items;if(0===b.length)return-1;var a=this._lower_bound(f);if(a<b.length&&f===b[a].id)return b[a].id;var e=[];if(0<
a&&this._is_localonly_id(b[a-1].id)){do e.push(a),a--;while(0<a&&this._is_localonly_id(b[a-1].id))}e.push(a);if(a===b.length)a-=1;else{e.unshift(_.last(e)-1);var d=b[a].id;_.each(e,function(c){if(!(0>c)){var e=b[c].id;Math.abs(f-e)<Math.abs(d-f)&&(d=e,a=c)}})}return b[a].id},advance_past_messages:function(f){var b=0,a={};_.each(f,function(b){a[b]=!0});for(f=this.selected_idx()+1;f<this._items.length;){var e=this._items[f].id;if(!a[e])break;b=e;++f}0<b&&(this._selected_id=b)},_add_to_hash:function(f){var b=
this;f.forEach(function(a){var e=parseFloat(a.id);isNaN(e)&&blueslip.fatal("Bad message id");b._is_localonly_id(e)&&(b._local_only[e]=a);void 0!==b._hash[e]?blueslip.error("Duplicate message added to MessageList"):b._hash[e]=a})},selected_idx:function(){return this._lower_bound(this._selected_id)},subscribed_bookend_content:function(f){return"--- Subscribed to stream "+f+" ---"},unsubscribed_bookend_content:function(f){return"--- Unsubscribed from stream "+f+" ---"},not_subscribed_bookend_content:function(f){return"--- Not subscribed to stream "+
f+" ---"},update_trailing_bookend:function(){this.view.clear_trailing_bookend();if(this.narrowed){var f=narrow.stream();if(void 0!==f){var b=stream_data.is_subscribed(f),f=b?this.subscribed_bookend_content(f):this.last_message_historical?this.not_subscribed_bookend_content(f):this.unsubscribed_bookend_content(f);void 0!==f&&this.view.render_trailing_bookend(f,b)}}},unmuted_messages:function(f){return _.reject(f,function(b){return muting.is_topic_muted(b.stream,b.subject)&&!b.mentioned})},append:function(f,
b){b=_.extend({delay_render:!1,messages_are_new:!1},b);var a;this.muting_enabled?(this._all_items=this._all_items.concat(f),a=this.unmuted_messages(f)):a=f;this._items=this._items.concat(a);this.num_appends+=1;this._add_to_hash(f);b.delay_render||this.view.append(a,b.messages_are_new)},prepend:function(f){var b;this.muting_enabled?(this._all_items=f.concat(this._all_items),b=this.unmuted_messages(f)):b=f;this._items=b.concat(this._items);this._add_to_hash(f);this.view.prepend(b)},add_and_rerender:function(f){var b;
this.muting_enabled?(this._all_items=f.concat(this._all_items),this._all_items.sort(function(a,b){return a.id-b.id}),b=this.unmuted_messages(f),this._items=b.concat(this._items)):this._items=f.concat(this._items);this._items.sort(function(a,b){return a.id-b.id});this._add_to_hash(f);this.view.rerender_the_whole_thing()},remove_and_rerender:function(f){var b=this;_.each(f,function(a){var d=b._hash[a.id];void 0!==d&&delete b._hash[d];delete b._local_only[a.id]});var a={};_.each(f,function(b){a[b.id]=
!0});this._items=_.filter(this._items,function(b){return!a.hasOwnProperty(b.id)});this.muting_enabled&&(this._all_items=_.filter(this._all_items,function(b){return!a.hasOwnProperty(b.id)}));this.rerender()},show_edit_message:function(f,b){f.find(".message_edit_form").empty().append(b.form);f.find(".message_content").hide();f.find(".message_edit").show();f.find(".message_edit_content").autosize()},hide_edit_message:function(f){f.find(".message_content").show();f.find(".message_edit").hide()},show_edit_topic:function(f,
b){f.find(".topic_edit_form").empty().append(b);f.find(".stream_topic").hide();f.find(".topic_edit").show()},hide_edit_topic:function(f){f.find(".stream_topic").show();f.find(".topic_edit").hide()},show_message_as_read:function(f,b){var a=this.get_row(f.id);"pointer"===b.from&&feature_flags.mark_read_at_bottom||"server"===b.from?a.find(".unread_marker").addClass("fast_fade"):a.find(".unread_marker").addClass("slow_fade");a.removeClass("unread")},rerender:function(){this._selected_id=this.closest_id(this._selected_id);
this.view.clear_rendering_state(!1);this.view.update_render_window(this.selected_idx(),!1);this.view.rerender_preserving_scrolltop();-1!==this._selected_id&&this.select_id(this._selected_id)},rerender_after_muting_changes:function(){this.muting_enabled&&(this._items=this.unmuted_messages(this._all_items),this.rerender())},all_messages:function(){return this._items},message_range:function(f,b){-1===f&&blueslip.error("message_range given a start of -1");var a=this._lower_bound(f),e=this._lower_bound(b);
return this._items.slice(a,e+1)},get_row:function(f){return this.view.get_row(f)},_is_localonly_id:function(f){return 0!==f%1},_next_nonlocal_message:function(f,b,a){do b=a(b);while(void 0!==f[b]&&this._is_localonly_id(f[b].id));return f[b]},change_display_recipient:function(f,b){_.each(this._items,function(a){a.display_recipient===f&&(a.display_recipient=b,a.stream=b)});this.view.rerender_the_whole_thing()},change_message_id:function(f,b){function a(a,b){return a.id-b.id}if(this._hash.hasOwnProperty(f)){var e=
this._hash[f];delete this._hash[f];this._hash[b]=e;this._local_only.hasOwnProperty(f)&&(this._is_localonly_id(b)&&(this._local_only[b]=this._local_only[f]),delete this._local_only[f]);this._selected_id===f&&(this._selected_id=b);var d=this;setTimeout(function(){var c=d._hash[b],e=d._items.indexOf(c);if(-1===e)!d.muting_enabled&&current_msg_list===d&&blueslip.error("Trying to re-order message but can't find message with new_id in _items!");else{var f=d._next_nonlocal_message(d._items,e,function(a){return a+
1}),e=d._next_nonlocal_message(d._items,e,function(a){return a-1});if(void 0!==f&&c.id>f.id||void 0!==e&&c.id<e.id)blueslip.debug("Changed message ID from server caused out-of-order list, reordering"),d._items.sort(a),d.muting_enabled&&d._all_items.sort(a),d.view.rerender_preserving_scrolltop(),-1!==d._selected_id&&d.select_id(d._selected_id)}},0)}}};h.all=new h.MessageList(void 0,void 0,{muting_enabled:!1});$(document).on("message_selected.zulip zuliphashchange.zulip mousewheel",function(f){viewport.stop_auto_scrolling()});
return h}();"undefined"!==typeof module&&(module.exports=message_list);var narrow=function(){function h(a){var b=new Dict,d=new Dict;_.each(a,function(a){var c=a.operator;b.has(c)?d.del(c):(d.set(c,a.operand),b.set(c,!0))});return d}function f(a){void 0===a.network_time||(void 0===a.initial_core_time||void 0===a.initial_free_time)||channel.post({url:"/json/report_narrow_time",data:{initial_core:(a.initial_core_time-a.start_time).toString(),initial_free:(a.initial_free_time-a.start_time).toString(),network:(a.network_time-a.start_time).toString()}})}function b(){var a=
$("#empty_narrow_message");if(void 0===e)return a;var b=e.operators()[0],d=b.operator,b=b.operand;if(1===e.operators().length)if("is"===d){if("starred"===b)return $("#empty_star_narrow_message");if("mentioned"===b)return $("#empty_narrow_all_mentioned");if("private"===b)return $("#empty_narrow_all_private_message")}else{if("stream"===d&&!stream_data.is_subscribed(b))return $("#nonsubbed_stream_narrow_message");if("search"===d)return $("#empty_search_narrow_message");if("pm-with"===d)return-1===b.indexOf(",")?
$("#empty_narrow_private_message"):$("#empty_narrow_multi_private_message");if("sender"===d)return people.get_by_email(b)?$("#silent_user"):$("#non_existing_user")}return a}var a={},e,d;a._set_current_filter=function(a){e=a};a.active=function(){return void 0!==e};a.filter=function(){return e};a.predicate=function(){return void 0===e?function(){return!0}:e.predicate()};a.operators=function(){return void 0===e?(new Filter(page_params.narrow)).operators():e.operators()};a.public_operators=function(){return void 0===
e?void 0:e.public_operators()};a.search_string=function(){return Filter.unparse(a.operators())};a.set_compose_defaults=function(b){var d=h(a.operators());d.has("stream")&&(b.stream=stream_data.get_name(d.get("stream")));d.has("topic")&&(b.subject=d.get("topic"));d.has("pm-with")&&(b.private_message_recipient=d.get("pm-with"))};a.stream=function(){if(void 0!==e){var a=e.operands("stream");if(1===a.length)return a[0]}};a.narrow_title="home";a.activate=function(b,d){function m(){if(!message_list.narrowed.empty()){if(d.select_first_unread){n=
message_list.narrowed.last().id;var a=_.find(message_list.narrowed.all_messages(),unread.message_unread);a&&(n=a.id)}a=!d.select_first_unread&&void 0!==message_list.narrowed.get(n)&&void 0!==q;message_list.narrowed.select_id(n,{then_scroll:!a,use_closest:!0,force_rerender:!0});a&&viewport.set_message_offset(q)}}var k=new Date,l=a.active();notifications.clear_compose_notifications();if(0===b.length)return a.deactivate();var h=new Filter(b),u=h.operators();h.has_operator("stream")?h.has_operator("topic")?
a.narrow_title=h.operands("topic")[0]:a.narrow_title=h.operands("stream")[0]:h.has_operator("is")?a.narrow_title=h.operands("is")[0]:h.has_operator("pm-with")&&(a.narrow_title="private");notifications.redraw_title();blueslip.debug("Narrowed",{operators:_.map(u,function(a){return a.operator}),trigger:d?d.trigger:void 0,previous_id:current_msg_list.selected_id()});var r=compose.has_message_content();r?compose_fade.update_message_list():compose.cancel();d=_.defaults({},d,{then_select_id:home_msg_list.selected_id(),
select_first_unread:!1,first_unread_from_server:!1,from_reload:!1,change_hash:!0,trigger:"unknown"});h.has_operator("near")&&(d.then_select_id=parseInt(h.operands("near")[0],10),d.select_first_unread=!1);h.has_operator("id")&&(d.then_select_id=parseInt(h.operands("id")[0],10),d.select_first_unread=!1);-1===d.then_select_id&&!d.first_unread_from_server&&(blueslip.warn("Setting then_select_id to page_params.initial_pointer."),d.then_select_id=page_params.initial_pointer,d.select_first_unread=!1);var n=
d.then_select_id,q;l||(unread.messages_read_in_narrow=!1);!d.select_first_unread&&0<current_msg_list.get_row(n).length&&(q=current_msg_list.get_row(n).offset().top);e=h;l=a.muting_enabled();-1!==current_msg_list.selected_id()&&(0===current_msg_list.selected_row().length&&blueslip.debug("narrow.activate missing selected row",{selected_id:current_msg_list.selected_id(),selected_idx:current_msg_list.selected_idx(),selected_idx_exact:current_msg_list._items.indexOf(current_msg_list.get(current_msg_list.selected_id())),
render_start:current_msg_list.view._render_win_start,render_end:current_msg_list.view._render_win_end}),current_msg_list.pre_narrow_offset=current_msg_list.selected_row().offset().top);d.first_unread_from_server&&d.from_reload&&(n=page_params.initial_narrow_pointer,q=page_params.initial_narrow_offset,d.first_unread_from_server=!1,d.select_first_unread=!1,home_msg_list.pre_narrow_offset=page_params.initial_offset);var s=new message_list.MessageList("zfilt",e,{collapse_messages:!e.is_search(),muting_enabled:l});
s.start_time=k;$("body").addClass("narrowed_view");$("#zfilt").addClass("focused_table");$("#zhome").removeClass("focused_table");ui.change_tab_to("#home");message_list.narrowed=s;current_msg_list=message_list.narrowed;void 0!==message_list.all.get(n)&&e.can_apply_locally()&&message_store.add_messages(message_list.all.all_messages(),message_list.narrowed,{delay_render:!0});var t=message_list.narrowed.empty();message_store.load_old_messages({anchor:n.toFixed(),num_before:50,num_after:50,msg_list:message_list.narrowed,
use_first_unread_anchor:d.first_unread_from_server,cont:function(a){ui.hide_loading_more_messages_indicator();t&&m();s.network_time=new Date;f(s)},cont_will_add_messages:!1});t?ui.show_loading_more_messages_indicator():(message_store.reset_load_more_status(),m());d.change_hash&&hashchange.save_narrow(u);$("#search_query").val(Filter.unparse(u));search.update_button_visibility();!r&&("sidebar"===d.trigger&&a.narrowed_by_reply())&&(a.narrowed_to_topic()?compose.start("stream"):compose.start("private"));
$(document).trigger($.Event("narrow_activated.zulip",{msg_list:message_list.narrowed,filter:e,trigger:d.trigger}));s.initial_core_time=new Date;setTimeout(function(){s.initial_free_time=new Date;f(s)},0)};a.by=function(b,d,e){a.activate([{operator:b,operand:d}],e)};a.by_subject=function(b,d){var e=message_store.get(b);"stream"!==e.type?a.by_recipient(b,d):(unread.mark_message_as_read(e),e=[{operator:"stream",operand:e.stream},{operator:"topic",operand:e.subject}],d=_.defaults({},d,{then_select_id:b}),
a.activate(e,d))};a.by_recipient=function(b,d){d=_.defaults({},d,{then_select_id:b});var e=message_store.get(b);unread.mark_message_as_read(e);switch(e.type){case "private":a.by("pm-with",e.reply_to,d);break;case "stream":a.by("stream",e.stream,d)}};a.by_time_travel=function(a,b){b=_.defaults({},b,{then_select_id:a});narrow.activate([{operator:"near",operand:a}],b)};a.by_id=function(a,b){b=_.defaults({},b,{then_select_id:a});narrow.activate([{operator:"id",operand:a}],b)};a.by_conversation_and_time=
function(a,b){var d=[{operator:"near",operand:a}],e=message_store.get(a);b=_.defaults({},b,{then_select_id:a});"stream"!==e.type?d.push({operator:"pm-with",operand:e.reply_to}):(d.push({operator:"stream",operand:e.stream}),d.push({operator:"topic",operand:e.subject}));narrow.activate(d,b)};a.deactivate=function(){if(void 0!==e)if(d={start_time:new Date},blueslip.debug("Unnarrowed"),ui.actively_scrolling())setTimeout(a.deactivate,50);else{compose.has_message_content()||compose.cancel();e=void 0;a.hide_empty_narrow_message();
$("body").removeClass("narrowed_view");$("#zfilt").removeClass("focused_table");$("#zhome").addClass("focused_table");current_msg_list=home_msg_list;condense.condense_and_collapse($("#zhome tr.message_row"));$("#search_query").val("");message_store.reset_load_more_status();hashchange.save_narrow();if(-1!==current_msg_list.selected_id()){var b=0<current_msg_list.selected_row().length&&void 0!==current_msg_list.pre_narrow_offset,g={then_scroll:!0,use_closest:!0,empty_ok:!0};unread.messages_read_in_narrow?
b=(b=_.find(current_msg_list.all_messages(),unread.message_unread))?b.id:current_msg_list.last().id:(b&&(g.target_scroll_offset=current_msg_list.pre_narrow_offset),b=current_msg_list.selected_id());current_msg_list.select_id(b,g)}compose_fade.update_message_list();$(document).trigger($.Event("narrow_deactivated.zulip",{msg_list:current_msg_list}));a.narrow_title="home";notifications.redraw_title();d.initial_core_time=new Date;setTimeout(function(){d.initial_free_time=new Date;void 0===d||(void 0===
d.start_time||void 0===d.initial_core_time||void 0===d.initial_free_time)||(channel.post({url:"/json/report_unnarrow_time",data:{initial_core:(d.initial_core_time-d.start_time).toString(),initial_free:(d.initial_free_time-d.start_time).toString()}}),d={})})}};a.restore_home_state=function(){ui.home_tab_obscured()||a.deactivate();navigate.maybe_scroll_to_selected()};a.show_empty_narrow_message=function(){$(".empty_feed_notice").hide();b().show()};a.hide_empty_narrow_message=function(){$(".empty_feed_notice").hide()};
a.pm_with_uri=function(a){return"#narrow/pm-with/"+hashchange.encodeHashComponent(a)};a.by_sender_uri=function(a){return"#narrow/sender/"+hashchange.encodeHashComponent(a)};a.by_stream_uri=function(a){return"#narrow/stream/"+hashchange.encodeHashComponent(a)};a.by_stream_subject_uri=function(a,b){return"#narrow/stream/"+hashchange.encodeHashComponent(a)+"/subject/"+hashchange.encodeHashComponent(b)};a.by_message_uri=function(a){return"#narrow/id/"+hashchange.encodeHashComponent(a)};a.by_near_uri=
function(a){return"#narrow/near/"+hashchange.encodeHashComponent(a)};a.by_conversation_and_time_uri=function(a){return"stream"===a.type?"#narrow/stream/"+hashchange.encodeHashComponent(a.stream)+"/subject/"+hashchange.encodeHashComponent(a.subject)+"/near/"+hashchange.encodeHashComponent(a.id):"#narrow/pm-with/"+hashchange.encodeHashComponent(a.reply_to)+"/near/"+hashchange.encodeHashComponent(a.id)};a.narrowed_to_pms=function(){return void 0===e?!1:e.has_operator("pm-with")||e.has_operand("is","private")};
a.narrowed_by_reply=function(){if(void 0===e)return!1;var a=e.operators();return 1===a.length&&1===e.operands("pm-with").length||2===a.length&&1===e.operands("stream").length&&1===e.operands("topic").length};a.narrowed_to_topic=function(){return void 0===e?!1:e.has_operator("stream")&&e.has_operator("topic")};a.narrowed_to_search=function(){return void 0!==e&&e.is_search()};a.muting_enabled=function(){return!a.narrowed_to_topic()&&!a.narrowed_to_search()&&!a.narrowed_to_pms()};return a}();
"undefined"!==typeof module&&(module.exports=narrow);var reload=function(){function h(a){a&&(a.clear(),a._items=[{id:1}])}function f(b,c,e,f,k){if(!a){if(c||e||f)void 0===b&&(b=0),b="#reload:send_after_reload="+Number(b),b+="+csrf_token="+encodeURIComponent(csrf_token),f&&("stream"===compose.composing()?(b=b+"+msg_type=stream"+("+stream="+encodeURIComponent(compose.stream_name())),b+="+subject="+encodeURIComponent(compose.subject())):"private"===compose.composing()&&(b+="+msg_type=private",b+="+recipient="+encodeURIComponent(compose.recipient())),compose.composing()&&
(b+="+msg="+encodeURIComponent(compose.message_content()))),c&&(c=home_msg_list.selected_id(),-1!==c&&(b+="+pointer="+c)),e&&(e=home_msg_list.selected_row(),narrow.active()?(b+="+offset="+home_msg_list.pre_narrow_offset,e=message_list.narrowed.selected_id(),-1!==e&&(b+="+narrow_pointer="+e),e=message_list.narrowed.selected_row(),0<e.length&&(b+="+narrow_offset="+e.offset().top)):0<e.length&&(b+="+offset="+e.offset().top)),e=window.location.hash,0!==e.length&&"#"===e[0]&&(e=e.slice(1)),b+="+oldhash="+
encodeURIComponent(e),window.location.replace(b);void 0===k&&(k="Reloading");ui.report_message(k,$("#reloading-application"));blueslip.log("Starting server requested page reload");a=!0;if(feature_flags.cleanup_before_reload)try{$("*").off(),channel.abort_all(),$("#main_div").empty(),server_events.cleanup_event_queue(),h(message_list.all),h(home_msg_list),h(message_list.narrowed),message_store.clear()}catch(l){blueslip.error("Failed to cleanup before reloading",void 0,l.stack)}window.location.reload(!0)}}
var b={},a=!1,e=!1;b.is_pending=function(){return e};b.is_in_progress=function(){return a};b.initialize=function(){var a=window.location.toString(),a=a.substring(a.indexOf("#")+1);if(0===a.search("reload:")){var a=a.replace(/^reload:/,""),a=a.split("+"),b={};_.each(a,function(a){a=a.split("=");b[a[0]]=decodeURIComponent(a[1])});if(b.csrf_token===csrf_token){void 0!==b.msg&&(a=parseInt(b.send_after_reload,10),compose.start(b.msg_type,{stream:b.stream||"",subject:b.subject||"",private_message_recipient:b.recipient||
"",content:b.msg||""}),a&&compose.finish());if(a=parseInt(b.pointer,10))page_params.orig_initial_pointer=page_params.initial_pointer,page_params.initial_pointer=a;if(a=parseInt(b.offset,10))page_params.initial_offset=a;if(a=parseInt(b.narrow_pointer,10))page_params.initial_narrow_pointer=a;if(a=parseInt(b.narrow_offset,10))page_params.initial_narrow_offset=a;activity.new_user_input=!1;hashchange.changehash(b.oldhash)}}};b.initiate=function(a){function b(){f(!1,a.save_pointer,a.save_narrow,a.save_compose,
a.message)}a=_.defaults({},a,{immediate:!1,save_pointer:!0,save_narrow:!0,save_compose:!0,send_after_reload:!1});(void 0===a.save_pointer||void 0===a.save_narrow||void 0===a.save_compose)&&blueslip.error("reload.initiate() called without explicit save options.");a.immediate&&f(a.send_after_reload,a.save_pointer,a.save_narrow,a.save_compose,a.message);if(!e){e=!0;var g,m=18E5+util.random_int(0,3E5),k=3E5+util.random_int(0,6E4),l=6E4+util.random_int(0,6E4),h,u;setTimeout(b,m);h=function(){g.cancel();
g=$(document).idle({idle:l,onIdle:b});$(document).off("compose_canceled.zulip compose_finished.zulip",h);$(document).on("compose_started.zulip",u)};u=function(){g.cancel();g=$(document).idle({idle:k,onIdle:b});$(document).off("compose_started.zulip",u);$(document).on("compose_canceled.zulip compose_finished.zulip",h)};compose.composing()?(g=$(document).idle({idle:k,onIdle:b}),$(document).on("compose_canceled.zulip compose_finished.zulip",h)):(g=$(document).idle({idle:l,onIdle:b}),$(document).on("compose_started.zulip",
u))}};window.addEventListener("beforeunload",function(){a=!0});return b}();var compose_fade=function(){function h(){rows.get_table(current_msg_list.table_name).find(".recipient_row, .message_row").removeClass("faded").removeClass("unfaded");k=!0;floating_recipient_bar.update()}function f(){feature_flags.fade_users_when_composing&&$(".user_sidebar_entry").removeClass("faded").removeClass("unfaded")}function b(a,b){b?a.removeClass("unfaded").addClass("faded"):a.removeClass("faded").addClass("unfaded")}function a(){var a,c,d=!1,e=viewport.visible_groups(!1);k=!1;for(a=0;a<
e.length;a++)c=rows.first_message_in_group(e[a]),c=current_msg_list.get(rows.id(c)),d=!l(m,c),b($(e[a]),d);setTimeout(function(c,e){var g=rows.get_table(current_msg_list.table_name).find(".recipient_row");if(!(current_msg_list!==c||!compose.composing()||compose.recipient()!==e)){d=!1;for(a=0;a<g.length;a++){var f=$(g[a]);d=!l(m,rows.recipient_from_group(f));b(f,d)}floating_recipient_bar.update()}},0,current_msg_list,compose.recipient())}function e(){feature_flags.fade_users_when_composing&&_.forEach($(".user_sidebar_entry"),
function(a){a=$(a);var b=g.would_receive_message(a.attr("data-email"));!0===b?a.addClass("unfaded").removeClass("faded"):!1===b?a.addClass("faded").removeClass("unfaded"):a.removeClass("faded").removeClass("unfaded")})}function d(){return void 0===m||"stream"===m.type&&(!stream_data.get_sub(m.stream)||""===m.subject)?!0:"private"===m.type&&""===m.reply_to}function c(){d()?k||(h(),f()):(a(),e())}var g={},m,k=!1,l=feature_flags.fade_at_stream_granularity?util.same_major_recipient:util.same_recipient;
g.set_focused_recipient=function(a){void 0===a&&(m=void 0);m={type:a};"stream"===m.type?(m.stream=$("#stream").val(),m.subject=$("#subject").val()):m.reply_to=util.normalize_recipients($("#private_message_recipient").val())};g.would_receive_message=function(a){if(util.is_current_user(a))return!0;if("stream"===m.type){var b=people.realm_get(a),c=stream_data.get_sub(m.stream);return b&&c&&b.is_bot&&!c.invite_only?void 0:stream_data.user_is_subscribed(m.stream,a)}return util.is_pm_recipient(a,m)};g.update_faded_users=
function(){d()?f():e()};g.update_faded_messages=_.debounce(c,50);g.start_compose=function(a){g.set_focused_recipient(a);c()};g.clear_compose=function(){m=void 0;h();f()};g.update_message_list=function(){d()?h():a()};g.update_rendered_message_groups=function(a,c){d()||_.each(a,function(a){var d=c(a);a=!l(m,a.message_containers[0].msg);b(d,a)})};$(function(){$(document).on("peer_subscribe.zulip",function(a){g.update_faded_users()});$(document).on("peer_unsubscribe.zulip",function(a){g.update_faded_users()})});
return g}();var fenced_code=function(){function h(a){a=a.split("\n\n");var b=[];_.each(a,function(a){a=a.split("\n");b.push(_.map(_.reject(a,function(a){return""===a}),function(a){return"> "+a}).join("\n"))});return b.join("\n\n")}var f={},b=/^(~{3,}|`{3,})[ ]*(\{?\.?([a-zA-Z0-9_+-]*)\}?[ ]*)$/,a=function(a){return a},e=function(a){return a};f.set_stash_func=function(b){a=b};f.set_escape_func=function(a){e=a};f.process_fenced_code=function(d){function c(b,c,d){return function(){var g=[];return"quote"===d?{handle_line:function(a){a===
c?this.done():k(g,a)},done:function(){var a=h(g.join("\n"));b.push("");b.push(a);b.push("");f.pop()}}:{handle_line:function(a){a===c?this.done():g.push(a)},done:function(){var c;c=g.join("\n");for(c+="\n";2<c.length&&"\n\n"===c.substr(c.length-2);)c=c.substring(0,c.length-1);c='<div class="codehilite"><pre>'+e(c)+"</pre></div>\n";c=a(c,!0);b.push("");b.push(c);b.push("");f.pop()}}}()}d=d.split("\n");var g=[],f=[],k;k=function(a,d){var e=b.exec(d);e?(e=c(a,e[1],e[3]),f.push(e)):a.push(d)};var l=function(){return{handle_line:function(a){k(g,
a)},done:function(){f.pop()}}}();f.push(l);for(_.each(d,function(a){f[f.length-1].handle_line(a)});0!==f.length;)f[f.length-1].done();2<g.length&&""!==g[g.length-2]&&g.push("");return g.join("\n")};return f}();"undefined"!==typeof module&&(module.exports=fenced_code);var echo=function(){function h(a,b){a.content=a.raw_content;var c=b.find(".refresh-failed-message");c.toggleClass("rotating",!0);a.queue_id=page_params.event_queue_id;var d=new Date;compose.transmit_message(a,function(b){c.toggleClass("rotating",!1);b=b.id;c.toggleClass("rotating",!1);compose.send_message_success(a.local_id,b,d,!0);message_store.get(b).failed_request=!1;ui.show_failed_message_success(b)},function(b){r.message_send_error(a.local_id,b);c.toggleClass("rotating",!1);blueslip.log("Manual resend of message failed")})}
function f(a){var b=["read"];(-1<a.content.indexOf('data-user-email="'+page_params.email+'"')||-1<a.content.indexOf('data-user-email="*"'))&&b.push("mentioned");0===a.raw_content.indexOf("/me ")&&(0===a.content.indexOf("<p>")&&a.content.lastIndexOf("</p>")===a.content.length-4)&&b.push("is_me_message");a.flags=b}function b(a){var b=a.subject,c=[];_.each(t,function(a){var d=a[0];a=a[1];for(var e;null!==(e=d.exec(b));){var g=1,f=a;_.each(e.slice(1),function(a){f=f.replace("\\"+g,a);g++});c.push(f)}});
a.subject_links=c}function a(){var a=page_params.max_message_id;"undefined"!==typeof message_list.all&&void 0!==message_list.all.last()&&(a=message_list.all.last().id);a=Math.max(0,a);return parseFloat((a+0.01).toFixed(3))}function e(a,c){var d=$.extend({},a);d.raw_content=d.content;d.content=r.apply_markdown(d.content);d.content_type="text/html";d.sender_email=page_params.email;d.sender_full_name=page_params.fullname;d.avatar_url=page_params.avatar_url;d.timestamp=(new XDate).getTime()/1E3;d.local_id=
c;d.id=d.local_id;f(d);b(d);n[d.local_id]=d;q[d.local_id]=d;if("stream"===d.type)d.display_recipient=d.stream;else{var e=a.private_message_recipient.split(",");d.display_recipient=_.map(e,function(a){a=a.trim();var b=people.get_by_email(a);return void 0!==b?b:{email:a,full_name:a,skeleton:!0}})}message_store.insert_new_messages([d]);return d.local_id}function d(a){_.each([message_list.all,home_msg_list,current_msg_list],function(b){b.remove_and_rerender([a])})}function c(a){message_edit.start_local_failed_edit(current_msg_list.get_row(a.local_id),
a)}function g(a,b){return a.replace(!b?/&(?!#?\w+;)/g:/&/g,"&amp;").replace(/</g,"&lt;").replace(/>/g,"&gt;").replace(/"/g,"&quot;").replace(/'/g,"&#39;")}function m(a){var b=a.codePointAt(0).toString(16);return emoji.emojis_by_unicode.hasOwnProperty(b)?'<img alt="'+a+'" class="emoji" src="'+emoji.emojis_by_unicode[b]+'" title="'+a+'">':a}function k(a){var b=":"+a+":";return emoji.emojis_by_name.hasOwnProperty(a)?'<img alt="'+b+'" class="emoji" src="'+emoji.emojis_by_name[a]+'" title="'+b+'">':b}
function l(a){var b=people.get_by_name(a);if(void 0!==b)return'<span class="user-mention" data-user-email="'+b.email+'">@'+b.full_name+"</span>";if("all"===a||"everyone"===a)return'<span class="user-mention" data-user-email="*">@'+a+"</span>"}function p(a,b){var c=s[a],d=1;_.each(b,function(a){c=c.replace("\\"+d,a);d++});return c}function u(a,b){for(var c=/\(?P<([^>]+?)>/g,d=c.exec(a),e=1;d;)d=d[1],a=a.replace("(?P<"+d+">","("),b=b.replace("%("+d+")s","\\"+e),d=c.exec(a),e++;var g="g",c=/\(\?([iLmsux]+)\)/;
if(d=c.exec(a))d=d[1].split(""),_.each(d,function(a){-1!=="im".indexOf(a)&&(g+=a)}),a=a.replace(c,"");return[RegExp(a,g),b]}var r={},n={},q={},s={},t=[],w=!1,D=[/[^\s]*(?:\.bmp|\.gif|\.jpg|\.jpeg|\.png|\.webp)\s+/m,/[^\s]*(?:\.bmp|\.gif|\.jpg|\.jpeg|\.png|\.webp)$/m,/[^\s]*(?:twitter|youtube).com\/[^\s]*/,/!avatar\([^)]+\)/,/!gravatar\([^)]+\)/];r.contains_bugdown=function(a){return void 0!==_.find(D,function(b){return b.test(a)})};r.apply_markdown=function(a){return marked(a+"\n\n").trim()};r._add_subject_links=
b;r._add_message_flags=f;r.try_deliver_locally=function(b){var c=a();if(0===c%1)blueslip.error("Incremented local id to next integer---100 local messages queued");else return r.contains_bugdown(b.content)||narrow.active()&&!narrow.filter().can_apply_locally()?void 0:e(b,c)};r.edit_locally=function(a,b,c){a.raw_content=b;void 0!==c&&(message_store.process_message_for_recent_subjects(a,!0),a.subject=c,message_store.process_message_for_recent_subjects(a));a.content=r.apply_markdown(b);home_msg_list.view.rerender_messages([a]);
current_msg_list===message_list.narrowed&&message_list.narrowed.view.rerender_messages([a]);stream_list.update_streams_sidebar();stream_list.update_private_messages()};r.reify_message_id=function(a,b){var c=n[a];delete n[a];void 0!==c&&(c.id=b,delete c.local_id,$(document).trigger($.Event("message_id_changed",{old_id:a,new_id:b})))};r.process_from_server=function(a){var b=!1,c=[],d=[];a=_.filter(a,function(a){r.reify_message_id(a.local_id,a.id);var e=q[a.local_id];if(void 0!==e){e.content!==a.content&&
(e.content=a.content,b=!0,compose.mark_rendered_content_disparity(a.id,!0));if("private"===e.type){var g=message_store.get_private_message_recipient(a,"full_name","email");e.display_reply_to!==g&&(e.display_reply_to=g,_.each(a.display_recipient,function(a){people.get_by_email(a.email).full_name!==a.full_name&&people.reify(a)}),b=!0)}d.push(e);c.push(e.id);compose.report_as_received(e);delete q[e.id];return!1}return!0});b?(home_msg_list.view.rerender_messages(d),current_msg_list===message_list.narrowed&&
message_list.narrowed.view.rerender_messages(d)):_.each(c,function(a){ui.show_local_message_arrived(a)});return a};r.message_send_error=function(a,b){message_store.get(a).failed_request=!0;ui.show_message_failed(a,b)};r.set_realm_filters=function(a){if(feature_flags.local_echo){s={};t=[];var b=[];_.each(a,function(a){a=u(a[0],a[1]);s[a[0]]=a[1];t.push([a[0],a[1]]);b.push(a[0])});marked.InlineLexer.rules.zulip.realm_filters=b}};$(function(){function a(b,c){b[c]={exec:function(a){return!1}}}function b(a,
c){$("#main_div").on("click","."+a+"-failed-message",function(a){a.stopPropagation();popovers.hide_all();a=$(this).closest(".message_row");var b=rows.id(a),d=q[b];void 0===d?blueslip.warn("Got resend or retry on failure request but did not find message in ack list "+b):c(d,a)})}var e=new marked.Renderer;e.code=function(a,b){return"quote"===b?"<blockquote>\n<p>"+g(a,!0)+"</p>\n</blockquote>\n\n\n":'<div class="codehilite"><pre>'+g(a,!0)+"\n</pre></div>\n\n\n"};e.link=function(a,b,c){return'<a href="'+
a+'" target="_blank" title="'+(b||a)+'">'+c+"</a>"};e.br=function(){return"<br>\n"};marked.Lexer.rules.tables.list=/^( *)((?:\*)) [\s\S]+?(?:\n+(?=(?: *[\-*_]){3,} *(?:\n+|$))|\n{2,}(?! )(?!\1(?:\*) )\n*|\s*$)/;a(marked.Lexer.rules.tables,"heading");a(marked.Lexer.rules.tables,"lheading");marked.InlineLexer.rules.zulip.strong=/^\*\*([\s\S]+?)\*\*(?!\*)/;a(marked.InlineLexer.rules.zulip,"em");a(marked.InlineLexer.rules.zulip,"del");a(marked.InlineLexer.rules.zulip,"autolink");r.set_realm_filters(page_params.realm_filters);
fenced_code.set_stash_func(function(a){return marked.stashHtml(a,!0)});fenced_code.set_escape_func(g);marked.setOptions({gfm:!0,tables:!0,breaks:!0,pedantic:!1,sanitize:!0,smartLists:!0,smartypants:!1,zulip:!0,emojiHandler:k,unicodeEmojiHandler:m,userMentionHandler:l,realmFilterHandler:p,renderer:e,preprocessors:[function(a){return fenced_code.process_fenced_code(a)}]});b("remove",d);b("refresh",h);b("edit",c);$(document).on("home_view_loaded.zulip",function(){w=!0})});$(document).on("socket_loaded_requests.zulip",
function(b,c){function d(){_.each(g,function(a){e(a,a.local_id)})}var g=[],f=a();_.each(c.requests,function(a,b){var c=a.msg;void 0===c.stream||void 0===c.local_id||(c.local_id=f,c.queue_id=page_params.event_queue_id,f=parseFloat((f+0.01).toFixed(3)),g.push(c))});if(w)d();else $(document).on("home_view_loaded.zulip",function(){d()})});return r}();"undefined"!==typeof module&&(module.exports=echo);var Socket=function(){function h(b){this.url=b;this._is_reconnecting=this._is_authenticated=this._is_open=!1;this._reconnect_initiation_time=null;this._connection_failures=this._next_req_id_counter=0;this._heartbeat_timeout_id=this._reconnect_timeout_id=null;this._localstorage_requests_key="zulip_socket_requests";this._requests=this._localstorage_requests();var a=this;this._is_unloading=!1;$(window).on("unload",function(){a._is_unloading=!0});$(document).on("unsuspend",function(){a._try_to_reconnect({reason:"unsuspend"})});
0!==Object.keys(this._requests).length&&$(document).trigger("socket_loaded_requests.zulip",{requests:this._requests});this._supported_protocols="websocket xdr-streaming xhr-streaming xdr-polling xhr-polling jsonp-polling".split(" ");page_params.test_suite?this._supported_protocols=_.reject(this._supported_protocols,function(a){return"xhr-streaming"===a}):this._create_sockjs_object()}var f={none_given:{code:4E3,msg:"No reason provided"},no_heartbeat:{code:4001,msg:"Missed too many heartbeats"},auth_fail:{code:4002,
msg:"Authentication failed"},ack_timeout:{code:4003,msg:"ACK timeout"},cant_send:{code:4004,msg:"User attempted to send while Socket was not ready"},unsuspend:{code:4005,msg:"Got unsuspend event"}};h.prototype={_create_sockjs_object:function(){this._sockjs=new SockJS(this.url,null,{protocols_whitelist:this._supported_protocols});this._setup_sockjs_callbacks(this._sockjs)},_make_request:function(b){return{req_id:this._get_next_req_id(),type:b,state:"pending"}},send:function(b,a,e){var d=this._make_request("request");
d.msg=b;d.success=a;d.error=e;this._save_request(d);this._can_send()?this._do_send(d):this._try_to_reconnect({reason:"cant_send"})},_get_next_req_id:function(){var b=page_params.event_queue_id+":"+this._next_req_id_counter;this._next_req_id_counter++;return b},_req_id_too_new:function(b){b=b.split(":")[2];return parseInt(b,10)>=this._next_req_id_counter},_req_id_sorter:function(b,a){var e=parseInt(b.split(":")[2],10),d=parseInt(a.split(":")[2],10);return e-d},_do_send:function(b){var a=this;this._requests[b.req_id].ack_timeout_id=
setTimeout(function(){blueslip.info("Timeout on ACK for request "+b.req_id);a._try_to_reconnect({reason:"ack_timeout"})},2E3);try{this._update_request_state(b.req_id,"sent"),this._sockjs.send(JSON.stringify({req_id:b.req_id,type:b.type,request:b.msg}))}catch(e){if(this._update_request_state(b.req_id,"pending"),!(e instanceof Error&&"INVALID_STATE_ERR"===e.message))if(e instanceof Error&&-1!==e.message.indexOf("NS_ERROR_NOT_CONNECTED"))this._sockjs.close();else throw e;}},_can_send:function(){return this._is_open&&
this._is_authenticated},_resend:function(b){b=this._requests[b];null!==b.ack_timeout_id&&(clearTimeout(b.ack_timeout_id),b.ack_timeout_id=null);"request"===b.type&&this._do_send(b)},_process_response:function(b,a){var e=this._requests[b];void 0===e?this._req_id_too_new(b)&&blueslip.error("Got a response for an unknown request",{request_id:b,next_id:this._next_req_id_counter,outstanding_ids:_.keys(this._requests)}):("success"===a.result&&void 0!==e.success?e.success(a):void 0!==e.error&&e.error("response",
a),this._remove_request(b))},_process_ack:function(b){var a=this._requests[b];void 0===a?blueslip.error("Got an ACK for an unknown request",{request_id:b,next_id:this._next_req_id_counter,outstanding_ids:_.keys(this._requests)}):null!==a.ack_timeout_id&&(clearTimeout(a.ack_timeout_id),a.ack_timeout_id=null)},_setup_sockjs_callbacks:function(b){var a=this;b.onopen=function(){blueslip.info("Socket connected [transport="+b.protocol+"]");null!==a._reconnect_initiation_time&&server_events.restart_get_events();
a._is_open=!0;$(document).trigger($.Event("websocket_postopen.zulip",{}));$(function(){var b=a._make_request("auth");b.msg={csrf_token:csrf_token,queue_id:page_params.event_queue_id,status_inquiries:_.keys(a._requests)};b.success=function(b){a._is_authenticated=!0;a._is_reconnecting=!1;a._reconnect_initiation_time=null;a._connection_failures=0;var c=[];_.each(b.status_inquiries,function(b,d){"complete"===b.status?a._process_response(d,b.response):"received"===b.status?a._update_request_state(d,"sent"):
"not_received"===b.status&&c.push(d)});c.sort(a._req_id_sorter);_.each(c,function(b){a._resend(b)})};b.error=function(b,c){blueslip.info("Could not authenticate with server: "+c.msg);a._connection_failures++;a._try_to_reconnect({reason:"auth_fail",wait_time:a._reconnect_wait_time()})};a._save_request(b);a._do_send(b)})};b.onmessage=function(b){"ack"===b.data.type?a._process_ack(b.data.req_id):a._process_response(b.data.req_id,b.data.response)};b.onheartbeat=function(){null!==a._heartbeat_timeout_id&&
(clearTimeout(a._heartbeat_timeout_id),a._heartbeat_timeout_id=null);a._heartbeat_timeout_id=setTimeout(function(){a._heartbeat_timeout_id=null;blueslip.info("Missed too many hearbeats");a._try_to_reconnect({reason:"no_heartbeat"})},6E4)};b.onclose=function(b){a._is_unloading||($(document).trigger($.Event("websocket_postopen.zulip",{})),blueslip.info("SockJS connection lost.  Attempting to reconnect soon. ("+b.code.toString()+", "+b.reason+")"),a._connection_failures++,a._is_reconnecting=!1,a._try_to_reconnect({wait_time:a._reconnect_wait_time()}))}},
_reconnect_wait_time:function(){return 1===this._connection_failures?30:1E3*Math.min(90,Math.exp(this._connection_failures/2))},_try_to_reconnect:function(b){b=_.extend({wait_time:0,reason:"none_given"},b);var a=this,e=(new Date).getTime();this._is_reconnecting&&1E3>e-this._reconnect_initiation_time||(null!==this._reconnect_timeout_id&&(clearTimeout(this._reconnect_timeout_id),this._reconnect_timeout_id=null),null!==this._heartbeat_timeout_id&&(clearTimeout(a._heartbeat_timeout_id),this._heartbeat_timeout_id=
null),_.each(this._requests,function(b,c){null!==b.ack_timeout_id&&(clearTimeout(b.ack_timeout_id),b.ack_timeout_id=null);"auth"===b.type&&a._remove_request(c)}),this._is_authenticated=this._is_open=!1,this._is_reconnecting=!0,this._reconnect_initiation_time=e,void 0!==this._sockjs&&(e=f[b.reason],this._sockjs.close(e.code,e.msg)),this._reconnect_timeout_id=setTimeout(function(){a._reconnect_timeout_id=null;blueslip.info("Attempting socket reconnect.");a._create_sockjs_object()},b.wait_time))},_localstorage_requests:function(){return!localstorage.supported()?
{}:JSON.parse(window.localStorage[this._localstorage_requests_key]||"{}")},_save_localstorage_requests:function(){if(localstorage.supported()){var b={};_.each(this._requests,function(a,d){"auth"!==a.type&&(b[d]=a)});try{window.localStorage[this._localstorage_requests_key]=JSON.stringify(b)}catch(a){blueslip.warn("Failed to save to local storage, caught exception when saving "+a)}}},_save_request:function(b){this._requests[b.req_id]=b;localstorage.supported()&&this._save_localstorage_requests()},_remove_request:function(b){delete this._requests[b];
localstorage.supported()&&this._save_localstorage_requests()},_update_request_state:function(b,a){this._requests[b].state=a;localstorage.supported()&&this._save_localstorage_requests()}};return h}();var compose=function(){function h(){return void 0!==window.bridge&&void 0!==window.bridge.desktopAppVersion?"desktop app "+window.bridge.desktopAppVersion():"website"}function f(){$("#new_message_content").trigger("autosize.resize")}function b(a,b,c){"stream"===a?($("#private-message").hide(),$("#stream-message").show(),$("#stream_toggle").addClass("active"),$("#private_message_toggle").removeClass("active")):($("#private-message").show(),$("#stream-message").hide(),$("#stream_toggle").removeClass("active"),
$("#private_message_toggle").addClass("active"));$("#send-status").removeClass(status_classes).hide();$("#compose").css({visibility:"visible"});$(".new_message_textarea").css("min-height","3em");void 0!==b&&(""===window.getSelection().toString()||"message click"!==c.trigger)&&b.focus().select();-1!==current_msg_list.selected_id()&&(a=current_msg_list.selected_row(),a=a.offset().top+a.height()-$("#compose").offset().top,0<a&&viewport.user_initiated_animate_scroll(a+5))}function a(){var a=stream_data.get_sub(compose.stream_name()).subscribers.num_items(),
a=templates.render("compose_all_everyone",{count:a}),b=$("#compose-all-everyone");b.is(":visible")||b.append(a);b.show();G=!1}function e(){$("#compose-all-everyone").hide();$("#compose-all-everyone").empty();$("#send-status").hide()}function d(){$("#compose_invite_users").hide();$("#compose_invite_users").empty()}function c(){C.snapshot_message();d();e();G=void 0;$("#compose").find("input[type=text], textarea").val("");f();$("#send-status").hide(0)}function g(){y&&(compose_fade.set_focused_recipient(y),
compose_fade.update_faded_messages())}function m(){$("#compose-send-button").removeAttr("disabled");var a=$("#compose").data("filedrop_xhr");void 0!==a&&(a.abort(),$("#compose").removeData("filedrop_xhr"))}function k(){var a=compose.subject();""===a&&(a=compose.empty_subject_placeholder());var b;b=compose.message_content().replace(E,"]($1)");a={client:h(),type:compose.composing(),subject:a,stream:compose.stream_name(),private_message_recipient:compose.recipient(),content:b,sender_id:page_params.user_id,
queue_id:page_params.event_queue_id};"private"===a.type?(a.to=util.extract_pm_recipients(compose.recipient()),a.reply_to=compose.recipient()):a.to=compose.stream_name();return a}function l(){$("#restore-draft").hide();J=void 0}function p(a,b){$("#send-status").removeClass(status_classes).addClass("alert-error").stop(!0).fadeTo(0,1);$("#error-msg").html(a);$("#compose-send-button").removeAttr("disabled");$("#sending-indicator").hide();void 0!==b&&b.focus().select()}function u(a,b,c){channel.post({url:"/json/messages",
data:a,success:b,error:function(a,b){if("timeout"!==b&&reload.is_pending())reload.initiate({immediate:!0,save_pointer:!0,save_narrow:!0,save_compose:!0,send_after_reload:!0});else{var d=channel.xhr_error_message("Error sending message",a);c(d)}}})}function r(a,b,c){M.send(a,b,function(a,b){var d="Error sending message";"response"===a&&(d+=": "+b.msg);c(d)})}function n(a){a=C.send_times_data[a];if(!(void 0===a.send_finished||void 0===a.received||void 0===a.displayed)){var b=a.locally_echoed,c={time:(a.send_finished-
a.start).toString(),received:(a.received-a.start).toString(),displayed:(a.displayed-a.start).toString(),locally_echoed:b};b&&(c.rendered_content_disparity=a.rendered_content_disparity||!1);channel.post({url:"/json/report_send_time",data:c})}}function q(a){void 0===C.send_times_data[a]&&(C.send_times_data[a]={});C.send_times_data[a].received=new Date;n(a)}function s(a,b,c){var d=new Date,e=d-b;feature_flags.log_send_times&&blueslip.log("send time: "+e);feature_flags.collect_send_times&&C.send_times_log.push(e);
void 0===C.send_times_data[a]&&(C.send_times_data[a]={});C.send_times_data[a].start=b;C.send_times_data[a].send_finished=d;C.send_times_data[a].locally_echoed=c;n(a)}function t(){$("#new_message_content").val("").focus();f();$("#send-status").hide(0);l();$("#compose-send-button").removeAttr("disabled");$("#sending-indicator").hide();resize.resize_bottom_whitespace()}function w(a){void 0===a&&(a=k());C.snapshot_message(a);a.to="private"===a.type?JSON.stringify(a.to):JSON.stringify([a.to]);var b=new Date,
c;feature_flags.local_echo&&(c=echo.try_deliver_locally(a),void 0!==c&&(a.local_id=c));var d=void 0!==c;C.transmit_message(a,function(a){C.send_message_success(c,a.id,b,d)},function(b){!feature_flags.local_echo||void 0===a.local_id?p(b,$("#new_message_content")):echo.message_send_error(c,b)});server_events.assert_get_events_running("Restarting get_events because it was not running during send");feature_flags.local_echo&&d&&t()}function D(a,b){return function(c){var d=$("#"+a),e=d.val();void 0!==c&&
d.val(c);return b?e:$.trim(e)}}function A(){var b=C.stream_name();if(""===b)return p(i18n.t("Please specify a stream"),$("#stream")),!1;if(page_params.mandatory_topics&&""===C.subject())return p(i18n.t("Please specify a topic"),$("#subject")),!1;if(util.is_all_or_everyone_mentioned(C.message_content())){if(void 0===G||!1===G)return a(),p(i18n.t("Please remove @all / @everyone or acknowledge that you will be spamming everyone!")),!1}else e();G=void 0;if(!stream_data.is_subscribed(b)){var c=C.check_stream_existence(b,
void 0!==page_params.narrow_stream);"error"===c&&(p(i18n.t("Error checking subscription"),$("#stream")),$("#compose-send-button").removeAttr("disabled"),$("#sending-indicator").hide());switch(c){case "does-not-exist":return b="<p>The stream <b>"+Handlebars.Utils.escapeExpression(b)+"</b> does not exist.</p><p>Manage your subscriptions <a href='#subscriptions'>on your Streams page</a>.</p>",p(b,$("#stream")),!1;case "error":return!1;case "not-subscribed":return b="<p>You're not subscribed to the stream <b>"+
Handlebars.Utils.escapeExpression(b)+"</b>.</p><p>Manage your subscriptions <a href='#subscriptions'>on your Streams page</a>.</p>",p(b,$("#stream")),!1}}return!0}function B(){if(""===C.recipient())return p(i18n.t("Please specify at least one recipient"),$("#private_message_recipient")),!1;if(page_params.is_zephyr_mirror_realm)return!0;var a=util.extract_pm_recipients(compose.recipient()),b=[],c={};_.each(a,function(a){""!==a&&void 0===people.realm_get(a)&&(util.string_in_list_case_insensitive(a,
page_params.cross_realm_user_emails)||b.push(a))});return 1===b.length?(c={recipient:b.join()},p(i18n.t("The recipient __recipient__ is not valid ",c),$("#private_message_recipient")),!1):1<b.length?(c={recipients:b.join()},p(i18n.t("The recipients __recipients__ are not valid ",c),$("#private_message_recipient")),!1):!0}var C={},y=!1,G,J,N=document.location.protocol+"//"+document.location.host,x="/user_uploads",E=RegExp("\\]\\("+N+"("+x+"[^\\)]+)\\)","g");C.decorate_stream_bar=function(a){var b=
stream_data.get_color(a),c=$("#compose-lock-icon"),d=$("#stream");stream_data.get_invite_only(a)?(c.show(),d.addClass("lock-padding")):(c.hide(),d.removeClass("lock-padding"));$("#stream-message .message_header_stream").css("background-color",b).removeClass(stream_color.color_classes).addClass(stream_color.get_color_class(b))};$(function(){$("#stream,#subject,#private_message_recipient").bind({keyup:g,change:g})});C.start=function(a,d){if(!reload.is_in_progress()){notifications.clear_compose_notifications();
$("#compose_close").show();$("#compose_controls").hide();$(".message_comp").show();var e=d,g={message_type:a,stream:"",subject:"",private_message_recipient:"",trigger:"unknown"};narrow.set_compose_defaults(g);d=e=_.extend(g,e);"compose_hotkey"===d.trigger&&(d.subject="",d.private_message_recipient="");compose.composing()&&!(compose.composing()===a&&("stream"===a&&d.stream===compose.stream_name()&&d.subject===compose.subject()||"private"===a&&d.private_message_recipient===compose.recipient()))&&c();
compose.stream_name(d.stream);compose.subject(d.subject);compose.recipient(d.private_message_recipient.replace(/,\s*/g,", "));void 0!==d.content&&compose.message_content(d.content);ui.change_tab_to("#home");y=a;var e=d,f;if("stream"===a&&e.stream&&!e.subject)f="subject";else if("stream"===a&&e.stream||"private"===a&&e.private_message_recipient)f="new_message_content";"stream"===a?b("stream",$("#"+(f||"stream")),e):b("private",$("#"+(f||"private_message_recipient")),e);compose_fade.start_compose(a);
C.decorate_stream_bar(d.stream);$(document).trigger($.Event("compose_started.zulip",d));resize.resize_bottom_whitespace()}};C.cancel=function(){void 0!==page_params.narrow?(compose_fade.clear_compose(),void 0!==page_params.narrow_topic?compose.subject(page_params.narrow_topic):compose.subject("")):($(".message_comp").find("input, textarea, button").blur(),$("#stream-message").hide(),$("#private-message").hide(),$(".new_message_textarea").css("min-height",""),compose_fade.clear_compose(),$(".message_comp").hide(),
$("#compose_controls").show(),$("#compose_close").hide(),resize.resize_bottom_whitespace(),c(),notifications.clear_compose_notifications(),m(),y=!1,void 0!==J&&$("#restore-draft").show(),$(document).trigger($.Event("compose_canceled.zulip")))};C.empty_subject_placeholder=function(){return"(no topic)"};C.snapshot_message=function(a){C.composing()&&""!==C.message_content()&&(J=void 0!==a?_.extend({},a):k())};C.restore_message=function(){if(J){var b=_.extend({},J);if("stream"===b.type&&0<b.stream.length&&
0<b.subject.length||"private"===b.type&&0<b.reply_to.length)b=_.extend({replying_to_message:b},b);l();compose_fade.clear_compose();compose.start(b.type,b);void 0!==b.content&&util.is_all_or_everyone_mentioned(b.content)&&a()}};var M;feature_flags.use_socket&&(M=new Socket("/sockjs"));C._socket=M;C.send_times_log=[];C.send_times_data={};C.mark_rendered_content_disparity=function(a,b){void 0===C.send_times_data[a]&&(C.send_times_data[a]={});C.send_times_data[a].rendered_content_disparity=b};C.report_as_received=
function(a){a.sent_by_me&&(q(a.id),setTimeout(function(){var b=a.id;void 0===C.send_times_data[b]&&(C.send_times_data[b]={});C.send_times_data[b].displayed=new Date;n(b)},0))};C.send_message_success=function(a,b,c,d){(!feature_flags.local_echo||!d)&&t();s(b,c,d);feature_flags.local_echo&&echo.reify_message_id(a,b);setTimeout(function(){void 0===C.send_times_data[b].received&&(blueslip.log("Restarting get_events due to delayed receipt of sent message "+b),server_events.restart_get_events())},5E3)};
C.transmit_message=function(a,b,c){delete C.send_times_data[a.id];feature_flags.use_socket?r(a,b,c):u(a,b,c)};C.respond_to_message=function(a){var b,c;compose.snapshot_message();b=current_msg_list.selected_message();if(void 0!==b){unread.mark_message_as_read(b);var d="",e="";"stream"===b.type&&(d=b.stream,e=b.subject);var g=b.reply_to;"personal"===a.reply_type&&"private"===b.type&&(g=b.sender_email);c="personal"===a.reply_type||"private"===b.type?"private":b.type;compose.start(c,{stream:d,subject:e,
private_message_recipient:g,replying_to_message:b,trigger:a.trigger})}};C.test_send_many_messages=function(a,b,c){function d(){var g={};e+=1;g.type="stream";g.to=a;g.subject=b;g.content=e.toString();g.client=h();w(g);e!==c&&setTimeout(d,1E3)}var e=0;d()};C.finish=function(){d();if(!compose.validate())return!1;w();$(document).trigger($.Event("compose_finished.zulip"));return!0};$(function(){$("#compose form").on("submit",function(a){a.preventDefault();compose.finish()})});C.composing=function(){return y};
C.stream_name=D("stream");C.subject=D("subject");C.message_content=D("new_message_content",!0);C.recipient=D("private_message_recipient");C.has_message_content=function(){return""!==C.message_content()};C.check_stream_existence=function(a,b){var c="error",d={stream:a};b&&(d.autosubscribe=!0);channel.post({url:"/json/subscriptions/exists",data:d,async:!1,success:function(a){c=a.subscribed?"subscribed":"not-subscribed"},error:function(a){c=404===a.status?"does-not-exist":"error"}});return c};C.validate=
function(){$("#compose-send-button").attr("disabled","disabled").blur();$("#sending-indicator").show();return/^\s*$/.test(C.message_content())?(p(i18n.t("You have nothing to send!"),$("#new_message_content")),!1):$("#zephyr-mirror-error").is(":visible")?(p(i18n.t("You need to be running Zephyr mirroring in order to send messages!")),!1):"private"===C.composing()?B():A()};$(function(){function b(a,c,d){$("#compose-send-button").attr("disabled","");$("#send-status").addClass("alert-info").show();$(".send-status-close").one("click",
m);$("#error-msg").html($("<p>").text("Uploading\u2026").after('<div class="progress progress-striped active"><div class="bar" id="upload-bar" style="width: 00%;"></div></div>'))}function c(a,b,d){$("#upload-bar").width(d+"%")}function d(a,b){var c;$("#send-status").addClass("alert-error").removeClass("alert-info");$("#compose-send-button").removeAttr("disabled");switch(a){case "BrowserNotSupported":c="File upload is not yet available for your browser.";break;case "TooManyFiles":c="Unable to upload that many files at once.";
break;case "FileTooLarge":c='"'+b.name+'" was too large; the maximum file size is 25MiB.';break;case "REQUEST ENTITY TOO LARGE":c="Sorry, the file was too large.";break;default:c="An unknown error occured."}$("#error-msg").text(c)}function g(a,b,c,d){void 0!==c.uri&&(b=$("#new_message_content"),d=c.uri.split("/"),d=d[d.length-1],compose.composing()||compose.start("stream"),c=c.uri,c=0===c.indexOf(x)?N+c:c,-1===a?b.val(b.val()+"[pasted image]("+c+") "):b.val(b.val()+"["+d+"]("+c+") "),f(),$("#compose-send-button").removeAttr("disabled"),
$("#send-status").removeClass("alert-info").hide(),a=$("#file_input"),c=a.clone(!0),a.replaceWith(c))}$("#new_message_content").autosize();window.XMLHttpRequest&&(new XMLHttpRequest).upload&&$("#compose #attach_files").removeClass("notdisplayed");feature_flags.dropbox_integration&&LazyLoad.js("https://www.dropbox.com/static/api/1/dropins.js",function(){_.has(window,"Dropbox")?Dropbox.isBrowserSupported()&&(Dropbox.init({appKey:window.dropboxAppKey}),$("#compose #attach_dropbox_files").removeClass("notdisplayed")):
blueslip.error("Dropbox script reports loading but window.Dropbox undefined")});$(document).on("usermention_completed.zulip",function(b,c){if(!("stream"!==y||page_params.is_zephyr_mirror_realm)&&void 0!==c&&void 0!==c.mentioned){var d=c.mentioned.email;if("all"===c.mentioned.full_name||"everyone"===c.mentioned.full_name)a();else if(!1===compose_fade.would_receive_message(d)){var e=templates.render("compose-invite-users",{email:d,name:c.mentioned.full_name}),g=$("#compose_invite_users");-1===_.map($(".compose_invite_user",
g),function(a){return $(a).data("useremail")}).indexOf(d)&&g.append(e);g.show()}}});$("#compose-all-everyone").on("click",".compose-all-everyone-confirm",function(a){a.preventDefault();$(a.target).parents(".compose-all-everyone").remove();G=!0;e();$("#new_message_content").focus().select()});$("#compose_invite_users").on("click",".compose_invite_link",function(a){a.preventDefault();var b=$(a.target).parents(".compose_invite_user"),c=$(b).data("useremail");void 0!==c&&subs.invite_user_to_stream(c,
compose.stream_name(),function(){var a=$("#compose_invite_users");b.remove();0===a.children().length&&a.hide()},function(){b.find(".compose_invite_user_error").show();$(a.target).attr("disabled",!0)})});$("#compose_invite_users").on("click",".compose_invite_close",function(a){a=$(a.target).parents(".compose_invite_user");var b=$("#compose_invite_users");a.remove();0===b.children().length&&b.hide()});$("#compose").on("click","#attach_files",function(a){a.preventDefault();$("#compose #file_input").trigger("click")});
$("#compose").on("click","#attach_dropbox_files",function(a){a.preventDefault();Dropbox.choose({success:function(a){var b=$("#new_message_content");a=_.map(a,function(a){return"["+a.name+"]("+a.link+")"}).join(" ")+" ";b.val(b.val()+a)},multiselect:!0,iframe:!0})});window.bridge&&(C.uploadStarted=b,C.progressUpdated=c,C.uploadError=d,C.uploadFinished=g);$("#compose").filedrop({url:"/json/upload_file",fallback_id:"file_input",paramname:"file",maxfilesize:page_params.maxfilesize,data:{csrfmiddlewaretoken:csrf_token},
raw_droppable:["text/uri-list","text/plain"],drop:b,progressUpdated:c,error:d,uploadFinished:g,rawDrop:function(a){var b=$("#new_message_content");compose.composing()||compose.start("stream");b.val(b.val()+a);f()}});void 0!==page_params.narrow&&(void 0!==page_params.narrow_topic?compose.start("stream",{subject:page_params.narrow_topic}):compose.start("stream",{}));$(document).on("message_id_changed",function(a){if(void 0!==C.send_times_data[a.old_id]){var b=C.send_times_data[a.old_id];delete C.send_times_data[a.old_id];
C.send_times_data[a.new_id]=_.extend({},C.send_times_data[a.old_id],b)}})});return C}();var stream_color=function(){function h(a,c,d){var e=b.get_color_class(d);a=$("#floating_recipient_bar").add(a).find(".stream_label");_.each(a,function(a){a=$(a);$.trim(a.text())===c&&(a.closest(".recipient_row").children(".message_row").children(".messagebox").css("box-shadow","inset 2px 0px 0px 0px "+d+", -1px 0px 0px 0px "+d),a.css({background:d,"border-left-color":d}),a.removeClass(b.color_classes),a.addClass(e))})}function f(a){var b=$(this).attr("stream_name");a=a.toHexString();subs.set_color(b,
a)}var b={default_color:"#c2c2c2"},a="#76ce90 #fae589 #a6c7e5 #e79ab5 #bfd56f #f4ae55 #b0a5fd #addfe5 #f5ce6e #c2726a #94c849 #bd86e5 #ee7e4a #a6dcbf #95a5fd #53a063 #9987e1 #e4523d #c2c2c2 #4f8de4 #c6a8ad #e7cc4d #c8bebf #a47462".split(" ");b.color_classes="dark_background";b.pick_color=function(b){var c=_.shuffle(a),d={};_.each(b,function(a){d[a]=!0});return(b=_.find(c,function(a){return!_.has(d,a)}))?b:c[0]};var e=["a47462 c2726a e4523d e7664d ee7e4a f4ae55".split(" "),"76ce90 53a063 94c849 bfd56f fae589 f5ce6e".split(" "),
"a6dcbf addfe5 a6c7e5 4f8de4 95a5fd b0a5fd".split(" "),"c2c2c2 c8bebf c6a8ad e79ab5 bd86e5 9987e1".split(" ")],d={clickoutFiresChange:!0,showPalette:!0,showInput:!0,palette:e};b.set_colorpicker_color=function(a,b){a.spectrum(_.extend(d,{color:b,container:"#subscriptions_table"}))};b.update_stream_color=function(a,c,d,e){e=_.defaults({},e,{update_historical:!1});a.color=d;a=parseInt(a.stream_id,10);$("#subscription_"+a+" .color_swatch").css("background-color",d);b.set_colorpicker_color($("#subscription_"+
a+" .colorpicker"),d);e.update_historical&&(h($(".focused_table"),c,d),"#zhome"!==$(".focused_table").attr("id")&&h($("#zhome"),c,d));$("#stream_sidebar_swatch_"+a).css("background-color",d);$("#stream_sidebar_privacy_swatch_"+a).css("color",d);tab_bar.colorize_tab_bar()};d.change=f;b.sidebar_popover_colorpicker_options={clickoutFiresChange:!0,showPaletteOnly:!0,showPalette:!0,showInput:!0,flat:!0,palette:e,change:f};b.sidebar_popover_colorpicker_options_full={clickoutFiresChange:!0,showPalette:!0,
showInput:!0,flat:!0,cancelText:"",chooseText:"choose",palette:e,change:f};var c;$(function(){c=(colorspace.luminance_to_lightness(colorspace.sRGB_to_linear(51))+100)/2});b.get_color_class=_.memoize(function(a){var b,d=[0,0,0],e=1;b=/^#([\da-fA-F]{2})([\da-fA-F]{2})([\da-fA-F]{2})$/.exec(a);if(!b&&(e=17,b=/^#([\da-fA-F])([\da-fA-F])([\da-fA-F])$/.exec(a),!b))return"";for(a=0;3>a;a++)d[a]=colorspace.sRGB_to_linear(e*parseInt(b[a+1],16));return colorspace.luminance_to_lightness(colorspace.rgb_luminance(d))<
c?"dark_background":""});return b}();"undefined"!==typeof module&&(module.exports=stream_color);var admin=function(){function h(a,b){loading.destroy_indicator($("#subs_page_loading_indicator"));ui.report_error(i18n.t("Error listing users or bots"),a,$("#administration-status"))}function f(a,b){ui.report_error(i18n.t("Error listing streams"),a,$("#administration-status"))}function b(a){var b=$("#admin_users_table"),c=$("#admin_deactivated_users_table"),d=$("#admin_bots_table");b.find("tr.user_row").remove();c.find("tr.user_row").remove();d.find("tr.user_row").remove();var e=[],g=[],f=[];_.each(a.members,
function(a){a.is_active_human=a.is_active&&!a.is_bot;a.is_bot?f.push(a):a.is_active?e.push(a):g.push(a)});e=_.sortBy(e,"full_name");g=_.sortBy(g,"full_name");f=_.sortBy(f,"full_name");_.each(f,function(a){d.append(templates.render("admin_user_list",{user:a}))});_.each(e,function(a){b.append(templates.render("admin_user_list",{user:a}))});_.each(g,function(a){c.append(templates.render("admin_user_list",{user:a}))});loading.destroy_indicator($("#admin_page_users_loading_indicator"));loading.destroy_indicator($("#admin_page_bots_loading_indicator"));
loading.destroy_indicator($("#admin_page_deactivated_users_loading_indicator"))}function a(a){var b=$("#admin_streams_table").expectOne();k=a;b.find("tr.stream_row").remove();_.each(a.streams,function(a){b.append(templates.render("admin_streams_list",{stream:a}))});loading.destroy_indicator($("#admin_page_streams_loading_indicator"))}function e(a){var b=$("#admin_default_streams_table").expectOne();_.each(a,function(a){b.append(templates.render("admin_default_streams_list",{stream:a}))});loading.destroy_indicator($("#admin_page_default_streams_loading_indicator"))}
function d(a){var b=[],c=[];_.each(page_params.realm_default_streams,function(a){c.push(a.name)});_.each(a.streams,function(a){0>c.indexOf(a.name)&&b.push(a.name)});return b}function c(a){a={stream_name:a};$("#admin_default_streams_table").expectOne();channel.put({url:"/json/default_streams",data:a,error:function(a,b){"4"===a.status.toString().charAt(0)?$(".active_stream_row button").closest("td").html($("<p>").addClass("text-error").text($.parseJSON(a.responseText).msg)):$(".active_stream_row button").text("Failed!")}})}
function g(){var e={realm_name:page_params.realm_name,domain:page_params.domain,realm_restricted_to_domain:page_params.realm_restricted_to_domain,realm_invite_required:page_params.realm_invite_required,realm_invite_by_admins_only:page_params.realm_invite_by_admins_only,realm_create_stream_by_admins_only:page_params.realm_create_stream_by_admins_only,realm_allow_message_editing:page_params.realm_allow_message_editing,realm_message_content_edit_limit_minutes:Math.ceil(page_params.realm_message_content_edit_limit_seconds/
60),language_list:page_params.language_list,realm_default_language:page_params.realm_default_language},e=templates.render("admin_tab",e);$("#administration").html(e);$("#administration-status").expectOne().hide();$("#admin-realm-name-status").expectOne().hide();$("#admin-realm-restricted-to-domain-status").expectOne().hide();$("#admin-realm-invite-required-status").expectOne().hide();$("#admin-realm-invite-by-admins-only-status").expectOne().hide();$("#admin-realm-create-stream-by-admins-only-status").expectOne().hide();
$("#admin-realm-message-editing-status").expectOne().hide();$("#admin-realm-default-language-status").expectOne().hide();$("#admin-emoji-status").expectOne().hide();$("#admin-emoji-name-status").expectOne().hide();$("#admin-emoji-url-status").expectOne().hide();$("#id_realm_default_language").val(page_params.realm_default_language);loading.make_indicator($("#admin_page_users_loading_indicator"));loading.make_indicator($("#admin_page_bots_loading_indicator"));loading.make_indicator($("#admin_page_streams_loading_indicator"));
loading.make_indicator($("#admin_page_deactivated_users_loading_indicator"));loading.make_indicator($("#admin_page_emoji_loading_indicator"));channel.get({url:"/json/users",idempotent:!0,timeout:1E4,success:b,error:h});channel.get({url:"/json/streams?include_public=true&include_subscribed=true&include_default=true",timeout:1E4,idempotent:!0,success:a,error:f});m.populate_emoji(page_params.realm_emoji);m.update_default_streams_table();$(".admin_user_table").on("click",".deactivate",function(a){a.preventDefault();
a.stopPropagation();$(".active_user_row").removeClass("active_user_row");var b=$(a.target).closest(".user_row");b.addClass("active_user_row");a=b.find(".user_name").text();b=b.find(".email").text();$("#deactivation_user_modal .email").text(b);$("#deactivation_user_modal .user_name").text(a);$("#deactivation_user_modal").modal("show")});$(".admin_stream_table").on("click",".deactivate",function(a){a.preventDefault();a.stopPropagation();$(".active_stream_row").removeClass("active_stream_row");a=$(a.target).closest(".stream_row");
a.addClass("active_stream_row");a=a.find(".stream_name").text();$("#deactivation_stream_modal .stream_name").text(a);$("#deactivation_stream_modal").modal("show")});$(".admin_default_stream_table").on("click",".remove-default-stream",function(a){a.preventDefault();a.stopPropagation();$(".active_default_stream_row").removeClass("active_default_stream_row");a=$(a.target).closest(".default_stream_row");a.addClass("active_default_stream_row");a=a.find(".default_stream_name").text();channel.del({url:"/json/default_streams?"+
$.param({stream_name:a}),error:function(a,b){"4"===a.status.toString().charAt(0)?$(".active_default_stream_row button").closest("td").html($("<p>").addClass("text-error").text($.parseJSON(a.responseText).msg)):$(".active_default_stream_row button").text("Failed!")},success:function(){$(".active_default_stream_row").remove()}})});$(".create_default_stream").keypress(function(a){13===a.which&&(a.preventDefault(),a.stopPropagation())});$(".create_default_stream").typeahead({items:5,fixed:!0,source:function(a){return d(k)},
highlight:!0,updater:function(a){c(a)}});$(".admin_bot_table").on("click",".deactivate",function(a){a.preventDefault();a.stopPropagation();$(".active_user_row").removeClass("active_user_row");var b=$(a.target).closest(".user_row");b.addClass("active_user_row");b.find(".user_name").text();a=b.find(".email").text();channel.del({url:"/json/bots/"+a,error:function(a,c){"4"===a.status.toString().charAt(0)?b.find("button").closest("td").html($("<p>").addClass("text-error").text($.parseJSON(a.responseText).msg)):
b.find("button").text("Failed!")},success:function(){var a=b.find("button.deactivate");a.addClass("btn-warning");a.removeClass("btn-danger");a.addClass("reactivate");a.removeClass("deactivate");a.text(i18n.t("Reactivate"));b.addClass("deactivated_user")}})});$(".admin_user_table, .admin_bot_table").on("click",".reactivate",function(a){a.preventDefault();a.stopPropagation();$(".active_user_row").removeClass("active_user_row");var b=$(a.target).closest(".user_row");b.addClass("active_user_row");a=b.find(".email").text();
channel.post({url:"/json/users/"+a+"/reactivate",error:function(a,c){var d=b.find("button");"4"===a.status.toString().charAt(0)?d.closest("td").html($("<p>").addClass("text-error").text($.parseJSON(a.responseText).msg)):d.text(i18n.t("Failed!"))},success:function(){var a=b.find("button.reactivate");a.addClass("btn-danger");a.removeClass("btn-warning");a.addClass("deactivate");a.removeClass("reactivate");a.text(i18n.t("Deactivate"));b.removeClass("deactivated_user")}})});$("#id_realm_invite_required").change(function(){this.checked?
($("#id_realm_invite_by_admins_only").removeAttr("disabled"),$("#id_realm_invite_by_admins_only_label").removeClass("control-label-disabled")):($("#id_realm_invite_by_admins_only").attr("disabled",!0),$("#id_realm_invite_by_admins_only_label").addClass("control-label-disabled"))});$("#id_realm_allow_message_editing").change(function(){this.checked?($("#id_realm_message_content_edit_limit_minutes").removeAttr("disabled"),$("#id_realm_message_content_edit_limit_minutes_label").removeClass("control-label-disabled")):
($("#id_realm_message_content_edit_limit_minutes").attr("disabled",!0),$("#id_realm_message_content_edit_limit_minutes_label").addClass("control-label-disabled"))});$(".administration").on("submit","form.admin-realm-form",function(a){var b=$("#admin-realm-name-status").expectOne(),c=$("#admin-realm-restricted-to-domain-status").expectOne(),d=$("#admin-realm-invite-required-status").expectOne(),e=$("#admin-realm-invite-by-admins-only-status").expectOne(),g=$("#admin-realm-create-stream-by-admins-only-status").expectOne(),
f=$("#admin-realm-message-editing-status").expectOne(),k=$("#admin-realm-default-language-status").expectOne();b.hide();c.hide();d.hide();e.hide();g.hide();f.hide();k.hide();a.preventDefault();a.stopPropagation();a=$("#id_realm_name").val();var l=$("#id_realm_restricted_to_domain").prop("checked"),m=$("#id_realm_invite_required").prop("checked"),h=$("#id_realm_invite_by_admins_only").prop("checked"),C=$("#id_realm_create_stream_by_admins_only").prop("checked"),y=$("#id_realm_allow_message_editing").prop("checked"),
G=$("#id_realm_message_content_edit_limit_minutes").val(),J=$("#id_realm_default_language").val();if(!y&&(parseInt(G,10).toString()!==G||0>G))G=10;a={name:JSON.stringify(a),restricted_to_domain:JSON.stringify(l),invite_required:JSON.stringify(m),invite_by_admins_only:JSON.stringify(h),create_stream_by_admins_only:JSON.stringify(C),allow_message_editing:JSON.stringify(y),message_content_edit_limit_seconds:JSON.stringify(60*parseInt(G,10)),default_language:JSON.stringify(J)};channel.patch({url:"/json/realm",
data:a,success:function(a){void 0!==a.name&&ui.report_success(i18n.t("Name changed!"),b);void 0!==a.restricted_to_domain&&(a.restricted_to_domain?ui.report_success(i18n.t("New users must have @__domain__ e-mails!",page_params),c):ui.report_success(i18n.t("New users may have arbitrary e-mails!"),c));void 0!==a.invite_required&&(a.invite_required?ui.report_success(i18n.t("New users must be invited by e-mail!"),d):ui.report_success(i18n.t("New users may sign up online!"),d));void 0!==a.invite_by_admins_only&&
(a.invite_by_admins_only?ui.report_success(i18n.t("New users must be invited by an admin!"),e):ui.report_success(i18n.t("Any user may now invite new users!"),e));void 0!==a.create_stream_by_admins_only&&(a.create_stream_by_admins_only?ui.report_success(i18n.t("Only Admins may now create new streams!"),g):ui.report_success(i18n.t("Any user may now create new streams!"),g));if(void 0!==a.allow_message_editing){var l=Math.ceil(a.message_content_edit_limit_seconds/60);a.allow_message_editing?0<a.message_content_edit_limit_seconds?
ui.report_success(i18n.t("Users can now edit topics for all their messages, and the content of messages which are less than __num_minutes__ minutes old.",{num_minutes:l}),f):ui.report_success(i18n.t("Users can now edit the content and topics of all their past messages!"),f):ui.report_success(i18n.t("Users can no longer edit their past messages!"),f);$("#id_realm_message_content_edit_limit_minutes").val(l)}void 0!==a.default_language&&a.default_language&&ui.report_success(i18n.t("Default language changed!"),
k)},error:function(a,c){ui.report_error(i18n.t("Failed!"),a,b)}})});$(".admin_user_table").on("click",".make-admin",function(a){a.preventDefault();a.stopPropagation();$(".active_user_row").removeClass("active_user_row");var b=$(a.target).closest(".user_row");b.addClass("active_user_row");a="/json/users/"+b.find(".email").text();var c={is_admin:JSON.stringify(!0)};channel.patch({url:a,data:c,success:function(){var a=b.find("button.make-admin");a.addClass("btn-danger");a.removeClass("btn-warning");
a.addClass("remove-admin");a.removeClass("make-admin");a.text(i18n.t("Remove admin"))},error:function(a,c){var d=b.find(".admin-user-status");ui.report_error(i18n.t("Failed!"),a,d)}})});$(".admin_user_table").on("click",".remove-admin",function(a){a.preventDefault();a.stopPropagation();$(".active_user_row").removeClass("active_user_row");var b=$(a.target).closest(".user_row");b.addClass("active_user_row");a="/json/users/"+b.find(".email").text();var c={is_admin:JSON.stringify(!1)};channel.patch({url:a,
data:c,success:function(){var a=b.find("button.remove-admin");a.addClass("btn-warning");a.removeClass("btn-danger");a.addClass("make-admin");a.removeClass("remove-admin");a.text(i18n.t("Make admin"))},error:function(a,c){var d=b.find(".admin-user-status");ui.report_error(i18n.t("Failed!"),a,d)}})});$("#do_deactivate_user_button").click(function(a){var b=$(".active_user_row");a=b.find(".email").text();$("#deactivation_user_modal .email").html()!==a&&(blueslip.error("User deactivation canceled due to non-matching fields."),
ui.report_message("Deactivation encountered an error. Please reload and try again.",$("#home-error"),"alert-error"));$("#deactivation_user_modal").modal("hide");b.find("button").prop("disabled",!0).text("Working\u2026");channel.del({url:"/json/users/"+a,error:function(a,c){"4"===a.status.toString().charAt(0)?b.find("button").closest("td").html($("<p>").addClass("text-error").text($.parseJSON(a.responseText).msg)):b.find("button").text("Failed!")},success:function(){var a=b.find("button.deactivate");
a.prop("disabled",!1);a.addClass("btn-warning");a.removeClass("btn-danger");a.addClass("reactivate");a.removeClass("deactivate");a.text(i18n.t("Reactivate"));b.addClass("deactivated_user");b.find(".user-admin-settings").hide()}})});$("#do_deactivate_stream_button").click(function(a){$("#deactivation_stream_modal .stream_name").text()!==$(".active_stream_row").find(".stream_name").text()&&(blueslip.error("Stream deactivation canceled due to non-matching fields."),ui.report_message("Deactivation encountered an error. Please reload and try again.",
$("#home-error"),"alert-error"));$("#deactivation_stream_modal").modal("hide");$(".active_stream_row button").prop("disabled",!0).text("Working\u2026");channel.del({url:"/json/streams/"+encodeURIComponent($(".active_stream_row").find(".stream_name").text()),error:function(a,b){"4"===a.status.toString().charAt(0)?$(".active_stream_row button").closest("td").html($("<p>").addClass("text-error").text($.parseJSON(a.responseText).msg)):$(".active_stream_row button").text("Failed!")},success:function(){$(".active_stream_row").remove()}})});
$(".admin_emoji_table").on("click",".delete",function(a){a.preventDefault();a.stopPropagation();var b=$(this);channel.del({url:"/json/realm/emoji/"+encodeURIComponent(b.attr("data-emoji-name")),error:function(a,c){"4"===a.status.toString().charAt(0)?b.closest("td").html($("<p>").addClass("text-error").text($.parseJSON(a.responseText).msg)):b.text("Failed!")},success:function(){b.parents("tr").remove()}})});$(".administration").on("submit","form.admin-emoji-form",function(a){a.preventDefault();a.stopPropagation();
var b=$("#admin-emoji-status"),c=$("#admin-emoji-name-status"),d=$("#admin-emoji-url-status");$(".admin_emoji_table");$(this).serializeArray().map(function(a){});channel.put({url:"/json/realm/emoji",data:$(this).serialize(),success:function(){$("#admin-emoji-status, #admin-emoji-name-status, #admin-emoji-url-status").hide();ui.report_success(i18n.t("Custom emoji added!"),b)},error:function(a,e){$("#admin-emoji-status, #admin-emoji-name-status, #admin-emoji-url-status").hide();var g=$.parseJSON(a.responseText).msg;
void 0!==g.name&&(a.responseText=JSON.stringify({msg:g.name}),ui.report_error(i18n.t("Failed!"),a,c));void 0!==g.img_url&&(a.responseText=JSON.stringify({msg:g.img_url}),ui.report_error(i18n.t("Failed!"),a,d));void 0!==g.__all__&&(a.responseText=JSON.stringify({msg:g.__all__}),ui.report_error(i18n.t("Failed!"),a,b))}})})}var m={},k=[];m.show_or_hide_menu_item=function(){var a=$(".admin-menu-item").expectOne();page_params.is_admin?a.show():a.hide()};m.update_default_streams_table=function(){$("#administration").hasClass("active")&&
($("#admin_default_streams_table").expectOne().find("tr.default_stream_row").remove(),e(page_params.realm_default_streams))};m.populate_emoji=function(a){var b=$("#admin_emoji_table").expectOne();b.find("tr.emoji_row").remove();_.each(a,function(a,c){b.append(templates.render("admin_emoji_list",{emoji:{name:c,source_url:a.source_url,display_url:a.display_url}}))});loading.destroy_indicator($("#admin_page_emoji_loading_indicator"))};m.reset_realm_default_language=function(){$("#id_realm_default_language").val(page_params.realm_default_language)};
m.setup_page=function(){i18n.ensure_i18n(g)};return m}();var stream_data=function(){var h={},f,b;h.clear_subscriptions=function(){f=new Dict({fold_case:!0});b=new Dict};h.recent_subjects=new Dict({fold_case:!0});h.clear_subscriptions();h.add_sub=function(a,e){f.set(a,e);b.set(e.stream_id,e)};h.get_sub=function(a){return f.get(a)};h.get_sub_by_id=function(a){return b.get(a)};h.delete_sub=function(a){f.del(a)};h.subscribed_subs=function(){return _.where(f.values(),{subscribed:!0})};h.subscribed_streams=function(){return _.pluck(h.subscribed_subs(),"name")};
h.get_colors=function(){return _.pluck(h.subscribed_subs(),"color")};h.all_subscribed_streams_are_in_home_view=function(){return _.every(h.subscribed_subs(),function(a){return a.in_home_view})};h.home_view_stream_names=function(){var a=_.filter(h.subscribed_subs(),function(a){return a.in_home_view});return _.map(a,function(a){return a.name})};h.canonicalized_name=function(a){return a.toString().toLowerCase()};h.get_color=function(a){a=h.get_sub(a);return void 0===a?stream_color.default_color:a.color};
h.in_home_view=function(a){a=h.get_sub(a);return void 0!==a&&a.in_home_view};h.is_subscribed=function(a){a=h.get_sub(a);return void 0!==a&&a.subscribed};h.get_invite_only=function(a){a=h.get_sub(a);return void 0===a?!1:a.invite_only};h.get_name=function(a){var b=h.get_sub(a);return void 0===b?a:b.name};h.set_subscribers=function(a,b){a.subscribers=Dict.from_array(b||[],{fold_case:!0})};h.add_subscriber=function(a,b){var d=h.get_sub(a);"undefined"===typeof d||!d.subscribed?blueslip.warn("We got an add_subscriber call for a non-existent or unsubscribed stream."):
d.subscribers.set(b,!0)};h.remove_subscriber=function(a,b){var d=h.get_sub(a);"undefined"===typeof d||!d.subscribed?blueslip.warn("We got a remove_subscriber call for a non-existent or unsubscribed stream."):d.subscribers.del(b)};h.user_is_subscribed=function(a,b){var d=h.get_sub(a);if("undefined"===typeof d||!d.subscribed)blueslip.warn("We got a user_is_subscribed call for a non-existent or unsubscribed stream.");else return d.subscribers.has(b)};return h}();
"undefined"!==typeof module&&(module.exports=stream_data);var subs=function(){function h(a){return _.extend(a,{is_admin:page_params.is_admin,can_make_public:page_params.is_admin&&a.invite_only&&stream_data.is_subscribed(a.name),can_make_private:page_params.is_admin&&!a.invite_only})}function f(){var a=stream_data.get_colors();return stream_color.pick_color(a)}function b(a,b,c){return channel.post({url:"/json/subscriptions/property",data:{subscription_data:JSON.stringify([{stream:a,property:b,value:c}])},timeout:1E4})}function a(a,c){_.each(stream_data.subscribed_subs(),
function(d){d[a]!==c&&b(d.name,a,c)})}function e(a){a=$(a.target).closest(".subscription_row");var b=a.find(".subscription_name").text(),c=stream_data.get_sub(b),d=a.find(".sub_notification_setting");subs.toggle_home(b);c.in_home_view?(a.find(".mute-note").addClass("hide-mute-note"),d.removeClass("muted-sub"),d.find("input[type='checkbox']").removeAttr("disabled")):(a.find(".mute-note").removeClass("hide-mute-note"),d.addClass("muted-sub"),d.find("input[type='checkbox']").attr("disabled",!0))}function d(a,
b){a.in_home_view=b;setTimeout(function(){var a,b;ui.home_tab_obscured()?b=viewport.scrollTop():home_msg_list===current_msg_list&&null!==current_msg_list.selected_row().offset()&&(a=current_msg_list.selected_row().offset().top);home_msg_list.clear({clear_selected_id:!1});message_store.add_messages(message_list.all.all_messages(),home_msg_list);ui.home_tab_obscured()?viewport.scrollTop(b):home_msg_list===current_msg_list&&(home_msg_list.select_id(home_msg_list.selected_id(),{use_closest:!0,empty_ok:!0}),
-1!==current_msg_list.selected_id()&&viewport.set_message_offset(a));pointer.recenter_pointer_on_display=!0;pointer.suppress_scroll_pointer_update=!0;home_msg_list.empty()||process_loaded_for_unread(home_msg_list.all_messages())},0);stream_list.set_in_home_view(a.name,a.in_home_view);$("#subscription_"+a.stream_id+" #sub_setting_not_in_home_view .sub_setting_control").attr("checked",!b)}function c(a,b){var c=a.name;stream_data.delete_sub(c);a.name=b;stream_data.add_sub(b,a);stream_list.rename_stream(a);
_.each([home_msg_list,current_msg_list,message_list.all],function(a){a.change_display_recipient(c,b)})}function g(a){a=$(a.target).closest(".subscription_row").find(".subscription_name").text();var c=stream_data.get_sub(a);c.desktop_notifications=!c.desktop_notifications;b(a,"desktop_notifications",c.desktop_notifications)}function m(a){a=$(a.target).closest(".subscription_row").find(".subscription_name").text();var c=stream_data.get_sub(a);c.audible_notifications=!c.audible_notifications;b(a,"audible_notifications",
c.audible_notifications)}function k(a){a=$(a.target).closest(".subscription_row").find(".subscription_name").text();stream_data.get_sub(a);y.toggle_pin_to_top_stream(a)}function l(a,b){var c=stream_data.get_sub(a);if(void 0!==c)return c;if(b.stream_id){var d=b.subscribers,c=_.omit(b,"subscribers"),c=_.defaults(c,{name:a,render_subscribers:!page_params.is_zephyr_mirror_realm||!0===b.invite_only,subscribed:!0,in_home_view:!0,invite_only:!1,desktop_notifications:page_params.stream_desktop_notifications_enabled,
audible_notifications:page_params.stream_sounds_enabled,description:""});stream_data.set_subscribers(c,d);c.color||(c.color=f());stream_data.add_sub(a,c);$(document).trigger($.Event("sub_obj_created.zulip",{sub:c}));return c}blueslip.fatal("We cannot create a sub without a stream_id")}function p(a){a=parseInt(a.stream_id,10);return $("#subscription_"+a+" .sub_unsub_button")}function u(a){a=parseInt(a.stream_id,10);return $("#subscription_settings_"+a)}function r(a,b){var c="#email-address-hint-"+
a.stream_id,d=$(c);d.popover({placement:"bottom",title:"Email integration",content:b,trigger:"manual"});$("body").on("mouseover",c,function(a){d.popover("show");a.stopPropagation()});$("body").on("mouseout",c,function(a){d.popover("hide");a.stopPropagation()})}function n(a){a=h(a);var b=templates.render("subscription",a);$("#create_stream_row").after(b);u(a).collapse("show");b=templates.render("email_address_hint",{page_params:page_params});r(a,b)}function q(a,b){return templates.render("stream_member_list_entry",
{name:a,email:b,displaying_for_admin:page_params.is_admin})}function s(a,b){var c=[];a.sort(function(a,b){return util.strcmp(a.name,b.name)});a.forEach(function(a){a=l(a.name,{color:a.color,in_home_view:a.in_home_view,invite_only:a.invite_only,desktop_notifications:a.desktop_notifications,audible_notifications:a.audible_notifications,pin_to_top:a.pin_to_top,subscribed:b,email_address:a.email_address,stream_id:a.stream_id,subscribers:a.subscribers,description:a.description});c.push(a)});return c}function t(a){var b;
return channel.post({url:"/json/users/me/subscriptions",data:{subscriptions:JSON.stringify([{name:a}])},success:function(a,c,d,e){$("#create_stream_name").val("");a=$.parseJSON(d.responseText);$.isEmptyObject(a.already_subscribed)||(b=a.already_subscribed[page_params.email][0],ui.report_success(i18n.t("Already subscribed to __stream__",{stream:b}),$("#subscriptions-status"),"subscriptions-status"))},error:function(a){ui.report_error(i18n.t("Error adding subscription"),a,$("#subscriptions-status"),
"subscriptions-status")}})}function w(a){return channel.post({url:"/json/subscriptions/remove",data:{subscriptions:JSON.stringify([a])},success:function(a,b,c,d){$.parseJSON(c.responseText);$("#subscriptions-status").hide()},error:function(a){ui.report_error(i18n.t("Error removing subscription"),a,$("#subscriptions-status"),"subscriptions-status")}})}function D(a,b,c,d){return channel.post({url:"/json/users/me/subscriptions",data:{subscriptions:JSON.stringify([{name:a}]),principals:JSON.stringify(b),
invite_only:JSON.stringify(c),announce:JSON.stringify(d)},success:function(a){$("#create_stream_name").val("");$("#subscriptions-status").hide();$("#stream-creation").modal("hide")},error:function(a){ui.report_error(i18n.t("Error creating stream"),a,$("#subscriptions-status"),"subscriptions-status");$("#stream-creation").modal("hide")}})}function A(){var a=$("#announce-new-stream input"),b=!1;"invite-only"===$("input:radio[name=privacy]:checked").val()?(b=!0,a.prop("checked",!1)):b=$("#user-checkboxes input").length===
$("#user-checkboxes input:checked").length;a.prop("disabled",b)}function B(a,b){_.each(a,function(a){a.subscribers&&(a.subscribers=_.map(a.subscribers,function(a){return b[a]}))})}function C(){var a=narrow.stream();if(void 0!==a){var b=stream_data.get_sub(a);void 0!==b?$("html, body").animate({scrollTop:u(b).offset().top}):$("#create_stream_name").val(a)}}var y={stream_id:function(a){a=stream_data.get_sub(a);return void 0===a?(blueslip.error("Tried to get subs.stream_id for a stream user is not subscribed to!"),
0):parseInt(a.stream_id,10)},set_all_stream_desktop_notifications_to:function(b){a("desktop_notifications",b)},set_all_stream_audible_notifications_to:function(b){a("audible_notifications",b)},toggle_home:function(a){var c=stream_data.get_sub(a);d(c,!c.in_home_view);b(a,"in_home_view",c.in_home_view)},toggle_pin_to_top_stream:function(a){var c=stream_data.get_sub(a);b(a,"pin_to_top",!c.pin_to_top)},set_color:function(a,c){var d=stream_data.get_sub(a);stream_color.update_stream_color(d,a,c,{update_historical:!0});
b(a,"color",c)},show_settings_for:function(a){u(stream_data.get_sub(a)).collapse("show")},mark_subscribed:function(a,b){var c=stream_data.get_sub(a);if(void 0===c)c=l(a,b),n(c);else{if(c.subscribed)return;var d=f();y.set_color(a,d);c.subscribed=!0;c.subscribers=Dict.from_array(b.subscribers);var d=u(c),e=p(c);0!==e.length?(e.text(i18n.t("Subscribed")).addClass("subscribed-button").addClass("btn-success"),c.render_subscribers&&d.hasClass("in")&&d.find(".subscriber_list_container .subscriber-list").prepend(q(page_params.fullname,
page_params.email))):n(c);d=d.closest(".subscription_row");d.find(".color_swatch").addClass("in");d.find(".regular_subscription_settings").collapse("show")}current_msg_list.narrowed&&current_msg_list.update_trailing_bookend();process_loaded_for_unread(message_list.all.all_messages());$(document).trigger($.Event("subscription_add_done.zulip",{sub:c}))},mark_unsubscribed:function(a){a=stream_data.get_sub(a);y.mark_sub_unsubscribed(a)},mark_sub_unsubscribed:function(a){if(void 0!==a&&a.subscribed){stream_list.remove_narrow_filter(a.name,
"stream");a.subscribed=!1;p(a).removeClass("subscribed-button").removeClass("btn-success").removeClass("btn-danger").text(i18n.t("Subscribe"));var b=u(a);b.hasClass("in")&&b.collapse("hide");b=b.closest(".subscription_row");b.find(".color_swatch").removeClass("in");a.render_subscribers&&b.find(".regular_subscription_settings").collapse("hide");current_msg_list.narrowed&&current_msg_list.update_trailing_bookend();$(document).trigger($.Event("subscription_remove_done.zulip",{sub:a}))}},pin_or_unpin_stream:function(a){var b=
stream_data.get_sub(a);void 0!==a&&stream_list.refresh_stream_in_sidebar(b)},sub_pinned_or_unpinned:function(a){var b=stream_data.get_sub(a);if(void 0!==a)return b.pin_to_top},receives_desktop_notifications:function(a){a=stream_data.get_sub(a);return void 0===a?!1:a.desktop_notifications},receives_audible_notifications:function(a){a=stream_data.get_sub(a);return void 0===a?!1:a.audible_notifications},setup_page:function(){function a(b){function c(a,b){return util.strcmp(a.name,b.name)}var d=stream_data.subscribed_subs(),
e=new Dict({fold_case:!0});_.each(d,function(a){e.set(a.name,!0)});b=_.reject(b.streams,function(a){return e.has(a.name)});var g=[];_.each(b,function(a){var b=stream_data.get_sub(a.name);b||(b=l(a.name,_.extend({subscribed:!1},a)));g.push(b)});d.sort(c);g.sort(c);var d=d.concat(g),f=[];_.each(d,function(a){a=h(a);f.push(a)});$("#subscriptions_table").empty();d=templates.render("subscription_table_body",{can_create_streams:page_params.can_create_streams,subscriptions:f});$("#subscriptions_table").append(d);
var k=templates.render("email_address_hint",{page_params:page_params});_.each(f,function(a){r(a,k)});loading.destroy_indicator($("#subs_page_loading_indicator"));$(document).trigger($.Event("subs_page_loaded.zulip"))}function b(c){i18n.ensure_i18n(function(){a(c)})}function c(a,b){loading.destroy_indicator($("#subs_page_loading_indicator"));ui.report_error(i18n.t("Error listing streams or subscriptions"),a,$("#subscriptions-status"),"subscriptions-status")}loading.make_indicator($("#subs_page_loading_indicator"));
page_params.is_zephyr_mirror_realm?(b({streams:[]}),$("#create_stream_button").val(i18n.t("Subscribe"))):channel.get({url:"/json/streams",data:{include_subscribed:!1},idempotent:!0,timeout:1E4,success:b,error:c})},update_subscription_properties:function(a,b,e){var g=stream_data.get_sub(a);if(void 0===g)blueslip.warn("Update for an unknown subscription",{stream_name:a,property:b,value:e});else switch(b){case "color":stream_color.update_stream_color(g,a,e,{update_historical:!0});break;case "in_home_view":d(g,
e);break;case "desktop_notifications":$("#subscription_"+g.stream_id+" #sub_desktop_notifications_setting .sub_setting_control").attr("checked",e);g.desktop_notifications=e;break;case "audible_notifications":$("#subscription_"+g.stream_id+" #sub_audible_notifications_setting .sub_setting_control").attr("checked",e);g.audible_notifications=e;break;case "name":c(g,e);break;case "description":g.description=e;a=".subscription_row[data-subscription-id="+g.stream_id+"]";$(a+" .subscription_description").text(e);
$(a+" input.description").val(e);break;case "email_address":g.email_address=e;break;case "pin_to_top":$("#pinstream-"+g.stream_id).attr("checked",e);g.pin_to_top=e;break;default:blueslip.warn("Unexpected subscription property type",{property:b,value:e})}},invite_user_to_stream:function(a,b,c,d){return channel.post({url:"/json/users/me/subscriptions",data:{subscriptions:JSON.stringify([{name:b}]),principals:JSON.stringify([a])},success:c,error:d})},remove_user_from_stream:function(a,b,c,d){return channel.post({url:"/json/subscriptions/remove",
data:{subscriptions:JSON.stringify([b]),principals:JSON.stringify([a])},success:c,error:d})}};$(function(){function a(b,c,d,e,g){b.preventDefault();var f=$(b.target).attr("data-stream-name"),k=$(b.target).closest(".subscription_row");$("#subscriptions-status").hide();channel.post({url:c,data:{stream_name:f},success:function(a){a=stream_data.get_sub(f);a.invite_only=g;var b;a=h(a);b=templates.render("subscription_setting_icon",a);k.find(".subscription-setting-icon").expectOne().html(b);b=templates.render("subscription_type",
a);k.find(".subscription-type").expectOne().html(b);b=templates.render("change_stream_privacy",a);k.find(".change-stream-privacy").expectOne().html(b);stream_list.redraw_stream_privacy(a.name);a=k.find(".change-stream-privacy-feedback").expectOne();ui.report_success(d,a)},error:function(a){var b=k.find(".change-stream-privacy-feedback").expectOne();ui.report_error(e,a,b)}})}B(page_params.subbed_info,page_params.email_dict);B(page_params.unsubbed_info,page_params.email_dict);s(page_params.subbed_info,
!0);s(page_params.unsubbed_info,!1);delete page_params.subbed_info;delete page_params.unsubbed_info;stream_list.build_stream_list();$("#subscriptions_table").on("submit","#add_new_subscription",function(a){a.preventDefault();page_params.is_zephyr_mirror_realm?t($("#create_stream_name").val()):(a=$.trim($("#create_stream_name").val()),"does-not-exist"===compose.check_stream_existence(a)?($("#stream_name").text(a),$("#people_to_add").html(templates.render("new_stream_users",{users:people.get_rest_of_realm()})),
$("#make-invite-only input:radio[value=public]").prop("checked",!0),$("#announce-new-stream input").prop("disabled",!1),$("#announce-new-stream input").prop("checked",!0),$("#stream-creation").modal("show")):t(a))});$("#stream_creation_form").on("change","#user-checkboxes input, #make-invite-only input",A);$(document).on("click",".subs_set_all_users",function(a){$("#people_to_add :checkbox").attr("checked",!0);a.preventDefault();A()});$(document).on("click",".subs_unset_all_users",function(a){$("#people_to_add :checkbox").attr("checked",
!1);a.preventDefault();A()});$(document).on("input",".add-user-list-filter",function(a){var b=people.get_rest_of_realm(),c=$(".add-user-list-filter");if(0!==c){var d=c.expectOne().val().trim().toLowerCase().split(","),e={};_.each(b,function(a){var b=people.get_by_email(a.email);if(b&&b.full_name){var c=b.full_name.toLowerCase().split(/\s+/),c=_.map(c,function(a){return a.trim()});return _.any(d,function(b){return _.any(c,function(c){0===c.indexOf(b.trim())&&(e[a.email]=!0)})})}});_.each(b,function(a){var b=
e.hasOwnProperty(a.email)?"block":"none";$("label[for='"+a.email+"']").css({display:b})});A();a.preventDefault()}});var b=$("#announce-stream-docs");b.popover({placement:"right",content:templates.render("announce_stream_docs"),trigger:"manual"});$("body").on("mouseover","#announce-stream-docs",function(a){b.popover("show");b.data("popover").tip().css("z-index",2E3);a.stopPropagation()});$("body").on("mouseout","#announce-stream-docs",function(a){b.popover("hide");a.stopPropagation()});$("#stream_creation_form").on("submit",
function(a){a.preventDefault();a=$.trim($("#create_stream_name").val());var b=_.map($("#stream_creation_form input:checkbox[name=user]:checked"),function(a){return $(a).val()});b.push(page_params.email);D(a,b,"invite-only"===$("#stream_creation_form input[name=privacy]:checked").val(),$("#announce-new-stream input").prop("checked"))});$("body").on("mouseover",".subscribed-button",function(a){$(a.target).addClass("btn-danger").text(i18n.t("Unsubscribe"))}).on("mouseout",".subscribed-button",function(a){$(a.target).removeClass("btn-danger").text(i18n.t("Subscribed"))});
$("#subscriptions-status").on("click","#close-subscriptions-status",function(a){$("#subscriptions-status").hide()});$("#subscriptions_table").on("click",".email-address",function(a){var b;window.getSelection?(b=window.getSelection(),a=document.createRange(),a.selectNodeContents(this),b.removeAllRanges(),b.addRange(a)):document.body.createTextRange&&(a=document.body.createTextRange(),a.moveToElementText(this),a.select())});$("#subscriptions_table").on("click",".sub_unsub_button",function(a){a.preventDefault();
a.stopPropagation();a=$(a.target).closest(".subscription_row").find(".subscription_name").text();stream_data.get_sub(a).subscribed?w(a):t(a)});$("#zfilt").on("click",".stream_sub_unsub_button",function(a){a.preventDefault();a.stopPropagation();a=narrow.stream();void 0!==a&&(stream_data.get_sub(a).subscribed?w(a):t(a))});$(".empty_feed_sub_unsub").click(function(a){a.preventDefault();$("#subscription-status").hide();a=narrow.stream();void 0!==a&&(stream_data.get_sub(a).subscribed?w(a):t(a),$(".empty_feed_notice").hide(),
$("#empty_narrow_message").show())});$("#subscriptions_table").on("show",".subscription_settings",function(a){a=$(a.target).closest(".subscription_row");var b=a.find(".colorpicker"),c=stream_data.get_color(a.find(".subscription_name").text());stream_color.set_colorpicker_color(b,c);b=a.offset().top+365-viewport.height()+viewport.scrollTop();0<b&&$(".app").animate({scrollTop:viewport.scrollTop()+b+5});a.find(".subscription_settings :input").removeAttr("tabindex")});$("#subscriptions_table").on("hide",
".subscription_settings",function(a){$(a.target).closest(".subscription_row").find(".subscription_settings :input").attr("tabindex","-1")});$("#subscriptions_table").on("click",".sub_setting_checkbox",function(a){var b=$(a.target).closest(".sub_setting_checkbox").find(".sub_setting_control");b[0]!==a.target&&b.prop("checked",!b.prop("checked"))});$("#subscriptions_table").on("click","#sub_setting_not_in_home_view",e);$("#subscriptions_table").on("click","#sub_desktop_notifications_setting",g);$("#subscriptions_table").on("click",
"#sub_audible_notifications_setting",m);$("#subscriptions_table").on("click","#sub_pin_setting",k);$("#subscriptions_table").on("submit",".subscriber_list_add form",function(a){a.preventDefault();a=$(a.target).closest(".subscription_row");var b=a.find(".subscription_name").text(),c=a.find('input[name="principal"]'),d=$.trim(c.val()),e=a.find(".subscriber_list_container .alert-error"),g=a.find(".subscriber_list_container .alert-warning"),f=a.find(".subscriber_list_container .subscriber-list");y.invite_user_to_stream(d,
b,function(a){c.val("");a.subscribed.hasOwnProperty(d)?(e.addClass("hide"),g.addClass("hide"),util.is_current_user(d)?y.mark_subscribed(b):(a=people.get_by_email(d).full_name,f.prepend(q(a,d)))):(e.addClass("hide"),g.removeClass("hide").text("User already subscribed"))},function(a){g.addClass("hide");e.removeClass("hide").text("Could not add user to this stream")})});$("#subscriptions_table").on("submit",".subscriber_list_remove form",function(a){a.preventDefault();var b=$(a.target).closest("tr"),
c=b.children(".subscriber-email").text();a=$(a.target).closest(".subscription_row");var d=a.find(".subscription_name").text(),e=a.find(".subscriber_list_container .alert-error"),g=a.find(".subscriber_list_container .alert-warning");y.remove_user_from_stream(c,d,function(a){0<a.removed.length?(e.addClass("hide"),g.addClass("hide"),b.remove(),util.is_current_user(c)&&y.mark_unsubscribed(d)):(e.addClass("hide"),g.removeClass("hide").text("User already not subscribed"))},function(a){g.addClass("hide");
e.removeClass("hide").text("Could not remove user from this stream")})});$("#subscriptions_table").on("submit",".rename-stream form",function(a){a.preventDefault();var b=$(a.target).closest(".subscription_row"),c=b.find(".subscription_name");a=c.text();var d=b.find('input[name="new-name"]'),e=$.trim(d.val());$("#subscriptions-status").hide();channel.post({url:"/json/rename_stream",data:{old_name:a,new_name:e},success:function(a){d.val("");c.text(e);b.find(".email-address").text(a.email_address);ui.report_success(i18n.t("The stream has been renamed!"),
$("#subscriptions-status "),"subscriptions-status")},error:function(a){ui.report_error(i18n.t("Error renaming stream"),a,$("#subscriptions-status"),"subscriptions-status")}})});$("#subscriptions_table").on("submit",".change-stream-description form",function(a){a.preventDefault();$(a.target);var b=$(a.target).closest(".subscription_row");a=b.find(".subscription_name").text();b=b.find('input[name="description"]').val();$("#subscriptions-status").hide();channel.patch({url:"/json/streams/"+a,data:{description:JSON.stringify(b)},
success:function(){ui.report_success(i18n.t("The stream description has been updated!"),$("#subscriptions-status"),"subscriptions-status")},error:function(a){ui.report_error(i18n.t("Error updating the stream description"),a,$("#subscriptions-status"),"subscriptions-status")}})});$("#subscriptions_table").on("click",".make-stream-public-button",function(b){a(b,"/json/make_stream_public","The stream has been made public!","Error making stream public",!1)});$("#subscriptions_table").on("click",".make-stream-private-button",
function(b){a(b,"/json/make_stream_private","The stream has been made private!","Error making stream private",!0)});$("#subscriptions_table").on("show",".regular_subscription_settings",function(a){a.stopPropagation()});$("#subscriptions_table").on("show",".subscription_settings",function(a){a=$(a.target).closest(".subscription_row");var b=a.find(".subscription_name").text(),c=a.find(".subscriber_list_container .alert-warning"),d=a.find(".subscriber_list_container .alert-error"),e=a.find(".subscriber_list_container .subscriber-list"),
g=a.find(".subscriber_list_loading_indicator");stream_data.get_sub(b).render_subscribers&&(c.addClass("hide"),d.addClass("hide"),e.empty(),loading.make_indicator(g),channel.post({url:"/json/get_subscribers",idempotent:!0,data:{stream:b},success:function(a){loading.destroy_indicator(g);a=_.map(a.subscribers,function(a){return void 0===people.get_by_email(a)?a:q(people.get_by_email(a).full_name,a)});_.each(a.sort().reverse(),function(a){e.prepend(a)})},error:function(a){loading.destroy_indicator(g);
d.removeClass("hide").text("Could not fetch subscriber list")}}),a.find('input[name="principal"]').typeahead({source:page_params.people_list,items:5,highlighter:function(a){a=typeahead_helper.render_person(a);return typeahead_helper.highlight_with_escaping(this.query,a)},matcher:function(a){var b=$.trim(this.query.toLowerCase());return""===b||b===a.email?!1:-1!==a.email.toLowerCase().indexOf(b)||-1!==a.full_name.toLowerCase().indexOf(b)},sorter:typeahead_helper.sort_recipientbox_typeahead,updater:function(a){return a.email}}))});
$("#subscriptions_table").on("show",".subscription_settings",function(a){a=$(a.target).closest(".subscription_row").find(".sub_arrow i");a.removeClass("icon-vector-chevron-down");a.addClass("icon-vector-chevron-up")});$("#subscriptions_table").on("hide",".subscription_settings",function(a){a=$(a.target).closest(".subscription_row").find(".sub_arrow i");a.removeClass("icon-vector-chevron-up");a.addClass("icon-vector-chevron-down")})});y.show_and_focus_on_narrow=function(){$(document).one("subs_page_loaded.zulip",
C);ui.change_tab_to("#subscriptions")};return y}();"undefined"!==typeof module&&(module.exports=subs);var message_edit=function(){function h(a,b){var d;d=b.keyCode||b.which;"message_edit_content"===b.target.id&&13===d&&(b.metaKey||b.ctrlKey)?(d=$(".message_edit_content").filter(":focus").closest(".message_row"),!0===message_edit.save(d,a)&&message_edit.end(d)):"message_edit_topic"===b.target.id&&13===d&&(b.stopPropagation(),b.preventDefault())}function f(a){var b=Math.floor(a/60),d=a%60;return 1<=b?i18n.t("__minutes__ min to edit",{minutes:b.toString()}):10<=a?i18n.t("__seconds__ sec to edit",{seconds:(d-
d%5).toString()}):i18n.t("__seconds__ sec to edit",{seconds:d.toString()})}function b(a,b){var e=a.find(".message_content")[0].getBoundingClientRect().top,k=current_msg_list.get(rows.id(a)),l=a.find(".message_edit"),p=$(templates.render("message_edit_form",{is_stream:k.is_stream,topic:k.subject,content:b,minutes_to_edit:Math.floor(page_params.realm_message_content_edit_limit_seconds/60)})),u={form:p,raw_content:b},r=k.subject;current_msg_list.show_edit_message(a,u);p.keydown(_.partial(h,!1));var p=
new XDate,n=page_params.realm_message_content_edit_limit_seconds+p.diffSeconds(1E3*k.timestamp);(p=0===page_params.realm_message_content_edit_limit_seconds||0<n+5)||a.find("textarea.message_edit_content").attr("disabled","disabled");n=Math.floor(Math.max(n,10));if(p&&0<page_params.realm_message_content_edit_limit_seconds){a.find(".message-edit-timer-control-group").show();$("#message_edit_tooltip").tooltip({animation:!1,placement:"left",template:'<div class="tooltip" role="tooltip"><div class="tooltip-arrow"></div><div class="tooltip-inner message-edit-tooltip-inner"></div></div>'});
var q=a.find("textarea.message_edit_content"),s,t;k.is_stream&&(s=a.find("input.message_edit_topic"),t=a.find("select.message_edit_topic_propagate"));var w=a.find("button.message_edit_save"),D=a.find(".message_edit_countdown_timer");D.text(f(n));var A=setInterval(function(){0>=--n?(clearInterval(A),q.attr("disabled","disabled"),k.is_stream&&(s.attr("disabled","disabled"),t.hide()),w.addClass("disabled"),D.text(i18n.t("Time's up!"))):D.text(f(n))},1E3)}d[k.id]=u;"stream"===k.type&&k.subject===compose.empty_subject_placeholder()||
!p?l.find(".message_edit_topic").focus():l.find(".message_edit_content").focus();e=l.find(".message_edit_content")[0].getBoundingClientRect().top-e+5;u.scrolled_by=e;viewport.scrollTop(viewport.scrollTop()+e);if(feature_flags.propagate_topic_edits&&void 0===k.local_id){var B=l.find(".message_edit_topic");B.keyup(function(){var b=B.val();a.find(".message_edit_topic_propagate").toggle(b!==r)})}composebox_typeahead.initialize_compose_typeahead("#message_edit_content",{emoji:!0})}function a(a,d){b(a,
d);var e=a.height()+a.offset().top,f=$("#compose").offset().top;e>f&&viewport.scrollTop(viewport.scrollTop()+e-f)}var e={},d={};e.save=function(a,b){var d=current_msg_list,e;e=a.hasClass("recipient_row")?rows.id_for_recipient_row(a):rows.id(a);e=current_msg_list.get(e);var f=!1,h=a.find(".message_edit_content").val(),u=!1,r;"stream"===e.type&&(r=a.find(".message_edit_topic").val(),u=r!==e.subject&&""!==r.trim());if(void 0!==e.local_id){if(h===e.raw_content&&!u)return!0;echo.edit_locally(e,h,u?r:void 0);
return!0}var n={message_id:e.id};u&&(n.subject=r,feature_flags.propagate_topic_edits&&(r=a.find("select.message_edit_topic_propagate").val()||"change_later",n.propagate_mode=r),f=!0);h!==e.raw_content&&!b&&(n.content=h,e.is_me_message=0===h.lastIndexOf("/me",0),f=!0);if(!f)return!0;channel.post({url:"/json/update_message",data:n,success:function(a){if(d===current_msg_list)return!0},error:function(b,d,e){b=channel.xhr_error_message("Error saving edit",b);a.find(".edit_error").text(b).show()}})};e.start=
function(b){var d=current_msg_list.get(rows.id(b)),e=current_msg_list;channel.post({url:"/json/fetch_raw_message",idempotent:!0,data:{message_id:d.id},success:function(f){current_msg_list===e&&(d.raw_content=f.raw_content,a(b,f.raw_content))}})};e.start_local_failed_edit=function(b,d){a(b,d.raw_content)};e.start_topic_edit=function(a){var b=$(templates.render("topic_edit_form"));current_msg_list.show_edit_topic(a,b);b.keydown(_.partial(h,!0));a=rows.id_for_recipient_row(a);a=current_msg_list.get(a).subject;
a===compose.empty_subject_placeholder()&&(a="");b.find(".message_edit_topic").val(a).select().focus()};e.is_editing=function(a){return void 0!==d[a]};e.end=function(a){var b=current_msg_list.get(rows.id(a));if(void 0!==b&&void 0!==d[b.id]){var e=d[b.id].scrolled_by;viewport.scrollTop(viewport.scrollTop()-e);delete d[b.id];current_msg_list.hide_edit_message(a)}};e.maybe_show_edit=function(a,b){void 0!==d[b]&&current_msg_list.show_edit_message(a,d[b])};$(document).on("narrow_deactivated.zulip",function(a){_.each(d,
function(a,b){if(void 0!==current_msg_list.get(b)){var c=current_msg_list.get_row(b);current_msg_list.show_edit_message(c,a)}})});return e}();var condense=function(){function h(a){a.find(".message_condenser").hide();a.find(".message_expander").show()}function f(a){a.find(".message_content").addClass("condensed");h(a)}function b(a){a.find(".message_content").removeClass("condensed");a.find(".message_expander").hide();a.find(".message_condenser").show()}var a={},e=new Dict;a.uncollapse=function(a){var c=current_msg_list.get(rows.id(a));c.collapsed=!1;message_flags.send_collapsed([c],!1);var e=function(a){var d=a.find(".message_content");
d.removeClass("collapsed");!0===c.condensed?f(a):!1===c.condensed?b(a):d.hasClass("could-be-condensed")?f(a):a.find(".message_expander").hide()},h=home_msg_list.get_row(rows.id(a));e(a);e(h)};a.collapse=function(a){var b=current_msg_list.get(rows.id(a));b.collapsed=!0;message_flags.send_collapsed([b],!0);var b=function(a){a.find(".message_content").addClass("collapsed");h(a)},e=home_msg_list.get_row(rows.id(a));b(a);b(e)};a.clear_message_content_height_cache=function(){e=new Dict};a.un_cache_message_content_height=
function(a){e.del(a)};a.condense_and_collapse=function(a){var c=0.65*viewport.height();_.each(a,function(a){var d=$(a).find(".message_content"),k=current_msg_list.get(rows.id($(a)));if(void 0!==d&&void 0!==k){var l;l=k.id;if(e.has(l))l=e.get(l);else{var h=a.getBoundingClientRect().height;e.set(l,h);l=h}(l=l>c)?d.addClass("could-be-condensed"):d.removeClass("could-be-condensed");!0===k.condensed?f($(a)):!1===k.condensed?b($(a)):(l?f($(a)):(d.removeClass("condensed"),$(a).find(".message_expander").hide()),
k.collapsed&&(d.addClass("collapsed"),$(a).find(".message_expander").show()))}})};$(function(){$("#home").on("click",".message_expander",function(b){b=$(this).closest(".message_row");var c=current_msg_list.get(rows.id(b)),e=b.find(".message_content");c.collapsed?a.uncollapse(b):e.hasClass("condensed")&&(c.condensed=!1,e.removeClass("condensed"),$(this).hide(),b.find(".message_condenser").show())});$("#home").on("click",".message_condenser",function(a){a=$(this).closest(".message_row");current_msg_list.get(rows.id(a)).condensed=
!0;f(a)})});return a}();var resize=function(){function h(a,b){var d=0;_.each(a,function(a){d+=a.real_height});_.each(a,function(a){var c=a.real_height/d,c=0.05>c?0.05:0.85<c?0.85:c;a.max_height=40>b*c?40:b*c>1.2*a.real_height?1.2*a.real_height:b*c})}function f(){var a={},b=viewport.height(),d=$("#top_navbar").outerHeight(!0),e=$("#invite-user-link").outerHeight(!0)||0;a.bottom_whitespace_height=0.4*b;a.main_div_min_height=b-d;a.bottom_sidebar_height=b-d-40;a.right_sidebar_height=b-parseInt($("#right-sidebar").css("marginTop"),
10);a.stream_filters_max_height=a.bottom_sidebar_height-$("#global_filters").outerHeight(!0)-$("#streams_header").outerHeight(!0)-10;$("#share-the-love").is(":visible")&&(a.stream_filters_max_height-=$("#share-the-love").outerHeight(!0)+20);a.stream_filters_max_height=Math.max(40,a.stream_filters_max_height);b=$("#user_presences").expectOne();d=$("#group-pms").expectOne();e=a.right_sidebar_height-$("#feedback_section").outerHeight(!0)-parseInt(b.css("marginTop"),10)-parseInt(b.css("marginBottom"),
10)-$("#userlist-header").outerHeight(!0)-$(".user-list-filter").outerHeight(!0)-e-parseInt(d.css("marginTop"),10)-parseInt(d.css("marginBottom"),10)-$("#group-pm-header").outerHeight(!0);b=[{real_height:b.prop("scrollHeight")},{real_height:d.prop("scrollHeight")}];h(b,e);a.user_presences_max_height=b[0].max_height;a.group_pms_max_height=b[1].max_height;return a}function b(){var a={},b=viewport.height(),d=viewport.width(),e=$(".header").outerHeight(!0),f=$("#stream_filters").expectOne(),p=$("#user_presences").expectOne(),
u=$("#group-pms").expectOne(),r=f.prop("scrollHeight"),n=p.prop("scrollHeight"),q=u.prop("scrollHeight");a.bottom_whitespace_height=0.4*b;a.main_div_min_height=b-e;a.bottom_sidebar_height=b-parseInt($("#left-sidebar").css("marginTop"),10)-parseInt($(".bottom_sidebar").css("marginTop"),10);a.total_leftlist_height=a.bottom_sidebar_height-$("#global_filters").outerHeight(!0)-$("#streams_header").outerHeight(!0)-$("#userlist-header").outerHeight(!0)-$(".user-list-filter").outerHeight(!0)-$("#group-pm-header").outerHeight(!0)-
parseInt(f.css("marginBottom"),10)-parseInt(p.css("marginTop"),10)-parseInt(p.css("marginBottom"),10)-parseInt(u.css("marginTop"),10)-parseInt(u.css("marginBottom"),10)-15;e=[{real_height:r},{real_height:n},{real_height:q}];h(e,a.total_leftlist_height);a.stream_filters_max_height=e[0].max_height;a.user_presences_max_height=e[1].max_height;a.group_pms_max_height=e[2].max_height;a.viewport_height=b;a.viewport_width=d;return a}var a={},e=!1;a.resize_bottom_whitespace=function(a){page_params.autoscroll_forever?
$("#bottom_whitespace").height($("#compose-container")[0].offsetHeight):void 0!==a&&$("#bottom_whitespace").height(a.bottom_whitespace_height)};a.resize_stream_filters_container=function(c){c=e?b():f();a.resize_bottom_whitespace(c);$("#stream-filters-container").css("max-height",c.stream_filters_max_height);$("#stream-filters-container").perfectScrollbar("update")};a.resize_page_components=function(){$("#compose");$("#floating_recipient_bar");"other_tab"===ui.home_tab_obscured()?$("div.tab-pane.active").outerWidth():
$("#main_div").outerWidth();var c;page_params.left_side_userlist&&(c=viewport.is_narrow(),$("#top_navbar").removeClass("rightside-userlist"),c&&!e?(e=!0,popovers.set_userlist_placement("left"),c=$(".bottom_sidebar").expectOne(),c.append($("#user-list").expectOne()),c.append($("#group-pm-list").expectOne()),c.append($("#share-the-love").expectOne()),$("#user_presences").css("margin","0px"),$("#group-pms").css("margin","0px"),$("#userlist-toggle").css("display","none"),$("#invite-user-link").hide()):
!c&&e&&(e=!1,popovers.set_userlist_placement("right"),c=$("#right-sidebar").expectOne(),c.append($("#user-list").expectOne()),c.append($("#group-pm-list").expectOne()),$("#user_presences").css("margin",""),$("#group-pms").css("margin",""),$("#userlist-toggle").css("display",""),$("#invite-user-link").show()));c=e?b():f();a.resize_bottom_whitespace(c);$("#stream-filters-container").css("max-height",c.stream_filters_max_height);$("#user_presences").css("max-height",c.user_presences_max_height);$("#group-pms").css("max-height",
c.group_pms_max_height);$("#stream-filters-container").perfectScrollbar("update")};var d=$(window).width();a.handler=function(b){b=$(window).width();b!==d&&(d=b,condense.clear_message_content_height_cache());popovers.hide_all();a.resize_page_components();-1!==current_msg_list.selected_id()&&navigate.scroll_to_selected()};return a}();var floating_recipient_bar=function(){var h={},f=!1,b;h.hide=function(){f&&($("#floating_recipient_bar").css("visibility","hidden"),f=!1)};h.update=function(){var a=$("#floating_recipient_bar"),e=a.offset().top+a.outerHeight(),a=current_msg_list.selected_row();if(!(void 0===a||0===a.length))if(a=rows.get_message_recipient_row(a),void 0!==a){for(;;){if(0===a.length){h.hide();return}if(a.is(".recipient_row")&&a.offset().top<e)break;a=a.prev()}var d=$(a).find(".message_header").outerHeight();if(e<=a.offset().top+
d)h.hide();else{var c;a!==b&&(0!==a.children(".message_header_stream").length?(e=$("#current_label_stream"),d=$("#current_label_private_message"),c=a.children(".message_header_stream")):(e=$("#current_label_private_message"),d=$("#current_label_stream"),c=a.children(".message_header_private_message")),e.find(".message_header").replaceWith(c.clone()),d.css("display","none"),e.css("display","block"),e.attr("zid",rows.id(rows.first_message_in_group(a))),e.toggleClass("faded",a.hasClass("faded")),b=a);
f||($("#floating_recipient_bar").css("visibility","visible"),f=!0)}}};return h}();var ui=function(){function h(){var a=viewport.message_viewport_info().visible_height-55;1>a&&(a=1);return a}function f(){var a;void 0!==c&&((a=current_msg_list.get(rows.id(c)))&&a.sent_by_me&&c.find(".message_content").find("span.edit_content").remove(),c.removeClass("message_hovered"),c=void 0)}function b(a,b){_.each([message_list.all,home_msg_list,message_list.narrowed],function(c){void 0!==c&&(c=c.get_row(a),void 0!==c&&b(c))})}function a(){d=!1;$("#home").hasClass("active")&&(pointer.suppress_scroll_pointer_update?
pointer.suppress_scroll_pointer_update=!1:pointer.keep_pointer_in_view(),floating_recipient_bar.update(),0===viewport.scrollTop()&&ui.have_scrolled_away_from_top?(ui.have_scrolled_away_from_top=!1,message_store.load_more_messages(current_msg_list)):ui.have_scrolled_away_from_top||(ui.have_scrolled_away_from_top=!0),setTimeout(unread.process_visible,0))}var e={},d=!1;e.have_scrolled_away_from_top=!0;e.actively_scrolling=function(){return d};e.home_tab_obscured=function(){return 0<$(".modal:visible").length?
"modal":!$("#home").hasClass("active")?"other_tab":!1};e.change_tab_to=function(a){$('#gear-menu a[href="'+a+'"]').tab("show")};e.focus_on=function(a){$("#"+a).focus()};e.page_up_the_right_amount=function(){var a=h();viewport.scrollTop(viewport.scrollTop()-a)};e.page_down_the_right_amount=function(){var a=h();viewport.scrollTop(viewport.scrollTop()+a)};e.replace_emoji_with_text=function(a){a.find(".emoji").replaceWith(function(){return $(this).attr("alt")})};var c;e.report_message=function(a,b,c,
d){void 0===c&&(c="alert");void 0===d&&(d=" ");"subscriptions-status"===d?b.removeClass(status_classes).addClass(c).children("#response").text(a).stop(!0).fadeTo(0,1):b.removeClass(status_classes).addClass(c).text(a).stop(!0).fadeTo(0,1);b.show()};e.report_error=function(a,b,c,d){b&&"4"===b.status.toString().charAt(0)&&(a+=": "+$.parseJSON(b.responseText).msg);ui.report_message(a,c,"alert-error",d)};e.report_success=function(a,b,c){ui.report_message(a,b,"alert-success",c)};e.find_message=function(a){var b;
_.each([message_list.all,home_msg_list,message_list.narrowed],function(c){void 0!==c&&void 0===b&&(b=c.get(a))});return b};e.update_starred=function(a,c){var d=e.find_message(a);unread.mark_message_as_read(d);d.starred=c;b(a,function(a){a=a.find(".message_star");c?a.addClass("icon-vector-star").removeClass("icon-vector-star-empty").removeClass("empty-star"):a.removeClass("icon-vector-star").addClass("icon-vector-star-empty").addClass("empty-star");a.attr("title",(d.starred?"Unstar":"Star")+" this message")})};
var g=[],m=_.throttle(function(){_.each(g,function(a){b(a,function(a){a.find(".message_time").toggleClass("notvisible",!1)})});g=[]},100);e.show_local_message_arrived=function(a){g.push(a);m()};e.show_message_failed=function(a,c){b(a,function(a){a=a.find(".message_failed");a.toggleClass("notvisible",!1);a.find(".failed_text").attr("title",c)})};e.show_failed_message_success=function(a){b(a,function(a){a.find(".message_failed").toggleClass("notvisible",!0)})};e.small_avatar_url=function(a){if(a.avatar_url){var b=
a.avatar_url+"&s=50";a.sent_by_me&&(b+="&stamp="+settings.avatar_stamp);return b}return""};var k=!1;e.show_loading_more_messages_indicator=function(){k||(loading.make_indicator($("#loading_more_messages_indicator"),{abs_positioned:!0}),k=!0,floating_recipient_bar.hide())};e.hide_loading_more_messages_indicator=function(){k&&(loading.destroy_indicator($("#loading_more_messages_indicator")),k=!1)};e.switchToFullWidth=function(){$("#full-width-style").remove();$("head").append('<style id="full-width-style" type="text/css">#home .alert-bar, .recipient-bar-content, #compose-container, .app-main, .header-main { max-width: none; }</style>');
return"Switched to full width"};$(function(){var a=$.throttle(50,function(a,b){0<b?viewport.at_top()&&navigate.up():0>b&&viewport.at_bottom()&&navigate.down();viewport.last_movement_direction=b});viewport.message_pane.mousewheel(function(b,c){var d=e.home_tab_obscured();d?"modal"===d&&b.preventDefault():a(b,c)});$(window).resize($.throttle(50,resize.handler));$(".modal-body, .scrolling_list, input, textarea").mousewheel(function(a,b){var c=$(this),d=c.scrollTop(),c=this.scrollHeight-c.innerHeight()-
1;a.stopPropagation();(0<b&&0>=d||0>b&&d>=c)&&a.preventDefault()});$("#compose").mousewheel(function(a){a.stopPropagation();a.preventDefault()});resize.handler();page_params.left_side_userlist||$("#navbar-buttons").addClass("right-userlist");$("#main_div").on("mouseover",".message_row",function(a){a=$(this).closest(".message_row");var b;if((!c||!(a&&c.attr("zid")===a.attr("zid")))&&!a.hasClass("local")){b=current_msg_list.get(rows.id(a));f();a.addClass("message_hovered");var d=new XDate;b&&(b.sent_by_me&&
!b.status_message&&page_params.realm_allow_message_editing&&(0===page_params.realm_message_content_edit_limit_seconds||0<page_params.realm_message_content_edit_limit_seconds+d.diffSeconds(1E3*b.timestamp)))&&a.find(".message_content").find("p:last").append('<span class="edit_content"><i class="icon-vector-pencil edit_content_button"></i></span>');c=a}});$("#main_div").on("mouseleave",".message_row",function(a){f()});$("#main_div").on("mouseover",".message_sender",function(a){$(this).closest(".message_row").addClass("sender_name_hovered")});
$("#main_div").on("mouseout",".message_sender",function(a){$(this).closest(".message_row").removeClass("sender_name_hovered")});$("#subscriptions_table").on("mouseover",".subscription_header",function(a){$(this).addClass("active")});$("#subscriptions_table").on("mouseout",".subscription_header",function(a){$(this).removeClass("active")});$("#stream").on("blur",function(){compose.decorate_stream_bar(this.value)});$(window).on("blur",function(){$(document.body).addClass("window_blurred")});$(window).on("focus",
function(){$(document.body).removeClass("window_blurred")});$(document).on("message_selected.zulip",function(a){if(current_msg_list===a.msg_list&&-1!==a.id){var b=a.msg_list.get_row(a.id);$(".selected_message").removeClass("selected_message");b.addClass("selected_message");if(a.then_scroll){if(0===b.length){var c=current_msg_list.get_row(a.id);blueslip.debug("message_selected missing selected row",{previously_selected:a.previously_selected,selected_id:a.id,selected_idx:a.msg_list.selected_idx(),selected_idx_exact:a.msg_list._items.indexOf(a.msg_list.get(a.id)),
render_start:a.msg_list.view._render_win_start,render_end:a.msg_list.view._render_win_end,selected_id_from_idx:a.msg_list._items[a.msg_list.selected_idx()].id,msg_list_sorted:_.isEqual(_.pluck(a.msg_list._items,"id"),_.chain(current_msg_list._items).pluck("id").clone().value().sort()),found_in_dom:c.length})}void 0!==a.target_scroll_offset?viewport.set_message_offset(a.target_scroll_offset):viewport.recenter_view(b,{from_scroll:a.from_scroll,force_center:-1===a.previously_selected})}}});$("#main_div").on("mouseenter",
".message_time",function(a){a=$(a.target);var b=a.closest(".message_row"),b=current_msg_list.get(rows.id(b));timerender.set_full_datetime(b,a)});$("#streams_header h4").tooltip({placement:"right",animation:!1});$('#streams_header i[data-toggle="tooltip"]').tooltip({placement:"left",animation:!1});page_params.realm_allow_message_editing||$("#edit-message-hotkey-help").hide();page_params.presence_disabled&&($("#user-list").hide(),$("#group-pm-list").hide());feature_flags.full_width&&e.switchToFullWidth();
reload.initialize();composebox_typeahead.initialize();search.initialize();tutorial.initialize();notifications.initialize();gear_menu.initialize();hashchange.initialize();invite.initialize();activity.initialize()});var l,p=0;$(function(){viewport.message_pane.scroll($.throttle(50,function(b){unread.process_visible();d=!0;clearTimeout(l);l=setTimeout(a,100)}));$("#new_message_content").blur(function(){p=$(this).caret()})});e.restore_compose_cursor=function(){$("#new_message_content").focus().caret(p)};
$(function(){void 0!==window.bridge&&($("#new_message_content").attr("spellcheck","false"),$("#webathena_login_menu").hide(),$("#normal-zephyr-mirror-error-text").addClass("notdisplayed"),$("#desktop-zephyr-mirror-error-text").removeClass("notdisplayed"))});return e}();var pointer=function(){function h(){if(a)return $.when();a=!0;return channel.put({url:"/json/users/me/pointer",idempotent:!0,data:{pointer:pointer.furthest_read},success:function(){pointer.server_furthest_read=pointer.furthest_read;a=!1},error:function(){a=!1}})}function f(){if(a){var b=$.Deferred();setTimeout(function(){b.resolve(f())},100);return b}return h()}var b={recenter_pointer_on_display:!1,suppress_scroll_pointer_update:!1,furthest_read:-1,server_furthest_read:-1},a=!1;b.send_pointer_update=
function(){pointer.furthest_read>pointer.server_furthest_read&&h()};b.fast_forward_pointer=function(){channel.get({url:"/json/users/me",idempotent:!0,data:{email:page_params.email},success:function(a){unread.mark_all_as_read(function(){pointer.furthest_read=a.max_message_id;f().then(function(){ui.change_tab_to("#home");reload.initiate({immediate:!0,save_pointer:!1,save_narrow:!1,save_compose:!0})})})}})};b.keep_pointer_in_view=function(){function a(){if(viewport.at_top())return!0;var b=f.offset().top;
return b>=k.visible_top||b+f.outerHeight(!0)>=l?!0:!1}function b(){return viewport.at_bottom()||f.offset().top<=h}function c(a,b){if(a(f))return!1;for(;!a(f);){g=b(f);if(0===g.length)break;f=g}return!0}var g,f=current_msg_list.selected_row();if(0!==f.length){var k=viewport.message_viewport_info(),l=k.visible_top+0.1*k.visible_height,h=k.visible_top+0.9*k.visible_height;c(a,rows.next_visible)||c(b,rows.prev_visible);current_msg_list.select_id(rows.id(f),{from_scroll:!0})}};return b}();
"undefined"!==typeof module&&(module.exports=pointer);var click_handlers=function(){$(function(){function h(a){a=rows.get_closest_group(a);a=rows.id_for_recipient_row(a);a=current_msg_list.get(a);var b=current_msg_list.selected_message();return util.same_recipient(a,b)?b.id:a.id}function f(a){$(a.target).is("a")||a.stopPropagation();popovers.hide_all()}var b=!1,a=!1;$("#main_div").on("mousedown",".messagebox",function(){a=!1;b=!0});$("#main_div").on("mousemove",".messagebox",function(){b&&(a=!0)});$("#main_div").on("click",".messagebox",function(e){var d=
$(e.target);if(!d.is("a")&&!d.is("img.message_inline_image")&&!d.is("img.twitter-avatar")&&!d.is("div.message_length_controller")&&!d.is("textarea")&&!d.is("input")&&!d.is("i.edit_content_button")){if(!b||!a){d=$(this).closest(".message_row");d=rows.id(d);if(message_edit.is_editing(d))return;current_msg_list.select_id(d);compose.respond_to_message({trigger:"message click"});e.stopPropagation();popovers.hide_all()}b=a=!1}});$("#main_div").on("click",".star",function(a){a.stopPropagation();popovers.hide_all();
a=rows.id($(this).closest(".message_row"));a=ui.find_message(a);unread.mark_message_as_read(a);ui.update_starred(a.id,!0!==a.starred);message_flags.send_starred([a],a.starred)});$("body").on("click",".edit_content_button",function(a){var b=current_msg_list.get_row(rows.id($(this).closest(".message_row")));current_msg_list.select_id(rows.id(b));message_edit.start(b);a.stopPropagation();popovers.hide_all()});$("body").on("click",".always_visible_topic_edit,.on_hover_topic_edit",function(a){var b=$(this).closest(".recipient_row");
message_edit.start_topic_edit(b);a.stopPropagation();popovers.hide_all()});$("body").on("click",".topic_edit_save",function(a){var b=$(this).closest(".recipient_row");!0===message_edit.save(b,!0)&&current_msg_list.hide_edit_topic(b);a.stopPropagation();popovers.hide_all()});$("body").on("click",".topic_edit_cancel",function(a){var b=$(this).closest(".recipient_row");current_msg_list.hide_edit_topic(b);a.stopPropagation();popovers.hide_all()});$("body").on("click",".message_edit_save",function(a){var b=
$(this).closest(".message_row");!0===message_edit.save(b,!1)&&message_edit.end($(this).closest(".message_row"));a.stopPropagation();popovers.hide_all()});$("body").on("click",".message_edit_cancel",function(a){var b=$(this).closest(".message_row");message_edit.end(b);a.stopPropagation();popovers.hide_all()});$("#home").on("click",".narrows_by_recipient",function(a){!a.metaKey&&!a.ctrlKey&&(a.preventDefault(),a=h(this),narrow.by_recipient(a,{trigger:"message header"}))});$("#home").on("click",".narrows_by_subject",
function(a){!a.metaKey&&!a.ctrlKey&&(a.preventDefault(),a=h(this),narrow.by_subject(a,{trigger:"message header"}))});$("#userlist-toggle-button").on("click",function(a){a.preventDefault();a.stopPropagation();a=!$(".app-main .column-right").hasClass("expanded");popovers.hide_all();a&&popovers.show_userlist_sidebar()});$("#streamlist-toggle-button").on("click",function(a){a.preventDefault();a.stopPropagation();a=!$(".app-main .column-left").hasClass("expanded");popovers.hide_all();a&&popovers.show_streamlist_sidebar()});
$("#user_presences").expectOne().on("click",".selectable_sidebar_block",function(a){var b=$(a.target).parents("li").attr("data-email");narrow.by("pm-with",b,{select_first_unread:!0,trigger:"sidebar"});a.preventDefault();a.stopPropagation();popovers.hide_all()});$("#group-pms").expectOne().on("click",".selectable_sidebar_block",function(a){var b=$(a.target).parents("li").attr("data-emails");narrow.by("pm-with",b,{select_first_unread:!0,trigger:"sidebar"});a.preventDefault();a.stopPropagation();popovers.hide_all()});
$(document).on("click","li[data-name='home']",function(a){ui.change_tab_to("#home");narrow.deactivate();setTimeout(navigate.maybe_scroll_to_selected,0);a.preventDefault()});$(".brand").on("click",function(a){ui.home_tab_obscured()?ui.change_tab_to("#home"):narrow.restore_home_state();navigate.maybe_scroll_to_selected();a.preventDefault()});$("#streams_inline_cog").click(function(a){ui.change_tab_to("#subscriptions");a.preventDefault()});popovers.register_click_handlers();notifications.register_click_handlers();
$(".logout_button").click(function(a){$("#logout_form").submit()});$(".restart_get_events_button").click(function(a){server_events.restart_get_events({dont_block:!0})});$("#send-status .send-status-close").click(function(){$("#send-status").stop(!0).fadeOut(500)});$(".compose_stream_button").click(function(a){compose.start("stream")});$(".compose_private_button").click(function(a){compose.start("private")});$(".empty_feed_compose_stream").click(function(a){compose.start("stream",{trigger:"empty feed message"});
a.preventDefault()});$(".empty_feed_compose_private").click(function(a){compose.start("private",{trigger:"empty feed message"});a.preventDefault()});$("#compose_buttons").click(f);$(".compose-content").click(f);$("#compose_close").click(function(a){compose.cancel()});$(".feedback").click(function(a){compose.start("private",{private_message_recipient:"feedback@zulip.com",trigger:"feedback menu item"})});$("#feedback_button").click(function(a){a.stopPropagation();popovers.hide_all();compose.start("private",
{private_message_recipient:"feedback@zulip.com",trigger:"feedback button"})});$("#right-sidebar, #top_navbar").on("click",".webathena_login",function(a){$("#zephyr-mirror-error").hide();WinChan.open({url:"https://webathena.mit.edu/#!request_ticket_v1",relay_url:"https://webathena.mit.edu/relay.html",params:{realm:"ATHENA.MIT.EDU",principal:["zephyr","zephyr"]}},function(a,b){a?blueslip.warn(a):"OK"!==b.status?blueslip.warn(b):channel.post({url:"/accounts/webathena_kerberos_login/",data:{cred:JSON.stringify(b.session)},
success:function(a,b){$("#zephyr-mirror-error").hide()},error:function(a,b){$("#zephyr-mirror-error").show()}})});$("#settings-dropdown").dropdown("toggle");a.preventDefault();a.stopPropagation()});$(".bankruptcy_button").click(function(a){unread.enable()});$("#yes-bankrupt").click(function(a){pointer.fast_forward_pointer();$("#yes-bankrupt").hide();$("#no-bankrupt").hide();$(this).after($("<div>").addClass("alert alert-info settings_committed").text("Bringing you to your latest messages\u2026"))});
$(document).on("click",function(a){0===a.button&&(0===$(".popover-inner").has(a.target).length&&popovers.hide_all(),compose.composing()&&(!$(a.target).is("a")&&0===$(a.target).closest(".modal").length&&""===window.getSelection().toString())&&compose.cancel())});$("a.dropdown-toggle, .dropdown-menu a").on("touchstart",function(a){a.stopPropagation()})});return{}}();$(function(){$("#stream-filters-container").perfectScrollbar({suppressScrollX:!0,useKeyboard:!1,wheelSpeed:20})});
function scrollbarWidth(){$("body").prepend('<div id="outertest" style="width:200px; height:150px; position: absolute; top: 0; left: 0; overflow-x:hidden; overflow-y:scroll; background: #ff0000; visibility: hidden;"><div id="innertest" style="width:100%; height: 200px; overflow-y: visible;">&nbsp;</div></div>');var h=$("#outertest").outerWidth()-$("#innertest").outerWidth();$("#outertest").remove();return h}
$(function(){var h=scrollbarWidth();0<h&&($(".header").css("left","-"+h+"px"),$(".header-main").css("left",h+"px"),$(".header-main").css("max-width",1400+h+"px"),$(".header-main .column-middle").css("margin-right",250+h+"px"),$(".fixed-app").css("left","-"+h+"px"),$(".fixed-app .app-main").css("max-width",1400+h+"px"),$(".fixed-app .column-middle").css("margin-left",250+h+"px"),$(".column-right").css("right",h+"px"),$(".app-main .right-sidebar").css({"margin-left":h+"px",width:250-h+"px"}),$("#compose").css("left",
"-"+h+"px"),$(".compose-content").css({left:h+"px","margin-right":250+h+"px"}),$("#compose-container").css("max-width",1400+h+"px"),$("head").append("<style> @media (max-width: 975px) { .compose-content, .header-main .column-middle { margin-right: "+(7+h)+"px !important; } } @media (max-width: 775px) { .fixed-app .column-middle { margin-left: "+(7+h)+"px !important; } } </style>"))});var gear_menu=function(){var h={},f={};h.initialize=function(){admin.show_or_hide_menu_item();$('#gear-menu a[data-toggle="tab"]').on("show",function(a){a=$(a.relatedTarget).attr("href");f[a]=viewport.scrollTop()});$('#gear-menu a[data-toggle="tab"]').on("shown",function(a){a=$(a.target).attr("href");resize.resize_bottom_whitespace();$(".alert-error").hide();$(".alert-success").hide();$(".alert-info").hide();$(".alert").hide();var b=a;"#home"===b&&(b="");hashchange.changehash(b);f.hasOwnProperty(a)?
viewport.scrollTop(f[a]):"#home"===a?navigate.scroll_to_selected():viewport.scrollTop(0)});var b=$('#gear-menu a[href="#subscriptions"]');b.on("click",function(a){$(document).one("subs_page_loaded.zulip",function(a){$("#create_stream_name").focus().select()})});b.on("shown",subs.setup_page);$('#gear-menu a[href="#administration"]').on("shown",admin.setup_page);$('#gear-menu a[href="#settings"]').on("shown",settings.setup_page)};return h}();var copy_and_paste=function(){function h(b,a){var e,d=!1,c=b;if(0!==c.length){for(e=0;!c.is(".message_row")&&10>e;e++)c=a(c);if(10!==e)return 0!==e&&(d=!0),[rows.id(c),d]}}function f(b){var a=window.getSelection(),e,d=[],c,g,f,k,l,p=!1,u=$("<div>");for(b=0;b<a.rangeCount;b++){e=a.getRangeAt(b);d.push(e);c=$(e.startContainer);k=h($(c.parents(".selectable_row, .message_header")[0]),function(a){return a.next()});if(void 0===k)return;f=k[0];g=$(e.endContainer);"bottom_whitespace"===g.attr("id")||"compose_close"===
g.attr("id")?(e=$(".message_row:last"),p=!0):e=$(g.parents(".selectable_row")[0]);l=h(e,function(a){return a.prev()});if(void 0===l)return;e=l[0];if(k[1]||l[1])p=!0;if(!p&&c.parents(".selectable_row>div")[0]===g.parents(".selectable_row>div")[0])return;for(c=current_msg_list.get_row(f);rows.id(c)<=e;c=rows.next_visible(c))c.prev().hasClass("message_header")&&(f=$("<div>").text(c.prev().text().replace(/\s+/g," ").replace(/^\s/,"").replace(/\s$/,"")),u.append($("<p>").append($("<strong>").text(f.text())))),
f=current_msg_list.get(rows.id(c)),k=$(f.content).slice(0,1),k.prepend(f.sender_full_name+": "),u.append(k),u.append($(f.content).slice(1))}void 0!==window.bridge&&ui.replace_emoji_with_text(u);u.css({position:"absolute",left:"-99999px"}).attr("id","copytempdiv");$("body").append(u);a.selectAllChildren(u[0]);window.setTimeout(function(){a=window.getSelection();a.removeAllRanges();_.each(d,function(b){a.addRange(b)});$("#copytempdiv").remove()},0)}$(function(){$(document).bind("copy",f)});return{}}();var popovers=function(){function h(){return $("li:not(.divider):visible a",b.data("popover").$tip)}var f={},b,a,e="right";f.toggle_actions_popover=function(a,c){var d=b;popovers.hide_all();if(!(void 0!==d&&d.get()[0]===a)&&(current_msg_list.select_id(c),d=$(a),void 0===d.data("popover"))){var e=current_msg_list.get(c),g=e.sent_by_me&&void 0===e.local_id&&page_params.realm_allow_message_editing,f=e.stream&&e.subject&&!muting.is_topic_muted(e.stream,e.subject),h=e.stream&&e.subject&&muting.is_topic_muted(e.stream,
e.subject),e={message:e,can_edit_message:g,can_mute_topic:f,can_unmute_topic:h,conversation_time_uri:narrow.by_conversation_and_time_uri(e),narrowed:narrow.active()},g=d.offset().top-viewport.scrollTop();d.popover({placement:g>viewport.height()-300?"top":"bottom",title:"",content:templates.render("actions_popover_content",e),trigger:"manual"});d.popover("show");b=d}};f.open_message_menu=function(){var a=current_msg_list.selected_id();popovers.toggle_actions_popover($(".selected_message .actions_hover")[0],
a);b&&h().eq(0).expectOne().focus();return!0};f.actions_menu_handle_keyboard=function(a){var b=h(),c=b.index(b.filter(":focus"));if("enter"===a&&0<=c&&c<b.length)return b.eq(c).trigger("click");-1===c?c=0:("down_arrow"===a||"vim_down"===a)&&c<b.length-1?++c:("up_arrow"===a||"vim_up"===a)&&0<c&&--c;b.eq(c).focus()};f.actions_popped=function(){return void 0!==b};f.hide_actions_popover=function(){popovers.actions_popped()&&(b.popover("destroy"),b=void 0)};f.hide_message_info_popover=function(){void 0!==
a&&(a.popover("destroy"),a=void 0)};f.hide_userlist_sidebar=function(){$(".app-main .column-right").removeClass("expanded")};f.hide_streamlist_sidebar=function(){$(".app-main .column-left").removeClass("expanded")};f.hide_pm_list_sidebar=function(){$(".app-main .column-left").removeClass("expanded")};f.show_userlist_sidebar=function(){$(".app-main .column-right").addClass("expanded");resize.resize_page_components()};f.show_streamlist_sidebar=function(){$(".app-main .column-left").addClass("expanded");
resize.resize_page_components()};f.show_pm_list_sidebar=function(){$(".app-main .column-left").addClass("expanded");resize.resize_page_components()};var d,c,g,m;f.hide_stream_sidebar_popover=function(){void 0!==d&&($(d).popover("destroy"),d=void 0)};f.hide_topic_sidebar_popover=function(){void 0!==c&&($(c).popover("destroy"),c=void 0)};f.hide_user_sidebar_popover=function(){void 0!==m&&($("#user_presences").data("popover",m),$("#user_presences").popover("destroy"),m=g=void 0)};f.register_click_handlers=
function(){$("#main_div").on("click",".actions_hover",function(a){var b=$(this).closest(".message_row");a.stopPropagation();popovers.toggle_actions_popover(this,rows.id(b))});$("#main_div").on("click",".sender_info_hover",function(b){var c=$(this).closest(".message_row");b.stopPropagation();c=rows.id(c);b=a;popovers.hide_all();if(!(void 0!==b&&b.get()[0]===this)&&(current_msg_list.select_id(c),b=$(this),void 0===b.data("popover"))){timerender.set_full_datetime(current_msg_list.get(c),b.closest(".message_row").find(".message_time"));
var c=current_msg_list.get(c),c={message:c,pm_with_uri:narrow.pm_with_uri(c.sender_email),sent_by_uri:narrow.by_sender_uri(c.sender_email),narrowed:narrow.active()},d=b.offset().top-viewport.scrollTop();b.popover({placement:d>viewport.height()-300?"top":"bottom",title:templates.render("message_info_popover_title",c),content:templates.render("message_info_popover_content",c),trigger:"manual"});b.popover("show");a=b}});$("body").on("click",".user_popover .narrow_to_private_messages",function(a){var b=
$(a.target).parents("ul").attr("data-email");popovers.hide_user_sidebar_popover();narrow.by("pm-with",b,{select_first_unread:!0,trigger:"user sidebar popover"});a.stopPropagation()});$("body").on("click",".user_popover .narrow_to_messages_sent",function(a){var b=$(a.target).parents("ul").attr("data-email");popovers.hide_user_sidebar_popover();narrow.by("sender",b,{select_first_unread:!0,trigger:"user sidebar popover"});a.stopPropagation()});$("body").on("click",".user_popover .compose_private_message",
function(a){var b=$(a.target).parents("ul").attr("data-email");popovers.hide_user_sidebar_popover();compose.start("private",{private_message_recipient:b,trigger:"sidebar user actions"});a.stopPropagation()});$("body").on("click",".sender_info_popover .narrow_to_private_messages",function(a){var b=$(a.target).parents("ul").attr("data-email");narrow.by("pm-with",b,{select_first_unread:!0,trigger:"user sidebar popover"});popovers.hide_message_info_popover();a.stopPropagation();a.preventDefault()});$("body").on("click",
".sender_info_popover .narrow_to_messages_sent",function(a){var b=$(a.target).parents("ul").attr("data-email");narrow.by("sender",b,{select_first_unread:!0,trigger:"user sidebar popover"});popovers.hide_message_info_popover();a.stopPropagation();a.preventDefault()});$("#user_presences").on("click","span.arrow",function(a){a.stopPropagation();a=$(this).closest("li");var b=a.find("a").attr("data-email"),c=a.find("a").attr("data-name");g===b?popovers.hide_all():(popovers.hide_all(),"right"===e&&popovers.show_userlist_sidebar(),
c=templates.render("user_sidebar_actions",{email:b,name:c}),a.popover({content:c,placement:"left"===e?"right":"left",trigger:"manual",fixed:!0}),a.popover("show"),g=b,m=a.data("popover"))});$("#stream_filters").on("click",".topic-sidebar-arrow",function(a){var b=a.target;if(void 0!==c&&c===b)popovers.hide_topic_sidebar_popover();else{popovers.hide_all();popovers.show_streamlist_sidebar();var d=$(b).closest(".expanded_subjects").expectOne().attr("data-stream"),e=$(b).closest("li").expectOne().attr("data-name"),
g=muting.is_topic_muted(d,e),d=templates.render("topic_sidebar_actions",{stream_name:d,topic_name:e,can_mute_topic:!g,can_unmute_topic:g});$(b).popover({content:d,trigger:"manual",fixed:!0});$(b).popover("show");c=b}a.stopPropagation()});$("body").on("click",".narrow_to_topic",function(a){popovers.hide_topic_sidebar_popover();var b=$(a.currentTarget).closest(".narrow_to_topic").expectOne(),c=b.attr("data-stream-name"),b=b.attr("data-topic-name");narrow.activate([{operator:"stream",operand:c},{operator:"topic",
operand:b}],{select_first_unread:!0,trigger:"sidebar"});a.stopPropagation()});$("body").on("click",".sidebar-popover-mute-topic",function(a){var b=$(a.currentTarget).attr("data-stream-name"),c=$(a.currentTarget).attr("data-topic-name");popovers.hide_topic_sidebar_popover();muting.mute_topic(b,c);muting_ui.persist_and_rerender();a.stopPropagation();a.preventDefault()});$("body").on("click",".sidebar-popover-unmute-topic",function(a){var b=$(a.currentTarget).attr("data-stream-name"),c=$(a.currentTarget).attr("data-topic-name");
popovers.hide_topic_sidebar_popover();muting.unmute_topic(b,c);muting_ui.persist_and_rerender();a.stopPropagation();a.preventDefault()});$("body").on("click",".sidebar-popover-mark-topic-read",function(a){var b=$(a.currentTarget).attr("data-topic-name"),c=$(a.currentTarget).attr("data-stream-name");popovers.hide_topic_sidebar_popover();unread.mark_topic_as_read(c,b);a.stopPropagation()});$("#stream_filters").on("click",".stream-sidebar-arrow",function(a){function b(a,c){var d=a[0].offsetHeight,e=
a.find(".colorpicker-container").find(".colorpicker");c(e);var e=a[0].offsetHeight,g=a.closest(".popover"),f=parseFloat(g.css("top").replace("px",""));g.css("top",f+0.5*-(e-d)+"px")}var c=a.target;if(void 0!==d&&d===c)popovers.hide_stream_sidebar_popover();else{popovers.hide_all();popovers.show_streamlist_sidebar();var e=$(c).parents("li").attr("data-name");$(c).offset();viewport.scrollTop();$(c).popover({content:templates.render("stream_sidebar_actions",{stream:stream_data.get_sub(e)}),trigger:"manual",
fixed:!0});$(c).popover("show");e=stream_data.get_sub(e).stream_id;e=$(".streams_popover[data-id="+e+"]");b(e,function(a){a.spectrum(stream_color.sidebar_popover_colorpicker_options)});$(".streams_popover").on("click",".custom_color",function(a){b($(a.target).closest(".streams_popover"),function(b){b.spectrum("destroy");b.spectrum(stream_color.sidebar_popover_colorpicker_options_full);b.parent().find(".sp-container").removeClass("sp-buttons-disabled");$(a.target).hide()});$(".streams_popover").on("click",
"a.sp-cancel",function(a){popovers.hide_stream_sidebar_popover()})});d=c}a.stopPropagation()});$("body").on("click",".respond_button",function(a){compose.respond_to_message({trigger:"popover respond"});popovers.hide_actions_popover();a.stopPropagation();a.preventDefault()});$("body").on("click",".respond_personal_button",function(a){compose.respond_to_message({reply_type:"personal",trigger:"popover respond pm"});popovers.hide_all();a.stopPropagation();a.preventDefault()});$("body").on("click",".popover_narrow_by_id",
function(a){var b=$(a.currentTarget).data("msgid");popovers.hide_actions_popover();narrow.by_id(b,{trigger:"popover"});a.stopPropagation();a.preventDefault()});$("body").on("click",".popover_narrow_by_conversation_and_time",function(a){var b=$(a.currentTarget).data("msgid");popovers.hide_actions_popover();narrow.by_conversation_and_time(b,{trigger:"popover"});a.stopPropagation();a.preventDefault()});$("body").on("click",".popover_toggle_collapse",function(a){var b=$(a.currentTarget).data("msgid"),
b=current_msg_list.get_row(b),c=current_msg_list.get(rows.id(b));popovers.hide_actions_popover();b&&(c.collapsed?condense.uncollapse(b):condense.collapse(b));a.stopPropagation();a.preventDefault()});$("body").on("click",".popover_edit_message",function(a){var b=$(a.currentTarget).data("msgid"),b=current_msg_list.get_row(b);popovers.hide_actions_popover();message_edit.start(b);a.stopPropagation();a.preventDefault()});$("body").on("click",".popover_mute_topic",function(a){var b=$(a.currentTarget).data("msg-stream"),
c=$(a.currentTarget).data("msg-topic");popovers.hide_actions_popover();muting.mute_topic(b,c);muting_ui.persist_and_rerender();a.stopPropagation();a.preventDefault()});$("body").on("click",".popover_unmute_topic",function(a){var b=$(a.currentTarget).data("msg-stream"),c=$(a.currentTarget).data("msg-topic");popovers.hide_actions_popover();muting.unmute_topic(b,c);muting_ui.persist_and_rerender();a.stopPropagation();a.preventDefault()});$("body").on("click",".toggle_home",function(a){var b=$(a.currentTarget).parents("ul").attr("data-name");
popovers.hide_stream_sidebar_popover();subs.toggle_home(b);a.stopPropagation()});$("body").on("click",".narrow_to_stream",function(a){var b=$(a.currentTarget).parents("ul").attr("data-name");popovers.hide_stream_sidebar_popover();narrow.by("stream",b,{select_first_unread:!0,trigger:"sidebar popover"});a.stopPropagation()});$("body").on("click",".compose_to_stream",function(a){var b=$(a.currentTarget).parents("ul").attr("data-name");popovers.hide_stream_sidebar_popover();compose.start("stream",{stream:b,
trigger:"sidebar stream actions"});a.stopPropagation()});$("body").on("click",".mark_stream_as_read",function(a){var b=$(a.currentTarget).parents("ul").attr("data-name");popovers.hide_stream_sidebar_popover();unread.mark_stream_as_read(b);a.stopPropagation()});$("body").on("click",".pin_to_top",function(a){var b=$(a.currentTarget).parents("ul").attr("data-name");popovers.hide_stream_sidebar_popover();subs.toggle_pin_to_top_stream(b);a.stopPropagation()});$("body").on("click",".open_stream_settings",
function(a){var b=$(a.currentTarget).parents("ul").attr("data-name");popovers.hide_stream_sidebar_popover();$("#subscriptions").hasClass("active")?subs.show_settings_for(b):($(document).one("subs_page_loaded.zulip",function(a){subs.show_settings_for(b)}),ui.change_tab_to("#subscriptions"))})};f.any_active=function(){return popovers.actions_popped()||void 0!==m||void 0!==d||void 0!==c||void 0!==a};f.hide_all=function(){popovers.hide_actions_popover();popovers.hide_message_info_popover();popovers.hide_stream_sidebar_popover();
popovers.hide_topic_sidebar_popover();popovers.hide_user_sidebar_popover();popovers.hide_userlist_sidebar();popovers.hide_streamlist_sidebar()};f.set_userlist_placement=function(a){e=a||"right"};return f}();var typeahead_helper=function(){function h(b,a,e){for(var d=[],c=[],g=[],f=a.shift();f;){var k;k=e?e(f):f;0===k.indexOf(b)?d.push(f):0===k.toLowerCase().indexOf(b.toLowerCase())?c.push(f):g.push(f);f=a.shift()}return{matches:d.concat(c),rest:g}}var f={highlight_with_escaping:function(b,a){b=b.replace(/[\-\[\]{}()*+?.,\\\^$|#\s]/g,"\\$&");var e=RegExp("("+b+")","ig"),d=a.split(e),c="";_.each(d,function(a){c=a.match(e)?c+("<strong>"+Handlebars.Utils.escapeExpression(a)+"</strong>"):c+Handlebars.Utils.escapeExpression(a)});
return c},highlight_with_escaping_and_regex:function(b,a){var e=a.split(b),d="";_.each(e,function(a){d=a.match(b)?d+("<strong>"+Handlebars.Utils.escapeExpression(a)+"</strong>"):d+Handlebars.Utils.escapeExpression(a)});return d},highlight_query_in_phrase:function(b,a){var e;b=b.toLowerCase();b=b.replace(/[\-\[\]{}()*+?.,\\\^$|#\s]/g,"\\$&");var d=RegExp("(^"+b+")","ig"),c="",g=a.split(" ");for(e=0;e<g.length;e++)0<e&&(c+=" "),c+=f.highlight_with_escaping_and_regex(d,g[e]);return c},render_person:function(b){return b.special_item_text?
b.special_item_text:b.full_name+" <"+b.email+">"},sorter:function(b,a,e){b=h(b,a,e);return b.matches.concat(b.rest)},compare_by_pms:function(b,a){return b.pm_recipient_count>a.pm_recipient_count?-1:b.pm_recipient_count<a.pm_recipient_count?1:!b.is_bot&&a.is_bot?-1:b.is_bot&&!a.is_bot?1:b.full_name<a.full_name?-1:b===a?0:1},sort_by_pms:function(b){b.sort(f.compare_by_pms);return b},sort_recipients:function(b,a){var e=h(a,b,function(a){return a.full_name}),d=h(a,e.rest,function(a){return a.email}),
e=f.sort_by_pms(e.matches.concat(d.matches)),d=f.sort_by_pms(d.rest);return e.concat(d)},sort_emojis:function(b,a){var e=h(a,b,function(a){return a.emoji_name});return e.matches.concat(e.rest)},sort_recipientbox_typeahead:function(b){var a=composebox_typeahead.get_cleaned_pm_recipients(this.query);return f.sort_recipients(b,a[a.length-1])}};return f}();"undefined"!==typeof module&&(module.exports=typeahead_helper);var search_suggestion=function(){function h(a,b){var c;b=b.toLowerCase();a=a.toLowerCase();if(0===a.indexOf(b))return!0;var d=a.split(" ");for(c=0;c<d.length;c++)if(0===d[c].indexOf(b))return!0;return!1}function f(a,b){var c=typeahead_helper.highlight_query_in_phrase;return c(a,b.full_name)+" &lt;"+c(a,b.email)+"&gt;"}function b(a){var b;switch(a.length){case 0:b="";break;case 1:var c=a[0].operator;b=a[0].operand;if(!("stream"===c||"search"===c))return[];break;default:return[]}a=stream_data.subscribed_streams();
a=_.filter(a,function(a){return h(a,b)});a=typeahead_helper.sorter(b,a);return _.map(a,function(a){var c="Narrow to stream "+typeahead_helper.highlight_query_in_phrase(b,a);a=Filter.unparse([{operator:"stream",operand:a}]);return{description:c,search_string:a}})}function a(a,b,c){if(0===b.length)return[];var d=!1;"is"===b[0].operator&&"private"===b[0].operand?(b=b.slice(1),d=!0):_.each(c,function(a){b[0].operator===a&&(d=!0)});if(!d)return[];var e,g,m=!1;if(0===b.length)e="",g=c[0];else if(1===b.length){var s=
b[0].operator;"search"===s?(e=b[0].operand,g=c[0]):_.each(c,function(a){s===a&&(e=b[0].operand,g=a,m=b[0].negated)});if(void 0===e)return[]}else return[];a=_.filter(a,function(a){return""===e||h(a.full_name,e)||h(a.email,e)});a.sort(typeahead_helper.compare_by_pms);a=a.slice(0,15);var t=Filter.operator_to_prefix(g,m);a=_.map(a,function(a){var b={operator:g,operand:a.email,negated:m};a=f(e,a);a=t+" "+a;var c=[b];m&&(c=[{operator:"is",operand:"private"},b]);b=Filter.unparse(c);return{description:a,
search_string:b}});a.push({search_string:"is:private",description:"Private messages"});return a}function e(a,b,c){if(""===b)return[];a=_.filter(a,function(a){return h(a.full_name,b)||h(a.email,b)});a.sort(typeahead_helper.compare_by_pms);var d=Filter.operator_to_prefix(c);return _.map(a,function(a){var e=f(b,a);return{description:d+" "+e,search_string:c+":"+a.email}})}function d(a){var b=Filter.unparse(a);a=Filter.describe(a);a=Handlebars.Utils.escapeExpression(a);return{description:a,search_string:b}}
function c(a){if(0===a.length)return[];var b=a.slice(-1)[0],c=Filter.canonicalize_operator(b.operator),d=b.operand,e="topic"===c&&b.negated,g;switch(c){case "stream":b=new Filter(a);if(b.has_operator("topic"))return[];g="";break;case "topic":case "search":g=d;a=a.slice(0,-1);b=new Filter(a);if(b.has_operator("topic"))return[];b.has_operator("stream")?d=b.operands("stream")[0]:(d=narrow.stream(),a.push({operator:"stream",operand:d}));break;default:return[]}if(!d)return[];b=stream_data.recent_subjects.get(d);
d=stream_data.get_name(d);if(!b)return[];b=b.slice(0,300);b=_.map(b,function(a){return a.subject});""!==g&&(b=_.filter(b,function(a){return h(a,g)}));b=b.slice(0,10);b.sort();return _.map(b,function(b){b=a.concat([{operator:"topic",operand:b,negated:e}]);var c=Filter.unparse(b);return{description:Filter.describe(b),search_string:c}})}function g(a,b){if(1>b.length)return[];var c,d=[];for(c=b.length-1;1<=c;--c){var e=b.slice(0,c),g=Filter.unparse(e),e={description:Filter.describe(e),search_string:g};
d.push(e)}return d}function m(a,b){if(2<=b.length)return[];var c=[{search_string:"",description:"Home"},{search_string:"in:all",description:"All messages"},{search_string:"is:private",description:"Private messages"},{search_string:"is:starred",description:"Starred messages"},{search_string:"is:mentioned",description:"@-mentions"},{search_string:"is:alerted",description:"Alerted messages"},{search_string:"sender:"+page_params.email,description:"Sent by me"}];a=a.toLowerCase();return c=_.filter(c,function(b){return b.search_string.toLowerCase()===
a?!1:""===a?!0:0===b.search_string.toLowerCase().indexOf(a)||0===b.description.toLowerCase().indexOf(a)})}return{get_suggestions:function(f){var h=[],p,u=Filter.parse(f),h=[d(u)];p=m(f,u);h=h.concat(p);p=b(u);var h=h.concat(p),r=page_params.people_list;p=e(r,f,"pm-with");h=h.concat(p);p=e(r,f,"sender");h=h.concat(p);p=a(r,u,["pm-with","sender"]);h=h.concat(p);p=c(u);h=h.concat(p);p=g(f,u);var h=h.concat(p),n={},q=[];_.each(h,function(a){n[a.search_string]||(n[a.search_string]=a,q.push(a))});return{strings:_.map(q,
function(a){return a.search_string}),lookup_table:n}}}}();"undefined"!==typeof module&&(module.exports=search_suggestion);var search=function(){function h(a){var b=$("#search_query");ui.change_tab_to("#home");a=Filter.parse(a);narrow.activate(a,{trigger:"search"});b.blur();return b.val()}function f(a){var b=$("#search_query");a||b.val()||narrow.active()?$(".search_button").removeAttr("disabled"):$(".search_button").attr("disabled","disabled")}var b={update_button_visibility:function(){f($("#search_query").is(":focus"))},initialize:function(){var a={};$("#search_query").typeahead({source:function(b){b=search_suggestion.get_suggestions(b);
a=b.lookup_table;return b.strings},fixed:!0,items:30,helpOnEmptyStrings:!0,naturalSearch:!0,highlighter:function(b){return a[b].description},matcher:function(a){return!0},updater:h,sorter:function(a){return a}});$("#searchbox_form").keydown(function(a){b.update_button_visibility();var c=a.which,e=$("#search_query");if(13===c&&e.is(":focus"))return a.preventDefault(),!1}).keyup(function(a){a=a.which;var b=$("#search_query");13===a&&b.is(":focus")&&(narrow.activate(Filter.parse(b.val()),{trigger:"search"}),
b.blur(),f(!1))});$("#search_exit").on("click",b.clear_search);var e=$("#search_query");e.on("focus",b.focus_search).on("blur",function(){setTimeout(function(){var a=narrow.search_string();e.val(a);b.update_button_visibility()},100)})},focus_search:function(){f(!0)},initiate_search:function(){$("#search_query").select()},clear_search:function(){narrow.deactivate();$("#search_query").blur();b.update_button_visibility()}};return b}();"undefined"!==typeof module&&(module.exports=search);var composebox_typeahead=function(){function h(a){a=util.extract_pm_recipients(a);return a[a.length-1]}function f(a){return typeahead_helper.highlight_with_escaping(this.query,a)}function b(a,b){a=a.toLowerCase();return-1!==b.email.toLowerCase().indexOf(a)||-1!==b.full_name.toLowerCase().indexOf(a)}function a(a){var b=a.keyCode||a.which;if(13===b||9===b&&!a.shiftKey)if(("stream"===a.target.id||"subject"===a.target.id||"private_message_recipient"===a.target.id)&&a.preventDefault(),"new_message_content"===
a.target.id&&13!==b&&a.preventDefault(),"stream"===a.target.id?m="subject":"subject"===a.target.id?(13===b&&a.preventDefault(),m="new_message_content"):m="private_message_recipient"===a.target.id?"new_message_content":"new_message_content"===a.target.id?13===b?!1:"compose-send-button":!1,!$("#subject").data().typeahead.shown&&!$("#stream").data().typeahead.shown&&!$("#private_message_recipient").data().typeahead.shown&&!$("#new_message_content").data().typeahead.shown){if("zulip.com"===page_params.domain&&
"compose-send-button"===m||"zulip.com"!==page_params.domain&&m)ui.focus_on(m),m=!1;if("new_message_content"===a.target.id&&13===b&&(a.metaKey||a.ctrlKey||page_params.enter_sends&&!a.shiftKey))a.preventDefault(),"disabled"!==$("#compose-send-button").attr("disabled")&&($("#compose-send-button").attr("disabled","disabled"),compose.finish())}}function e(a){var b=a.keyCode||a.which;if((13===b||9===b&&!a.shiftKey)&&m)ui.focus_on(m),m=!1}function d(a){var b=!1;$("#"+a).focus(function(c){b||(b=!0,$("#"+
a).select().one("mouseup",function(a){a.preventDefault()}),b=!1)})}var c={get_cleaned_pm_recipients:function(a){a=util.extract_pm_recipients(a);return a=_.filter(a,function(a){return a.match(/\S/)})}},g=new Dict;c.add_topic=function(a,b){var c=a.toLowerCase(),d=b.toLowerCase();g.has(c)||g.set(c,new Dict);c=g.get(c);c.has(d)||c.set(d,b)};c.topics_seen_for=function(a){a=a.toLowerCase();return g.has(a)?g.get(a).values().sort():[]};var m=!1;c.split_at_cursor=function(a,b){var c=b.caret();return[a.slice(0,
c),a.slice(c)]};c.compose_content_begins_typeahead=function(a){a=c.split_at_cursor(a,this.$element)[0];var b=a.split(/[\s*(){}\[\]]/);if(1>b.length)return!1;b=b[b.length-1];if(this.options.completions.emoji&&":"===b[0]){if(/^:-?.?$/.test(b))return!1;this.completing="emoji";this.token=b.substring(1);return emoji.emojis}if(!this.options.completions.mention)return!1;b=a.lastIndexOf("@");if(-1===b||b<a.length-1-30||0<b&&-1==="\n\t \"'(){}[]".indexOf(a[b-1]))return!1;b=a.substring(b+1);if(1>b.length||
-1!==b.lastIndexOf("*"))return!1;this.completing="mention";this.token=b.substring(b.indexOf("@")+1);return page_params.people_list.concat([{special_item_text:"all (Notify everyone)",email:"all",pm_recipient_count:Infinity,full_name:"all"},{special_item_text:"everyone (Notify everyone)",email:"everyone",full_name:"everyone"}])};c.content_highlighter=function(a){if("emoji"===this.completing)return"<img class='emoji' src='"+a.emoji_url+"' /> "+a.emoji_name;if("mention"===this.completing)return a=typeahead_helper.render_person(a),
typeahead_helper.highlight_with_escaping(this.token,a)};c.content_typeahead_selected=function(a){var b=c.split_at_cursor(this.query,this.$element),d=b[0],b=b[1];"emoji"===this.completing?d=0===d.lastIndexOf(":")||" "===d.charAt(d.lastIndexOf(":")-1)?d.replace(/:\S+$/,"")+":"+a.emoji_name+": ":d.replace(/:\S+$/,"")+" :"+a.emoji_name+": ":"mention"===this.completing&&(d=d.substring(0,d.length-this.token.length-1)+"@**"+a.full_name+"** ",$(document).trigger("usermention_completed.zulip",{mentioned:a}));
setTimeout(function(){$("#new_message_content").caret(d.length,d.length)},0);return d+b};c.initialize_compose_typeahead=function(a,d){d=$.extend({mention:!1,emoji:!1},d);$(a).typeahead({items:5,dropup:!0,fixed:!0,source:c.compose_content_begins_typeahead,highlighter:c.content_highlighter,matcher:function(a){if("emoji"===this.completing)return-1!==a.emoji_name.toLowerCase().indexOf(this.token.toLowerCase());if("mention"===this.completing)return b(this.token,a)},sorter:function(a){if("emoji"===this.completing)return typeahead_helper.sort_emojis(a,
this.token);if("mention"===this.completing)return typeahead_helper.sort_recipients(a,this.token)},updater:c.content_typeahead_selected,stopAdvance:!0,completions:d})};c.initialize=function(){d("stream");d("subject");d("private_message_recipient");$("form#send_message_form").keydown(a);$("form#send_message_form").keyup(e);$("#enter_sends").click(function(){var a=$("#compose-send-button");page_params.enter_sends=$("#enter_sends").is(":checked");page_params.enter_sends?a.fadeOut():a.fadeIn();$("#new_message_content").focus();
return channel.post({url:"/json/users/me/enter-sends",idempotent:!0,data:{enter_sends:page_params.enter_sends}})});$("#enter_sends").prop("checked",page_params.enter_sends);page_params.enter_sends&&$("#compose-send-button").hide();$("#stream").typeahead({source:function(a,b){return stream_data.subscribed_streams()},items:3,fixed:!0,highlighter:function(a){return typeahead_helper.highlight_query_in_phrase(this.query,a)},matcher:function(a){var b=this.query.trim().toLowerCase();return 0===a.toLowerCase().indexOf(b)}});
$("#subject").typeahead({source:function(a,b){var d=$("#stream").val();return c.topics_seen_for(d)},items:3,fixed:!0,highlighter:f,sorter:function(a){a=typeahead_helper.sorter(this.query,a,function(a){return a});0<a.length&&-1===a.indexOf(this.query)&&a.unshift(this.query);return a}});$("#private_message_recipient").typeahead({source:page_params.people_list,items:5,dropup:!0,fixed:!0,highlighter:function(a){var b=h(this.query);a=typeahead_helper.render_person(a);return typeahead_helper.highlight_with_escaping(b,
a)},matcher:function(a){var c=h(this.query);return!c.match(/\S/)?!1:b(c,a)},sorter:typeahead_helper.sort_recipientbox_typeahead,updater:function(a){var b=c.get_cleaned_pm_recipients(this.query);b.pop();b=b.join(", ");0!==b.length&&(b+=", ");return b+a.email+", "},stopAdvance:!0});c.initialize_compose_typeahead("#new_message_content",{mention:!0,emoji:!0});$("#private_message_recipient").blur(function(a){a=$(this).val();a=c.get_cleaned_pm_recipients(a);$(this).val(a.join(", "))})};return c}();
"undefined"!==typeof module&&(module.exports=composebox_typeahead);var navigate=function(){function h(b){current_msg_list.select_id(rows.id(b),{then_scroll:!0,from_scroll:!0})}var f={up:function(){viewport.last_movement_direction=-1;var b=rows.prev_visible(current_msg_list.selected_row());0!==b.length&&h(b)},down:function(b){viewport.last_movement_direction=1;var a=rows.next_visible(current_msg_list.selected_row());0!==a.length&&h(a);b&&0===a.length&&(b=rows.get_table(current_msg_list.table_name),viewport.scrollTop(b.outerHeight(!0)-0.1*viewport.height()),unread.mark_current_list_as_read())},
to_home:function(){viewport.last_movement_direction=-1;var b=rows.first_visible(current_msg_list.selected_row());0!==b.length&&h(b)},to_end:function(){var b=current_msg_list.last().id;viewport.last_movement_direction=1;current_msg_list.select_id(b,{then_scroll:!0,from_scroll:!0});unread.mark_current_list_as_read()},page_up:function(){viewport.at_top()&&!current_msg_list.empty()?current_msg_list.select_id(current_msg_list.first().id,{then_scroll:!1}):ui.page_up_the_right_amount()},page_down:function(){viewport.at_bottom()&&
!current_msg_list.empty()?(current_msg_list.select_id(current_msg_list.last().id,{then_scroll:!1}),unread.mark_current_list_as_read()):ui.page_down_the_right_amount()},cycle_stream:function(b){var a,e;void 0!==narrow.stream()&&(a=stream_list.get_stream_li(narrow.stream()));switch(b){case "forward":void 0===narrow.stream()?e=$("#stream_filters").children(".narrow-filter").first():(e=a.next(".narrow-filter"),0===e.length&&(e=$("#stream_filters").children(".narrow-filter").first()));break;case "backward":void 0===
narrow.stream()?e=$("#stream_filters").children(".narrow-filter").last():(e=a.prev(".narrow-filter"),0===e.length&&(e=$("#stream_filters").children(".narrow-filter").last()));break;default:blueslip.error("Invalid parameter to cycle_stream",{value:b})}narrow.by("stream",e.data("name"))},scroll_to_selected:function(){var b=current_msg_list.selected_row();b&&0!==b.length&&viewport.recenter_view(b)},maybe_scroll_to_selected:function(){pointer.recenter_pointer_on_display&&(f.scroll_to_selected(),pointer.recenter_pointer_on_display=
!1)}};return f}();var hotkeys=function(){function h(a){a(current_msg_list.selected_id(),{trigger:"hotkey"});return!0}function f(c){var g;g=c.metaKey||c.ctrlKey?{name:"ignore",message_view_only:!1}:c.shiftKey&&void 0!==a[c.which]?a[c.which]:!c.shiftKey&&void 0!==e[c.which]?e[c.which]:void 0!==d[c.which]?d[c.which]:{name:"ignore",message_view_only:!1};c=g.name;activity.new_user_input=!0;if(ui.home_tab_obscured()&&g.message_view_only||"ignore"===c)return!1;if(popovers.actions_popped()&&-1!==b.indexOf(c))return popovers.actions_menu_handle_keyboard(c),
!0;if($("#compose-send-button").is(":focus")){if("backspace"===c)return!0;if("shift_tab"===c)return ui.restore_compose_cursor(),!0}if("tab"===c){g=$(".edit-alert-word").filter(":focus");if(0<g.length)return g.closest(".alert-word-item").find(".add-alert-word").focus(),!0;g=$(".message_edit_content").filter(":focus");if(0<g.length)return c=g.closest(".message_edit_form"),c.find(".message_edit_save").focus(),!0;g=$(".message_edit_save").filter(":focus");if(0<g.length)return c=g.closest(".message_edit_form"),
c.find(".message_edit_cancel").focus(),!0}if("shift_tab"===c){if(0<$(".message_edit_cancel").filter(":focus").length)return $(".message_edit_save").focus(),!0;g=$(".message_edit_save").filter(":focus");if(0<g.length)return g.closest(".message_edit_form").find(".message_edit_content").focus(),!0}if(0<$("input:focus,select:focus,textarea:focus,#compose-send-button:focus").length){if("escape"===c){if($("#subject").data().typeahead.shown||$("#stream").data().typeahead.shown||$("#private_message_recipient").data().typeahead.shown||
$("#new_message_content").data().typeahead.shown||$("#search_query").data().typeahead.shown)return!0;if(0<$(".message_edit_content").filter(":focus").length)g=$(".message_edit_content").filter(":focus").closest(".message_row"),message_edit.end(g);else return activity.searching()?activity.escape_search():stream_list.searching()?stream_list.escape_search():compose.composing()?compose.cancel():$("input:focus,textarea:focus").blur(),!0}if("enter"===c){if(activity.searching())return activity.blur_search(),
!0;if(stream_list.searching())return stream_list.clear_and_hide_search(),!0}if(("up_arrow"===c||"down_arrow"===c)&&compose.composing()&&""===compose.message_content()&&$("#new_message_content").is(":focus"))compose.cancel();else return!1}if(0<$("a:focus,button:focus").length&&"enter"===c)return!1;switch(c){case "narrow_private":return h(function(a,b){narrow.by("is","private",b)});case "escape":return popovers.any_active()?popovers.hide_all():compose.composing()?compose.cancel():search.clear_search(),
!0;case "compose":return compose.start("stream",{trigger:"compose_hotkey"}),!0;case "compose_private_message":return compose.start("private",{trigger:"compose_hotkey"}),!0;case "query_users":return activity.initiate_search(),!0;case "query_streams":return stream_list.initiate_search(),!0;case "search":return search.initiate_search(),!0;case "show_shortcuts":return $("#keyboard-shortcuts").modal("show"),!0;case "stream_cycle_backward":return navigate.cycle_stream("backward"),!0;case "stream_cycle_forward":return navigate.cycle_stream("forward"),
!0}if(current_msg_list.empty())return!1;switch(c){case "down_arrow":case "vim_down":return navigate.down(!0),!0;case "up_arrow":case "vim_up":return navigate.up(),!0;case "home":return navigate.to_home(),!0;case "end":return navigate.to_end(),!0;case "page_up":return navigate.page_up(),!0;case "page_down":return navigate.page_down(),!0}switch(c){case "message_actions":return popovers.open_message_menu();case "narrow_by_recipient":return h(narrow.by_recipient);case "narrow_by_subject":return h(narrow.by_subject);
case "enter":return compose.respond_to_message({trigger:"hotkey enter"}),!0;case "reply_message":return compose.respond_to_message({trigger:"hotkey"}),!0;case "respond_to_author":return compose.respond_to_message({reply_type:"personal",trigger:"hotkey pm"}),!0}return!1}var b=["down_arrow","up_arrow","vim_up","vim_down","enter"],a={9:{name:"shift_tab",message_view_only:!1},32:{name:"page_up",message_view_only:!0}},e={9:{name:"tab",message_view_only:!1},32:{name:"page_down",message_view_only:!0},33:{name:"page_up",
message_view_only:!0},34:{name:"page_down",message_view_only:!0},35:{name:"end",message_view_only:!0},36:{name:"home",message_view_only:!0},38:{name:"up_arrow",message_view_only:!0},40:{name:"down_arrow",message_view_only:!0}},d={8:{name:"backspace",message_view_only:!0},13:{name:"enter",message_view_only:!1},27:{name:"escape",message_view_only:!1},47:{name:"search",message_view_only:!1},63:{name:"show_shortcuts",message_view_only:!1},65:{name:"stream_cycle_backward",message_view_only:!0},67:{name:"compose_private_message",
message_view_only:!0},68:{name:"stream_cycle_forward",message_view_only:!0},74:{name:"page_down",message_view_only:!0},75:{name:"page_up",message_view_only:!0},82:{name:"respond_to_author",message_view_only:!0},83:{name:"narrow_by_subject",message_view_only:!0},99:{name:"compose",message_view_only:!0},105:{name:"message_actions",message_view_only:!0},106:{name:"vim_down",message_view_only:!0},107:{name:"vim_up",message_view_only:!0},113:{name:"query_users",message_view_only:!1},114:{name:"reply_message",
message_view_only:!0},115:{name:"narrow_by_recipient",message_view_only:!0},118:{name:"narrow_private",message_view_only:!0},119:{name:"query_streams",message_view_only:!1}};$(document).keydown(function(a){(48>a.which||90<a.which)&&f(a)&&a.preventDefault();resize.resize_bottom_whitespace()});$(document).keypress(function(a){0!==a.which&&0!==a.charCode&&f(a)&&a.preventDefault()});return{}}();var favicon=function(){return{reset:function(){$('link[rel="shortcut icon"]').detach().appendTo("head")},set:function(h){$.browser.webkit?$('link[rel="shortcut icon"]').attr("href",h):($('link[rel="shortcut icon"]').remove(),$("head").append($("<link>").attr("rel","shortcut icon").attr("href",h)))}}}();"undefined"!==typeof module&&(module.exports=favicon);var notifications=function(){function h(a){a.onclose=function(){};a.onclick=function(){};a.cancel()}function f(){0<unread.get_counts().private_message_count?(p===l?(favicon.set(u),p=u,u=l):(favicon.set(l),u=p,p=l),setTimeout(f,2E3)):(r=!1,favicon.set(p))}function b(a,b,c){a=$(templates.render("notification",{gravatar_url:ui.small_avatar_url(a),title:b,content:c}));$(".top-right").notify({message:{html:a},fadeOut:{enabled:!0,delay:4E3}}).show()}function a(a){var d,e,g,f,k,m=a.message,l=m.sender_full_name,
q=1,p;f=$("<div/>").html(m.content);ui.replace_emoji_with_text(f);f=f.text();m.is_me_message&&(f=m.sender_full_name+f.slice(3));"private"===m.type?(k=g=m.display_reply_to,k=k.replace(", "+m.sender_full_name,""),k=k.replace(m.sender_full_name+", ",""),p="pm"):(g=m.sender_full_name+" to "+m.stream+" > "+m.subject,p=m.mentioned?"mention":m.alerted?"alert":"stream");if(150<f.length){for(d=150;0<d&&" "!==f[d];d--);f=f.substring(0,d);f+=" [...]"}void 0===window.bridge&&void 0!==c[g]&&(q=c[g].msg_count+
1,l=q+" messages from "+l,e=c[g].obj,h(e));"private"===m.type&&2<m.display_recipient.length&&(230<f.length+l.length+k.length&&(k=k.replace(/[^,]/g,"").length+" other people"),l+=" (to you and "+k+")");"stream"===m.type&&(l+=" (to "+m.stream+" > "+m.subject+")");void 0===window.bridge&&!0===a.webkit_notify?(a=ui.small_avatar_url(m),c[g]={obj:n.createNotification(a,l,f),msg_count:q,message_id:m.id},e=c[g].obj,e.onclick=function(){e.cancel();feature_flags.clicking_notification_causes_narrow&&narrow.by_subject(m.id,
{trigger:"notification"});window.focus()},e.onclose=function(){delete c[g]},e.show()):!1===a.webkit_notify&&"undefined"!==typeof Notification&&!0===$.browser.mozilla?Notification.requestPermission(function(a){"granted"===a?e=new Notification(l,{body:f,iconUrl:ui.small_avatar_url(m)}):b(m,l,f)}):!1===a.webkit_notify?b(m,l,f):window.bridge.desktopNotification(l,f,p)}function e(a){return"stream"===a.type?a.stream+">"+a.subject:2<a.display_recipient.length?"group PM with "+a.display_reply_to:util.is_current_user(a.reply_to)?
"PM with yourself":"PM with "+a.display_reply_to}var d={},c={},g=document.hasFocus&&document.hasFocus(),m=!1,k,l="/static/images/favicon/favicon-pms.png",p,u,r=!1,n;window.webkitNotifications?n=window.webkitNotifications:window.Notification&&(n={checkPermission:function(){return"granted"===window.Notification.permission?0:2},requestPermission:window.Notification.requestPermission,createNotification:function(a,b,c){var d=new window.Notification(b,{icon:a,body:c});d.show=function(){};d.cancel=function(){d.close()};
return d}});d.initialize=function(){$(window).focus(function(){g=!0;_.each(c,function(a){h(a.obj)});c={};unread.process_visible()}).blur(function(){g=!1});if(void 0!==window.bridge)k=!0;else{var a=$("<audio>");void 0===a[0].canPlayType?k=!1:(k=!0,$("#notifications-area").append(a),a[0].canPlayType('audio/ogg; codecs="vorbis"')?a.append($("<source>").attr("type","audio/ogg").attr("loop","yes").attr("src","/static/audio/zulip.ogg")):a.append($("<source>").attr("type","audio/mpeg").attr("loop","yes").attr("src",
"/static/audio/zulip.mp3")));n&&$(document).click(function(){page_params.desktop_notifications_enabled&&!m&&0!==n.checkPermission()&&(tutorial.is_running()?tutorial.defer(function(){n.requestPermission(function(){m=!0})}):n.requestPermission(function(){m=!0}))})}};void 0!==window.bridge&&window.bridge.updateCount(0);var q=0;d.update_title_count=function(a){q=a;d.redraw_title()};d.redraw_title=function(){var a;a=(q?"("+q+") ":"")+narrow.narrow_title+" - "+page_params.realm_name+" - "+page_params.product_name;
document.title!==a&&(document.title=a,$.browser.msie||(q?(a=+q,99<a&&(a="infinite"),p=u="/static/images/favicon/favicon-"+a+".png"):p=u="/static/favicon.ico?v=2",favicon.set(p)),void 0!==window.bridge&&window.bridge.updateCount(q))};d.update_pm_count=function(a){void 0!==window.bridge&&void 0!==window.bridge.updatePMCount&&window.bridge.updatePMCount(a);r||(r=!0,f())};d.window_has_focus=function(){return g};d.notify_above_composebox=function(a,b,c,e){a=$(templates.render("compose_notification",{note:a,
link_class:b,link_msg_id:c,link_text:e}));d.clear_compose_notifications();$("#out-of-view-notification").append(a);$("#out-of-view-notification").show()};d.close_notification=function(a){_.each(Object.keys(c),function(b){c[b].message_id===a.id&&(h(c[b].obj),delete c[b])})};d.speaking_at_me=function(a){return void 0===a?!1:a.mentioned};d.received_messages=function(b){_.each(b,function(b){if((b.sent_by_me||b.notification_sent?0:d.speaking_at_me(b)||!("stream"===b.type&&!stream_data.in_home_view(b.stream)||
"stream"===b.type&&muting.is_topic_muted(b.stream,b.subject)))&&(unread.message_unread(b)||page_params.autoscroll_forever))b.notification_sent=!0,("stream"===b.type&&subs.receives_desktop_notifications(b.stream)||"private"===b.type&&page_params.desktop_notifications_enabled||alert_words.notifies(b)&&page_params.desktop_notifications_enabled||d.speaking_at_me(b)&&page_params.desktop_notifications_enabled)&&(n&&$.browser.webkit&&0===n.checkPermission()||void 0!==window.bridge?a({message:b,webkit_notify:!0}):
a({message:b,webkit_notify:!1})),("stream"===b.type&&subs.receives_audible_notifications(b.stream)||"private"===b.type&&page_params.sounds_enabled||alert_words.notifies(b)&&page_params.sounds_enabled||d.speaking_at_me(b)&&page_params.sounds_enabled)&&k&&(void 0!==window.bridge?window.bridge.bell():$("#notifications-area").find("audio")[0].play())})};d.possibly_notify_new_messages_outside_viewport=function(a){_.each(a,function(a){if(util.is_current_user(a.sender_email)){var b,c=a.id;0===current_msg_list.get_row(a.id).length&&
(b="stream"===a.type&&muting.is_topic_muted(a.stream,a.subject)?"Sent! Your message was sent to a topic you have muted.":"stream"===a.type&&!stream_data.in_home_view(a.stream)?"Sent! Your message was sent to a stream you have muted.":"Sent! Your message is outside your current narrow.",a="Narrow to "+e(a),d.notify_above_composebox(b,"compose_notification_narrow_by_subject",c,a))}})};d.notify_messages_outside_current_search=function(a){_.each(a,function(a){util.is_current_user(a.sender_email)&&d.notify_above_composebox("Sent! Your recent message is outside the current search.",
"compose_notification_narrow_by_subject",a.id,"Narrow to "+e(a))})};d.clear_compose_notifications=function(){$("#out-of-view-notification").empty();$("#out-of-view-notification").stop(!0,!0);$("#out-of-view-notification").hide()};$(function(){"undefined"!==typeof bridge&&void 0===window.bridge&&(window.bridge=bridge);$(document).on("message_id_changed",function(a){var b=a.old_id,c=a.new_id;_.each($("#out-of-view-notification a"),function(a){a=$(a);a.data("msgid")===b&&a.data("msgid",c)})})});d.register_click_handlers=
function(){$("#out-of-view-notification").on("click",".compose_notification_narrow_by_subject",function(a){var b=$(a.currentTarget).data("msgid");narrow.by_subject(b,{trigger:"compose_notification"});a.stopPropagation();a.preventDefault()});$("#out-of-view-notification").on("click",".compose_notification_scroll_to_message",function(a){var b=$(a.currentTarget).data("msgid");current_msg_list.select_id(b);navigate.scroll_to_selected();a.stopPropagation();a.preventDefault()});$("#out-of-view-notification").on("click",
".out-of-view-notification-close",function(a){d.clear_compose_notifications();a.stopPropagation();a.preventDefault()})};d.handle_global_notification_updates=function(a,b){"enable_stream_desktop_notifications"===a?page_params.stream_desktop_notifications_enabled=b:"enable_stream_sounds"===a?page_params.stream_sounds_enabled=b:"enable_desktop_notifications"===a?page_params.desktop_notifications_enabled=b:"enable_sounds"===a?page_params.sounds_enabled=b:"enable_offline_email_notifications"===a?page_params.enable_offline_email_notifications=
b:"enable_offline_push_notifications"===a?page_params.enable_offline_push_notifications=b:"enable_digest_emails"===a&&(page_params.enable_digest_emails=b)};return d}();var hashchange=function(){function h(a){var b=window.location;if(history.pushState){if(""===a||"#"!==a.charAt(0))a="#"+a;var d=b.pathname;if(void 0===d)d="/";else if(""===d||"/"!==d.charAt(0))d="/"+d;history.pushState(null,null,b.protocol+"//"+b.host+d+a)}else b.hash=a}function f(){ui.change_tab_to("#home");narrow.deactivate();floating_recipient_bar.update()}function b(a){d=!0;a:{if(!(window.location.hash===e||void 0!==e&&""===window.location.hash.replace(/^#/,"")&&""===e.replace(/^#/,""))){$(document).trigger($.Event("zuliphashchange.zulip"));
var b=window.location.hash.split("/");switch(b[0]){case "#narrow":ui.change_tab_to("#home");b:{var m,k=[];for(m=1;m<b.length;m+=2)try{var l=decodeURIComponent(b[m].replace(/\./g,"%")),p=decodeURIComponent((b[m+1]||"").replace(/\./g,"%")),u=!1;"-"===l[0]&&(u=!0,l=l.slice(1));k.push({negated:u,operator:l,operand:p})}catch(r){b=void 0;break b}b=k}if(void 0===b){h("");f();break}m={select_first_unread:!0,change_hash:!1,trigger:"hash change"};void 0!==a&&void 0!==page_params.initial_narrow_pointer&&(m.from_reload=
!0,m.first_unread_from_server=!0);narrow.activate(b,m);floating_recipient_bar.update();a=!0;break a;case "":case "#":f();break;case "#subscriptions":ui.change_tab_to("#subscriptions");break;case "#administration":ui.change_tab_to("#administration");break;case "#settings":ui.change_tab_to("#settings")}}a=!1}d=!1;return a}var a={},e,d=!1;a.encodeHashComponent=function(a){return encodeURIComponent(a).replace(/\./g,"%2E").replace(/%/g,".")};a.changehash=function(a){d||($(document).trigger($.Event("zuliphashchange.zulip")),
h(a),favicon.reset())};a.operators_to_hash=function(a){var b="#";void 0!==a&&(b="#narrow",_.each(a,function(a){var c=a.operand;b+="/"+(a.negated?"-":"")+hashchange.encodeHashComponent(a.operator)+"/"+hashchange.encodeHashComponent(c)}));return b};a.save_narrow=function(b){d||(b=a.operators_to_hash(b),a.changehash(b))};a.initialize=function(){window.onhashchange=blueslip.wrap_function(b);b(!0)};return a}();"undefined"!==typeof module&&(module.exports=hashchange);var invite=function(){function h(){var a=[];_.each(stream_data.subscribed_streams(),function(b){var d=b===page_params.notifications_stream;(1===stream_data.subscribed_streams().length||!d||d&&stream_data.get_invite_only(b))&&a.push({name:b,invite_only:stream_data.get_invite_only(b)})});$("#streams_to_add").html(templates.render("invite_subscription",{streams:a}))}function f(){var a=$("#invite_status"),b=$("#invitee_emails").closest(".control-group");a.hide().text("").removeClass("alert-error alert-warning alert-success");
b.removeClass("warning error");page_params.development_environment&&$("#dev_env_msg").hide().text("").removeClass("alert-error alert-warning alert-success")}function b(){$("#invitee_emails").val("");h();f()}return{initialize:function(){var a=$("#invite_status"),e=$("#invitee_emails"),d=e.closest(".control-group");$("#submit-invitation").button();$("#invite-user").on("show",b);$("#invite-user").on("shown",function(){e.focus().autosize()});$("#invite_user_form").ajaxForm({dataType:"json",beforeSubmit:function(a,
b,d){f();$("#submit-invitation").button("loading");return!0},success:function(b,d,f,k){$("#submit-invitation").button("reset");a.text(i18n.t("User invited successfully.",{count:(e.val().match(/@/g)||[]).length})).addClass("alert-success").show();e.val("");page_params.development_environment&&$("#dev_env_msg").text("In the Zulip development environment, outgoing emails are printed to the run-dev.py console.").addClass("alert-info").show()},error:function(b,e,f){$("#submit-invitation").button("reset");
b=$.parseJSON(b.responseText);if(void 0===b.errors)a.text(b.msg).addClass("alert-error").show();else{var k=$("<ul>");_.each(b.errors,function(a){k.append($("<li>").text(a.join(": ")))});a.addClass("alert-warning").empty().append($("<p>").text(b.msg)).append(k).show();d.addClass("warning")}}});$(document).on("click",".invite_check_all_button",function(a){$("#streams_to_add :checkbox").attr("checked",!0);a.preventDefault()});$(document).on("click",".invite_uncheck_all_button",function(a){$("#streams_to_add :checkbox").attr("checked",
!1);a.preventDefault()})}}}();var message_flags=function(){function h(a,b,c){function g(){var c=_.filter(f,function(a){return void 0===a.local_id}),c=_.map(c,function(a){return a.id});0===c.length?setTimeout(h,100):channel.post({url:"/json/messages/flags",idempotent:!0,data:{messages:JSON.stringify(c),op:b,flag:a},success:k})}var f=[],k,h;h=c?g:_.debounce(g,1E3);k=function(a,b,c){void 0===a||void 0===a.messages||(f=_.filter(f,function(b){return-1===a.messages.indexOf(b.id)}),0<f.length&&h())};return function(c){void 0===c.flags&&
(c.flags=[]);"add"===b?c.flags.push(a):c.flags=_.without(c.flags,a);f.push(c);h()}}function f(b,d,c){c=c?"add":"remove";var g=d+"_"+c,f;a.hasOwnProperty(g)?f=a[g]:(f=h(d,c,!0),a[g]=f);_.each(b,function(a){f(a)})}var b={},a={};b.send_read=h("read","add");b.send_collapsed=function(a,b){f(a,"collapsed",b)};b.send_starred=function(a,b){f(a,"starred",b)};b.send_force_expand=function(a,b){f(a,"force_expand",b)};b.send_force_collapse=function(a,b){f(a,"force_collapse",b)};return b}();var alert_words=function(){var h={};h.words=page_params.alert_words;var f=/href=['"][\w:\/\.]+$/,b=/title=['"][\w:\/\.]+$/;h.process_message=function(a){h.notifies(a)&&_.each(h.words,function(e){e=e.replace(/[\-\[\]{}()*+?.,\\\^$|#\s]/g,"\\$&");a.content=a.content.replace(RegExp("(\\s|^|>|[\\(\\\".,';\\[])("+e+")(\\s|$|<|[\\)\\\"\\?!:.,';\\]!])","ig"),function(a,c,e,h,k,l){a=l.substring(0,k);return f.exec(a)||b.exec(a)?c+e+h:c+"<span class='alert-word'>"+e+"</span>"+h})})};h.notifies=function(a){return!util.is_current_user(a.sender_email)&&
a.alerted};return h}();"undefined"!==typeof module&&(module.exports=alert_words);var alert_words_ui=function(){function h(){var b=_.map($(".alert-word-item"),function(a){return $(a).data("word").toString()}),b=_.filter(b,function(a){return""!==a});channel.post({url:"/json/users/me/alert_words",idempotent:!0,data:{alert_words:JSON.stringify(b)}})}function f(b,a){if(""===b)$("#empty_alert_word_error").show();else{var e=templates.render("alert_word_settings_item",{word:b,editing:!1});$(a.target).parents("li").replaceWith(e);var e=templates.render("alert_word_settings_item",{word:"",
editing:!0}),d=$("#alert_words_list");d.append(e);0<d.find("input").length&&d.find("input").focus();h()}}return{set_up_alert_words:function(){var b=$("#alert_words_list");_.each(alert_words.words,function(a){a=templates.render("alert_word_settings_item",{word:a});b.append(a)});var a=templates.render("alert_word_settings_item",{word:"",editing:!0});b.append(a);$("#alert_words_list").on("click",".add-alert-word",function(a){var b=$("#create_alert_word_name").val();f(b,a)});$("#alert_words_list").on("click",
".remove-alert-word",function(a){$(a.currentTarget).parents("li").remove();h()});$("#alert_words_list").on("keypress","#create_alert_word_name",function(a){if(13===a.which){a.preventDefault();var b=$(a.target).val();f(b,a)}});$("#alert_words_list").on("click",".close-empty-alert-word-error",function(a){a.preventDefault();$(a.currentTarget).parents(".alert").hide()})}}}();var people=function(){function h(a,b){var e=util.strcmp(a.full_name,b.full_name);return 0>e?-1:0<e?1:util.strcmp(a.email,b.email)}var f={},b=new Dict({fold_case:!0}),a=new Dict({fold_case:!0}),e=new Dict({fold_case:!0});f.get_by_email=function(a){return b.get(a)};f.realm_get=function(a){return e.get(a)};f.get_by_name=function(b){return a.get(b)};f.test_set_people_dict=function(a){b=new Dict.from(a)};f.test_set_people_name_dict=function(b){a=new Dict.from(b)};f.get_rest_of_realm=function(){var a=[];
e.each(function(b){util.is_current_user(b.email)||a.push({email:b.email,full_name:b.full_name})});return a.sort(h)};f.add=function(d){page_params.people_list.push(d);b.set(d.email,d);a.set(d.full_name,d);d.pm_recipient_count=0};f.add_in_realm=function(a){e.set(a.email,a);f.add(a)};f.remove=function(d){var c;for(c=0;c<page_params.people_list.length;c++)if(page_params.people_list[c].email.toLowerCase()===d.email.toLowerCase()){page_params.people_list.splice(c,1);break}b.del(d.email);a.del(d.full_name);
e.del(d.email)};f.reify=function(d){if(b.has(d.email)){var c=b.get(d.email);if(c.skeleton){var e=page_params.people_list.indexOf(c),c=_.extend({},c,d);c.skeleton=!1;b.set(d.email,d);a.set(d.full_name,d);page_params.people_list[e]=c;a.has(d.email)&&a.del(d.email)}}};f.update=function(d){if(b.has(d.email)){var c=b.get(d.email);_.has(d,"full_name")&&(a.has(c.full_name)&&(a.set(d.full_name,c),a.del(c.full_name)),c.full_name=d.full_name,util.is_current_user(d.email)&&(page_params.fullname=d.full_name));
_.has(d,"is_admin")&&(c.is_admin=d.is_admin,util.is_current_user(d.email)&&(page_params.is_admin=d.is_admin,admin.show_or_hide_menu_item()));if(_.has(d,"avatar_url")){var e=d.avatar_url+"&y="+(new Date).getTime();c.avatar_url=e;util.is_current_user(d.email)&&(page_params.avatar_url=e,$("#user-settings-avatar").attr("src",e));$(".inline_profile_picture.u-"+d.id).css({"background-image":"url("+e+")"})}activity.set_user_statuses([])}else blueslip.error("Got update_person event for unexpected user",{email:d.email})};
$(function(){_.each(page_params.people_list,function(d){b.set(d.email,d);a.set(d.full_name,d);e.set(d.email,d);d.pm_recipient_count=0});people.get_by_email("feedback@zulip.com")||f.add({email:"feedback@zulip.com",full_name:"Zulip Feedback Bot"})});return f}();"undefined"!==typeof module&&(module.exports=people);var message_store=function(){function h(a){a.always_visible_topic_edit=!1;a.on_hover_topic_edit=!1;page_params.realm_allow_message_editing&&(a.subject===compose.empty_subject_placeholder()?a.always_visible_topic_edit=!0:page_params.is_admin&&(a.on_hover_topic_edit=!0))}function f(a){var b=c[a.id];if(void 0!==b)return void 0!==a.match_subject&&(b.match_subject=a.match_subject,b.match_content=a.match_content),b;var e;a.sent_by_me=util.is_current_user(a.sender_email);a.flags=a.flags||[];a.historical=
void 0!==a.flags&&-1!==a.flags.indexOf("historical");a.starred=-1!==a.flags.indexOf("starred");a.mentioned=-1!==a.flags.indexOf("mentioned")||-1!==a.flags.indexOf("wildcard_mentioned");a.collapsed=-1!==a.flags.indexOf("collapsed");a.alerted=-1!==a.flags.indexOf("has_alert_word");a.is_me_message=-1!==a.flags.indexOf("is_me_message");switch(a.type){case "stream":a.is_stream=!0;a.stream=a.display_recipient;composebox_typeahead.add_topic(a.stream,a.subject);a.reply_to=a.sender_email;d.process_message_for_recent_subjects(a);
e=[{full_name:a.sender_full_name,email:a.sender_email}];h(a);break;case "private":a.is_private=!0,a.reply_to=util.normalize_recipients(d.get_private_message_recipient(a,"email")),a.display_reply_to=d.get_private_message_recipient(a,"full_name","email"),d.process_message_for_recent_private_messages(a),e=a.display_recipient}_.each(e,function(b){people.get_by_email(b.email)||people.add(b);people.get_by_email(b.email).full_name!==b.full_name&&people.reify(b);"private"===a.type&&a.sent_by_me&&(people.get_by_email(b.email).pm_recipient_count+=
1)});alert_words.process_message(a);return c[a.id]=a}function b(a,c,e){var g=[];_.each(a,function(a){g.push(a.id)});channel.post({url:"/json/messages_in_narrow",idempotent:!0,data:{msg_ids:JSON.stringify(g),narrow:JSON.stringify(narrow.public_operators())},timeout:5E3,success:function(b){if(c===current_msg_list){var g=[],h=[];_.each(a,function(a){b.messages.hasOwnProperty(a.id)?(a.match_subject=b.messages[a.id].match_subject,a.match_content=b.messages[a.id].match_content,g.push(a)):h.push(a)});g=
_.map(g,f);d.add_messages(g,c,{messages_are_new:e});unread.process_visible();notifications.possibly_notify_new_messages_outside_viewport(g);notifications.notify_messages_outside_current_search(h)}},error:function(d){setTimeout(function(){c===current_msg_list&&b(a,c,e)},5E3)}})}function a(a,b){$("#get_old_messages_error").hide();0===a.length&&(current_msg_list===message_list.narrowed&&message_list.narrowed.empty())&&narrow.show_empty_narrow_message();a=_.map(a,f);b.msg_list===home_msg_list&&(process_loaded_for_unread(a),
d.add_messages(a,message_list.all,{messages_are_new:!1}));0!==a.length&&!b.cont_will_add_messages&&d.add_messages(a,b.msg_list,{messages_are_new:!1});stream_list.update_streams_sidebar();stream_list.update_private_messages();void 0!==b.cont&&b.cont(a)}function e(b,c){tutorial.is_running()?(loading.destroy_indicator($("#page_loading_indicator")),tutorial.defer(function(){e(b,c)})):c.msg_list.narrowed&&c.msg_list!==current_msg_list||(b?(a(b.messages,c),resize.resize_bottom_whitespace()):setTimeout(function(){d.load_old_messages(c)},
0))}var d={},c={},g=!0,m=/https:\/\/humbug-user-uploads.s3.amazonaws.com\/([^"]+)/g;d.recent_private_messages=[];d.get=function(a){return c[a]};d.get_private_message_recipient=function(a,b,c){var d,e=_.filter(a.display_recipient,function(a){return!util.is_current_user(a.email)});if(0===e.length)return a.display_recipient[0][b];a=e[0][b];void 0===a&&void 0!==c&&(a=e[0][c]);for(d=1;d<e.length;d++){var g=e[d][b];void 0===g&&void 0!==c&&(g=e[d][c]);a+=", "+g}return a};d.process_message_for_recent_subjects=
function(a,b){var c=0,d=0,e=a.stream,g=stream_data.canonicalized_name(a.subject);stream_data.recent_subjects.has(e)?stream_data.recent_subjects.set(e,_.filter(stream_data.recent_subjects.get(e),function(a){var b=a.canon_subject.toLowerCase()===g.toLowerCase();b&&(c=a.timestamp,d=a.count);return!b})):stream_data.recent_subjects.set(e,[]);var f=stream_data.recent_subjects.get(e),d=void 0!==b?d-1:d+1;0!==d&&f.push({subject:a.subject,canon_subject:g,count:d,timestamp:Math.max(a.timestamp,c)});f.sort(function(a,
b){return b.timestamp-a.timestamp});stream_data.recent_subjects.set(e,f)};d.process_message_for_recent_private_messages=function(a,b){d.recent_private_messages=_.filter(d.recent_private_messages,function(b){return b.reply_to!==a.reply_to});var c={reply_to:a.reply_to,display_reply_to:a.display_reply_to,timestamp:Math.max(a.timestamp,0)};d.recent_private_messages.push(c);d.recent_private_messages.sort(function(a,b){return b.timestamp-a.timestamp})};d.add_messages=function(a,b,c){a&&(c=_.extend({messages_are_new:!1,
delay_render:!1},c),_.each(a,function(a){a.content=a.content.replace(m,"/user_uploads/unk/$1")}),loading.destroy_indicator($("#page_loading_indicator")),$("#first_run_message").remove(),b.add_messages(a,c),b===home_msg_list&&c.messages_are_new&&_.each(a,function(a){void 0===a.local_id&&compose.report_as_received(a)}))};d.update_messages=function(a){var b=[],e=!1,g=!1;_.each(a,function(a){var f=c[a.message_id];if(void 0!==f){b.push(f);f.alerted=-1!==a.flags.indexOf("has_alert_word");f.mentioned=-1!==
a.flags.indexOf("mentioned")||-1!==a.flags.indexOf("wildcard_mentioned");condense.un_cache_message_content_height(f.id);void 0!==a.rendered_content&&(f.content=a.rendered_content);var k=current_msg_list.get_row(a.message_id);0<k.length&&message_edit.end(k);if(void 0!==a.subject){e=!0;var m=0<=_.indexOf(["change_later","change_all"],a.propagate_mode),k=stream_data.get_sub_by_id(a.stream_id).name,t=compose.stream_name();m&&k&&t&&k.toLowerCase()===t.toLowerCase()&&a.orig_subject===compose.subject()&&
compose.subject(a.subject);if(m&&(m=current_msg_list.selected_id(),0<=_.indexOf(a.message_ids,m)&&(t=narrow.filter())&&k&&t.has_topic(k,a.orig_subject)))k=t.filter_with_new_topic(a.subject).operators(),narrow.activate(k,{trigger:"topic change",then_select_id:m}),g=!0;_.each(a.message_ids,function(b){b=message_store.get(b);void 0!==b&&(d.process_message_for_recent_subjects(b,!0),unread.update_unread_subjects(b,a),b.subject=a.subject,b.subject_links=a.subject_links,h(b),d.process_message_for_recent_subjects(b))})}f.last_edit_timestamp=
a.edit_timestamp;delete f.last_edit_timestr;notifications.received_messages([f]);alert_words.process_message(f)}});e?g||(home_msg_list.rerender(),current_msg_list===message_list.narrowed&&message_list.narrowed.rerender()):(home_msg_list.view.rerender_messages(b),current_msg_list===message_list.narrowed&&message_list.narrowed.view.rerender_messages(b));unread.update_unread_counts();stream_list.update_streams_sidebar();stream_list.update_private_messages()};d.insert_new_messages=function(a){a=_.map(a,
f);d.add_messages(a,home_msg_list,{messages_are_new:!0});d.add_messages(a,message_list.all,{messages_are_new:!0});narrow.active()?narrow.filter().can_apply_locally()?(d.add_messages(a,message_list.narrowed,{messages_are_new:!0}),notifications.possibly_notify_new_messages_outside_viewport(a)):b(a,message_list.narrowed,!0):notifications.possibly_notify_new_messages_outside_viewport(a);process_loaded_for_unread(a);if(narrow.narrowed_by_reply()){var c,e=current_msg_list.selected_id();for(c=a.length-1;0<=
c;c--){var g=a[c].id;if(g<=e)break;if(a[c].sent_by_me&&void 0!==current_msg_list.get(g)){current_msg_list.select_id(a[c].id,{then_scroll:!0,from_scroll:!0});break}}}unread.process_visible();notifications.received_messages(a);stream_list.update_streams_sidebar();stream_list.update_private_messages()};d.load_old_messages=function(b){b=_.extend({cont_will_add_messages:!1},b);var c={anchor:b.anchor,num_before:b.num_before,num_after:b.num_after};if(b.msg_list.narrowed&&narrow.active()){var g=narrow.public_operators();
void 0!==page_params.narrow&&(g=g.concat(page_params.narrow));c.narrow=JSON.stringify(g)}b.msg_list===home_msg_list&&void 0!==page_params.narrow_stream&&(c.narrow=JSON.stringify(page_params.narrow));b.use_first_unread_anchor&&(c.use_first_unread_anchor=!0);channel.get({url:"/json/messages",data:c,idempotent:!0,success:function(a){e(a,b)},error:function(c,e,g){b.msg_list.narrowed&&b.msg_list!==current_msg_list||(400===c.status?a([],b):($("#get_old_messages_error").show(),setTimeout(function(){d.load_old_messages(b)},
5E3)))}})};d.reset_load_more_status=function(){g=!0;ui.have_scrolled_away_from_top=!0;ui.hide_loading_more_messages_indicator()};d.load_more_messages=function(a){var b;g&&(ui.show_loading_more_messages_indicator(),g=!1,b=void 0===a.first()?page_params.initial_pointer:a.first().id,d.load_old_messages({anchor:b.toFixed(),num_before:100,num_after:0,msg_list:a,cont:function(a){ui.hide_loading_more_messages_indicator();100<=a.length&&(g=!0)}}))};d.clear=function(){this.stored_messages={}};util.execute_early(function(){function a(b){-1===
home_msg_list.selected_id()&&!home_msg_list.empty()&&home_msg_list.select_id(page_params.initial_pointer,{then_scroll:!0,use_closest:!0,target_scroll_offset:page_params.initial_offset});if(0!==b.length&&(b=b[b.length-1].id,b<page_params.max_message_id)){d.load_old_messages({anchor:b.toFixed(),num_before:0,num_after:400,msg_list:home_msg_list,cont:a});return}server_events.home_view_loaded();$(document).idle({idle:1E4,onIdle:function(){var a=message_list.all.first().id;d.load_old_messages({anchor:a,
num_before:1E3,num_after:0,msg_list:home_msg_list})}})}page_params.have_initial_messages?d.load_old_messages({anchor:page_params.initial_pointer,num_before:200,num_after:200,msg_list:home_msg_list,cont:a}):server_events.home_view_loaded();$(document).on("message_id_changed",function(a){var b=a.old_id,d=a.new_id;pointer.furthest_read===b&&(pointer.furthest_read=d);c[b]&&(c[d]=c[b],delete c[b]);_.each([message_list.all,home_msg_list,message_list.narrowed],function(a){void 0!==a&&(a.change_message_id(b,
d),void 0!==a.view&&a.view.change_message_id(b,d))})})});return d}();"undefined"!==typeof module&&(module.exports=message_store);var server_events=function(){function h(a){switch(a.type){case "alert_words":alert_words.words=a.alert_words;break;case "default_streams":page_params.realm_default_streams=a.default_streams;admin.update_default_streams_table();break;case "muted_topics":muting_ui.handle_updates(a.muted_topics);break;case "presence":var b={};b[a.email]=a.presence;activity.set_user_statuses(b,a.server_timestamp);break;case "restart":b={save_pointer:!0,save_narrow:!0,save_compose:!0,message:"The application has been updated; reloading!"};
a.immediate&&(b.immediate=!0);reload.initiate(b);break;case "realm":"update"===a.op&&"name"===a.property?(page_params.realm_name=a.value,notifications.redraw_title()):"update"===a.op&&"invite_required"===a.property?page_params.realm_invite_required=a.value:"update"===a.op&&"invite_by_admins_only"===a.property?page_params.realm_invite_by_admins_only=a.value:"update"===a.op&&"create_stream_by_admins_only"===a.property?(page_params.realm_create_stream_by_admins_only=a.value,page_params.is_admin||(page_params.can_create_streams=
!page_params.realm_create_stream_by_admins_only)):"update"===a.op&&"restricted_to_domain"===a.property?page_params.realm_restricted_to_domain=a.value:"update_dict"===a.op&&"default"===a.property?$.each(a.data,function(a,b){page_params["realm_"+a]=b}):"update"===a.op&&"default_language"===a.property&&(page_params.realm_default_language=a.value,admin.reset_realm_default_language());break;case "realm_bot":"add"===a.op?bot_data.add(a.bot):"remove"===a.op?bot_data.remove(a.bot.email):"update"===a.op&&
bot_data.update(a.bot.email,a.bot);break;case "realm_emoji":emoji.update_emojis(a.realm_emoji);admin.populate_emoji(a.realm_emoji);break;case "realm_filters":page_params.realm_filters=a.realm_filters;echo.set_realm_filters(page_params.realm_filters);break;case "realm_user":"add"===a.op?people.add_in_realm(a.person):"remove"===a.op?people.remove(a.person):"update"===a.op&&people.update(a.person);break;case "referral":referral.update_state(a.referrals.granted,a.referrals.used);break;case "stream":"update"===
a.op&&(subs.update_subscription_properties(a.name,a.property,a.value),admin.update_default_streams_table());break;case "subscription":"add"===a.op?_.each(a.subscriptions,function(a){subs.mark_subscribed(a.name,a)}):"remove"===a.op?_.each(a.subscriptions,function(a){a=stream_data.get_sub_by_id(a.stream_id);subs.mark_sub_unsubscribed(a)}):"update"===a.op?(subs.update_subscription_properties(a.name,a.property,a.value),"pin_to_top"===a.property&&subs.pin_or_unpin_stream(a.name)):("peer_add"===a.op||"peer_remove"===
a.op)&&_.each(a.subscriptions,function(b){var c;"peer_add"===a.op?(c="peer_subscribe.zulip",stream_data.add_subscriber(b,a.user_email)):"peer_remove"===a.op&&(c="peer_unsubscribe.zulip",stream_data.remove_subscriber(b,a.user_email));$(document).trigger(c,{stream_name:b,user_email:a.user_email})});break;case "update_display_settings":"twenty_four_hour_time"===a.setting_name&&(page_params.twenty_four_hour_time=a.twenty_four_hour_time);"left_side_userlist"===a.setting_name&&(page_params.left_side_userlist=
a.left_side_userlist);"default_language"===a.setting_name&&(page_params.default_language=a.default_language);break;case "update_global_notifications":notifications.handle_global_notification_updates(a.notification_name,a.setting);break;case "update_message_flags":var c="add"===a.operation;switch(a.flag){case "starred":_.each(a.messages,function(a){ui.update_starred(a,c)});break;case "read":b=_.map(a.messages,function(a){return message_store.get(a)}),unread.mark_messages_as_read(b,{from:"server"})}}}
function f(a){var b=[],g=[],f;_.each(a,function(a){try{l.last_event_id=Math.max(l.last_event_id,a.id)}catch(b){blueslip.error("Failed to update last_event_id",{event:_.pick(a,"id","type","op")},b.stack)}});if(tutorial.is_running())d=d.concat(a);else if(0<d.length&&(a=d.concat(a),d=[]),e)c=c.concat(a);else{0<c.length&&(a=c.concat(a),c=[]);_.each(a,function(a){try{switch(a.type){case "message":var c=a.message;c.flags=a.flags;void 0!==a.local_message_id&&(c.local_id=a.local_message_id);b.push(c);break;
case "pointer":f=a.pointer;break;case "update_message":g.push(a);break;default:h(a)}}catch(d){blueslip.error("Failed to process an event\n"+blueslip.exception_msg(d),{event:_.pick(a,"id","type","op")},d.stack)}});if(0!==b.length)try{b=echo.process_from_server(b),message_store.insert_new_messages(b)}catch(k){blueslip.error("Failed to insert new messages\n"+blueslip.exception_msg(k),void 0,k.stack)}void 0!==f&&f>pointer.furthest_read&&(pointer.furthest_read=f,pointer.server_furthest_read=f,home_msg_list.select_id(f,
{then_scroll:!0,use_closest:!0}));-1===home_msg_list.selected_id()&&!home_msg_list.empty()&&home_msg_list.select_id(home_msg_list.first().id,{then_scroll:!1});if(0!==g.length)try{message_store.update_messages(g)}catch(m){blueslip.error("Failed to update messages\n"+blueslip.exception_msg(m),void 0,m.stack)}}}function b(a){a=_.extend({dont_block:!1},a);reload.is_in_progress()||(l.dont_block=a.dont_block||0<k,void 0===l.queue_id&&(l.queue_id=page_params.event_queue_id,l.last_event_id=page_params.last_event_id),
void 0!==g&&g.abort(),void 0!==m&&clearTimeout(m),m=void 0,g=channel.post({url:"/json/get_events",data:l,idempotent:!0,timeout:page_params.poll_timeout,success:function(a){try{g=void 0,k=0,$("#connection-error").hide(),f(a.events)}catch(c){blueslip.error("Failed to handle get_events success\n"+blueslip.exception_msg(c),void 0,c.stack)}m=setTimeout(b,0)},error:function(a,c,d){try{g=void 0;if(400===a.status&&(-1!==$.parseJSON(a.responseText).msg.indexOf("too old")||-1!==$.parseJSON(a.responseText).msg.indexOf("Bad event queue id")))page_params.event_queue_expired=
!0,reload.initiate({immediate:!0,save_pointer:!1,save_narrow:!1,save_compose:!0});if("abort"===c)return;"timeout"===c?(k=0,$("#connection-error").hide()):k+=1;5<=k?$("#connection-error").show():$("#connection-error").hide()}catch(e){blueslip.error("Failed to handle get_events error\n"+blueslip.exception_msg(e),void 0,e.stack)}a=Math.min(90,Math.exp(k/2));m=setTimeout(b,1E3*a)}}))}var a={},e=!0,d=[],c=[],g,m,k=0,l={};a.assert_get_events_running=function(b){void 0===g&&void 0===m&&(a.restart_get_events({dont_block:!0}),
blueslip.error(b))};a.restart_get_events=function(a){b(a)};a.force_get_events=function(){m=setTimeout(b,0)};a.home_view_loaded=function(){e=!1;f([]);$(document).trigger("home_view_loaded.zulip")};var p=$.now();setInterval(function(){var a=$.now();2E4<a-p&&(p=a,$(document).trigger($.Event("unsuspend")));p=a},5E3);util.execute_early(function(){$(document).on("unsuspend",function(){blueslip.log("Restarting get_events due to unsuspend");k=0;a.restart_get_events({dont_block:!0})});b()});a.cleanup_event_queue=
function(){!0!==page_params.event_queue_expired&&(page_params.event_queue_expired=!0,channel.del({url:"/json/events",data:{queue_id:page_params.event_queue_id}}))};window.addEventListener("beforeunload",function(b){a.cleanup_event_queue()});a._get_events_success=f;return a}();"undefined"!==typeof module&&(module.exports=server_events);var home_msg_list=new message_list.MessageList("zhome",new Filter([{operator:"in",operand:"home"}]),{muting_enabled:!0}),current_msg_list=home_msg_list,queued_mark_as_read=[],queued_flag_timer;
function consider_bankruptcy(){if(page_params.furthest_read_time){var h=(new XDate(!0)).getTime()/1E3;500<page_params.unread_count&&172800<h-page_params.furthest_read_time?(h=templates.render("bankruptcy_modal",{unread_count:page_params.unread_count}),$("#bankruptcy-unread-count").html(h),$("#bankruptcy").modal("show")):unread.enable()}else unread.enable()}
function process_loaded_for_unread(h){activity.process_loaded_messages(h);activity.update_huddles();unread.process_loaded_messages(h);unread.update_unread_counts();resize.resize_page_components()}
function main(){activity.set_user_statuses(page_params.initial_presences,page_params.initial_servertime);pointer.server_furthest_read=page_params.initial_pointer;void 0!==page_params.orig_initial_pointer&&page_params.orig_initial_pointer>pointer.server_furthest_read&&(pointer.server_furthest_read=page_params.orig_initial_pointer);pointer.furthest_read=pointer.server_furthest_read;consider_bankruptcy();$(document).idle({idle:1E3,onIdle:pointer.send_pointer_update,keepTracking:!0});$(document).on("message_selected.zulip",
function(h){-1!==h.id&&(h.msg_list===home_msg_list&&void 0===page_params.narrow_stream&&(h.id>pointer.furthest_read&&void 0===home_msg_list.get(h.id).local_id)&&(pointer.furthest_read=h.id),h.mark_read&&-1!==h.previously_selected&&(h=h.id<h.previously_selected?h.msg_list.message_range(h.id,h.previously_selected):h.msg_list.message_range(h.previously_selected,h.id),unread.mark_messages_as_read(h,{from:"pointer"})))})}$(function(){main()});var activity=function(){function h(a,b){a.sort(function(a,c){if("active"===b[a].status&&"active"!==b[c].status)return-1;if("active"===b[c].status&&"active"!==b[a].status)return 1;if("idle"===b[a].status&&"idle"!==b[c].status)return-1;if("idle"===b[c].status&&"idle"!==b[a].status)return 1;var d=a,e=c;people.get_by_email(a)&&(d=people.get_by_email(a).full_name);people.get_by_email(c)&&(e=people.get_by_email(c).full_name);return util.strcmp(d,e)});return a}function f(){if(!k.has_focus)return!1;k.has_focus=
!1}function b(a){var b=$(".user-list-filter");if(0===b.length)return a;b=b.expectOne().val().trim();if(""===b)return a;var c=b.toLowerCase().split(","),c=_.map(c,function(a){return a.trim()});return _.filter(a,function(a){a=people.get_by_email(a);if(!a||!a.full_name)return!1;var b=a.full_name.toLowerCase().split(/\s+/),b=_.map(b,function(a){return a.trim()});return _.any(c,function(a){return _.any(b,function(b){return 0===b.indexOf(a)})})})}function a(a){a=Object.keys(a);a=b(a);a=_.filter(a,function(a){return people.get_by_email(a)});
return a=h(a,k.presence_info)}function e(a,b){var c="offline",d=!1,e=!1;_.each(b,function(b,g){var f=a-b.timestamp;-1!==p.indexOf(g)&&(d=b.pushable||d);if(f<l)switch(b.status){case "active":-1!==p.indexOf(g)?d=!0:e=!0;c=b.status;break;case "idle":"active"!==c&&(c=b.status);break;case "offline":"active"!==c&&"idle"!==c&&(c=b.status);break;default:blueslip.error("Unexpected status",{presence_object:b,device:g},void 0)}});return{status:c,mobile:!e&&d}}function d(){channel.post({url:"/json/users/me/presence",
data:{status:k.has_focus?k.ACTIVE:k.IDLE,new_user_input:k.new_user_input},idempotent:!0,success:function(a){k.presence_info={};!1===a.zephyr_mirror_active?$("#zephyr-mirror-error").show():$("#zephyr-mirror-error").hide();k.new_user_input=!1;_.each(a.presences,function(b,c){util.is_current_user(c)||(k.presence_info[c]=e(a.server_timestamp,b))});k.update_users();k.update_huddles()}})}function c(){k.has_focus||(k.has_focus=!0,d())}function g(a){13===a.keyCode&&(a.preventDefault(),a=$("#user_presences li.user_sidebar_entry").first().data("email"),
void 0!==a&&compose.start("private",{trigger:"sidebar enter key",private_message_recipient:a}),k.escape_search())}function m(a){a.stopPropagation()}var k={},l=140;k._OFFLINE_THRESHOLD_SECS=l;var p=["Android","ZulipiOS","ios"],u={active:"is active",idle:"is not active"};k.ACTIVE="active";k.IDLE="idle";k.has_focus=document.hasFocus&&document.hasFocus();k.new_user_input=!0;$("html").on("mousemove",function(){k.new_user_input=!0});k.presence_info={};var r=new Dict;k.process_loaded_messages=function(a){_.each(a,
function(a){if("private"===a.type&&0<a.reply_to.indexOf(",")){var b=r.get(a.reply_to);(!b||b<a.timestamp)&&r.set(a.reply_to,a.timestamp)}})};k.get_huddles=function(){var a=r.keys(),a=_.sortBy(a,function(a){return r.get(a)});return a.reverse()};k.full_huddle_name=function(a){a=a.split(",");return _.map(a,function(a){var b=people.get_by_email(a);return b?b.full_name:a}).join(", ")};k.short_huddle_name=function(a){var b=a.split(",");a=_.map(b.slice(0,3),function(a){var b=people.get_by_email(a);return b?
b.full_name:a});b=b.length-3;1===b?a.push("+ 1 other"):2<=b&&a.push("+ "+b+" others");return a.join(", ")};k.huddle_fraction_present=function(a,b){var c=a.split(","),d=0;_.each(c,function(a){b[a]&&(a=b[a].status)&&"offline"!==a&&++d});return(d/c.length).toFixed(2)};k._sort_users=h;k._filter_and_sort=a;k.update_users=function(b){function c(a){var b=k.presence_info[a].status,d=people.get_by_email(a).full_name,e;e=unread.suppress_unread_counts?0:unread.num_unread_for_person(a);return{name:d,email:a,
num_unread:e,type:b,type_desc:u[b],mobile:k.presence_info[a].mobile}}if(!page_params.presence_disabled){var d=k.presence_info,e;void 0!==b&&(e=a(d),d=b);d=a(d);d=_.map(d,c);void 0!==b?$.each(d,function(a,b){var c=e.indexOf(b.email);$("#user_presences").find('[data-email="'+b.email+'"]').remove();$("#user_presences li").eq(c).before(templates.render("user_presence_row",b))}):$("#user_presences").html(templates.render("user_presence_rows",{users:d}));compose_fade.update_faded_users();return d}};var n=
_.throttle(function(){k.update_users();resize.resize_page_components()},50);k.update_huddles=function(){if(!page_params.presence_disabled){var a=$("#group-pm-list").expectOne(),b=k.get_huddles().slice(0,10);if(0===b.length)a.hide();else{var c=_.map(b,function(a){return{emails:a,name:k.full_huddle_name(a),fraction_present:k.huddle_fraction_present(a,k.presence_info),short_name:k.short_huddle_name(a)}}),c=templates.render("group_pms",{group_pms:c});$("#group-pms").expectOne().html(c);_.each(b,function(a){var b=
unread.num_unread_for_person(a);stream_list.set_presence_list_count(a,b)});a.show()}}};k._status_from_timestamp=e;k.initialize=function(){$(window).focus(c);$(window).idle({idle:3E5,onIdle:f,onActive:c,keepTracking:!0});setInterval(d,5E4);d()};k.set_user_statuses=function(a,b){var c={},d;_.each(a,function(a,g){util.is_current_user(g)||(d=e(b,a),k.presence_info[g]=d,c[g]=d)});k.update_users(c);k.update_huddles()};k.searching=function(){return $(".user-list-filter").expectOne().is(":focus")};k.escape_search=
function(){var a=$(".user-list-filter").expectOne();""===a.val()?a.blur():(a.val(""),n())};k.initiate_search=function(){$(".user-list-filter").expectOne().focus()};k.blur_search=function(){$(".user-list-filter").blur()};$(function(){$(".user-list-filter").expectOne().on("click",m).on("input",n).on("keydown",g)});return k}();"undefined"!==typeof module&&(module.exports=activity);var colorspace=function(){return{sRGB_to_linear:function(h){h/=255;return 0.04045>=h?h/12.92:Math.pow((h+0.055)/1.055,2.4)},rgb_luminance:function(h){return 0.2126*h[0]+0.7152*h[1]+0.0722*h[2]},luminance_to_lightness:function(h){return 116*(h<=216/24389?841/108*h+4/29:Math.pow(h,1/3))-16},getDecimalColor:function(h){return{r:parseInt(h.substr(1,2),16),g:parseInt(h.substr(3,2),16),b:parseInt(h.substr(5,2),16)}},getLighterColor:function(h,f){return{r:(255*f+(1-f)*h.r).toFixed(),g:(255*f+(1-f)*h.g).toFixed(),
b:(255*f+(1-f)*h.b).toFixed()}},getHexColor:function(h){return"#"+parseInt(h.r,10).toString(16)+parseInt(h.g,10).toString(16)+parseInt(h.b,10).toString(16)}}}();var timerender=function(){function h(a){var b=e(new XDate),c=e(a.clone()),b=Math.round(c.diffDays(b));return 0===b?["Today",!0]:1===b?["Yesterday",!0]:365<=b?[a.toString("MMM\u00a0dd,\u00a0yyyy"),!1]:[a.toString("MMM\u00a0dd"),!1]}function f(a,b,c){a.text("");return void 0!==c?a.append('<i class="date-direction icon-vector-caret-up"></i>'+c).append($('<hr class="date-line">')).append('<i class="date-direction icon-vector-caret-down"></i>'+b):a.append(b)}var b={},a=0,e=function(a){return a.setMilliseconds(0).setSeconds(0).setMinutes(0).setHours(0)},
d=[],c;$(function(){c=e(new XDate).addDays(1)});b.render_date=function(b,c){var e="timerender"+a;a++;var l=h(b),p=$("<span />").attr("id",e);if(void 0!==c)var u=h(c),p=f(p,l[0],u[0]);else p=f(p,l[0]);l[1]&&(void 0!==c?d.push([e,b,c]):d.push([e,b]));return p};b.update_timestamps=function(){var a=new XDate;if(a>=c){var b=d;d=[];_.each(b,function(a){var b=a[0],c=document.getElementById(b);if(null!==c){var e=a[1],g,m=h(e);3===a.length?(g=a[2],a=h(g),f($(c),m[0],a[0])):f($(c),m[0]);m[1]&&(void 0!==g?d.push([b,
e,g]):d.push([b,e]))}});c=e(a.clone().addDays(1))}};setInterval(b.update_timestamps,6E4);b.set_full_datetime=function(a,b){if(void 0===a.full_date_str){var c=new XDate(1E3*a.timestamp),d=-c.getTimezoneOffset()/60;a.full_date_str=c.toLocaleDateString();a.full_time_str=c.toLocaleTimeString()+" (UTC"+(0>d?"":"+")+d+")";b.attr("title",a.full_date_str+" "+a.full_time_str)}};return b}();var tutorial=function(){function h(a,b,c,d){var e={type:JSON.stringify("stream"),recipient:JSON.stringify(a),topic:JSON.stringify(b),content:JSON.stringify(c)};setTimeout(function(){$.ajax({dataType:"json",url:"/json/tutorial_send_message",type:"POST",data:e})},1E3*d)}function f(){$("#alert-bar-container").slideUp(100)}function b(a){$("#custom-alert-bar-content").html(a);$("#alert-bar-container").show();$("#alert-bar-container .close-alert-icon").expectOne().click(f)}function a(){$("body").css({overflow:"hidden"});
_.each(["keydown","keyup","keypress","scroll"],function(a){var b=$._data(document,"events")[a];void 0===b&&(b=[]);A[a]=b;$._data(document,"events")[a]=[]})}function e(){$("body").css({overflow:"auto"});_.each(["keydown","keyup","keypress","scroll"],function(a){$._data(document,"events")[a]=A[a]})}function d(a,b){return channel.post({url:"/json/tutorial_status",data:{status:JSON.stringify(a)},success:b})}function c(a,b,c,d){var e=$(document).width(),g=$(document).height();$("#top-screen").css({opacity:0.7,
width:e,height:b});$("#bottom-screen").offset({top:b+d,left:0});$("#bottom-screen").css({opacity:0.7,width:e,height:g});$("#left-screen").offset({top:b,left:0});$("#left-screen").css({opacity:0.7,width:a,height:d});$("#right-screen").offset({top:b,left:a+c});$("#right-screen").css({opacity:0.7,width:a,height:d});$("#clear-screen").css({opacity:0,width:e,height:g})}function g(){var a=viewport.message_viewport_info(),b=a.visible_top,c=a.visible_height,a=rows.get_message_recipient_row(rows.last_visible());
return $.merge(a,a.prevAll()).filter(function(a,d){var e=$(d).offset();return e.top>b&&e.top<b+c})}function m(a){if($("#left-sidebar").is(":visible"))return a;if("left"===a)return"bottom";if("bottom"===a)return"right"}function k(a,b,c,d){$(".popover").remove();a.popover("destroy");a.popover({placement:b,title:templates.render("tutorial_title",{title:c,placement:b}),content:templates.render(d,{placement:b,page_params:page_params}),trigger:"manual"});a.popover("show");$(".popover").css("z-index",20001);
$(".popover-title").addClass("popover-"+b)}function l(a){var c=$("#tutorial-finale");a?(c.modal("hide"),$(".screen").css({opacity:0,width:0,height:0})):($(".screen").css({opacity:0}),c.css("z-index",20001),c.modal("show"),$("#tutorial-get-started").click(function(){c.modal("hide");$(".screen").css({opacity:0,width:0,height:0})}).focus());d("finished");D=!1;current_msg_list.clear();C=void 0;server_events.force_get_events();stream_color.default_color=y;$("#first_run_message").show();current_msg_list.rerender();
e();_.each(B,function(a){a()});B=[];b(page_params.prompt_for_invites?"<i class='icon-vector-heart alert-icon'></i>It's lonely in here! <a href='#invite-user' data-toggle='modal'>Invite some users</a>.":"<i class='icon-vector-desktop alert-icon'></i>What's better than "+page_params.product_name+" in your browser? The <a href='"+page_params.server_uri+"/apps' target='_blank'>"+page_params.product_name+" desktop app</a>!");stream_data.in_home_view(page_params.notifications_stream)&&narrow.activate([{operator:"stream",
operand:page_params.notifications_stream}]);page_params.first_in_realm&&(a=stream_data.in_home_view("engineering")?"engineering":_.find(stream_data.home_view_stream_names(),function(a){return"social"!==a&&a!==page_params.notifications_stream}),stream_data.in_home_view(page_params.notifications_stream)&&(h(page_params.notifications_stream,"welcome","Practice sending sending some messages here, or starting a new topic.",15),h(page_params.notifications_stream,page_params.product_name+" tips","Here's a message on a new topic: `"+
page_params.product_name+" tips`.\n\nAs you settle into "+page_params.product_name+", customize your account and notifications on your [Settings page](#settings).",30),h(page_params.notifications_stream,page_params.product_name+" tips","You might also enjoy:\n\n* Our lightweight !modal_link(#markdown-help, message formatting) (including emoji! :thumbsup:)\n* !modal_link(#keyboard-shortcuts, Keyboard shortcuts)\n* [Desktop and mobile apps]("+page_params.server_uri+"/apps)",40)),void 0!==a&&(h(a,"projects",
"This is a message on stream `"+a+"` with the topic `projects`.",60),h(a,"projects","Take a peek at our [integrations](/integrations). Now's a great time to set one up!",65)),stream_data.in_home_view("social")&&h("social","cute animals","This is a message on stream `social` with the topic `cute animals`. Try uploading or pasting in some pictures. Here's a [guinea pig](/static/images/cute/guinea.jpg) to get you started:",75))}function p(){var a=rows.first_visible(),b=rows.get_message_recipient_row(a),
d=b.find(".message_header"),e=b.offset().left,g=b.offset().top,a=d.height()+a.height(),b=b.width();c(e,g,b,a)}function u(){var a=rows.get_message_recipient_row(rows.first_visible()),b=a.offset().left,d=a.offset().top,e=0;_.each(g(),function(a){e+=$(a).height()});c(b,d,a.width(),e)}function r(){var a=rows.get_message_recipient_row(rows.first_visible());u();k(a,m("left"),"Replying","tutorial_reply");var b=$("#tutorial-reply").closest(".popover");b.offset({left:b.offset().left-10});C=r;$("#tutorial-reply-next").click(function(){a.popover("destroy");
l(!1)}).focus()}function n(){var a=rows.get_message_recipient_header(rows.first_visible());u();k(a,m("left"),"Narrowing","tutorial_home");var b=$("#tutorial-home").closest(".popover");b.offset({left:b.offset().left-10});C=n;$("#tutorial-home-next").click(function(){a.popover("destroy");r()}).focus()}function q(){var a=rows.first_visible(),b=rows.get_message_recipient_header(a),a=m("bottom");p();k(b,a,"Topics","tutorial_subject");var c=$("#tutorial-subject").closest(".popover");"bottom"===a?c.offset({left:b.offset().left+
140-c.width()/2}):c.offset({left:b.offset().left+194});C=q;$("#tutorial-subject-next").click(function(){b.popover("destroy");n()}).focus()}function s(){var a=rows.get_message_recipient_header(rows.first_visible()),b=m("bottom");p();k(a,b,"Streams","tutorial_stream");var c=$("#tutorial-stream").closest(".popover");"bottom"===b?c.offset({left:a.offset().left+50-c.width()/2}):c.offset({left:a.offset().left+98});C=s;$("#tutorial-stream-next").click(function(){a.popover("destroy");q()}).focus()}function t(){$("#top-screen").css({opacity:0.7,
width:$(document).width(),height:$(document).height()});var a=rows.first_visible(),b=rows.get_message_recipient_header(a);p();k(b,m("left"),"Welcome to "+page_params.product_name,"tutorial_message");a=$("#tutorial-message").closest(".popover");a.offset({left:a.offset().left-10});C=t;$("#tutorial-message-next").click(function(){b.popover("destroy");s()}).focus();$("#tutorial-message-skip").click(function(){b.popover("destroy");l(!0)})}var w={},D=!1,A={},B=[],C,y,G=(new Date).getTime()/1E3,J=[{id:1,
content:"<p>We're working on some new screenshots for our landing page!</p>",is_stream:!0,sender_full_name:"Abbie Patel",sender_email:"abbie@zulip.com",avatar_url:"https://secure.gravatar.com/avatar/5a8d2b3836d546d523f460924a8a9973",display_recipient:"engineering",stream:"engineering",subject:"screenshots",timestr:"12:11",timestamp:G,type:"stream"},{id:2,content:"<p>Here's the <a href='https://zulip.com/static/images/app-screenshots/zulip-desktop-windows.png' target='_blank' title='https://zulip.com/static/images/app-screenshots/zulip-desktop-windows.png'>latest version</a>:<div class='message_inline_image'><a href='https://zulip.com/static/images/app-screenshots/zulip-desktop-windows.png' target='_blank' title='https://zulip.com/static/images/app-screenshots/zulip-desktop-windows.png'><img src='https://zulip.com/static/images/app-screenshots/zulip-desktop-windows.png'></a></div> for the Windows app -- thoughts? I'm particularly wondering whether people think the screenshot should be from Windows 7 or some other version.</p>",
is_stream:!0,sender_full_name:"Abbie Patel",sender_email:"abbie@zulip.com",avatar_url:"https://secure.gravatar.com/avatar/5a8d2b3836d546d523f460924a8a9973",display_recipient:"engineering",stream:"engineering",subject:"screenshots",timestr:"12:11",timestamp:G,type:"stream"},{id:3,content:"<p>Looks good to me! <img alt=':+1:' class='emoji' src='/static/third/gemoji/images/emoji/+1.png' title=':+1:'></p>",is_stream:!0,sender_full_name:"Jeff Arnold",sender_email:"jeff@zulip.com",avatar_url:"https://secure.gravatar.com/avatar/dd0cf69d6d1989aa0b0d8c722f7d5840",
display_recipient:"engineering",stream:"engineering",subject:"screenshots",timestr:"12:16",timestamp:G,type:"stream"},{id:4,content:"<p>Adam and I just finished a brainstorming session for the next set of integrations we want to support.</p><p><a href=''>Here</a> are our notes. I'll open tickets for the action items.</p>",is_stream:!0,sender_full_name:"Jessica McKellar",sender_email:"jessica@zulip.com",avatar_url:"https://secure.gravatar.com/avatar/2a1ffb4ef0b4a20c04d540a35f430cf6",display_recipient:"engineering",
stream:"engineering",subject:"integrations",timestr:"12:25",timestamp:G,type:"stream"},{id:5,content:"<p>Yay, Twitter integration. <img alt=':heart_eyes:' class='emoji' src='/static/third/gemoji/images/emoji/heart_eyes.png' title=':heart_eyes:'></p>",is_stream:!0,sender_full_name:"Leo Franchi",sender_email:"leo@zulip.com",avatar_url:"https://secure.gravatar.com/avatar/4309007c980e1e8b9a2453488586482a",display_recipient:"engineering",stream:"engineering",subject:"integrations",timestr:"12:25",timestamp:G,
type:"stream"},{id:6,content:"<p>We need to add support for a few more markdown features before we can do GitHub integration.</p>",is_stream:!0,sender_full_name:"Li Jing",sender_email:"li@zulip.com",avatar_url:"https://secure.gravatar.com/avatar/2950c2c87fe7daaa56fd6a403ecc2ee0",display_recipient:"engineering",stream:"engineering",subject:"integrations",timestr:"12:26",timestamp:G,type:"stream"},{id:7,content:"<p>Good point, I'll add that to the ticket.</p>",is_stream:!0,sender_full_name:"Jessica McKellar",
sender_email:"jessica@zulip.com",avatar_url:"https://secure.gravatar.com/avatar/2a1ffb4ef0b4a20c04d540a35f430cf6",display_recipient:"engineering",stream:"engineering",subject:"integrations",timestr:"12:26",timestamp:G,type:"stream"},{id:8,content:"<p><img alt=':clock1130:' class='emoji' src='/static/third/gemoji/images/emoji/clock1130.png' title=':clock1130:'> Reminder: engineering meeting in 1 hour. <img alt=':clock1130:' class='emoji' src='/static/third/gemoji/images/emoji/clock1130.png' title=':clock1130:'></p>",
is_stream:!0,sender_full_name:"Reminder Bot",sender_email:"reminder-bot@zulip.com",avatar_url:"https://secure.gravatar.com/avatar/78873d7213d102dc36773046560d403a",display_recipient:"engineering",stream:"engineering",subject:"weekly meeting",timestr:"12:30",timestamp:G,type:"stream"},{id:9,content:"<p>Quickly brainstorming my remaining TODO list out loud for you all:</p>",is_stream:!0,sender_full_name:"Abbie Patel",sender_email:"abbie@zulip.com",avatar_url:"https://secure.gravatar.com/avatar/5a8d2b3836d546d523f460924a8a9973",
display_recipient:"engineering",stream:"engineering",subject:"screenshots",timestr:"12:32",timestamp:G,type:"stream"},{id:10,content:"<p><ul><li>Redo iPhone shot</li><li>Double-check layout on iPad</li><li>Update copy for new iOS app version</li><li>Check with Android team on timeline for login redesign</li></ul></p>",is_stream:!0,sender_full_name:"Abbie Patel",sender_email:"abbie@zulip.com",avatar_url:"https://secure.gravatar.com/avatar/5a8d2b3836d546d523f460924a8a9973",display_recipient:"engineering",
stream:"engineering",subject:"screenshots",timestr:"12:32",timestamp:G,type:"stream"},{id:11,content:"<p>Oops, I actually took care of the text for iOS and forgot to update the ticket -- I'll do that now.</p>",is_stream:!0,sender_full_name:"Jeff Arnold",sender_email:"jeff@zulip.com",avatar_url:"https://secure.gravatar.com/avatar/dd0cf69d6d1989aa0b0d8c722f7d5840",display_recipient:"engineering",stream:"engineering",subject:"screenshots",timestr:"12:16",timestamp:G,type:"stream"},{id:12,content:"<p>No problem, less work for me. <img alt=':smile:' class='emoji' src='/static/third/gemoji/images/emoji/smile.png' title=':smile:'></p>",
is_stream:!0,sender_full_name:"Abbie Patel",sender_email:"abbie@zulip.com",avatar_url:"https://secure.gravatar.com/avatar/5a8d2b3836d546d523f460924a8a9973",display_recipient:"engineering",stream:"engineering",subject:"screenshots",timestr:"12:32",timestamp:G,type:"stream"}];w.is_running=function(){return D};w.defer=function(a){B.push(a)};w.start=function(){ui.home_tab_obscured()&&ui.change_tab_to("#home");narrow.deactivate();y=stream_color.default_color;stream_color.default_color="#76ce90";current_msg_list.add_and_rerender(J);
a();D=!0;d("started");t()};w.initialize=function(){page_params.needs_tutorial&&w.start();$(window).resize($.debounce(100,function(){void 0!==C&&C()}))};return w}();"undefined"!==typeof module&&(module.exports=tutorial);var templates=function(){var h={render:function(f,b){if(void 0===Handlebars.templates)throw"Cannot find compiled templates!";if(void 0===Handlebars.templates[f])throw"Cannot find a template with this name: "+f+". If you are developing a new feature, this likelymeans you need to add the file static/templates/"+f+".handlerbars";return Handlebars.templates[f](b)}};Handlebars.registerHelper("partial",function(f){var b={},a=arguments.length,e;for(e=1;e<a-2;e+=2)b[arguments[e]]=arguments[e+1];b=_.extend({},
this,b);return new Handlebars.SafeString(h.render(f,b))});Handlebars.registerHelper("plural",function(f,b,a){return 1===f?b:a});Handlebars.registerHelper("if_and",function(){var f=arguments[arguments.length-1],b;for(b=0;b<arguments.length-1;b++)if(!arguments[b])return f.inverse(this);return f.fn(this)});Handlebars.registerHelper("if_or",function(){var f=arguments[arguments.length-1],b;for(b=0;b<arguments.length-1;b++)if(arguments[b])return f.fn(this);return f.inverse(this)});Handlebars.registerHelper("t",
function(f){f=i18n.t(f);return new Handlebars.SafeString(f)});Handlebars.registerHelper("tr",function(f,b){var a=i18n.t(b.fn(f),f);return new Handlebars.SafeString(a)});return h}();"undefined"!==typeof module&&(module.exports=templates);var avatar=function(){function h(b){b=b.type;return!b?!1:0<=_.indexOf(["image/jpeg","image/png","image/gif","image/tiff"],b)}var f={build_bot_create_widget:function(){var b=$("#bot_avatar_file"),a=$("#bot_avatar_file_input_error"),e=$("#bot_avatar_clear_button"),d=$("#bot_avatar_upload_button");return f.build_widget(function(){return $("#bot_avatar_file_input")},b,a,e,d)},build_bot_edit_widget:function(b){var a=b.find(".edit_bot_avatar_file"),e=b.find(".edit_bot_avatar_error"),d=b.find(".edit_bot_avatar_clear_button"),
c=b.find(".edit_bot_avatar_upload_button");return f.build_widget(function(){return b.find(".edit_bot_avatar_file_input")},a,e,d,c)},build_widget:function(b,a,e,d,c){function g(){var e=b(),g=e.clone(!0);e.replaceWith(g);a.text("");d.hide();c.show()}d.on("click",function(a){g();a.preventDefault()});c.on("drop",function(a){var c=a.dataTransfer.files;if(null===c||void 0===c||0===c.length)return!1;b().get(0).files=c;a.preventDefault();return!1});b().on("change",function(b){0===b.target.files.length?e.hide():
1===b.target.files.length?(b=b.target.files[0],5242880<b.size?(e.text("File size must be < 5Mb."),e.show(),g()):h(b)?(a.text(b.name),e.hide(),d.show(),c.hide()):(e.text("File type is not supported."),e.show(),g())):e.text("Please just upload one file.")});c.on("click",function(a){b().trigger("click");a.preventDefault()});return{clear:g,close:function(){g();d.off("click");c.off("drop");b().off("change");c.off("click")}}},build_user_avatar_widget:function(b){return f.build_direct_upload_widget(function(){return $("#user_avatar_file_input").expectOne()},
$("#user_avatar_file_input_error").expectOne(),$("#user_avatar_upload_button").expectOne(),b)},build_direct_upload_widget:function(b,a,e,d){function c(){var a=b(),c=a.clone(!0);a.replaceWith(c)}e.on("drop",function(a){var c=a.dataTransfer.files;if(null===c||void 0===c||0===c.length)return!1;b().get(0).files=c;a.preventDefault();return!1});b().on("change",function(e){0===e.target.files.length?a.hide():1===e.target.files.length?(e=e.target.files[0],5242880<e.size?(a.text("File size must be < 5Mb."),
a.show(),c()):h(e)?(a.hide(),d(b())):(a.text("File type is not supported."),a.show(),c())):a.text("Please just upload one file.")});e.on("click",function(a){b().trigger("click");a.preventDefault()})}};return f}();var settings=function(){function h(a,b){void 0===b&&(b=[]);c.done(function(c){var d=function(a){return $("<option>").attr("value",a[0]).text(a[1])},e=_.chain(c).where({invite_only:!1}).pluck("name").map(function(a){return[a,a]}).value(),e=_.chain(b.concat(e)).map(d).reduce(function(a,b){return a.append(b)},$('<optgroup label="Public"/>')).value();c=_.chain(c).where({invite_only:!0}).pluck("name").map(function(a){return[a,a]}).map(d).reduce(function(a,b){return a.append(b)},$('<optgroup label="Private"/>')).value();
a.empty();a.append(e);a.append(c)})}function f(a,b,c){feature_flags.new_bot_ui&&(""!==b&&a.append("default_sending_stream",b),"__all_public__"===c?(a.append("default_all_public_streams",JSON.stringify(!0)),a.append("default_events_register_stream",null)):""!==c&&(a.append("default_all_public_streams",JSON.stringify(!1)),a.append("default_events_register_stream",c)))}function b(){$("#bots_list").empty();_.each(bot_data.get_editable(),function(a){a={name:a.full_name,email:a.email,avatar_url:a.avatar_url,
api_key:a.api_key,default_sending_stream:a.default_sending_stream,default_events_register_stream:a.default_events_register_stream,default_all_public_streams:a.default_all_public_streams};a.id_suffix=_.uniqueId("_bot_");var b=$(templates.render("bot_avatar_row",a)),c=b.find("select[name=bot_default_sending_stream]"),d=b.find("select[name=bot_default_events_register_stream]");feature_flags.new_bot_ui||b.find(".new-bot-ui").hide();var e=[];null===a.default_sending_stream&&e.push(["","No default selected"]);
h(c,e);c.val(a.default_sending_stream,e);c=[["__all_public__","All public streams"]];null===a.default_events_register_stream&&!a.default_all_public_streams&&c.unshift(["","No default selected"]);h(d,c);a.default_all_public_streams?d.val("__all_public__"):d.val(a.default_events_register_stream);$("#bots_list").append(b);$("#bots_list").show()})}function a(){function a(){$("#old_password, #new_password, #confirm_password").val("")}function c(a,b){viewport.scrollTop(0);ui.report_error(a,b,$("#settings-status").expectOne())}
function k(a,b,c,d){a=$.parseJSON(c.responseText);b=$("#notify-settings-status").expectOne();void 0!==a.enable_stream_desktop_notifications&&(page_params.stream_desktop_notifications_enabled=a.enable_stream_desktop_notifications);void 0!==a.enable_stream_sounds&&(page_params.stream_sounds_enabled=a.enable_stream_sounds);void 0!==a.enable_desktop_notifications&&(page_params.desktop_notifications_enabled=a.enable_desktop_notifications);void 0!==a.enable_sounds&&(page_params.sounds_enabled=a.enable_sounds);
void 0!==a.enable_offline_email_notifications&&(page_params.enable_offline_email_notifications=a.enable_offline_email_notifications);void 0!==a.enable_offline_push_notifications&&(page_params.enable_offline_push_notifications=a.enable_offline_push_notifications);void 0!==a.enable_digest_emails&&(page_params.enable_digest_emails=a.enable_digest_emails);ui.report_success(i18n.t("Updated notification settings!"),b)}function l(a,b,c){ui.report_error(i18n.t("Error changing settings"),a,$("#notify-settings-status").expectOne())}
function p(a,b){var c={};c[a]=b;channel.post({url:"/json/notify_settings/change",data:c,success:k,error:l})}function u(a){p("enable_stream_desktop_notifications",a);subs.set_all_stream_desktop_notifications_to(a)}function r(a){p("enable_stream_sounds",a);subs.set_all_stream_audible_notifications_to(a)}function n(a,b){var c=templates.render("propagate_notification_change"),d=a.closest(".control-group"),e=a.is(":checked");d.find(".propagate_stream_notifications_change").html(c);d.find(".yes_propagate_notifications").on("click",
function(a){b(e);d.find(".propagate_stream_notifications_change").empty()});d.find(".no_propagate_notifications").on("click",function(a){d.find(".propagate_stream_notifications_change").empty()})}"resolved"!==d.state()&&channel.get({url:"/json/streams",success:function(a){d.resolve(a.streams);h($("#create_bot_default_sending_stream"));h($("#create_bot_default_events_register_stream"),[["__all_public__","All public streams"]])}});var q=templates.render("settings_tab",{page_params:page_params});$("#settings").html(q);
$("#settings-status").hide();$("#notify-settings-status").hide();$("#display-settings-status").hide();$("#ui-settings-status").hide();alert_words_ui.set_up_alert_words();$("#api_key_value").text("");$("#get_api_key_box").hide();$("#show_api_key_box").hide();$("#api_key_button_box").show();a();$("#api_key_button").click(function(a){!1!==page_params.password_auth_enabled?$("#get_api_key_box").show():$("#get_api_key_box form").submit();$("#api_key_button_box").hide()});$("#pw_change_link").on("click",
function(a){a.preventDefault();$("#pw_change_link").hide();$("#pw_change_controls").show();!1!==page_params.password_auth_enabled&&$.getScript("/static/third/zxcvbn/zxcvbn.js",function(){$("#pw_strength .bar").removeClass("fade")})});$("#new_password").on("change keyup",function(){password_quality($("#new_password").val(),$("#pw_strength .bar"))});page_params.show_digest_email||$("#other_notifications").hide();feature_flags.new_bot_ui||$(".new-bot-ui").hide();$("form.your-account-settings").ajaxForm({dataType:"json",
beforeSubmit:function(a,b,d){if(!1!==page_params.password_auth_enabled&&(a=$("#new_password").val(),""!==a)){a=password_quality(a);if(void 0===a)return c("An internal error occurred; try reloading the page. Sorry for the trouble!"),!1;if(!a)return c("New password is too weak"),!1}return!0},success:function(a,b,c,d){viewport.scrollTop(0);ui.report_success("Updated settings!",$("#settings-status").expectOne())},error:function(a,b,d){c("Error changing settings",a)},complete:function(b,c){a()}});$("#change_notification_settings").on("click",
function(a){var b={};_.each("enable_stream_desktop_notifications enable_stream_sounds enable_desktop_notifications enable_sounds enable_offline_email_notifications enable_offline_push_notifications enable_digest_emails".split(" "),function(a){b[a]=$("#"+a).is(":checked")});channel.post({url:"/json/notify_settings/change",data:b,success:k,error:l})});$("#enable_stream_desktop_notifications").on("click",function(a){a=$("#enable_stream_desktop_notifications");n(a,u)});$("#enable_stream_sounds").on("click",
function(a){a=$("#enable_stream_sounds");n(a,r)});$("#left_side_userlist").change(function(){var a={};a.left_side_userlist=JSON.stringify(this.checked);var b={};b.side="true"===a.left_side_userlist?"left":"right";channel.patch({url:"/json/left_side_userlist",data:a,success:function(a,c,d,e){ui.report_success(i18n.t("User list will appear on the __side__ hand side! You will need to reload the window for your changes to take effect.",b),$("#display-settings-status").expectOne())},error:function(a,b,
c){ui.report_error(i18n.t("Error updating user list placement setting"),a,$("#display-settings-status").expectOne())}})});$("#twenty_four_hour_time").change(function(){var a={},b=$("#twenty_four_hour_time").is(":checked");a.twenty_four_hour_time=JSON.stringify(b);var c={};c.format="true"===a.twenty_four_hour_time?"24":"12";channel.patch({url:"/json/time_setting",data:a,success:function(a,b,d,e){ui.report_success(i18n.t("Time will be displayed in the __format__-hour format!  You will need to reload the window for your changes to take effect",
c),$("#display-settings-status").expectOne())},error:function(a,b,c){ui.report_error(i18n.t("Error updating time format setting"),a,$("#display-settings-status").expectOne())}})});$("#default_language_modal .language").click(function(a){a.preventDefault();a.stopPropagation();$("#default_language_modal").modal("hide");var b={},c=$(a.target).attr("data-code");b.default_language=JSON.stringify(c);a=$(a.target).attr("data-name");$("#default_language_name").text(a);var d={};d.lang=a;channel.patch({url:"/json/language_setting",
data:b,success:function(a,b,c,e){ui.report_success(i18n.t("__lang__ is now the default language!  You will need to reload the window for your changes to take effect",d),$("#display-settings-status").expectOne())},error:function(a,b,c){ui.report_error(i18n.t("Error updating default language setting"),a,$("#display-settings-status").expectOne())}})});$("#default_language").on("click",function(a){a.preventDefault();a.stopPropagation();$("#default_language_modal").modal("show")});$("#get_api_key_box").hide();
$("#show_api_key_box").hide();$("#get_api_key_box form").ajaxForm({dataType:"json",success:function(a,b,c,d){a=$.parseJSON(c.responseText);b=$("#settings-status").expectOne();$("#get_api_key_password").val("");$("#api_key_value").text(a.api_key);$("#show_api_key_box").show();$("#get_api_key_box").hide();b.hide()},error:function(a,b,c){ui.report_error(i18n.t("Error getting API key"),a,$("#settings-status").expectOne());$("#show_api_key_box").hide();$("#get_api_key_box").show()}});avatar.build_user_avatar_widget(function(a){var b=
new FormData;b.append("csrfmiddlewaretoken",csrf_token);jQuery.each(a[0].files,function(a,c){b.append("file-"+a,c)});a=$("#upload_avatar_spinner").expectOne();loading.make_indicator(a,{text:"Uploading avatar."});channel.post({url:"/json/set_avatar",data:b,cache:!1,processData:!1,contentType:!1,success:function(a){loading.destroy_indicator($("#upload_avatar_spinner"));a=a.avatar_url+"&stamp="+e.avatar_stamp;$("#user-settings-avatar").expectOne().attr("src",a);e.avatar_stamp+=1}})});page_params.name_changes_disabled&&
$("#name_change_container").hide();b();$(document).on("zulip.bot_data_changed",b);$.validator.addMethod("bot_local_part",function(a,b){return this.optional(b)||/^[\-!#$%&'*+\/=?\^_`{}|~0-9A-Z]+(\.[\-!#$%&'*+\/=?\^_`{}|~0-9A-Z]+)*$/i.test(a+"-bot")},"Please only use characters that are valid in an email address");var s=avatar.build_bot_create_widget();$("#create_bot_form").validate({errorClass:"text-error",success:function(){$("#bot_table_error").hide()},submitHandler:function(){var a=$("#create_bot_name").val(),
b=$("#create_bot_short_name").val(),c=$("#create_bot_default_sending_stream").val(),d=$("#create_bot_default_events_register_stream").val(),e=new FormData;e.append("csrfmiddlewaretoken",csrf_token);e.append("full_name",a);e.append("short_name",b);f(e,c,d);jQuery.each($("#bot_avatar_file_input")[0].files,function(a,b){e.append("file-"+a,b)});$("#create_bot_button").val("Adding bot...").prop("disabled",!0);channel.post({url:"/json/bots",data:e,cache:!1,processData:!1,contentType:!1,success:function(a){$("#bot_table_error").hide();
$("#create_bot_name").val("");$("#create_bot_short_name").val("");$("#create_bot_button").show();s.clear()},error:function(a,b,c){$("#bot_table_error").text(JSON.parse(a.responseText).msg).show()},complete:function(a,b){$("#create_bot_button").val("Create bot").prop("disabled",!1)}})}});$("#bots_list").on("click","button.delete_bot",function(a){var b=$(a.currentTarget).data("email");channel.del({url:"/json/bots/"+encodeURIComponent(b),success:function(){var b=$(a.currentTarget).closest("li");b.hide("slow",
function(){b.remove()})},error:function(a){$("#bot_delete_error").text(JSON.parse(a.responseText).msg).show()}})});$("#bots_list").on("click","button.regenerate_bot_api_key",function(a){var b=$(a.currentTarget).data("email");channel.post({url:"/json/bots/"+encodeURIComponent(b)+"/api_key/regenerate",idempotent:!0,success:function(b){var c=$(a.currentTarget).closest("li");c.find(".api_key").find(".value").text(b.api_key);c.find("api_key_error").hide()},error:function(b){$(a.currentTarget).closest("li").find(".api_key_error").text(JSON.parse(b.responseText).msg).show()}})});
var t=0;$("#bots_list").on("click","button.open_edit_bot_form",function(a){function b(){g.show();h.show();d.hide();m.close()}var c=$(a.currentTarget).closest("li"),d=c.find("div.edit_bot"),e=c.find(".edit_bot_form"),g=c.find(".image"),h=c.find(".bot_info");a=c.find(".reset_edit_bot");var k=h.find(".name").text();e.find(".edit_bot_name").attr("value",k);g.hide();h.hide();d.show();var m=avatar.build_bot_edit_widget(c);a.click(function(a){b();$(this).off(a)});var l=e.find(".bot_edit_errors");e.validate({errorClass:"text-error",
success:function(a){l.hide()},submitHandler:function(){var a=e.data("email"),d=e.find(".edit_bot_name").val(),k=c.find(".edit_bot_avatar_file_input"),m=e.find(".edit_bot_default_sending_stream").val(),n=e.find(".edit_bot_default_events_register_stream").val(),p=e.find(".edit_bot_spinner"),q=e.find(".edit_bot_button"),r=new FormData;r.append("csrfmiddlewaretoken",csrf_token);r.append("full_name",d);f(r,m,n);jQuery.each(k[0].files,function(a,b){r.append("file-"+a,b)});loading.make_indicator(p,{text:"Editing bot"});
q.hide();channel.patch({url:"/json/bots/"+encodeURIComponent(a),data:r,cache:!1,processData:!1,contentType:!1,success:function(a){loading.destroy_indicator(p);l.hide();q.show();b();h.find(".name").text(d);a.avatar_url&&(t+=1,g.find("img").attr("src",a.avatar_url+"&v="+t.toString()))},error:function(a,b,c){loading.destroy_indicator(p);q.show();l.text(JSON.parse(a.responseText).msg).show()}})}})});$("#show_api_key_box").on("click","button.regenerate_api_key",function(a){channel.post({url:"/json/users/me/api_key/regenerate",
idempotent:!0,success:function(a){$("#api_key_value").text(a.api_key)},error:function(a){$("#user_api_key_error").text(JSON.parse(a.responseText).msg).show()}})});$("#ui-settings").on("click","input[name='change_settings']",function(a){var b={};_.each(["autoscroll_forever","default_desktop_notifications"],function(a){b[a]=$("#"+a).is(":checked")});channel.post({url:"/json/ui_settings/change",data:b,success:function(a,b,c,d){a=i18n.t("Updated __product_name__ Labs settings!",page_params);c=$.parseJSON(c.responseText);
b=$("#ui-settings-status").expectOne();void 0!==c.autoscroll_forever&&(page_params.autoscroll_forever=c.autoscroll_forever,resize.resize_page_components());ui.report_success(a,b)},error:function(a,b,c){ui.report_error(i18n.t("Error changing settings"),a,$("#ui-settings-status").expectOne())}})})}var e={},d=$.Deferred(),c=d.promise();e.avatar_stamp=Math.floor(100*Math.random());e.setup_page=function(){i18n.ensure_i18n(a)};return e}();var tab_bar=function(){function h(a,b,c,g,f){return{active:"inactive",cls:g||"",title:a,hash:b,data:c,home:f||!1}}function f(){var a=[],b=narrow.filter();void 0!==b&&(b.has_operator("stream")&&!stream_data.in_home_view(b.operands("stream")[0])||b.has_operand("in","all"))?a.push(h("All Messages","#narrow/in/all",void 0,"root")):void 0!==page_params.narrow?(a.push(h("Stream "+page_params.narrow_stream,hashchange.operators_to_hash([page_params.narrow[0]]),page_params.narrow_stream,"stream")),void 0!==
page_params.narrow_topic&&a.push(h("Topic "+page_params.narrow_topic,hashchange.operators_to_hash(page_params.narrow),null))):a.push(h("Home","#","home","root",!0));if(narrow.active()&&0<narrow.operators().length){var c,g=narrow.operators();hashchange.operators_to_hash(g);var f=hashchange.operators_to_hash(g.slice(0,1));b.has_operator("stream")?(c=b.operands("stream")[0],a.push(h(c,f,c,"stream"))):b.has_operator("pm-with")||b.has_operand("is","private")?(a.push(h("Private Messages","#narrow/is/private",
void 0,"private_message ")),b.has_operator("pm-with")&&(c=b.operands("pm-with")[0].split(","),c=_.map(c,function(a){return!people.get_by_email(a)?a:people.get_by_email(a).full_name}),a.push(h(c.join(", "),f)))):b.has_operand("is","starred")?a.push(h("Starred",f)):b.has_operator("near")?a.push(h("Near "+b.operands("near")[0],f)):b.has_operator("id")?a.push(h("ID "+b.operands("id")[0],f)):b.has_operand("is","mentioned")?a.push(h("Mentions",f)):b.has_operator("sender")?(c=b.operands("sender")[0],people.get_by_email(c)&&
(c=people.get_by_email(c).full_name),a.push(h("Sent by "+c,f))):b.has_operator("search")&&a.push(h("Search results",!1));b.has_operator("stream")&&b.has_operator("topic")&&(c=b.operands("stream")[0],b=b.operands("topic")[0],f=hashchange.operators_to_hash(g.slice(0,2)),a.push(h(b,f,null)))}a[a.length-1].hash=null;return a}function b(){var b=f(),d=$("#tab_bar");d.empty();b[b.length-1].active="active";b=templates.render("tab_bar",{tabs:b});d.append(b);a.colorize_tab_bar();d.removeClass("notdisplayed")}
var a={colorize_tab_bar:function(){var a=$("#tab_list .stream");if(0<a.length){var b=a.data("name");if(void 0!==b){var b=b.toString(),c=stream_data.get_color(b),b=stream_color.get_color_class(c),g=colorspace.getHexColor(colorspace.getLighterColor(colorspace.getDecimalColor(c),0.2));a.hasClass("stream")&&(a.css("border-left-color",c).css("background-color",c),a.hasClass("inactive")&&a.hover(function(){$(this).css("border-left-color",g).css("background-color",g)},function(){$(this).css("border-left-color",
c).css("background-color",c)}),a.removeClass(stream_color.color_classes),a.addClass(b))}}}};$(function(){$(document).on("narrow_activated.zulip",function(a){b()});$(document).on("narrow_deactivated.zulip",function(a){b()});b()});return a}();var emoji=function(){var h={emojis:[],emojis_by_name:{},emojis_by_unicode:{}},f=[],b=[],a="+1 -1 100 1234 8ball a a_button ab ab_button abc abcd accept admission_tickets aerial_tramway airplane airplane_arrival airplane_departure alarm_clock alien alien_monster ambulance american_football amphora anchor angel anger anger_symbol angry angry_face anguished anguished_face ant antenna_bars anticlockwise_arrows_button apple aquarius aries arrow_backward arrow_double_down arrow_double_up arrow_down arrow_down_small arrow_forward arrow_heading_down arrow_heading_up arrow_left arrow_lower_left arrow_lower_right arrow_right arrow_right_hook arrow_up arrow_up_down arrow_up_small arrow_upper_left arrow_upper_right arrows_clockwise arrows_counterclockwise art articulated_lorry artist_palette astonished astonished_face athletic_shoe atm atm_sign atom_symbol automobile b b_button baby baby_angel baby_bottle baby_chick baby_symbol back back_arrow backhand_index_pointing_down backhand_index_pointing_left backhand_index_pointing_right backhand_index_pointing_up badminton baggage_claim balloon ballot_box_with_ballot ballot_box_with_check bamboo banana bangbang bank bar_chart barber barber_pole baseball basketball bath bathtub battery beach_with_umbrella bear bear_face beating_heart bed bee beer beer_mug beers beetle beginner bell bell_with_slash bellhop_bell bento bento_box bicycle bicyclist bike bikini billiards bird birthday birthday_cake black_circle black_joker black_large_square black_medium_small_square black_medium_square black_nib black_small_square black_square_button blossom blowfish blue_book blue_car blue_circle blue_heart blush boar boat bomb book bookmark bookmark_tabs books boom boot bottle_with_popping_cork bouquet bow bow_and_arrow bowling boy bread bride_with_veil bridge_at_night briefcase bright_button broken_heart bug building_construction bulb bullettrain_front bullettrain_side burrito bus bus_stop busstop bust_in_silhouette busts_in_silhouette cactus cake calendar calling camel camera camera_with_flash camping cancer candle candy capital_abcd capricorn car card_file_box card_index card_index_dividers carousel_horse carp_streamer castle cat cat2 cat_face cat_face_with_tears_of_joy cat_face_with_wry_smile cd chains chart chart_decreasing chart_increasing chart_increasing_with_yen chart_with_downwards_trend chart_with_upwards_trend checkered_flag cheese_wedge chequered_flag cherries cherry_blossom chestnut chicken children_crossing chipmunk chocolate_bar christmas_tree church cinema circled_accept_ideograph circled_advantage_ideograph circled_letter_m circus_tent city_sunrise city_sunset cityscape cityscape_at_dusk cl clap clapper clapper_board clapping_hands classical_building clinking_beer_mugs clipboard clock1 clock10 clock1030 clock11 clock1130 clock12 clock1230 clock130 clock2 clock230 clock3 clock330 clock4 clock430 clock5 clock530 clock6 clock630 clock7 clock730 clock8 clock830 clock9 clock930 clockwise_vertical_arrows closed_book closed_lock_with_key closed_mailbox_with_lowered_flag closed_mailbox_with_raised_flag closed_umbrella cloud cloud_with_lightning cloud_with_lightning_and_rain cloud_with_rain cloud_with_snow clubs cn cocktail cocktail_glass coffee coffin cold_sweat collision compression computer computer_mouse confetti_ball confounded confounded_face confused confused_face congratulations construction construction_worker control_knobs convenience_store cooked_rice cookie cooking cool cop copyright corn couch_and_lamp couple couple_with_heart couplekiss cow cow2 cow_face crab crayon credit_card crescent_moon cricket crocodile cross_mark cross_mark_button crossed_flags crown cry crying_cat_face crying_face crystal_ball cupid curly_loop currency_exchange curry curry_rice custard customs cyclone dagger dancer dancers dango dart dash dashing date de deciduous_tree delivery_truck department_store derelict_house_building desert desert_island desktop_computer detective diamond_shape_with_a_dot_inside diamond_with_a_dot diamonds dim_button direct_hit disappointed disappointed_but_relieved_face disappointed_face disappointed_relieved dizzy dizzy_face do_not_litter dog dog2 dog_face dollar dollar_banknote dolls dolphin door dotted_six_pointed_star double_curly_loop double_exclamation_mark doughnut dove down_arrow down_button dragon dragon_face dress dromedary_camel droplet dvd e-mail e_mail ear ear_of_corn ear_of_rice earth_africa earth_americas earth_asia egg eggplant eight eight_oclock eight_pointed_black_star eight_spoked_asterisk eight_thirty eject_button electric_plug elephant eleven_oclock eleven_thirty email end end_arrow envelope envelope_with_arrow es euro euro_banknote european_castle european_post_office evergreen evergreen_tree exclamation expressionless expressionless_face eye eyeglasses eyes face_massage face_savouring_delicious_food face_screaming_in_fear face_throwing_a_kiss face_with_cold_sweat face_with_head_bandage face_with_medical_mask face_with_open_mouth face_with_open_mouth_and_cold_sweat face_with_rolling_eyes face_with_steam_from_nose face_with_stuck_out_tongue face_with_stuck_out_tongue_and_tightly_closed_eyes face_with_stuck_out_tongue_and_winking_eye face_with_tears_of_joy face_with_thermometer face_without_mouth facepunch factory fallen_leaf family fast_down_button fast_forward fast_forword_button fast_reverse_button fast_up_button fax fax_machine fearful fearful_face feet ferris_wheel ferry field_hockey file_cabinet file_folder film_frames film_projector fire fire_engine fireworks first_quarter_moon first_quarter_moon_with_face fish fish_cake fish_cake_with_swirl fishing_pole fishing_pole_and_fish fist five five_oclock five_thirty flag_in_hole flags flashlight fleur_de_lis flexed_biceps flipper floppy_disk flower_playing_cards flushed flushed_face fog foggy folded_hands football footprints fork_and_knife fork_and_knife_with_plate fountain fountain_pen four four_leaf_clover four_oclock four_thirty fr frame_with_picture free french_fries fried_shrimp fries frog frog_face front_facing_baby_chick frowning frowning_face_with_open_mouth fuel_pump fuelpump full_moon full_moon_with_face funeral_urn game_die gb gem gem_stone gemini gesturing_no gesturing_ok ghost gift gift_heart girl glasses globe_showing_americas globe_showing_asia_australia globe_showing_europe_africa globe_with_meridians glowing_star goat goblin golf golfer graduation_cap grapes green_apple green_book green_heart grey_exclamation grey_question grimacing grimacing_face grin grinning grinning_cat_face_with_smiling_eyes grinning_face grinning_face_with_smiling_eyes growing_heart guardsman guitar gun haircut hamburger hammer hammer_and_wrench hamster hamster_face hand handbag hankey happy_person_raising_hand hash hatched_chick hatching_chick headphone headphones hear_no_evil heart heart_decoration heart_eyes heart_eyes_cat heart_with_arrow heart_with_ribbon heartbeat heartpulse hearts heavy_check_mark heavy_division_sign heavy_dollar_sign heavy_exclamation_mark heavy_large_circle heavy_minus_sign heavy_multiplication_x heavy_plus_sign helicopter helmet_with_white_cross herb hibiscus high_brightness high_heel high_heeled_shoe high_speed_train high_speed_train_with_bullet_nose high_voltage hocho hole honey_pot honeybee horizontal_traffic_light horse horse_face horse_racing hospital hot_dog hot_pepper hotel hotsprings hourglass hourglass_flowing_sand hourglass_with_flowing_sand house house_building house_buildings house_with_garden hugging_face hundred_points hushed hushed_face ice_cream ice_hockey_stick_and_puck ice_skate icecream id ideograph_advantage imp inbox_tray incoming_envelope index_pointing_up information_desk_person information_source innocent input_latin_letters input_latin_lowercase input_latin_uppercase input_numbers input_symbols interrobang iphone it izakaya_lantern jack_o_lantern japan japanese_castle japanese_dolls japanese_goblin japanese_ogre japanese_post_office japanese_symbol_for_beginner jeans joker joy joy_cat joystick jp kaaba key keycap_ten kimono kiss kiss_mark kissing kissing_cat kissing_cat_face_with_closed_eyes kissing_closed_eyes kissing_face kissing_face_with_closed_eyes kissing_face_with_smiling_eyes kissing_heart kissing_smiling_eyes kitchen_knife knife koala koko kr label lady_beetle lantern laptop_computer large_blue_circle large_blue_diamond large_orange_diamond last_quarter_moon last_quarter_moon_with_face last_track_button latin_cross laughing leaf_fluttering_in_wind leaves ledger left_arrow left_arrow_curving_right left_luggage left_pointing_magnifying_glass left_right_arrow left_speech_bubble leftwards_arrow_with_hook lemon leo leopard level_slider libra light_bulb light_rail link linked_paperclips lion_face lips lipstick litter_in_bin_sign lock lock_with_ink_pen lock_with_pen locomotive lollipop loop loud_sound loudly_crying_face loudspeaker love_hotel love_letter low_brightness m mag mag_right mahjong mahjong_red_dragon mailbox mailbox_closed mailbox_with_mail mailbox_with_no_mail man man_and_woman_holding_hands man_in_business_suit_levitating man_with_chinese_cap man_with_gua_pi_mao man_with_turban mans_shoe mantelpiece_clock map_of_japan maple_leaf mask massage meat_on_bone mega megaphone melon memo menorah mens mens_room metro microphone microscope middle_finger military_medal milky_way minibus minidisc moai mobile_phone mobile_phone_off mobile_phone_with_arrow money_bag money_mouth_face money_with_wings moneybag monkey monkey_face monorail moon moon_ceremony mortar_board mosque motor_boat motorcycle motorway mount_fuji mountain mountain_bicyclist mountain_biker mountain_cableway mountain_railway mouse mouse2 mouse_face mouth movie_camera moyai muscle mushroom musical_keyboard musical_note musical_notes musical_score mute nail_care nail_polish name_badge national_park necktie negative_squared_cross_mark nerd_face neutral_face new new_moon new_moon_face new_moon_with_face newspaper next_track_button ng night_with_stars nine nine_oclock nine_thirty no_bell no_bicycles no_entry no_entry_sign no_good no_littering no_mobile_phones no_mouth no_one_under_eighteen no_pedestrians no_smoking non-potable_water non_potable_water nose notebook notebook_with_decorative_cover notes nut_and_bolt o o2 o_button ocean octopus oden office office_building ogre oil_drum ok ok_hand ok_woman old_key old_man old_woman older_man older_woman om on on_arrow oncoming_automobile oncoming_bus oncoming_fist oncoming_police_car oncoming_taxi one one_oclock one_thirty open_book open_file_folder open_hands open_lock open_mailbox_with_lowered_flag open_mailbox_with_raised_flag open_mouth ophiuchus optical_disc orange_book outbox_tray ox p_button package page_facing_up page_with_curl pager paintbrush palm_tree panda_face paperclip parking part_alternation_mark partly_sunny party_popper passenger_ship passport_control pause_button paw_prints peace_symbol peach pear pedestrian pen pencil pencil2 penguin pensive pensive_face performing_arts persevere persevering_face person_bowing person_frowning person_in_bed person_pouting person_raising_hands person_taking_bath person_with_ball person_with_blond_hair person_with_pouting_face phone pick pig pig2 pig_face pig_nose pile_of_poo pill pine_decoration pineapple ping_pong pisces pistol pizza place_of_worship play_button play_or_pause_button point_down point_left point_right point_up point_up_2 police_car police_cars_light police_officer poodle poop popcorn post_office postal_horn postbox pot_of_food potable_water pouch poultry_leg pound pound_banknote pouting_cat pouting_cat_face pouting_face pray prayer_beads princess printer prohibited punch purple_heart purse pushpin put_litter_in_its_place question rabbit rabbit2 rabbit_face racehorse racing_car radio radio_button rage railway_car railway_track rainbow raised_fist raised_hand raised_hand_with_fingers_splayed raised_hands raising_hand ram ramen rat record_button recreational_vehicle recycle recycling_symbol red_apple red_car red_circle red_paper_lantern red_triangle_pointed_down red_triangle_pointed_up registered relaxed relieved relieved_face reminder_ribbon repeat repeat_button repeat_one repeat_single_button restroom reverse_button revolving_hearts rewind ribbon rice rice_ball rice_cracker rice_scene right_anger_bubble right_arrow right_arrow_curving_left right_pointing_magnifying_glass ring roasted_sweet_potato robot_face rocket rolled_up_newspaper roller_coaster rooster rose rosette rotating_light round_pushpin rowboat ru rugby_football runner running running_shirt running_shirt_with_sash running_shoe sa sagittarius sailboat sake sandal santa santa_claus satellite satellite_antenna satisfied saxophone school school_backpack school_satchel scissors scorpion scorpius scream scream_cat scroll seat secret see_no_evil seedling seven seven_oclock seven_thirty shaved_ice sheaf_of_rice sheep shell shield shinto_shrine ship shirt shit shoe shooting_star shopping_bags shortcake shower shuffle_tracks_button sign_of_the_horns signal_strength simple_smile six six_oclock six_pointed_star six_thirty ski skier skis skull sleeping sleeping_face sleepy sleepy_face slightly_frowning_face slightly_smiling_face slot_machine small_airplane small_blue_diamond small_orange_diamond small_red_triangle small_red_triangle_down smile smile_cat smiley smiley_cat smiling_cat_face_with_heart_shaped_eyes smiling_cat_face_with_open_mouth smiling_face smiling_face_with_halo smiling_face_with_heart_shaped_eyes smiling_face_with_horns smiling_face_with_open_mouth smiling_face_with_open_mouth_and_cold_sweat smiling_face_with_open_mouth_and_smiling_eyes smiling_face_with_open_mouth_and_tightly_closed_eyes smiling_face_with_smiling_eyes smiling_face_with_sunglasses smiling_imp smirk smirk_cat smirking_face smoking snail snake snow_capped_mountain snowboarder snowflake snowman snowman_without_snow sob soccer soccer_ball soft_ice_cream soon soon_arrow sos sound space_invader spades spaghetti sparkle sparkler sparkles sparkling_heart speak_no_evil speaker speaker_loud speaker_off speaker_on speaking_head speech_balloon speedboat spider spider_web spiral_calendar spiral_notepad spiral_shell sports_medal spouting_whale squared_apply_ideograph squared_cl squared_cool squared_divide_ideograph squared_empty_ideograph squared_exist_ideograph squared_finger_ideograph squared_free squared_fullness_ideograph squared_id squared_katakana_koko squared_katakana_sa squared_moon_ideograph squared_negation_ideograph squared_new squared_ng squared_ok squared_operating_ideograph squared_prohibit_ideograph squared_sos squared_together_ideograph squared_vs stadium star star2 star_and_crescent stars station statue_of_liberty steam_locomotive steaming_bowl stew stop_button stopwatch straight_ruler strawberry stuck_out_tongue stuck_out_tongue_closed_eyes stuck_out_tongue_winking_eye studio_microphone sun_behind_cloud sun_behind_cloud_with_rain sun_behind_large_cloud sun_behind_small_cloud sun_with_face sunflower sunglasses sunny sunrise sunrise_over_mountains sunset surfer sushi suspension_railway sweat sweat_droplets sweat_drops sweat_smile sweet_potato swimmer symbols synagogue syringe t_shirt taco tada tanabata_tree tangerine taurus taxi tea teacup_without_handle tear_off_calendar telephone telephone_receiver telescope television ten_oclock ten_thirty tennis tent thermometer thinking_face thought_balloon three three_oclock three_thirty thumbs_down thumbs_up thumbsdown thumbsup ticket tiger tiger2 tiger_face timer_clock tired_face tm toilet tokyo_tower tomato tongue top top_arrow top_hat tophat tornado trackball tractor traffic_light train train2 tram tram_car triangular_flag triangular_flag_on_post triangular_ruler trident trident_emblem triumph trolleybus trophy tropical_drink tropical_fish truck trumpet tshirt tulip turkey turtle tv twelve_oclock twelve_thirty twisted_rightwards_arrows two two_hearts two_hump_camel two_men_holding_hands two_oclock two_thirty two_women_holding_hands u5272 u5408 u55b6 u6307 u6708 u6709 u6e80 u7121 u7533 u7981 u7a7a uk umbrella umbrella_on_ground umbrella_with_rain_drops unamused unamused_face underage unicorn_face unlock up up_arrow up_button upside_down_face us v vertical_traffic_light vhs vibration_mode victory_hand video_camera video_game videocassette violin virgo volcano volleyball vs vulcan_salute walking waning_crescent_moon waning_gibbous_moon warning wastebasket watch water_buffalo water_closet water_wave watermelon wave waving_black_flag waving_hand waving_white_flag wavy_dash waxing_crescent_moon waxing_gibbous_moon wc weary weary_cat_face weary_face wedding weight_lifter whale whale2 wheelchair white_check_mark white_circle white_flower white_large_square white_medium_small_square white_medium_square white_medium_star white_small_square white_square_button wind_chime wind_face wine_glass wink winking_face wolf wolf_face woman womans_boot womans_clothes womans_hat womans_sandal women_partying womens womens_room world_map worried worried_face wrapped_present wrench writing_hand x yellow_heart yen yen_banknote yin_yang yum zap zero zipper_mouth_face zzz".split(" ");
a.push("zulip");_.each(a,function(a){f.push({emoji_name:a,emoji_url:"/static/third/gemoji/images/emoji/"+a+".png"})});_.each("1f198 1f3ed 0034 1f341 1f3d7 26f9 1f32c 1f314 1f199 1f6b2 267b 270c 1f622 1f4ad 1f698 1f618 1f3a8 1f3eb 1f3ae 1f45f 1f624 1f437 1f6b2 1f193 1f69f 1f564 1f4a9 1f335 1f69d 1f498 1f373 1f195 262e 1f33f 1f63e 1f499 1f4af 1f343 1f3a2 1f432 1f6b8 1f69a 2195 1f5fb 1f51f 1f637 1f4b7 1f621 1f250 1f697 1f51d 1f3e5 1f534 1f5fa 1f51a 1f6e5 1f1ee 260e 1f573 1f45d 1f3ee 1f535 1f004 2199 1f3b2 1f4cc 1f21a 1f42c 1f303 25fd 1f61a 1f30e 1f51a 23ea 1f355 1f4bc 1f63c 1f6c3 1f371 1f497 1f387 2728 261d 1f337 1f5e3 1f691 2614 1f3e2 1f3ac 1f606 1f5fe 1f3e4 1f635 1f47f 1f458 1f194 1f3ee 1f55d 2615 1f461 1f519 1f62e 1f4c3 1f3e6 1f35e 1f506 1f447 1f694 2651 1f356 1f5fc 1f55b 1f3a3 1f44e 1f51e 1f52d 1f915 1f577 1f21a 1f4f8 1f360 1f50f 1f1f7 1f62f 1f6c4 1f338 2747 1f4a6 1f449 1f3b7 1f3a3 1f3b4 1f423 1f193 1f4a8 1f684 1f357 1f347 1f63c 1f36d 25fe 1f3e7 1f4d4 1f44d 1f49d 2702 1f3b0 1f3c0 1f51d 1f561 1f6e4 1f485 1f38c 1f606 271d 1f690 1f6bf 1f3bc 1f415 1f50a 1f54b 1f3c3 1f6f3 270d 1f400 1f391 1f30c 1f454 1f63d 2744 1f58c 1f52e 1f201 1f444 2611 1f55a 24c2 1f415 1f5fe 1f44e 1f34d 1f631 1f4a3 1f4e1 1f4fb 1f984 1f237 1f17f 1f498 1f31a 1f192 1f35a 1f42f 1f576 1f22f 1f1e9 231a 1f626 1f349 1f492 1f232 1f49d 1f52c 2049 1f479 1f473 262a 1f309 1f6ad 1f528 1f61b 1f4ee 24c2 1f6be 2652 1f629 1f340 1f55c 1f37e 1f404 2755 2b1c 1f61a 1f43d 26f8 1f643 1f329 1f624 1f37a 1f3df 1f6eb 1f436 2797 1f503 1f344 23fa 1f644 1f41c 1f605 1f390 1f4fd 2693 0037 1f363 1f5c3 1f46b 1f4ab 25b6 1f3bb 1f401 1f194 23eb 1f49f 1f313 1f570 1f6f0 270b 1f384 1f381 1f494 1f61d 1f30a 2665 1f614 26c4 2b06 1f4b4 1f4cf 1f33e 1f62a 1f34f 1f4c8 25fb 1f33b 1f642 1f61f 1f629 1f607 1f639 1f54e 1f33d 262f 1f325 1f55c 1f6ec 1f4c6 1f381 1f4ff 1f61b 1f50e 1f4a9 1f4ed 1f451 1f617 1f496 2663 1f46e 1f646 1f64e 1f32b 1f361 1f536 1f197 261d 1f33d 2733 1f3c6 1f4b0 1f55f 25aa 2b55 1f515 1f35b 1f62d 1f312 1f405 0032 1f198 1f51c 1f5dc 2716 1f3be 1f493 1f386 1f632 1f4f2 3297 1f647 2754 2196 1f619 23eb 1f6a9 1f34e 1f604 264a 1f6a2 1f4a9 1f3a5 1f505 1f196 1f332 1f3c8 2649 1f69b 1f51b 1f693 1f50f 1f633 2660 1f636 1f4fc 1f377 1f563 1f608 1f3bf 1f3ec 1f40a 1f533 27b0 1f6a0 1f348 1f623 1f531 1f233 1f6e0 1f192 1f506 1f913 1f333 1f4ae 00ae 1f52b 1f68f 1f500 1f55e 2b05 1f5dd 1f538 25ab 1f52a 1f5c2 1f4c1 1f522 1f608 1f3fa 1f366 26be 1f466 1f64c 2795 1f647 1f688 1f486 1f239 1f6a8 1f4e4 1f55e 1f376 1f616 1f620 1f4f6 1f38d 1f319 1f605 2648 1f33e 1f401 1f47c 1f482 2709 1f4b8 1f37b 1f645 1f620 1f399 1f4a5 1f697 1f408 0033 1f3bd 26f4 2764 1f4c8 1f49a 1f615 1f475 264f 26f5 1f4ec 1f418 1f4d6 1f625 1f238 1f6e3 1f31e 1f382 1f50d 1f4c5 1f54a 1f468 1f419 267f 1f69a 1f202 1f6e1 1f487 1f561 2b07 1f31c 1f3f5 1f4b1 1f4ed 1f5de 23f3 1f6c0 1f42d 1f564 1f3b3 1f422 1f6af 1f477 1f911 1f3bd 1f513 1f41e 1f472 1f3cb 1f1ea 2757 1f30a 1f17e 1f3ce 1f642 1f486 1f4d8 1f397 1f62c 1f509 1f171 1f3b5 1f460 1f4d7 1f3a7 1f47e 23f9 270a 1f48b 1f60b 1f63a 26ce 1f49e 0031 1f48d 26a1 1f411 1f516 267b 1f578 1f440 1f4f1 1f3f3 1f4dd 1f4a6 1f595 1f4fa 1f53d 1f332 1f43e 1f640 1f562 23f3 1f3a9 1f567 1f69c 1f236 1f237 1f63f 1f47c 1f17f 1f4a8 1f42e 1f481 1f4a2 1f4ec 270f 1f50d 1f609 1f306 1f321 1f5a8 1f32a 1f392 1f607 1f63b 1f4b3 1f3c1 1f4df 1f364 1f307 26ab 1f575 1f6b6 1f537 1f45e 1f306 1f6cd 2b06 1f328 1f4b9 1f48e 274e 1f467 1f602 1f4e7 1f234 1f61f 1f0cf 274e 1f4b5 1f4aa 1f462 1f649 1f3ea 1f4ba 1f6af 2653 1f4c5 1f625 1f4e2 1f60d 1f3d5 1f6b4 1f3f7 2666 1f64b 26bd 1f1ec 1f336 1f1ef 1f603 1f3b8 1f326 1f372 1f379 1f502 1f6bb 1f320 1f42c 23e9 264b 1f456 1f52a 1f417 26f5 1f983 1f471 1f430 1f685 1f61d 1f681 1f39b 1f3ad 1f405 1f63d 1f301 1f509 1f421 1f4ac 1f331 1f4e9 1f3c8 2b1b 1f234 1f4f0 1f236 1f41a 1f45b 260e 1f634 1f433 1f54d 1f3d8 1f639 1f6b5 1f686 1f6ce 1f4a0 1f3c3 1f488 1f368 1f523 1f32f 1f579 1f695 21aa 1f238 1f46f 1f42b 1f3c2 1f339 23f1 1f48a 26f7 1f4d9 1f3af 1f61e 1f601 1f6d0 1f47a 1f504 1f567 1f606 1f488 1f44f 2194 1f3ef 1f63b 1f371 1f314 1f38b 1f17e 1f52a 1f30b 1f618 1f51b 1f549 1f197 1f307 1f4e6 27a1 1f4c9 1f43a 1f402 1f5e1 1f550 1f910 1f489 1f362 1f391 1f382 2705 1f613 1f320 1f3c1 1f518 2935 1f621 1f40b 269b 1f4fc 1f353 1f6b1 1f31f 1f638 1f6bd 1f18e 1f202 1f3a6 1f170 1f191 1f4be 1f455 1f4de 1f614 1f32d 1f64f 1f565 1f633 1f4a9 203c 1f350 1f6e2 1f637 1f60f 1f304 26c5 1f58b 1f4b5 1f4a1 1f6b3 1f472 1f4fa 1f450 1f6a8 303d 2122 1f604 1f535 1f4e0 1f469 1f3ab 1f35c 1f500 1f378 1f5ef 1f44e 1f682 1f327 1f641 1f375 0030 1f380 1f524 1f49c 1f44d 1f530 0023 1f631 1f64e 1f3c4 1f68f 1f311 26a1 1f44d 1f61c 26d4 1f4db 1f3db 1f439 26cf 269c 1f46a 1f358 1f4e5 23ed 1f62b 1f3a0 1f441 1f429 25c0 1f4e3 1f330 1f6aa 1f324 1f4ea 1f6b9 1f383 1f3da 0039 1f36b 270c 1f354 1f251 1f4a1 1f60c 2708 1f457 1f6a4 26c4 1f4d2 1f410 23f8 1f1eb 1f51c 1f531 1f374 23e9 1f404 1f53b 1f170 1f3d0 1f409 1f527 1f446 1f373 1f53a 1f5b1 1f64f 1f3c9 1f557 26bd 23ef 1f38e 1f435 1f4ca 1f3f0 1f396 1f60f 1f5e8 1f359 1f68e 1f475 1f3ee 2139 1f4ef 1f3e0 1f41f 1f470 270a 1f628 1f484 26f2 1f300 1f4a0 1f6a5 1f501 1f36a 1f632 1f611 1f493 1f3f0 1f60a 1f19a 1f3c5 1f692 1f43e 1f40e 1f5ff 1f33c 1f697 1f689 1f562 1f455 1f34c 1f60c 1f3e8 1f559 1f6a1 1f43c 1f171 1f18e 1f52f 1f367 1f43f 1f6b6 1f626 26f0 1f428 1f52f 1f425 1f23a 1f310 1f3e0 1f439 1f4b9 1f201 1f3ac 1f45e 1f1f0 26e9 1f250 26f3 1f4bd 1f58d 1f447 1f30e 00a9 1f465 1f3a9 1f485 23f0 1f48f 1f3aa 2600 1f4e8 1f552 1f49b 1f622 1f4b4 1f35b 1f50a 274c 1f62e 1f563 1f53c 1f3a8 1f389 1f393 1f553 1f33a 1f0cf 270b 1f636 1f39f 1f43b 1f6ab 1f474 1f5ff 1f3f4 1f4eb 1f5fd 1f4e3 1f6c0 1f346 1f370 1f43a 1f514 1f50b 1f5d1 1f483 1f4c4 26ea 1f515 1f51e 3299 1f55f 1f4eb 1f40f 1f232 1f4b7 1f525 1f630 1f60d 1f30d 21aa 1f35f 1f302 1f459 1f6a6 1f617 27bf 1f590 1f46d 1f4b2 1f5d3 26d1 1f455 1f554 27a1 1f6c5 1f41d 1f448 1f513 1f37d 2934 1f40c 1f53d 1f406 1f566 1f3d9 1f555 1f4b6 1f37b 1f638 1f4d0 1f551 1f552 1f38f 1f553 1f60e 1f3e9 1f64a 1f453 27bf 1f558 1f42a 1f452 1f461 1f38f 1f352 1f315 1f4c9 1f46b 1f5f3 1f45a 203c 1f61c 1f38d 1f004 1f474 1f699 1f316 1f519 1f444 1f56f 1f916 1f58a 23ee 2796 1f443 1f44a 1f4a4 1f3b6 1f372 1f385 1f4a2 1f420 1f507 1f3d1 1f251 1f392 1f3e2 1f44a 1f6ba 1f6bc 1f424 1f6b1 1f317 1f389 1f560 2753 1f6a9 1f560 1f565 1f4f1 263a 1f39a 1f517 1f427 1f50c 1f480 1f35f 1f199 1f1fa 1f45f 1f615 1f4b6 1f425 2712 26a0 1f3f9 1f308 1f34b 1f351 1f682 1f53a 1f68d 1f522 1f603 1f235 25fc 1f4d5 1f3dc 1f611 1f4c0 1f50e 23ea 1f3dd 1f4dc 1f407 1f60b 1f3e4 1f6be 1f47d 1f31b 1f1ec 1f38e 1f3cc 1f627 1f54c 2734 1f44b 1f6e9 1f504 1f683 1f3b6 1f645 1f6ae 1f5b2 1f35d 1f233 1f48c 1f4cb 1f37c 1f426 1f6cb 1f521 1f4c7 1f44a 264c 1f3e1 1f648 1f687 1f37f 1f375 2b55 263a 1f34e 1f60a 1f55d 1f6b9 2601 1f36f 1f438 1f4f7 1f980 1f4f9 1f634 270f 1f6b5 1f34a 1f6ba 1f686 1f403 1f476 1f334 21a9 1f62a 1f520 1f6ae 26b0 1f521 1f512 1f416 1f3ba 1f431 1f55b 0036 21a9 1f30f 2714 1f448 1f4d3 1f32e 1f345 1f507 26b1 1f523 1f3cd 1f623 1f4ce 1f4b0 1f31d 1f610 1f31f 1f4f6 1f40d 1f48f 1f699 1f38a 1f37a 2b50 1f4bf 1f68a 1f524 1f502 1f63a 1f453 1f530 1f4f4 1f4da 1f64c 1f3b1 1f4af 1f378 1f35c 2614 1f35a 1f478 1f235 1f6c2 1f539 1f48e 1f490 1f365 1f551 1f62d 1f3de 1f412 1f510 1f914 1f627 1f41a 1f53b 1f529 1f47a 1f3af 1f612 26fd 1f6cf 1f41d 1f4cd 1f4d1 1f68b 1f3a4 25b6 1f3b1 1f446 231b 1f449 0038 1f3e3 1f45c 1f503 1f63e 1f62c 1f31a 2757 1f195 1f3c7 1f414 26f1 2198 1f982 1f318 264d 264e 1f61e 2650 1f616 1f6a5 1f43b 1f4f5 1f46f 1f4f2 1f696 1f479 1f4bb 2b07 1f3a1 1f601 23ec 1f408 26c8 1f366 1f30f 274c 1f52b 2709 1f9c0 26fa 1f602 1f5c4 1f511 1f491 1f505 1f385 1f646 1f47e 1f1e8 1f191 1f30d 1f4bf 1f360 1f3ca 3030 1f684 1f46e 1f495 1f6ac 1f4c2 1f628 1f600 2b05 1f6c1 1f3d3 23f2 1f41e 1f239 1f413 1f19a 1f596 1f5bc 1f685 26aa 1f196 1f388 1f343 1f508 1f6cc 1f22f 23ec 1f40b 1f62f 1f612 1f497 1f3f8 1f4aa 1f5d2 1f680 1f42a 1f462 26f3 1f526 1f460 1f5a5 1f3bf 1f3b9 1f4a5 1f6b0 26c5 1f550 1f912 1f917 0035 1f554 1f555 1f556 1f557 1f558 1f369 1f3e7 1f587 1f36c 1f46c 2668 1f23a 1f4e0 1f464 1f4e7 26d3 1f918 1f619 1f365 1f6ab 1f6b7 25c0 1f4ea 1f39e 1f559 1f55a 1f613 1f69e 1f445 1f532 1f3a7 1f630 1f4bb 1f44c 1f36e 1f6a3 26fd 1f609 1f44f 1f981 1f3cf 1f68c 1f6a7 1f342 1f438 1f442 1f41b 1f64b 1f3d4 1f556 23cf 1f370 1f393 1f44b 1f416 1f520 1f3d2 1f64d 1f434 2197 1f4d6 1f566 1f305 1f40e 1f3d6 1f501 2b50 1f407 1f463 1f47b 1f4a7 1f4f3 1f640 1f600 1f574".split(" "),
function(a){b.push({emoji_name:a,emoji_url:"/static/third/gemoji/images/emoji/unicode/"+a+".png"})});h.update_emojis=function(a){h.emojis=f.slice(0);_.each(a,function(a,b){h.emojis.push({emoji_name:b,emoji_url:a.display_url})});h.emojis_by_name={};_.each(h.emojis,function(a){h.emojis_by_name[a.emoji_name]=a.emoji_url});h.emojis_by_unicode={};_.each(b,function(a){h.emojis_by_unicode[a.emoji_name]=a.emoji_url})};h.update_emojis(page_params.realm_emoji);return h}();
"undefined"!==typeof module&&(module.exports=emoji);var referral=function(){function h(a){a.stop();a.css({opacity:100});a.show().delay(4E3).fadeOut(1E3,ui.resize_page_components)}var f={},b="nikola.tesla@example.com sam.morse@example.com c.shannon@example.com hedy.lamarr@example.com grace.hopper@example.com ada.lovelace@example.com".split(" "),a,e,d=!1;f.update_state=function(c,g){if(!(a===c&&e===g)){a=c;e=g;if(0>=c||!page_params.share_the_love)$("#share-the-love").hide();else{$("#referral-form input").attr("placeholder",_.shuffle(b).pop());$("#invite-hearts").empty();
var f;for(f=0;f<g;f++)$("#invite-hearts").append($('<i class="icon-vector-heart"> </i>'));var h=Math.max(0,c-g);for(f=0;f<h;f++)$("#invite-hearts").append($('<i class="icon-vector-heart-empty"> </i>'));$(".invite-count").text(h);1===h?$(".invite-count-is-plural").hide():$(".invite-count-is-plural").show();0<h?(d=!0,$(".still-have-invites").show(),$(".no-more-invites").hide()):($(".still-have-invites").hide(),$("#referral-form input").blur(),d&&$(".no-more-invites").show());0<g&&$("#encouraging-invite-message").hide();
$("#share-the-love").show()}resize.resize_page_components()}};$(function(){var b=$("#referral-form").validate({errorClass:"text-error",submitHandler:function(){channel.post({url:"/json/refer_friend",data:{email:$("#referral-form input").val()},error:function(){}});h($("#tell-a-friend-success"));$("#referral-form input").val("");f.update_state(a,e+1)},success:function(){resize.resize_page_components()},showErrors:function(){this.defaultShowErrors();resize.resize_page_components()}});$("#referral-form input").on("blur",
function(a){""===$("#referral-form input").val()&&(b.resetForm(),resize.resize_page_components())});$("#referral-form").on("click",function(a){a.stopPropagation()});$("#share-the-love-expand-collapse").click(function(a){$("#share-the-love-contents").toggle();$("#share-the-love-expand-collapse .toggle").toggleClass("icon-vector-caret-right icon-vector-caret-down");resize.resize_page_components();a.stopPropagation()});f.update_state(page_params.referrals.granted,page_params.referrals.used)});return f}();var custom_markdown=function(){(function(){function h(a,b){channel.post({url:"/json/users/me/subscriptions",data:{subscriptions:JSON.stringify([{name:a}])}}).then(function(a){$.isEmptyObject(a.already_subscribed)||ui.report_success(i18n.t("Already subscribed to __stream__",{stream:a.already_subscribed[page_params.email][0]}),b)},function(a){ui.report_error(i18n.t("Error adding subscription"),a,b)})}function f(a,b){channel.post({url:"/json/subscriptions/remove",data:{subscriptions:JSON.stringify([a])}}).then(function(a){b.hide()},
function(a){ui.report_error(i18n.t("Error removing subscription"),a,b)})}function b(a,b){a.text(i18n.t("Subscribe to")+" "+stream_data.canonicalized_name(b)).removeClass("btn-success").addClass("btn-default")}function a(a,b){a.text(i18n.t("Unsubscribe from")+" "+stream_data.canonicalized_name(b)).removeClass("btn-default").addClass("btn-success")}var e={};$(function(){$("#main_div").delegate(".inline-subscribe-button","click",function(a){var b=$(a.target),d=b.closest(".inline-subscribe").attr("data-stream-name"),
b=b.siblings(".inline-subscribe-error");a.preventDefault();a.stopPropagation();stream_data.is_subscribed(d)?f(d,b):h(d,b)})});$(document).on("message_rendered.zulip",function(c){var d,f,h;c=$(c.target).find(".inline-subscribe");0!==c.length&&(f=c.attr("data-stream-name"),d=c.find(".inline-subscribe-button"),e[f]?h=e[f]:(h=_.uniqueId("inline-subscribe-id-"),e[f]=h),c.attr("data-stream-ui-id",h),stream_data.is_subscribed(f)?a(d,f):b(d,f))});var d=function(c){c=c.sub.name;var d=e[c],d=$("#main_div").find('.inline-subscribe[data-stream-ui-id="'+
d+'"] .inline-subscribe-button');stream_data.is_subscribed(c)?a(d,c):b(d,c)};$(document).on("subscription_add_done.zulip",d);$(document).on("subscription_remove_done.zulip",d)})();return{}}();"undefined"!==typeof module&&(module.exports=custom_markdown);var bot_data=function(){var h={},f={},b="api_key avatar_url default_all_public_streams default_events_register_stream default_sending_stream email full_name owner".split(" "),a=_.debounce(function(){$(document).trigger("zulip.bot_data_changed")},50),e=function(a){page_params.is_admin?a.can_admin=!0:void 0!==a.owner&&util.is_current_user(a.owner)?a.can_admin=!0:a.can_admin=!1};h.add=function(d){var c=_.pick(d,b);f[d.email]=c;e(c);a()};h.remove=function(b){delete f[b];a()};h.update=function(d,c){var g=
f[d];_.extend(g,_.pick(c,b));e(g);a()};h.get_editable=function(){return _.filter(f,function(a){return a.can_admin})};h.get=function(a){return f[a]};$(function(){_.each(page_params.bot_list,function(a){h.add(a)})});return h}();"undefined"!==typeof module&&(module.exports=bot_data);(function(h){function f(a){if(b[a])return b[a].exports;var e=b[a]={exports:{},id:a,loaded:!1};h[a].call(e.exports,e,e.exports,f);e.loaded=!0;return e.exports}var b={};f.m=h;f.c=b;f.p="";return f(0)})([function(h,f,b){(function(){var a=window.i18n=b(1),e=b(17),d=b(20),c=b(28),g=[],f=!1,h={order:["htmlTag"],htmlTag:document.documentElement},l={enabled:!0,prefix:page_params.server_generation+":"};a.use(e).use(d).use(c).init({nsSeparator:!1,keySeparator:!1,interpolation:{prefix:"__",suffix:"__"},backend:{loadPath:"/static/locale/__lng__/translations.json"},
detection:h,cache:l,fallbackLng:"en"},function(){var a;f=!0;for(a=0;a<g.length;a++)g[a]()});a.ensure_i18n=function(a){f?a():g.push(a)}})()},function(h,f,b){h.exports=b(2).default},function(h,f,b){Object.defineProperty(f,"__esModule",{value:!0});h=b(3);f.default=(h&&h.__esModule?h:{"default":h}).default},function(h,f,b){function a(a){return a&&a.__esModule?a:{"default":a}}function e(a,b){if("function"!==typeof b&&null!==b)throw new TypeError("Super expression must either be null or a function, not "+
typeof b);a.prototype=Object.create(b&&b.prototype,{constructor:{value:a,enumerable:!1,writable:!0,configurable:!0}});if(b)if(Object.setPrototypeOf)Object.setPrototypeOf(a,b);else for(var c=Object.getOwnPropertyNames(b),d=0;d<c.length;d++){var e=c[d],g=Object.getOwnPropertyDescriptor(b,e);g&&(g.configurable&&void 0===a[e])&&Object.defineProperty(a,e,g)}}Object.defineProperty(f,"__esModule",{value:!0});var d="function"===typeof Symbol&&"symbol"===typeof Symbol.iterator?function(a){return typeof a}:
function(a){return a&&"function"===typeof Symbol&&a.constructor===Symbol?"symbol":typeof a},c=Object.assign||function(a){for(var b=1;b<arguments.length;b++){var c=arguments[b],d;for(d in c)Object.prototype.hasOwnProperty.call(c,d)&&(a[d]=c[d])}return a};h=b(4);var g=a(h);h=b(5);h=a(h);var m=b(6),k=a(m),m=b(8),l=a(m),m=b(11),p=a(m),m=b(12),u=a(m),m=b(13),r=a(m),m=b(14),n=a(m),m=b(15),q=a(m),s=b(16),m=b(9),t=a(m),w=function(a){if(a&&a.__esModule)return a;var b={};if(null!=a)for(var c in a)Object.prototype.hasOwnProperty.call(a,
c)&&(b[c]=a[c]);b.default=a;return b}(b(10));b=function(a){function b(){var c=0>=arguments.length||void 0===arguments[0]?{}:arguments[0],d=arguments[1];if(!(this instanceof b))throw new TypeError("Cannot call a class as a function");var e;e=a.call(this);if(!this)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");e=e&&("object"===typeof e||"function"===typeof e)?e:this;e.options=(0,s.transformOptions)(c);e.services={};e.logger=g.default;e.modules={};d&&!e.isInitialized&&
e.init(c,d);return e}e(b,a);b.prototype.init=function(a,b){function d(a){if(a)return"function"===typeof a?new a:a}var e=this;"function"===typeof a&&(b=a,a={});a||(a={});this.options="v1"===a.compatibilityAPI?c({},(0,s.get)(),(0,s.transformOptions)(w.convertAPIOptions(a)),{}):"v1"===a.compatibilityJSON?c({},(0,s.get)(),(0,s.transformOptions)(w.convertJSONOptions(a)),{}):c({},(0,s.get)(),this.options,(0,s.transformOptions)(a));b||(b=function(){});if(!this.options.isClone){this.modules.logger?g.default.init(d(this.modules.logger),
this.options):g.default.init(null,this.options);var f=new p.default(this.options);this.store=new k.default(this.options.resources,this.options);var h=this.services;h.logger=g.default;h.resourceStore=this.store;h.resourceStore.on("added removed",function(a,b){h.cacheConnector.save()});h.languageUtils=f;h.pluralResolver=new u.default(f,{prepend:this.options.pluralSeparator,compatibilityJSON:this.options.compatibilityJSON});h.interpolator=new r.default(this.options);h.backendConnector=new n.default(d(this.modules.backend),
h.resourceStore,h,this.options);h.backendConnector.on("*",function(a){for(var b=arguments.length,c=Array(1<b?b-1:0),d=1;d<b;d++)c[d-1]=arguments[d];e.emit.apply(e,[a].concat(c))});h.backendConnector.on("loaded",function(a){h.cacheConnector.save()});h.cacheConnector=new q.default(d(this.modules.cache),h.resourceStore,h,this.options);h.cacheConnector.on("*",function(a){for(var b=arguments.length,c=Array(1<b?b-1:0),d=1;d<b;d++)c[d-1]=arguments[d];e.emit.apply(e,[a].concat(c))});this.modules.languageDetector&&
(h.languageDetector=d(this.modules.languageDetector),h.languageDetector.init(h,this.options.detection,this.options));this.translator=new l.default(this.services,this.options);this.translator.on("*",function(a){for(var b=arguments.length,c=Array(1<b?b-1:0),d=1;d<b;d++)c[d-1]=arguments[d];e.emit.apply(e,[a].concat(c))})}"getResource addResource addResources addResourceBundle removeResourceBundle hasResourceBundle getResourceBundle".split(" ").forEach(function(a){e[a]=function(){return this.store[a].apply(this.store,
arguments)}});"v1"===this.options.compatibilityAPI&&w.appendBackwardsAPI(this);f=function(){e.changeLanguage(e.options.lng,function(a,c){e.emit("initialized",e.options);e.logger.log("initialized",e.options);b(a,c)})};this.options.resources||!this.options.initImmediate?f():setTimeout(f,0);return this};b.prototype.loadResources=function(a){var b=this;a||(a=function(){});if(this.options.resources)a(null);else{var c=function(){if(b.language&&"cimode"===b.language.toLowerCase())return{v:a()};var c=[],
d=function(a){b.services.languageUtils.toResolveHierarchy(a).forEach(function(a){0>c.indexOf(a)&&c.push(a)})};d(b.language);b.options.preload&&b.options.preload.forEach(function(a){d(a)});b.services.cacheConnector.load(c,b.options.ns,function(){b.services.backendConnector.load(c,b.options.ns,a)})}();if("object"===("undefined"===typeof c?"undefined":d(c)))return c.v}};b.prototype.use=function(a){"backend"===a.type&&(this.modules.backend=a);"cache"===a.type&&(this.modules.cache=a);if("logger"===a.type||
a.log&&a.warn&&a.warn)this.modules.logger=a;"languageDetector"===a.type&&(this.modules.languageDetector=a);"postProcessor"===a.type&&t.default.addPostProcessor(a);return this};b.prototype.changeLanguage=function(a,b){var c=this,d=function(d){a&&(c.emit("languageChanged",a),c.logger.log("languageChanged",a));b&&b(d,function(){for(var a=arguments.length,b=Array(a),d=0;d<a;d++)b[d]=arguments[d];return c.t.apply(c,b)})};!a&&this.services.languageDetector&&(a=this.services.languageDetector.detect());a&&
(this.language=a,this.languages=this.services.languageUtils.toResolveHierarchy(a),this.translator.changeLanguage(a),this.services.languageDetector&&this.services.languageDetector.cacheUserLanguage(a));this.loadResources(function(a){d(a)})};b.prototype.getFixedT=function(a,b){var c=this,d=function N(a,b){b=b||{};b.lng=b.lng||N.lng;b.ns=b.ns||N.ns;return c.t(a,b)};d.lng=a;d.ns=b;return d};b.prototype.t=function(){return this.translator&&this.translator.translate.apply(this.translator,arguments)};b.prototype.exists=
function(){return this.translator&&this.translator.exists.apply(this.translator,arguments)};b.prototype.setDefaultNamespace=function(a){this.options.defaultNS=a};b.prototype.loadNamespaces=function(a,b){var c=this;if(!this.options.ns)return b&&b();"string"===typeof a&&(a=[a]);a.forEach(function(a){0>c.options.ns.indexOf(a)&&c.options.ns.push(a)});this.loadResources(b)};b.prototype.loadLanguages=function(a,b){"string"===typeof a&&(a=[a]);var c=this.options.preload||[],d=a.filter(function(a){return 0>
c.indexOf(a)});if(!d.length)return b();this.options.preload=c.concat(d);this.loadResources(b)};b.prototype.dir=function(a){a||(a=this.language);return 0<="ar shu sqr ssh xaa yhd yud aao abh abv acm acq acw acx acy adf ads aeb aec afb ajp apc apd arb arq ars ary arz auz avl ayh ayl ayn ayp bbz pga he iw ps pbt pbu pst prp prd ur ydd yds yih ji yi hbo men xmn fa jpr peo pes prs dv sam".split(" ").indexOf(this.services.languageUtils.getLanguagePartFromCode(a))?"rtl":"ltr"};b.prototype.createInstance=
function(){return new b(0>=arguments.length||void 0===arguments[0]?{}:arguments[0],arguments[1])};b.prototype.cloneInstance=function(){var a=this,d=arguments[1],e=new b(c({},0>=arguments.length||void 0===arguments[0]?{}:arguments[0],this.options,{isClone:!0}),d);["store","translator","services","language"].forEach(function(b){e[b]=a[b]});return e};return b}(h.default);f.default=new b},function(h,f){Object.defineProperty(f,"__esModule",{value:!0});var b=Object.assign||function(a){for(var b=1;b<arguments.length;b++){var e=
arguments[b],f;for(f in e)Object.prototype.hasOwnProperty.call(e,f)&&(a[f]=e[f])}return a},a={type:"logger",log:function(a){this._output("log",a)},warn:function(a){this._output("warn",a)},error:function(a){this._output("error",a)},_output:function(a,b){console&&console[a]&&console[a].apply(console,Array.prototype.slice.call(b))}},e=function(){function d(a){var b=1>=arguments.length||void 0===arguments[1]?{}:arguments[1];if(!(this instanceof d))throw new TypeError("Cannot call a class as a function");
this.subs=[];this.init(a,b)}d.prototype.init=function(b){var d=1>=arguments.length||void 0===arguments[1]?{}:arguments[1];this.prefix=d.prefix||"i18next:";this.logger=b||a;this.options=d;this.debug=!1===d.debug?!1:!0};d.prototype.setDebug=function(a){this.debug=a;this.subs.forEach(function(b){b.setDebug(a)})};d.prototype.log=function(){this.forward(arguments,"log","",!0)};d.prototype.warn=function(){this.forward(arguments,"warn","",!0)};d.prototype.error=function(){this.forward(arguments,"error",
"")};d.prototype.deprecate=function(){this.forward(arguments,"warn","WARNING DEPRECATED: ",!0)};d.prototype.forward=function(a,b,d,e){if(!e||this.debug)"string"===typeof a[0]&&(a[0]=d+this.prefix+" "+a[0]),this.logger[b](a)};d.prototype.create=function(a){a=new d(this.logger,b({prefix:this.prefix+":"+a+":"},this.options));this.subs.push(a);return a};return d}();f.default=new e},function(h,f){Object.defineProperty(f,"__esModule",{value:!0});var b=function(){function a(){if(!(this instanceof a))throw new TypeError("Cannot call a class as a function");
this.observers={}}a.prototype.on=function(a,b){var c=this;a.split(" ").forEach(function(a){c.observers[a]=c.observers[a]||[];c.observers[a].push(b)})};a.prototype.off=function(a,b){var c=this;this.observers[a]&&this.observers[a].forEach(function(){if(b){var g=c.observers[a].indexOf(b);-1<g&&c.observers[a].splice(g,1)}else delete c.observers[a]})};a.prototype.emit=function(a){for(var b=arguments.length,c=Array(1<b?b-1:0),g=1;g<b;g++)c[g-1]=arguments[g];this.observers[a]&&this.observers[a].forEach(function(a){a.apply(void 0,
c)});this.observers["*"]&&this.observers["*"].forEach(function(b){var d;b.apply(b,(d=[a]).concat.apply(d,c))})};return a}();f.default=b},function(h,f,b){function a(a,b){if("function"!==typeof b&&null!==b)throw new TypeError("Super expression must either be null or a function, not "+typeof b);a.prototype=Object.create(b&&b.prototype,{constructor:{value:a,enumerable:!1,writable:!0,configurable:!0}});if(b)if(Object.setPrototypeOf)Object.setPrototypeOf(a,b);else for(var d=Object.getOwnPropertyNames(b),
e=0;e<d.length;e++){var f=d[e],h=Object.getOwnPropertyDescriptor(b,f);h&&(h.configurable&&void 0===a[f])&&Object.defineProperty(a,f,h)}}Object.defineProperty(f,"__esModule",{value:!0});var e=Object.assign||function(a){for(var b=1;b<arguments.length;b++){var d=arguments[b],e;for(e in d)Object.prototype.hasOwnProperty.call(d,e)&&(a[e]=d[e])}return a};h=(h=b(5))&&h.__esModule?h:{"default":h};var d=function(a){if(a&&a.__esModule)return a;var b={};if(null!=a)for(var d in a)Object.prototype.hasOwnProperty.call(a,
d)&&(b[d]=a[d]);b.default=a;return b}(b(7));b=function(b){function g(){var a=0>=arguments.length||void 0===arguments[0]?{}:arguments[0],d=1>=arguments.length||void 0===arguments[1]?{ns:["translation"],defaultNS:"translation"}:arguments[1];if(!(this instanceof g))throw new TypeError("Cannot call a class as a function");var e;e=b.call(this);if(!this)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");e=e&&("object"===typeof e||"function"===typeof e)?e:this;e.data=a;
e.options=d;return e}a(g,b);g.prototype.addNamespaces=function(a){0>this.options.ns.indexOf(a)&&this.options.ns.push(a)};g.prototype.removeNamespaces=function(a){a=this.options.ns.indexOf(a);-1<a&&this.options.ns.splice(a,1)};g.prototype.getResource=function(a,b,c){var e=(3>=arguments.length||void 0===arguments[3]?{}:arguments[3]).keySeparator||this.options.keySeparator;void 0===e&&(e=".");var g=[a,b];c&&"string"!==typeof c&&(g=g.concat(c));c&&"string"===typeof c&&(g=g.concat(e?c.split(e):c));-1<
a.indexOf(".")&&(g=a.split("."));return d.getPath(this.data,g)};g.prototype.addResource=function(a,b,c,e){var g=4>=arguments.length||void 0===arguments[4]?{silent:!1}:arguments[4],f=this.options.keySeparator;void 0===f&&(f=".");var h=[a,b];c&&(h=h.concat(f?c.split(f):c));-1<a.indexOf(".")&&(h=a.split("."),e=b,b=h[1]);this.addNamespaces(b);d.setPath(this.data,h,e);g.silent||this.emit("added",a,b,c,e)};g.prototype.addResources=function(a,b,c){for(var d in c)"string"===typeof c[d]&&this.addResource(a,
b,d,c[d],{silent:!0});this.emit("added",a,b,c)};g.prototype.addResourceBundle=function(a,b,c,g,f){var h=[a,b];-1<a.indexOf(".")&&(h=a.split("."),g=c,c=b,b=h[1]);this.addNamespaces(b);var n=d.getPath(this.data,h)||{};g?d.deepExtend(n,c,f):n=e({},n,c);d.setPath(this.data,h,n);this.emit("added",a,b,c)};g.prototype.removeResourceBundle=function(a,b){this.hasResourceBundle(a,b)&&delete this.data[a][b];this.removeNamespaces(b);this.emit("removed",a,b)};g.prototype.hasResourceBundle=function(a,b){return void 0!==
this.getResource(a,b)};g.prototype.getResourceBundle=function(a,b){b||(b=this.options.defaultNS);return"v1"===this.options.compatibilityAPI?e({},this.getResource(a,b)):this.getResource(a,b)};g.prototype.toJSON=function(){return this.data};return g}(h.default);f.default=b},function(h,f){function b(a,b,e){function f(a){return a&&-1<a.indexOf("###")?a.replace(/###/g,"."):a}for(b="string"!==typeof b?[].concat(b):b.split(".");1<b.length;){if(!a)return{};var h=f(b.shift());!a[h]&&e&&(a[h]=new e);a=a[h]}return!a?
{}:{obj:a,k:f(b.shift())}}function a(b,c,e){for(var f in c)f in b?"string"===typeof b[f]||b[f]instanceof String||"string"===typeof c[f]||c[f]instanceof String?e&&(b[f]=c[f]):a(b[f],c[f],e):b[f]=c[f];return b}Object.defineProperty(f,"__esModule",{value:!0});f.makeString=function(a){return null==a?"":""+a};f.copy=function(a,b,e){a.forEach(function(a){b[a]&&(e[a]=b[a])})};f.setPath=function(a,c,e){a=b(a,c,Object);a.obj[a.k]=e};f.pushPath=function(a,c,e,f){c=b(a,c,Object);a=c.obj;c=c.k;a[c]=a[c]||[];
f&&(a[c]=a[c].concat(e));f||a[c].push(e)};f.getPath=function(a,c){var e=b(a,c),f=e.obj;return!f?void 0:f[e.k]};f.deepExtend=a;f.regexEscape=function(a){return a.replace(/[\-\[\]\/\{\}\(\)\*\+\?\.\\\^\$\|]/g,"\\$&")};f.escape=function(a){return"string"===typeof a?a.replace(/[&<>"'\/]/g,function(a){return e[a]}):a};var e={"&":"&amp;","<":"&lt;",">":"&gt;",'"':"&quot;","'":"&#39;","/":"&#x2F;"}},function(h,f,b){function a(a){if(a&&a.__esModule)return a;var b={};if(null!=a)for(var c in a)Object.prototype.hasOwnProperty.call(a,
c)&&(b[c]=a[c]);b.default=a;return b}function e(a){return a&&a.__esModule?a:{"default":a}}function d(a,b){if("function"!==typeof b&&null!==b)throw new TypeError("Super expression must either be null or a function, not "+typeof b);a.prototype=Object.create(b&&b.prototype,{constructor:{value:a,enumerable:!1,writable:!0,configurable:!0}});if(b)if(Object.setPrototypeOf)Object.setPrototypeOf(a,b);else for(var c=Object.getOwnPropertyNames(b),d=0;d<c.length;d++){var e=c[d],g=Object.getOwnPropertyDescriptor(b,
e);g&&(g.configurable&&void 0===a[e])&&Object.defineProperty(a,e,g)}}Object.defineProperty(f,"__esModule",{value:!0});var c=Object.assign||function(a){for(var b=1;b<arguments.length;b++){var c=arguments[b],d;for(d in c)Object.prototype.hasOwnProperty.call(c,d)&&(a[d]=c[d])}return a},g="function"===typeof Symbol&&"symbol"===typeof Symbol.iterator?function(a){return typeof a}:function(a){return a&&"function"===typeof Symbol&&a.constructor===Symbol?"symbol":typeof a};h=b(4);var m=e(h);h=b(5);h=e(h);
var k=b(9),l=e(k),k=b(10),p=a(k);b=b(7);var u=a(b);b=function(a){function b(c){var d=1>=arguments.length||void 0===arguments[1]?{}:arguments[1];if(!(this instanceof b))throw new TypeError("Cannot call a class as a function");var e;e=a.call(this);if(!this)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");e=e&&("object"===typeof e||"function"===typeof e)?e:this;u.copy(["resourceStore","languageUtils","pluralResolver","interpolator","backendConnector"],c,e);e.options=
d;e.logger=m.default.create("translator");return e}d(b,a);b.prototype.changeLanguage=function(a){a&&(this.language=a)};b.prototype.exists=function(a){var b=1>=arguments.length||void 0===arguments[1]?{interpolation:{}}:arguments[1];"v1"===this.options.compatibilityAPI&&(b=p.convertTOptions(b));return void 0!==this.resolve(a,b)};b.prototype.extractFromKey=function(a,b){var c=b.nsSeparator||this.options.nsSeparator;void 0===c&&(c=":");var d=b.ns||this.options.defaultNS;c&&-1<a.indexOf(c)&&(c=a.split(c),
d=c[0],a=c[1]);"string"===typeof d&&(d=[d]);return{key:a,namespaces:d}};b.prototype.translate=function(a){var b=1>=arguments.length||void 0===arguments[1]?{}:arguments[1];"object"!==("undefined"===typeof b?"undefined":g(b))?b=this.options.overloadTranslationOptionHandler(arguments):"v1"===this.options.compatibilityAPI&&(b=p.convertTOptions(b));if(void 0===a||null===a||""===a)return"";"number"===typeof a&&(a=String(a));"string"===typeof a&&(a=[a]);var d=b.lng||this.language;if(d&&"cimode"===d.toLowerCase())return a[a.length-
1];var e=b.keySeparator||this.options.keySeparator||".",f=this.extractFromKey(a[a.length-1],b),h=f.key,k=f.namespaces,m=k[k.length-1],f=this.resolve(a,b),l=Object.prototype.toString.apply(f),n=["[object Number]","[object Function]","[object RegExp]"],r=void 0!==b.joinArrays?b.joinArrays:this.options.joinArrays;if(f&&"string"!==typeof f&&0>n.indexOf(l)&&!(r&&"[object Array]"===l)){if(!b.returnObjects&&!this.options.returnObjects)return this.logger.warn("accessing an object - but returnObjects options is not enabled!"),
this.options.returnedObjectHandler?this.options.returnedObjectHandler(h,f,b):"key '"+h+" ("+this.language+")' returned an object instead of string.";var m="[object Array]"===l?[]:{},u;for(u in f)m[u]=this.translate(""+h+e+u,c({joinArrays:!1,ns:k},b));f=m}else if(r&&"[object Array]"===l)(f=f.join(r))&&(f=this.extendTranslation(f,h,b));else{e=u=!1;!this.isValidLookup(f)&&void 0!==b.defaultValue&&(u=!0,f=b.defaultValue);this.isValidLookup(f)||(e=!0,f=h);if(e||u)if(this.logger.log("missingKey",d,m,h,
f),this.options.saveMissing){d=[];if("fallback"===this.options.saveMissingTo&&this.options.fallbackLng&&this.options.fallbackLng[0])for(u=0;u<this.options.fallbackLng.length;u++)d.push(this.options.fallbackLng[u]);else"all"===this.options.saveMissingTo?d=this.languageUtils.toResolveHierarchy(b.lng||this.language):d.push(b.lng||this.language);this.options.missingKeyHandler?this.options.missingKeyHandler(d,m,h,f):this.backendConnector&&this.backendConnector.saveMissing&&this.backendConnector.saveMissing(d,
m,h,f);this.emit("missingKey",d,m,h,f)}f=this.extendTranslation(f,h,b);e&&(f===h&&this.options.appendNamespaceToMissingKey)&&(f=m+":"+h);e&&this.options.parseMissingKeyHandler&&(f=this.options.parseMissingKeyHandler(f))}return f};b.prototype.extendTranslation=function(a,b,d){var e=this;d.interpolation&&this.interpolator.init(d);var f=d.replace&&"string"!==typeof d.replace?d.replace:d;this.options.interpolation.defaultVariables&&(f=c({},this.options.interpolation.defaultVariables,f));a=this.interpolator.interpolate(a,
f);a=this.interpolator.nest(a,function(){for(var a=arguments.length,b=Array(a),c=0;c<a;c++)b[c]=arguments[c];return e.translate.apply(e,b)},d);d.interpolation&&this.interpolator.reset();f=d.postProcess||this.options.postProcess;f="string"===typeof f?[f]:f;void 0!==a&&(f&&f.length&&!1!==d.applyPostProcessor)&&(a=l.default.handle(f,a,b,d,this));return a};b.prototype.resolve=function(a){var b=this,c=1>=arguments.length||void 0===arguments[1]?{}:arguments[1],d=void 0;"string"===typeof a&&(a=[a]);a.forEach(function(a){if(!b.isValidLookup(d)){a=
b.extractFromKey(a,c);var e=a.key;a=a.namespaces;b.options.fallbackNS&&(a=a.concat(b.options.fallbackNS));var f=void 0!==c.count&&"string"!==typeof c.count,g=void 0!==c.context&&"string"===typeof c.context&&""!==c.context,h=c.lngs?c.lngs:b.languageUtils.toResolveHierarchy(c.lng||b.language);a.forEach(function(a){b.isValidLookup(d)||h.forEach(function(h){if(!b.isValidLookup(d)){var k=e,m=[k],l=void 0;f&&(l=b.pluralResolver.getSuffix(h,c.count));f&&g&&m.push(k+l);g&&m.push(k+=""+b.options.contextSeparator+
c.context);f&&m.push(k+l);for(k=void 0;k=m.pop();)b.isValidLookup(d)||(d=b.getResource(h,a,k,c))}})})}});return d};b.prototype.isValidLookup=function(a){return void 0!==a&&!(!this.options.returnNull&&null===a)&&!(!this.options.returnEmptyString&&""===a)};b.prototype.getResource=function(a,b,c){return this.resourceStore.getResource(a,b,c,3>=arguments.length||void 0===arguments[3]?{}:arguments[3])};return b}(h.default);f.default=b},function(h,f){Object.defineProperty(f,"__esModule",{value:!0});f.default=
{processors:{},addPostProcessor:function(b){this.processors[b.name]=b},handle:function(b,a,e,d,c){var f=this;b.forEach(function(b){f.processors[b]&&(a=f.processors[b].process(a,e,d,c))});return a}}},function(h,f,b){function a(a){a.interpolation={unescapeSuffix:"HTML"};a.interpolation.prefix=a.interpolationPrefix||"__";a.interpolation.suffix=a.interpolationSuffix||"__";a.interpolation.escapeValue=a.escapeInterpolation||!1;a.interpolation.nestingPrefix=a.reusePrefix||"$t(";a.interpolation.nestingSuffix=
a.reuseSuffix||")";return a}Object.defineProperty(f,"__esModule",{value:!0});f.convertAPIOptions=function(b){b.resStore&&(b.resources=b.resStore);b.ns&&b.ns.defaultNs?(b.defaultNS=b.ns.defaultNs,b.ns=b.ns.namespaces):b.defaultNS=b.ns||"translation";b.fallbackToDefaultNS&&b.defaultNS&&(b.fallbackNS=b.defaultNS);b.saveMissing=b.sendMissing;b.saveMissingTo=b.sendMissingTo||"current";b.returnNull=b.fallbackOnNull?!1:!0;b.returnEmptyString=b.fallbackOnEmpty?!1:!0;b.returnObjects=b.returnObjectTrees;b.joinArrays=
"\n";b.returnedObjectHandler=b.objectTreeKeyHandler;b.parseMissingKeyHandler=b.parseMissingKey;b.appendNamespaceToMissingKey=!0;b.nsSeparator=b.nsseparator;b.keySeparator=b.keyseparator;"sprintf"===b.shortcutFunction&&(b.overloadTranslationOptionHandler=function(a){for(var b=[],d=1;d<a.length;d++)b.push(a[d]);return{postProcess:"sprintf",sprintf:b}});b.whitelist=b.lngWhitelist;b.preload=b.preload;"current"===b.load&&(b.load="currentOnly");"unspecific"===b.load&&(b.load="languageOnly");b.backend=b.backend||
{};b.backend.loadPath=b.resGetPath||"locales/__lng__/__ns__.json";b.backend.addPath=b.resPostPath||"locales/add/__lng__/__ns__";b.backend.allowMultiLoading=b.dynamicLoad;b.cache=b.cache||{};b.cache.prefix="res_";b.cache.expirationTime=6048E5;b.cache.enabled=b.useLocalStorage?!0:!1;b=a(b);b.defaultVariables&&(b.interpolation.defaultVariables=b.defaultVariables);return b};f.convertJSONOptions=function(b){b=a(b);b.joinArrays="\n";return b};f.convertTOptions=function(b){if(b.interpolationPrefix||b.interpolationSuffix||
b.escapeInterpolation)b=a(b);b.nsSeparator=b.nsseparator;b.keySeparator=b.keyseparator;b.returnObjects=b.returnObjectTrees;return b};f.appendBackwardsAPI=function(a){a.lng=function(){e.default.deprecate("i18next.lng() can be replaced by i18next.language for detected language or i18next.languages for languages ordered by translation lookup.");return a.services.languageUtils.toResolveHierarchy(a.language)[0]};a.preload=function(b,f){e.default.deprecate("i18next.preload() can be replaced with i18next.loadLanguages()");
a.loadLanguages(b,f)};a.setLng=function(b,f,h){e.default.deprecate("i18next.setLng() can be replaced with i18next.changeLanguage() or i18next.getFixedT() to get a translation function with fixed language or namespace.");"function"===typeof f&&(h=f,f={});f||(f={});if(!0===f.fixLng&&h)return h(null,a.getFixedT(b));a.changeLanguage(b,h)};a.addPostProcessor=function(b,f){e.default.deprecate("i18next.addPostProcessor() can be replaced by i18next.use({ type: 'postProcessor', name: 'name', process: fc })");
a.use({type:"postProcessor",name:b,process:f})}};var e=(h=b(4))&&h.__esModule?h:{"default":h}},function(h,f,b){function a(a){return a.charAt(0).toUpperCase()+a.slice(1)}Object.defineProperty(f,"__esModule",{value:!0});var e=(h=b(4))&&h.__esModule?h:{"default":h};h=function(){function b(a){if(!(this instanceof b))throw new TypeError("Cannot call a class as a function");this.options=a;this.whitelist=this.options.whitelist||!1;this.logger=e.default.create("languageUtils")}b.prototype.getLanguagePartFromCode=
function(a){if(0>a.indexOf("-"))return a;var b=a.split("-");return this.formatLanguageCode(-1<"NB-NO NN-NO nb-NO nn-NO nb-no nn-no".split(" ").indexOf(a)?b[1].toLowerCase():b[0])};b.prototype.formatLanguageCode=function(b){if("string"===typeof b&&-1<b.indexOf("-")){var d="hans hant latn cyrl cans mong arab".split(" ");b=b.split("-");this.options.lowerCaseLng?b=b.map(function(a){return a.toLowerCase()}):2===b.length?(b[0]=b[0].toLowerCase(),b[1]=b[1].toUpperCase(),-1<d.indexOf(b[1].toLowerCase())&&
(b[1]=a(b[1].toLowerCase()))):3===b.length&&(b[0]=b[0].toLowerCase(),2===b[1].length&&(b[1]=b[1].toUpperCase()),"sgn"!==b[0]&&2===b[2].length&&(b[2]=b[2].toUpperCase()),-1<d.indexOf(b[1].toLowerCase())&&(b[1]=a(b[1].toLowerCase())),-1<d.indexOf(b[2].toLowerCase())&&(b[2]=a(b[2].toLowerCase())));return b.join("-")}return this.options.cleanCode||this.options.lowerCaseLng?b.toLowerCase():b};b.prototype.isWhitelisted=function(a){"languageOnly"===this.options.load&&(a=this.getLanguagePartFromCode(a));
return!this.whitelist||!this.whitelist.length||-1<this.whitelist.indexOf(a)?!0:!1};b.prototype.toResolveHierarchy=function(a,b){var d=this;b=b||this.options.fallbackLng||[];"string"===typeof b&&(b=[b]);var e=[],f=function(a){d.isWhitelisted(a)?e.push(a):d.logger.warn("rejecting non-whitelisted language code: "+a)};"string"===typeof a&&-1<a.indexOf("-")?("languageOnly"!==this.options.load&&f(this.formatLanguageCode(a)),"currentOnly"!==this.options.load&&f(this.getLanguagePartFromCode(a))):"string"===
typeof a&&f(this.formatLanguageCode(a));b.forEach(function(a){0>e.indexOf(a)&&f(d.formatLanguageCode(a))});return e};return b}();f.default=h},function(h,f,b){function a(){var a={};c.forEach(function(b){b.lngs.forEach(function(c){return a[c]={numbers:b.nr,plurals:g[b.fc]}})});return a}Object.defineProperty(f,"__esModule",{value:!0});var e="function"===typeof Symbol&&"symbol"===typeof Symbol.iterator?function(a){return typeof a}:function(a){return a&&"function"===typeof Symbol&&a.constructor===Symbol?
"symbol":typeof a},d=(h=b(4))&&h.__esModule?h:{"default":h},c=[{lngs:"ach ak am arn br fil gun ln mfe mg mi oc tg ti tr uz wa".split(" "),nr:[1,2],fc:1},{lngs:"af an ast az bg bn ca da de dev el en eo es es_ar et eu fi fo fur fy gl gu ha he hi hu hy ia it kn ku lb mai ml mn mr nah nap nb ne nl nn no nso pa pap pms ps pt pt_br rm sco se si so son sq sv sw ta te tk ur yo".split(" "),nr:[1,2],fc:2},{lngs:"ay bo cgg fa id ja jbo ka kk km ko ky lo ms sah su th tt ug vi wo zh".split(" "),nr:[1],fc:3},{lngs:"be bs dz hr ru sr uk".split(" "),
nr:[1,2,5],fc:4},{lngs:["ar"],nr:[0,1,2,3,11,100],fc:5},{lngs:["cs","sk"],nr:[1,2,5],fc:6},{lngs:["csb","pl"],nr:[1,2,5],fc:7},{lngs:["cy"],nr:[1,2,3,8],fc:8},{lngs:["fr"],nr:[1,2],fc:9},{lngs:["ga"],nr:[1,2,3,7,11],fc:10},{lngs:["gd"],nr:[1,2,3,20],fc:11},{lngs:["is"],nr:[1,2],fc:12},{lngs:["jv"],nr:[0,1],fc:13},{lngs:["kw"],nr:[1,2,3,4],fc:14},{lngs:["lt"],nr:[1,2,10],fc:15},{lngs:["lv"],nr:[1,2,0],fc:16},{lngs:["mk"],nr:[1,2],fc:17},{lngs:["mnk"],nr:[0,1,2],fc:18},{lngs:["mt"],nr:[1,2,11,20],fc:19},
{lngs:["or"],nr:[2,1],fc:2},{lngs:["ro"],nr:[1,2,20],fc:20},{lngs:["sl"],nr:[5,1,2,3],fc:21}],g={1:function(a){return Number(1<a)},2:function(a){return Number(1!=a)},3:function(a){return 0},4:function(a){return Number(1==a%10&&11!=a%100?0:2<=a%10&&4>=a%10&&(10>a%100||20<=a%100)?1:2)},5:function(a){return Number(0===a?0:1==a?1:2==a?2:3<=a%100&&10>=a%100?3:11<=a%100?4:5)},6:function(a){return Number(1==a?0:2<=a&&4>=a?1:2)},7:function(a){return Number(1==a?0:2<=a%10&&4>=a%10&&(10>a%100||20<=a%100)?1:
2)},8:function(a){return Number(1==a?0:2==a?1:8!=a&&11!=a?2:3)},9:function(a){return Number(2<=a)},10:function(a){return Number(1==a?0:2==a?1:7>a?2:11>a?3:4)},11:function(a){return Number(1==a||11==a?0:2==a||12==a?1:2<a&&20>a?2:3)},12:function(a){return Number(1!=a%10||11==a%100)},13:function(a){return Number(0!==a)},14:function(a){return Number(1==a?0:2==a?1:3==a?2:3)},15:function(a){return Number(1==a%10&&11!=a%100?0:2<=a%10&&(10>a%100||20<=a%100)?1:2)},16:function(a){return Number(1==a%10&&11!=
a%100?0:0!==a?1:2)},17:function(a){return Number(1==a||1==a%10?0:1)},18:function(a){return Number(0==a?0:1==a?1:2)},19:function(a){return Number(1==a?0:0===a||1<a%100&&11>a%100?1:10<a%100&&20>a%100?2:3)},20:function(a){return Number(1==a?0:0===a||0<a%100&&20>a%100?1:2)},21:function(a){return Number(1==a%100?1:2==a%100?2:3==a%100||4==a%100?3:0)}};h=function(){function b(c){var e=1>=arguments.length||void 0===arguments[1]?{}:arguments[1];if(!(this instanceof b))throw new TypeError("Cannot call a class as a function");
this.languageUtils=c;this.options=e;this.logger=d.default.create("pluralResolver");this.rules=a()}b.prototype.addRule=function(a,b){this.rules[a]=b};b.prototype.getRule=function(a){return this.rules[this.languageUtils.getLanguagePartFromCode(a)]};b.prototype.needsPlural=function(a){return(a=this.getRule(a))&&1>=a.numbers.length?!1:!0};b.prototype.getSuffix=function(a,b){var c=this,d=this.getRule(a);if(d){var f=function(){if(1===d.numbers.length)return{v:""};var a=d.noAbs?d.plurals(b):d.plurals(Math.abs(b)),
e=d.numbers[a];2===d.numbers.length&&1===d.numbers[0]&&(2===e?e="plural":1===e&&(e=""));var f=function(){return c.options.prepend&&e.toString()?c.options.prepend+e.toString():e.toString()};return"v1"===c.options.compatibilityJSON?1===e?{v:""}:"number"===typeof e?{v:"_plural_"+e.toString()}:{v:f()}:"v2"===c.options.compatibilityJSON||2===d.numbers.length&&1===d.numbers[0]||2===d.numbers.length&&1===d.numbers[0]?{v:f()}:{v:c.options.prepend&&a.toString()?c.options.prepend+a.toString():a.toString()}}();
if("object"===("undefined"===typeof f?"undefined":e(f)))return f.v}else return this.logger.warn("no plural rule found for: "+a),""};return b}();f.default=h},function(h,f,b){Object.defineProperty(f,"__esModule",{value:!0});var a=function(a){if(a&&a.__esModule)return a;var b={};if(null!=a)for(var e in a)Object.prototype.hasOwnProperty.call(a,e)&&(b[e]=a[e]);b.default=a;return b}(b(7)),e=(h=b(4))&&h.__esModule?h:{"default":h};h=function(){function b(){var a=0>=arguments.length||void 0===arguments[0]?
{}:arguments[0];if(!(this instanceof b))throw new TypeError("Cannot call a class as a function");this.logger=e.default.create("interpolator");this.init(a,!0)}b.prototype.init=function(){var b=0>=arguments.length||void 0===arguments[0]?{}:arguments[0];arguments[1]&&(this.options=b);b.interpolation||(b.interpolation={escapeValue:!0});b=b.interpolation;this.escapeValue=b.escapeValue;this.prefix=b.prefix?a.regexEscape(b.prefix):b.prefixEscaped||"{{";this.suffix=b.suffix?a.regexEscape(b.suffix):b.suffixEscaped||
"}}";this.unescapeSuffix=(this.unescapePrefix=b.unescapeSuffix?"":b.unescapePrefix||"-")?"":b.unescapeSuffix||"";this.nestingPrefix=b.nestingPrefix?a.regexEscape(b.nestingPrefix):b.nestingPrefixEscaped||a.regexEscape("$t(");this.nestingSuffix=b.nestingSuffix?a.regexEscape(b.nestingSuffix):b.nestingSuffixEscaped||a.regexEscape(")");this.regexp=RegExp(this.prefix+"(.+?)"+this.suffix,"g");this.regexpUnescape=RegExp(this.prefix+this.unescapePrefix+"(.+?)"+this.unescapeSuffix+this.suffix,"g");this.nestingRegexp=
RegExp(this.nestingPrefix+"(.+?)"+this.nestingSuffix,"g")};b.prototype.reset=function(){this.options&&this.init(this.options)};b.prototype.interpolate=function(b,d){for(var e=void 0,f=void 0;e=this.regexpUnescape.exec(b);)f=a.getPath(d,e[1].trim()),b=b.replace(e[0],f);for(;e=this.regexp.exec(b);)f=a.getPath(d,e[1].trim()),"string"!==typeof f&&(f=a.makeString(f)),f||(this.logger.warn("missed to pass in variable "+e[1]+" for interpolating "+b),f=""),f=this.escapeValue?a.escape(f).replace(/\$/g,"$$$$"):
f.replace(/\$/g,"$$$$"),b=b.replace(e[0],f),this.regexp.lastIndex=0;return b};b.prototype.nest=function(b,d){function e(a){return a.replace(/\$/g,"$$$$")}function f(a){if(0>a.indexOf(","))return a;var b=a.split(",");a=b.shift();b=b.join(",");b=this.interpolate(b,u);try{u=JSON.parse(b)}catch(c){this.logger.error("failed parsing options string in nesting for key "+a,c)}return a}var h=void 0,p=void 0,u=JSON.parse(JSON.stringify(2>=arguments.length||void 0===arguments[2]?{}:arguments[2]));for(u.applyPostProcessor=
!1;h=this.nestingRegexp.exec(b);)p=d(f.call(this,h[1].trim()),u),"string"!==typeof p&&(p=a.makeString(p)),p||(this.logger.warn("missed to pass in variable "+h[1]+" for interpolating "+b),p=""),p=this.escapeValue?e(a.escape(p)):e(p),b=b.replace(h[0],p),this.regexp.lastIndex=0;return b};return b}();f.default=h},function(h,f,b){function a(a,b){if("function"!==typeof b&&null!==b)throw new TypeError("Super expression must either be null or a function, not "+typeof b);a.prototype=Object.create(b&&b.prototype,
{constructor:{value:a,enumerable:!1,writable:!0,configurable:!0}});if(b)if(Object.setPrototypeOf)Object.setPrototypeOf(a,b);else for(var c=Object.getOwnPropertyNames(b),d=0;d<c.length;d++){var e=c[d],f=Object.getOwnPropertyDescriptor(b,e);f&&(f.configurable&&void 0===a[e])&&Object.defineProperty(a,e,f)}}Object.defineProperty(f,"__esModule",{value:!0});var e=Object.assign||function(a){for(var b=1;b<arguments.length;b++){var c=arguments[b],d;for(d in c)Object.prototype.hasOwnProperty.call(c,d)&&(a[d]=
c[d])}return a},d=function(){return function(a,b){if(Array.isArray(a))return a;if(Symbol.iterator in Object(a)){var c=[],d=!0,e=!1,f=void 0;try{for(var g=a[Symbol.iterator](),h;!(d=(h=g.next()).done)&&!(c.push(h.value),b&&c.length===b);d=!0);}catch(s){e=!0,f=s}finally{try{if(!d&&g["return"])g["return"]()}finally{if(e)throw f;}}return c}throw new TypeError("Invalid attempt to destructure non-iterable instance");}}(),c=function(a){if(a&&a.__esModule)return a;var b={};if(null!=a)for(var c in a)Object.prototype.hasOwnProperty.call(a,
c)&&(b[c]=a[c]);b.default=a;return b}(b(7)),g=(h=b(4))&&h.__esModule?h:{"default":h};b=b(5);b=function(b){function f(a,c,d){var e=3>=arguments.length||void 0===arguments[3]?{}:arguments[3];if(!(this instanceof f))throw new TypeError("Cannot call a class as a function");var h;h=b.call(this);if(!this)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");h=h&&("object"===typeof h||"function"===typeof h)?h:this;h.backend=a;h.store=c;h.services=d;h.options=e;h.logger=g.default.create("backendConnector");
h.state={};h.queue=[];h.backend&&h.backend.init&&h.backend.init(d,e.backend,e);return h}a(f,b);f.prototype.queueLoad=function(a,b,c){var d=this,e=[],f=[],g=[],h=[];a.forEach(function(a){var c=!0;b.forEach(function(b){var g=a+"|"+b;d.store.hasResourceBundle(a,b)?d.state[g]=2:0>d.state[g]||(1===d.state[g]?0>f.indexOf(g)&&f.push(g):(d.state[g]=1,c=!1,0>f.indexOf(g)&&f.push(g),0>e.indexOf(g)&&e.push(g),0>h.indexOf(b)&&h.push(b)))});c||g.push(a)});(e.length||f.length)&&this.queue.push({pending:f,loaded:{},
errors:[],callback:c});return{toLoad:e,pending:f,toLoadLanguages:g,toLoadNamespaces:h}};f.prototype.loaded=function(a,b,e){var f=this,g=a.split("|"),g=d(g,2),h=g[0],k=g[1];b&&this.emit("failedLoading",h,k,b);e&&this.store.addResourceBundle(h,k,e);this.state[a]=b?-1:2;this.queue.forEach(function(d){c.pushPath(d.loaded,[h],k);for(var e=d.pending,g=e.indexOf(a);-1!==g;)e.splice(g,1),g=e.indexOf(a);b&&d.errors.push(b);0===d.pending.length&&!d.done&&(d.errors.length?d.callback(d.errors):d.callback(),f.emit("loaded",
d.loaded),d.done=!0)});this.queue=this.queue.filter(function(a){return!a.done})};f.prototype.read=function(a,b,c,d,e,f){var g=this;d||(d=0);e||(e=250);if(!a.length)return f(null,{});this.backend[c](a,b,function(h,k){h&&k&&5>d?setTimeout(function(){g.read.call(g,a,b,c,++d,2*e,f)},e):f(h,k)})};f.prototype.load=function(a,b,f){var g=this;if(!this.backend)return this.logger.warn("No backend was added via i18next.use. Will not load resources."),f&&f();var h=e({},this.backend.options,this.options.backend);
"string"===typeof a&&(a=this.services.languageUtils.toResolveHierarchy(a));"string"===typeof b&&(b=[b]);var k=this.queueLoad(a,b,f);k.toLoad.length?h.allowMultiLoading&&this.backend.readMulti?this.read(k.toLoadLanguages,k.toLoadNamespaces,"readMulti",null,null,function(a,b){a&&g.logger.warn("loading namespaces "+k.toLoadNamespaces.join(", ")+" for languages "+k.toLoadLanguages.join(", ")+" via multiloading failed",a);!a&&b&&g.logger.log("loaded namespaces "+k.toLoadNamespaces.join(", ")+" for languages "+
k.toLoadLanguages.join(", ")+" via multiloading",b);k.toLoad.forEach(function(e){var f=e.split("|"),h=d(f,2),f=h[0],h=h[1],k=c.getPath(b,[f,h]);k?g.loaded(e,a,k):(f="loading namespace "+h+" for language "+f+" via multiloading failed",g.loaded(e,f),g.logger.error(f))})}):function(){var a=function(a){var b=this,c=a.split("|"),c=d(c,2),e=c[0],f=c[1];this.read(e,f,"read",null,null,function(c,d){c&&b.logger.warn("loading namespace "+f+" for language "+e+" failed",c);!c&&d&&b.logger.log("loaded namespace "+
f+" for language "+e,d);b.loaded(a,c,d)})};k.toLoad.forEach(function(b){a.call(g,b)})}():k.pending.length||f()};f.prototype.saveMissing=function(a,b,c,d){this.backend&&this.backend.create&&this.backend.create(a,b,c,d);a&&a[0]&&this.store.addResource(a[0],b,c,d)};return f}((b&&b.__esModule?b:{"default":b}).default);f.default=b},function(h,f,b){function a(a,b){if("function"!==typeof b&&null!==b)throw new TypeError("Super expression must either be null or a function, not "+typeof b);a.prototype=Object.create(b&&
b.prototype,{constructor:{value:a,enumerable:!1,writable:!0,configurable:!0}});if(b)if(Object.setPrototypeOf)Object.setPrototypeOf(a,b);else for(var d=Object.getOwnPropertyNames(b),e=0;e<d.length;e++){var f=d[e],h=Object.getOwnPropertyDescriptor(b,f);h&&(h.configurable&&void 0===a[f])&&Object.defineProperty(a,f,h)}}Object.defineProperty(f,"__esModule",{value:!0});var e=Object.assign||function(a){for(var b=1;b<arguments.length;b++){var d=arguments[b],e;for(e in d)Object.prototype.hasOwnProperty.call(d,
e)&&(a[e]=d[e])}return a};(function(a){if(a&&a.__esModule)return a;var b={};if(null!=a)for(var d in a)Object.prototype.hasOwnProperty.call(a,d)&&(b[d]=a[d]);b.default=a;return b})(b(7));var d=(h=b(4))&&h.__esModule?h:{"default":h};b=b(5);b=function(b){function f(a,e,h){var p=3>=arguments.length||void 0===arguments[3]?{}:arguments[3];if(!(this instanceof f))throw new TypeError("Cannot call a class as a function");var u;u=b.call(this);if(!this)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
u=u&&("object"===typeof u||"function"===typeof u)?u:this;u.cache=a;u.store=e;u.services=h;u.options=p;u.logger=d.default.create("cacheConnector");u.cache&&u.cache.init&&u.cache.init(h,p.cache,p);return u}a(f,b);f.prototype.load=function(a,b,c){var d=this;if(!this.cache)return c&&c();var f=e({},this.cache.options,this.options.cache);"string"===typeof a&&(a=this.services.languageUtils.toResolveHierarchy(a));"string"===typeof b&&(b=[b]);f.enabled?this.cache.load(a,function(b,e){b&&d.logger.error("loading languages "+
a.join(", ")+" from cache failed",b);if(e)for(var f in e)for(var g in e[f])if("i18nStamp"!==g){var h=e[f][g];h&&d.store.addResourceBundle(f,g,h)}c&&c()}):c&&c()};f.prototype.save=function(){this.cache&&(this.options.cache&&this.options.cache.enabled)&&this.cache.save(this.store.data)};return f}((b&&b.__esModule?b:{"default":b}).default);f.default=b},function(h,f){Object.defineProperty(f,"__esModule",{value:!0});f.get=function(){return{debug:!1,initImmediate:!0,ns:["translation"],defaultNS:["translation"],
fallbackLng:["dev"],fallbackNS:!1,whitelist:!1,load:"all",preload:!1,keySeparator:".",nsSeparator:":",pluralSeparator:"_",contextSeparator:"_",saveMissing:!1,saveMissingTo:"fallback",missingKeyHandler:!1,postProcess:!1,returnNull:!0,returnEmptyString:!0,returnObjects:!1,joinArrays:!1,returnedObjectHandler:function(){},parseMissingKeyHandler:!1,appendNamespaceToMissingKey:!1,overloadTranslationOptionHandler:function(b){return{defaultValue:b[1]}},interpolation:{escapeValue:!0,prefix:"{{",suffix:"}}",
unescapePrefix:"-",nestingPrefix:"$t(",nestingSuffix:")",defaultVariables:void 0}}};f.transformOptions=function(b){"string"===typeof b.ns&&(b.ns=[b.ns]);"string"===typeof b.fallbackLng&&(b.fallbackLng=[b.fallbackLng]);"string"===typeof b.fallbackNS&&(b.fallbackNS=[b.fallbackNS]);b.whitelist&&0>b.whitelist.indexOf("cimode")&&b.whitelist.push("cimode");return b}},function(h,f,b){h.exports=b(18).default},function(h,f,b){function a(a,b,c,e,f){if(e&&"object"===("undefined"===typeof e?"undefined":d(e))){var h=
"",r=encodeURIComponent,n;for(n in e)h+="&"+r(n)+"="+r(e[n]);e=h.slice(1)+(!f?"&_t="+new Date:"")}try{var q=new (XMLHttpRequest||ActiveXObject)("MSXML2.XMLHTTP.3.0");q.open(e?"POST":"GET",a,1);b.crossDomain||q.setRequestHeader("X-Requested-With","XMLHttpRequest");e&&q.setRequestHeader("Content-type","application/x-www-form-urlencoded");q.onreadystatechange=function(){3<q.readyState&&c&&c(q.responseText,q)};q.send(e)}catch(s){window.console&&console.log(s)}}Object.defineProperty(f,"__esModule",{value:!0});
var e=function(){function a(b,c){for(var d=0;d<c.length;d++){var e=c[d];e.enumerable=e.enumerable||!1;e.configurable=!0;"value"in e&&(e.writable=!0);Object.defineProperty(b,e.key,e)}}return function(b,c,d){c&&a(b.prototype,c);d&&a(b,d);return b}}(),d="function"===typeof Symbol&&"symbol"===typeof Symbol.iterator?function(a){return typeof a}:function(a){return a&&"function"===typeof Symbol&&a.constructor===Symbol?"symbol":typeof a},c=function(a){if(a&&a.__esModule)return a;var b={};if(null!=a)for(var c in a)Object.prototype.hasOwnProperty.call(a,
c)&&(b[c]=a[c]);b.default=a;return b}(b(19));h=function(){function b(a){var c=1>=arguments.length||void 0===arguments[1]?{}:arguments[1];if(!(this instanceof b))throw new TypeError("Cannot call a class as a function");this.init(a,c);this.type="backend"}e(b,[{key:"init",value:function(b){var d=1>=arguments.length||void 0===arguments[1]?{}:arguments[1];this.services=b;this.options=c.defaults(d,this.options||{},{loadPath:"/locales/{{lng}}/{{ns}}.json",addPath:"locales/add/{{lng}}/{{ns}}",allowMultiLoading:!1,
parse:JSON.parse,crossDomain:!1,ajax:a})}},{key:"readMulti",value:function(a,b,c){a=this.services.interpolator.interpolate(this.options.loadPath,{lng:a.join("+"),ns:b.join("+")});this.loadUrl(a,c)}},{key:"read",value:function(a,b,c){a=this.services.interpolator.interpolate(this.options.loadPath,{lng:a,ns:b});this.loadUrl(a,c)}},{key:"loadUrl",value:function(a,b){var c=this;this.options.ajax(a,this.options,function(d,e){var f=e.status.toString();if(0===f.indexOf("5"))return b("failed loading "+a,!0);
if(0===f.indexOf("4"))return b("failed loading "+a,!1);var g=f=void 0;try{f=c.options.parse(d)}catch(h){g="failed parsing "+a+" to json"}if(g)return b(g,!1);b(null,f)})}},{key:"create",value:function(a,b,c,d){var e=this;"string"===typeof a&&(a=[a]);var f={};f[c]=d||"";a.forEach(function(a){a=e.services.interpolator.interpolate(e.options.addPath,{lng:a,ns:b});e.options.ajax(a,e.options,function(a,b){},f)})}}]);return b}();h.type="backend";f.default=h},function(h,f){Object.defineProperty(f,"__esModule",
{value:!0});f.defaults=function(b){a.call(e.call(arguments,1),function(a){if(a)for(var e in a)void 0===b[e]&&(b[e]=a[e])});return b};f.extend=function(b){a.call(e.call(arguments,1),function(a){if(a)for(var e in a)b[e]=a[e]});return b};var b=[],a=b.forEach,e=b.slice},function(h,f,b){h.exports=b(21).default},function(h,f,b){function a(a){return a&&a.__esModule?a:{"default":a}}Object.defineProperty(f,"__esModule",{value:!0});var e=function(){function a(b,c){for(var d=0;d<c.length;d++){var e=c[d];e.enumerable=
e.enumerable||!1;e.configurable=!0;"value"in e&&(e.writable=!0);Object.defineProperty(b,e.key,e)}}return function(b,c,d){c&&a(b.prototype,c);d&&a(b,d);return b}}(),d=function(a){if(a&&a.__esModule)return a;var b={};if(null!=a)for(var c in a)Object.prototype.hasOwnProperty.call(a,c)&&(b[c]=a[c]);b.default=a;return b}(b(22));h=b(23);var c=a(h);h=b(24);var g=a(h);h=b(25);var m=a(h);h=b(26);var k=a(h);b=b(27);var l=a(b);b=function(){function a(b){var c=1>=arguments.length||void 0===arguments[1]?{}:arguments[1];
if(!(this instanceof a))throw new TypeError("Cannot call a class as a function");this.type="languageDetector";this.detectors={};this.init(b,c)}e(a,[{key:"init",value:function(a){var b=1>=arguments.length||void 0===arguments[1]?{}:arguments[1],e=2>=arguments.length||void 0===arguments[2]?{}:arguments[2];this.services=a;this.options=d.defaults(b,this.options||{},{order:["querystring","cookie","localStorage","navigator","htmlTag"],lookupQuerystring:"lng",lookupCookie:"i18next",lookupLocalStorage:"i18nextLng",
caches:["localStorage"]});this.i18nOptions=e;this.addDetector(c.default);this.addDetector(g.default);this.addDetector(m.default);this.addDetector(k.default);this.addDetector(l.default)}},{key:"addDetector",value:function(a){this.detectors[a.name]=a}},{key:"detect",value:function(a){var b=this;a||(a=this.options.order);var c=[];a.forEach(function(a){b.detectors[a]&&((a=b.detectors[a].lookup(b.options))&&"string"===typeof a&&(a=[a]),a&&(c=c.concat(a)))});var d=void 0;c.forEach(function(a){d||(a=b.services.languageUtils.formatLanguageCode(a),
b.services.languageUtils.isWhitelisted(a)&&(d=a))});return d||this.i18nOptions.fallbackLng[0]}},{key:"cacheUserLanguage",value:function(a,b){var c=this;b||(b=this.options.caches);b&&b.forEach(function(b){c.detectors[b]&&c.detectors[b].cacheUserLanguage(a,c.options)})}}]);return a}();b.type="languageDetector";f.default=b},function(h,f){Object.defineProperty(f,"__esModule",{value:!0});f.defaults=function(b){a.call(e.call(arguments,1),function(a){if(a)for(var e in a)void 0===b[e]&&(b[e]=a[e])});return b};
f.extend=function(b){a.call(e.call(arguments,1),function(a){if(a)for(var e in a)b[e]=a[e]});return b};var b=[],a=b.forEach,e=b.slice},function(h,f){Object.defineProperty(f,"__esModule",{value:!0});var b={create:function(a,b,d,c){var f=void 0;d?(f=new Date,f.setTime(f.getTime()+6E4*d),f="; expires="+f.toGMTString()):f="";document.cookie=a+"="+b+f+";"+(c?"domain="+c+";":"")+"path=/"},read:function(a){a+="=";for(var b=document.cookie.split(";"),d=0;d<b.length;d++){for(var c=b[d];" "===c.charAt(0);)c=
c.substring(1,c.length);if(0===c.indexOf(a))return c.substring(a.length,c.length)}return null},remove:function(a){this.create(a,"",-1)}};f.default={name:"cookie",lookup:function(a){var e=void 0;a.lookupCookie&&"undefined"!==typeof document&&(a=b.read(a.lookupCookie))&&(e=a);return e},cacheUserLanguage:function(a,e){e.lookupCookie&&"undefined"!==typeof document&&b.create(e.lookupCookie,a,e.cookieMinutes,e.cookieDomain)}}},function(h,f){Object.defineProperty(f,"__esModule",{value:!0});f.default={name:"querystring",
lookup:function(b){var a=void 0;if("undefined"!==typeof window)for(var e=window.location.search.substring(1).split("&"),d=0;d<e.length;d++){var c=e[d].indexOf("=");0<c&&e[d].substring(0,c)===b.lookupQuerystring&&(a=e[d].substring(c+1))}return a}}},function(h,f){Object.defineProperty(f,"__esModule",{value:!0});var b={setItem:function(a,b){if(window.localStorage)try{window.localStorage.setItem(a,b)}catch(d){}},getItem:function(a,b){if(window.localStorage)try{return window.localStorage.getItem(a,b)}catch(d){}}};
f.default={name:"localStorage",lookup:function(a){var e=void 0;a.lookupLocalStorage&&"undefined"!==typeof window&&window.localStorage&&(a=b.getItem(a.lookupLocalStorage))&&(e=a);return e},cacheUserLanguage:function(a,e){e.lookupLocalStorage&&("undefined"!==typeof window&&window.localStorage)&&b.setItem(e.lookupLocalStorage,a)}}},function(h,f){Object.defineProperty(f,"__esModule",{value:!0});f.default={name:"navigator",lookup:function(b){b=[];if("undefined"!==typeof navigator){if(navigator.languages)for(var a=
0;a<navigator.languages.length;a++)b.push(navigator.languages[a]);navigator.userLanguage&&b.push(navigator.userLanguage);navigator.language&&b.push(navigator.language)}return 0<b.length?b:void 0}}},function(h,f){Object.defineProperty(f,"__esModule",{value:!0});f.default={name:"htmlTag",lookup:function(b){var a=void 0;(b=b.htmlTag||("undefined"!==typeof document?document.documentElement:null))&&"function"===typeof b.getAttribute&&(a=b.getAttribute("lang"));return a}}},function(h,f,b){h.exports=b(29).default},
function(h,f,b){Object.defineProperty(f,"__esModule",{value:!0});var a=function(){function a(b,c){for(var d=0;d<c.length;d++){var e=c[d];e.enumerable=e.enumerable||!1;e.configurable=!0;"value"in e&&(e.writable=!0);Object.defineProperty(b,e.key,e)}}return function(b,d,e){d&&a(b.prototype,d);e&&a(b,e);return b}}(),e=function(a){if(a&&a.__esModule)return a;var b={};if(null!=a)for(var d in a)Object.prototype.hasOwnProperty.call(a,d)&&(b[d]=a[d]);b.default=a;return b}(b(30)),d={setItem:function(a,b){if(window.localStorage)try{window.localStorage.setItem(a,
b)}catch(d){}},getItem:function(a,b){if(window.localStorage)try{return window.localStorage.getItem(a,b)}catch(d){}}};h=function(){function b(a){var d=1>=arguments.length||void 0===arguments[1]?{}:arguments[1];if(!(this instanceof b))throw new TypeError("Cannot call a class as a function");this.init(a,d);this.type="cache";this.debouncedStore=e.debounce(this.store,1E4)}a(b,[{key:"init",value:function(a){var b=1>=arguments.length||void 0===arguments[1]?{}:arguments[1];this.services=a;this.options=e.defaults(b,
this.options||{},{enabled:!1,prefix:"i18next_res_",expirationTime:6048E5})}},{key:"load",value:function(a,b){var c=this,e={},f=(new Date).getTime();window.localStorage&&function(){var h=a.length;a.forEach(function(a){var g=d.getItem(c.options.prefix+a);g&&(g=JSON.parse(g),g.i18nStamp&&g.i18nStamp+c.options.expirationTime>f&&(e[a]=g));h--;0===h&&b(null,e)})}()}},{key:"store",value:function(a){if(window.localStorage)for(var b in a)a[b].i18nStamp=(new Date).getTime(),d.setItem(this.options.prefix+b,
JSON.stringify(a[b]))}},{key:"save",value:function(a){this.debouncedStore(a)}}]);return b}();h.type="cache";f.default=h},function(h,f){Object.defineProperty(f,"__esModule",{value:!0});f.defaults=function(b){a.call(e.call(arguments,1),function(a){if(a)for(var e in a)void 0===b[e]&&(b[e]=a[e])});return b};f.extend=function(b){a.call(e.call(arguments,1),function(a){if(a)for(var e in a)b[e]=a[e]});return b};f.debounce=function(a,b,e){var f;return function(){var h=this,l=arguments,p=e&&!f;clearTimeout(f);
f=setTimeout(function(){f=null;e||a.apply(h,l)},b);p&&a.apply(h,l)}};var b=[],a=b.forEach,e=b.slice}]);
